( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_70
      ?auto_71
    )
    :vars
    (
      ?auto_74
    )
    :precondition
    ( and ( OBJ ?auto_70 ) ( LOCATION ?auto_71 ) ( TRUCK ?auto_74 ) ( AT ?auto_74 ?auto_71 ) ( IN ?auto_70 ?auto_74 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_70 ?auto_74 ?auto_71 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_80
      ?auto_81
    )
    :vars
    (
      ?auto_84
      ?auto_87
      ?auto_86
    )
    :precondition
    ( and ( OBJ ?auto_80 ) ( LOCATION ?auto_81 ) ( TRUCK ?auto_84 ) ( IN ?auto_80 ?auto_84 ) ( LOCATION ?auto_87 ) ( CITY ?auto_86 ) ( AT ?auto_84 ?auto_87 ) ( IN-CITY ?auto_87 ?auto_86 ) ( IN-CITY ?auto_81 ?auto_86 ) ( DIFFERENT ?auto_81 ?auto_87 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_84 ?auto_87 ?auto_81 ?auto_86 )
      ( DELIVER-PKG ?auto_80 ?auto_81 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_96
      ?auto_97
    )
    :vars
    (
      ?auto_99
      ?auto_102
      ?auto_101
      ?auto_104
    )
    :precondition
    ( and ( OBJ ?auto_96 ) ( LOCATION ?auto_97 ) ( TRUCK ?auto_99 ) ( LOCATION ?auto_102 ) ( CITY ?auto_101 ) ( AT ?auto_99 ?auto_102 ) ( IN-CITY ?auto_102 ?auto_101 ) ( IN-CITY ?auto_97 ?auto_101 ) ( DIFFERENT ?auto_97 ?auto_102 ) ( LOCATION ?auto_104 ) ( AT ?auto_99 ?auto_104 ) ( AT ?auto_96 ?auto_104 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_96 ?auto_99 ?auto_104 )
      ( DELIVER-PKG ?auto_96 ?auto_97 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_208
      ?auto_209
    )
    :vars
    (
      ?auto_213
      ?auto_212
      ?auto_211
      ?auto_218
      ?auto_217
    )
    :precondition
    ( and ( OBJ ?auto_208 ) ( LOCATION ?auto_209 ) ( TRUCK ?auto_213 ) ( LOCATION ?auto_212 ) ( CITY ?auto_211 ) ( IN-CITY ?auto_212 ?auto_211 ) ( IN-CITY ?auto_209 ?auto_211 ) ( DIFFERENT ?auto_209 ?auto_212 ) ( AT ?auto_208 ?auto_212 ) ( LOCATION ?auto_218 ) ( CITY ?auto_217 ) ( AT ?auto_213 ?auto_218 ) ( IN-CITY ?auto_218 ?auto_217 ) ( IN-CITY ?auto_212 ?auto_217 ) ( DIFFERENT ?auto_212 ?auto_218 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_213 ?auto_218 ?auto_212 ?auto_217 )
      ( DELIVER-PKG ?auto_208 ?auto_209 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_229
      ?auto_230
    )
    :vars
    (
      ?auto_233
      ?auto_234
      ?auto_235
      ?auto_232
      ?auto_236
      ?auto_240
      ?auto_239
    )
    :precondition
    ( and ( OBJ ?auto_229 ) ( LOCATION ?auto_230 ) ( TRUCK ?auto_233 ) ( LOCATION ?auto_234 ) ( CITY ?auto_235 ) ( IN-CITY ?auto_234 ?auto_235 ) ( IN-CITY ?auto_230 ?auto_235 ) ( DIFFERENT ?auto_230 ?auto_234 ) ( AT ?auto_229 ?auto_234 ) ( LOCATION ?auto_232 ) ( CITY ?auto_236 ) ( IN-CITY ?auto_232 ?auto_236 ) ( IN-CITY ?auto_234 ?auto_236 ) ( DIFFERENT ?auto_234 ?auto_232 ) ( LOCATION ?auto_240 ) ( CITY ?auto_239 ) ( AT ?auto_233 ?auto_240 ) ( IN-CITY ?auto_240 ?auto_239 ) ( IN-CITY ?auto_232 ?auto_239 ) ( DIFFERENT ?auto_232 ?auto_240 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_233 ?auto_240 ?auto_232 ?auto_239 )
      ( DELIVER-PKG ?auto_229 ?auto_230 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_535
      ?auto_536
    )
    :vars
    (
      ?auto_538
      ?auto_537
      ?auto_539
      ?auto_541
      ?auto_545
    )
    :precondition
    ( and ( OBJ ?auto_535 ) ( LOCATION ?auto_536 ) ( TRUCK ?auto_538 ) ( LOCATION ?auto_537 ) ( CITY ?auto_539 ) ( AT ?auto_538 ?auto_537 ) ( IN-CITY ?auto_537 ?auto_539 ) ( IN-CITY ?auto_536 ?auto_539 ) ( DIFFERENT ?auto_536 ?auto_537 ) ( LOCATION ?auto_541 ) ( AT ?auto_538 ?auto_541 ) ( TRUCK ?auto_545 ) ( AT ?auto_545 ?auto_541 ) ( IN ?auto_535 ?auto_545 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_535 ?auto_541 )
      ( DELIVER-PKG ?auto_535 ?auto_536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_546
      ?auto_547
    )
    :vars
    (
      ?auto_549
      ?auto_553
      ?auto_551
      ?auto_557
      ?auto_556
    )
    :precondition
    ( and ( OBJ ?auto_546 ) ( LOCATION ?auto_547 ) ( TRUCK ?auto_549 ) ( LOCATION ?auto_553 ) ( CITY ?auto_551 ) ( IN-CITY ?auto_553 ?auto_551 ) ( IN-CITY ?auto_547 ?auto_551 ) ( DIFFERENT ?auto_547 ?auto_553 ) ( IN ?auto_546 ?auto_549 ) ( LOCATION ?auto_557 ) ( CITY ?auto_556 ) ( AT ?auto_549 ?auto_557 ) ( IN-CITY ?auto_557 ?auto_556 ) ( IN-CITY ?auto_553 ?auto_556 ) ( DIFFERENT ?auto_553 ?auto_557 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_549 ?auto_557 ?auto_553 ?auto_556 )
      ( DELIVER-PKG ?auto_546 ?auto_547 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_568
      ?auto_569
    )
    :vars
    (
      ?auto_575
      ?auto_573
      ?auto_572
      ?auto_571
      ?auto_570
      ?auto_578
    )
    :precondition
    ( and ( OBJ ?auto_568 ) ( LOCATION ?auto_569 ) ( TRUCK ?auto_575 ) ( LOCATION ?auto_573 ) ( CITY ?auto_572 ) ( IN-CITY ?auto_573 ?auto_572 ) ( IN-CITY ?auto_569 ?auto_572 ) ( DIFFERENT ?auto_569 ?auto_573 ) ( LOCATION ?auto_571 ) ( CITY ?auto_570 ) ( AT ?auto_575 ?auto_571 ) ( IN-CITY ?auto_571 ?auto_570 ) ( IN-CITY ?auto_573 ?auto_570 ) ( DIFFERENT ?auto_573 ?auto_571 ) ( LOCATION ?auto_578 ) ( AT ?auto_575 ?auto_578 ) ( AT ?auto_568 ?auto_578 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_568 ?auto_575 ?auto_578 )
      ( DELIVER-PKG ?auto_568 ?auto_569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_590
      ?auto_591
    )
    :vars
    (
      ?auto_597
      ?auto_596
      ?auto_594
      ?auto_599
      ?auto_595
      ?auto_602
      ?auto_601
    )
    :precondition
    ( and ( OBJ ?auto_590 ) ( LOCATION ?auto_591 ) ( TRUCK ?auto_597 ) ( LOCATION ?auto_596 ) ( CITY ?auto_594 ) ( IN-CITY ?auto_596 ?auto_594 ) ( IN-CITY ?auto_591 ?auto_594 ) ( DIFFERENT ?auto_591 ?auto_596 ) ( LOCATION ?auto_599 ) ( CITY ?auto_595 ) ( IN-CITY ?auto_599 ?auto_595 ) ( IN-CITY ?auto_596 ?auto_595 ) ( DIFFERENT ?auto_596 ?auto_599 ) ( AT ?auto_590 ?auto_599 ) ( LOCATION ?auto_602 ) ( CITY ?auto_601 ) ( AT ?auto_597 ?auto_602 ) ( IN-CITY ?auto_602 ?auto_601 ) ( IN-CITY ?auto_599 ?auto_601 ) ( DIFFERENT ?auto_599 ?auto_602 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_597 ?auto_602 ?auto_599 ?auto_601 )
      ( DELIVER-PKG ?auto_590 ?auto_591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1029
      ?auto_1030
    )
    :vars
    (
      ?auto_1037
      ?auto_1032
      ?auto_1034
      ?auto_1036
      ?auto_1035
      ?auto_1040
      ?auto_1039
    )
    :precondition
    ( and ( OBJ ?auto_1029 ) ( LOCATION ?auto_1030 ) ( TRUCK ?auto_1037 ) ( IN ?auto_1029 ?auto_1037 ) ( LOCATION ?auto_1032 ) ( CITY ?auto_1034 ) ( IN-CITY ?auto_1032 ?auto_1034 ) ( IN-CITY ?auto_1030 ?auto_1034 ) ( DIFFERENT ?auto_1030 ?auto_1032 ) ( LOCATION ?auto_1036 ) ( CITY ?auto_1035 ) ( IN-CITY ?auto_1036 ?auto_1035 ) ( IN-CITY ?auto_1032 ?auto_1035 ) ( DIFFERENT ?auto_1032 ?auto_1036 ) ( LOCATION ?auto_1040 ) ( CITY ?auto_1039 ) ( AT ?auto_1037 ?auto_1040 ) ( IN-CITY ?auto_1040 ?auto_1039 ) ( IN-CITY ?auto_1036 ?auto_1039 ) ( DIFFERENT ?auto_1036 ?auto_1040 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1037 ?auto_1040 ?auto_1036 ?auto_1039 )
      ( DELIVER-PKG ?auto_1029 ?auto_1030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1053
      ?auto_1054
    )
    :vars
    (
      ?auto_1056
      ?auto_1063
      ?auto_1058
      ?auto_1055
      ?auto_1057
      ?auto_1062
      ?auto_1060
      ?auto_1066
      ?auto_1065
    )
    :precondition
    ( and ( OBJ ?auto_1053 ) ( LOCATION ?auto_1054 ) ( TRUCK ?auto_1056 ) ( IN ?auto_1053 ?auto_1056 ) ( LOCATION ?auto_1063 ) ( CITY ?auto_1058 ) ( IN-CITY ?auto_1063 ?auto_1058 ) ( IN-CITY ?auto_1054 ?auto_1058 ) ( DIFFERENT ?auto_1054 ?auto_1063 ) ( LOCATION ?auto_1055 ) ( CITY ?auto_1057 ) ( IN-CITY ?auto_1055 ?auto_1057 ) ( IN-CITY ?auto_1063 ?auto_1057 ) ( DIFFERENT ?auto_1063 ?auto_1055 ) ( LOCATION ?auto_1062 ) ( CITY ?auto_1060 ) ( IN-CITY ?auto_1062 ?auto_1060 ) ( IN-CITY ?auto_1055 ?auto_1060 ) ( DIFFERENT ?auto_1055 ?auto_1062 ) ( LOCATION ?auto_1066 ) ( CITY ?auto_1065 ) ( AT ?auto_1056 ?auto_1066 ) ( IN-CITY ?auto_1066 ?auto_1065 ) ( IN-CITY ?auto_1062 ?auto_1065 ) ( DIFFERENT ?auto_1062 ?auto_1066 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1056 ?auto_1066 ?auto_1062 ?auto_1065 )
      ( DELIVER-PKG ?auto_1053 ?auto_1054 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1081
      ?auto_1082
    )
    :vars
    (
      ?auto_1085
      ?auto_1088
      ?auto_1086
      ?auto_1084
      ?auto_1089
      ?auto_1087
      ?auto_1083
      ?auto_1093
      ?auto_1092
      ?auto_1095
    )
    :precondition
    ( and ( OBJ ?auto_1081 ) ( LOCATION ?auto_1082 ) ( TRUCK ?auto_1085 ) ( LOCATION ?auto_1088 ) ( CITY ?auto_1086 ) ( IN-CITY ?auto_1088 ?auto_1086 ) ( IN-CITY ?auto_1082 ?auto_1086 ) ( DIFFERENT ?auto_1082 ?auto_1088 ) ( LOCATION ?auto_1084 ) ( CITY ?auto_1089 ) ( IN-CITY ?auto_1084 ?auto_1089 ) ( IN-CITY ?auto_1088 ?auto_1089 ) ( DIFFERENT ?auto_1088 ?auto_1084 ) ( LOCATION ?auto_1087 ) ( CITY ?auto_1083 ) ( IN-CITY ?auto_1087 ?auto_1083 ) ( IN-CITY ?auto_1084 ?auto_1083 ) ( DIFFERENT ?auto_1084 ?auto_1087 ) ( LOCATION ?auto_1093 ) ( CITY ?auto_1092 ) ( AT ?auto_1085 ?auto_1093 ) ( IN-CITY ?auto_1093 ?auto_1092 ) ( IN-CITY ?auto_1087 ?auto_1092 ) ( DIFFERENT ?auto_1087 ?auto_1093 ) ( LOCATION ?auto_1095 ) ( AT ?auto_1085 ?auto_1095 ) ( AT ?auto_1081 ?auto_1095 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1081 ?auto_1085 ?auto_1095 )
      ( DELIVER-PKG ?auto_1081 ?auto_1082 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2120
      ?auto_2121
    )
    :vars
    (
      ?auto_2124
    )
    :precondition
    ( and ( OBJ ?auto_2120 ) ( LOCATION ?auto_2121 ) ( AIRPLANE ?auto_2124 ) ( IN ?auto_2120 ?auto_2124 ) ( AT ?auto_2124 ?auto_2121 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_2120 ?auto_2124 ?auto_2121 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2135
      ?auto_2136
    )
    :vars
    (
      ?auto_2139
      ?auto_2141
    )
    :precondition
    ( and ( OBJ ?auto_2135 ) ( LOCATION ?auto_2136 ) ( AIRPLANE ?auto_2139 ) ( IN ?auto_2135 ?auto_2139 ) ( AIRPORT ?auto_2141 ) ( AIRPORT ?auto_2136 ) ( AT ?auto_2139 ?auto_2141 ) ( DIFFERENT ?auto_2136 ?auto_2141 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2139 ?auto_2141 ?auto_2136 )
      ( DELIVER-PKG ?auto_2135 ?auto_2136 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2155
      ?auto_2156
    )
    :vars
    (
      ?auto_2159
      ?auto_2160
      ?auto_2162
    )
    :precondition
    ( and ( OBJ ?auto_2155 ) ( LOCATION ?auto_2156 ) ( AIRPLANE ?auto_2159 ) ( AIRPORT ?auto_2160 ) ( AIRPORT ?auto_2156 ) ( AT ?auto_2159 ?auto_2160 ) ( DIFFERENT ?auto_2156 ?auto_2160 ) ( LOCATION ?auto_2162 ) ( AT ?auto_2155 ?auto_2162 ) ( AT ?auto_2159 ?auto_2162 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2155 ?auto_2159 ?auto_2162 )
      ( DELIVER-PKG ?auto_2155 ?auto_2156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2178
      ?auto_2179
    )
    :vars
    (
      ?auto_2180
      ?auto_2181
      ?auto_2184
      ?auto_2187
    )
    :precondition
    ( and ( OBJ ?auto_2178 ) ( LOCATION ?auto_2179 ) ( AIRPLANE ?auto_2180 ) ( AIRPORT ?auto_2181 ) ( AIRPORT ?auto_2179 ) ( AT ?auto_2180 ?auto_2181 ) ( DIFFERENT ?auto_2179 ?auto_2181 ) ( LOCATION ?auto_2184 ) ( AT ?auto_2180 ?auto_2184 ) ( TRUCK ?auto_2187 ) ( AT ?auto_2187 ?auto_2184 ) ( IN ?auto_2178 ?auto_2187 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2178 ?auto_2184 )
      ( DELIVER-PKG ?auto_2178 ?auto_2179 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2196
      ?auto_2197
    )
    :vars
    (
      ?auto_2198
      ?auto_2201
      ?auto_2199
      ?auto_2203
      ?auto_2206
      ?auto_2205
    )
    :precondition
    ( and ( OBJ ?auto_2196 ) ( LOCATION ?auto_2197 ) ( AIRPLANE ?auto_2198 ) ( AIRPORT ?auto_2201 ) ( AIRPORT ?auto_2197 ) ( AT ?auto_2198 ?auto_2201 ) ( DIFFERENT ?auto_2197 ?auto_2201 ) ( LOCATION ?auto_2199 ) ( AT ?auto_2198 ?auto_2199 ) ( TRUCK ?auto_2203 ) ( IN ?auto_2196 ?auto_2203 ) ( LOCATION ?auto_2206 ) ( CITY ?auto_2205 ) ( AT ?auto_2203 ?auto_2206 ) ( IN-CITY ?auto_2206 ?auto_2205 ) ( IN-CITY ?auto_2199 ?auto_2205 ) ( DIFFERENT ?auto_2199 ?auto_2206 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2203 ?auto_2206 ?auto_2199 ?auto_2205 )
      ( DELIVER-PKG ?auto_2196 ?auto_2197 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2218
      ?auto_2219
    )
    :vars
    (
      ?auto_2225
      ?auto_2224
      ?auto_2220
      ?auto_2222
      ?auto_2227
      ?auto_2226
      ?auto_2230
      ?auto_2229
    )
    :precondition
    ( and ( OBJ ?auto_2218 ) ( LOCATION ?auto_2219 ) ( AIRPLANE ?auto_2225 ) ( AIRPORT ?auto_2224 ) ( AIRPORT ?auto_2219 ) ( AT ?auto_2225 ?auto_2224 ) ( DIFFERENT ?auto_2219 ?auto_2224 ) ( LOCATION ?auto_2220 ) ( AT ?auto_2225 ?auto_2220 ) ( TRUCK ?auto_2222 ) ( IN ?auto_2218 ?auto_2222 ) ( LOCATION ?auto_2227 ) ( CITY ?auto_2226 ) ( IN-CITY ?auto_2227 ?auto_2226 ) ( IN-CITY ?auto_2220 ?auto_2226 ) ( DIFFERENT ?auto_2220 ?auto_2227 ) ( LOCATION ?auto_2230 ) ( CITY ?auto_2229 ) ( AT ?auto_2222 ?auto_2230 ) ( IN-CITY ?auto_2230 ?auto_2229 ) ( IN-CITY ?auto_2227 ?auto_2229 ) ( DIFFERENT ?auto_2227 ?auto_2230 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2222 ?auto_2230 ?auto_2227 ?auto_2229 )
      ( DELIVER-PKG ?auto_2218 ?auto_2219 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2268
      ?auto_2269
    )
    :vars
    (
      ?auto_2273
      ?auto_2272
      ?auto_2271
      ?auto_2275
      ?auto_2277
      ?auto_2276
      ?auto_2279
      ?auto_2278
      ?auto_2281
    )
    :precondition
    ( and ( OBJ ?auto_2268 ) ( LOCATION ?auto_2269 ) ( AIRPLANE ?auto_2273 ) ( AIRPORT ?auto_2272 ) ( AIRPORT ?auto_2269 ) ( AT ?auto_2273 ?auto_2272 ) ( DIFFERENT ?auto_2269 ?auto_2272 ) ( LOCATION ?auto_2271 ) ( AT ?auto_2273 ?auto_2271 ) ( TRUCK ?auto_2275 ) ( LOCATION ?auto_2277 ) ( CITY ?auto_2276 ) ( IN-CITY ?auto_2277 ?auto_2276 ) ( IN-CITY ?auto_2271 ?auto_2276 ) ( DIFFERENT ?auto_2271 ?auto_2277 ) ( LOCATION ?auto_2279 ) ( CITY ?auto_2278 ) ( AT ?auto_2275 ?auto_2279 ) ( IN-CITY ?auto_2279 ?auto_2278 ) ( IN-CITY ?auto_2277 ?auto_2278 ) ( DIFFERENT ?auto_2277 ?auto_2279 ) ( LOCATION ?auto_2281 ) ( AT ?auto_2275 ?auto_2281 ) ( AT ?auto_2268 ?auto_2281 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2268 ?auto_2275 ?auto_2281 )
      ( DELIVER-PKG ?auto_2268 ?auto_2269 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3046
      ?auto_3047
    )
    :vars
    (
      ?auto_3053
      ?auto_3054
      ?auto_3055
      ?auto_3048
      ?auto_3050
      ?auto_3049
      ?auto_3057
      ?auto_3051
      ?auto_3061
      ?auto_3060
    )
    :precondition
    ( and ( OBJ ?auto_3046 ) ( LOCATION ?auto_3047 ) ( AIRPLANE ?auto_3053 ) ( AIRPORT ?auto_3054 ) ( AIRPORT ?auto_3047 ) ( AT ?auto_3053 ?auto_3054 ) ( DIFFERENT ?auto_3047 ?auto_3054 ) ( LOCATION ?auto_3055 ) ( AT ?auto_3053 ?auto_3055 ) ( TRUCK ?auto_3048 ) ( LOCATION ?auto_3050 ) ( CITY ?auto_3049 ) ( IN-CITY ?auto_3050 ?auto_3049 ) ( IN-CITY ?auto_3055 ?auto_3049 ) ( DIFFERENT ?auto_3055 ?auto_3050 ) ( LOCATION ?auto_3057 ) ( CITY ?auto_3051 ) ( IN-CITY ?auto_3057 ?auto_3051 ) ( IN-CITY ?auto_3050 ?auto_3051 ) ( DIFFERENT ?auto_3050 ?auto_3057 ) ( AT ?auto_3046 ?auto_3057 ) ( LOCATION ?auto_3061 ) ( CITY ?auto_3060 ) ( AT ?auto_3048 ?auto_3061 ) ( IN-CITY ?auto_3061 ?auto_3060 ) ( IN-CITY ?auto_3057 ?auto_3060 ) ( DIFFERENT ?auto_3057 ?auto_3061 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3048 ?auto_3061 ?auto_3057 ?auto_3060 )
      ( DELIVER-PKG ?auto_3046 ?auto_3047 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3063
      ?auto_3064
    )
    :vars
    (
      ?auto_3070
      ?auto_3072
      ?auto_3065
      ?auto_3067
      ?auto_3075
      ?auto_3068
      ?auto_3069
      ?auto_3074
      ?auto_3073
      ?auto_3078
    )
    :precondition
    ( and ( OBJ ?auto_3063 ) ( LOCATION ?auto_3064 ) ( AIRPLANE ?auto_3070 ) ( AIRPORT ?auto_3072 ) ( AIRPORT ?auto_3064 ) ( DIFFERENT ?auto_3064 ?auto_3072 ) ( LOCATION ?auto_3072 ) ( TRUCK ?auto_3065 ) ( LOCATION ?auto_3067 ) ( CITY ?auto_3075 ) ( IN-CITY ?auto_3067 ?auto_3075 ) ( IN-CITY ?auto_3072 ?auto_3075 ) ( DIFFERENT ?auto_3072 ?auto_3067 ) ( LOCATION ?auto_3068 ) ( CITY ?auto_3069 ) ( IN-CITY ?auto_3068 ?auto_3069 ) ( IN-CITY ?auto_3067 ?auto_3069 ) ( DIFFERENT ?auto_3067 ?auto_3068 ) ( AT ?auto_3063 ?auto_3068 ) ( LOCATION ?auto_3074 ) ( CITY ?auto_3073 ) ( AT ?auto_3065 ?auto_3074 ) ( IN-CITY ?auto_3074 ?auto_3073 ) ( IN-CITY ?auto_3068 ?auto_3073 ) ( DIFFERENT ?auto_3068 ?auto_3074 ) ( AIRPORT ?auto_3078 ) ( AT ?auto_3070 ?auto_3078 ) ( DIFFERENT ?auto_3072 ?auto_3078 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3070 ?auto_3078 ?auto_3072 )
      ( DELIVER-PKG ?auto_3063 ?auto_3064 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3271
      ?auto_3272
    )
    :vars
    (
      ?auto_3275
      ?auto_3277
      ?auto_3276
      ?auto_3279
      ?auto_3278
      ?auto_3281
      ?auto_3280
      ?auto_3284
      ?auto_3283
    )
    :precondition
    ( and ( OBJ ?auto_3271 ) ( LOCATION ?auto_3272 ) ( TRUCK ?auto_3275 ) ( LOCATION ?auto_3277 ) ( CITY ?auto_3276 ) ( IN-CITY ?auto_3277 ?auto_3276 ) ( IN-CITY ?auto_3272 ?auto_3276 ) ( DIFFERENT ?auto_3272 ?auto_3277 ) ( AT ?auto_3271 ?auto_3277 ) ( LOCATION ?auto_3279 ) ( CITY ?auto_3278 ) ( IN-CITY ?auto_3279 ?auto_3278 ) ( IN-CITY ?auto_3277 ?auto_3278 ) ( DIFFERENT ?auto_3277 ?auto_3279 ) ( LOCATION ?auto_3281 ) ( CITY ?auto_3280 ) ( IN-CITY ?auto_3281 ?auto_3280 ) ( IN-CITY ?auto_3279 ?auto_3280 ) ( DIFFERENT ?auto_3279 ?auto_3281 ) ( LOCATION ?auto_3284 ) ( CITY ?auto_3283 ) ( AT ?auto_3275 ?auto_3284 ) ( IN-CITY ?auto_3284 ?auto_3283 ) ( IN-CITY ?auto_3281 ?auto_3283 ) ( DIFFERENT ?auto_3281 ?auto_3284 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3275 ?auto_3284 ?auto_3281 ?auto_3283 )
      ( DELIVER-PKG ?auto_3271 ?auto_3272 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3299
      ?auto_3300
    )
    :vars
    (
      ?auto_3303
      ?auto_3305
      ?auto_3304
      ?auto_3307
      ?auto_3306
      ?auto_3309
      ?auto_3308
      ?auto_3311
      ?auto_3310
      ?auto_3314
      ?auto_3313
    )
    :precondition
    ( and ( OBJ ?auto_3299 ) ( LOCATION ?auto_3300 ) ( TRUCK ?auto_3303 ) ( LOCATION ?auto_3305 ) ( CITY ?auto_3304 ) ( IN-CITY ?auto_3305 ?auto_3304 ) ( IN-CITY ?auto_3300 ?auto_3304 ) ( DIFFERENT ?auto_3300 ?auto_3305 ) ( AT ?auto_3299 ?auto_3305 ) ( LOCATION ?auto_3307 ) ( CITY ?auto_3306 ) ( IN-CITY ?auto_3307 ?auto_3306 ) ( IN-CITY ?auto_3305 ?auto_3306 ) ( DIFFERENT ?auto_3305 ?auto_3307 ) ( LOCATION ?auto_3309 ) ( CITY ?auto_3308 ) ( IN-CITY ?auto_3309 ?auto_3308 ) ( IN-CITY ?auto_3307 ?auto_3308 ) ( DIFFERENT ?auto_3307 ?auto_3309 ) ( LOCATION ?auto_3311 ) ( CITY ?auto_3310 ) ( IN-CITY ?auto_3311 ?auto_3310 ) ( IN-CITY ?auto_3309 ?auto_3310 ) ( DIFFERENT ?auto_3309 ?auto_3311 ) ( LOCATION ?auto_3314 ) ( CITY ?auto_3313 ) ( AT ?auto_3303 ?auto_3314 ) ( IN-CITY ?auto_3314 ?auto_3313 ) ( IN-CITY ?auto_3311 ?auto_3313 ) ( DIFFERENT ?auto_3311 ?auto_3314 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3303 ?auto_3314 ?auto_3311 ?auto_3313 )
      ( DELIVER-PKG ?auto_3299 ?auto_3300 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3458
      ?auto_3459
    )
    :vars
    (
      ?auto_3462
      ?auto_3464
      ?auto_3466
    )
    :precondition
    ( and ( OBJ ?auto_3458 ) ( LOCATION ?auto_3459 ) ( AIRPLANE ?auto_3462 ) ( AIRPORT ?auto_3464 ) ( AIRPORT ?auto_3459 ) ( DIFFERENT ?auto_3459 ?auto_3464 ) ( LOCATION ?auto_3464 ) ( AT ?auto_3458 ?auto_3464 ) ( AIRPORT ?auto_3466 ) ( AT ?auto_3462 ?auto_3466 ) ( DIFFERENT ?auto_3464 ?auto_3466 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3462 ?auto_3466 ?auto_3464 )
      ( DELIVER-PKG ?auto_3458 ?auto_3459 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3817
      ?auto_3818
    )
    :vars
    (
      ?auto_3822
      ?auto_3821
      ?auto_3824
      ?auto_3825
      ?auto_3826
      ?auto_3823
      ?auto_3828
    )
    :precondition
    ( and ( OBJ ?auto_3817 ) ( LOCATION ?auto_3818 ) ( AIRPLANE ?auto_3822 ) ( AIRPORT ?auto_3821 ) ( AIRPORT ?auto_3818 ) ( AT ?auto_3822 ?auto_3821 ) ( DIFFERENT ?auto_3818 ?auto_3821 ) ( LOCATION ?auto_3824 ) ( AT ?auto_3822 ?auto_3824 ) ( TRUCK ?auto_3825 ) ( LOCATION ?auto_3826 ) ( CITY ?auto_3823 ) ( AT ?auto_3825 ?auto_3826 ) ( IN-CITY ?auto_3826 ?auto_3823 ) ( IN-CITY ?auto_3824 ?auto_3823 ) ( DIFFERENT ?auto_3824 ?auto_3826 ) ( LOCATION ?auto_3828 ) ( AT ?auto_3825 ?auto_3828 ) ( AT ?auto_3817 ?auto_3828 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3817 ?auto_3825 ?auto_3828 )
      ( DELIVER-PKG ?auto_3817 ?auto_3818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3852
      ?auto_3853
    )
    :vars
    (
      ?auto_3857
      ?auto_3856
      ?auto_3859
      ?auto_3860
      ?auto_3862
      ?auto_3858
      ?auto_3865
      ?auto_3864
    )
    :precondition
    ( and ( OBJ ?auto_3852 ) ( LOCATION ?auto_3853 ) ( AIRPLANE ?auto_3857 ) ( AIRPORT ?auto_3856 ) ( AIRPORT ?auto_3853 ) ( AT ?auto_3857 ?auto_3856 ) ( DIFFERENT ?auto_3853 ?auto_3856 ) ( LOCATION ?auto_3859 ) ( AT ?auto_3857 ?auto_3859 ) ( TRUCK ?auto_3860 ) ( LOCATION ?auto_3862 ) ( CITY ?auto_3858 ) ( IN-CITY ?auto_3862 ?auto_3858 ) ( IN-CITY ?auto_3859 ?auto_3858 ) ( DIFFERENT ?auto_3859 ?auto_3862 ) ( AT ?auto_3852 ?auto_3862 ) ( LOCATION ?auto_3865 ) ( CITY ?auto_3864 ) ( AT ?auto_3860 ?auto_3865 ) ( IN-CITY ?auto_3865 ?auto_3864 ) ( IN-CITY ?auto_3862 ?auto_3864 ) ( DIFFERENT ?auto_3862 ?auto_3865 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3860 ?auto_3865 ?auto_3862 ?auto_3864 )
      ( DELIVER-PKG ?auto_3852 ?auto_3853 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3891
      ?auto_3892
    )
    :vars
    (
      ?auto_3895
      ?auto_3894
      ?auto_3897
      ?auto_3898
      ?auto_3899
      ?auto_3896
      ?auto_3902
      ?auto_3901
      ?auto_3905
      ?auto_3904
    )
    :precondition
    ( and ( OBJ ?auto_3891 ) ( LOCATION ?auto_3892 ) ( AIRPLANE ?auto_3895 ) ( AIRPORT ?auto_3894 ) ( AIRPORT ?auto_3892 ) ( AT ?auto_3895 ?auto_3894 ) ( DIFFERENT ?auto_3892 ?auto_3894 ) ( LOCATION ?auto_3897 ) ( AT ?auto_3895 ?auto_3897 ) ( TRUCK ?auto_3898 ) ( LOCATION ?auto_3899 ) ( CITY ?auto_3896 ) ( IN-CITY ?auto_3899 ?auto_3896 ) ( IN-CITY ?auto_3897 ?auto_3896 ) ( DIFFERENT ?auto_3897 ?auto_3899 ) ( AT ?auto_3891 ?auto_3899 ) ( LOCATION ?auto_3902 ) ( CITY ?auto_3901 ) ( IN-CITY ?auto_3902 ?auto_3901 ) ( IN-CITY ?auto_3899 ?auto_3901 ) ( DIFFERENT ?auto_3899 ?auto_3902 ) ( LOCATION ?auto_3905 ) ( CITY ?auto_3904 ) ( AT ?auto_3898 ?auto_3905 ) ( IN-CITY ?auto_3905 ?auto_3904 ) ( IN-CITY ?auto_3902 ?auto_3904 ) ( DIFFERENT ?auto_3902 ?auto_3905 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3898 ?auto_3905 ?auto_3902 ?auto_3904 )
      ( DELIVER-PKG ?auto_3891 ?auto_3892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3949
      ?auto_3950
    )
    :vars
    (
      ?auto_3957
      ?auto_3956
      ?auto_3959
      ?auto_3953
      ?auto_3954
      ?auto_3958
      ?auto_3952
      ?auto_3955
      ?auto_3962
      ?auto_3961
      ?auto_3965
      ?auto_3964
    )
    :precondition
    ( and ( OBJ ?auto_3949 ) ( LOCATION ?auto_3950 ) ( AIRPLANE ?auto_3957 ) ( AIRPORT ?auto_3956 ) ( AIRPORT ?auto_3950 ) ( AT ?auto_3957 ?auto_3956 ) ( DIFFERENT ?auto_3950 ?auto_3956 ) ( LOCATION ?auto_3959 ) ( AT ?auto_3957 ?auto_3959 ) ( TRUCK ?auto_3953 ) ( LOCATION ?auto_3954 ) ( CITY ?auto_3958 ) ( IN-CITY ?auto_3954 ?auto_3958 ) ( IN-CITY ?auto_3959 ?auto_3958 ) ( DIFFERENT ?auto_3959 ?auto_3954 ) ( AT ?auto_3949 ?auto_3954 ) ( LOCATION ?auto_3952 ) ( CITY ?auto_3955 ) ( IN-CITY ?auto_3952 ?auto_3955 ) ( IN-CITY ?auto_3954 ?auto_3955 ) ( DIFFERENT ?auto_3954 ?auto_3952 ) ( LOCATION ?auto_3962 ) ( CITY ?auto_3961 ) ( IN-CITY ?auto_3962 ?auto_3961 ) ( IN-CITY ?auto_3952 ?auto_3961 ) ( DIFFERENT ?auto_3952 ?auto_3962 ) ( LOCATION ?auto_3965 ) ( CITY ?auto_3964 ) ( AT ?auto_3953 ?auto_3965 ) ( IN-CITY ?auto_3965 ?auto_3964 ) ( IN-CITY ?auto_3962 ?auto_3964 ) ( DIFFERENT ?auto_3962 ?auto_3965 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3953 ?auto_3965 ?auto_3962 ?auto_3964 )
      ( DELIVER-PKG ?auto_3949 ?auto_3950 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3983
      ?auto_3984
    )
    :vars
    (
      ?auto_3992
      ?auto_3991
      ?auto_3994
      ?auto_3989
      ?auto_3987
      ?auto_3993
      ?auto_3988
      ?auto_3990
      ?auto_3996
      ?auto_3995
      ?auto_3998
      ?auto_3997
      ?auto_4001
      ?auto_4000
    )
    :precondition
    ( and ( OBJ ?auto_3983 ) ( LOCATION ?auto_3984 ) ( AIRPLANE ?auto_3992 ) ( AIRPORT ?auto_3991 ) ( AIRPORT ?auto_3984 ) ( AT ?auto_3992 ?auto_3991 ) ( DIFFERENT ?auto_3984 ?auto_3991 ) ( LOCATION ?auto_3994 ) ( AT ?auto_3992 ?auto_3994 ) ( TRUCK ?auto_3989 ) ( LOCATION ?auto_3987 ) ( CITY ?auto_3993 ) ( IN-CITY ?auto_3987 ?auto_3993 ) ( IN-CITY ?auto_3994 ?auto_3993 ) ( DIFFERENT ?auto_3994 ?auto_3987 ) ( AT ?auto_3983 ?auto_3987 ) ( LOCATION ?auto_3988 ) ( CITY ?auto_3990 ) ( IN-CITY ?auto_3988 ?auto_3990 ) ( IN-CITY ?auto_3987 ?auto_3990 ) ( DIFFERENT ?auto_3987 ?auto_3988 ) ( LOCATION ?auto_3996 ) ( CITY ?auto_3995 ) ( IN-CITY ?auto_3996 ?auto_3995 ) ( IN-CITY ?auto_3988 ?auto_3995 ) ( DIFFERENT ?auto_3988 ?auto_3996 ) ( LOCATION ?auto_3998 ) ( CITY ?auto_3997 ) ( IN-CITY ?auto_3998 ?auto_3997 ) ( IN-CITY ?auto_3996 ?auto_3997 ) ( DIFFERENT ?auto_3996 ?auto_3998 ) ( LOCATION ?auto_4001 ) ( CITY ?auto_4000 ) ( AT ?auto_3989 ?auto_4001 ) ( IN-CITY ?auto_4001 ?auto_4000 ) ( IN-CITY ?auto_3998 ?auto_4000 ) ( DIFFERENT ?auto_3998 ?auto_4001 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3989 ?auto_4001 ?auto_3998 ?auto_4000 )
      ( DELIVER-PKG ?auto_3983 ?auto_3984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4075
      ?auto_4076
    )
    :vars
    (
      ?auto_4085
      ?auto_4087
      ?auto_4082
      ?auto_4077
      ?auto_4086
      ?auto_4078
      ?auto_4083
      ?auto_4089
      ?auto_4088
      ?auto_4081
      ?auto_4079
      ?auto_4092
      ?auto_4080
      ?auto_4094
    )
    :precondition
    ( and ( OBJ ?auto_4075 ) ( LOCATION ?auto_4076 ) ( AIRPLANE ?auto_4085 ) ( AIRPORT ?auto_4087 ) ( AIRPORT ?auto_4076 ) ( DIFFERENT ?auto_4076 ?auto_4087 ) ( LOCATION ?auto_4087 ) ( TRUCK ?auto_4082 ) ( LOCATION ?auto_4077 ) ( CITY ?auto_4086 ) ( IN-CITY ?auto_4077 ?auto_4086 ) ( IN-CITY ?auto_4087 ?auto_4086 ) ( DIFFERENT ?auto_4087 ?auto_4077 ) ( AT ?auto_4075 ?auto_4077 ) ( LOCATION ?auto_4078 ) ( CITY ?auto_4083 ) ( IN-CITY ?auto_4078 ?auto_4083 ) ( IN-CITY ?auto_4077 ?auto_4083 ) ( DIFFERENT ?auto_4077 ?auto_4078 ) ( LOCATION ?auto_4089 ) ( CITY ?auto_4088 ) ( IN-CITY ?auto_4089 ?auto_4088 ) ( IN-CITY ?auto_4078 ?auto_4088 ) ( DIFFERENT ?auto_4078 ?auto_4089 ) ( LOCATION ?auto_4081 ) ( CITY ?auto_4079 ) ( IN-CITY ?auto_4081 ?auto_4079 ) ( IN-CITY ?auto_4089 ?auto_4079 ) ( DIFFERENT ?auto_4089 ?auto_4081 ) ( LOCATION ?auto_4092 ) ( CITY ?auto_4080 ) ( AT ?auto_4082 ?auto_4092 ) ( IN-CITY ?auto_4092 ?auto_4080 ) ( IN-CITY ?auto_4081 ?auto_4080 ) ( DIFFERENT ?auto_4081 ?auto_4092 ) ( AIRPORT ?auto_4094 ) ( AT ?auto_4085 ?auto_4094 ) ( DIFFERENT ?auto_4087 ?auto_4094 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4085 ?auto_4094 ?auto_4087 )
      ( DELIVER-PKG ?auto_4075 ?auto_4076 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4322
      ?auto_4323
    )
    :vars
    (
      ?auto_4324
      ?auto_4328
      ?auto_4325
      ?auto_4326
      ?auto_4332
    )
    :precondition
    ( and ( OBJ ?auto_4322 ) ( LOCATION ?auto_4323 ) ( TRUCK ?auto_4324 ) ( LOCATION ?auto_4328 ) ( CITY ?auto_4325 ) ( AT ?auto_4324 ?auto_4328 ) ( IN-CITY ?auto_4328 ?auto_4325 ) ( IN-CITY ?auto_4323 ?auto_4325 ) ( DIFFERENT ?auto_4323 ?auto_4328 ) ( LOCATION ?auto_4326 ) ( AT ?auto_4324 ?auto_4326 ) ( AIRPLANE ?auto_4332 ) ( IN ?auto_4322 ?auto_4332 ) ( AT ?auto_4332 ?auto_4326 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4322 ?auto_4326 )
      ( DELIVER-PKG ?auto_4322 ?auto_4323 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4333
      ?auto_4334
    )
    :vars
    (
      ?auto_4338
      ?auto_4337
      ?auto_4336
      ?auto_4341
      ?auto_4339
      ?auto_4343
    )
    :precondition
    ( and ( OBJ ?auto_4333 ) ( LOCATION ?auto_4334 ) ( TRUCK ?auto_4338 ) ( LOCATION ?auto_4337 ) ( CITY ?auto_4336 ) ( AT ?auto_4338 ?auto_4337 ) ( IN-CITY ?auto_4337 ?auto_4336 ) ( IN-CITY ?auto_4334 ?auto_4336 ) ( DIFFERENT ?auto_4334 ?auto_4337 ) ( LOCATION ?auto_4341 ) ( AT ?auto_4338 ?auto_4341 ) ( AIRPLANE ?auto_4339 ) ( IN ?auto_4333 ?auto_4339 ) ( AIRPORT ?auto_4343 ) ( AIRPORT ?auto_4341 ) ( AT ?auto_4339 ?auto_4343 ) ( DIFFERENT ?auto_4341 ?auto_4343 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4339 ?auto_4343 ?auto_4341 )
      ( DELIVER-PKG ?auto_4333 ?auto_4334 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4345
      ?auto_4346
    )
    :vars
    (
      ?auto_4353
      ?auto_4349
      ?auto_4352
      ?auto_4348
      ?auto_4350
      ?auto_4351
      ?auto_4356
    )
    :precondition
    ( and ( OBJ ?auto_4345 ) ( LOCATION ?auto_4346 ) ( TRUCK ?auto_4353 ) ( LOCATION ?auto_4349 ) ( CITY ?auto_4352 ) ( AT ?auto_4353 ?auto_4349 ) ( IN-CITY ?auto_4349 ?auto_4352 ) ( IN-CITY ?auto_4346 ?auto_4352 ) ( DIFFERENT ?auto_4346 ?auto_4349 ) ( LOCATION ?auto_4348 ) ( AT ?auto_4353 ?auto_4348 ) ( AIRPLANE ?auto_4350 ) ( AIRPORT ?auto_4351 ) ( AIRPORT ?auto_4348 ) ( AT ?auto_4350 ?auto_4351 ) ( DIFFERENT ?auto_4348 ?auto_4351 ) ( LOCATION ?auto_4356 ) ( AT ?auto_4345 ?auto_4356 ) ( AT ?auto_4350 ?auto_4356 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4345 ?auto_4350 ?auto_4356 )
      ( DELIVER-PKG ?auto_4345 ?auto_4346 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4369
      ?auto_4370
    )
    :vars
    (
      ?auto_4371
      ?auto_4376
      ?auto_4375
      ?auto_4377
      ?auto_4378
      ?auto_4379
      ?auto_4374
      ?auto_4382
    )
    :precondition
    ( and ( OBJ ?auto_4369 ) ( LOCATION ?auto_4370 ) ( TRUCK ?auto_4371 ) ( LOCATION ?auto_4376 ) ( CITY ?auto_4375 ) ( AT ?auto_4371 ?auto_4376 ) ( IN-CITY ?auto_4376 ?auto_4375 ) ( IN-CITY ?auto_4370 ?auto_4375 ) ( DIFFERENT ?auto_4370 ?auto_4376 ) ( LOCATION ?auto_4377 ) ( AT ?auto_4371 ?auto_4377 ) ( AIRPLANE ?auto_4378 ) ( AIRPORT ?auto_4379 ) ( AIRPORT ?auto_4377 ) ( AT ?auto_4378 ?auto_4379 ) ( DIFFERENT ?auto_4377 ?auto_4379 ) ( LOCATION ?auto_4374 ) ( AT ?auto_4378 ?auto_4374 ) ( TRUCK ?auto_4382 ) ( AT ?auto_4382 ?auto_4374 ) ( IN ?auto_4369 ?auto_4382 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4369 ?auto_4374 )
      ( DELIVER-PKG ?auto_4369 ?auto_4370 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4407
      ?auto_4408
    )
    :vars
    (
      ?auto_4409
      ?auto_4413
      ?auto_4414
      ?auto_4410
      ?auto_4411
      ?auto_4416
      ?auto_4412
      ?auto_4418
      ?auto_4421
      ?auto_4420
    )
    :precondition
    ( and ( OBJ ?auto_4407 ) ( LOCATION ?auto_4408 ) ( TRUCK ?auto_4409 ) ( LOCATION ?auto_4413 ) ( CITY ?auto_4414 ) ( AT ?auto_4409 ?auto_4413 ) ( IN-CITY ?auto_4413 ?auto_4414 ) ( IN-CITY ?auto_4408 ?auto_4414 ) ( DIFFERENT ?auto_4408 ?auto_4413 ) ( LOCATION ?auto_4410 ) ( AT ?auto_4409 ?auto_4410 ) ( AIRPLANE ?auto_4411 ) ( AIRPORT ?auto_4416 ) ( AIRPORT ?auto_4410 ) ( AT ?auto_4411 ?auto_4416 ) ( DIFFERENT ?auto_4410 ?auto_4416 ) ( LOCATION ?auto_4412 ) ( AT ?auto_4411 ?auto_4412 ) ( TRUCK ?auto_4418 ) ( IN ?auto_4407 ?auto_4418 ) ( LOCATION ?auto_4421 ) ( CITY ?auto_4420 ) ( AT ?auto_4418 ?auto_4421 ) ( IN-CITY ?auto_4421 ?auto_4420 ) ( IN-CITY ?auto_4412 ?auto_4420 ) ( DIFFERENT ?auto_4412 ?auto_4421 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4418 ?auto_4421 ?auto_4412 ?auto_4420 )
      ( DELIVER-PKG ?auto_4407 ?auto_4408 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4465
      ?auto_4466
    )
    :vars
    (
      ?auto_4467
      ?auto_4475
      ?auto_4476
      ?auto_4472
      ?auto_4473
      ?auto_4470
      ?auto_4474
      ?auto_4471
      ?auto_4478
      ?auto_4477
      ?auto_4480
    )
    :precondition
    ( and ( OBJ ?auto_4465 ) ( LOCATION ?auto_4466 ) ( TRUCK ?auto_4467 ) ( LOCATION ?auto_4475 ) ( CITY ?auto_4476 ) ( AT ?auto_4467 ?auto_4475 ) ( IN-CITY ?auto_4475 ?auto_4476 ) ( IN-CITY ?auto_4466 ?auto_4476 ) ( DIFFERENT ?auto_4466 ?auto_4475 ) ( LOCATION ?auto_4472 ) ( AT ?auto_4467 ?auto_4472 ) ( AIRPLANE ?auto_4473 ) ( AIRPORT ?auto_4470 ) ( AIRPORT ?auto_4472 ) ( AT ?auto_4473 ?auto_4470 ) ( DIFFERENT ?auto_4472 ?auto_4470 ) ( LOCATION ?auto_4474 ) ( AT ?auto_4473 ?auto_4474 ) ( TRUCK ?auto_4471 ) ( LOCATION ?auto_4478 ) ( CITY ?auto_4477 ) ( AT ?auto_4471 ?auto_4478 ) ( IN-CITY ?auto_4478 ?auto_4477 ) ( IN-CITY ?auto_4474 ?auto_4477 ) ( DIFFERENT ?auto_4474 ?auto_4478 ) ( LOCATION ?auto_4480 ) ( AT ?auto_4471 ?auto_4480 ) ( AT ?auto_4465 ?auto_4480 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4465 ?auto_4471 ?auto_4480 )
      ( DELIVER-PKG ?auto_4465 ?auto_4466 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4512
      ?auto_4513
    )
    :vars
    (
      ?auto_4514
      ?auto_4522
      ?auto_4523
      ?auto_4519
      ?auto_4520
      ?auto_4515
      ?auto_4521
      ?auto_4518
      ?auto_4526
      ?auto_4524
      ?auto_4529
      ?auto_4528
    )
    :precondition
    ( and ( OBJ ?auto_4512 ) ( LOCATION ?auto_4513 ) ( TRUCK ?auto_4514 ) ( LOCATION ?auto_4522 ) ( CITY ?auto_4523 ) ( AT ?auto_4514 ?auto_4522 ) ( IN-CITY ?auto_4522 ?auto_4523 ) ( IN-CITY ?auto_4513 ?auto_4523 ) ( DIFFERENT ?auto_4513 ?auto_4522 ) ( LOCATION ?auto_4519 ) ( AT ?auto_4514 ?auto_4519 ) ( AIRPLANE ?auto_4520 ) ( AIRPORT ?auto_4515 ) ( AIRPORT ?auto_4519 ) ( AT ?auto_4520 ?auto_4515 ) ( DIFFERENT ?auto_4519 ?auto_4515 ) ( LOCATION ?auto_4521 ) ( AT ?auto_4520 ?auto_4521 ) ( TRUCK ?auto_4518 ) ( LOCATION ?auto_4526 ) ( CITY ?auto_4524 ) ( IN-CITY ?auto_4526 ?auto_4524 ) ( IN-CITY ?auto_4521 ?auto_4524 ) ( DIFFERENT ?auto_4521 ?auto_4526 ) ( AT ?auto_4512 ?auto_4526 ) ( LOCATION ?auto_4529 ) ( CITY ?auto_4528 ) ( AT ?auto_4518 ?auto_4529 ) ( IN-CITY ?auto_4529 ?auto_4528 ) ( IN-CITY ?auto_4526 ?auto_4528 ) ( DIFFERENT ?auto_4526 ?auto_4529 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4518 ?auto_4529 ?auto_4526 ?auto_4528 )
      ( DELIVER-PKG ?auto_4512 ?auto_4513 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4563
      ?auto_4564
    )
    :vars
    (
      ?auto_4575
      ?auto_4571
      ?auto_4572
      ?auto_4568
      ?auto_4569
      ?auto_4574
      ?auto_4570
      ?auto_4567
      ?auto_4576
      ?auto_4573
      ?auto_4578
      ?auto_4577
      ?auto_4581
      ?auto_4580
    )
    :precondition
    ( and ( OBJ ?auto_4563 ) ( LOCATION ?auto_4564 ) ( TRUCK ?auto_4575 ) ( LOCATION ?auto_4571 ) ( CITY ?auto_4572 ) ( AT ?auto_4575 ?auto_4571 ) ( IN-CITY ?auto_4571 ?auto_4572 ) ( IN-CITY ?auto_4564 ?auto_4572 ) ( DIFFERENT ?auto_4564 ?auto_4571 ) ( LOCATION ?auto_4568 ) ( AT ?auto_4575 ?auto_4568 ) ( AIRPLANE ?auto_4569 ) ( AIRPORT ?auto_4574 ) ( AIRPORT ?auto_4568 ) ( AT ?auto_4569 ?auto_4574 ) ( DIFFERENT ?auto_4568 ?auto_4574 ) ( LOCATION ?auto_4570 ) ( AT ?auto_4569 ?auto_4570 ) ( TRUCK ?auto_4567 ) ( LOCATION ?auto_4576 ) ( CITY ?auto_4573 ) ( IN-CITY ?auto_4576 ?auto_4573 ) ( IN-CITY ?auto_4570 ?auto_4573 ) ( DIFFERENT ?auto_4570 ?auto_4576 ) ( AT ?auto_4563 ?auto_4576 ) ( LOCATION ?auto_4578 ) ( CITY ?auto_4577 ) ( IN-CITY ?auto_4578 ?auto_4577 ) ( IN-CITY ?auto_4576 ?auto_4577 ) ( DIFFERENT ?auto_4576 ?auto_4578 ) ( LOCATION ?auto_4581 ) ( CITY ?auto_4580 ) ( AT ?auto_4567 ?auto_4581 ) ( IN-CITY ?auto_4581 ?auto_4580 ) ( IN-CITY ?auto_4578 ?auto_4580 ) ( DIFFERENT ?auto_4578 ?auto_4581 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4567 ?auto_4581 ?auto_4578 ?auto_4580 )
      ( DELIVER-PKG ?auto_4563 ?auto_4564 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4637
      ?auto_4638
    )
    :vars
    (
      ?auto_4647
      ?auto_4643
      ?auto_4644
      ?auto_4651
      ?auto_4641
      ?auto_4646
      ?auto_4642
      ?auto_4652
      ?auto_4648
      ?auto_4645
      ?auto_4650
      ?auto_4649
      ?auto_4654
      ?auto_4653
      ?auto_4657
      ?auto_4656
    )
    :precondition
    ( and ( OBJ ?auto_4637 ) ( LOCATION ?auto_4638 ) ( TRUCK ?auto_4647 ) ( LOCATION ?auto_4643 ) ( CITY ?auto_4644 ) ( AT ?auto_4647 ?auto_4643 ) ( IN-CITY ?auto_4643 ?auto_4644 ) ( IN-CITY ?auto_4638 ?auto_4644 ) ( DIFFERENT ?auto_4638 ?auto_4643 ) ( LOCATION ?auto_4651 ) ( AT ?auto_4647 ?auto_4651 ) ( AIRPLANE ?auto_4641 ) ( AIRPORT ?auto_4646 ) ( AIRPORT ?auto_4651 ) ( AT ?auto_4641 ?auto_4646 ) ( DIFFERENT ?auto_4651 ?auto_4646 ) ( LOCATION ?auto_4642 ) ( AT ?auto_4641 ?auto_4642 ) ( TRUCK ?auto_4652 ) ( LOCATION ?auto_4648 ) ( CITY ?auto_4645 ) ( IN-CITY ?auto_4648 ?auto_4645 ) ( IN-CITY ?auto_4642 ?auto_4645 ) ( DIFFERENT ?auto_4642 ?auto_4648 ) ( AT ?auto_4637 ?auto_4648 ) ( LOCATION ?auto_4650 ) ( CITY ?auto_4649 ) ( IN-CITY ?auto_4650 ?auto_4649 ) ( IN-CITY ?auto_4648 ?auto_4649 ) ( DIFFERENT ?auto_4648 ?auto_4650 ) ( LOCATION ?auto_4654 ) ( CITY ?auto_4653 ) ( IN-CITY ?auto_4654 ?auto_4653 ) ( IN-CITY ?auto_4650 ?auto_4653 ) ( DIFFERENT ?auto_4650 ?auto_4654 ) ( LOCATION ?auto_4657 ) ( CITY ?auto_4656 ) ( AT ?auto_4652 ?auto_4657 ) ( IN-CITY ?auto_4657 ?auto_4656 ) ( IN-CITY ?auto_4654 ?auto_4656 ) ( DIFFERENT ?auto_4654 ?auto_4657 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4652 ?auto_4657 ?auto_4654 ?auto_4656 )
      ( DELIVER-PKG ?auto_4637 ?auto_4638 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4679
      ?auto_4680
    )
    :vars
    (
      ?auto_4690
      ?auto_4686
      ?auto_4687
      ?auto_4694
      ?auto_4684
      ?auto_4689
      ?auto_4685
      ?auto_4695
      ?auto_4691
      ?auto_4688
      ?auto_4693
      ?auto_4692
      ?auto_4697
      ?auto_4696
      ?auto_4698
      ?auto_4683
      ?auto_4701
      ?auto_4700
    )
    :precondition
    ( and ( OBJ ?auto_4679 ) ( LOCATION ?auto_4680 ) ( TRUCK ?auto_4690 ) ( LOCATION ?auto_4686 ) ( CITY ?auto_4687 ) ( AT ?auto_4690 ?auto_4686 ) ( IN-CITY ?auto_4686 ?auto_4687 ) ( IN-CITY ?auto_4680 ?auto_4687 ) ( DIFFERENT ?auto_4680 ?auto_4686 ) ( LOCATION ?auto_4694 ) ( AT ?auto_4690 ?auto_4694 ) ( AIRPLANE ?auto_4684 ) ( AIRPORT ?auto_4689 ) ( AIRPORT ?auto_4694 ) ( AT ?auto_4684 ?auto_4689 ) ( DIFFERENT ?auto_4694 ?auto_4689 ) ( LOCATION ?auto_4685 ) ( AT ?auto_4684 ?auto_4685 ) ( TRUCK ?auto_4695 ) ( LOCATION ?auto_4691 ) ( CITY ?auto_4688 ) ( IN-CITY ?auto_4691 ?auto_4688 ) ( IN-CITY ?auto_4685 ?auto_4688 ) ( DIFFERENT ?auto_4685 ?auto_4691 ) ( AT ?auto_4679 ?auto_4691 ) ( LOCATION ?auto_4693 ) ( CITY ?auto_4692 ) ( IN-CITY ?auto_4693 ?auto_4692 ) ( IN-CITY ?auto_4691 ?auto_4692 ) ( DIFFERENT ?auto_4691 ?auto_4693 ) ( LOCATION ?auto_4697 ) ( CITY ?auto_4696 ) ( IN-CITY ?auto_4697 ?auto_4696 ) ( IN-CITY ?auto_4693 ?auto_4696 ) ( DIFFERENT ?auto_4693 ?auto_4697 ) ( LOCATION ?auto_4698 ) ( CITY ?auto_4683 ) ( IN-CITY ?auto_4698 ?auto_4683 ) ( IN-CITY ?auto_4697 ?auto_4683 ) ( DIFFERENT ?auto_4697 ?auto_4698 ) ( LOCATION ?auto_4701 ) ( CITY ?auto_4700 ) ( AT ?auto_4695 ?auto_4701 ) ( IN-CITY ?auto_4701 ?auto_4700 ) ( IN-CITY ?auto_4698 ?auto_4700 ) ( DIFFERENT ?auto_4698 ?auto_4701 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4695 ?auto_4701 ?auto_4698 ?auto_4700 )
      ( DELIVER-PKG ?auto_4679 ?auto_4680 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4747
      ?auto_4748
    )
    :vars
    (
      ?auto_4757
      ?auto_4761
      ?auto_4753
      ?auto_4749
      ?auto_4755
      ?auto_4766
      ?auto_4762
      ?auto_4758
      ?auto_4754
      ?auto_4760
      ?auto_4759
      ?auto_4764
      ?auto_4763
      ?auto_4765
      ?auto_4750
      ?auto_4768
      ?auto_4756
      ?auto_4771
      ?auto_4770
    )
    :precondition
    ( and ( OBJ ?auto_4747 ) ( LOCATION ?auto_4748 ) ( TRUCK ?auto_4757 ) ( LOCATION ?auto_4761 ) ( CITY ?auto_4753 ) ( IN-CITY ?auto_4761 ?auto_4753 ) ( IN-CITY ?auto_4748 ?auto_4753 ) ( DIFFERENT ?auto_4748 ?auto_4761 ) ( AIRPLANE ?auto_4749 ) ( AIRPORT ?auto_4755 ) ( AIRPORT ?auto_4761 ) ( AT ?auto_4749 ?auto_4755 ) ( DIFFERENT ?auto_4761 ?auto_4755 ) ( LOCATION ?auto_4766 ) ( AT ?auto_4749 ?auto_4766 ) ( TRUCK ?auto_4762 ) ( LOCATION ?auto_4758 ) ( CITY ?auto_4754 ) ( IN-CITY ?auto_4758 ?auto_4754 ) ( IN-CITY ?auto_4766 ?auto_4754 ) ( DIFFERENT ?auto_4766 ?auto_4758 ) ( AT ?auto_4747 ?auto_4758 ) ( LOCATION ?auto_4760 ) ( CITY ?auto_4759 ) ( IN-CITY ?auto_4760 ?auto_4759 ) ( IN-CITY ?auto_4758 ?auto_4759 ) ( DIFFERENT ?auto_4758 ?auto_4760 ) ( LOCATION ?auto_4764 ) ( CITY ?auto_4763 ) ( IN-CITY ?auto_4764 ?auto_4763 ) ( IN-CITY ?auto_4760 ?auto_4763 ) ( DIFFERENT ?auto_4760 ?auto_4764 ) ( LOCATION ?auto_4765 ) ( CITY ?auto_4750 ) ( IN-CITY ?auto_4765 ?auto_4750 ) ( IN-CITY ?auto_4764 ?auto_4750 ) ( DIFFERENT ?auto_4764 ?auto_4765 ) ( LOCATION ?auto_4768 ) ( CITY ?auto_4756 ) ( AT ?auto_4762 ?auto_4768 ) ( IN-CITY ?auto_4768 ?auto_4756 ) ( IN-CITY ?auto_4765 ?auto_4756 ) ( DIFFERENT ?auto_4765 ?auto_4768 ) ( LOCATION ?auto_4771 ) ( CITY ?auto_4770 ) ( AT ?auto_4757 ?auto_4771 ) ( IN-CITY ?auto_4771 ?auto_4770 ) ( IN-CITY ?auto_4761 ?auto_4770 ) ( DIFFERENT ?auto_4761 ?auto_4771 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4757 ?auto_4771 ?auto_4761 ?auto_4770 )
      ( DELIVER-PKG ?auto_4747 ?auto_4748 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4796
      ?auto_4797
    )
    :vars
    (
      ?auto_4816
      ?auto_4800
      ?auto_4809
      ?auto_4799
      ?auto_4817
      ?auto_4801
      ?auto_4811
      ?auto_4810
      ?auto_4813
      ?auto_4812
      ?auto_4803
      ?auto_4802
      ?auto_4804
      ?auto_4806
      ?auto_4818
      ?auto_4815
      ?auto_4808
      ?auto_4807
      ?auto_4820
    )
    :precondition
    ( and ( OBJ ?auto_4796 ) ( LOCATION ?auto_4797 ) ( TRUCK ?auto_4816 ) ( LOCATION ?auto_4800 ) ( CITY ?auto_4809 ) ( IN-CITY ?auto_4800 ?auto_4809 ) ( IN-CITY ?auto_4797 ?auto_4809 ) ( DIFFERENT ?auto_4797 ?auto_4800 ) ( AIRPLANE ?auto_4799 ) ( AIRPORT ?auto_4817 ) ( AIRPORT ?auto_4800 ) ( DIFFERENT ?auto_4800 ?auto_4817 ) ( LOCATION ?auto_4817 ) ( TRUCK ?auto_4801 ) ( LOCATION ?auto_4811 ) ( CITY ?auto_4810 ) ( IN-CITY ?auto_4811 ?auto_4810 ) ( IN-CITY ?auto_4817 ?auto_4810 ) ( DIFFERENT ?auto_4817 ?auto_4811 ) ( AT ?auto_4796 ?auto_4811 ) ( LOCATION ?auto_4813 ) ( CITY ?auto_4812 ) ( IN-CITY ?auto_4813 ?auto_4812 ) ( IN-CITY ?auto_4811 ?auto_4812 ) ( DIFFERENT ?auto_4811 ?auto_4813 ) ( LOCATION ?auto_4803 ) ( CITY ?auto_4802 ) ( IN-CITY ?auto_4803 ?auto_4802 ) ( IN-CITY ?auto_4813 ?auto_4802 ) ( DIFFERENT ?auto_4813 ?auto_4803 ) ( LOCATION ?auto_4804 ) ( CITY ?auto_4806 ) ( IN-CITY ?auto_4804 ?auto_4806 ) ( IN-CITY ?auto_4803 ?auto_4806 ) ( DIFFERENT ?auto_4803 ?auto_4804 ) ( LOCATION ?auto_4818 ) ( CITY ?auto_4815 ) ( AT ?auto_4801 ?auto_4818 ) ( IN-CITY ?auto_4818 ?auto_4815 ) ( IN-CITY ?auto_4804 ?auto_4815 ) ( DIFFERENT ?auto_4804 ?auto_4818 ) ( LOCATION ?auto_4808 ) ( CITY ?auto_4807 ) ( AT ?auto_4816 ?auto_4808 ) ( IN-CITY ?auto_4808 ?auto_4807 ) ( IN-CITY ?auto_4800 ?auto_4807 ) ( DIFFERENT ?auto_4800 ?auto_4808 ) ( AIRPORT ?auto_4820 ) ( AT ?auto_4799 ?auto_4820 ) ( DIFFERENT ?auto_4817 ?auto_4820 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4799 ?auto_4820 ?auto_4817 )
      ( DELIVER-PKG ?auto_4796 ?auto_4797 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5819
      ?auto_5820
    )
    :vars
    (
      ?auto_5823
      ?auto_5821
      ?auto_5826
      ?auto_5822
      ?auto_5827
      ?auto_5825
      ?auto_5824
      ?auto_5832
    )
    :precondition
    ( and ( OBJ ?auto_5819 ) ( LOCATION ?auto_5820 ) ( TRUCK ?auto_5823 ) ( LOCATION ?auto_5821 ) ( CITY ?auto_5826 ) ( IN-CITY ?auto_5821 ?auto_5826 ) ( IN-CITY ?auto_5820 ?auto_5826 ) ( DIFFERENT ?auto_5820 ?auto_5821 ) ( LOCATION ?auto_5822 ) ( CITY ?auto_5827 ) ( IN-CITY ?auto_5822 ?auto_5827 ) ( IN-CITY ?auto_5821 ?auto_5827 ) ( DIFFERENT ?auto_5821 ?auto_5822 ) ( LOCATION ?auto_5825 ) ( CITY ?auto_5824 ) ( AT ?auto_5823 ?auto_5825 ) ( IN-CITY ?auto_5825 ?auto_5824 ) ( IN-CITY ?auto_5822 ?auto_5824 ) ( DIFFERENT ?auto_5822 ?auto_5825 ) ( AIRPLANE ?auto_5832 ) ( IN ?auto_5819 ?auto_5832 ) ( AT ?auto_5832 ?auto_5821 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5819 ?auto_5821 )
      ( DELIVER-PKG ?auto_5819 ?auto_5820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5857
      ?auto_5858
    )
    :vars
    (
      ?auto_5863
      ?auto_5859
      ?auto_5866
      ?auto_5862
      ?auto_5867
      ?auto_5865
      ?auto_5864
      ?auto_5868
      ?auto_5870
    )
    :precondition
    ( and ( OBJ ?auto_5857 ) ( LOCATION ?auto_5858 ) ( TRUCK ?auto_5863 ) ( LOCATION ?auto_5859 ) ( CITY ?auto_5866 ) ( IN-CITY ?auto_5859 ?auto_5866 ) ( IN-CITY ?auto_5858 ?auto_5866 ) ( DIFFERENT ?auto_5858 ?auto_5859 ) ( LOCATION ?auto_5862 ) ( CITY ?auto_5867 ) ( IN-CITY ?auto_5862 ?auto_5867 ) ( IN-CITY ?auto_5859 ?auto_5867 ) ( DIFFERENT ?auto_5859 ?auto_5862 ) ( LOCATION ?auto_5865 ) ( CITY ?auto_5864 ) ( AT ?auto_5863 ?auto_5865 ) ( IN-CITY ?auto_5865 ?auto_5864 ) ( IN-CITY ?auto_5862 ?auto_5864 ) ( DIFFERENT ?auto_5862 ?auto_5865 ) ( AIRPLANE ?auto_5868 ) ( IN ?auto_5857 ?auto_5868 ) ( AIRPORT ?auto_5870 ) ( AIRPORT ?auto_5859 ) ( AT ?auto_5868 ?auto_5870 ) ( DIFFERENT ?auto_5859 ?auto_5870 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5868 ?auto_5870 ?auto_5859 )
      ( DELIVER-PKG ?auto_5857 ?auto_5858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5898
      ?auto_5899
    )
    :vars
    (
      ?auto_5901
      ?auto_5903
      ?auto_5905
      ?auto_5900
      ?auto_5906
      ?auto_5904
      ?auto_5902
      ?auto_5907
      ?auto_5910
      ?auto_5912
    )
    :precondition
    ( and ( OBJ ?auto_5898 ) ( LOCATION ?auto_5899 ) ( TRUCK ?auto_5901 ) ( LOCATION ?auto_5903 ) ( CITY ?auto_5905 ) ( IN-CITY ?auto_5903 ?auto_5905 ) ( IN-CITY ?auto_5899 ?auto_5905 ) ( DIFFERENT ?auto_5899 ?auto_5903 ) ( LOCATION ?auto_5900 ) ( CITY ?auto_5906 ) ( IN-CITY ?auto_5900 ?auto_5906 ) ( IN-CITY ?auto_5903 ?auto_5906 ) ( DIFFERENT ?auto_5903 ?auto_5900 ) ( LOCATION ?auto_5904 ) ( CITY ?auto_5902 ) ( AT ?auto_5901 ?auto_5904 ) ( IN-CITY ?auto_5904 ?auto_5902 ) ( IN-CITY ?auto_5900 ?auto_5902 ) ( DIFFERENT ?auto_5900 ?auto_5904 ) ( AIRPLANE ?auto_5907 ) ( AIRPORT ?auto_5910 ) ( AIRPORT ?auto_5903 ) ( AT ?auto_5907 ?auto_5910 ) ( DIFFERENT ?auto_5903 ?auto_5910 ) ( LOCATION ?auto_5912 ) ( AT ?auto_5898 ?auto_5912 ) ( AT ?auto_5907 ?auto_5912 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5898 ?auto_5907 ?auto_5912 )
      ( DELIVER-PKG ?auto_5898 ?auto_5899 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5942
      ?auto_5943
    )
    :vars
    (
      ?auto_5953
      ?auto_5947
      ?auto_5949
      ?auto_5952
      ?auto_5950
      ?auto_5948
      ?auto_5946
      ?auto_5951
      ?auto_5945
      ?auto_5955
      ?auto_5958
    )
    :precondition
    ( and ( OBJ ?auto_5942 ) ( LOCATION ?auto_5943 ) ( TRUCK ?auto_5953 ) ( LOCATION ?auto_5947 ) ( CITY ?auto_5949 ) ( IN-CITY ?auto_5947 ?auto_5949 ) ( IN-CITY ?auto_5943 ?auto_5949 ) ( DIFFERENT ?auto_5943 ?auto_5947 ) ( LOCATION ?auto_5952 ) ( CITY ?auto_5950 ) ( IN-CITY ?auto_5952 ?auto_5950 ) ( IN-CITY ?auto_5947 ?auto_5950 ) ( DIFFERENT ?auto_5947 ?auto_5952 ) ( LOCATION ?auto_5948 ) ( CITY ?auto_5946 ) ( AT ?auto_5953 ?auto_5948 ) ( IN-CITY ?auto_5948 ?auto_5946 ) ( IN-CITY ?auto_5952 ?auto_5946 ) ( DIFFERENT ?auto_5952 ?auto_5948 ) ( AIRPLANE ?auto_5951 ) ( AIRPORT ?auto_5945 ) ( AIRPORT ?auto_5947 ) ( AT ?auto_5951 ?auto_5945 ) ( DIFFERENT ?auto_5947 ?auto_5945 ) ( LOCATION ?auto_5955 ) ( AT ?auto_5951 ?auto_5955 ) ( TRUCK ?auto_5958 ) ( AT ?auto_5958 ?auto_5955 ) ( IN ?auto_5942 ?auto_5958 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5942 ?auto_5955 )
      ( DELIVER-PKG ?auto_5942 ?auto_5943 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5974
      ?auto_5975
    )
    :vars
    (
      ?auto_5978
      ?auto_5984
      ?auto_5986
      ?auto_5977
      ?auto_5987
      ?auto_5985
      ?auto_5983
      ?auto_5976
      ?auto_5982
      ?auto_5979
      ?auto_5988
      ?auto_5991
      ?auto_5990
    )
    :precondition
    ( and ( OBJ ?auto_5974 ) ( LOCATION ?auto_5975 ) ( TRUCK ?auto_5978 ) ( LOCATION ?auto_5984 ) ( CITY ?auto_5986 ) ( IN-CITY ?auto_5984 ?auto_5986 ) ( IN-CITY ?auto_5975 ?auto_5986 ) ( DIFFERENT ?auto_5975 ?auto_5984 ) ( LOCATION ?auto_5977 ) ( CITY ?auto_5987 ) ( IN-CITY ?auto_5977 ?auto_5987 ) ( IN-CITY ?auto_5984 ?auto_5987 ) ( DIFFERENT ?auto_5984 ?auto_5977 ) ( LOCATION ?auto_5985 ) ( CITY ?auto_5983 ) ( AT ?auto_5978 ?auto_5985 ) ( IN-CITY ?auto_5985 ?auto_5983 ) ( IN-CITY ?auto_5977 ?auto_5983 ) ( DIFFERENT ?auto_5977 ?auto_5985 ) ( AIRPLANE ?auto_5976 ) ( AIRPORT ?auto_5982 ) ( AIRPORT ?auto_5984 ) ( AT ?auto_5976 ?auto_5982 ) ( DIFFERENT ?auto_5984 ?auto_5982 ) ( LOCATION ?auto_5979 ) ( AT ?auto_5976 ?auto_5979 ) ( TRUCK ?auto_5988 ) ( IN ?auto_5974 ?auto_5988 ) ( LOCATION ?auto_5991 ) ( CITY ?auto_5990 ) ( AT ?auto_5988 ?auto_5991 ) ( IN-CITY ?auto_5991 ?auto_5990 ) ( IN-CITY ?auto_5979 ?auto_5990 ) ( DIFFERENT ?auto_5979 ?auto_5991 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5988 ?auto_5991 ?auto_5979 ?auto_5990 )
      ( DELIVER-PKG ?auto_5974 ?auto_5975 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6010
      ?auto_6011
    )
    :vars
    (
      ?auto_6024
      ?auto_6019
      ?auto_6021
      ?auto_6015
      ?auto_6022
      ?auto_6020
      ?auto_6018
      ?auto_6013
      ?auto_6017
      ?auto_6016
      ?auto_6023
      ?auto_6026
      ?auto_6025
      ?auto_6029
      ?auto_6028
    )
    :precondition
    ( and ( OBJ ?auto_6010 ) ( LOCATION ?auto_6011 ) ( TRUCK ?auto_6024 ) ( LOCATION ?auto_6019 ) ( CITY ?auto_6021 ) ( IN-CITY ?auto_6019 ?auto_6021 ) ( IN-CITY ?auto_6011 ?auto_6021 ) ( DIFFERENT ?auto_6011 ?auto_6019 ) ( LOCATION ?auto_6015 ) ( CITY ?auto_6022 ) ( IN-CITY ?auto_6015 ?auto_6022 ) ( IN-CITY ?auto_6019 ?auto_6022 ) ( DIFFERENT ?auto_6019 ?auto_6015 ) ( LOCATION ?auto_6020 ) ( CITY ?auto_6018 ) ( AT ?auto_6024 ?auto_6020 ) ( IN-CITY ?auto_6020 ?auto_6018 ) ( IN-CITY ?auto_6015 ?auto_6018 ) ( DIFFERENT ?auto_6015 ?auto_6020 ) ( AIRPLANE ?auto_6013 ) ( AIRPORT ?auto_6017 ) ( AIRPORT ?auto_6019 ) ( AT ?auto_6013 ?auto_6017 ) ( DIFFERENT ?auto_6019 ?auto_6017 ) ( LOCATION ?auto_6016 ) ( AT ?auto_6013 ?auto_6016 ) ( TRUCK ?auto_6023 ) ( IN ?auto_6010 ?auto_6023 ) ( LOCATION ?auto_6026 ) ( CITY ?auto_6025 ) ( IN-CITY ?auto_6026 ?auto_6025 ) ( IN-CITY ?auto_6016 ?auto_6025 ) ( DIFFERENT ?auto_6016 ?auto_6026 ) ( LOCATION ?auto_6029 ) ( CITY ?auto_6028 ) ( AT ?auto_6023 ?auto_6029 ) ( IN-CITY ?auto_6029 ?auto_6028 ) ( IN-CITY ?auto_6026 ?auto_6028 ) ( DIFFERENT ?auto_6026 ?auto_6029 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6023 ?auto_6029 ?auto_6026 ?auto_6028 )
      ( DELIVER-PKG ?auto_6010 ?auto_6011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6069
      ?auto_6070
    )
    :vars
    (
      ?auto_6082
      ?auto_6077
      ?auto_6079
      ?auto_6085
      ?auto_6080
      ?auto_6078
      ?auto_6076
      ?auto_6073
      ?auto_6075
      ?auto_6074
      ?auto_6081
      ?auto_6084
      ?auto_6083
      ?auto_6087
      ?auto_6072
      ?auto_6090
      ?auto_6089
    )
    :precondition
    ( and ( OBJ ?auto_6069 ) ( LOCATION ?auto_6070 ) ( TRUCK ?auto_6082 ) ( LOCATION ?auto_6077 ) ( CITY ?auto_6079 ) ( IN-CITY ?auto_6077 ?auto_6079 ) ( IN-CITY ?auto_6070 ?auto_6079 ) ( DIFFERENT ?auto_6070 ?auto_6077 ) ( LOCATION ?auto_6085 ) ( CITY ?auto_6080 ) ( IN-CITY ?auto_6085 ?auto_6080 ) ( IN-CITY ?auto_6077 ?auto_6080 ) ( DIFFERENT ?auto_6077 ?auto_6085 ) ( LOCATION ?auto_6078 ) ( CITY ?auto_6076 ) ( IN-CITY ?auto_6078 ?auto_6076 ) ( IN-CITY ?auto_6085 ?auto_6076 ) ( DIFFERENT ?auto_6085 ?auto_6078 ) ( AIRPLANE ?auto_6073 ) ( AIRPORT ?auto_6075 ) ( AIRPORT ?auto_6077 ) ( AT ?auto_6073 ?auto_6075 ) ( DIFFERENT ?auto_6077 ?auto_6075 ) ( LOCATION ?auto_6074 ) ( AT ?auto_6073 ?auto_6074 ) ( TRUCK ?auto_6081 ) ( IN ?auto_6069 ?auto_6081 ) ( LOCATION ?auto_6084 ) ( CITY ?auto_6083 ) ( IN-CITY ?auto_6084 ?auto_6083 ) ( IN-CITY ?auto_6074 ?auto_6083 ) ( DIFFERENT ?auto_6074 ?auto_6084 ) ( LOCATION ?auto_6087 ) ( CITY ?auto_6072 ) ( AT ?auto_6081 ?auto_6087 ) ( IN-CITY ?auto_6087 ?auto_6072 ) ( IN-CITY ?auto_6084 ?auto_6072 ) ( DIFFERENT ?auto_6084 ?auto_6087 ) ( LOCATION ?auto_6090 ) ( CITY ?auto_6089 ) ( AT ?auto_6082 ?auto_6090 ) ( IN-CITY ?auto_6090 ?auto_6089 ) ( IN-CITY ?auto_6078 ?auto_6089 ) ( DIFFERENT ?auto_6078 ?auto_6090 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6082 ?auto_6090 ?auto_6078 ?auto_6089 )
      ( DELIVER-PKG ?auto_6069 ?auto_6070 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6092
      ?auto_6093
    )
    :vars
    (
      ?auto_6102
      ?auto_6107
      ?auto_6109
      ?auto_6105
      ?auto_6100
      ?auto_6108
      ?auto_6106
      ?auto_6098
      ?auto_6099
      ?auto_6110
      ?auto_6101
      ?auto_6104
      ?auto_6103
      ?auto_6111
      ?auto_6096
      ?auto_6112
      ?auto_6097
      ?auto_6114
    )
    :precondition
    ( and ( OBJ ?auto_6092 ) ( LOCATION ?auto_6093 ) ( TRUCK ?auto_6102 ) ( LOCATION ?auto_6107 ) ( CITY ?auto_6109 ) ( IN-CITY ?auto_6107 ?auto_6109 ) ( IN-CITY ?auto_6093 ?auto_6109 ) ( DIFFERENT ?auto_6093 ?auto_6107 ) ( LOCATION ?auto_6105 ) ( CITY ?auto_6100 ) ( IN-CITY ?auto_6105 ?auto_6100 ) ( IN-CITY ?auto_6107 ?auto_6100 ) ( DIFFERENT ?auto_6107 ?auto_6105 ) ( LOCATION ?auto_6108 ) ( CITY ?auto_6106 ) ( IN-CITY ?auto_6108 ?auto_6106 ) ( IN-CITY ?auto_6105 ?auto_6106 ) ( DIFFERENT ?auto_6105 ?auto_6108 ) ( AIRPLANE ?auto_6098 ) ( AIRPORT ?auto_6099 ) ( AIRPORT ?auto_6107 ) ( AT ?auto_6098 ?auto_6099 ) ( DIFFERENT ?auto_6107 ?auto_6099 ) ( LOCATION ?auto_6110 ) ( AT ?auto_6098 ?auto_6110 ) ( TRUCK ?auto_6101 ) ( LOCATION ?auto_6104 ) ( CITY ?auto_6103 ) ( IN-CITY ?auto_6104 ?auto_6103 ) ( IN-CITY ?auto_6110 ?auto_6103 ) ( DIFFERENT ?auto_6110 ?auto_6104 ) ( LOCATION ?auto_6111 ) ( CITY ?auto_6096 ) ( AT ?auto_6101 ?auto_6111 ) ( IN-CITY ?auto_6111 ?auto_6096 ) ( IN-CITY ?auto_6104 ?auto_6096 ) ( DIFFERENT ?auto_6104 ?auto_6111 ) ( LOCATION ?auto_6112 ) ( CITY ?auto_6097 ) ( AT ?auto_6102 ?auto_6112 ) ( IN-CITY ?auto_6112 ?auto_6097 ) ( IN-CITY ?auto_6108 ?auto_6097 ) ( DIFFERENT ?auto_6108 ?auto_6112 ) ( LOCATION ?auto_6114 ) ( AT ?auto_6101 ?auto_6114 ) ( AT ?auto_6092 ?auto_6114 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6092 ?auto_6101 ?auto_6114 )
      ( DELIVER-PKG ?auto_6092 ?auto_6093 ) )
  )

)

