( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_125
      ?auto_126
    )
    :vars
    (
      ?auto_129
    )
    :precondition
    ( and ( OBJ ?auto_125 ) ( LOCATION ?auto_126 ) ( TRUCK ?auto_129 ) ( AT ?auto_129 ?auto_126 ) ( IN ?auto_125 ?auto_129 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_125 ?auto_129 ?auto_126 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_135
      ?auto_136
    )
    :vars
    (
      ?auto_139
      ?auto_142
      ?auto_141
    )
    :precondition
    ( and ( OBJ ?auto_135 ) ( LOCATION ?auto_136 ) ( TRUCK ?auto_139 ) ( IN ?auto_135 ?auto_139 ) ( LOCATION ?auto_142 ) ( CITY ?auto_141 ) ( AT ?auto_139 ?auto_142 ) ( IN-CITY ?auto_142 ?auto_141 ) ( IN-CITY ?auto_136 ?auto_141 ) ( DIFFERENT ?auto_136 ?auto_142 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_139 ?auto_142 ?auto_136 ?auto_141 )
      ( DELIVER-PKG ?auto_135 ?auto_136 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_172
      ?auto_173
    )
    :vars
    (
      ?auto_174
      ?auto_178
      ?auto_177
      ?auto_180
    )
    :precondition
    ( and ( OBJ ?auto_172 ) ( LOCATION ?auto_173 ) ( TRUCK ?auto_174 ) ( LOCATION ?auto_178 ) ( CITY ?auto_177 ) ( AT ?auto_174 ?auto_178 ) ( IN-CITY ?auto_178 ?auto_177 ) ( IN-CITY ?auto_173 ?auto_177 ) ( DIFFERENT ?auto_173 ?auto_178 ) ( LOCATION ?auto_180 ) ( AT ?auto_174 ?auto_180 ) ( AT ?auto_172 ?auto_180 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_172 ?auto_174 ?auto_180 )
      ( DELIVER-PKG ?auto_172 ?auto_173 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_401
      ?auto_402
    )
    :vars
    (
      ?auto_403
      ?auto_405
      ?auto_407
      ?auto_411
      ?auto_410
    )
    :precondition
    ( and ( OBJ ?auto_401 ) ( LOCATION ?auto_402 ) ( TRUCK ?auto_403 ) ( LOCATION ?auto_405 ) ( CITY ?auto_407 ) ( IN-CITY ?auto_405 ?auto_407 ) ( IN-CITY ?auto_402 ?auto_407 ) ( DIFFERENT ?auto_402 ?auto_405 ) ( AT ?auto_401 ?auto_405 ) ( LOCATION ?auto_411 ) ( CITY ?auto_410 ) ( AT ?auto_403 ?auto_411 ) ( IN-CITY ?auto_411 ?auto_410 ) ( IN-CITY ?auto_405 ?auto_410 ) ( DIFFERENT ?auto_405 ?auto_411 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_403 ?auto_411 ?auto_405 ?auto_410 )
      ( DELIVER-PKG ?auto_401 ?auto_402 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_518
      ?auto_519
    )
    :vars
    (
      ?auto_522
    )
    :precondition
    ( and ( OBJ ?auto_518 ) ( LOCATION ?auto_519 ) ( AIRPLANE ?auto_522 ) ( IN ?auto_518 ?auto_522 ) ( AT ?auto_522 ?auto_519 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_518 ?auto_522 ?auto_519 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_533
      ?auto_534
    )
    :vars
    (
      ?auto_537
      ?auto_539
    )
    :precondition
    ( and ( OBJ ?auto_533 ) ( LOCATION ?auto_534 ) ( AIRPLANE ?auto_537 ) ( IN ?auto_533 ?auto_537 ) ( AIRPORT ?auto_539 ) ( AIRPORT ?auto_534 ) ( AT ?auto_537 ?auto_539 ) ( DIFFERENT ?auto_534 ?auto_539 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_537 ?auto_539 ?auto_534 )
      ( DELIVER-PKG ?auto_533 ?auto_534 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_553
      ?auto_554
    )
    :vars
    (
      ?auto_557
      ?auto_558
      ?auto_560
    )
    :precondition
    ( and ( OBJ ?auto_553 ) ( LOCATION ?auto_554 ) ( AIRPLANE ?auto_557 ) ( AIRPORT ?auto_558 ) ( AIRPORT ?auto_554 ) ( AT ?auto_557 ?auto_558 ) ( DIFFERENT ?auto_554 ?auto_558 ) ( LOCATION ?auto_560 ) ( AT ?auto_553 ?auto_560 ) ( AT ?auto_557 ?auto_560 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_553 ?auto_557 ?auto_560 )
      ( DELIVER-PKG ?auto_553 ?auto_554 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_569
      ?auto_570
    )
    :vars
    (
      ?auto_572
      ?auto_573
      ?auto_575
      ?auto_578
    )
    :precondition
    ( and ( OBJ ?auto_569 ) ( LOCATION ?auto_570 ) ( AIRPLANE ?auto_572 ) ( AIRPORT ?auto_573 ) ( AIRPORT ?auto_570 ) ( AT ?auto_572 ?auto_573 ) ( DIFFERENT ?auto_570 ?auto_573 ) ( LOCATION ?auto_575 ) ( AT ?auto_572 ?auto_575 ) ( TRUCK ?auto_578 ) ( AT ?auto_578 ?auto_575 ) ( IN ?auto_569 ?auto_578 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_569 ?auto_575 )
      ( DELIVER-PKG ?auto_569 ?auto_570 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_587
      ?auto_588
    )
    :vars
    (
      ?auto_591
      ?auto_593
      ?auto_592
      ?auto_594
      ?auto_597
      ?auto_596
    )
    :precondition
    ( and ( OBJ ?auto_587 ) ( LOCATION ?auto_588 ) ( AIRPLANE ?auto_591 ) ( AIRPORT ?auto_593 ) ( AIRPORT ?auto_588 ) ( AT ?auto_591 ?auto_593 ) ( DIFFERENT ?auto_588 ?auto_593 ) ( LOCATION ?auto_592 ) ( AT ?auto_591 ?auto_592 ) ( TRUCK ?auto_594 ) ( IN ?auto_587 ?auto_594 ) ( LOCATION ?auto_597 ) ( CITY ?auto_596 ) ( AT ?auto_594 ?auto_597 ) ( IN-CITY ?auto_597 ?auto_596 ) ( IN-CITY ?auto_592 ?auto_596 ) ( DIFFERENT ?auto_592 ?auto_597 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_594 ?auto_597 ?auto_592 ?auto_596 )
      ( DELIVER-PKG ?auto_587 ?auto_588 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_639
      ?auto_640
    )
    :vars
    (
      ?auto_645
      ?auto_641
      ?auto_646
      ?auto_642
      ?auto_648
      ?auto_647
      ?auto_650
    )
    :precondition
    ( and ( OBJ ?auto_639 ) ( LOCATION ?auto_640 ) ( AIRPLANE ?auto_645 ) ( AIRPORT ?auto_641 ) ( AIRPORT ?auto_640 ) ( AT ?auto_645 ?auto_641 ) ( DIFFERENT ?auto_640 ?auto_641 ) ( LOCATION ?auto_646 ) ( AT ?auto_645 ?auto_646 ) ( TRUCK ?auto_642 ) ( LOCATION ?auto_648 ) ( CITY ?auto_647 ) ( AT ?auto_642 ?auto_648 ) ( IN-CITY ?auto_648 ?auto_647 ) ( IN-CITY ?auto_646 ?auto_647 ) ( DIFFERENT ?auto_646 ?auto_648 ) ( LOCATION ?auto_650 ) ( AT ?auto_642 ?auto_650 ) ( AT ?auto_639 ?auto_650 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_639 ?auto_642 ?auto_650 )
      ( DELIVER-PKG ?auto_639 ?auto_640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1047
      ?auto_1048
    )
    :vars
    (
      ?auto_1053
      ?auto_1049
      ?auto_1052
      ?auto_1055
      ?auto_1054
      ?auto_1058
      ?auto_1057
    )
    :precondition
    ( and ( OBJ ?auto_1047 ) ( LOCATION ?auto_1048 ) ( TRUCK ?auto_1053 ) ( LOCATION ?auto_1049 ) ( CITY ?auto_1052 ) ( IN-CITY ?auto_1049 ?auto_1052 ) ( IN-CITY ?auto_1048 ?auto_1052 ) ( DIFFERENT ?auto_1048 ?auto_1049 ) ( AT ?auto_1047 ?auto_1049 ) ( LOCATION ?auto_1055 ) ( CITY ?auto_1054 ) ( IN-CITY ?auto_1055 ?auto_1054 ) ( IN-CITY ?auto_1049 ?auto_1054 ) ( DIFFERENT ?auto_1049 ?auto_1055 ) ( LOCATION ?auto_1058 ) ( CITY ?auto_1057 ) ( AT ?auto_1053 ?auto_1058 ) ( IN-CITY ?auto_1058 ?auto_1057 ) ( IN-CITY ?auto_1055 ?auto_1057 ) ( DIFFERENT ?auto_1055 ?auto_1058 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1053 ?auto_1058 ?auto_1055 ?auto_1057 )
      ( DELIVER-PKG ?auto_1047 ?auto_1048 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1252
      ?auto_1253
    )
    :vars
    (
      ?auto_1261
      ?auto_1255
      ?auto_1256
      ?auto_1257
      ?auto_1258
      ?auto_1259
      ?auto_1265
      ?auto_1264
    )
    :precondition
    ( and ( OBJ ?auto_1252 ) ( LOCATION ?auto_1253 ) ( AIRPLANE ?auto_1261 ) ( AIRPORT ?auto_1255 ) ( AIRPORT ?auto_1253 ) ( AT ?auto_1261 ?auto_1255 ) ( DIFFERENT ?auto_1253 ?auto_1255 ) ( LOCATION ?auto_1256 ) ( AT ?auto_1261 ?auto_1256 ) ( TRUCK ?auto_1257 ) ( LOCATION ?auto_1258 ) ( CITY ?auto_1259 ) ( IN-CITY ?auto_1258 ?auto_1259 ) ( IN-CITY ?auto_1256 ?auto_1259 ) ( DIFFERENT ?auto_1256 ?auto_1258 ) ( AT ?auto_1252 ?auto_1258 ) ( LOCATION ?auto_1265 ) ( CITY ?auto_1264 ) ( AT ?auto_1257 ?auto_1265 ) ( IN-CITY ?auto_1265 ?auto_1264 ) ( IN-CITY ?auto_1258 ?auto_1264 ) ( DIFFERENT ?auto_1258 ?auto_1265 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1257 ?auto_1265 ?auto_1258 ?auto_1264 )
      ( DELIVER-PKG ?auto_1252 ?auto_1253 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1267
      ?auto_1268
    )
    :vars
    (
      ?auto_1276
      ?auto_1272
      ?auto_1273
      ?auto_1274
      ?auto_1275
      ?auto_1278
      ?auto_1277
      ?auto_1280
    )
    :precondition
    ( and ( OBJ ?auto_1267 ) ( LOCATION ?auto_1268 ) ( AIRPLANE ?auto_1276 ) ( AIRPORT ?auto_1272 ) ( AIRPORT ?auto_1268 ) ( DIFFERENT ?auto_1268 ?auto_1272 ) ( LOCATION ?auto_1272 ) ( TRUCK ?auto_1273 ) ( LOCATION ?auto_1274 ) ( CITY ?auto_1275 ) ( IN-CITY ?auto_1274 ?auto_1275 ) ( IN-CITY ?auto_1272 ?auto_1275 ) ( DIFFERENT ?auto_1272 ?auto_1274 ) ( AT ?auto_1267 ?auto_1274 ) ( LOCATION ?auto_1278 ) ( CITY ?auto_1277 ) ( AT ?auto_1273 ?auto_1278 ) ( IN-CITY ?auto_1278 ?auto_1277 ) ( IN-CITY ?auto_1274 ?auto_1277 ) ( DIFFERENT ?auto_1274 ?auto_1278 ) ( AIRPORT ?auto_1280 ) ( AT ?auto_1276 ?auto_1280 ) ( DIFFERENT ?auto_1272 ?auto_1280 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1276 ?auto_1280 ?auto_1272 )
      ( DELIVER-PKG ?auto_1267 ?auto_1268 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1556
      ?auto_1557
    )
    :vars
    (
      ?auto_1561
      ?auto_1562
      ?auto_1564
    )
    :precondition
    ( and ( OBJ ?auto_1556 ) ( LOCATION ?auto_1557 ) ( AIRPLANE ?auto_1561 ) ( AIRPORT ?auto_1562 ) ( AIRPORT ?auto_1557 ) ( DIFFERENT ?auto_1557 ?auto_1562 ) ( LOCATION ?auto_1562 ) ( AT ?auto_1556 ?auto_1562 ) ( AIRPORT ?auto_1564 ) ( AT ?auto_1561 ?auto_1564 ) ( DIFFERENT ?auto_1562 ?auto_1564 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1561 ?auto_1564 ?auto_1562 )
      ( DELIVER-PKG ?auto_1556 ?auto_1557 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1993
      ?auto_1994
    )
    :vars
    (
      ?auto_1996
      ?auto_1998
      ?auto_1997
      ?auto_1999
      ?auto_2003
    )
    :precondition
    ( and ( OBJ ?auto_1993 ) ( LOCATION ?auto_1994 ) ( TRUCK ?auto_1996 ) ( LOCATION ?auto_1998 ) ( CITY ?auto_1997 ) ( AT ?auto_1996 ?auto_1998 ) ( IN-CITY ?auto_1998 ?auto_1997 ) ( IN-CITY ?auto_1994 ?auto_1997 ) ( DIFFERENT ?auto_1994 ?auto_1998 ) ( LOCATION ?auto_1999 ) ( AT ?auto_1996 ?auto_1999 ) ( TRUCK ?auto_2003 ) ( AT ?auto_2003 ?auto_1999 ) ( IN ?auto_1993 ?auto_2003 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1993 ?auto_1999 )
      ( DELIVER-PKG ?auto_1993 ?auto_1994 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2031
      ?auto_2032
    )
    :vars
    (
      ?auto_2039
      ?auto_2038
      ?auto_2036
      ?auto_2042
      ?auto_2041
    )
    :precondition
    ( and ( OBJ ?auto_2031 ) ( LOCATION ?auto_2032 ) ( TRUCK ?auto_2039 ) ( LOCATION ?auto_2038 ) ( CITY ?auto_2036 ) ( IN-CITY ?auto_2038 ?auto_2036 ) ( IN-CITY ?auto_2032 ?auto_2036 ) ( DIFFERENT ?auto_2032 ?auto_2038 ) ( IN ?auto_2031 ?auto_2039 ) ( LOCATION ?auto_2042 ) ( CITY ?auto_2041 ) ( AT ?auto_2039 ?auto_2042 ) ( IN-CITY ?auto_2042 ?auto_2041 ) ( IN-CITY ?auto_2038 ?auto_2041 ) ( DIFFERENT ?auto_2038 ?auto_2042 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2039 ?auto_2042 ?auto_2038 ?auto_2041 )
      ( DELIVER-PKG ?auto_2031 ?auto_2032 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2062
      ?auto_2063
    )
    :vars
    (
      ?auto_2068
      ?auto_2067
      ?auto_2066
      ?auto_2070
      ?auto_2069
      ?auto_2072
    )
    :precondition
    ( and ( OBJ ?auto_2062 ) ( LOCATION ?auto_2063 ) ( TRUCK ?auto_2068 ) ( LOCATION ?auto_2067 ) ( CITY ?auto_2066 ) ( IN-CITY ?auto_2067 ?auto_2066 ) ( IN-CITY ?auto_2063 ?auto_2066 ) ( DIFFERENT ?auto_2063 ?auto_2067 ) ( LOCATION ?auto_2070 ) ( CITY ?auto_2069 ) ( AT ?auto_2068 ?auto_2070 ) ( IN-CITY ?auto_2070 ?auto_2069 ) ( IN-CITY ?auto_2067 ?auto_2069 ) ( DIFFERENT ?auto_2067 ?auto_2070 ) ( LOCATION ?auto_2072 ) ( AT ?auto_2068 ?auto_2072 ) ( AT ?auto_2062 ?auto_2072 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2062 ?auto_2068 ?auto_2072 )
      ( DELIVER-PKG ?auto_2062 ?auto_2063 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2094
      ?auto_2095
    )
    :vars
    (
      ?auto_2098
      ?auto_2097
      ?auto_2096
      ?auto_2103
      ?auto_2099
      ?auto_2106
      ?auto_2105
    )
    :precondition
    ( and ( OBJ ?auto_2094 ) ( LOCATION ?auto_2095 ) ( TRUCK ?auto_2098 ) ( LOCATION ?auto_2097 ) ( CITY ?auto_2096 ) ( IN-CITY ?auto_2097 ?auto_2096 ) ( IN-CITY ?auto_2095 ?auto_2096 ) ( DIFFERENT ?auto_2095 ?auto_2097 ) ( LOCATION ?auto_2103 ) ( CITY ?auto_2099 ) ( IN-CITY ?auto_2103 ?auto_2099 ) ( IN-CITY ?auto_2097 ?auto_2099 ) ( DIFFERENT ?auto_2097 ?auto_2103 ) ( AT ?auto_2094 ?auto_2103 ) ( LOCATION ?auto_2106 ) ( CITY ?auto_2105 ) ( AT ?auto_2098 ?auto_2106 ) ( IN-CITY ?auto_2106 ?auto_2105 ) ( IN-CITY ?auto_2103 ?auto_2105 ) ( DIFFERENT ?auto_2103 ?auto_2106 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2098 ?auto_2106 ?auto_2103 ?auto_2105 )
      ( DELIVER-PKG ?auto_2094 ?auto_2095 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2152
      ?auto_2153
    )
    :vars
    (
      ?auto_2158
      ?auto_2154
      ?auto_2156
      ?auto_2160
      ?auto_2159
      ?auto_2162
      ?auto_2161
      ?auto_2165
      ?auto_2164
    )
    :precondition
    ( and ( OBJ ?auto_2152 ) ( LOCATION ?auto_2153 ) ( TRUCK ?auto_2158 ) ( LOCATION ?auto_2154 ) ( CITY ?auto_2156 ) ( IN-CITY ?auto_2154 ?auto_2156 ) ( IN-CITY ?auto_2153 ?auto_2156 ) ( DIFFERENT ?auto_2153 ?auto_2154 ) ( LOCATION ?auto_2160 ) ( CITY ?auto_2159 ) ( IN-CITY ?auto_2160 ?auto_2159 ) ( IN-CITY ?auto_2154 ?auto_2159 ) ( DIFFERENT ?auto_2154 ?auto_2160 ) ( AT ?auto_2152 ?auto_2160 ) ( LOCATION ?auto_2162 ) ( CITY ?auto_2161 ) ( IN-CITY ?auto_2162 ?auto_2161 ) ( IN-CITY ?auto_2160 ?auto_2161 ) ( DIFFERENT ?auto_2160 ?auto_2162 ) ( LOCATION ?auto_2165 ) ( CITY ?auto_2164 ) ( AT ?auto_2158 ?auto_2165 ) ( IN-CITY ?auto_2165 ?auto_2164 ) ( IN-CITY ?auto_2162 ?auto_2164 ) ( DIFFERENT ?auto_2162 ?auto_2165 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2158 ?auto_2165 ?auto_2162 ?auto_2164 )
      ( DELIVER-PKG ?auto_2152 ?auto_2153 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2479
      ?auto_2480
    )
    :vars
    (
      ?auto_2483
      ?auto_2484
      ?auto_2487
      ?auto_2485
      ?auto_2482
      ?auto_2481
      ?auto_2488
      ?auto_2492
    )
    :precondition
    ( and ( OBJ ?auto_2479 ) ( LOCATION ?auto_2480 ) ( AIRPLANE ?auto_2483 ) ( AIRPORT ?auto_2484 ) ( AIRPORT ?auto_2480 ) ( AT ?auto_2483 ?auto_2484 ) ( DIFFERENT ?auto_2480 ?auto_2484 ) ( LOCATION ?auto_2487 ) ( AT ?auto_2483 ?auto_2487 ) ( TRUCK ?auto_2485 ) ( LOCATION ?auto_2482 ) ( CITY ?auto_2481 ) ( AT ?auto_2485 ?auto_2482 ) ( IN-CITY ?auto_2482 ?auto_2481 ) ( IN-CITY ?auto_2487 ?auto_2481 ) ( DIFFERENT ?auto_2487 ?auto_2482 ) ( LOCATION ?auto_2488 ) ( AT ?auto_2485 ?auto_2488 ) ( TRUCK ?auto_2492 ) ( AT ?auto_2492 ?auto_2488 ) ( IN ?auto_2479 ?auto_2492 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2479 ?auto_2488 )
      ( DELIVER-PKG ?auto_2479 ?auto_2480 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2529
      ?auto_2530
    )
    :vars
    (
      ?auto_2535
      ?auto_2536
      ?auto_2538
      ?auto_2540
      ?auto_2539
      ?auto_2534
      ?auto_2543
      ?auto_2542
    )
    :precondition
    ( and ( OBJ ?auto_2529 ) ( LOCATION ?auto_2530 ) ( AIRPLANE ?auto_2535 ) ( AIRPORT ?auto_2536 ) ( AIRPORT ?auto_2530 ) ( AT ?auto_2535 ?auto_2536 ) ( DIFFERENT ?auto_2530 ?auto_2536 ) ( LOCATION ?auto_2538 ) ( AT ?auto_2535 ?auto_2538 ) ( TRUCK ?auto_2540 ) ( LOCATION ?auto_2539 ) ( CITY ?auto_2534 ) ( IN-CITY ?auto_2539 ?auto_2534 ) ( IN-CITY ?auto_2538 ?auto_2534 ) ( DIFFERENT ?auto_2538 ?auto_2539 ) ( IN ?auto_2529 ?auto_2540 ) ( LOCATION ?auto_2543 ) ( CITY ?auto_2542 ) ( AT ?auto_2540 ?auto_2543 ) ( IN-CITY ?auto_2543 ?auto_2542 ) ( IN-CITY ?auto_2539 ?auto_2542 ) ( DIFFERENT ?auto_2539 ?auto_2543 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2540 ?auto_2543 ?auto_2539 ?auto_2542 )
      ( DELIVER-PKG ?auto_2529 ?auto_2530 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2569
      ?auto_2570
    )
    :vars
    (
      ?auto_2574
      ?auto_2575
      ?auto_2576
      ?auto_2578
      ?auto_2577
      ?auto_2573
      ?auto_2580
      ?auto_2579
      ?auto_2582
    )
    :precondition
    ( and ( OBJ ?auto_2569 ) ( LOCATION ?auto_2570 ) ( AIRPLANE ?auto_2574 ) ( AIRPORT ?auto_2575 ) ( AIRPORT ?auto_2570 ) ( AT ?auto_2574 ?auto_2575 ) ( DIFFERENT ?auto_2570 ?auto_2575 ) ( LOCATION ?auto_2576 ) ( AT ?auto_2574 ?auto_2576 ) ( TRUCK ?auto_2578 ) ( LOCATION ?auto_2577 ) ( CITY ?auto_2573 ) ( IN-CITY ?auto_2577 ?auto_2573 ) ( IN-CITY ?auto_2576 ?auto_2573 ) ( DIFFERENT ?auto_2576 ?auto_2577 ) ( LOCATION ?auto_2580 ) ( CITY ?auto_2579 ) ( AT ?auto_2578 ?auto_2580 ) ( IN-CITY ?auto_2580 ?auto_2579 ) ( IN-CITY ?auto_2577 ?auto_2579 ) ( DIFFERENT ?auto_2577 ?auto_2580 ) ( LOCATION ?auto_2582 ) ( AT ?auto_2578 ?auto_2582 ) ( AT ?auto_2569 ?auto_2582 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2569 ?auto_2578 ?auto_2582 )
      ( DELIVER-PKG ?auto_2569 ?auto_2570 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2610
      ?auto_2611
    )
    :vars
    (
      ?auto_2613
      ?auto_2614
      ?auto_2615
      ?auto_2617
      ?auto_2616
      ?auto_2612
      ?auto_2622
      ?auto_2620
      ?auto_2625
      ?auto_2624
    )
    :precondition
    ( and ( OBJ ?auto_2610 ) ( LOCATION ?auto_2611 ) ( AIRPLANE ?auto_2613 ) ( AIRPORT ?auto_2614 ) ( AIRPORT ?auto_2611 ) ( AT ?auto_2613 ?auto_2614 ) ( DIFFERENT ?auto_2611 ?auto_2614 ) ( LOCATION ?auto_2615 ) ( AT ?auto_2613 ?auto_2615 ) ( TRUCK ?auto_2617 ) ( LOCATION ?auto_2616 ) ( CITY ?auto_2612 ) ( IN-CITY ?auto_2616 ?auto_2612 ) ( IN-CITY ?auto_2615 ?auto_2612 ) ( DIFFERENT ?auto_2615 ?auto_2616 ) ( LOCATION ?auto_2622 ) ( CITY ?auto_2620 ) ( IN-CITY ?auto_2622 ?auto_2620 ) ( IN-CITY ?auto_2616 ?auto_2620 ) ( DIFFERENT ?auto_2616 ?auto_2622 ) ( AT ?auto_2610 ?auto_2622 ) ( LOCATION ?auto_2625 ) ( CITY ?auto_2624 ) ( AT ?auto_2617 ?auto_2625 ) ( IN-CITY ?auto_2625 ?auto_2624 ) ( IN-CITY ?auto_2622 ?auto_2624 ) ( DIFFERENT ?auto_2622 ?auto_2625 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2617 ?auto_2625 ?auto_2622 ?auto_2624 )
      ( DELIVER-PKG ?auto_2610 ?auto_2611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2683
      ?auto_2684
    )
    :vars
    (
      ?auto_2692
      ?auto_2686
      ?auto_2693
      ?auto_2695
      ?auto_2694
      ?auto_2685
      ?auto_2688
      ?auto_2687
      ?auto_2696
      ?auto_2689
      ?auto_2699
      ?auto_2698
    )
    :precondition
    ( and ( OBJ ?auto_2683 ) ( LOCATION ?auto_2684 ) ( AIRPLANE ?auto_2692 ) ( AIRPORT ?auto_2686 ) ( AIRPORT ?auto_2684 ) ( AT ?auto_2692 ?auto_2686 ) ( DIFFERENT ?auto_2684 ?auto_2686 ) ( LOCATION ?auto_2693 ) ( AT ?auto_2692 ?auto_2693 ) ( TRUCK ?auto_2695 ) ( LOCATION ?auto_2694 ) ( CITY ?auto_2685 ) ( IN-CITY ?auto_2694 ?auto_2685 ) ( IN-CITY ?auto_2693 ?auto_2685 ) ( DIFFERENT ?auto_2693 ?auto_2694 ) ( LOCATION ?auto_2688 ) ( CITY ?auto_2687 ) ( IN-CITY ?auto_2688 ?auto_2687 ) ( IN-CITY ?auto_2694 ?auto_2687 ) ( DIFFERENT ?auto_2694 ?auto_2688 ) ( AT ?auto_2683 ?auto_2688 ) ( LOCATION ?auto_2696 ) ( CITY ?auto_2689 ) ( IN-CITY ?auto_2696 ?auto_2689 ) ( IN-CITY ?auto_2688 ?auto_2689 ) ( DIFFERENT ?auto_2688 ?auto_2696 ) ( LOCATION ?auto_2699 ) ( CITY ?auto_2698 ) ( AT ?auto_2695 ?auto_2699 ) ( IN-CITY ?auto_2699 ?auto_2698 ) ( IN-CITY ?auto_2696 ?auto_2698 ) ( DIFFERENT ?auto_2696 ?auto_2699 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2695 ?auto_2699 ?auto_2696 ?auto_2698 )
      ( DELIVER-PKG ?auto_2683 ?auto_2684 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2733
      ?auto_2734
    )
    :vars
    (
      ?auto_2742
      ?auto_2743
      ?auto_2745
      ?auto_2744
      ?auto_2737
      ?auto_2740
      ?auto_2739
      ?auto_2746
      ?auto_2741
      ?auto_2748
      ?auto_2747
      ?auto_2750
    )
    :precondition
    ( and ( OBJ ?auto_2733 ) ( LOCATION ?auto_2734 ) ( AIRPLANE ?auto_2742 ) ( AIRPORT ?auto_2743 ) ( AIRPORT ?auto_2734 ) ( DIFFERENT ?auto_2734 ?auto_2743 ) ( LOCATION ?auto_2743 ) ( TRUCK ?auto_2745 ) ( LOCATION ?auto_2744 ) ( CITY ?auto_2737 ) ( IN-CITY ?auto_2744 ?auto_2737 ) ( IN-CITY ?auto_2743 ?auto_2737 ) ( DIFFERENT ?auto_2743 ?auto_2744 ) ( LOCATION ?auto_2740 ) ( CITY ?auto_2739 ) ( IN-CITY ?auto_2740 ?auto_2739 ) ( IN-CITY ?auto_2744 ?auto_2739 ) ( DIFFERENT ?auto_2744 ?auto_2740 ) ( AT ?auto_2733 ?auto_2740 ) ( LOCATION ?auto_2746 ) ( CITY ?auto_2741 ) ( IN-CITY ?auto_2746 ?auto_2741 ) ( IN-CITY ?auto_2740 ?auto_2741 ) ( DIFFERENT ?auto_2740 ?auto_2746 ) ( LOCATION ?auto_2748 ) ( CITY ?auto_2747 ) ( AT ?auto_2745 ?auto_2748 ) ( IN-CITY ?auto_2748 ?auto_2747 ) ( IN-CITY ?auto_2746 ?auto_2747 ) ( DIFFERENT ?auto_2746 ?auto_2748 ) ( AIRPORT ?auto_2750 ) ( AT ?auto_2742 ?auto_2750 ) ( DIFFERENT ?auto_2743 ?auto_2750 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2742 ?auto_2750 ?auto_2743 )
      ( DELIVER-PKG ?auto_2733 ?auto_2734 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3113
      ?auto_3114
    )
    :vars
    (
      ?auto_3117
      ?auto_3119
      ?auto_3118
      ?auto_3120
      ?auto_3123
    )
    :precondition
    ( and ( OBJ ?auto_3113 ) ( LOCATION ?auto_3114 ) ( TRUCK ?auto_3117 ) ( LOCATION ?auto_3119 ) ( CITY ?auto_3118 ) ( AT ?auto_3117 ?auto_3119 ) ( IN-CITY ?auto_3119 ?auto_3118 ) ( IN-CITY ?auto_3114 ?auto_3118 ) ( DIFFERENT ?auto_3114 ?auto_3119 ) ( LOCATION ?auto_3120 ) ( AT ?auto_3117 ?auto_3120 ) ( AIRPLANE ?auto_3123 ) ( IN ?auto_3113 ?auto_3123 ) ( AT ?auto_3123 ?auto_3120 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3113 ?auto_3120 )
      ( DELIVER-PKG ?auto_3113 ?auto_3114 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3142
      ?auto_3143
    )
    :vars
    (
      ?auto_3146
      ?auto_3148
      ?auto_3147
      ?auto_3149
      ?auto_3150
      ?auto_3152
    )
    :precondition
    ( and ( OBJ ?auto_3142 ) ( LOCATION ?auto_3143 ) ( TRUCK ?auto_3146 ) ( LOCATION ?auto_3148 ) ( CITY ?auto_3147 ) ( AT ?auto_3146 ?auto_3148 ) ( IN-CITY ?auto_3148 ?auto_3147 ) ( IN-CITY ?auto_3143 ?auto_3147 ) ( DIFFERENT ?auto_3143 ?auto_3148 ) ( LOCATION ?auto_3149 ) ( AT ?auto_3146 ?auto_3149 ) ( AIRPLANE ?auto_3150 ) ( IN ?auto_3142 ?auto_3150 ) ( AIRPORT ?auto_3152 ) ( AIRPORT ?auto_3149 ) ( AT ?auto_3150 ?auto_3152 ) ( DIFFERENT ?auto_3149 ?auto_3152 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3150 ?auto_3152 ?auto_3149 )
      ( DELIVER-PKG ?auto_3142 ?auto_3143 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3174
      ?auto_3175
    )
    :vars
    (
      ?auto_3178
      ?auto_3180
      ?auto_3179
      ?auto_3176
      ?auto_3177
      ?auto_3183
      ?auto_3185
    )
    :precondition
    ( and ( OBJ ?auto_3174 ) ( LOCATION ?auto_3175 ) ( TRUCK ?auto_3178 ) ( LOCATION ?auto_3180 ) ( CITY ?auto_3179 ) ( AT ?auto_3178 ?auto_3180 ) ( IN-CITY ?auto_3180 ?auto_3179 ) ( IN-CITY ?auto_3175 ?auto_3179 ) ( DIFFERENT ?auto_3175 ?auto_3180 ) ( LOCATION ?auto_3176 ) ( AT ?auto_3178 ?auto_3176 ) ( AIRPLANE ?auto_3177 ) ( AIRPORT ?auto_3183 ) ( AIRPORT ?auto_3176 ) ( AT ?auto_3177 ?auto_3183 ) ( DIFFERENT ?auto_3176 ?auto_3183 ) ( LOCATION ?auto_3185 ) ( AT ?auto_3174 ?auto_3185 ) ( AT ?auto_3177 ?auto_3185 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3174 ?auto_3177 ?auto_3185 )
      ( DELIVER-PKG ?auto_3174 ?auto_3175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3198
      ?auto_3199
    )
    :vars
    (
      ?auto_3202
      ?auto_3205
      ?auto_3204
      ?auto_3203
      ?auto_3201
      ?auto_3206
      ?auto_3208
      ?auto_3211
    )
    :precondition
    ( and ( OBJ ?auto_3198 ) ( LOCATION ?auto_3199 ) ( TRUCK ?auto_3202 ) ( LOCATION ?auto_3205 ) ( CITY ?auto_3204 ) ( AT ?auto_3202 ?auto_3205 ) ( IN-CITY ?auto_3205 ?auto_3204 ) ( IN-CITY ?auto_3199 ?auto_3204 ) ( DIFFERENT ?auto_3199 ?auto_3205 ) ( LOCATION ?auto_3203 ) ( AT ?auto_3202 ?auto_3203 ) ( AIRPLANE ?auto_3201 ) ( AIRPORT ?auto_3206 ) ( AIRPORT ?auto_3203 ) ( AT ?auto_3201 ?auto_3206 ) ( DIFFERENT ?auto_3203 ?auto_3206 ) ( LOCATION ?auto_3208 ) ( AT ?auto_3201 ?auto_3208 ) ( TRUCK ?auto_3211 ) ( AT ?auto_3211 ?auto_3208 ) ( IN ?auto_3198 ?auto_3211 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3198 ?auto_3208 )
      ( DELIVER-PKG ?auto_3198 ?auto_3199 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3224
      ?auto_3225
    )
    :vars
    (
      ?auto_3230
      ?auto_3226
      ?auto_3227
      ?auto_3231
      ?auto_3232
      ?auto_3228
      ?auto_3229
      ?auto_3235
      ?auto_3238
      ?auto_3237
    )
    :precondition
    ( and ( OBJ ?auto_3224 ) ( LOCATION ?auto_3225 ) ( TRUCK ?auto_3230 ) ( LOCATION ?auto_3226 ) ( CITY ?auto_3227 ) ( AT ?auto_3230 ?auto_3226 ) ( IN-CITY ?auto_3226 ?auto_3227 ) ( IN-CITY ?auto_3225 ?auto_3227 ) ( DIFFERENT ?auto_3225 ?auto_3226 ) ( LOCATION ?auto_3231 ) ( AT ?auto_3230 ?auto_3231 ) ( AIRPLANE ?auto_3232 ) ( AIRPORT ?auto_3228 ) ( AIRPORT ?auto_3231 ) ( AT ?auto_3232 ?auto_3228 ) ( DIFFERENT ?auto_3231 ?auto_3228 ) ( LOCATION ?auto_3229 ) ( AT ?auto_3232 ?auto_3229 ) ( TRUCK ?auto_3235 ) ( IN ?auto_3224 ?auto_3235 ) ( LOCATION ?auto_3238 ) ( CITY ?auto_3237 ) ( AT ?auto_3235 ?auto_3238 ) ( IN-CITY ?auto_3238 ?auto_3237 ) ( IN-CITY ?auto_3229 ?auto_3237 ) ( DIFFERENT ?auto_3229 ?auto_3238 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3235 ?auto_3238 ?auto_3229 ?auto_3237 )
      ( DELIVER-PKG ?auto_3224 ?auto_3225 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3282
      ?auto_3283
    )
    :vars
    (
      ?auto_3289
      ?auto_3290
      ?auto_3292
      ?auto_3291
      ?auto_3287
      ?auto_3288
      ?auto_3285
      ?auto_3295
      ?auto_3294
      ?auto_3298
      ?auto_3297
    )
    :precondition
    ( and ( OBJ ?auto_3282 ) ( LOCATION ?auto_3283 ) ( TRUCK ?auto_3289 ) ( LOCATION ?auto_3290 ) ( CITY ?auto_3292 ) ( IN-CITY ?auto_3290 ?auto_3292 ) ( IN-CITY ?auto_3283 ?auto_3292 ) ( DIFFERENT ?auto_3283 ?auto_3290 ) ( AIRPLANE ?auto_3291 ) ( AIRPORT ?auto_3287 ) ( AIRPORT ?auto_3290 ) ( AT ?auto_3291 ?auto_3287 ) ( DIFFERENT ?auto_3290 ?auto_3287 ) ( LOCATION ?auto_3288 ) ( AT ?auto_3291 ?auto_3288 ) ( TRUCK ?auto_3285 ) ( IN ?auto_3282 ?auto_3285 ) ( LOCATION ?auto_3295 ) ( CITY ?auto_3294 ) ( AT ?auto_3285 ?auto_3295 ) ( IN-CITY ?auto_3295 ?auto_3294 ) ( IN-CITY ?auto_3288 ?auto_3294 ) ( DIFFERENT ?auto_3288 ?auto_3295 ) ( LOCATION ?auto_3298 ) ( CITY ?auto_3297 ) ( AT ?auto_3289 ?auto_3298 ) ( IN-CITY ?auto_3298 ?auto_3297 ) ( IN-CITY ?auto_3290 ?auto_3297 ) ( DIFFERENT ?auto_3290 ?auto_3298 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3289 ?auto_3298 ?auto_3290 ?auto_3297 )
      ( DELIVER-PKG ?auto_3282 ?auto_3283 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3300
      ?auto_3301
    )
    :vars
    (
      ?auto_3307
      ?auto_3308
      ?auto_3310
      ?auto_3309
      ?auto_3303
      ?auto_3306
      ?auto_3305
      ?auto_3312
      ?auto_3311
      ?auto_3314
      ?auto_3313
      ?auto_3316
    )
    :precondition
    ( and ( OBJ ?auto_3300 ) ( LOCATION ?auto_3301 ) ( TRUCK ?auto_3307 ) ( LOCATION ?auto_3308 ) ( CITY ?auto_3310 ) ( IN-CITY ?auto_3308 ?auto_3310 ) ( IN-CITY ?auto_3301 ?auto_3310 ) ( DIFFERENT ?auto_3301 ?auto_3308 ) ( AIRPLANE ?auto_3309 ) ( AIRPORT ?auto_3303 ) ( AIRPORT ?auto_3308 ) ( AT ?auto_3309 ?auto_3303 ) ( DIFFERENT ?auto_3308 ?auto_3303 ) ( LOCATION ?auto_3306 ) ( AT ?auto_3309 ?auto_3306 ) ( TRUCK ?auto_3305 ) ( LOCATION ?auto_3312 ) ( CITY ?auto_3311 ) ( AT ?auto_3305 ?auto_3312 ) ( IN-CITY ?auto_3312 ?auto_3311 ) ( IN-CITY ?auto_3306 ?auto_3311 ) ( DIFFERENT ?auto_3306 ?auto_3312 ) ( LOCATION ?auto_3314 ) ( CITY ?auto_3313 ) ( AT ?auto_3307 ?auto_3314 ) ( IN-CITY ?auto_3314 ?auto_3313 ) ( IN-CITY ?auto_3308 ?auto_3313 ) ( DIFFERENT ?auto_3308 ?auto_3314 ) ( LOCATION ?auto_3316 ) ( AT ?auto_3305 ?auto_3316 ) ( AT ?auto_3300 ?auto_3316 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3300 ?auto_3305 ?auto_3316 )
      ( DELIVER-PKG ?auto_3300 ?auto_3301 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3706
      ?auto_3707
    )
    :vars
    (
      ?auto_3708
      ?auto_3710
      ?auto_3715
      ?auto_3709
      ?auto_3711
      ?auto_3713
      ?auto_3718
    )
    :precondition
    ( and ( OBJ ?auto_3706 ) ( LOCATION ?auto_3707 ) ( TRUCK ?auto_3708 ) ( LOCATION ?auto_3710 ) ( CITY ?auto_3715 ) ( IN-CITY ?auto_3710 ?auto_3715 ) ( IN-CITY ?auto_3707 ?auto_3715 ) ( DIFFERENT ?auto_3707 ?auto_3710 ) ( LOCATION ?auto_3709 ) ( CITY ?auto_3711 ) ( AT ?auto_3708 ?auto_3709 ) ( IN-CITY ?auto_3709 ?auto_3711 ) ( IN-CITY ?auto_3710 ?auto_3711 ) ( DIFFERENT ?auto_3710 ?auto_3709 ) ( LOCATION ?auto_3713 ) ( AT ?auto_3708 ?auto_3713 ) ( AIRPLANE ?auto_3718 ) ( IN ?auto_3706 ?auto_3718 ) ( AT ?auto_3718 ?auto_3713 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3706 ?auto_3713 )
      ( DELIVER-PKG ?auto_3706 ?auto_3707 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3719
      ?auto_3720
    )
    :vars
    (
      ?auto_3728
      ?auto_3721
      ?auto_3722
      ?auto_3729
      ?auto_3726
      ?auto_3723
      ?auto_3725
      ?auto_3731
    )
    :precondition
    ( and ( OBJ ?auto_3719 ) ( LOCATION ?auto_3720 ) ( TRUCK ?auto_3728 ) ( LOCATION ?auto_3721 ) ( CITY ?auto_3722 ) ( IN-CITY ?auto_3721 ?auto_3722 ) ( IN-CITY ?auto_3720 ?auto_3722 ) ( DIFFERENT ?auto_3720 ?auto_3721 ) ( LOCATION ?auto_3729 ) ( CITY ?auto_3726 ) ( AT ?auto_3728 ?auto_3729 ) ( IN-CITY ?auto_3729 ?auto_3726 ) ( IN-CITY ?auto_3721 ?auto_3726 ) ( DIFFERENT ?auto_3721 ?auto_3729 ) ( LOCATION ?auto_3723 ) ( AT ?auto_3728 ?auto_3723 ) ( AIRPLANE ?auto_3725 ) ( IN ?auto_3719 ?auto_3725 ) ( AIRPORT ?auto_3731 ) ( AIRPORT ?auto_3723 ) ( AT ?auto_3725 ?auto_3731 ) ( DIFFERENT ?auto_3723 ?auto_3731 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3725 ?auto_3731 ?auto_3723 )
      ( DELIVER-PKG ?auto_3719 ?auto_3720 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3733
      ?auto_3734
    )
    :vars
    (
      ?auto_3739
      ?auto_3736
      ?auto_3744
      ?auto_3735
      ?auto_3742
      ?auto_3737
      ?auto_3740
      ?auto_3738
      ?auto_3746
    )
    :precondition
    ( and ( OBJ ?auto_3733 ) ( LOCATION ?auto_3734 ) ( TRUCK ?auto_3739 ) ( LOCATION ?auto_3736 ) ( CITY ?auto_3744 ) ( IN-CITY ?auto_3736 ?auto_3744 ) ( IN-CITY ?auto_3734 ?auto_3744 ) ( DIFFERENT ?auto_3734 ?auto_3736 ) ( LOCATION ?auto_3735 ) ( CITY ?auto_3742 ) ( AT ?auto_3739 ?auto_3735 ) ( IN-CITY ?auto_3735 ?auto_3742 ) ( IN-CITY ?auto_3736 ?auto_3742 ) ( DIFFERENT ?auto_3736 ?auto_3735 ) ( LOCATION ?auto_3737 ) ( AT ?auto_3739 ?auto_3737 ) ( AIRPLANE ?auto_3740 ) ( AIRPORT ?auto_3738 ) ( AIRPORT ?auto_3737 ) ( AT ?auto_3740 ?auto_3738 ) ( DIFFERENT ?auto_3737 ?auto_3738 ) ( LOCATION ?auto_3746 ) ( AT ?auto_3733 ?auto_3746 ) ( AT ?auto_3740 ?auto_3746 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3733 ?auto_3740 ?auto_3746 )
      ( DELIVER-PKG ?auto_3733 ?auto_3734 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3748
      ?auto_3749
    )
    :vars
    (
      ?auto_3760
      ?auto_3758
      ?auto_3757
      ?auto_3754
      ?auto_3750
      ?auto_3759
      ?auto_3753
      ?auto_3751
      ?auto_3756
      ?auto_3762
    )
    :precondition
    ( and ( OBJ ?auto_3748 ) ( LOCATION ?auto_3749 ) ( TRUCK ?auto_3760 ) ( LOCATION ?auto_3758 ) ( CITY ?auto_3757 ) ( IN-CITY ?auto_3758 ?auto_3757 ) ( IN-CITY ?auto_3749 ?auto_3757 ) ( DIFFERENT ?auto_3749 ?auto_3758 ) ( LOCATION ?auto_3754 ) ( CITY ?auto_3750 ) ( AT ?auto_3760 ?auto_3754 ) ( IN-CITY ?auto_3754 ?auto_3750 ) ( IN-CITY ?auto_3758 ?auto_3750 ) ( DIFFERENT ?auto_3758 ?auto_3754 ) ( LOCATION ?auto_3759 ) ( AT ?auto_3760 ?auto_3759 ) ( AIRPLANE ?auto_3753 ) ( AIRPORT ?auto_3751 ) ( AIRPORT ?auto_3759 ) ( AT ?auto_3753 ?auto_3751 ) ( DIFFERENT ?auto_3759 ?auto_3751 ) ( LOCATION ?auto_3756 ) ( AT ?auto_3753 ?auto_3756 ) ( TRUCK ?auto_3762 ) ( AT ?auto_3762 ?auto_3756 ) ( IN ?auto_3748 ?auto_3762 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3748 ?auto_3756 )
      ( DELIVER-PKG ?auto_3748 ?auto_3749 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3764
      ?auto_3765
    )
    :vars
    (
      ?auto_3770
      ?auto_3772
      ?auto_3776
      ?auto_3768
      ?auto_3773
      ?auto_3767
      ?auto_3777
      ?auto_3775
      ?auto_3771
      ?auto_3766
      ?auto_3780
      ?auto_3779
    )
    :precondition
    ( and ( OBJ ?auto_3764 ) ( LOCATION ?auto_3765 ) ( TRUCK ?auto_3770 ) ( LOCATION ?auto_3772 ) ( CITY ?auto_3776 ) ( IN-CITY ?auto_3772 ?auto_3776 ) ( IN-CITY ?auto_3765 ?auto_3776 ) ( DIFFERENT ?auto_3765 ?auto_3772 ) ( LOCATION ?auto_3768 ) ( CITY ?auto_3773 ) ( AT ?auto_3770 ?auto_3768 ) ( IN-CITY ?auto_3768 ?auto_3773 ) ( IN-CITY ?auto_3772 ?auto_3773 ) ( DIFFERENT ?auto_3772 ?auto_3768 ) ( LOCATION ?auto_3767 ) ( AT ?auto_3770 ?auto_3767 ) ( AIRPLANE ?auto_3777 ) ( AIRPORT ?auto_3775 ) ( AIRPORT ?auto_3767 ) ( AT ?auto_3777 ?auto_3775 ) ( DIFFERENT ?auto_3767 ?auto_3775 ) ( LOCATION ?auto_3771 ) ( AT ?auto_3777 ?auto_3771 ) ( TRUCK ?auto_3766 ) ( IN ?auto_3764 ?auto_3766 ) ( LOCATION ?auto_3780 ) ( CITY ?auto_3779 ) ( AT ?auto_3766 ?auto_3780 ) ( IN-CITY ?auto_3780 ?auto_3779 ) ( IN-CITY ?auto_3771 ?auto_3779 ) ( DIFFERENT ?auto_3771 ?auto_3780 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3766 ?auto_3780 ?auto_3771 ?auto_3779 )
      ( DELIVER-PKG ?auto_3764 ?auto_3765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3798
      ?auto_3799
    )
    :vars
    (
      ?auto_3800
      ?auto_3811
      ?auto_3806
      ?auto_3813
      ?auto_3801
      ?auto_3812
      ?auto_3802
      ?auto_3805
      ?auto_3804
      ?auto_3810
      ?auto_3809
      ?auto_3808
      ?auto_3815
    )
    :precondition
    ( and ( OBJ ?auto_3798 ) ( LOCATION ?auto_3799 ) ( TRUCK ?auto_3800 ) ( LOCATION ?auto_3811 ) ( CITY ?auto_3806 ) ( IN-CITY ?auto_3811 ?auto_3806 ) ( IN-CITY ?auto_3799 ?auto_3806 ) ( DIFFERENT ?auto_3799 ?auto_3811 ) ( LOCATION ?auto_3813 ) ( CITY ?auto_3801 ) ( AT ?auto_3800 ?auto_3813 ) ( IN-CITY ?auto_3813 ?auto_3801 ) ( IN-CITY ?auto_3811 ?auto_3801 ) ( DIFFERENT ?auto_3811 ?auto_3813 ) ( LOCATION ?auto_3812 ) ( AT ?auto_3800 ?auto_3812 ) ( AIRPLANE ?auto_3802 ) ( AIRPORT ?auto_3805 ) ( AIRPORT ?auto_3812 ) ( AT ?auto_3802 ?auto_3805 ) ( DIFFERENT ?auto_3812 ?auto_3805 ) ( LOCATION ?auto_3804 ) ( AT ?auto_3802 ?auto_3804 ) ( TRUCK ?auto_3810 ) ( LOCATION ?auto_3809 ) ( CITY ?auto_3808 ) ( AT ?auto_3810 ?auto_3809 ) ( IN-CITY ?auto_3809 ?auto_3808 ) ( IN-CITY ?auto_3804 ?auto_3808 ) ( DIFFERENT ?auto_3804 ?auto_3809 ) ( LOCATION ?auto_3815 ) ( AT ?auto_3810 ?auto_3815 ) ( AT ?auto_3798 ?auto_3815 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3798 ?auto_3810 ?auto_3815 )
      ( DELIVER-PKG ?auto_3798 ?auto_3799 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3851
      ?auto_3852
    )
    :vars
    (
      ?auto_3865
      ?auto_3857
      ?auto_3858
      ?auto_3864
      ?auto_3862
      ?auto_3863
      ?auto_3855
      ?auto_3859
      ?auto_3853
      ?auto_3856
      ?auto_3860
      ?auto_3861
      ?auto_3867
      ?auto_3870
    )
    :precondition
    ( and ( OBJ ?auto_3851 ) ( LOCATION ?auto_3852 ) ( TRUCK ?auto_3865 ) ( LOCATION ?auto_3857 ) ( CITY ?auto_3858 ) ( IN-CITY ?auto_3857 ?auto_3858 ) ( IN-CITY ?auto_3852 ?auto_3858 ) ( DIFFERENT ?auto_3852 ?auto_3857 ) ( LOCATION ?auto_3864 ) ( CITY ?auto_3862 ) ( AT ?auto_3865 ?auto_3864 ) ( IN-CITY ?auto_3864 ?auto_3862 ) ( IN-CITY ?auto_3857 ?auto_3862 ) ( DIFFERENT ?auto_3857 ?auto_3864 ) ( LOCATION ?auto_3863 ) ( AT ?auto_3865 ?auto_3863 ) ( AIRPLANE ?auto_3855 ) ( AIRPORT ?auto_3859 ) ( AIRPORT ?auto_3863 ) ( AT ?auto_3855 ?auto_3859 ) ( DIFFERENT ?auto_3863 ?auto_3859 ) ( LOCATION ?auto_3853 ) ( AT ?auto_3855 ?auto_3853 ) ( TRUCK ?auto_3856 ) ( LOCATION ?auto_3860 ) ( CITY ?auto_3861 ) ( AT ?auto_3856 ?auto_3860 ) ( IN-CITY ?auto_3860 ?auto_3861 ) ( IN-CITY ?auto_3853 ?auto_3861 ) ( DIFFERENT ?auto_3853 ?auto_3860 ) ( LOCATION ?auto_3867 ) ( AT ?auto_3856 ?auto_3867 ) ( TRUCK ?auto_3870 ) ( AT ?auto_3870 ?auto_3867 ) ( IN ?auto_3851 ?auto_3870 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3851 ?auto_3867 )
      ( DELIVER-PKG ?auto_3851 ?auto_3852 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3925
      ?auto_3926
    )
    :vars
    (
      ?auto_3931
      ?auto_3934
      ?auto_3935
      ?auto_3930
      ?auto_3928
      ?auto_3929
      ?auto_3933
      ?auto_3936
      ?auto_3940
      ?auto_3942
      ?auto_3941
      ?auto_3938
      ?auto_3945
      ?auto_3944
    )
    :precondition
    ( and ( OBJ ?auto_3925 ) ( LOCATION ?auto_3926 ) ( TRUCK ?auto_3931 ) ( LOCATION ?auto_3934 ) ( CITY ?auto_3935 ) ( IN-CITY ?auto_3934 ?auto_3935 ) ( IN-CITY ?auto_3926 ?auto_3935 ) ( DIFFERENT ?auto_3926 ?auto_3934 ) ( LOCATION ?auto_3930 ) ( CITY ?auto_3928 ) ( AT ?auto_3931 ?auto_3930 ) ( IN-CITY ?auto_3930 ?auto_3928 ) ( IN-CITY ?auto_3934 ?auto_3928 ) ( DIFFERENT ?auto_3934 ?auto_3930 ) ( LOCATION ?auto_3929 ) ( AT ?auto_3931 ?auto_3929 ) ( AIRPLANE ?auto_3933 ) ( AIRPORT ?auto_3936 ) ( AIRPORT ?auto_3929 ) ( AT ?auto_3933 ?auto_3936 ) ( DIFFERENT ?auto_3929 ?auto_3936 ) ( LOCATION ?auto_3940 ) ( AT ?auto_3933 ?auto_3940 ) ( TRUCK ?auto_3942 ) ( LOCATION ?auto_3941 ) ( CITY ?auto_3938 ) ( IN-CITY ?auto_3941 ?auto_3938 ) ( IN-CITY ?auto_3940 ?auto_3938 ) ( DIFFERENT ?auto_3940 ?auto_3941 ) ( IN ?auto_3925 ?auto_3942 ) ( LOCATION ?auto_3945 ) ( CITY ?auto_3944 ) ( AT ?auto_3942 ?auto_3945 ) ( IN-CITY ?auto_3945 ?auto_3944 ) ( IN-CITY ?auto_3941 ?auto_3944 ) ( DIFFERENT ?auto_3941 ?auto_3945 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3942 ?auto_3945 ?auto_3941 ?auto_3944 )
      ( DELIVER-PKG ?auto_3925 ?auto_3926 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3983
      ?auto_3984
    )
    :vars
    (
      ?auto_3991
      ?auto_3993
      ?auto_3994
      ?auto_3989
      ?auto_3985
      ?auto_3988
      ?auto_3992
      ?auto_3995
      ?auto_3997
      ?auto_3999
      ?auto_3998
      ?auto_3996
      ?auto_4000
      ?auto_3986
      ?auto_4002
    )
    :precondition
    ( and ( OBJ ?auto_3983 ) ( LOCATION ?auto_3984 ) ( TRUCK ?auto_3991 ) ( LOCATION ?auto_3993 ) ( CITY ?auto_3994 ) ( IN-CITY ?auto_3993 ?auto_3994 ) ( IN-CITY ?auto_3984 ?auto_3994 ) ( DIFFERENT ?auto_3984 ?auto_3993 ) ( LOCATION ?auto_3989 ) ( CITY ?auto_3985 ) ( AT ?auto_3991 ?auto_3989 ) ( IN-CITY ?auto_3989 ?auto_3985 ) ( IN-CITY ?auto_3993 ?auto_3985 ) ( DIFFERENT ?auto_3993 ?auto_3989 ) ( LOCATION ?auto_3988 ) ( AT ?auto_3991 ?auto_3988 ) ( AIRPLANE ?auto_3992 ) ( AIRPORT ?auto_3995 ) ( AIRPORT ?auto_3988 ) ( AT ?auto_3992 ?auto_3995 ) ( DIFFERENT ?auto_3988 ?auto_3995 ) ( LOCATION ?auto_3997 ) ( AT ?auto_3992 ?auto_3997 ) ( TRUCK ?auto_3999 ) ( LOCATION ?auto_3998 ) ( CITY ?auto_3996 ) ( IN-CITY ?auto_3998 ?auto_3996 ) ( IN-CITY ?auto_3997 ?auto_3996 ) ( DIFFERENT ?auto_3997 ?auto_3998 ) ( LOCATION ?auto_4000 ) ( CITY ?auto_3986 ) ( AT ?auto_3999 ?auto_4000 ) ( IN-CITY ?auto_4000 ?auto_3986 ) ( IN-CITY ?auto_3998 ?auto_3986 ) ( DIFFERENT ?auto_3998 ?auto_4000 ) ( LOCATION ?auto_4002 ) ( AT ?auto_3999 ?auto_4002 ) ( AT ?auto_3983 ?auto_4002 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3983 ?auto_3999 ?auto_4002 )
      ( DELIVER-PKG ?auto_3983 ?auto_3984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4042
      ?auto_4043
    )
    :vars
    (
      ?auto_4047
      ?auto_4054
      ?auto_4055
      ?auto_4046
      ?auto_4051
      ?auto_4057
      ?auto_4053
      ?auto_4056
      ?auto_4049
      ?auto_4059
      ?auto_4050
      ?auto_4048
      ?auto_4052
      ?auto_4045
      ?auto_4063
      ?auto_4062
    )
    :precondition
    ( and ( OBJ ?auto_4042 ) ( LOCATION ?auto_4043 ) ( TRUCK ?auto_4047 ) ( LOCATION ?auto_4054 ) ( CITY ?auto_4055 ) ( IN-CITY ?auto_4054 ?auto_4055 ) ( IN-CITY ?auto_4043 ?auto_4055 ) ( DIFFERENT ?auto_4043 ?auto_4054 ) ( LOCATION ?auto_4046 ) ( CITY ?auto_4051 ) ( AT ?auto_4047 ?auto_4046 ) ( IN-CITY ?auto_4046 ?auto_4051 ) ( IN-CITY ?auto_4054 ?auto_4051 ) ( DIFFERENT ?auto_4054 ?auto_4046 ) ( LOCATION ?auto_4057 ) ( AT ?auto_4047 ?auto_4057 ) ( AIRPLANE ?auto_4053 ) ( AIRPORT ?auto_4056 ) ( AIRPORT ?auto_4057 ) ( AT ?auto_4053 ?auto_4056 ) ( DIFFERENT ?auto_4057 ?auto_4056 ) ( LOCATION ?auto_4049 ) ( AT ?auto_4053 ?auto_4049 ) ( TRUCK ?auto_4059 ) ( LOCATION ?auto_4050 ) ( CITY ?auto_4048 ) ( IN-CITY ?auto_4050 ?auto_4048 ) ( IN-CITY ?auto_4049 ?auto_4048 ) ( DIFFERENT ?auto_4049 ?auto_4050 ) ( LOCATION ?auto_4052 ) ( CITY ?auto_4045 ) ( IN-CITY ?auto_4052 ?auto_4045 ) ( IN-CITY ?auto_4050 ?auto_4045 ) ( DIFFERENT ?auto_4050 ?auto_4052 ) ( AT ?auto_4042 ?auto_4052 ) ( LOCATION ?auto_4063 ) ( CITY ?auto_4062 ) ( AT ?auto_4059 ?auto_4063 ) ( IN-CITY ?auto_4063 ?auto_4062 ) ( IN-CITY ?auto_4052 ?auto_4062 ) ( DIFFERENT ?auto_4052 ?auto_4063 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4059 ?auto_4063 ?auto_4052 ?auto_4062 )
      ( DELIVER-PKG ?auto_4042 ?auto_4043 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4145
      ?auto_4146
    )
    :vars
    (
      ?auto_4152
      ?auto_4160
      ?auto_4161
      ?auto_4151
      ?auto_4157
      ?auto_4149
      ?auto_4159
      ?auto_4148
      ?auto_4155
      ?auto_4163
      ?auto_4156
      ?auto_4147
      ?auto_4158
      ?auto_4150
      ?auto_4164
      ?auto_4153
      ?auto_4167
      ?auto_4166
    )
    :precondition
    ( and ( OBJ ?auto_4145 ) ( LOCATION ?auto_4146 ) ( TRUCK ?auto_4152 ) ( LOCATION ?auto_4160 ) ( CITY ?auto_4161 ) ( IN-CITY ?auto_4160 ?auto_4161 ) ( IN-CITY ?auto_4146 ?auto_4161 ) ( DIFFERENT ?auto_4146 ?auto_4160 ) ( LOCATION ?auto_4151 ) ( CITY ?auto_4157 ) ( AT ?auto_4152 ?auto_4151 ) ( IN-CITY ?auto_4151 ?auto_4157 ) ( IN-CITY ?auto_4160 ?auto_4157 ) ( DIFFERENT ?auto_4160 ?auto_4151 ) ( LOCATION ?auto_4149 ) ( AT ?auto_4152 ?auto_4149 ) ( AIRPLANE ?auto_4159 ) ( AIRPORT ?auto_4148 ) ( AIRPORT ?auto_4149 ) ( AT ?auto_4159 ?auto_4148 ) ( DIFFERENT ?auto_4149 ?auto_4148 ) ( LOCATION ?auto_4155 ) ( AT ?auto_4159 ?auto_4155 ) ( TRUCK ?auto_4163 ) ( LOCATION ?auto_4156 ) ( CITY ?auto_4147 ) ( IN-CITY ?auto_4156 ?auto_4147 ) ( IN-CITY ?auto_4155 ?auto_4147 ) ( DIFFERENT ?auto_4155 ?auto_4156 ) ( LOCATION ?auto_4158 ) ( CITY ?auto_4150 ) ( IN-CITY ?auto_4158 ?auto_4150 ) ( IN-CITY ?auto_4156 ?auto_4150 ) ( DIFFERENT ?auto_4156 ?auto_4158 ) ( AT ?auto_4145 ?auto_4158 ) ( LOCATION ?auto_4164 ) ( CITY ?auto_4153 ) ( IN-CITY ?auto_4164 ?auto_4153 ) ( IN-CITY ?auto_4158 ?auto_4153 ) ( DIFFERENT ?auto_4158 ?auto_4164 ) ( LOCATION ?auto_4167 ) ( CITY ?auto_4166 ) ( AT ?auto_4163 ?auto_4167 ) ( IN-CITY ?auto_4167 ?auto_4166 ) ( IN-CITY ?auto_4164 ?auto_4166 ) ( DIFFERENT ?auto_4164 ?auto_4167 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4163 ?auto_4167 ?auto_4164 ?auto_4166 )
      ( DELIVER-PKG ?auto_4145 ?auto_4146 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4213
      ?auto_4214
    )
    :vars
    (
      ?auto_4222
      ?auto_4229
      ?auto_4230
      ?auto_4221
      ?auto_4226
      ?auto_4219
      ?auto_4228
      ?auto_4224
      ?auto_4232
      ?auto_4225
      ?auto_4215
      ?auto_4227
      ?auto_4220
      ?auto_4233
      ?auto_4223
      ?auto_4234
      ?auto_4231
      ?auto_4236
    )
    :precondition
    ( and ( OBJ ?auto_4213 ) ( LOCATION ?auto_4214 ) ( TRUCK ?auto_4222 ) ( LOCATION ?auto_4229 ) ( CITY ?auto_4230 ) ( IN-CITY ?auto_4229 ?auto_4230 ) ( IN-CITY ?auto_4214 ?auto_4230 ) ( DIFFERENT ?auto_4214 ?auto_4229 ) ( LOCATION ?auto_4221 ) ( CITY ?auto_4226 ) ( AT ?auto_4222 ?auto_4221 ) ( IN-CITY ?auto_4221 ?auto_4226 ) ( IN-CITY ?auto_4229 ?auto_4226 ) ( DIFFERENT ?auto_4229 ?auto_4221 ) ( LOCATION ?auto_4219 ) ( AT ?auto_4222 ?auto_4219 ) ( AIRPLANE ?auto_4228 ) ( AIRPORT ?auto_4224 ) ( AIRPORT ?auto_4219 ) ( DIFFERENT ?auto_4219 ?auto_4224 ) ( LOCATION ?auto_4224 ) ( TRUCK ?auto_4232 ) ( LOCATION ?auto_4225 ) ( CITY ?auto_4215 ) ( IN-CITY ?auto_4225 ?auto_4215 ) ( IN-CITY ?auto_4224 ?auto_4215 ) ( DIFFERENT ?auto_4224 ?auto_4225 ) ( LOCATION ?auto_4227 ) ( CITY ?auto_4220 ) ( IN-CITY ?auto_4227 ?auto_4220 ) ( IN-CITY ?auto_4225 ?auto_4220 ) ( DIFFERENT ?auto_4225 ?auto_4227 ) ( AT ?auto_4213 ?auto_4227 ) ( LOCATION ?auto_4233 ) ( CITY ?auto_4223 ) ( IN-CITY ?auto_4233 ?auto_4223 ) ( IN-CITY ?auto_4227 ?auto_4223 ) ( DIFFERENT ?auto_4227 ?auto_4233 ) ( LOCATION ?auto_4234 ) ( CITY ?auto_4231 ) ( AT ?auto_4232 ?auto_4234 ) ( IN-CITY ?auto_4234 ?auto_4231 ) ( IN-CITY ?auto_4233 ?auto_4231 ) ( DIFFERENT ?auto_4233 ?auto_4234 ) ( AIRPORT ?auto_4236 ) ( AT ?auto_4228 ?auto_4236 ) ( DIFFERENT ?auto_4224 ?auto_4236 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4228 ?auto_4236 ?auto_4224 )
      ( DELIVER-PKG ?auto_4213 ?auto_4214 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4238
      ?auto_4239
    )
    :vars
    (
      ?auto_4254
      ?auto_4253
      ?auto_4242
      ?auto_4247
      ?auto_4250
      ?auto_4252
      ?auto_4256
      ?auto_4244
      ?auto_4257
      ?auto_4246
      ?auto_4251
      ?auto_4248
      ?auto_4258
      ?auto_4255
      ?auto_4259
      ?auto_4243
      ?auto_4245
      ?auto_4262
      ?auto_4261
    )
    :precondition
    ( and ( OBJ ?auto_4238 ) ( LOCATION ?auto_4239 ) ( TRUCK ?auto_4254 ) ( LOCATION ?auto_4253 ) ( CITY ?auto_4242 ) ( IN-CITY ?auto_4253 ?auto_4242 ) ( IN-CITY ?auto_4239 ?auto_4242 ) ( DIFFERENT ?auto_4239 ?auto_4253 ) ( LOCATION ?auto_4247 ) ( CITY ?auto_4250 ) ( IN-CITY ?auto_4247 ?auto_4250 ) ( IN-CITY ?auto_4253 ?auto_4250 ) ( DIFFERENT ?auto_4253 ?auto_4247 ) ( AIRPLANE ?auto_4252 ) ( AIRPORT ?auto_4256 ) ( AIRPORT ?auto_4247 ) ( DIFFERENT ?auto_4247 ?auto_4256 ) ( LOCATION ?auto_4256 ) ( TRUCK ?auto_4244 ) ( LOCATION ?auto_4257 ) ( CITY ?auto_4246 ) ( IN-CITY ?auto_4257 ?auto_4246 ) ( IN-CITY ?auto_4256 ?auto_4246 ) ( DIFFERENT ?auto_4256 ?auto_4257 ) ( LOCATION ?auto_4251 ) ( CITY ?auto_4248 ) ( IN-CITY ?auto_4251 ?auto_4248 ) ( IN-CITY ?auto_4257 ?auto_4248 ) ( DIFFERENT ?auto_4257 ?auto_4251 ) ( AT ?auto_4238 ?auto_4251 ) ( LOCATION ?auto_4258 ) ( CITY ?auto_4255 ) ( IN-CITY ?auto_4258 ?auto_4255 ) ( IN-CITY ?auto_4251 ?auto_4255 ) ( DIFFERENT ?auto_4251 ?auto_4258 ) ( LOCATION ?auto_4259 ) ( CITY ?auto_4243 ) ( AT ?auto_4244 ?auto_4259 ) ( IN-CITY ?auto_4259 ?auto_4243 ) ( IN-CITY ?auto_4258 ?auto_4243 ) ( DIFFERENT ?auto_4258 ?auto_4259 ) ( AIRPORT ?auto_4245 ) ( AT ?auto_4252 ?auto_4245 ) ( DIFFERENT ?auto_4256 ?auto_4245 ) ( LOCATION ?auto_4262 ) ( CITY ?auto_4261 ) ( AT ?auto_4254 ?auto_4262 ) ( IN-CITY ?auto_4262 ?auto_4261 ) ( IN-CITY ?auto_4247 ?auto_4261 ) ( DIFFERENT ?auto_4247 ?auto_4262 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4254 ?auto_4262 ?auto_4247 ?auto_4261 )
      ( DELIVER-PKG ?auto_4238 ?auto_4239 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6230
      ?auto_6231
    )
    :vars
    (
      ?auto_6235
      ?auto_6239
      ?auto_6240
      ?auto_6233
      ?auto_6232
      ?auto_6234
      ?auto_6242
      ?auto_6241
      ?auto_6236
      ?auto_6245
    )
    :precondition
    ( and ( OBJ ?auto_6230 ) ( LOCATION ?auto_6231 ) ( AIRPLANE ?auto_6235 ) ( AIRPORT ?auto_6239 ) ( AIRPORT ?auto_6231 ) ( DIFFERENT ?auto_6231 ?auto_6239 ) ( LOCATION ?auto_6239 ) ( TRUCK ?auto_6240 ) ( LOCATION ?auto_6233 ) ( CITY ?auto_6232 ) ( IN-CITY ?auto_6233 ?auto_6232 ) ( IN-CITY ?auto_6239 ?auto_6232 ) ( DIFFERENT ?auto_6239 ?auto_6233 ) ( LOCATION ?auto_6234 ) ( CITY ?auto_6242 ) ( IN-CITY ?auto_6234 ?auto_6242 ) ( IN-CITY ?auto_6233 ?auto_6242 ) ( DIFFERENT ?auto_6233 ?auto_6234 ) ( AT ?auto_6230 ?auto_6234 ) ( LOCATION ?auto_6241 ) ( CITY ?auto_6236 ) ( AT ?auto_6240 ?auto_6241 ) ( IN-CITY ?auto_6241 ?auto_6236 ) ( IN-CITY ?auto_6234 ?auto_6236 ) ( DIFFERENT ?auto_6234 ?auto_6241 ) ( AIRPORT ?auto_6245 ) ( AT ?auto_6235 ?auto_6245 ) ( DIFFERENT ?auto_6239 ?auto_6245 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6235 ?auto_6245 ?auto_6239 )
      ( DELIVER-PKG ?auto_6230 ?auto_6231 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6438
      ?auto_6439
    )
    :vars
    (
      ?auto_6442
      ?auto_6444
      ?auto_6443
      ?auto_6446
      ?auto_6445
      ?auto_6448
      ?auto_6447
      ?auto_6451
      ?auto_6450
    )
    :precondition
    ( and ( OBJ ?auto_6438 ) ( LOCATION ?auto_6439 ) ( TRUCK ?auto_6442 ) ( LOCATION ?auto_6444 ) ( CITY ?auto_6443 ) ( IN-CITY ?auto_6444 ?auto_6443 ) ( IN-CITY ?auto_6439 ?auto_6443 ) ( DIFFERENT ?auto_6439 ?auto_6444 ) ( AT ?auto_6438 ?auto_6444 ) ( LOCATION ?auto_6446 ) ( CITY ?auto_6445 ) ( IN-CITY ?auto_6446 ?auto_6445 ) ( IN-CITY ?auto_6444 ?auto_6445 ) ( DIFFERENT ?auto_6444 ?auto_6446 ) ( LOCATION ?auto_6448 ) ( CITY ?auto_6447 ) ( IN-CITY ?auto_6448 ?auto_6447 ) ( IN-CITY ?auto_6446 ?auto_6447 ) ( DIFFERENT ?auto_6446 ?auto_6448 ) ( LOCATION ?auto_6451 ) ( CITY ?auto_6450 ) ( AT ?auto_6442 ?auto_6451 ) ( IN-CITY ?auto_6451 ?auto_6450 ) ( IN-CITY ?auto_6448 ?auto_6450 ) ( DIFFERENT ?auto_6448 ?auto_6451 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6442 ?auto_6451 ?auto_6448 ?auto_6450 )
      ( DELIVER-PKG ?auto_6438 ?auto_6439 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6466
      ?auto_6467
    )
    :vars
    (
      ?auto_6470
      ?auto_6472
      ?auto_6471
      ?auto_6474
      ?auto_6473
      ?auto_6476
      ?auto_6475
      ?auto_6478
      ?auto_6477
      ?auto_6481
      ?auto_6480
    )
    :precondition
    ( and ( OBJ ?auto_6466 ) ( LOCATION ?auto_6467 ) ( TRUCK ?auto_6470 ) ( LOCATION ?auto_6472 ) ( CITY ?auto_6471 ) ( IN-CITY ?auto_6472 ?auto_6471 ) ( IN-CITY ?auto_6467 ?auto_6471 ) ( DIFFERENT ?auto_6467 ?auto_6472 ) ( AT ?auto_6466 ?auto_6472 ) ( LOCATION ?auto_6474 ) ( CITY ?auto_6473 ) ( IN-CITY ?auto_6474 ?auto_6473 ) ( IN-CITY ?auto_6472 ?auto_6473 ) ( DIFFERENT ?auto_6472 ?auto_6474 ) ( LOCATION ?auto_6476 ) ( CITY ?auto_6475 ) ( IN-CITY ?auto_6476 ?auto_6475 ) ( IN-CITY ?auto_6474 ?auto_6475 ) ( DIFFERENT ?auto_6474 ?auto_6476 ) ( LOCATION ?auto_6478 ) ( CITY ?auto_6477 ) ( IN-CITY ?auto_6478 ?auto_6477 ) ( IN-CITY ?auto_6476 ?auto_6477 ) ( DIFFERENT ?auto_6476 ?auto_6478 ) ( LOCATION ?auto_6481 ) ( CITY ?auto_6480 ) ( AT ?auto_6470 ?auto_6481 ) ( IN-CITY ?auto_6481 ?auto_6480 ) ( IN-CITY ?auto_6478 ?auto_6480 ) ( DIFFERENT ?auto_6478 ?auto_6481 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6470 ?auto_6481 ?auto_6478 ?auto_6480 )
      ( DELIVER-PKG ?auto_6466 ?auto_6467 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7058
      ?auto_7059
    )
    :vars
    (
      ?auto_7062
      ?auto_7063
      ?auto_7066
      ?auto_7065
      ?auto_7067
      ?auto_7061
      ?auto_7069
      ?auto_7068
      ?auto_7072
      ?auto_7071
    )
    :precondition
    ( and ( OBJ ?auto_7058 ) ( LOCATION ?auto_7059 ) ( AIRPLANE ?auto_7062 ) ( AIRPORT ?auto_7063 ) ( AIRPORT ?auto_7059 ) ( AT ?auto_7062 ?auto_7063 ) ( DIFFERENT ?auto_7059 ?auto_7063 ) ( LOCATION ?auto_7066 ) ( AT ?auto_7062 ?auto_7066 ) ( TRUCK ?auto_7065 ) ( LOCATION ?auto_7067 ) ( CITY ?auto_7061 ) ( IN-CITY ?auto_7067 ?auto_7061 ) ( IN-CITY ?auto_7066 ?auto_7061 ) ( DIFFERENT ?auto_7066 ?auto_7067 ) ( AT ?auto_7058 ?auto_7067 ) ( LOCATION ?auto_7069 ) ( CITY ?auto_7068 ) ( IN-CITY ?auto_7069 ?auto_7068 ) ( IN-CITY ?auto_7067 ?auto_7068 ) ( DIFFERENT ?auto_7067 ?auto_7069 ) ( LOCATION ?auto_7072 ) ( CITY ?auto_7071 ) ( AT ?auto_7065 ?auto_7072 ) ( IN-CITY ?auto_7072 ?auto_7071 ) ( IN-CITY ?auto_7069 ?auto_7071 ) ( DIFFERENT ?auto_7069 ?auto_7072 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7065 ?auto_7072 ?auto_7069 ?auto_7071 )
      ( DELIVER-PKG ?auto_7058 ?auto_7059 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7116
      ?auto_7117
    )
    :vars
    (
      ?auto_7121
      ?auto_7122
      ?auto_7124
      ?auto_7123
      ?auto_7125
      ?auto_7120
      ?auto_7127
      ?auto_7126
      ?auto_7129
      ?auto_7128
      ?auto_7132
      ?auto_7131
    )
    :precondition
    ( and ( OBJ ?auto_7116 ) ( LOCATION ?auto_7117 ) ( AIRPLANE ?auto_7121 ) ( AIRPORT ?auto_7122 ) ( AIRPORT ?auto_7117 ) ( AT ?auto_7121 ?auto_7122 ) ( DIFFERENT ?auto_7117 ?auto_7122 ) ( LOCATION ?auto_7124 ) ( AT ?auto_7121 ?auto_7124 ) ( TRUCK ?auto_7123 ) ( LOCATION ?auto_7125 ) ( CITY ?auto_7120 ) ( IN-CITY ?auto_7125 ?auto_7120 ) ( IN-CITY ?auto_7124 ?auto_7120 ) ( DIFFERENT ?auto_7124 ?auto_7125 ) ( AT ?auto_7116 ?auto_7125 ) ( LOCATION ?auto_7127 ) ( CITY ?auto_7126 ) ( IN-CITY ?auto_7127 ?auto_7126 ) ( IN-CITY ?auto_7125 ?auto_7126 ) ( DIFFERENT ?auto_7125 ?auto_7127 ) ( LOCATION ?auto_7129 ) ( CITY ?auto_7128 ) ( IN-CITY ?auto_7129 ?auto_7128 ) ( IN-CITY ?auto_7127 ?auto_7128 ) ( DIFFERENT ?auto_7127 ?auto_7129 ) ( LOCATION ?auto_7132 ) ( CITY ?auto_7131 ) ( AT ?auto_7123 ?auto_7132 ) ( IN-CITY ?auto_7132 ?auto_7131 ) ( IN-CITY ?auto_7129 ?auto_7131 ) ( DIFFERENT ?auto_7129 ?auto_7132 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7123 ?auto_7132 ?auto_7129 ?auto_7131 )
      ( DELIVER-PKG ?auto_7116 ?auto_7117 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7150
      ?auto_7151
    )
    :vars
    (
      ?auto_7155
      ?auto_7156
      ?auto_7158
      ?auto_7157
      ?auto_7159
      ?auto_7153
      ?auto_7161
      ?auto_7160
      ?auto_7163
      ?auto_7162
      ?auto_7165
      ?auto_7164
      ?auto_7168
      ?auto_7167
    )
    :precondition
    ( and ( OBJ ?auto_7150 ) ( LOCATION ?auto_7151 ) ( AIRPLANE ?auto_7155 ) ( AIRPORT ?auto_7156 ) ( AIRPORT ?auto_7151 ) ( AT ?auto_7155 ?auto_7156 ) ( DIFFERENT ?auto_7151 ?auto_7156 ) ( LOCATION ?auto_7158 ) ( AT ?auto_7155 ?auto_7158 ) ( TRUCK ?auto_7157 ) ( LOCATION ?auto_7159 ) ( CITY ?auto_7153 ) ( IN-CITY ?auto_7159 ?auto_7153 ) ( IN-CITY ?auto_7158 ?auto_7153 ) ( DIFFERENT ?auto_7158 ?auto_7159 ) ( AT ?auto_7150 ?auto_7159 ) ( LOCATION ?auto_7161 ) ( CITY ?auto_7160 ) ( IN-CITY ?auto_7161 ?auto_7160 ) ( IN-CITY ?auto_7159 ?auto_7160 ) ( DIFFERENT ?auto_7159 ?auto_7161 ) ( LOCATION ?auto_7163 ) ( CITY ?auto_7162 ) ( IN-CITY ?auto_7163 ?auto_7162 ) ( IN-CITY ?auto_7161 ?auto_7162 ) ( DIFFERENT ?auto_7161 ?auto_7163 ) ( LOCATION ?auto_7165 ) ( CITY ?auto_7164 ) ( IN-CITY ?auto_7165 ?auto_7164 ) ( IN-CITY ?auto_7163 ?auto_7164 ) ( DIFFERENT ?auto_7163 ?auto_7165 ) ( LOCATION ?auto_7168 ) ( CITY ?auto_7167 ) ( AT ?auto_7157 ?auto_7168 ) ( IN-CITY ?auto_7168 ?auto_7167 ) ( IN-CITY ?auto_7165 ?auto_7167 ) ( DIFFERENT ?auto_7165 ?auto_7168 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7157 ?auto_7168 ?auto_7165 ?auto_7167 )
      ( DELIVER-PKG ?auto_7150 ?auto_7151 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7242
      ?auto_7243
    )
    :vars
    (
      ?auto_7248
      ?auto_7251
      ?auto_7250
      ?auto_7252
      ?auto_7257
      ?auto_7254
      ?auto_7253
      ?auto_7256
      ?auto_7255
      ?auto_7247
      ?auto_7246
      ?auto_7259
      ?auto_7258
      ?auto_7261
    )
    :precondition
    ( and ( OBJ ?auto_7242 ) ( LOCATION ?auto_7243 ) ( AIRPLANE ?auto_7248 ) ( AIRPORT ?auto_7251 ) ( AIRPORT ?auto_7243 ) ( DIFFERENT ?auto_7243 ?auto_7251 ) ( LOCATION ?auto_7251 ) ( TRUCK ?auto_7250 ) ( LOCATION ?auto_7252 ) ( CITY ?auto_7257 ) ( IN-CITY ?auto_7252 ?auto_7257 ) ( IN-CITY ?auto_7251 ?auto_7257 ) ( DIFFERENT ?auto_7251 ?auto_7252 ) ( AT ?auto_7242 ?auto_7252 ) ( LOCATION ?auto_7254 ) ( CITY ?auto_7253 ) ( IN-CITY ?auto_7254 ?auto_7253 ) ( IN-CITY ?auto_7252 ?auto_7253 ) ( DIFFERENT ?auto_7252 ?auto_7254 ) ( LOCATION ?auto_7256 ) ( CITY ?auto_7255 ) ( IN-CITY ?auto_7256 ?auto_7255 ) ( IN-CITY ?auto_7254 ?auto_7255 ) ( DIFFERENT ?auto_7254 ?auto_7256 ) ( LOCATION ?auto_7247 ) ( CITY ?auto_7246 ) ( IN-CITY ?auto_7247 ?auto_7246 ) ( IN-CITY ?auto_7256 ?auto_7246 ) ( DIFFERENT ?auto_7256 ?auto_7247 ) ( LOCATION ?auto_7259 ) ( CITY ?auto_7258 ) ( AT ?auto_7250 ?auto_7259 ) ( IN-CITY ?auto_7259 ?auto_7258 ) ( IN-CITY ?auto_7247 ?auto_7258 ) ( DIFFERENT ?auto_7247 ?auto_7259 ) ( AIRPORT ?auto_7261 ) ( AT ?auto_7248 ?auto_7261 ) ( DIFFERENT ?auto_7251 ?auto_7261 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7248 ?auto_7261 ?auto_7251 )
      ( DELIVER-PKG ?auto_7242 ?auto_7243 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7632
      ?auto_7633
    )
    :vars
    (
      ?auto_7640
      ?auto_7643
      ?auto_7638
      ?auto_7642
      ?auto_7634
      ?auto_7635
      ?auto_7639
      ?auto_7636
      ?auto_7645
      ?auto_7641
      ?auto_7647
    )
    :precondition
    ( and ( OBJ ?auto_7632 ) ( LOCATION ?auto_7633 ) ( TRUCK ?auto_7640 ) ( LOCATION ?auto_7643 ) ( CITY ?auto_7638 ) ( AT ?auto_7640 ?auto_7643 ) ( IN-CITY ?auto_7643 ?auto_7638 ) ( IN-CITY ?auto_7633 ?auto_7638 ) ( DIFFERENT ?auto_7633 ?auto_7643 ) ( LOCATION ?auto_7642 ) ( AT ?auto_7640 ?auto_7642 ) ( AIRPLANE ?auto_7634 ) ( AIRPORT ?auto_7635 ) ( AIRPORT ?auto_7642 ) ( AT ?auto_7634 ?auto_7635 ) ( DIFFERENT ?auto_7642 ?auto_7635 ) ( LOCATION ?auto_7639 ) ( AT ?auto_7634 ?auto_7639 ) ( TRUCK ?auto_7636 ) ( LOCATION ?auto_7645 ) ( CITY ?auto_7641 ) ( AT ?auto_7636 ?auto_7645 ) ( IN-CITY ?auto_7645 ?auto_7641 ) ( IN-CITY ?auto_7639 ?auto_7641 ) ( DIFFERENT ?auto_7639 ?auto_7645 ) ( LOCATION ?auto_7647 ) ( AT ?auto_7636 ?auto_7647 ) ( AT ?auto_7632 ?auto_7647 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7632 ?auto_7636 ?auto_7647 )
      ( DELIVER-PKG ?auto_7632 ?auto_7633 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7679
      ?auto_7680
    )
    :vars
    (
      ?auto_7688
      ?auto_7691
      ?auto_7686
      ?auto_7690
      ?auto_7683
      ?auto_7684
      ?auto_7687
      ?auto_7685
      ?auto_7693
      ?auto_7689
      ?auto_7696
      ?auto_7695
    )
    :precondition
    ( and ( OBJ ?auto_7679 ) ( LOCATION ?auto_7680 ) ( TRUCK ?auto_7688 ) ( LOCATION ?auto_7691 ) ( CITY ?auto_7686 ) ( AT ?auto_7688 ?auto_7691 ) ( IN-CITY ?auto_7691 ?auto_7686 ) ( IN-CITY ?auto_7680 ?auto_7686 ) ( DIFFERENT ?auto_7680 ?auto_7691 ) ( LOCATION ?auto_7690 ) ( AT ?auto_7688 ?auto_7690 ) ( AIRPLANE ?auto_7683 ) ( AIRPORT ?auto_7684 ) ( AIRPORT ?auto_7690 ) ( AT ?auto_7683 ?auto_7684 ) ( DIFFERENT ?auto_7690 ?auto_7684 ) ( LOCATION ?auto_7687 ) ( AT ?auto_7683 ?auto_7687 ) ( TRUCK ?auto_7685 ) ( LOCATION ?auto_7693 ) ( CITY ?auto_7689 ) ( IN-CITY ?auto_7693 ?auto_7689 ) ( IN-CITY ?auto_7687 ?auto_7689 ) ( DIFFERENT ?auto_7687 ?auto_7693 ) ( AT ?auto_7679 ?auto_7693 ) ( LOCATION ?auto_7696 ) ( CITY ?auto_7695 ) ( AT ?auto_7685 ?auto_7696 ) ( IN-CITY ?auto_7696 ?auto_7695 ) ( IN-CITY ?auto_7693 ?auto_7695 ) ( DIFFERENT ?auto_7693 ?auto_7696 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7685 ?auto_7696 ?auto_7693 ?auto_7695 )
      ( DELIVER-PKG ?auto_7679 ?auto_7680 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7730
      ?auto_7731
    )
    :vars
    (
      ?auto_7734
      ?auto_7738
      ?auto_7742
      ?auto_7736
      ?auto_7737
      ?auto_7740
      ?auto_7733
      ?auto_7741
      ?auto_7739
      ?auto_7735
      ?auto_7745
      ?auto_7744
      ?auto_7748
      ?auto_7747
    )
    :precondition
    ( and ( OBJ ?auto_7730 ) ( LOCATION ?auto_7731 ) ( TRUCK ?auto_7734 ) ( LOCATION ?auto_7738 ) ( CITY ?auto_7742 ) ( AT ?auto_7734 ?auto_7738 ) ( IN-CITY ?auto_7738 ?auto_7742 ) ( IN-CITY ?auto_7731 ?auto_7742 ) ( DIFFERENT ?auto_7731 ?auto_7738 ) ( LOCATION ?auto_7736 ) ( AT ?auto_7734 ?auto_7736 ) ( AIRPLANE ?auto_7737 ) ( AIRPORT ?auto_7740 ) ( AIRPORT ?auto_7736 ) ( AT ?auto_7737 ?auto_7740 ) ( DIFFERENT ?auto_7736 ?auto_7740 ) ( LOCATION ?auto_7733 ) ( AT ?auto_7737 ?auto_7733 ) ( TRUCK ?auto_7741 ) ( LOCATION ?auto_7739 ) ( CITY ?auto_7735 ) ( IN-CITY ?auto_7739 ?auto_7735 ) ( IN-CITY ?auto_7733 ?auto_7735 ) ( DIFFERENT ?auto_7733 ?auto_7739 ) ( AT ?auto_7730 ?auto_7739 ) ( LOCATION ?auto_7745 ) ( CITY ?auto_7744 ) ( IN-CITY ?auto_7745 ?auto_7744 ) ( IN-CITY ?auto_7739 ?auto_7744 ) ( DIFFERENT ?auto_7739 ?auto_7745 ) ( LOCATION ?auto_7748 ) ( CITY ?auto_7747 ) ( AT ?auto_7741 ?auto_7748 ) ( IN-CITY ?auto_7748 ?auto_7747 ) ( IN-CITY ?auto_7745 ?auto_7747 ) ( DIFFERENT ?auto_7745 ?auto_7748 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7741 ?auto_7748 ?auto_7745 ?auto_7747 )
      ( DELIVER-PKG ?auto_7730 ?auto_7731 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7804
      ?auto_7805
    )
    :vars
    (
      ?auto_7819
      ?auto_7810
      ?auto_7814
      ?auto_7807
      ?auto_7809
      ?auto_7812
      ?auto_7818
      ?auto_7813
      ?auto_7811
      ?auto_7817
      ?auto_7816
      ?auto_7815
      ?auto_7821
      ?auto_7820
      ?auto_7824
      ?auto_7823
    )
    :precondition
    ( and ( OBJ ?auto_7804 ) ( LOCATION ?auto_7805 ) ( TRUCK ?auto_7819 ) ( LOCATION ?auto_7810 ) ( CITY ?auto_7814 ) ( AT ?auto_7819 ?auto_7810 ) ( IN-CITY ?auto_7810 ?auto_7814 ) ( IN-CITY ?auto_7805 ?auto_7814 ) ( DIFFERENT ?auto_7805 ?auto_7810 ) ( LOCATION ?auto_7807 ) ( AT ?auto_7819 ?auto_7807 ) ( AIRPLANE ?auto_7809 ) ( AIRPORT ?auto_7812 ) ( AIRPORT ?auto_7807 ) ( AT ?auto_7809 ?auto_7812 ) ( DIFFERENT ?auto_7807 ?auto_7812 ) ( LOCATION ?auto_7818 ) ( AT ?auto_7809 ?auto_7818 ) ( TRUCK ?auto_7813 ) ( LOCATION ?auto_7811 ) ( CITY ?auto_7817 ) ( IN-CITY ?auto_7811 ?auto_7817 ) ( IN-CITY ?auto_7818 ?auto_7817 ) ( DIFFERENT ?auto_7818 ?auto_7811 ) ( AT ?auto_7804 ?auto_7811 ) ( LOCATION ?auto_7816 ) ( CITY ?auto_7815 ) ( IN-CITY ?auto_7816 ?auto_7815 ) ( IN-CITY ?auto_7811 ?auto_7815 ) ( DIFFERENT ?auto_7811 ?auto_7816 ) ( LOCATION ?auto_7821 ) ( CITY ?auto_7820 ) ( IN-CITY ?auto_7821 ?auto_7820 ) ( IN-CITY ?auto_7816 ?auto_7820 ) ( DIFFERENT ?auto_7816 ?auto_7821 ) ( LOCATION ?auto_7824 ) ( CITY ?auto_7823 ) ( AT ?auto_7813 ?auto_7824 ) ( IN-CITY ?auto_7824 ?auto_7823 ) ( IN-CITY ?auto_7821 ?auto_7823 ) ( DIFFERENT ?auto_7821 ?auto_7824 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7813 ?auto_7824 ?auto_7821 ?auto_7823 )
      ( DELIVER-PKG ?auto_7804 ?auto_7805 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7846
      ?auto_7847
    )
    :vars
    (
      ?auto_7861
      ?auto_7852
      ?auto_7856
      ?auto_7849
      ?auto_7850
      ?auto_7854
      ?auto_7860
      ?auto_7855
      ?auto_7853
      ?auto_7859
      ?auto_7858
      ?auto_7857
      ?auto_7863
      ?auto_7862
      ?auto_7865
      ?auto_7864
      ?auto_7868
      ?auto_7867
    )
    :precondition
    ( and ( OBJ ?auto_7846 ) ( LOCATION ?auto_7847 ) ( TRUCK ?auto_7861 ) ( LOCATION ?auto_7852 ) ( CITY ?auto_7856 ) ( AT ?auto_7861 ?auto_7852 ) ( IN-CITY ?auto_7852 ?auto_7856 ) ( IN-CITY ?auto_7847 ?auto_7856 ) ( DIFFERENT ?auto_7847 ?auto_7852 ) ( LOCATION ?auto_7849 ) ( AT ?auto_7861 ?auto_7849 ) ( AIRPLANE ?auto_7850 ) ( AIRPORT ?auto_7854 ) ( AIRPORT ?auto_7849 ) ( AT ?auto_7850 ?auto_7854 ) ( DIFFERENT ?auto_7849 ?auto_7854 ) ( LOCATION ?auto_7860 ) ( AT ?auto_7850 ?auto_7860 ) ( TRUCK ?auto_7855 ) ( LOCATION ?auto_7853 ) ( CITY ?auto_7859 ) ( IN-CITY ?auto_7853 ?auto_7859 ) ( IN-CITY ?auto_7860 ?auto_7859 ) ( DIFFERENT ?auto_7860 ?auto_7853 ) ( AT ?auto_7846 ?auto_7853 ) ( LOCATION ?auto_7858 ) ( CITY ?auto_7857 ) ( IN-CITY ?auto_7858 ?auto_7857 ) ( IN-CITY ?auto_7853 ?auto_7857 ) ( DIFFERENT ?auto_7853 ?auto_7858 ) ( LOCATION ?auto_7863 ) ( CITY ?auto_7862 ) ( IN-CITY ?auto_7863 ?auto_7862 ) ( IN-CITY ?auto_7858 ?auto_7862 ) ( DIFFERENT ?auto_7858 ?auto_7863 ) ( LOCATION ?auto_7865 ) ( CITY ?auto_7864 ) ( IN-CITY ?auto_7865 ?auto_7864 ) ( IN-CITY ?auto_7863 ?auto_7864 ) ( DIFFERENT ?auto_7863 ?auto_7865 ) ( LOCATION ?auto_7868 ) ( CITY ?auto_7867 ) ( AT ?auto_7855 ?auto_7868 ) ( IN-CITY ?auto_7868 ?auto_7867 ) ( IN-CITY ?auto_7865 ?auto_7867 ) ( DIFFERENT ?auto_7865 ?auto_7868 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7855 ?auto_7868 ?auto_7865 ?auto_7867 )
      ( DELIVER-PKG ?auto_7846 ?auto_7847 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7914
      ?auto_7915
    )
    :vars
    (
      ?auto_7930
      ?auto_7918
      ?auto_7925
      ?auto_7922
      ?auto_7920
      ?auto_7929
      ?auto_7921
      ?auto_7919
      ?auto_7928
      ?auto_7927
      ?auto_7926
      ?auto_7932
      ?auto_7931
      ?auto_7923
      ?auto_7933
      ?auto_7935
      ?auto_7924
      ?auto_7938
      ?auto_7937
    )
    :precondition
    ( and ( OBJ ?auto_7914 ) ( LOCATION ?auto_7915 ) ( TRUCK ?auto_7930 ) ( LOCATION ?auto_7918 ) ( CITY ?auto_7925 ) ( IN-CITY ?auto_7918 ?auto_7925 ) ( IN-CITY ?auto_7915 ?auto_7925 ) ( DIFFERENT ?auto_7915 ?auto_7918 ) ( AIRPLANE ?auto_7922 ) ( AIRPORT ?auto_7920 ) ( AIRPORT ?auto_7918 ) ( AT ?auto_7922 ?auto_7920 ) ( DIFFERENT ?auto_7918 ?auto_7920 ) ( LOCATION ?auto_7929 ) ( AT ?auto_7922 ?auto_7929 ) ( TRUCK ?auto_7921 ) ( LOCATION ?auto_7919 ) ( CITY ?auto_7928 ) ( IN-CITY ?auto_7919 ?auto_7928 ) ( IN-CITY ?auto_7929 ?auto_7928 ) ( DIFFERENT ?auto_7929 ?auto_7919 ) ( AT ?auto_7914 ?auto_7919 ) ( LOCATION ?auto_7927 ) ( CITY ?auto_7926 ) ( IN-CITY ?auto_7927 ?auto_7926 ) ( IN-CITY ?auto_7919 ?auto_7926 ) ( DIFFERENT ?auto_7919 ?auto_7927 ) ( LOCATION ?auto_7932 ) ( CITY ?auto_7931 ) ( IN-CITY ?auto_7932 ?auto_7931 ) ( IN-CITY ?auto_7927 ?auto_7931 ) ( DIFFERENT ?auto_7927 ?auto_7932 ) ( LOCATION ?auto_7923 ) ( CITY ?auto_7933 ) ( IN-CITY ?auto_7923 ?auto_7933 ) ( IN-CITY ?auto_7932 ?auto_7933 ) ( DIFFERENT ?auto_7932 ?auto_7923 ) ( LOCATION ?auto_7935 ) ( CITY ?auto_7924 ) ( AT ?auto_7921 ?auto_7935 ) ( IN-CITY ?auto_7935 ?auto_7924 ) ( IN-CITY ?auto_7923 ?auto_7924 ) ( DIFFERENT ?auto_7923 ?auto_7935 ) ( LOCATION ?auto_7938 ) ( CITY ?auto_7937 ) ( AT ?auto_7930 ?auto_7938 ) ( IN-CITY ?auto_7938 ?auto_7937 ) ( IN-CITY ?auto_7918 ?auto_7937 ) ( DIFFERENT ?auto_7918 ?auto_7938 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7930 ?auto_7938 ?auto_7918 ?auto_7937 )
      ( DELIVER-PKG ?auto_7914 ?auto_7915 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7963
      ?auto_7964
    )
    :vars
    (
      ?auto_7969
      ?auto_7972
      ?auto_7977
      ?auto_7980
      ?auto_7968
      ?auto_7976
      ?auto_7973
      ?auto_7967
      ?auto_7979
      ?auto_7978
      ?auto_7983
      ?auto_7970
      ?auto_7981
      ?auto_7984
      ?auto_7985
      ?auto_7982
      ?auto_7974
      ?auto_7971
      ?auto_7987
    )
    :precondition
    ( and ( OBJ ?auto_7963 ) ( LOCATION ?auto_7964 ) ( TRUCK ?auto_7969 ) ( LOCATION ?auto_7972 ) ( CITY ?auto_7977 ) ( IN-CITY ?auto_7972 ?auto_7977 ) ( IN-CITY ?auto_7964 ?auto_7977 ) ( DIFFERENT ?auto_7964 ?auto_7972 ) ( AIRPLANE ?auto_7980 ) ( AIRPORT ?auto_7968 ) ( AIRPORT ?auto_7972 ) ( DIFFERENT ?auto_7972 ?auto_7968 ) ( LOCATION ?auto_7968 ) ( TRUCK ?auto_7976 ) ( LOCATION ?auto_7973 ) ( CITY ?auto_7967 ) ( IN-CITY ?auto_7973 ?auto_7967 ) ( IN-CITY ?auto_7968 ?auto_7967 ) ( DIFFERENT ?auto_7968 ?auto_7973 ) ( AT ?auto_7963 ?auto_7973 ) ( LOCATION ?auto_7979 ) ( CITY ?auto_7978 ) ( IN-CITY ?auto_7979 ?auto_7978 ) ( IN-CITY ?auto_7973 ?auto_7978 ) ( DIFFERENT ?auto_7973 ?auto_7979 ) ( LOCATION ?auto_7983 ) ( CITY ?auto_7970 ) ( IN-CITY ?auto_7983 ?auto_7970 ) ( IN-CITY ?auto_7979 ?auto_7970 ) ( DIFFERENT ?auto_7979 ?auto_7983 ) ( LOCATION ?auto_7981 ) ( CITY ?auto_7984 ) ( IN-CITY ?auto_7981 ?auto_7984 ) ( IN-CITY ?auto_7983 ?auto_7984 ) ( DIFFERENT ?auto_7983 ?auto_7981 ) ( LOCATION ?auto_7985 ) ( CITY ?auto_7982 ) ( AT ?auto_7976 ?auto_7985 ) ( IN-CITY ?auto_7985 ?auto_7982 ) ( IN-CITY ?auto_7981 ?auto_7982 ) ( DIFFERENT ?auto_7981 ?auto_7985 ) ( LOCATION ?auto_7974 ) ( CITY ?auto_7971 ) ( AT ?auto_7969 ?auto_7974 ) ( IN-CITY ?auto_7974 ?auto_7971 ) ( IN-CITY ?auto_7972 ?auto_7971 ) ( DIFFERENT ?auto_7972 ?auto_7974 ) ( AIRPORT ?auto_7987 ) ( AT ?auto_7980 ?auto_7987 ) ( DIFFERENT ?auto_7968 ?auto_7987 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7980 ?auto_7987 ?auto_7968 )
      ( DELIVER-PKG ?auto_7963 ?auto_7964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8986
      ?auto_8987
    )
    :vars
    (
      ?auto_8990
      ?auto_8992
      ?auto_8993
      ?auto_8989
      ?auto_8988
      ?auto_8995
      ?auto_8994
      ?auto_8999
    )
    :precondition
    ( and ( OBJ ?auto_8986 ) ( LOCATION ?auto_8987 ) ( TRUCK ?auto_8990 ) ( LOCATION ?auto_8992 ) ( CITY ?auto_8993 ) ( IN-CITY ?auto_8992 ?auto_8993 ) ( IN-CITY ?auto_8987 ?auto_8993 ) ( DIFFERENT ?auto_8987 ?auto_8992 ) ( LOCATION ?auto_8989 ) ( CITY ?auto_8988 ) ( IN-CITY ?auto_8989 ?auto_8988 ) ( IN-CITY ?auto_8992 ?auto_8988 ) ( DIFFERENT ?auto_8992 ?auto_8989 ) ( LOCATION ?auto_8995 ) ( CITY ?auto_8994 ) ( AT ?auto_8990 ?auto_8995 ) ( IN-CITY ?auto_8995 ?auto_8994 ) ( IN-CITY ?auto_8989 ?auto_8994 ) ( DIFFERENT ?auto_8989 ?auto_8995 ) ( AIRPLANE ?auto_8999 ) ( IN ?auto_8986 ?auto_8999 ) ( AT ?auto_8999 ?auto_8992 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8986 ?auto_8992 )
      ( DELIVER-PKG ?auto_8986 ?auto_8987 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9024
      ?auto_9025
    )
    :vars
    (
      ?auto_9030
      ?auto_9031
      ?auto_9032
      ?auto_9029
      ?auto_9028
      ?auto_9034
      ?auto_9033
      ?auto_9035
      ?auto_9037
    )
    :precondition
    ( and ( OBJ ?auto_9024 ) ( LOCATION ?auto_9025 ) ( TRUCK ?auto_9030 ) ( LOCATION ?auto_9031 ) ( CITY ?auto_9032 ) ( IN-CITY ?auto_9031 ?auto_9032 ) ( IN-CITY ?auto_9025 ?auto_9032 ) ( DIFFERENT ?auto_9025 ?auto_9031 ) ( LOCATION ?auto_9029 ) ( CITY ?auto_9028 ) ( IN-CITY ?auto_9029 ?auto_9028 ) ( IN-CITY ?auto_9031 ?auto_9028 ) ( DIFFERENT ?auto_9031 ?auto_9029 ) ( LOCATION ?auto_9034 ) ( CITY ?auto_9033 ) ( AT ?auto_9030 ?auto_9034 ) ( IN-CITY ?auto_9034 ?auto_9033 ) ( IN-CITY ?auto_9029 ?auto_9033 ) ( DIFFERENT ?auto_9029 ?auto_9034 ) ( AIRPLANE ?auto_9035 ) ( IN ?auto_9024 ?auto_9035 ) ( AIRPORT ?auto_9037 ) ( AIRPORT ?auto_9031 ) ( AT ?auto_9035 ?auto_9037 ) ( DIFFERENT ?auto_9031 ?auto_9037 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9035 ?auto_9037 ?auto_9031 )
      ( DELIVER-PKG ?auto_9024 ?auto_9025 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9065
      ?auto_9066
    )
    :vars
    (
      ?auto_9069
      ?auto_9070
      ?auto_9073
      ?auto_9068
      ?auto_9067
      ?auto_9075
      ?auto_9074
      ?auto_9076
      ?auto_9077
      ?auto_9079
    )
    :precondition
    ( and ( OBJ ?auto_9065 ) ( LOCATION ?auto_9066 ) ( TRUCK ?auto_9069 ) ( LOCATION ?auto_9070 ) ( CITY ?auto_9073 ) ( IN-CITY ?auto_9070 ?auto_9073 ) ( IN-CITY ?auto_9066 ?auto_9073 ) ( DIFFERENT ?auto_9066 ?auto_9070 ) ( LOCATION ?auto_9068 ) ( CITY ?auto_9067 ) ( IN-CITY ?auto_9068 ?auto_9067 ) ( IN-CITY ?auto_9070 ?auto_9067 ) ( DIFFERENT ?auto_9070 ?auto_9068 ) ( LOCATION ?auto_9075 ) ( CITY ?auto_9074 ) ( AT ?auto_9069 ?auto_9075 ) ( IN-CITY ?auto_9075 ?auto_9074 ) ( IN-CITY ?auto_9068 ?auto_9074 ) ( DIFFERENT ?auto_9068 ?auto_9075 ) ( AIRPLANE ?auto_9076 ) ( AIRPORT ?auto_9077 ) ( AIRPORT ?auto_9070 ) ( AT ?auto_9076 ?auto_9077 ) ( DIFFERENT ?auto_9070 ?auto_9077 ) ( LOCATION ?auto_9079 ) ( AT ?auto_9065 ?auto_9079 ) ( AT ?auto_9076 ?auto_9079 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9065 ?auto_9076 ?auto_9079 )
      ( DELIVER-PKG ?auto_9065 ?auto_9066 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9109
      ?auto_9110
    )
    :vars
    (
      ?auto_9117
      ?auto_9118
      ?auto_9119
      ?auto_9114
      ?auto_9113
      ?auto_9121
      ?auto_9120
      ?auto_9115
      ?auto_9116
      ?auto_9122
      ?auto_9124
    )
    :precondition
    ( and ( OBJ ?auto_9109 ) ( LOCATION ?auto_9110 ) ( TRUCK ?auto_9117 ) ( LOCATION ?auto_9118 ) ( CITY ?auto_9119 ) ( IN-CITY ?auto_9118 ?auto_9119 ) ( IN-CITY ?auto_9110 ?auto_9119 ) ( DIFFERENT ?auto_9110 ?auto_9118 ) ( LOCATION ?auto_9114 ) ( CITY ?auto_9113 ) ( IN-CITY ?auto_9114 ?auto_9113 ) ( IN-CITY ?auto_9118 ?auto_9113 ) ( DIFFERENT ?auto_9118 ?auto_9114 ) ( LOCATION ?auto_9121 ) ( CITY ?auto_9120 ) ( AT ?auto_9117 ?auto_9121 ) ( IN-CITY ?auto_9121 ?auto_9120 ) ( IN-CITY ?auto_9114 ?auto_9120 ) ( DIFFERENT ?auto_9114 ?auto_9121 ) ( AIRPLANE ?auto_9115 ) ( AIRPORT ?auto_9116 ) ( AIRPORT ?auto_9118 ) ( AT ?auto_9115 ?auto_9116 ) ( DIFFERENT ?auto_9118 ?auto_9116 ) ( LOCATION ?auto_9122 ) ( AT ?auto_9115 ?auto_9122 ) ( TRUCK ?auto_9124 ) ( AT ?auto_9124 ?auto_9122 ) ( IN ?auto_9109 ?auto_9124 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9109 ?auto_9122 )
      ( DELIVER-PKG ?auto_9109 ?auto_9110 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9141
      ?auto_9142
    )
    :vars
    (
      ?auto_9155
      ?auto_9144
      ?auto_9145
      ?auto_9152
      ?auto_9151
      ?auto_9147
      ?auto_9146
      ?auto_9153
      ?auto_9154
      ?auto_9148
      ?auto_9150
      ?auto_9158
      ?auto_9157
    )
    :precondition
    ( and ( OBJ ?auto_9141 ) ( LOCATION ?auto_9142 ) ( TRUCK ?auto_9155 ) ( LOCATION ?auto_9144 ) ( CITY ?auto_9145 ) ( IN-CITY ?auto_9144 ?auto_9145 ) ( IN-CITY ?auto_9142 ?auto_9145 ) ( DIFFERENT ?auto_9142 ?auto_9144 ) ( LOCATION ?auto_9152 ) ( CITY ?auto_9151 ) ( IN-CITY ?auto_9152 ?auto_9151 ) ( IN-CITY ?auto_9144 ?auto_9151 ) ( DIFFERENT ?auto_9144 ?auto_9152 ) ( LOCATION ?auto_9147 ) ( CITY ?auto_9146 ) ( AT ?auto_9155 ?auto_9147 ) ( IN-CITY ?auto_9147 ?auto_9146 ) ( IN-CITY ?auto_9152 ?auto_9146 ) ( DIFFERENT ?auto_9152 ?auto_9147 ) ( AIRPLANE ?auto_9153 ) ( AIRPORT ?auto_9154 ) ( AIRPORT ?auto_9144 ) ( AT ?auto_9153 ?auto_9154 ) ( DIFFERENT ?auto_9144 ?auto_9154 ) ( LOCATION ?auto_9148 ) ( AT ?auto_9153 ?auto_9148 ) ( TRUCK ?auto_9150 ) ( IN ?auto_9141 ?auto_9150 ) ( LOCATION ?auto_9158 ) ( CITY ?auto_9157 ) ( AT ?auto_9150 ?auto_9158 ) ( IN-CITY ?auto_9158 ?auto_9157 ) ( IN-CITY ?auto_9148 ?auto_9157 ) ( DIFFERENT ?auto_9148 ?auto_9158 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9150 ?auto_9158 ?auto_9148 ?auto_9157 )
      ( DELIVER-PKG ?auto_9141 ?auto_9142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9177
      ?auto_9178
    )
    :vars
    (
      ?auto_9189
      ?auto_9190
      ?auto_9180
      ?auto_9186
      ?auto_9185
      ?auto_9182
      ?auto_9181
      ?auto_9187
      ?auto_9188
      ?auto_9183
      ?auto_9184
      ?auto_9193
      ?auto_9192
      ?auto_9196
      ?auto_9195
    )
    :precondition
    ( and ( OBJ ?auto_9177 ) ( LOCATION ?auto_9178 ) ( TRUCK ?auto_9189 ) ( LOCATION ?auto_9190 ) ( CITY ?auto_9180 ) ( IN-CITY ?auto_9190 ?auto_9180 ) ( IN-CITY ?auto_9178 ?auto_9180 ) ( DIFFERENT ?auto_9178 ?auto_9190 ) ( LOCATION ?auto_9186 ) ( CITY ?auto_9185 ) ( IN-CITY ?auto_9186 ?auto_9185 ) ( IN-CITY ?auto_9190 ?auto_9185 ) ( DIFFERENT ?auto_9190 ?auto_9186 ) ( LOCATION ?auto_9182 ) ( CITY ?auto_9181 ) ( AT ?auto_9189 ?auto_9182 ) ( IN-CITY ?auto_9182 ?auto_9181 ) ( IN-CITY ?auto_9186 ?auto_9181 ) ( DIFFERENT ?auto_9186 ?auto_9182 ) ( AIRPLANE ?auto_9187 ) ( AIRPORT ?auto_9188 ) ( AIRPORT ?auto_9190 ) ( AT ?auto_9187 ?auto_9188 ) ( DIFFERENT ?auto_9190 ?auto_9188 ) ( LOCATION ?auto_9183 ) ( AT ?auto_9187 ?auto_9183 ) ( TRUCK ?auto_9184 ) ( IN ?auto_9177 ?auto_9184 ) ( LOCATION ?auto_9193 ) ( CITY ?auto_9192 ) ( IN-CITY ?auto_9193 ?auto_9192 ) ( IN-CITY ?auto_9183 ?auto_9192 ) ( DIFFERENT ?auto_9183 ?auto_9193 ) ( LOCATION ?auto_9196 ) ( CITY ?auto_9195 ) ( AT ?auto_9184 ?auto_9196 ) ( IN-CITY ?auto_9196 ?auto_9195 ) ( IN-CITY ?auto_9193 ?auto_9195 ) ( DIFFERENT ?auto_9193 ?auto_9196 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9184 ?auto_9196 ?auto_9193 ?auto_9195 )
      ( DELIVER-PKG ?auto_9177 ?auto_9178 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9236
      ?auto_9237
    )
    :vars
    (
      ?auto_9245
      ?auto_9246
      ?auto_9254
      ?auto_9248
      ?auto_9251
      ?auto_9242
      ?auto_9241
      ?auto_9249
      ?auto_9244
      ?auto_9243
      ?auto_9250
      ?auto_9253
      ?auto_9252
      ?auto_9239
      ?auto_9238
      ?auto_9257
      ?auto_9256
    )
    :precondition
    ( and ( OBJ ?auto_9236 ) ( LOCATION ?auto_9237 ) ( TRUCK ?auto_9245 ) ( LOCATION ?auto_9246 ) ( CITY ?auto_9254 ) ( IN-CITY ?auto_9246 ?auto_9254 ) ( IN-CITY ?auto_9237 ?auto_9254 ) ( DIFFERENT ?auto_9237 ?auto_9246 ) ( LOCATION ?auto_9248 ) ( CITY ?auto_9251 ) ( IN-CITY ?auto_9248 ?auto_9251 ) ( IN-CITY ?auto_9246 ?auto_9251 ) ( DIFFERENT ?auto_9246 ?auto_9248 ) ( LOCATION ?auto_9242 ) ( CITY ?auto_9241 ) ( IN-CITY ?auto_9242 ?auto_9241 ) ( IN-CITY ?auto_9248 ?auto_9241 ) ( DIFFERENT ?auto_9248 ?auto_9242 ) ( AIRPLANE ?auto_9249 ) ( AIRPORT ?auto_9244 ) ( AIRPORT ?auto_9246 ) ( AT ?auto_9249 ?auto_9244 ) ( DIFFERENT ?auto_9246 ?auto_9244 ) ( LOCATION ?auto_9243 ) ( AT ?auto_9249 ?auto_9243 ) ( TRUCK ?auto_9250 ) ( IN ?auto_9236 ?auto_9250 ) ( LOCATION ?auto_9253 ) ( CITY ?auto_9252 ) ( IN-CITY ?auto_9253 ?auto_9252 ) ( IN-CITY ?auto_9243 ?auto_9252 ) ( DIFFERENT ?auto_9243 ?auto_9253 ) ( LOCATION ?auto_9239 ) ( CITY ?auto_9238 ) ( AT ?auto_9250 ?auto_9239 ) ( IN-CITY ?auto_9239 ?auto_9238 ) ( IN-CITY ?auto_9253 ?auto_9238 ) ( DIFFERENT ?auto_9253 ?auto_9239 ) ( LOCATION ?auto_9257 ) ( CITY ?auto_9256 ) ( AT ?auto_9245 ?auto_9257 ) ( IN-CITY ?auto_9257 ?auto_9256 ) ( IN-CITY ?auto_9242 ?auto_9256 ) ( DIFFERENT ?auto_9242 ?auto_9257 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9245 ?auto_9257 ?auto_9242 ?auto_9256 )
      ( DELIVER-PKG ?auto_9236 ?auto_9237 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9259
      ?auto_9260
    )
    :vars
    (
      ?auto_9269
      ?auto_9270
      ?auto_9278
      ?auto_9271
      ?auto_9263
      ?auto_9266
      ?auto_9274
      ?auto_9272
      ?auto_9268
      ?auto_9267
      ?auto_9262
      ?auto_9277
      ?auto_9264
      ?auto_9261
      ?auto_9276
      ?auto_9279
      ?auto_9265
      ?auto_9281
    )
    :precondition
    ( and ( OBJ ?auto_9259 ) ( LOCATION ?auto_9260 ) ( TRUCK ?auto_9269 ) ( LOCATION ?auto_9270 ) ( CITY ?auto_9278 ) ( IN-CITY ?auto_9270 ?auto_9278 ) ( IN-CITY ?auto_9260 ?auto_9278 ) ( DIFFERENT ?auto_9260 ?auto_9270 ) ( LOCATION ?auto_9271 ) ( CITY ?auto_9263 ) ( IN-CITY ?auto_9271 ?auto_9263 ) ( IN-CITY ?auto_9270 ?auto_9263 ) ( DIFFERENT ?auto_9270 ?auto_9271 ) ( LOCATION ?auto_9266 ) ( CITY ?auto_9274 ) ( IN-CITY ?auto_9266 ?auto_9274 ) ( IN-CITY ?auto_9271 ?auto_9274 ) ( DIFFERENT ?auto_9271 ?auto_9266 ) ( AIRPLANE ?auto_9272 ) ( AIRPORT ?auto_9268 ) ( AIRPORT ?auto_9270 ) ( AT ?auto_9272 ?auto_9268 ) ( DIFFERENT ?auto_9270 ?auto_9268 ) ( LOCATION ?auto_9267 ) ( AT ?auto_9272 ?auto_9267 ) ( TRUCK ?auto_9262 ) ( LOCATION ?auto_9277 ) ( CITY ?auto_9264 ) ( IN-CITY ?auto_9277 ?auto_9264 ) ( IN-CITY ?auto_9267 ?auto_9264 ) ( DIFFERENT ?auto_9267 ?auto_9277 ) ( LOCATION ?auto_9261 ) ( CITY ?auto_9276 ) ( AT ?auto_9262 ?auto_9261 ) ( IN-CITY ?auto_9261 ?auto_9276 ) ( IN-CITY ?auto_9277 ?auto_9276 ) ( DIFFERENT ?auto_9277 ?auto_9261 ) ( LOCATION ?auto_9279 ) ( CITY ?auto_9265 ) ( AT ?auto_9269 ?auto_9279 ) ( IN-CITY ?auto_9279 ?auto_9265 ) ( IN-CITY ?auto_9266 ?auto_9265 ) ( DIFFERENT ?auto_9266 ?auto_9279 ) ( LOCATION ?auto_9281 ) ( AT ?auto_9262 ?auto_9281 ) ( AT ?auto_9259 ?auto_9281 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9259 ?auto_9262 ?auto_9281 )
      ( DELIVER-PKG ?auto_9259 ?auto_9260 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9708
      ?auto_9709
    )
    :vars
    (
      ?auto_9714
      ?auto_9715
      ?auto_9711
      ?auto_9713
      ?auto_9712
      ?auto_9719
      ?auto_9718
    )
    :precondition
    ( and ( OBJ ?auto_9708 ) ( LOCATION ?auto_9709 ) ( TRUCK ?auto_9714 ) ( IN ?auto_9708 ?auto_9714 ) ( LOCATION ?auto_9715 ) ( CITY ?auto_9711 ) ( IN-CITY ?auto_9715 ?auto_9711 ) ( IN-CITY ?auto_9709 ?auto_9711 ) ( DIFFERENT ?auto_9709 ?auto_9715 ) ( LOCATION ?auto_9713 ) ( CITY ?auto_9712 ) ( IN-CITY ?auto_9713 ?auto_9712 ) ( IN-CITY ?auto_9715 ?auto_9712 ) ( DIFFERENT ?auto_9715 ?auto_9713 ) ( LOCATION ?auto_9719 ) ( CITY ?auto_9718 ) ( AT ?auto_9714 ?auto_9719 ) ( IN-CITY ?auto_9719 ?auto_9718 ) ( IN-CITY ?auto_9713 ?auto_9718 ) ( DIFFERENT ?auto_9713 ?auto_9719 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9714 ?auto_9719 ?auto_9713 ?auto_9718 )
      ( DELIVER-PKG ?auto_9708 ?auto_9709 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9732
      ?auto_9733
    )
    :vars
    (
      ?auto_9734
      ?auto_9742
      ?auto_9738
      ?auto_9736
      ?auto_9735
      ?auto_9741
      ?auto_9739
      ?auto_9745
      ?auto_9744
    )
    :precondition
    ( and ( OBJ ?auto_9732 ) ( LOCATION ?auto_9733 ) ( TRUCK ?auto_9734 ) ( IN ?auto_9732 ?auto_9734 ) ( LOCATION ?auto_9742 ) ( CITY ?auto_9738 ) ( IN-CITY ?auto_9742 ?auto_9738 ) ( IN-CITY ?auto_9733 ?auto_9738 ) ( DIFFERENT ?auto_9733 ?auto_9742 ) ( LOCATION ?auto_9736 ) ( CITY ?auto_9735 ) ( IN-CITY ?auto_9736 ?auto_9735 ) ( IN-CITY ?auto_9742 ?auto_9735 ) ( DIFFERENT ?auto_9742 ?auto_9736 ) ( LOCATION ?auto_9741 ) ( CITY ?auto_9739 ) ( IN-CITY ?auto_9741 ?auto_9739 ) ( IN-CITY ?auto_9736 ?auto_9739 ) ( DIFFERENT ?auto_9736 ?auto_9741 ) ( LOCATION ?auto_9745 ) ( CITY ?auto_9744 ) ( AT ?auto_9734 ?auto_9745 ) ( IN-CITY ?auto_9745 ?auto_9744 ) ( IN-CITY ?auto_9741 ?auto_9744 ) ( DIFFERENT ?auto_9741 ?auto_9745 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9734 ?auto_9745 ?auto_9741 ?auto_9744 )
      ( DELIVER-PKG ?auto_9732 ?auto_9733 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9760
      ?auto_9761
    )
    :vars
    (
      ?auto_9763
      ?auto_9767
      ?auto_9768
      ?auto_9765
      ?auto_9766
      ?auto_9764
      ?auto_9762
      ?auto_9772
      ?auto_9771
      ?auto_9774
    )
    :precondition
    ( and ( OBJ ?auto_9760 ) ( LOCATION ?auto_9761 ) ( TRUCK ?auto_9763 ) ( LOCATION ?auto_9767 ) ( CITY ?auto_9768 ) ( IN-CITY ?auto_9767 ?auto_9768 ) ( IN-CITY ?auto_9761 ?auto_9768 ) ( DIFFERENT ?auto_9761 ?auto_9767 ) ( LOCATION ?auto_9765 ) ( CITY ?auto_9766 ) ( IN-CITY ?auto_9765 ?auto_9766 ) ( IN-CITY ?auto_9767 ?auto_9766 ) ( DIFFERENT ?auto_9767 ?auto_9765 ) ( LOCATION ?auto_9764 ) ( CITY ?auto_9762 ) ( IN-CITY ?auto_9764 ?auto_9762 ) ( IN-CITY ?auto_9765 ?auto_9762 ) ( DIFFERENT ?auto_9765 ?auto_9764 ) ( LOCATION ?auto_9772 ) ( CITY ?auto_9771 ) ( AT ?auto_9763 ?auto_9772 ) ( IN-CITY ?auto_9772 ?auto_9771 ) ( IN-CITY ?auto_9764 ?auto_9771 ) ( DIFFERENT ?auto_9764 ?auto_9772 ) ( LOCATION ?auto_9774 ) ( AT ?auto_9763 ?auto_9774 ) ( AT ?auto_9760 ?auto_9774 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9760 ?auto_9763 ?auto_9774 )
      ( DELIVER-PKG ?auto_9760 ?auto_9761 ) )
  )

)

