( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36
      ?auto_37
    )
    :vars
    (
      ?auto_40
    )
    :precondition
    ( and ( OBJ ?auto_36 ) ( LOCATION ?auto_37 ) ( TRUCK ?auto_40 ) ( AT ?auto_40 ?auto_37 ) ( IN ?auto_36 ?auto_40 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_36 ?auto_40 ?auto_37 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46
      ?auto_47
    )
    :vars
    (
      ?auto_50
      ?auto_53
      ?auto_52
    )
    :precondition
    ( and ( OBJ ?auto_46 ) ( LOCATION ?auto_47 ) ( TRUCK ?auto_50 ) ( IN ?auto_46 ?auto_50 ) ( LOCATION ?auto_53 ) ( CITY ?auto_52 ) ( AT ?auto_50 ?auto_53 ) ( IN-CITY ?auto_53 ?auto_52 ) ( IN-CITY ?auto_47 ?auto_52 ) ( DIFFERENT ?auto_47 ?auto_53 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50 ?auto_53 ?auto_47 ?auto_52 )
      ( DELIVER-PKG ?auto_46 ?auto_47 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_62
      ?auto_63
    )
    :vars
    (
      ?auto_64
      ?auto_68
      ?auto_67
      ?auto_70
    )
    :precondition
    ( and ( OBJ ?auto_62 ) ( LOCATION ?auto_63 ) ( TRUCK ?auto_64 ) ( LOCATION ?auto_68 ) ( CITY ?auto_67 ) ( AT ?auto_64 ?auto_68 ) ( IN-CITY ?auto_68 ?auto_67 ) ( IN-CITY ?auto_63 ?auto_67 ) ( DIFFERENT ?auto_63 ?auto_68 ) ( LOCATION ?auto_70 ) ( AT ?auto_64 ?auto_70 ) ( AT ?auto_62 ?auto_70 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_62 ?auto_64 ?auto_70 )
      ( DELIVER-PKG ?auto_62 ?auto_63 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_159
      ?auto_160
    )
    :vars
    (
      ?auto_164
      ?auto_165
      ?auto_162
      ?auto_169
      ?auto_168
    )
    :precondition
    ( and ( OBJ ?auto_159 ) ( LOCATION ?auto_160 ) ( TRUCK ?auto_164 ) ( LOCATION ?auto_165 ) ( CITY ?auto_162 ) ( IN-CITY ?auto_165 ?auto_162 ) ( IN-CITY ?auto_160 ?auto_162 ) ( DIFFERENT ?auto_160 ?auto_165 ) ( AT ?auto_159 ?auto_165 ) ( LOCATION ?auto_169 ) ( CITY ?auto_168 ) ( AT ?auto_164 ?auto_169 ) ( IN-CITY ?auto_169 ?auto_168 ) ( IN-CITY ?auto_165 ?auto_168 ) ( DIFFERENT ?auto_165 ?auto_169 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_164 ?auto_169 ?auto_165 ?auto_168 )
      ( DELIVER-PKG ?auto_159 ?auto_160 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_294
      ?auto_295
    )
    :vars
    (
      ?auto_298
      ?auto_300
      ?auto_297
      ?auto_299
      ?auto_304
    )
    :precondition
    ( and ( OBJ ?auto_294 ) ( LOCATION ?auto_295 ) ( TRUCK ?auto_298 ) ( LOCATION ?auto_300 ) ( CITY ?auto_297 ) ( AT ?auto_298 ?auto_300 ) ( IN-CITY ?auto_300 ?auto_297 ) ( IN-CITY ?auto_295 ?auto_297 ) ( DIFFERENT ?auto_295 ?auto_300 ) ( LOCATION ?auto_299 ) ( AT ?auto_298 ?auto_299 ) ( TRUCK ?auto_304 ) ( AT ?auto_304 ?auto_299 ) ( IN ?auto_294 ?auto_304 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_294 ?auto_299 )
      ( DELIVER-PKG ?auto_294 ?auto_295 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_305
      ?auto_306
    )
    :vars
    (
      ?auto_307
      ?auto_308
      ?auto_311
      ?auto_316
      ?auto_315
    )
    :precondition
    ( and ( OBJ ?auto_305 ) ( LOCATION ?auto_306 ) ( TRUCK ?auto_307 ) ( LOCATION ?auto_308 ) ( CITY ?auto_311 ) ( IN-CITY ?auto_308 ?auto_311 ) ( IN-CITY ?auto_306 ?auto_311 ) ( DIFFERENT ?auto_306 ?auto_308 ) ( IN ?auto_305 ?auto_307 ) ( LOCATION ?auto_316 ) ( CITY ?auto_315 ) ( AT ?auto_307 ?auto_316 ) ( IN-CITY ?auto_316 ?auto_315 ) ( IN-CITY ?auto_308 ?auto_315 ) ( DIFFERENT ?auto_308 ?auto_316 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_307 ?auto_316 ?auto_308 ?auto_315 )
      ( DELIVER-PKG ?auto_305 ?auto_306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_327
      ?auto_328
    )
    :vars
    (
      ?auto_330
      ?auto_334
      ?auto_332
      ?auto_333
      ?auto_331
      ?auto_337
    )
    :precondition
    ( and ( OBJ ?auto_327 ) ( LOCATION ?auto_328 ) ( TRUCK ?auto_330 ) ( LOCATION ?auto_334 ) ( CITY ?auto_332 ) ( IN-CITY ?auto_334 ?auto_332 ) ( IN-CITY ?auto_328 ?auto_332 ) ( DIFFERENT ?auto_328 ?auto_334 ) ( LOCATION ?auto_333 ) ( CITY ?auto_331 ) ( AT ?auto_330 ?auto_333 ) ( IN-CITY ?auto_333 ?auto_331 ) ( IN-CITY ?auto_334 ?auto_331 ) ( DIFFERENT ?auto_334 ?auto_333 ) ( LOCATION ?auto_337 ) ( AT ?auto_330 ?auto_337 ) ( AT ?auto_327 ?auto_337 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_327 ?auto_330 ?auto_337 )
      ( DELIVER-PKG ?auto_327 ?auto_328 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_349
      ?auto_350
    )
    :vars
    (
      ?auto_354
      ?auto_355
      ?auto_352
      ?auto_358
      ?auto_353
      ?auto_361
      ?auto_360
    )
    :precondition
    ( and ( OBJ ?auto_349 ) ( LOCATION ?auto_350 ) ( TRUCK ?auto_354 ) ( LOCATION ?auto_355 ) ( CITY ?auto_352 ) ( IN-CITY ?auto_355 ?auto_352 ) ( IN-CITY ?auto_350 ?auto_352 ) ( DIFFERENT ?auto_350 ?auto_355 ) ( LOCATION ?auto_358 ) ( CITY ?auto_353 ) ( IN-CITY ?auto_358 ?auto_353 ) ( IN-CITY ?auto_355 ?auto_353 ) ( DIFFERENT ?auto_355 ?auto_358 ) ( AT ?auto_349 ?auto_358 ) ( LOCATION ?auto_361 ) ( CITY ?auto_360 ) ( AT ?auto_354 ?auto_361 ) ( IN-CITY ?auto_361 ?auto_360 ) ( IN-CITY ?auto_358 ?auto_360 ) ( DIFFERENT ?auto_358 ?auto_361 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_354 ?auto_361 ?auto_358 ?auto_360 )
      ( DELIVER-PKG ?auto_349 ?auto_350 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_880
      ?auto_881
    )
    :vars
    (
      ?auto_884
    )
    :precondition
    ( and ( OBJ ?auto_880 ) ( LOCATION ?auto_881 ) ( AIRPLANE ?auto_884 ) ( IN ?auto_880 ?auto_884 ) ( AT ?auto_884 ?auto_881 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_880 ?auto_884 ?auto_881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_895
      ?auto_896
    )
    :vars
    (
      ?auto_899
      ?auto_901
    )
    :precondition
    ( and ( OBJ ?auto_895 ) ( LOCATION ?auto_896 ) ( AIRPLANE ?auto_899 ) ( IN ?auto_895 ?auto_899 ) ( AIRPORT ?auto_901 ) ( AIRPORT ?auto_896 ) ( AT ?auto_899 ?auto_901 ) ( DIFFERENT ?auto_896 ?auto_901 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_899 ?auto_901 ?auto_896 )
      ( DELIVER-PKG ?auto_895 ?auto_896 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_915
      ?auto_916
    )
    :vars
    (
      ?auto_919
      ?auto_920
      ?auto_922
    )
    :precondition
    ( and ( OBJ ?auto_915 ) ( LOCATION ?auto_916 ) ( AIRPLANE ?auto_919 ) ( AIRPORT ?auto_920 ) ( AIRPORT ?auto_916 ) ( AT ?auto_919 ?auto_920 ) ( DIFFERENT ?auto_916 ?auto_920 ) ( LOCATION ?auto_922 ) ( AT ?auto_915 ?auto_922 ) ( AT ?auto_919 ?auto_922 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_915 ?auto_919 ?auto_922 )
      ( DELIVER-PKG ?auto_915 ?auto_916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_931
      ?auto_932
    )
    :vars
    (
      ?auto_933
      ?auto_934
      ?auto_937
      ?auto_940
    )
    :precondition
    ( and ( OBJ ?auto_931 ) ( LOCATION ?auto_932 ) ( AIRPLANE ?auto_933 ) ( AIRPORT ?auto_934 ) ( AIRPORT ?auto_932 ) ( AT ?auto_933 ?auto_934 ) ( DIFFERENT ?auto_932 ?auto_934 ) ( LOCATION ?auto_937 ) ( AT ?auto_933 ?auto_937 ) ( TRUCK ?auto_940 ) ( AT ?auto_940 ?auto_937 ) ( IN ?auto_931 ?auto_940 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_931 ?auto_937 )
      ( DELIVER-PKG ?auto_931 ?auto_932 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_949
      ?auto_950
    )
    :vars
    (
      ?auto_953
      ?auto_952
      ?auto_954
      ?auto_956
      ?auto_959
      ?auto_958
    )
    :precondition
    ( and ( OBJ ?auto_949 ) ( LOCATION ?auto_950 ) ( AIRPLANE ?auto_953 ) ( AIRPORT ?auto_952 ) ( AIRPORT ?auto_950 ) ( AT ?auto_953 ?auto_952 ) ( DIFFERENT ?auto_950 ?auto_952 ) ( LOCATION ?auto_954 ) ( AT ?auto_953 ?auto_954 ) ( TRUCK ?auto_956 ) ( IN ?auto_949 ?auto_956 ) ( LOCATION ?auto_959 ) ( CITY ?auto_958 ) ( AT ?auto_956 ?auto_959 ) ( IN-CITY ?auto_959 ?auto_958 ) ( IN-CITY ?auto_954 ?auto_958 ) ( DIFFERENT ?auto_954 ?auto_959 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_956 ?auto_959 ?auto_954 ?auto_958 )
      ( DELIVER-PKG ?auto_949 ?auto_950 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1001
      ?auto_1002
    )
    :vars
    (
      ?auto_1003
      ?auto_1008
      ?auto_1006
      ?auto_1005
      ?auto_1010
      ?auto_1009
      ?auto_1012
    )
    :precondition
    ( and ( OBJ ?auto_1001 ) ( LOCATION ?auto_1002 ) ( AIRPLANE ?auto_1003 ) ( AIRPORT ?auto_1008 ) ( AIRPORT ?auto_1002 ) ( AT ?auto_1003 ?auto_1008 ) ( DIFFERENT ?auto_1002 ?auto_1008 ) ( LOCATION ?auto_1006 ) ( AT ?auto_1003 ?auto_1006 ) ( TRUCK ?auto_1005 ) ( LOCATION ?auto_1010 ) ( CITY ?auto_1009 ) ( AT ?auto_1005 ?auto_1010 ) ( IN-CITY ?auto_1010 ?auto_1009 ) ( IN-CITY ?auto_1006 ?auto_1009 ) ( DIFFERENT ?auto_1006 ?auto_1010 ) ( LOCATION ?auto_1012 ) ( AT ?auto_1005 ?auto_1012 ) ( AT ?auto_1001 ?auto_1012 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1001 ?auto_1005 ?auto_1012 )
      ( DELIVER-PKG ?auto_1001 ?auto_1002 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1409
      ?auto_1410
    )
    :vars
    (
      ?auto_1411
      ?auto_1414
      ?auto_1412
      ?auto_1417
      ?auto_1416
      ?auto_1420
      ?auto_1419
    )
    :precondition
    ( and ( OBJ ?auto_1409 ) ( LOCATION ?auto_1410 ) ( TRUCK ?auto_1411 ) ( LOCATION ?auto_1414 ) ( CITY ?auto_1412 ) ( IN-CITY ?auto_1414 ?auto_1412 ) ( IN-CITY ?auto_1410 ?auto_1412 ) ( DIFFERENT ?auto_1410 ?auto_1414 ) ( AT ?auto_1409 ?auto_1414 ) ( LOCATION ?auto_1417 ) ( CITY ?auto_1416 ) ( IN-CITY ?auto_1417 ?auto_1416 ) ( IN-CITY ?auto_1414 ?auto_1416 ) ( DIFFERENT ?auto_1414 ?auto_1417 ) ( LOCATION ?auto_1420 ) ( CITY ?auto_1419 ) ( AT ?auto_1411 ?auto_1420 ) ( IN-CITY ?auto_1420 ?auto_1419 ) ( IN-CITY ?auto_1417 ?auto_1419 ) ( DIFFERENT ?auto_1417 ?auto_1420 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1411 ?auto_1420 ?auto_1417 ?auto_1419 )
      ( DELIVER-PKG ?auto_1409 ?auto_1410 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1614
      ?auto_1615
    )
    :vars
    (
      ?auto_1617
      ?auto_1618
      ?auto_1619
      ?auto_1622
      ?auto_1621
      ?auto_1623
      ?auto_1627
      ?auto_1626
    )
    :precondition
    ( and ( OBJ ?auto_1614 ) ( LOCATION ?auto_1615 ) ( AIRPLANE ?auto_1617 ) ( AIRPORT ?auto_1618 ) ( AIRPORT ?auto_1615 ) ( AT ?auto_1617 ?auto_1618 ) ( DIFFERENT ?auto_1615 ?auto_1618 ) ( LOCATION ?auto_1619 ) ( AT ?auto_1617 ?auto_1619 ) ( TRUCK ?auto_1622 ) ( LOCATION ?auto_1621 ) ( CITY ?auto_1623 ) ( IN-CITY ?auto_1621 ?auto_1623 ) ( IN-CITY ?auto_1619 ?auto_1623 ) ( DIFFERENT ?auto_1619 ?auto_1621 ) ( AT ?auto_1614 ?auto_1621 ) ( LOCATION ?auto_1627 ) ( CITY ?auto_1626 ) ( AT ?auto_1622 ?auto_1627 ) ( IN-CITY ?auto_1627 ?auto_1626 ) ( IN-CITY ?auto_1621 ?auto_1626 ) ( DIFFERENT ?auto_1621 ?auto_1627 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1622 ?auto_1627 ?auto_1621 ?auto_1626 )
      ( DELIVER-PKG ?auto_1614 ?auto_1615 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1629
      ?auto_1630
    )
    :vars
    (
      ?auto_1631
      ?auto_1635
      ?auto_1637
      ?auto_1636
      ?auto_1638
      ?auto_1640
      ?auto_1639
      ?auto_1642
    )
    :precondition
    ( and ( OBJ ?auto_1629 ) ( LOCATION ?auto_1630 ) ( AIRPLANE ?auto_1631 ) ( AIRPORT ?auto_1635 ) ( AIRPORT ?auto_1630 ) ( DIFFERENT ?auto_1630 ?auto_1635 ) ( LOCATION ?auto_1635 ) ( TRUCK ?auto_1637 ) ( LOCATION ?auto_1636 ) ( CITY ?auto_1638 ) ( IN-CITY ?auto_1636 ?auto_1638 ) ( IN-CITY ?auto_1635 ?auto_1638 ) ( DIFFERENT ?auto_1635 ?auto_1636 ) ( AT ?auto_1629 ?auto_1636 ) ( LOCATION ?auto_1640 ) ( CITY ?auto_1639 ) ( AT ?auto_1637 ?auto_1640 ) ( IN-CITY ?auto_1640 ?auto_1639 ) ( IN-CITY ?auto_1636 ?auto_1639 ) ( DIFFERENT ?auto_1636 ?auto_1640 ) ( AIRPORT ?auto_1642 ) ( AT ?auto_1631 ?auto_1642 ) ( DIFFERENT ?auto_1635 ?auto_1642 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1631 ?auto_1642 ?auto_1635 )
      ( DELIVER-PKG ?auto_1629 ?auto_1630 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1918
      ?auto_1919
    )
    :vars
    (
      ?auto_1921
      ?auto_1924
      ?auto_1926
    )
    :precondition
    ( and ( OBJ ?auto_1918 ) ( LOCATION ?auto_1919 ) ( AIRPLANE ?auto_1921 ) ( AIRPORT ?auto_1924 ) ( AIRPORT ?auto_1919 ) ( DIFFERENT ?auto_1919 ?auto_1924 ) ( LOCATION ?auto_1924 ) ( AT ?auto_1918 ?auto_1924 ) ( AIRPORT ?auto_1926 ) ( AT ?auto_1921 ?auto_1926 ) ( DIFFERENT ?auto_1924 ?auto_1926 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1921 ?auto_1926 ?auto_1924 )
      ( DELIVER-PKG ?auto_1918 ?auto_1919 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2514
      ?auto_2515
    )
    :vars
    (
      ?auto_2516
      ?auto_2522
      ?auto_2521
      ?auto_2518
      ?auto_2517
      ?auto_2524
      ?auto_2523
      ?auto_2527
      ?auto_2526
    )
    :precondition
    ( and ( OBJ ?auto_2514 ) ( LOCATION ?auto_2515 ) ( TRUCK ?auto_2516 ) ( LOCATION ?auto_2522 ) ( CITY ?auto_2521 ) ( IN-CITY ?auto_2522 ?auto_2521 ) ( IN-CITY ?auto_2515 ?auto_2521 ) ( DIFFERENT ?auto_2515 ?auto_2522 ) ( LOCATION ?auto_2518 ) ( CITY ?auto_2517 ) ( IN-CITY ?auto_2518 ?auto_2517 ) ( IN-CITY ?auto_2522 ?auto_2517 ) ( DIFFERENT ?auto_2522 ?auto_2518 ) ( AT ?auto_2514 ?auto_2518 ) ( LOCATION ?auto_2524 ) ( CITY ?auto_2523 ) ( IN-CITY ?auto_2524 ?auto_2523 ) ( IN-CITY ?auto_2518 ?auto_2523 ) ( DIFFERENT ?auto_2518 ?auto_2524 ) ( LOCATION ?auto_2527 ) ( CITY ?auto_2526 ) ( AT ?auto_2516 ?auto_2527 ) ( IN-CITY ?auto_2527 ?auto_2526 ) ( IN-CITY ?auto_2524 ?auto_2526 ) ( DIFFERENT ?auto_2524 ?auto_2527 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2516 ?auto_2527 ?auto_2524 ?auto_2526 )
      ( DELIVER-PKG ?auto_2514 ?auto_2515 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2841
      ?auto_2842
    )
    :vars
    (
      ?auto_2847
      ?auto_2843
      ?auto_2848
      ?auto_2849
      ?auto_2846
      ?auto_2845
      ?auto_2850
      ?auto_2854
    )
    :precondition
    ( and ( OBJ ?auto_2841 ) ( LOCATION ?auto_2842 ) ( AIRPLANE ?auto_2847 ) ( AIRPORT ?auto_2843 ) ( AIRPORT ?auto_2842 ) ( AT ?auto_2847 ?auto_2843 ) ( DIFFERENT ?auto_2842 ?auto_2843 ) ( LOCATION ?auto_2848 ) ( AT ?auto_2847 ?auto_2848 ) ( TRUCK ?auto_2849 ) ( LOCATION ?auto_2846 ) ( CITY ?auto_2845 ) ( AT ?auto_2849 ?auto_2846 ) ( IN-CITY ?auto_2846 ?auto_2845 ) ( IN-CITY ?auto_2848 ?auto_2845 ) ( DIFFERENT ?auto_2848 ?auto_2846 ) ( LOCATION ?auto_2850 ) ( AT ?auto_2849 ?auto_2850 ) ( TRUCK ?auto_2854 ) ( AT ?auto_2854 ?auto_2850 ) ( IN ?auto_2841 ?auto_2854 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2841 ?auto_2850 )
      ( DELIVER-PKG ?auto_2841 ?auto_2842 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2891
      ?auto_2892
    )
    :vars
    (
      ?auto_2897
      ?auto_2895
      ?auto_2898
      ?auto_2901
      ?auto_2900
      ?auto_2893
      ?auto_2905
      ?auto_2904
    )
    :precondition
    ( and ( OBJ ?auto_2891 ) ( LOCATION ?auto_2892 ) ( AIRPLANE ?auto_2897 ) ( AIRPORT ?auto_2895 ) ( AIRPORT ?auto_2892 ) ( AT ?auto_2897 ?auto_2895 ) ( DIFFERENT ?auto_2892 ?auto_2895 ) ( LOCATION ?auto_2898 ) ( AT ?auto_2897 ?auto_2898 ) ( TRUCK ?auto_2901 ) ( LOCATION ?auto_2900 ) ( CITY ?auto_2893 ) ( IN-CITY ?auto_2900 ?auto_2893 ) ( IN-CITY ?auto_2898 ?auto_2893 ) ( DIFFERENT ?auto_2898 ?auto_2900 ) ( IN ?auto_2891 ?auto_2901 ) ( LOCATION ?auto_2905 ) ( CITY ?auto_2904 ) ( AT ?auto_2901 ?auto_2905 ) ( IN-CITY ?auto_2905 ?auto_2904 ) ( IN-CITY ?auto_2900 ?auto_2904 ) ( DIFFERENT ?auto_2900 ?auto_2905 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2901 ?auto_2905 ?auto_2900 ?auto_2904 )
      ( DELIVER-PKG ?auto_2891 ?auto_2892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2931
      ?auto_2932
    )
    :vars
    (
      ?auto_2937
      ?auto_2936
      ?auto_2938
      ?auto_2940
      ?auto_2939
      ?auto_2935
      ?auto_2942
      ?auto_2941
      ?auto_2944
    )
    :precondition
    ( and ( OBJ ?auto_2931 ) ( LOCATION ?auto_2932 ) ( AIRPLANE ?auto_2937 ) ( AIRPORT ?auto_2936 ) ( AIRPORT ?auto_2932 ) ( AT ?auto_2937 ?auto_2936 ) ( DIFFERENT ?auto_2932 ?auto_2936 ) ( LOCATION ?auto_2938 ) ( AT ?auto_2937 ?auto_2938 ) ( TRUCK ?auto_2940 ) ( LOCATION ?auto_2939 ) ( CITY ?auto_2935 ) ( IN-CITY ?auto_2939 ?auto_2935 ) ( IN-CITY ?auto_2938 ?auto_2935 ) ( DIFFERENT ?auto_2938 ?auto_2939 ) ( LOCATION ?auto_2942 ) ( CITY ?auto_2941 ) ( AT ?auto_2940 ?auto_2942 ) ( IN-CITY ?auto_2942 ?auto_2941 ) ( IN-CITY ?auto_2939 ?auto_2941 ) ( DIFFERENT ?auto_2939 ?auto_2942 ) ( LOCATION ?auto_2944 ) ( AT ?auto_2940 ?auto_2944 ) ( AT ?auto_2931 ?auto_2944 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2931 ?auto_2940 ?auto_2944 )
      ( DELIVER-PKG ?auto_2931 ?auto_2932 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2972
      ?auto_2973
    )
    :vars
    (
      ?auto_2977
      ?auto_2976
      ?auto_2978
      ?auto_2980
      ?auto_2979
      ?auto_2975
      ?auto_2984
      ?auto_2981
      ?auto_2987
      ?auto_2986
    )
    :precondition
    ( and ( OBJ ?auto_2972 ) ( LOCATION ?auto_2973 ) ( AIRPLANE ?auto_2977 ) ( AIRPORT ?auto_2976 ) ( AIRPORT ?auto_2973 ) ( AT ?auto_2977 ?auto_2976 ) ( DIFFERENT ?auto_2973 ?auto_2976 ) ( LOCATION ?auto_2978 ) ( AT ?auto_2977 ?auto_2978 ) ( TRUCK ?auto_2980 ) ( LOCATION ?auto_2979 ) ( CITY ?auto_2975 ) ( IN-CITY ?auto_2979 ?auto_2975 ) ( IN-CITY ?auto_2978 ?auto_2975 ) ( DIFFERENT ?auto_2978 ?auto_2979 ) ( LOCATION ?auto_2984 ) ( CITY ?auto_2981 ) ( IN-CITY ?auto_2984 ?auto_2981 ) ( IN-CITY ?auto_2979 ?auto_2981 ) ( DIFFERENT ?auto_2979 ?auto_2984 ) ( AT ?auto_2972 ?auto_2984 ) ( LOCATION ?auto_2987 ) ( CITY ?auto_2986 ) ( AT ?auto_2980 ?auto_2987 ) ( IN-CITY ?auto_2987 ?auto_2986 ) ( IN-CITY ?auto_2984 ?auto_2986 ) ( DIFFERENT ?auto_2984 ?auto_2987 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2980 ?auto_2987 ?auto_2984 ?auto_2986 )
      ( DELIVER-PKG ?auto_2972 ?auto_2973 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3045
      ?auto_3046
    )
    :vars
    (
      ?auto_3054
      ?auto_3049
      ?auto_3055
      ?auto_3057
      ?auto_3056
      ?auto_3053
      ?auto_3051
      ?auto_3050
      ?auto_3058
      ?auto_3052
      ?auto_3061
      ?auto_3060
    )
    :precondition
    ( and ( OBJ ?auto_3045 ) ( LOCATION ?auto_3046 ) ( AIRPLANE ?auto_3054 ) ( AIRPORT ?auto_3049 ) ( AIRPORT ?auto_3046 ) ( AT ?auto_3054 ?auto_3049 ) ( DIFFERENT ?auto_3046 ?auto_3049 ) ( LOCATION ?auto_3055 ) ( AT ?auto_3054 ?auto_3055 ) ( TRUCK ?auto_3057 ) ( LOCATION ?auto_3056 ) ( CITY ?auto_3053 ) ( IN-CITY ?auto_3056 ?auto_3053 ) ( IN-CITY ?auto_3055 ?auto_3053 ) ( DIFFERENT ?auto_3055 ?auto_3056 ) ( LOCATION ?auto_3051 ) ( CITY ?auto_3050 ) ( IN-CITY ?auto_3051 ?auto_3050 ) ( IN-CITY ?auto_3056 ?auto_3050 ) ( DIFFERENT ?auto_3056 ?auto_3051 ) ( AT ?auto_3045 ?auto_3051 ) ( LOCATION ?auto_3058 ) ( CITY ?auto_3052 ) ( IN-CITY ?auto_3058 ?auto_3052 ) ( IN-CITY ?auto_3051 ?auto_3052 ) ( DIFFERENT ?auto_3051 ?auto_3058 ) ( LOCATION ?auto_3061 ) ( CITY ?auto_3060 ) ( AT ?auto_3057 ?auto_3061 ) ( IN-CITY ?auto_3061 ?auto_3060 ) ( IN-CITY ?auto_3058 ?auto_3060 ) ( DIFFERENT ?auto_3058 ?auto_3061 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3057 ?auto_3061 ?auto_3058 ?auto_3060 )
      ( DELIVER-PKG ?auto_3045 ?auto_3046 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3095
      ?auto_3096
    )
    :vars
    (
      ?auto_3104
      ?auto_3105
      ?auto_3107
      ?auto_3106
      ?auto_3103
      ?auto_3101
      ?auto_3100
      ?auto_3108
      ?auto_3102
      ?auto_3110
      ?auto_3109
      ?auto_3112
    )
    :precondition
    ( and ( OBJ ?auto_3095 ) ( LOCATION ?auto_3096 ) ( AIRPLANE ?auto_3104 ) ( AIRPORT ?auto_3105 ) ( AIRPORT ?auto_3096 ) ( DIFFERENT ?auto_3096 ?auto_3105 ) ( LOCATION ?auto_3105 ) ( TRUCK ?auto_3107 ) ( LOCATION ?auto_3106 ) ( CITY ?auto_3103 ) ( IN-CITY ?auto_3106 ?auto_3103 ) ( IN-CITY ?auto_3105 ?auto_3103 ) ( DIFFERENT ?auto_3105 ?auto_3106 ) ( LOCATION ?auto_3101 ) ( CITY ?auto_3100 ) ( IN-CITY ?auto_3101 ?auto_3100 ) ( IN-CITY ?auto_3106 ?auto_3100 ) ( DIFFERENT ?auto_3106 ?auto_3101 ) ( AT ?auto_3095 ?auto_3101 ) ( LOCATION ?auto_3108 ) ( CITY ?auto_3102 ) ( IN-CITY ?auto_3108 ?auto_3102 ) ( IN-CITY ?auto_3101 ?auto_3102 ) ( DIFFERENT ?auto_3101 ?auto_3108 ) ( LOCATION ?auto_3110 ) ( CITY ?auto_3109 ) ( AT ?auto_3107 ?auto_3110 ) ( IN-CITY ?auto_3110 ?auto_3109 ) ( IN-CITY ?auto_3108 ?auto_3109 ) ( DIFFERENT ?auto_3108 ?auto_3110 ) ( AIRPORT ?auto_3112 ) ( AT ?auto_3104 ?auto_3112 ) ( DIFFERENT ?auto_3105 ?auto_3112 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3104 ?auto_3112 ?auto_3105 )
      ( DELIVER-PKG ?auto_3095 ?auto_3096 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3475
      ?auto_3476
    )
    :vars
    (
      ?auto_3480
      ?auto_3481
      ?auto_3477
      ?auto_3482
      ?auto_3485
    )
    :precondition
    ( and ( OBJ ?auto_3475 ) ( LOCATION ?auto_3476 ) ( TRUCK ?auto_3480 ) ( LOCATION ?auto_3481 ) ( CITY ?auto_3477 ) ( AT ?auto_3480 ?auto_3481 ) ( IN-CITY ?auto_3481 ?auto_3477 ) ( IN-CITY ?auto_3476 ?auto_3477 ) ( DIFFERENT ?auto_3476 ?auto_3481 ) ( LOCATION ?auto_3482 ) ( AT ?auto_3480 ?auto_3482 ) ( AIRPLANE ?auto_3485 ) ( IN ?auto_3475 ?auto_3485 ) ( AT ?auto_3485 ?auto_3482 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3475 ?auto_3482 )
      ( DELIVER-PKG ?auto_3475 ?auto_3476 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3504
      ?auto_3505
    )
    :vars
    (
      ?auto_3506
      ?auto_3507
      ?auto_3511
      ?auto_3508
      ?auto_3512
      ?auto_3514
    )
    :precondition
    ( and ( OBJ ?auto_3504 ) ( LOCATION ?auto_3505 ) ( TRUCK ?auto_3506 ) ( LOCATION ?auto_3507 ) ( CITY ?auto_3511 ) ( AT ?auto_3506 ?auto_3507 ) ( IN-CITY ?auto_3507 ?auto_3511 ) ( IN-CITY ?auto_3505 ?auto_3511 ) ( DIFFERENT ?auto_3505 ?auto_3507 ) ( LOCATION ?auto_3508 ) ( AT ?auto_3506 ?auto_3508 ) ( AIRPLANE ?auto_3512 ) ( IN ?auto_3504 ?auto_3512 ) ( AIRPORT ?auto_3514 ) ( AIRPORT ?auto_3508 ) ( AT ?auto_3512 ?auto_3514 ) ( DIFFERENT ?auto_3508 ?auto_3514 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3512 ?auto_3514 ?auto_3508 )
      ( DELIVER-PKG ?auto_3504 ?auto_3505 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3536
      ?auto_3537
    )
    :vars
    (
      ?auto_3544
      ?auto_3540
      ?auto_3542
      ?auto_3541
      ?auto_3543
      ?auto_3545
      ?auto_3547
    )
    :precondition
    ( and ( OBJ ?auto_3536 ) ( LOCATION ?auto_3537 ) ( TRUCK ?auto_3544 ) ( LOCATION ?auto_3540 ) ( CITY ?auto_3542 ) ( AT ?auto_3544 ?auto_3540 ) ( IN-CITY ?auto_3540 ?auto_3542 ) ( IN-CITY ?auto_3537 ?auto_3542 ) ( DIFFERENT ?auto_3537 ?auto_3540 ) ( LOCATION ?auto_3541 ) ( AT ?auto_3544 ?auto_3541 ) ( AIRPLANE ?auto_3543 ) ( AIRPORT ?auto_3545 ) ( AIRPORT ?auto_3541 ) ( AT ?auto_3543 ?auto_3545 ) ( DIFFERENT ?auto_3541 ?auto_3545 ) ( LOCATION ?auto_3547 ) ( AT ?auto_3536 ?auto_3547 ) ( AT ?auto_3543 ?auto_3547 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3536 ?auto_3543 ?auto_3547 )
      ( DELIVER-PKG ?auto_3536 ?auto_3537 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3560
      ?auto_3561
    )
    :vars
    (
      ?auto_3567
      ?auto_3563
      ?auto_3565
      ?auto_3564
      ?auto_3566
      ?auto_3568
      ?auto_3570
      ?auto_3573
    )
    :precondition
    ( and ( OBJ ?auto_3560 ) ( LOCATION ?auto_3561 ) ( TRUCK ?auto_3567 ) ( LOCATION ?auto_3563 ) ( CITY ?auto_3565 ) ( AT ?auto_3567 ?auto_3563 ) ( IN-CITY ?auto_3563 ?auto_3565 ) ( IN-CITY ?auto_3561 ?auto_3565 ) ( DIFFERENT ?auto_3561 ?auto_3563 ) ( LOCATION ?auto_3564 ) ( AT ?auto_3567 ?auto_3564 ) ( AIRPLANE ?auto_3566 ) ( AIRPORT ?auto_3568 ) ( AIRPORT ?auto_3564 ) ( AT ?auto_3566 ?auto_3568 ) ( DIFFERENT ?auto_3564 ?auto_3568 ) ( LOCATION ?auto_3570 ) ( AT ?auto_3566 ?auto_3570 ) ( TRUCK ?auto_3573 ) ( AT ?auto_3573 ?auto_3570 ) ( IN ?auto_3560 ?auto_3573 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3560 ?auto_3570 )
      ( DELIVER-PKG ?auto_3560 ?auto_3561 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3586
      ?auto_3587
    )
    :vars
    (
      ?auto_3589
      ?auto_3594
      ?auto_3592
      ?auto_3595
      ?auto_3593
      ?auto_3590
      ?auto_3591
      ?auto_3597
      ?auto_3600
      ?auto_3599
    )
    :precondition
    ( and ( OBJ ?auto_3586 ) ( LOCATION ?auto_3587 ) ( TRUCK ?auto_3589 ) ( LOCATION ?auto_3594 ) ( CITY ?auto_3592 ) ( AT ?auto_3589 ?auto_3594 ) ( IN-CITY ?auto_3594 ?auto_3592 ) ( IN-CITY ?auto_3587 ?auto_3592 ) ( DIFFERENT ?auto_3587 ?auto_3594 ) ( LOCATION ?auto_3595 ) ( AT ?auto_3589 ?auto_3595 ) ( AIRPLANE ?auto_3593 ) ( AIRPORT ?auto_3590 ) ( AIRPORT ?auto_3595 ) ( AT ?auto_3593 ?auto_3590 ) ( DIFFERENT ?auto_3595 ?auto_3590 ) ( LOCATION ?auto_3591 ) ( AT ?auto_3593 ?auto_3591 ) ( TRUCK ?auto_3597 ) ( IN ?auto_3586 ?auto_3597 ) ( LOCATION ?auto_3600 ) ( CITY ?auto_3599 ) ( AT ?auto_3597 ?auto_3600 ) ( IN-CITY ?auto_3600 ?auto_3599 ) ( IN-CITY ?auto_3591 ?auto_3599 ) ( DIFFERENT ?auto_3591 ?auto_3600 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3597 ?auto_3600 ?auto_3591 ?auto_3599 )
      ( DELIVER-PKG ?auto_3586 ?auto_3587 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3644
      ?auto_3645
    )
    :vars
    (
      ?auto_3653
      ?auto_3655
      ?auto_3650
      ?auto_3651
      ?auto_3652
      ?auto_3656
      ?auto_3647
      ?auto_3657
      ?auto_3648
      ?auto_3660
      ?auto_3659
    )
    :precondition
    ( and ( OBJ ?auto_3644 ) ( LOCATION ?auto_3645 ) ( TRUCK ?auto_3653 ) ( LOCATION ?auto_3655 ) ( CITY ?auto_3650 ) ( IN-CITY ?auto_3655 ?auto_3650 ) ( IN-CITY ?auto_3645 ?auto_3650 ) ( DIFFERENT ?auto_3645 ?auto_3655 ) ( AIRPLANE ?auto_3651 ) ( AIRPORT ?auto_3652 ) ( AIRPORT ?auto_3655 ) ( AT ?auto_3651 ?auto_3652 ) ( DIFFERENT ?auto_3655 ?auto_3652 ) ( LOCATION ?auto_3656 ) ( AT ?auto_3651 ?auto_3656 ) ( TRUCK ?auto_3647 ) ( IN ?auto_3644 ?auto_3647 ) ( LOCATION ?auto_3657 ) ( CITY ?auto_3648 ) ( AT ?auto_3647 ?auto_3657 ) ( IN-CITY ?auto_3657 ?auto_3648 ) ( IN-CITY ?auto_3656 ?auto_3648 ) ( DIFFERENT ?auto_3656 ?auto_3657 ) ( LOCATION ?auto_3660 ) ( CITY ?auto_3659 ) ( AT ?auto_3653 ?auto_3660 ) ( IN-CITY ?auto_3660 ?auto_3659 ) ( IN-CITY ?auto_3655 ?auto_3659 ) ( DIFFERENT ?auto_3655 ?auto_3660 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3653 ?auto_3660 ?auto_3655 ?auto_3659 )
      ( DELIVER-PKG ?auto_3644 ?auto_3645 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3662
      ?auto_3663
    )
    :vars
    (
      ?auto_3671
      ?auto_3672
      ?auto_3668
      ?auto_3669
      ?auto_3670
      ?auto_3673
      ?auto_3666
      ?auto_3674
      ?auto_3667
      ?auto_3676
      ?auto_3675
      ?auto_3678
    )
    :precondition
    ( and ( OBJ ?auto_3662 ) ( LOCATION ?auto_3663 ) ( TRUCK ?auto_3671 ) ( LOCATION ?auto_3672 ) ( CITY ?auto_3668 ) ( IN-CITY ?auto_3672 ?auto_3668 ) ( IN-CITY ?auto_3663 ?auto_3668 ) ( DIFFERENT ?auto_3663 ?auto_3672 ) ( AIRPLANE ?auto_3669 ) ( AIRPORT ?auto_3670 ) ( AIRPORT ?auto_3672 ) ( AT ?auto_3669 ?auto_3670 ) ( DIFFERENT ?auto_3672 ?auto_3670 ) ( LOCATION ?auto_3673 ) ( AT ?auto_3669 ?auto_3673 ) ( TRUCK ?auto_3666 ) ( LOCATION ?auto_3674 ) ( CITY ?auto_3667 ) ( AT ?auto_3666 ?auto_3674 ) ( IN-CITY ?auto_3674 ?auto_3667 ) ( IN-CITY ?auto_3673 ?auto_3667 ) ( DIFFERENT ?auto_3673 ?auto_3674 ) ( LOCATION ?auto_3676 ) ( CITY ?auto_3675 ) ( AT ?auto_3671 ?auto_3676 ) ( IN-CITY ?auto_3676 ?auto_3675 ) ( IN-CITY ?auto_3672 ?auto_3675 ) ( DIFFERENT ?auto_3672 ?auto_3676 ) ( LOCATION ?auto_3678 ) ( AT ?auto_3666 ?auto_3678 ) ( AT ?auto_3662 ?auto_3678 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3662 ?auto_3666 ?auto_3678 )
      ( DELIVER-PKG ?auto_3662 ?auto_3663 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4068
      ?auto_4069
    )
    :vars
    (
      ?auto_4070
      ?auto_4071
      ?auto_4077
      ?auto_4073
      ?auto_4072
      ?auto_4075
      ?auto_4080
    )
    :precondition
    ( and ( OBJ ?auto_4068 ) ( LOCATION ?auto_4069 ) ( TRUCK ?auto_4070 ) ( LOCATION ?auto_4071 ) ( CITY ?auto_4077 ) ( IN-CITY ?auto_4071 ?auto_4077 ) ( IN-CITY ?auto_4069 ?auto_4077 ) ( DIFFERENT ?auto_4069 ?auto_4071 ) ( LOCATION ?auto_4073 ) ( CITY ?auto_4072 ) ( AT ?auto_4070 ?auto_4073 ) ( IN-CITY ?auto_4073 ?auto_4072 ) ( IN-CITY ?auto_4071 ?auto_4072 ) ( DIFFERENT ?auto_4071 ?auto_4073 ) ( LOCATION ?auto_4075 ) ( AT ?auto_4070 ?auto_4075 ) ( AIRPLANE ?auto_4080 ) ( IN ?auto_4068 ?auto_4080 ) ( AT ?auto_4080 ?auto_4075 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4068 ?auto_4075 )
      ( DELIVER-PKG ?auto_4068 ?auto_4069 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4081
      ?auto_4082
    )
    :vars
    (
      ?auto_4089
      ?auto_4090
      ?auto_4087
      ?auto_4083
      ?auto_4091
      ?auto_4085
      ?auto_4086
      ?auto_4093
    )
    :precondition
    ( and ( OBJ ?auto_4081 ) ( LOCATION ?auto_4082 ) ( TRUCK ?auto_4089 ) ( LOCATION ?auto_4090 ) ( CITY ?auto_4087 ) ( IN-CITY ?auto_4090 ?auto_4087 ) ( IN-CITY ?auto_4082 ?auto_4087 ) ( DIFFERENT ?auto_4082 ?auto_4090 ) ( LOCATION ?auto_4083 ) ( CITY ?auto_4091 ) ( AT ?auto_4089 ?auto_4083 ) ( IN-CITY ?auto_4083 ?auto_4091 ) ( IN-CITY ?auto_4090 ?auto_4091 ) ( DIFFERENT ?auto_4090 ?auto_4083 ) ( LOCATION ?auto_4085 ) ( AT ?auto_4089 ?auto_4085 ) ( AIRPLANE ?auto_4086 ) ( IN ?auto_4081 ?auto_4086 ) ( AIRPORT ?auto_4093 ) ( AIRPORT ?auto_4085 ) ( AT ?auto_4086 ?auto_4093 ) ( DIFFERENT ?auto_4085 ?auto_4093 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4086 ?auto_4093 ?auto_4085 )
      ( DELIVER-PKG ?auto_4081 ?auto_4082 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4095
      ?auto_4096
    )
    :vars
    (
      ?auto_4101
      ?auto_4104
      ?auto_4102
      ?auto_4099
      ?auto_4100
      ?auto_4098
      ?auto_4106
      ?auto_4097
      ?auto_4108
    )
    :precondition
    ( and ( OBJ ?auto_4095 ) ( LOCATION ?auto_4096 ) ( TRUCK ?auto_4101 ) ( LOCATION ?auto_4104 ) ( CITY ?auto_4102 ) ( IN-CITY ?auto_4104 ?auto_4102 ) ( IN-CITY ?auto_4096 ?auto_4102 ) ( DIFFERENT ?auto_4096 ?auto_4104 ) ( LOCATION ?auto_4099 ) ( CITY ?auto_4100 ) ( AT ?auto_4101 ?auto_4099 ) ( IN-CITY ?auto_4099 ?auto_4100 ) ( IN-CITY ?auto_4104 ?auto_4100 ) ( DIFFERENT ?auto_4104 ?auto_4099 ) ( LOCATION ?auto_4098 ) ( AT ?auto_4101 ?auto_4098 ) ( AIRPLANE ?auto_4106 ) ( AIRPORT ?auto_4097 ) ( AIRPORT ?auto_4098 ) ( AT ?auto_4106 ?auto_4097 ) ( DIFFERENT ?auto_4098 ?auto_4097 ) ( LOCATION ?auto_4108 ) ( AT ?auto_4095 ?auto_4108 ) ( AT ?auto_4106 ?auto_4108 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4095 ?auto_4106 ?auto_4108 )
      ( DELIVER-PKG ?auto_4095 ?auto_4096 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4110
      ?auto_4111
    )
    :vars
    (
      ?auto_4115
      ?auto_4113
      ?auto_4112
      ?auto_4122
      ?auto_4117
      ?auto_4121
      ?auto_4116
      ?auto_4118
      ?auto_4120
      ?auto_4123
    )
    :precondition
    ( and ( OBJ ?auto_4110 ) ( LOCATION ?auto_4111 ) ( TRUCK ?auto_4115 ) ( LOCATION ?auto_4113 ) ( CITY ?auto_4112 ) ( IN-CITY ?auto_4113 ?auto_4112 ) ( IN-CITY ?auto_4111 ?auto_4112 ) ( DIFFERENT ?auto_4111 ?auto_4113 ) ( LOCATION ?auto_4122 ) ( CITY ?auto_4117 ) ( AT ?auto_4115 ?auto_4122 ) ( IN-CITY ?auto_4122 ?auto_4117 ) ( IN-CITY ?auto_4113 ?auto_4117 ) ( DIFFERENT ?auto_4113 ?auto_4122 ) ( LOCATION ?auto_4121 ) ( AT ?auto_4115 ?auto_4121 ) ( AIRPLANE ?auto_4116 ) ( AIRPORT ?auto_4118 ) ( AIRPORT ?auto_4121 ) ( AT ?auto_4116 ?auto_4118 ) ( DIFFERENT ?auto_4121 ?auto_4118 ) ( LOCATION ?auto_4120 ) ( AT ?auto_4116 ?auto_4120 ) ( TRUCK ?auto_4123 ) ( AT ?auto_4123 ?auto_4120 ) ( IN ?auto_4110 ?auto_4123 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4110 ?auto_4120 )
      ( DELIVER-PKG ?auto_4110 ?auto_4111 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4126
      ?auto_4127
    )
    :vars
    (
      ?auto_4139
      ?auto_4138
      ?auto_4129
      ?auto_4133
      ?auto_4128
      ?auto_4130
      ?auto_4135
      ?auto_4131
      ?auto_4137
      ?auto_4136
      ?auto_4142
      ?auto_4141
    )
    :precondition
    ( and ( OBJ ?auto_4126 ) ( LOCATION ?auto_4127 ) ( TRUCK ?auto_4139 ) ( LOCATION ?auto_4138 ) ( CITY ?auto_4129 ) ( IN-CITY ?auto_4138 ?auto_4129 ) ( IN-CITY ?auto_4127 ?auto_4129 ) ( DIFFERENT ?auto_4127 ?auto_4138 ) ( LOCATION ?auto_4133 ) ( CITY ?auto_4128 ) ( AT ?auto_4139 ?auto_4133 ) ( IN-CITY ?auto_4133 ?auto_4128 ) ( IN-CITY ?auto_4138 ?auto_4128 ) ( DIFFERENT ?auto_4138 ?auto_4133 ) ( LOCATION ?auto_4130 ) ( AT ?auto_4139 ?auto_4130 ) ( AIRPLANE ?auto_4135 ) ( AIRPORT ?auto_4131 ) ( AIRPORT ?auto_4130 ) ( AT ?auto_4135 ?auto_4131 ) ( DIFFERENT ?auto_4130 ?auto_4131 ) ( LOCATION ?auto_4137 ) ( AT ?auto_4135 ?auto_4137 ) ( TRUCK ?auto_4136 ) ( IN ?auto_4126 ?auto_4136 ) ( LOCATION ?auto_4142 ) ( CITY ?auto_4141 ) ( AT ?auto_4136 ?auto_4142 ) ( IN-CITY ?auto_4142 ?auto_4141 ) ( IN-CITY ?auto_4137 ?auto_4141 ) ( DIFFERENT ?auto_4137 ?auto_4142 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4136 ?auto_4142 ?auto_4137 ?auto_4141 )
      ( DELIVER-PKG ?auto_4126 ?auto_4127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4160
      ?auto_4161
    )
    :vars
    (
      ?auto_4167
      ?auto_4166
      ?auto_4172
      ?auto_4162
      ?auto_4164
      ?auto_4173
      ?auto_4174
      ?auto_4175
      ?auto_4171
      ?auto_4165
      ?auto_4170
      ?auto_4169
      ?auto_4177
    )
    :precondition
    ( and ( OBJ ?auto_4160 ) ( LOCATION ?auto_4161 ) ( TRUCK ?auto_4167 ) ( LOCATION ?auto_4166 ) ( CITY ?auto_4172 ) ( IN-CITY ?auto_4166 ?auto_4172 ) ( IN-CITY ?auto_4161 ?auto_4172 ) ( DIFFERENT ?auto_4161 ?auto_4166 ) ( LOCATION ?auto_4162 ) ( CITY ?auto_4164 ) ( AT ?auto_4167 ?auto_4162 ) ( IN-CITY ?auto_4162 ?auto_4164 ) ( IN-CITY ?auto_4166 ?auto_4164 ) ( DIFFERENT ?auto_4166 ?auto_4162 ) ( LOCATION ?auto_4173 ) ( AT ?auto_4167 ?auto_4173 ) ( AIRPLANE ?auto_4174 ) ( AIRPORT ?auto_4175 ) ( AIRPORT ?auto_4173 ) ( AT ?auto_4174 ?auto_4175 ) ( DIFFERENT ?auto_4173 ?auto_4175 ) ( LOCATION ?auto_4171 ) ( AT ?auto_4174 ?auto_4171 ) ( TRUCK ?auto_4165 ) ( LOCATION ?auto_4170 ) ( CITY ?auto_4169 ) ( AT ?auto_4165 ?auto_4170 ) ( IN-CITY ?auto_4170 ?auto_4169 ) ( IN-CITY ?auto_4171 ?auto_4169 ) ( DIFFERENT ?auto_4171 ?auto_4170 ) ( LOCATION ?auto_4177 ) ( AT ?auto_4165 ?auto_4177 ) ( AT ?auto_4160 ?auto_4177 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4160 ?auto_4165 ?auto_4177 )
      ( DELIVER-PKG ?auto_4160 ?auto_4161 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4213
      ?auto_4214
    )
    :vars
    (
      ?auto_4219
      ?auto_4218
      ?auto_4223
      ?auto_4227
      ?auto_4226
      ?auto_4225
      ?auto_4220
      ?auto_4221
      ?auto_4216
      ?auto_4222
      ?auto_4215
      ?auto_4217
      ?auto_4224
      ?auto_4232
    )
    :precondition
    ( and ( OBJ ?auto_4213 ) ( LOCATION ?auto_4214 ) ( TRUCK ?auto_4219 ) ( LOCATION ?auto_4218 ) ( CITY ?auto_4223 ) ( IN-CITY ?auto_4218 ?auto_4223 ) ( IN-CITY ?auto_4214 ?auto_4223 ) ( DIFFERENT ?auto_4214 ?auto_4218 ) ( LOCATION ?auto_4227 ) ( CITY ?auto_4226 ) ( AT ?auto_4219 ?auto_4227 ) ( IN-CITY ?auto_4227 ?auto_4226 ) ( IN-CITY ?auto_4218 ?auto_4226 ) ( DIFFERENT ?auto_4218 ?auto_4227 ) ( LOCATION ?auto_4225 ) ( AT ?auto_4219 ?auto_4225 ) ( AIRPLANE ?auto_4220 ) ( AIRPORT ?auto_4221 ) ( AIRPORT ?auto_4225 ) ( AT ?auto_4220 ?auto_4221 ) ( DIFFERENT ?auto_4225 ?auto_4221 ) ( LOCATION ?auto_4216 ) ( AT ?auto_4220 ?auto_4216 ) ( TRUCK ?auto_4222 ) ( LOCATION ?auto_4215 ) ( CITY ?auto_4217 ) ( AT ?auto_4222 ?auto_4215 ) ( IN-CITY ?auto_4215 ?auto_4217 ) ( IN-CITY ?auto_4216 ?auto_4217 ) ( DIFFERENT ?auto_4216 ?auto_4215 ) ( LOCATION ?auto_4224 ) ( AT ?auto_4222 ?auto_4224 ) ( TRUCK ?auto_4232 ) ( AT ?auto_4232 ?auto_4224 ) ( IN ?auto_4213 ?auto_4232 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4213 ?auto_4224 )
      ( DELIVER-PKG ?auto_4213 ?auto_4214 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4287
      ?auto_4288
    )
    :vars
    (
      ?auto_4294
      ?auto_4298
      ?auto_4303
      ?auto_4297
      ?auto_4296
      ?auto_4295
      ?auto_4300
      ?auto_4301
      ?auto_4291
      ?auto_4293
      ?auto_4304
      ?auto_4292
      ?auto_4307
      ?auto_4306
    )
    :precondition
    ( and ( OBJ ?auto_4287 ) ( LOCATION ?auto_4288 ) ( TRUCK ?auto_4294 ) ( LOCATION ?auto_4298 ) ( CITY ?auto_4303 ) ( IN-CITY ?auto_4298 ?auto_4303 ) ( IN-CITY ?auto_4288 ?auto_4303 ) ( DIFFERENT ?auto_4288 ?auto_4298 ) ( LOCATION ?auto_4297 ) ( CITY ?auto_4296 ) ( AT ?auto_4294 ?auto_4297 ) ( IN-CITY ?auto_4297 ?auto_4296 ) ( IN-CITY ?auto_4298 ?auto_4296 ) ( DIFFERENT ?auto_4298 ?auto_4297 ) ( LOCATION ?auto_4295 ) ( AT ?auto_4294 ?auto_4295 ) ( AIRPLANE ?auto_4300 ) ( AIRPORT ?auto_4301 ) ( AIRPORT ?auto_4295 ) ( AT ?auto_4300 ?auto_4301 ) ( DIFFERENT ?auto_4295 ?auto_4301 ) ( LOCATION ?auto_4291 ) ( AT ?auto_4300 ?auto_4291 ) ( TRUCK ?auto_4293 ) ( LOCATION ?auto_4304 ) ( CITY ?auto_4292 ) ( IN-CITY ?auto_4304 ?auto_4292 ) ( IN-CITY ?auto_4291 ?auto_4292 ) ( DIFFERENT ?auto_4291 ?auto_4304 ) ( IN ?auto_4287 ?auto_4293 ) ( LOCATION ?auto_4307 ) ( CITY ?auto_4306 ) ( AT ?auto_4293 ?auto_4307 ) ( IN-CITY ?auto_4307 ?auto_4306 ) ( IN-CITY ?auto_4304 ?auto_4306 ) ( DIFFERENT ?auto_4304 ?auto_4307 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4293 ?auto_4307 ?auto_4304 ?auto_4306 )
      ( DELIVER-PKG ?auto_4287 ?auto_4288 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4345
      ?auto_4346
    )
    :vars
    (
      ?auto_4353
      ?auto_4357
      ?auto_4360
      ?auto_4356
      ?auto_4355
      ?auto_4354
      ?auto_4358
      ?auto_4359
      ?auto_4351
      ?auto_4352
      ?auto_4361
      ?auto_4348
      ?auto_4362
      ?auto_4350
      ?auto_4364
    )
    :precondition
    ( and ( OBJ ?auto_4345 ) ( LOCATION ?auto_4346 ) ( TRUCK ?auto_4353 ) ( LOCATION ?auto_4357 ) ( CITY ?auto_4360 ) ( IN-CITY ?auto_4357 ?auto_4360 ) ( IN-CITY ?auto_4346 ?auto_4360 ) ( DIFFERENT ?auto_4346 ?auto_4357 ) ( LOCATION ?auto_4356 ) ( CITY ?auto_4355 ) ( AT ?auto_4353 ?auto_4356 ) ( IN-CITY ?auto_4356 ?auto_4355 ) ( IN-CITY ?auto_4357 ?auto_4355 ) ( DIFFERENT ?auto_4357 ?auto_4356 ) ( LOCATION ?auto_4354 ) ( AT ?auto_4353 ?auto_4354 ) ( AIRPLANE ?auto_4358 ) ( AIRPORT ?auto_4359 ) ( AIRPORT ?auto_4354 ) ( AT ?auto_4358 ?auto_4359 ) ( DIFFERENT ?auto_4354 ?auto_4359 ) ( LOCATION ?auto_4351 ) ( AT ?auto_4358 ?auto_4351 ) ( TRUCK ?auto_4352 ) ( LOCATION ?auto_4361 ) ( CITY ?auto_4348 ) ( IN-CITY ?auto_4361 ?auto_4348 ) ( IN-CITY ?auto_4351 ?auto_4348 ) ( DIFFERENT ?auto_4351 ?auto_4361 ) ( LOCATION ?auto_4362 ) ( CITY ?auto_4350 ) ( AT ?auto_4352 ?auto_4362 ) ( IN-CITY ?auto_4362 ?auto_4350 ) ( IN-CITY ?auto_4361 ?auto_4350 ) ( DIFFERENT ?auto_4361 ?auto_4362 ) ( LOCATION ?auto_4364 ) ( AT ?auto_4352 ?auto_4364 ) ( AT ?auto_4345 ?auto_4364 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4345 ?auto_4352 ?auto_4364 )
      ( DELIVER-PKG ?auto_4345 ?auto_4346 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4404
      ?auto_4405
    )
    :vars
    (
      ?auto_4415
      ?auto_4408
      ?auto_4411
      ?auto_4407
      ?auto_4417
      ?auto_4416
      ?auto_4409
      ?auto_4410
      ?auto_4406
      ?auto_4414
      ?auto_4420
      ?auto_4413
      ?auto_4422
      ?auto_4418
      ?auto_4425
      ?auto_4424
    )
    :precondition
    ( and ( OBJ ?auto_4404 ) ( LOCATION ?auto_4405 ) ( TRUCK ?auto_4415 ) ( LOCATION ?auto_4408 ) ( CITY ?auto_4411 ) ( IN-CITY ?auto_4408 ?auto_4411 ) ( IN-CITY ?auto_4405 ?auto_4411 ) ( DIFFERENT ?auto_4405 ?auto_4408 ) ( LOCATION ?auto_4407 ) ( CITY ?auto_4417 ) ( AT ?auto_4415 ?auto_4407 ) ( IN-CITY ?auto_4407 ?auto_4417 ) ( IN-CITY ?auto_4408 ?auto_4417 ) ( DIFFERENT ?auto_4408 ?auto_4407 ) ( LOCATION ?auto_4416 ) ( AT ?auto_4415 ?auto_4416 ) ( AIRPLANE ?auto_4409 ) ( AIRPORT ?auto_4410 ) ( AIRPORT ?auto_4416 ) ( AT ?auto_4409 ?auto_4410 ) ( DIFFERENT ?auto_4416 ?auto_4410 ) ( LOCATION ?auto_4406 ) ( AT ?auto_4409 ?auto_4406 ) ( TRUCK ?auto_4414 ) ( LOCATION ?auto_4420 ) ( CITY ?auto_4413 ) ( IN-CITY ?auto_4420 ?auto_4413 ) ( IN-CITY ?auto_4406 ?auto_4413 ) ( DIFFERENT ?auto_4406 ?auto_4420 ) ( LOCATION ?auto_4422 ) ( CITY ?auto_4418 ) ( IN-CITY ?auto_4422 ?auto_4418 ) ( IN-CITY ?auto_4420 ?auto_4418 ) ( DIFFERENT ?auto_4420 ?auto_4422 ) ( AT ?auto_4404 ?auto_4422 ) ( LOCATION ?auto_4425 ) ( CITY ?auto_4424 ) ( AT ?auto_4414 ?auto_4425 ) ( IN-CITY ?auto_4425 ?auto_4424 ) ( IN-CITY ?auto_4422 ?auto_4424 ) ( DIFFERENT ?auto_4422 ?auto_4425 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4414 ?auto_4425 ?auto_4422 ?auto_4424 )
      ( DELIVER-PKG ?auto_4404 ?auto_4405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4507
      ?auto_4508
    )
    :vars
    (
      ?auto_4522
      ?auto_4515
      ?auto_4519
      ?auto_4514
      ?auto_4524
      ?auto_4523
      ?auto_4516
      ?auto_4510
      ?auto_4513
      ?auto_4521
      ?auto_4512
      ?auto_4520
      ?auto_4525
      ?auto_4511
      ?auto_4526
      ?auto_4518
      ?auto_4529
      ?auto_4528
    )
    :precondition
    ( and ( OBJ ?auto_4507 ) ( LOCATION ?auto_4508 ) ( TRUCK ?auto_4522 ) ( LOCATION ?auto_4515 ) ( CITY ?auto_4519 ) ( IN-CITY ?auto_4515 ?auto_4519 ) ( IN-CITY ?auto_4508 ?auto_4519 ) ( DIFFERENT ?auto_4508 ?auto_4515 ) ( LOCATION ?auto_4514 ) ( CITY ?auto_4524 ) ( AT ?auto_4522 ?auto_4514 ) ( IN-CITY ?auto_4514 ?auto_4524 ) ( IN-CITY ?auto_4515 ?auto_4524 ) ( DIFFERENT ?auto_4515 ?auto_4514 ) ( LOCATION ?auto_4523 ) ( AT ?auto_4522 ?auto_4523 ) ( AIRPLANE ?auto_4516 ) ( AIRPORT ?auto_4510 ) ( AIRPORT ?auto_4523 ) ( AT ?auto_4516 ?auto_4510 ) ( DIFFERENT ?auto_4523 ?auto_4510 ) ( LOCATION ?auto_4513 ) ( AT ?auto_4516 ?auto_4513 ) ( TRUCK ?auto_4521 ) ( LOCATION ?auto_4512 ) ( CITY ?auto_4520 ) ( IN-CITY ?auto_4512 ?auto_4520 ) ( IN-CITY ?auto_4513 ?auto_4520 ) ( DIFFERENT ?auto_4513 ?auto_4512 ) ( LOCATION ?auto_4525 ) ( CITY ?auto_4511 ) ( IN-CITY ?auto_4525 ?auto_4511 ) ( IN-CITY ?auto_4512 ?auto_4511 ) ( DIFFERENT ?auto_4512 ?auto_4525 ) ( AT ?auto_4507 ?auto_4525 ) ( LOCATION ?auto_4526 ) ( CITY ?auto_4518 ) ( IN-CITY ?auto_4526 ?auto_4518 ) ( IN-CITY ?auto_4525 ?auto_4518 ) ( DIFFERENT ?auto_4525 ?auto_4526 ) ( LOCATION ?auto_4529 ) ( CITY ?auto_4528 ) ( AT ?auto_4521 ?auto_4529 ) ( IN-CITY ?auto_4529 ?auto_4528 ) ( IN-CITY ?auto_4526 ?auto_4528 ) ( DIFFERENT ?auto_4526 ?auto_4529 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4521 ?auto_4529 ?auto_4526 ?auto_4528 )
      ( DELIVER-PKG ?auto_4507 ?auto_4508 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4575
      ?auto_4576
    )
    :vars
    (
      ?auto_4591
      ?auto_4585
      ?auto_4588
      ?auto_4584
      ?auto_4593
      ?auto_4592
      ?auto_4586
      ?auto_4582
      ?auto_4590
      ?auto_4581
      ?auto_4589
      ?auto_4594
      ?auto_4580
      ?auto_4595
      ?auto_4587
      ?auto_4596
      ?auto_4583
      ?auto_4598
    )
    :precondition
    ( and ( OBJ ?auto_4575 ) ( LOCATION ?auto_4576 ) ( TRUCK ?auto_4591 ) ( LOCATION ?auto_4585 ) ( CITY ?auto_4588 ) ( IN-CITY ?auto_4585 ?auto_4588 ) ( IN-CITY ?auto_4576 ?auto_4588 ) ( DIFFERENT ?auto_4576 ?auto_4585 ) ( LOCATION ?auto_4584 ) ( CITY ?auto_4593 ) ( AT ?auto_4591 ?auto_4584 ) ( IN-CITY ?auto_4584 ?auto_4593 ) ( IN-CITY ?auto_4585 ?auto_4593 ) ( DIFFERENT ?auto_4585 ?auto_4584 ) ( LOCATION ?auto_4592 ) ( AT ?auto_4591 ?auto_4592 ) ( AIRPLANE ?auto_4586 ) ( AIRPORT ?auto_4582 ) ( AIRPORT ?auto_4592 ) ( DIFFERENT ?auto_4592 ?auto_4582 ) ( LOCATION ?auto_4582 ) ( TRUCK ?auto_4590 ) ( LOCATION ?auto_4581 ) ( CITY ?auto_4589 ) ( IN-CITY ?auto_4581 ?auto_4589 ) ( IN-CITY ?auto_4582 ?auto_4589 ) ( DIFFERENT ?auto_4582 ?auto_4581 ) ( LOCATION ?auto_4594 ) ( CITY ?auto_4580 ) ( IN-CITY ?auto_4594 ?auto_4580 ) ( IN-CITY ?auto_4581 ?auto_4580 ) ( DIFFERENT ?auto_4581 ?auto_4594 ) ( AT ?auto_4575 ?auto_4594 ) ( LOCATION ?auto_4595 ) ( CITY ?auto_4587 ) ( IN-CITY ?auto_4595 ?auto_4587 ) ( IN-CITY ?auto_4594 ?auto_4587 ) ( DIFFERENT ?auto_4594 ?auto_4595 ) ( LOCATION ?auto_4596 ) ( CITY ?auto_4583 ) ( AT ?auto_4590 ?auto_4596 ) ( IN-CITY ?auto_4596 ?auto_4583 ) ( IN-CITY ?auto_4595 ?auto_4583 ) ( DIFFERENT ?auto_4595 ?auto_4596 ) ( AIRPORT ?auto_4598 ) ( AT ?auto_4586 ?auto_4598 ) ( DIFFERENT ?auto_4582 ?auto_4598 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4586 ?auto_4598 ?auto_4582 )
      ( DELIVER-PKG ?auto_4575 ?auto_4576 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4600
      ?auto_4601
    )
    :vars
    (
      ?auto_4603
      ?auto_4612
      ?auto_4615
      ?auto_4604
      ?auto_4605
      ?auto_4613
      ?auto_4609
      ?auto_4617
      ?auto_4608
      ?auto_4616
      ?auto_4619
      ?auto_4607
      ?auto_4620
      ?auto_4614
      ?auto_4621
      ?auto_4610
      ?auto_4606
      ?auto_4624
      ?auto_4623
    )
    :precondition
    ( and ( OBJ ?auto_4600 ) ( LOCATION ?auto_4601 ) ( TRUCK ?auto_4603 ) ( LOCATION ?auto_4612 ) ( CITY ?auto_4615 ) ( IN-CITY ?auto_4612 ?auto_4615 ) ( IN-CITY ?auto_4601 ?auto_4615 ) ( DIFFERENT ?auto_4601 ?auto_4612 ) ( LOCATION ?auto_4604 ) ( CITY ?auto_4605 ) ( IN-CITY ?auto_4604 ?auto_4605 ) ( IN-CITY ?auto_4612 ?auto_4605 ) ( DIFFERENT ?auto_4612 ?auto_4604 ) ( AIRPLANE ?auto_4613 ) ( AIRPORT ?auto_4609 ) ( AIRPORT ?auto_4604 ) ( DIFFERENT ?auto_4604 ?auto_4609 ) ( LOCATION ?auto_4609 ) ( TRUCK ?auto_4617 ) ( LOCATION ?auto_4608 ) ( CITY ?auto_4616 ) ( IN-CITY ?auto_4608 ?auto_4616 ) ( IN-CITY ?auto_4609 ?auto_4616 ) ( DIFFERENT ?auto_4609 ?auto_4608 ) ( LOCATION ?auto_4619 ) ( CITY ?auto_4607 ) ( IN-CITY ?auto_4619 ?auto_4607 ) ( IN-CITY ?auto_4608 ?auto_4607 ) ( DIFFERENT ?auto_4608 ?auto_4619 ) ( AT ?auto_4600 ?auto_4619 ) ( LOCATION ?auto_4620 ) ( CITY ?auto_4614 ) ( IN-CITY ?auto_4620 ?auto_4614 ) ( IN-CITY ?auto_4619 ?auto_4614 ) ( DIFFERENT ?auto_4619 ?auto_4620 ) ( LOCATION ?auto_4621 ) ( CITY ?auto_4610 ) ( AT ?auto_4617 ?auto_4621 ) ( IN-CITY ?auto_4621 ?auto_4610 ) ( IN-CITY ?auto_4620 ?auto_4610 ) ( DIFFERENT ?auto_4620 ?auto_4621 ) ( AIRPORT ?auto_4606 ) ( AT ?auto_4613 ?auto_4606 ) ( DIFFERENT ?auto_4609 ?auto_4606 ) ( LOCATION ?auto_4624 ) ( CITY ?auto_4623 ) ( AT ?auto_4603 ?auto_4624 ) ( IN-CITY ?auto_4624 ?auto_4623 ) ( IN-CITY ?auto_4604 ?auto_4623 ) ( DIFFERENT ?auto_4604 ?auto_4624 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4603 ?auto_4624 ?auto_4604 ?auto_4623 )
      ( DELIVER-PKG ?auto_4600 ?auto_4601 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5051
      ?auto_5052
    )
    :vars
    (
      ?auto_5059
      ?auto_5053
      ?auto_5058
      ?auto_5057
      ?auto_5056
      ?auto_5062
      ?auto_5061
    )
    :precondition
    ( and ( OBJ ?auto_5051 ) ( LOCATION ?auto_5052 ) ( TRUCK ?auto_5059 ) ( IN ?auto_5051 ?auto_5059 ) ( LOCATION ?auto_5053 ) ( CITY ?auto_5058 ) ( IN-CITY ?auto_5053 ?auto_5058 ) ( IN-CITY ?auto_5052 ?auto_5058 ) ( DIFFERENT ?auto_5052 ?auto_5053 ) ( LOCATION ?auto_5057 ) ( CITY ?auto_5056 ) ( IN-CITY ?auto_5057 ?auto_5056 ) ( IN-CITY ?auto_5053 ?auto_5056 ) ( DIFFERENT ?auto_5053 ?auto_5057 ) ( LOCATION ?auto_5062 ) ( CITY ?auto_5061 ) ( AT ?auto_5059 ?auto_5062 ) ( IN-CITY ?auto_5062 ?auto_5061 ) ( IN-CITY ?auto_5057 ?auto_5061 ) ( DIFFERENT ?auto_5057 ?auto_5062 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5059 ?auto_5062 ?auto_5057 ?auto_5061 )
      ( DELIVER-PKG ?auto_5051 ?auto_5052 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5075
      ?auto_5076
    )
    :vars
    (
      ?auto_5083
      ?auto_5084
      ?auto_5078
      ?auto_5077
      ?auto_5081
      ?auto_5082
      ?auto_5080
      ?auto_5088
      ?auto_5087
    )
    :precondition
    ( and ( OBJ ?auto_5075 ) ( LOCATION ?auto_5076 ) ( TRUCK ?auto_5083 ) ( IN ?auto_5075 ?auto_5083 ) ( LOCATION ?auto_5084 ) ( CITY ?auto_5078 ) ( IN-CITY ?auto_5084 ?auto_5078 ) ( IN-CITY ?auto_5076 ?auto_5078 ) ( DIFFERENT ?auto_5076 ?auto_5084 ) ( LOCATION ?auto_5077 ) ( CITY ?auto_5081 ) ( IN-CITY ?auto_5077 ?auto_5081 ) ( IN-CITY ?auto_5084 ?auto_5081 ) ( DIFFERENT ?auto_5084 ?auto_5077 ) ( LOCATION ?auto_5082 ) ( CITY ?auto_5080 ) ( IN-CITY ?auto_5082 ?auto_5080 ) ( IN-CITY ?auto_5077 ?auto_5080 ) ( DIFFERENT ?auto_5077 ?auto_5082 ) ( LOCATION ?auto_5088 ) ( CITY ?auto_5087 ) ( AT ?auto_5083 ?auto_5088 ) ( IN-CITY ?auto_5088 ?auto_5087 ) ( IN-CITY ?auto_5082 ?auto_5087 ) ( DIFFERENT ?auto_5082 ?auto_5088 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5083 ?auto_5088 ?auto_5082 ?auto_5087 )
      ( DELIVER-PKG ?auto_5075 ?auto_5076 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5103
      ?auto_5104
    )
    :vars
    (
      ?auto_5106
      ?auto_5110
      ?auto_5111
      ?auto_5107
      ?auto_5108
      ?auto_5105
      ?auto_5113
      ?auto_5115
      ?auto_5114
      ?auto_5117
    )
    :precondition
    ( and ( OBJ ?auto_5103 ) ( LOCATION ?auto_5104 ) ( TRUCK ?auto_5106 ) ( LOCATION ?auto_5110 ) ( CITY ?auto_5111 ) ( IN-CITY ?auto_5110 ?auto_5111 ) ( IN-CITY ?auto_5104 ?auto_5111 ) ( DIFFERENT ?auto_5104 ?auto_5110 ) ( LOCATION ?auto_5107 ) ( CITY ?auto_5108 ) ( IN-CITY ?auto_5107 ?auto_5108 ) ( IN-CITY ?auto_5110 ?auto_5108 ) ( DIFFERENT ?auto_5110 ?auto_5107 ) ( LOCATION ?auto_5105 ) ( CITY ?auto_5113 ) ( IN-CITY ?auto_5105 ?auto_5113 ) ( IN-CITY ?auto_5107 ?auto_5113 ) ( DIFFERENT ?auto_5107 ?auto_5105 ) ( LOCATION ?auto_5115 ) ( CITY ?auto_5114 ) ( AT ?auto_5106 ?auto_5115 ) ( IN-CITY ?auto_5115 ?auto_5114 ) ( IN-CITY ?auto_5105 ?auto_5114 ) ( DIFFERENT ?auto_5105 ?auto_5115 ) ( LOCATION ?auto_5117 ) ( AT ?auto_5106 ?auto_5117 ) ( AT ?auto_5103 ?auto_5117 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5103 ?auto_5106 ?auto_5117 )
      ( DELIVER-PKG ?auto_5103 ?auto_5104 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7085
      ?auto_7086
    )
    :vars
    (
      ?auto_7094
      ?auto_7096
      ?auto_7095
      ?auto_7092
      ?auto_7090
      ?auto_7091
      ?auto_7093
      ?auto_7098
      ?auto_7097
      ?auto_7100
    )
    :precondition
    ( and ( OBJ ?auto_7085 ) ( LOCATION ?auto_7086 ) ( AIRPLANE ?auto_7094 ) ( AIRPORT ?auto_7096 ) ( AIRPORT ?auto_7086 ) ( DIFFERENT ?auto_7086 ?auto_7096 ) ( LOCATION ?auto_7096 ) ( TRUCK ?auto_7095 ) ( LOCATION ?auto_7092 ) ( CITY ?auto_7090 ) ( IN-CITY ?auto_7092 ?auto_7090 ) ( IN-CITY ?auto_7096 ?auto_7090 ) ( DIFFERENT ?auto_7096 ?auto_7092 ) ( LOCATION ?auto_7091 ) ( CITY ?auto_7093 ) ( IN-CITY ?auto_7091 ?auto_7093 ) ( IN-CITY ?auto_7092 ?auto_7093 ) ( DIFFERENT ?auto_7092 ?auto_7091 ) ( AT ?auto_7085 ?auto_7091 ) ( LOCATION ?auto_7098 ) ( CITY ?auto_7097 ) ( AT ?auto_7095 ?auto_7098 ) ( IN-CITY ?auto_7098 ?auto_7097 ) ( IN-CITY ?auto_7091 ?auto_7097 ) ( DIFFERENT ?auto_7091 ?auto_7098 ) ( AIRPORT ?auto_7100 ) ( AT ?auto_7094 ?auto_7100 ) ( DIFFERENT ?auto_7096 ?auto_7100 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7094 ?auto_7100 ?auto_7096 )
      ( DELIVER-PKG ?auto_7085 ?auto_7086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7293
      ?auto_7294
    )
    :vars
    (
      ?auto_7297
      ?auto_7299
      ?auto_7298
      ?auto_7301
      ?auto_7300
      ?auto_7303
      ?auto_7302
      ?auto_7306
      ?auto_7305
    )
    :precondition
    ( and ( OBJ ?auto_7293 ) ( LOCATION ?auto_7294 ) ( TRUCK ?auto_7297 ) ( LOCATION ?auto_7299 ) ( CITY ?auto_7298 ) ( IN-CITY ?auto_7299 ?auto_7298 ) ( IN-CITY ?auto_7294 ?auto_7298 ) ( DIFFERENT ?auto_7294 ?auto_7299 ) ( AT ?auto_7293 ?auto_7299 ) ( LOCATION ?auto_7301 ) ( CITY ?auto_7300 ) ( IN-CITY ?auto_7301 ?auto_7300 ) ( IN-CITY ?auto_7299 ?auto_7300 ) ( DIFFERENT ?auto_7299 ?auto_7301 ) ( LOCATION ?auto_7303 ) ( CITY ?auto_7302 ) ( IN-CITY ?auto_7303 ?auto_7302 ) ( IN-CITY ?auto_7301 ?auto_7302 ) ( DIFFERENT ?auto_7301 ?auto_7303 ) ( LOCATION ?auto_7306 ) ( CITY ?auto_7305 ) ( AT ?auto_7297 ?auto_7306 ) ( IN-CITY ?auto_7306 ?auto_7305 ) ( IN-CITY ?auto_7303 ?auto_7305 ) ( DIFFERENT ?auto_7303 ?auto_7306 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7297 ?auto_7306 ?auto_7303 ?auto_7305 )
      ( DELIVER-PKG ?auto_7293 ?auto_7294 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7321
      ?auto_7322
    )
    :vars
    (
      ?auto_7324
      ?auto_7326
      ?auto_7325
      ?auto_7328
      ?auto_7327
      ?auto_7330
      ?auto_7329
      ?auto_7333
      ?auto_7332
      ?auto_7336
      ?auto_7335
    )
    :precondition
    ( and ( OBJ ?auto_7321 ) ( LOCATION ?auto_7322 ) ( TRUCK ?auto_7324 ) ( LOCATION ?auto_7326 ) ( CITY ?auto_7325 ) ( IN-CITY ?auto_7326 ?auto_7325 ) ( IN-CITY ?auto_7322 ?auto_7325 ) ( DIFFERENT ?auto_7322 ?auto_7326 ) ( AT ?auto_7321 ?auto_7326 ) ( LOCATION ?auto_7328 ) ( CITY ?auto_7327 ) ( IN-CITY ?auto_7328 ?auto_7327 ) ( IN-CITY ?auto_7326 ?auto_7327 ) ( DIFFERENT ?auto_7326 ?auto_7328 ) ( LOCATION ?auto_7330 ) ( CITY ?auto_7329 ) ( IN-CITY ?auto_7330 ?auto_7329 ) ( IN-CITY ?auto_7328 ?auto_7329 ) ( DIFFERENT ?auto_7328 ?auto_7330 ) ( LOCATION ?auto_7333 ) ( CITY ?auto_7332 ) ( IN-CITY ?auto_7333 ?auto_7332 ) ( IN-CITY ?auto_7330 ?auto_7332 ) ( DIFFERENT ?auto_7330 ?auto_7333 ) ( LOCATION ?auto_7336 ) ( CITY ?auto_7335 ) ( AT ?auto_7324 ?auto_7336 ) ( IN-CITY ?auto_7336 ?auto_7335 ) ( IN-CITY ?auto_7333 ?auto_7335 ) ( DIFFERENT ?auto_7333 ?auto_7336 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7324 ?auto_7336 ?auto_7333 ?auto_7335 )
      ( DELIVER-PKG ?auto_7321 ?auto_7322 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7913
      ?auto_7914
    )
    :vars
    (
      ?auto_7921
      ?auto_7920
      ?auto_7918
      ?auto_7916
      ?auto_7922
      ?auto_7919
      ?auto_7924
      ?auto_7923
      ?auto_7927
      ?auto_7926
    )
    :precondition
    ( and ( OBJ ?auto_7913 ) ( LOCATION ?auto_7914 ) ( AIRPLANE ?auto_7921 ) ( AIRPORT ?auto_7920 ) ( AIRPORT ?auto_7914 ) ( AT ?auto_7921 ?auto_7920 ) ( DIFFERENT ?auto_7914 ?auto_7920 ) ( LOCATION ?auto_7918 ) ( AT ?auto_7921 ?auto_7918 ) ( TRUCK ?auto_7916 ) ( LOCATION ?auto_7922 ) ( CITY ?auto_7919 ) ( IN-CITY ?auto_7922 ?auto_7919 ) ( IN-CITY ?auto_7918 ?auto_7919 ) ( DIFFERENT ?auto_7918 ?auto_7922 ) ( AT ?auto_7913 ?auto_7922 ) ( LOCATION ?auto_7924 ) ( CITY ?auto_7923 ) ( IN-CITY ?auto_7924 ?auto_7923 ) ( IN-CITY ?auto_7922 ?auto_7923 ) ( DIFFERENT ?auto_7922 ?auto_7924 ) ( LOCATION ?auto_7927 ) ( CITY ?auto_7926 ) ( AT ?auto_7916 ?auto_7927 ) ( IN-CITY ?auto_7927 ?auto_7926 ) ( IN-CITY ?auto_7924 ?auto_7926 ) ( DIFFERENT ?auto_7924 ?auto_7927 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7916 ?auto_7927 ?auto_7924 ?auto_7926 )
      ( DELIVER-PKG ?auto_7913 ?auto_7914 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7971
      ?auto_7972
    )
    :vars
    (
      ?auto_7979
      ?auto_7978
      ?auto_7976
      ?auto_7973
      ?auto_7980
      ?auto_7977
      ?auto_7982
      ?auto_7981
      ?auto_7984
      ?auto_7983
      ?auto_7987
      ?auto_7986
    )
    :precondition
    ( and ( OBJ ?auto_7971 ) ( LOCATION ?auto_7972 ) ( AIRPLANE ?auto_7979 ) ( AIRPORT ?auto_7978 ) ( AIRPORT ?auto_7972 ) ( AT ?auto_7979 ?auto_7978 ) ( DIFFERENT ?auto_7972 ?auto_7978 ) ( LOCATION ?auto_7976 ) ( AT ?auto_7979 ?auto_7976 ) ( TRUCK ?auto_7973 ) ( LOCATION ?auto_7980 ) ( CITY ?auto_7977 ) ( IN-CITY ?auto_7980 ?auto_7977 ) ( IN-CITY ?auto_7976 ?auto_7977 ) ( DIFFERENT ?auto_7976 ?auto_7980 ) ( AT ?auto_7971 ?auto_7980 ) ( LOCATION ?auto_7982 ) ( CITY ?auto_7981 ) ( IN-CITY ?auto_7982 ?auto_7981 ) ( IN-CITY ?auto_7980 ?auto_7981 ) ( DIFFERENT ?auto_7980 ?auto_7982 ) ( LOCATION ?auto_7984 ) ( CITY ?auto_7983 ) ( IN-CITY ?auto_7984 ?auto_7983 ) ( IN-CITY ?auto_7982 ?auto_7983 ) ( DIFFERENT ?auto_7982 ?auto_7984 ) ( LOCATION ?auto_7987 ) ( CITY ?auto_7986 ) ( AT ?auto_7973 ?auto_7987 ) ( IN-CITY ?auto_7987 ?auto_7986 ) ( IN-CITY ?auto_7984 ?auto_7986 ) ( DIFFERENT ?auto_7984 ?auto_7987 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7973 ?auto_7987 ?auto_7984 ?auto_7986 )
      ( DELIVER-PKG ?auto_7971 ?auto_7972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8005
      ?auto_8006
    )
    :vars
    (
      ?auto_8013
      ?auto_8012
      ?auto_8010
      ?auto_8009
      ?auto_8014
      ?auto_8011
      ?auto_8016
      ?auto_8015
      ?auto_8018
      ?auto_8017
      ?auto_8020
      ?auto_8019
      ?auto_8023
      ?auto_8022
    )
    :precondition
    ( and ( OBJ ?auto_8005 ) ( LOCATION ?auto_8006 ) ( AIRPLANE ?auto_8013 ) ( AIRPORT ?auto_8012 ) ( AIRPORT ?auto_8006 ) ( AT ?auto_8013 ?auto_8012 ) ( DIFFERENT ?auto_8006 ?auto_8012 ) ( LOCATION ?auto_8010 ) ( AT ?auto_8013 ?auto_8010 ) ( TRUCK ?auto_8009 ) ( LOCATION ?auto_8014 ) ( CITY ?auto_8011 ) ( IN-CITY ?auto_8014 ?auto_8011 ) ( IN-CITY ?auto_8010 ?auto_8011 ) ( DIFFERENT ?auto_8010 ?auto_8014 ) ( AT ?auto_8005 ?auto_8014 ) ( LOCATION ?auto_8016 ) ( CITY ?auto_8015 ) ( IN-CITY ?auto_8016 ?auto_8015 ) ( IN-CITY ?auto_8014 ?auto_8015 ) ( DIFFERENT ?auto_8014 ?auto_8016 ) ( LOCATION ?auto_8018 ) ( CITY ?auto_8017 ) ( IN-CITY ?auto_8018 ?auto_8017 ) ( IN-CITY ?auto_8016 ?auto_8017 ) ( DIFFERENT ?auto_8016 ?auto_8018 ) ( LOCATION ?auto_8020 ) ( CITY ?auto_8019 ) ( IN-CITY ?auto_8020 ?auto_8019 ) ( IN-CITY ?auto_8018 ?auto_8019 ) ( DIFFERENT ?auto_8018 ?auto_8020 ) ( LOCATION ?auto_8023 ) ( CITY ?auto_8022 ) ( AT ?auto_8009 ?auto_8023 ) ( IN-CITY ?auto_8023 ?auto_8022 ) ( IN-CITY ?auto_8020 ?auto_8022 ) ( DIFFERENT ?auto_8020 ?auto_8023 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8009 ?auto_8023 ?auto_8020 ?auto_8022 )
      ( DELIVER-PKG ?auto_8005 ?auto_8006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8097
      ?auto_8098
    )
    :vars
    (
      ?auto_8105
      ?auto_8102
      ?auto_8101
      ?auto_8106
      ?auto_8103
      ?auto_8108
      ?auto_8107
      ?auto_8110
      ?auto_8109
      ?auto_8100
      ?auto_8099
      ?auto_8114
      ?auto_8113
      ?auto_8116
    )
    :precondition
    ( and ( OBJ ?auto_8097 ) ( LOCATION ?auto_8098 ) ( AIRPLANE ?auto_8105 ) ( AIRPORT ?auto_8102 ) ( AIRPORT ?auto_8098 ) ( DIFFERENT ?auto_8098 ?auto_8102 ) ( LOCATION ?auto_8102 ) ( TRUCK ?auto_8101 ) ( LOCATION ?auto_8106 ) ( CITY ?auto_8103 ) ( IN-CITY ?auto_8106 ?auto_8103 ) ( IN-CITY ?auto_8102 ?auto_8103 ) ( DIFFERENT ?auto_8102 ?auto_8106 ) ( AT ?auto_8097 ?auto_8106 ) ( LOCATION ?auto_8108 ) ( CITY ?auto_8107 ) ( IN-CITY ?auto_8108 ?auto_8107 ) ( IN-CITY ?auto_8106 ?auto_8107 ) ( DIFFERENT ?auto_8106 ?auto_8108 ) ( LOCATION ?auto_8110 ) ( CITY ?auto_8109 ) ( IN-CITY ?auto_8110 ?auto_8109 ) ( IN-CITY ?auto_8108 ?auto_8109 ) ( DIFFERENT ?auto_8108 ?auto_8110 ) ( LOCATION ?auto_8100 ) ( CITY ?auto_8099 ) ( IN-CITY ?auto_8100 ?auto_8099 ) ( IN-CITY ?auto_8110 ?auto_8099 ) ( DIFFERENT ?auto_8110 ?auto_8100 ) ( LOCATION ?auto_8114 ) ( CITY ?auto_8113 ) ( AT ?auto_8101 ?auto_8114 ) ( IN-CITY ?auto_8114 ?auto_8113 ) ( IN-CITY ?auto_8100 ?auto_8113 ) ( DIFFERENT ?auto_8100 ?auto_8114 ) ( AIRPORT ?auto_8116 ) ( AT ?auto_8105 ?auto_8116 ) ( DIFFERENT ?auto_8102 ?auto_8116 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8105 ?auto_8116 ?auto_8102 )
      ( DELIVER-PKG ?auto_8097 ?auto_8098 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8487
      ?auto_8488
    )
    :vars
    (
      ?auto_8490
      ?auto_8494
      ?auto_8499
      ?auto_8495
      ?auto_8493
      ?auto_8497
      ?auto_8491
      ?auto_8489
      ?auto_8500
      ?auto_8498
      ?auto_8502
    )
    :precondition
    ( and ( OBJ ?auto_8487 ) ( LOCATION ?auto_8488 ) ( TRUCK ?auto_8490 ) ( LOCATION ?auto_8494 ) ( CITY ?auto_8499 ) ( AT ?auto_8490 ?auto_8494 ) ( IN-CITY ?auto_8494 ?auto_8499 ) ( IN-CITY ?auto_8488 ?auto_8499 ) ( DIFFERENT ?auto_8488 ?auto_8494 ) ( LOCATION ?auto_8495 ) ( AT ?auto_8490 ?auto_8495 ) ( AIRPLANE ?auto_8493 ) ( AIRPORT ?auto_8497 ) ( AIRPORT ?auto_8495 ) ( AT ?auto_8493 ?auto_8497 ) ( DIFFERENT ?auto_8495 ?auto_8497 ) ( LOCATION ?auto_8491 ) ( AT ?auto_8493 ?auto_8491 ) ( TRUCK ?auto_8489 ) ( LOCATION ?auto_8500 ) ( CITY ?auto_8498 ) ( AT ?auto_8489 ?auto_8500 ) ( IN-CITY ?auto_8500 ?auto_8498 ) ( IN-CITY ?auto_8491 ?auto_8498 ) ( DIFFERENT ?auto_8491 ?auto_8500 ) ( LOCATION ?auto_8502 ) ( AT ?auto_8489 ?auto_8502 ) ( AT ?auto_8487 ?auto_8502 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8487 ?auto_8489 ?auto_8502 )
      ( DELIVER-PKG ?auto_8487 ?auto_8488 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8534
      ?auto_8535
    )
    :vars
    (
      ?auto_8538
      ?auto_8542
      ?auto_8546
      ?auto_8543
      ?auto_8541
      ?auto_8544
      ?auto_8540
      ?auto_8536
      ?auto_8548
      ?auto_8545
      ?auto_8551
      ?auto_8550
    )
    :precondition
    ( and ( OBJ ?auto_8534 ) ( LOCATION ?auto_8535 ) ( TRUCK ?auto_8538 ) ( LOCATION ?auto_8542 ) ( CITY ?auto_8546 ) ( AT ?auto_8538 ?auto_8542 ) ( IN-CITY ?auto_8542 ?auto_8546 ) ( IN-CITY ?auto_8535 ?auto_8546 ) ( DIFFERENT ?auto_8535 ?auto_8542 ) ( LOCATION ?auto_8543 ) ( AT ?auto_8538 ?auto_8543 ) ( AIRPLANE ?auto_8541 ) ( AIRPORT ?auto_8544 ) ( AIRPORT ?auto_8543 ) ( AT ?auto_8541 ?auto_8544 ) ( DIFFERENT ?auto_8543 ?auto_8544 ) ( LOCATION ?auto_8540 ) ( AT ?auto_8541 ?auto_8540 ) ( TRUCK ?auto_8536 ) ( LOCATION ?auto_8548 ) ( CITY ?auto_8545 ) ( IN-CITY ?auto_8548 ?auto_8545 ) ( IN-CITY ?auto_8540 ?auto_8545 ) ( DIFFERENT ?auto_8540 ?auto_8548 ) ( AT ?auto_8534 ?auto_8548 ) ( LOCATION ?auto_8551 ) ( CITY ?auto_8550 ) ( AT ?auto_8536 ?auto_8551 ) ( IN-CITY ?auto_8551 ?auto_8550 ) ( IN-CITY ?auto_8548 ?auto_8550 ) ( DIFFERENT ?auto_8548 ?auto_8551 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8536 ?auto_8551 ?auto_8548 ?auto_8550 )
      ( DELIVER-PKG ?auto_8534 ?auto_8535 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8585
      ?auto_8586
    )
    :vars
    (
      ?auto_8594
      ?auto_8590
      ?auto_8595
      ?auto_8591
      ?auto_8598
      ?auto_8592
      ?auto_8597
      ?auto_8588
      ?auto_8596
      ?auto_8593
      ?auto_8600
      ?auto_8599
      ?auto_8603
      ?auto_8602
    )
    :precondition
    ( and ( OBJ ?auto_8585 ) ( LOCATION ?auto_8586 ) ( TRUCK ?auto_8594 ) ( LOCATION ?auto_8590 ) ( CITY ?auto_8595 ) ( AT ?auto_8594 ?auto_8590 ) ( IN-CITY ?auto_8590 ?auto_8595 ) ( IN-CITY ?auto_8586 ?auto_8595 ) ( DIFFERENT ?auto_8586 ?auto_8590 ) ( LOCATION ?auto_8591 ) ( AT ?auto_8594 ?auto_8591 ) ( AIRPLANE ?auto_8598 ) ( AIRPORT ?auto_8592 ) ( AIRPORT ?auto_8591 ) ( AT ?auto_8598 ?auto_8592 ) ( DIFFERENT ?auto_8591 ?auto_8592 ) ( LOCATION ?auto_8597 ) ( AT ?auto_8598 ?auto_8597 ) ( TRUCK ?auto_8588 ) ( LOCATION ?auto_8596 ) ( CITY ?auto_8593 ) ( IN-CITY ?auto_8596 ?auto_8593 ) ( IN-CITY ?auto_8597 ?auto_8593 ) ( DIFFERENT ?auto_8597 ?auto_8596 ) ( AT ?auto_8585 ?auto_8596 ) ( LOCATION ?auto_8600 ) ( CITY ?auto_8599 ) ( IN-CITY ?auto_8600 ?auto_8599 ) ( IN-CITY ?auto_8596 ?auto_8599 ) ( DIFFERENT ?auto_8596 ?auto_8600 ) ( LOCATION ?auto_8603 ) ( CITY ?auto_8602 ) ( AT ?auto_8588 ?auto_8603 ) ( IN-CITY ?auto_8603 ?auto_8602 ) ( IN-CITY ?auto_8600 ?auto_8602 ) ( DIFFERENT ?auto_8600 ?auto_8603 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8588 ?auto_8603 ?auto_8600 ?auto_8602 )
      ( DELIVER-PKG ?auto_8585 ?auto_8586 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8659
      ?auto_8660
    )
    :vars
    (
      ?auto_8666
      ?auto_8673
      ?auto_8667
      ?auto_8663
      ?auto_8670
      ?auto_8664
      ?auto_8669
      ?auto_8662
      ?auto_8668
      ?auto_8665
      ?auto_8672
      ?auto_8671
      ?auto_8676
      ?auto_8675
      ?auto_8679
      ?auto_8678
    )
    :precondition
    ( and ( OBJ ?auto_8659 ) ( LOCATION ?auto_8660 ) ( TRUCK ?auto_8666 ) ( LOCATION ?auto_8673 ) ( CITY ?auto_8667 ) ( AT ?auto_8666 ?auto_8673 ) ( IN-CITY ?auto_8673 ?auto_8667 ) ( IN-CITY ?auto_8660 ?auto_8667 ) ( DIFFERENT ?auto_8660 ?auto_8673 ) ( LOCATION ?auto_8663 ) ( AT ?auto_8666 ?auto_8663 ) ( AIRPLANE ?auto_8670 ) ( AIRPORT ?auto_8664 ) ( AIRPORT ?auto_8663 ) ( AT ?auto_8670 ?auto_8664 ) ( DIFFERENT ?auto_8663 ?auto_8664 ) ( LOCATION ?auto_8669 ) ( AT ?auto_8670 ?auto_8669 ) ( TRUCK ?auto_8662 ) ( LOCATION ?auto_8668 ) ( CITY ?auto_8665 ) ( IN-CITY ?auto_8668 ?auto_8665 ) ( IN-CITY ?auto_8669 ?auto_8665 ) ( DIFFERENT ?auto_8669 ?auto_8668 ) ( AT ?auto_8659 ?auto_8668 ) ( LOCATION ?auto_8672 ) ( CITY ?auto_8671 ) ( IN-CITY ?auto_8672 ?auto_8671 ) ( IN-CITY ?auto_8668 ?auto_8671 ) ( DIFFERENT ?auto_8668 ?auto_8672 ) ( LOCATION ?auto_8676 ) ( CITY ?auto_8675 ) ( IN-CITY ?auto_8676 ?auto_8675 ) ( IN-CITY ?auto_8672 ?auto_8675 ) ( DIFFERENT ?auto_8672 ?auto_8676 ) ( LOCATION ?auto_8679 ) ( CITY ?auto_8678 ) ( AT ?auto_8662 ?auto_8679 ) ( IN-CITY ?auto_8679 ?auto_8678 ) ( IN-CITY ?auto_8676 ?auto_8678 ) ( DIFFERENT ?auto_8676 ?auto_8679 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8662 ?auto_8679 ?auto_8676 ?auto_8678 )
      ( DELIVER-PKG ?auto_8659 ?auto_8660 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8701
      ?auto_8702
    )
    :vars
    (
      ?auto_8710
      ?auto_8717
      ?auto_8711
      ?auto_8706
      ?auto_8714
      ?auto_8707
      ?auto_8713
      ?auto_8704
      ?auto_8712
      ?auto_8709
      ?auto_8716
      ?auto_8715
      ?auto_8719
      ?auto_8718
      ?auto_8720
      ?auto_8703
      ?auto_8723
      ?auto_8722
    )
    :precondition
    ( and ( OBJ ?auto_8701 ) ( LOCATION ?auto_8702 ) ( TRUCK ?auto_8710 ) ( LOCATION ?auto_8717 ) ( CITY ?auto_8711 ) ( AT ?auto_8710 ?auto_8717 ) ( IN-CITY ?auto_8717 ?auto_8711 ) ( IN-CITY ?auto_8702 ?auto_8711 ) ( DIFFERENT ?auto_8702 ?auto_8717 ) ( LOCATION ?auto_8706 ) ( AT ?auto_8710 ?auto_8706 ) ( AIRPLANE ?auto_8714 ) ( AIRPORT ?auto_8707 ) ( AIRPORT ?auto_8706 ) ( AT ?auto_8714 ?auto_8707 ) ( DIFFERENT ?auto_8706 ?auto_8707 ) ( LOCATION ?auto_8713 ) ( AT ?auto_8714 ?auto_8713 ) ( TRUCK ?auto_8704 ) ( LOCATION ?auto_8712 ) ( CITY ?auto_8709 ) ( IN-CITY ?auto_8712 ?auto_8709 ) ( IN-CITY ?auto_8713 ?auto_8709 ) ( DIFFERENT ?auto_8713 ?auto_8712 ) ( AT ?auto_8701 ?auto_8712 ) ( LOCATION ?auto_8716 ) ( CITY ?auto_8715 ) ( IN-CITY ?auto_8716 ?auto_8715 ) ( IN-CITY ?auto_8712 ?auto_8715 ) ( DIFFERENT ?auto_8712 ?auto_8716 ) ( LOCATION ?auto_8719 ) ( CITY ?auto_8718 ) ( IN-CITY ?auto_8719 ?auto_8718 ) ( IN-CITY ?auto_8716 ?auto_8718 ) ( DIFFERENT ?auto_8716 ?auto_8719 ) ( LOCATION ?auto_8720 ) ( CITY ?auto_8703 ) ( IN-CITY ?auto_8720 ?auto_8703 ) ( IN-CITY ?auto_8719 ?auto_8703 ) ( DIFFERENT ?auto_8719 ?auto_8720 ) ( LOCATION ?auto_8723 ) ( CITY ?auto_8722 ) ( AT ?auto_8704 ?auto_8723 ) ( IN-CITY ?auto_8723 ?auto_8722 ) ( IN-CITY ?auto_8720 ?auto_8722 ) ( DIFFERENT ?auto_8720 ?auto_8723 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8704 ?auto_8723 ?auto_8720 ?auto_8722 )
      ( DELIVER-PKG ?auto_8701 ?auto_8702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8769
      ?auto_8770
    )
    :vars
    (
      ?auto_8775
      ?auto_8787
      ?auto_8778
      ?auto_8781
      ?auto_8772
      ?auto_8780
      ?auto_8773
      ?auto_8779
      ?auto_8774
      ?auto_8783
      ?auto_8782
      ?auto_8786
      ?auto_8785
      ?auto_8776
      ?auto_8789
      ?auto_8790
      ?auto_8777
      ?auto_8793
      ?auto_8792
    )
    :precondition
    ( and ( OBJ ?auto_8769 ) ( LOCATION ?auto_8770 ) ( TRUCK ?auto_8775 ) ( LOCATION ?auto_8787 ) ( CITY ?auto_8778 ) ( IN-CITY ?auto_8787 ?auto_8778 ) ( IN-CITY ?auto_8770 ?auto_8778 ) ( DIFFERENT ?auto_8770 ?auto_8787 ) ( AIRPLANE ?auto_8781 ) ( AIRPORT ?auto_8772 ) ( AIRPORT ?auto_8787 ) ( AT ?auto_8781 ?auto_8772 ) ( DIFFERENT ?auto_8787 ?auto_8772 ) ( LOCATION ?auto_8780 ) ( AT ?auto_8781 ?auto_8780 ) ( TRUCK ?auto_8773 ) ( LOCATION ?auto_8779 ) ( CITY ?auto_8774 ) ( IN-CITY ?auto_8779 ?auto_8774 ) ( IN-CITY ?auto_8780 ?auto_8774 ) ( DIFFERENT ?auto_8780 ?auto_8779 ) ( AT ?auto_8769 ?auto_8779 ) ( LOCATION ?auto_8783 ) ( CITY ?auto_8782 ) ( IN-CITY ?auto_8783 ?auto_8782 ) ( IN-CITY ?auto_8779 ?auto_8782 ) ( DIFFERENT ?auto_8779 ?auto_8783 ) ( LOCATION ?auto_8786 ) ( CITY ?auto_8785 ) ( IN-CITY ?auto_8786 ?auto_8785 ) ( IN-CITY ?auto_8783 ?auto_8785 ) ( DIFFERENT ?auto_8783 ?auto_8786 ) ( LOCATION ?auto_8776 ) ( CITY ?auto_8789 ) ( IN-CITY ?auto_8776 ?auto_8789 ) ( IN-CITY ?auto_8786 ?auto_8789 ) ( DIFFERENT ?auto_8786 ?auto_8776 ) ( LOCATION ?auto_8790 ) ( CITY ?auto_8777 ) ( AT ?auto_8773 ?auto_8790 ) ( IN-CITY ?auto_8790 ?auto_8777 ) ( IN-CITY ?auto_8776 ?auto_8777 ) ( DIFFERENT ?auto_8776 ?auto_8790 ) ( LOCATION ?auto_8793 ) ( CITY ?auto_8792 ) ( AT ?auto_8775 ?auto_8793 ) ( IN-CITY ?auto_8793 ?auto_8792 ) ( IN-CITY ?auto_8787 ?auto_8792 ) ( DIFFERENT ?auto_8787 ?auto_8793 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8775 ?auto_8793 ?auto_8787 ?auto_8792 )
      ( DELIVER-PKG ?auto_8769 ?auto_8770 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8818
      ?auto_8819
    )
    :vars
    (
      ?auto_8831
      ?auto_8838
      ?auto_8836
      ?auto_8833
      ?auto_8832
      ?auto_8828
      ?auto_8837
      ?auto_8829
      ?auto_8823
      ?auto_8834
      ?auto_8825
      ?auto_8824
      ?auto_8822
      ?auto_8839
      ?auto_8840
      ?auto_8835
      ?auto_8830
      ?auto_8827
      ?auto_8842
    )
    :precondition
    ( and ( OBJ ?auto_8818 ) ( LOCATION ?auto_8819 ) ( TRUCK ?auto_8831 ) ( LOCATION ?auto_8838 ) ( CITY ?auto_8836 ) ( IN-CITY ?auto_8838 ?auto_8836 ) ( IN-CITY ?auto_8819 ?auto_8836 ) ( DIFFERENT ?auto_8819 ?auto_8838 ) ( AIRPLANE ?auto_8833 ) ( AIRPORT ?auto_8832 ) ( AIRPORT ?auto_8838 ) ( DIFFERENT ?auto_8838 ?auto_8832 ) ( LOCATION ?auto_8832 ) ( TRUCK ?auto_8828 ) ( LOCATION ?auto_8837 ) ( CITY ?auto_8829 ) ( IN-CITY ?auto_8837 ?auto_8829 ) ( IN-CITY ?auto_8832 ?auto_8829 ) ( DIFFERENT ?auto_8832 ?auto_8837 ) ( AT ?auto_8818 ?auto_8837 ) ( LOCATION ?auto_8823 ) ( CITY ?auto_8834 ) ( IN-CITY ?auto_8823 ?auto_8834 ) ( IN-CITY ?auto_8837 ?auto_8834 ) ( DIFFERENT ?auto_8837 ?auto_8823 ) ( LOCATION ?auto_8825 ) ( CITY ?auto_8824 ) ( IN-CITY ?auto_8825 ?auto_8824 ) ( IN-CITY ?auto_8823 ?auto_8824 ) ( DIFFERENT ?auto_8823 ?auto_8825 ) ( LOCATION ?auto_8822 ) ( CITY ?auto_8839 ) ( IN-CITY ?auto_8822 ?auto_8839 ) ( IN-CITY ?auto_8825 ?auto_8839 ) ( DIFFERENT ?auto_8825 ?auto_8822 ) ( LOCATION ?auto_8840 ) ( CITY ?auto_8835 ) ( AT ?auto_8828 ?auto_8840 ) ( IN-CITY ?auto_8840 ?auto_8835 ) ( IN-CITY ?auto_8822 ?auto_8835 ) ( DIFFERENT ?auto_8822 ?auto_8840 ) ( LOCATION ?auto_8830 ) ( CITY ?auto_8827 ) ( AT ?auto_8831 ?auto_8830 ) ( IN-CITY ?auto_8830 ?auto_8827 ) ( IN-CITY ?auto_8838 ?auto_8827 ) ( DIFFERENT ?auto_8838 ?auto_8830 ) ( AIRPORT ?auto_8842 ) ( AT ?auto_8833 ?auto_8842 ) ( DIFFERENT ?auto_8832 ?auto_8842 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8833 ?auto_8842 ?auto_8832 )
      ( DELIVER-PKG ?auto_8818 ?auto_8819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9841
      ?auto_9842
    )
    :vars
    (
      ?auto_9845
      ?auto_9848
      ?auto_9851
      ?auto_9844
      ?auto_9843
      ?auto_9850
      ?auto_9849
      ?auto_9854
    )
    :precondition
    ( and ( OBJ ?auto_9841 ) ( LOCATION ?auto_9842 ) ( TRUCK ?auto_9845 ) ( LOCATION ?auto_9848 ) ( CITY ?auto_9851 ) ( IN-CITY ?auto_9848 ?auto_9851 ) ( IN-CITY ?auto_9842 ?auto_9851 ) ( DIFFERENT ?auto_9842 ?auto_9848 ) ( LOCATION ?auto_9844 ) ( CITY ?auto_9843 ) ( IN-CITY ?auto_9844 ?auto_9843 ) ( IN-CITY ?auto_9848 ?auto_9843 ) ( DIFFERENT ?auto_9848 ?auto_9844 ) ( LOCATION ?auto_9850 ) ( CITY ?auto_9849 ) ( AT ?auto_9845 ?auto_9850 ) ( IN-CITY ?auto_9850 ?auto_9849 ) ( IN-CITY ?auto_9844 ?auto_9849 ) ( DIFFERENT ?auto_9844 ?auto_9850 ) ( AIRPLANE ?auto_9854 ) ( IN ?auto_9841 ?auto_9854 ) ( AT ?auto_9854 ?auto_9848 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9841 ?auto_9848 )
      ( DELIVER-PKG ?auto_9841 ?auto_9842 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9879
      ?auto_9880
    )
    :vars
    (
      ?auto_9885
      ?auto_9886
      ?auto_9889
      ?auto_9884
      ?auto_9883
      ?auto_9888
      ?auto_9887
      ?auto_9890
      ?auto_9892
    )
    :precondition
    ( and ( OBJ ?auto_9879 ) ( LOCATION ?auto_9880 ) ( TRUCK ?auto_9885 ) ( LOCATION ?auto_9886 ) ( CITY ?auto_9889 ) ( IN-CITY ?auto_9886 ?auto_9889 ) ( IN-CITY ?auto_9880 ?auto_9889 ) ( DIFFERENT ?auto_9880 ?auto_9886 ) ( LOCATION ?auto_9884 ) ( CITY ?auto_9883 ) ( IN-CITY ?auto_9884 ?auto_9883 ) ( IN-CITY ?auto_9886 ?auto_9883 ) ( DIFFERENT ?auto_9886 ?auto_9884 ) ( LOCATION ?auto_9888 ) ( CITY ?auto_9887 ) ( AT ?auto_9885 ?auto_9888 ) ( IN-CITY ?auto_9888 ?auto_9887 ) ( IN-CITY ?auto_9884 ?auto_9887 ) ( DIFFERENT ?auto_9884 ?auto_9888 ) ( AIRPLANE ?auto_9890 ) ( IN ?auto_9879 ?auto_9890 ) ( AIRPORT ?auto_9892 ) ( AIRPORT ?auto_9886 ) ( AT ?auto_9890 ?auto_9892 ) ( DIFFERENT ?auto_9886 ?auto_9892 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9890 ?auto_9892 ?auto_9886 )
      ( DELIVER-PKG ?auto_9879 ?auto_9880 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9920
      ?auto_9921
    )
    :vars
    (
      ?auto_9928
      ?auto_9929
      ?auto_9922
      ?auto_9927
      ?auto_9926
      ?auto_9931
      ?auto_9930
      ?auto_9923
      ?auto_9932
      ?auto_9934
    )
    :precondition
    ( and ( OBJ ?auto_9920 ) ( LOCATION ?auto_9921 ) ( TRUCK ?auto_9928 ) ( LOCATION ?auto_9929 ) ( CITY ?auto_9922 ) ( IN-CITY ?auto_9929 ?auto_9922 ) ( IN-CITY ?auto_9921 ?auto_9922 ) ( DIFFERENT ?auto_9921 ?auto_9929 ) ( LOCATION ?auto_9927 ) ( CITY ?auto_9926 ) ( IN-CITY ?auto_9927 ?auto_9926 ) ( IN-CITY ?auto_9929 ?auto_9926 ) ( DIFFERENT ?auto_9929 ?auto_9927 ) ( LOCATION ?auto_9931 ) ( CITY ?auto_9930 ) ( AT ?auto_9928 ?auto_9931 ) ( IN-CITY ?auto_9931 ?auto_9930 ) ( IN-CITY ?auto_9927 ?auto_9930 ) ( DIFFERENT ?auto_9927 ?auto_9931 ) ( AIRPLANE ?auto_9923 ) ( AIRPORT ?auto_9932 ) ( AIRPORT ?auto_9929 ) ( AT ?auto_9923 ?auto_9932 ) ( DIFFERENT ?auto_9929 ?auto_9932 ) ( LOCATION ?auto_9934 ) ( AT ?auto_9920 ?auto_9934 ) ( AT ?auto_9923 ?auto_9934 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9920 ?auto_9923 ?auto_9934 )
      ( DELIVER-PKG ?auto_9920 ?auto_9921 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9964
      ?auto_9965
    )
    :vars
    (
      ?auto_9968
      ?auto_9969
      ?auto_9973
      ?auto_9967
      ?auto_9975
      ?auto_9971
      ?auto_9970
      ?auto_9974
      ?auto_9972
      ?auto_9977
      ?auto_9980
    )
    :precondition
    ( and ( OBJ ?auto_9964 ) ( LOCATION ?auto_9965 ) ( TRUCK ?auto_9968 ) ( LOCATION ?auto_9969 ) ( CITY ?auto_9973 ) ( IN-CITY ?auto_9969 ?auto_9973 ) ( IN-CITY ?auto_9965 ?auto_9973 ) ( DIFFERENT ?auto_9965 ?auto_9969 ) ( LOCATION ?auto_9967 ) ( CITY ?auto_9975 ) ( IN-CITY ?auto_9967 ?auto_9975 ) ( IN-CITY ?auto_9969 ?auto_9975 ) ( DIFFERENT ?auto_9969 ?auto_9967 ) ( LOCATION ?auto_9971 ) ( CITY ?auto_9970 ) ( AT ?auto_9968 ?auto_9971 ) ( IN-CITY ?auto_9971 ?auto_9970 ) ( IN-CITY ?auto_9967 ?auto_9970 ) ( DIFFERENT ?auto_9967 ?auto_9971 ) ( AIRPLANE ?auto_9974 ) ( AIRPORT ?auto_9972 ) ( AIRPORT ?auto_9969 ) ( AT ?auto_9974 ?auto_9972 ) ( DIFFERENT ?auto_9969 ?auto_9972 ) ( LOCATION ?auto_9977 ) ( AT ?auto_9974 ?auto_9977 ) ( TRUCK ?auto_9980 ) ( AT ?auto_9980 ?auto_9977 ) ( IN ?auto_9964 ?auto_9980 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9964 ?auto_9977 )
      ( DELIVER-PKG ?auto_9964 ?auto_9965 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9996
      ?auto_9997
    )
    :vars
    (
      ?auto_9998
      ?auto_10006
      ?auto_10000
      ?auto_10004
      ?auto_10002
      ?auto_10008
      ?auto_10007
      ?auto_10001
      ?auto_10009
      ?auto_10003
      ?auto_10010
      ?auto_10013
      ?auto_10012
    )
    :precondition
    ( and ( OBJ ?auto_9996 ) ( LOCATION ?auto_9997 ) ( TRUCK ?auto_9998 ) ( LOCATION ?auto_10006 ) ( CITY ?auto_10000 ) ( IN-CITY ?auto_10006 ?auto_10000 ) ( IN-CITY ?auto_9997 ?auto_10000 ) ( DIFFERENT ?auto_9997 ?auto_10006 ) ( LOCATION ?auto_10004 ) ( CITY ?auto_10002 ) ( IN-CITY ?auto_10004 ?auto_10002 ) ( IN-CITY ?auto_10006 ?auto_10002 ) ( DIFFERENT ?auto_10006 ?auto_10004 ) ( LOCATION ?auto_10008 ) ( CITY ?auto_10007 ) ( AT ?auto_9998 ?auto_10008 ) ( IN-CITY ?auto_10008 ?auto_10007 ) ( IN-CITY ?auto_10004 ?auto_10007 ) ( DIFFERENT ?auto_10004 ?auto_10008 ) ( AIRPLANE ?auto_10001 ) ( AIRPORT ?auto_10009 ) ( AIRPORT ?auto_10006 ) ( AT ?auto_10001 ?auto_10009 ) ( DIFFERENT ?auto_10006 ?auto_10009 ) ( LOCATION ?auto_10003 ) ( AT ?auto_10001 ?auto_10003 ) ( TRUCK ?auto_10010 ) ( IN ?auto_9996 ?auto_10010 ) ( LOCATION ?auto_10013 ) ( CITY ?auto_10012 ) ( AT ?auto_10010 ?auto_10013 ) ( IN-CITY ?auto_10013 ?auto_10012 ) ( IN-CITY ?auto_10003 ?auto_10012 ) ( DIFFERENT ?auto_10003 ?auto_10013 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10010 ?auto_10013 ?auto_10003 ?auto_10012 )
      ( DELIVER-PKG ?auto_9996 ?auto_9997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10032
      ?auto_10033
    )
    :vars
    (
      ?auto_10034
      ?auto_10040
      ?auto_10035
      ?auto_10039
      ?auto_10037
      ?auto_10042
      ?auto_10041
      ?auto_10036
      ?auto_10043
      ?auto_10038
      ?auto_10044
      ?auto_10048
      ?auto_10047
      ?auto_10051
      ?auto_10050
    )
    :precondition
    ( and ( OBJ ?auto_10032 ) ( LOCATION ?auto_10033 ) ( TRUCK ?auto_10034 ) ( LOCATION ?auto_10040 ) ( CITY ?auto_10035 ) ( IN-CITY ?auto_10040 ?auto_10035 ) ( IN-CITY ?auto_10033 ?auto_10035 ) ( DIFFERENT ?auto_10033 ?auto_10040 ) ( LOCATION ?auto_10039 ) ( CITY ?auto_10037 ) ( IN-CITY ?auto_10039 ?auto_10037 ) ( IN-CITY ?auto_10040 ?auto_10037 ) ( DIFFERENT ?auto_10040 ?auto_10039 ) ( LOCATION ?auto_10042 ) ( CITY ?auto_10041 ) ( AT ?auto_10034 ?auto_10042 ) ( IN-CITY ?auto_10042 ?auto_10041 ) ( IN-CITY ?auto_10039 ?auto_10041 ) ( DIFFERENT ?auto_10039 ?auto_10042 ) ( AIRPLANE ?auto_10036 ) ( AIRPORT ?auto_10043 ) ( AIRPORT ?auto_10040 ) ( AT ?auto_10036 ?auto_10043 ) ( DIFFERENT ?auto_10040 ?auto_10043 ) ( LOCATION ?auto_10038 ) ( AT ?auto_10036 ?auto_10038 ) ( TRUCK ?auto_10044 ) ( IN ?auto_10032 ?auto_10044 ) ( LOCATION ?auto_10048 ) ( CITY ?auto_10047 ) ( IN-CITY ?auto_10048 ?auto_10047 ) ( IN-CITY ?auto_10038 ?auto_10047 ) ( DIFFERENT ?auto_10038 ?auto_10048 ) ( LOCATION ?auto_10051 ) ( CITY ?auto_10050 ) ( AT ?auto_10044 ?auto_10051 ) ( IN-CITY ?auto_10051 ?auto_10050 ) ( IN-CITY ?auto_10048 ?auto_10050 ) ( DIFFERENT ?auto_10048 ?auto_10051 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10044 ?auto_10051 ?auto_10048 ?auto_10050 )
      ( DELIVER-PKG ?auto_10032 ?auto_10033 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10091
      ?auto_10092
    )
    :vars
    (
      ?auto_10104
      ?auto_10095
      ?auto_10107
      ?auto_10100
      ?auto_10093
      ?auto_10097
      ?auto_10096
      ?auto_10094
      ?auto_10098
      ?auto_10099
      ?auto_10101
      ?auto_10103
      ?auto_10102
      ?auto_10109
      ?auto_10108
      ?auto_10112
      ?auto_10111
    )
    :precondition
    ( and ( OBJ ?auto_10091 ) ( LOCATION ?auto_10092 ) ( TRUCK ?auto_10104 ) ( LOCATION ?auto_10095 ) ( CITY ?auto_10107 ) ( IN-CITY ?auto_10095 ?auto_10107 ) ( IN-CITY ?auto_10092 ?auto_10107 ) ( DIFFERENT ?auto_10092 ?auto_10095 ) ( LOCATION ?auto_10100 ) ( CITY ?auto_10093 ) ( IN-CITY ?auto_10100 ?auto_10093 ) ( IN-CITY ?auto_10095 ?auto_10093 ) ( DIFFERENT ?auto_10095 ?auto_10100 ) ( LOCATION ?auto_10097 ) ( CITY ?auto_10096 ) ( IN-CITY ?auto_10097 ?auto_10096 ) ( IN-CITY ?auto_10100 ?auto_10096 ) ( DIFFERENT ?auto_10100 ?auto_10097 ) ( AIRPLANE ?auto_10094 ) ( AIRPORT ?auto_10098 ) ( AIRPORT ?auto_10095 ) ( AT ?auto_10094 ?auto_10098 ) ( DIFFERENT ?auto_10095 ?auto_10098 ) ( LOCATION ?auto_10099 ) ( AT ?auto_10094 ?auto_10099 ) ( TRUCK ?auto_10101 ) ( IN ?auto_10091 ?auto_10101 ) ( LOCATION ?auto_10103 ) ( CITY ?auto_10102 ) ( IN-CITY ?auto_10103 ?auto_10102 ) ( IN-CITY ?auto_10099 ?auto_10102 ) ( DIFFERENT ?auto_10099 ?auto_10103 ) ( LOCATION ?auto_10109 ) ( CITY ?auto_10108 ) ( AT ?auto_10101 ?auto_10109 ) ( IN-CITY ?auto_10109 ?auto_10108 ) ( IN-CITY ?auto_10103 ?auto_10108 ) ( DIFFERENT ?auto_10103 ?auto_10109 ) ( LOCATION ?auto_10112 ) ( CITY ?auto_10111 ) ( AT ?auto_10104 ?auto_10112 ) ( IN-CITY ?auto_10112 ?auto_10111 ) ( IN-CITY ?auto_10097 ?auto_10111 ) ( DIFFERENT ?auto_10097 ?auto_10112 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10104 ?auto_10112 ?auto_10097 ?auto_10111 )
      ( DELIVER-PKG ?auto_10091 ?auto_10092 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10114
      ?auto_10115
    )
    :vars
    (
      ?auto_10116
      ?auto_10120
      ?auto_10117
      ?auto_10126
      ?auto_10121
      ?auto_10123
      ?auto_10122
      ?auto_10118
      ?auto_10124
      ?auto_10125
      ?auto_10127
      ?auto_10129
      ?auto_10128
      ?auto_10133
      ?auto_10132
      ?auto_10134
      ?auto_10131
      ?auto_10136
    )
    :precondition
    ( and ( OBJ ?auto_10114 ) ( LOCATION ?auto_10115 ) ( TRUCK ?auto_10116 ) ( LOCATION ?auto_10120 ) ( CITY ?auto_10117 ) ( IN-CITY ?auto_10120 ?auto_10117 ) ( IN-CITY ?auto_10115 ?auto_10117 ) ( DIFFERENT ?auto_10115 ?auto_10120 ) ( LOCATION ?auto_10126 ) ( CITY ?auto_10121 ) ( IN-CITY ?auto_10126 ?auto_10121 ) ( IN-CITY ?auto_10120 ?auto_10121 ) ( DIFFERENT ?auto_10120 ?auto_10126 ) ( LOCATION ?auto_10123 ) ( CITY ?auto_10122 ) ( IN-CITY ?auto_10123 ?auto_10122 ) ( IN-CITY ?auto_10126 ?auto_10122 ) ( DIFFERENT ?auto_10126 ?auto_10123 ) ( AIRPLANE ?auto_10118 ) ( AIRPORT ?auto_10124 ) ( AIRPORT ?auto_10120 ) ( AT ?auto_10118 ?auto_10124 ) ( DIFFERENT ?auto_10120 ?auto_10124 ) ( LOCATION ?auto_10125 ) ( AT ?auto_10118 ?auto_10125 ) ( TRUCK ?auto_10127 ) ( LOCATION ?auto_10129 ) ( CITY ?auto_10128 ) ( IN-CITY ?auto_10129 ?auto_10128 ) ( IN-CITY ?auto_10125 ?auto_10128 ) ( DIFFERENT ?auto_10125 ?auto_10129 ) ( LOCATION ?auto_10133 ) ( CITY ?auto_10132 ) ( AT ?auto_10127 ?auto_10133 ) ( IN-CITY ?auto_10133 ?auto_10132 ) ( IN-CITY ?auto_10129 ?auto_10132 ) ( DIFFERENT ?auto_10129 ?auto_10133 ) ( LOCATION ?auto_10134 ) ( CITY ?auto_10131 ) ( AT ?auto_10116 ?auto_10134 ) ( IN-CITY ?auto_10134 ?auto_10131 ) ( IN-CITY ?auto_10123 ?auto_10131 ) ( DIFFERENT ?auto_10123 ?auto_10134 ) ( LOCATION ?auto_10136 ) ( AT ?auto_10127 ?auto_10136 ) ( AT ?auto_10114 ?auto_10136 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10114 ?auto_10127 ?auto_10136 )
      ( DELIVER-PKG ?auto_10114 ?auto_10115 ) )
  )

)

