( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_126
      ?auto_127
    )
    :vars
    (
      ?auto_130
    )
    :precondition
    ( and ( OBJ ?auto_126 ) ( LOCATION ?auto_127 ) ( TRUCK ?auto_130 ) ( AT ?auto_130 ?auto_127 ) ( IN ?auto_126 ?auto_130 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_126 ?auto_130 ?auto_127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_141
      ?auto_142
    )
    :vars
    (
      ?auto_145
      ?auto_148
      ?auto_147
    )
    :precondition
    ( and ( OBJ ?auto_141 ) ( LOCATION ?auto_142 ) ( TRUCK ?auto_145 ) ( IN ?auto_141 ?auto_145 ) ( LOCATION ?auto_148 ) ( CITY ?auto_147 ) ( AT ?auto_145 ?auto_148 ) ( IN-CITY ?auto_148 ?auto_147 ) ( IN-CITY ?auto_142 ?auto_147 ) ( DIFFERENT ?auto_142 ?auto_148 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_145 ?auto_148 ?auto_142 ?auto_147 )
      ( DELIVER-PKG ?auto_141 ?auto_142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_164
      ?auto_165
    )
    :vars
    (
      ?auto_168
      ?auto_170
      ?auto_169
      ?auto_172
    )
    :precondition
    ( and ( OBJ ?auto_164 ) ( LOCATION ?auto_165 ) ( TRUCK ?auto_168 ) ( LOCATION ?auto_170 ) ( CITY ?auto_169 ) ( AT ?auto_168 ?auto_170 ) ( IN-CITY ?auto_170 ?auto_169 ) ( IN-CITY ?auto_165 ?auto_169 ) ( DIFFERENT ?auto_165 ?auto_170 ) ( LOCATION ?auto_172 ) ( AT ?auto_168 ?auto_172 ) ( AT ?auto_164 ?auto_172 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_164 ?auto_168 ?auto_172 )
      ( DELIVER-PKG ?auto_164 ?auto_165 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_513
      ?auto_514
    )
    :vars
    (
      ?auto_518
      ?auto_520
      ?auto_515
      ?auto_523
      ?auto_522
    )
    :precondition
    ( and ( OBJ ?auto_513 ) ( LOCATION ?auto_514 ) ( TRUCK ?auto_518 ) ( LOCATION ?auto_520 ) ( CITY ?auto_515 ) ( IN-CITY ?auto_520 ?auto_515 ) ( IN-CITY ?auto_514 ?auto_515 ) ( DIFFERENT ?auto_514 ?auto_520 ) ( AT ?auto_513 ?auto_520 ) ( LOCATION ?auto_523 ) ( CITY ?auto_522 ) ( AT ?auto_518 ?auto_523 ) ( IN-CITY ?auto_523 ?auto_522 ) ( IN-CITY ?auto_520 ?auto_522 ) ( DIFFERENT ?auto_520 ?auto_523 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_518 ?auto_523 ?auto_520 ?auto_522 )
      ( DELIVER-PKG ?auto_513 ?auto_514 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_710
      ?auto_711
    )
    :vars
    (
      ?auto_714
    )
    :precondition
    ( and ( OBJ ?auto_710 ) ( LOCATION ?auto_711 ) ( AIRPLANE ?auto_714 ) ( IN ?auto_710 ?auto_714 ) ( AT ?auto_714 ?auto_711 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_710 ?auto_714 ?auto_711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_725
      ?auto_726
    )
    :vars
    (
      ?auto_729
      ?auto_731
    )
    :precondition
    ( and ( OBJ ?auto_725 ) ( LOCATION ?auto_726 ) ( AIRPLANE ?auto_729 ) ( IN ?auto_725 ?auto_729 ) ( AIRPORT ?auto_731 ) ( AIRPORT ?auto_726 ) ( AT ?auto_729 ?auto_731 ) ( DIFFERENT ?auto_726 ?auto_731 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_729 ?auto_731 ?auto_726 )
      ( DELIVER-PKG ?auto_725 ?auto_726 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4401
      ?auto_4402
    )
    :vars
    (
      ?auto_4405
      ?auto_4406
      ?auto_4407
      ?auto_4408
      ?auto_4410
    )
    :precondition
    ( and ( OBJ ?auto_4401 ) ( LOCATION ?auto_4402 ) ( AIRPLANE ?auto_4405 ) ( AIRPORT ?auto_4406 ) ( AIRPORT ?auto_4402 ) ( AT ?auto_4405 ?auto_4406 ) ( DIFFERENT ?auto_4402 ?auto_4406 ) ( LOCATION ?auto_4407 ) ( AT ?auto_4405 ?auto_4407 ) ( AIRPLANE ?auto_4408 ) ( AT ?auto_4408 ?auto_4407 ) ( LOCATION ?auto_4410 ) ( AT ?auto_4401 ?auto_4410 ) ( AT ?auto_4408 ?auto_4410 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4401 ?auto_4408 ?auto_4410 )
      ( DELIVER-PKG ?auto_4401 ?auto_4402 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_774
      ?auto_775
    )
    :vars
    (
      ?auto_778
      ?auto_780
      ?auto_782
    )
    :precondition
    ( and ( OBJ ?auto_774 ) ( LOCATION ?auto_775 ) ( AIRPLANE ?auto_778 ) ( AIRPORT ?auto_780 ) ( AIRPORT ?auto_775 ) ( DIFFERENT ?auto_775 ?auto_780 ) ( LOCATION ?auto_780 ) ( AT ?auto_774 ?auto_780 ) ( AIRPORT ?auto_782 ) ( AT ?auto_778 ?auto_782 ) ( DIFFERENT ?auto_780 ?auto_782 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_778 ?auto_782 ?auto_780 )
      ( DELIVER-PKG ?auto_774 ?auto_775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_798
      ?auto_799
    )
    :vars
    (
      ?auto_802
      ?auto_803
      ?auto_804
      ?auto_806
    )
    :precondition
    ( and ( OBJ ?auto_798 ) ( LOCATION ?auto_799 ) ( AIRPLANE ?auto_802 ) ( AIRPORT ?auto_803 ) ( AIRPORT ?auto_799 ) ( DIFFERENT ?auto_799 ?auto_803 ) ( LOCATION ?auto_803 ) ( AT ?auto_798 ?auto_803 ) ( AIRPORT ?auto_804 ) ( DIFFERENT ?auto_803 ?auto_804 ) ( AIRPORT ?auto_806 ) ( AT ?auto_802 ?auto_806 ) ( DIFFERENT ?auto_804 ?auto_806 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_802 ?auto_806 ?auto_804 )
      ( DELIVER-PKG ?auto_798 ?auto_799 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1076
      ?auto_1077
    )
    :vars
    (
      ?auto_1078
      ?auto_1082
    )
    :precondition
    ( and ( OBJ ?auto_1076 ) ( LOCATION ?auto_1077 ) ( AIRPLANE ?auto_1078 ) ( AT ?auto_1078 ?auto_1077 ) ( LOCATION ?auto_1082 ) ( AT ?auto_1076 ?auto_1082 ) ( AT ?auto_1078 ?auto_1082 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1076 ?auto_1078 ?auto_1082 )
      ( DELIVER-PKG ?auto_1076 ?auto_1077 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1090
      ?auto_1091
    )
    :vars
    (
      ?auto_1094
      ?auto_1093
      ?auto_1098
    )
    :precondition
    ( and ( OBJ ?auto_1090 ) ( LOCATION ?auto_1091 ) ( AIRPLANE ?auto_1094 ) ( AT ?auto_1094 ?auto_1091 ) ( LOCATION ?auto_1093 ) ( AT ?auto_1094 ?auto_1093 ) ( AIRPLANE ?auto_1098 ) ( IN ?auto_1090 ?auto_1098 ) ( AT ?auto_1098 ?auto_1093 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1090 ?auto_1093 )
      ( DELIVER-PKG ?auto_1090 ?auto_1091 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1113
      ?auto_1114
    )
    :vars
    (
      ?auto_1118
      ?auto_1115
      ?auto_1119
      ?auto_1121
    )
    :precondition
    ( and ( OBJ ?auto_1113 ) ( LOCATION ?auto_1114 ) ( AIRPLANE ?auto_1118 ) ( AT ?auto_1118 ?auto_1114 ) ( LOCATION ?auto_1115 ) ( AT ?auto_1118 ?auto_1115 ) ( AIRPLANE ?auto_1119 ) ( IN ?auto_1113 ?auto_1119 ) ( AIRPORT ?auto_1121 ) ( AIRPORT ?auto_1115 ) ( AT ?auto_1119 ?auto_1121 ) ( DIFFERENT ?auto_1115 ?auto_1121 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1119 ?auto_1121 ?auto_1115 )
      ( DELIVER-PKG ?auto_1113 ?auto_1114 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1147
      ?auto_1148
    )
    :vars
    (
      ?auto_1152
      ?auto_1151
      ?auto_1153
      ?auto_1154
      ?auto_1156
    )
    :precondition
    ( and ( OBJ ?auto_1147 ) ( LOCATION ?auto_1148 ) ( AIRPLANE ?auto_1152 ) ( AT ?auto_1152 ?auto_1148 ) ( LOCATION ?auto_1151 ) ( AT ?auto_1152 ?auto_1151 ) ( AIRPLANE ?auto_1153 ) ( AIRPORT ?auto_1154 ) ( AIRPORT ?auto_1151 ) ( AT ?auto_1153 ?auto_1154 ) ( DIFFERENT ?auto_1151 ?auto_1154 ) ( LOCATION ?auto_1156 ) ( AT ?auto_1147 ?auto_1156 ) ( AT ?auto_1153 ?auto_1156 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1147 ?auto_1153 ?auto_1156 )
      ( DELIVER-PKG ?auto_1147 ?auto_1148 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1176
      ?auto_1177
    )
    :vars
    (
      ?auto_1181
      ?auto_1180
      ?auto_1182
      ?auto_1184
      ?auto_1186
    )
    :precondition
    ( and ( OBJ ?auto_1176 ) ( LOCATION ?auto_1177 ) ( AIRPLANE ?auto_1181 ) ( AT ?auto_1181 ?auto_1177 ) ( LOCATION ?auto_1180 ) ( AT ?auto_1181 ?auto_1180 ) ( AIRPLANE ?auto_1182 ) ( AIRPORT ?auto_1184 ) ( AIRPORT ?auto_1180 ) ( DIFFERENT ?auto_1180 ?auto_1184 ) ( LOCATION ?auto_1184 ) ( AT ?auto_1176 ?auto_1184 ) ( AIRPORT ?auto_1186 ) ( AT ?auto_1182 ?auto_1186 ) ( DIFFERENT ?auto_1184 ?auto_1186 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1182 ?auto_1186 ?auto_1184 )
      ( DELIVER-PKG ?auto_1176 ?auto_1177 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1206
      ?auto_1207
    )
    :vars
    (
      ?auto_1211
      ?auto_1208
      ?auto_1212
      ?auto_1213
      ?auto_1214
      ?auto_1216
    )
    :precondition
    ( and ( OBJ ?auto_1206 ) ( LOCATION ?auto_1207 ) ( AIRPLANE ?auto_1211 ) ( AT ?auto_1211 ?auto_1207 ) ( LOCATION ?auto_1208 ) ( AT ?auto_1211 ?auto_1208 ) ( AIRPLANE ?auto_1212 ) ( AIRPORT ?auto_1213 ) ( AIRPORT ?auto_1208 ) ( DIFFERENT ?auto_1208 ?auto_1213 ) ( LOCATION ?auto_1213 ) ( AT ?auto_1206 ?auto_1213 ) ( AIRPORT ?auto_1214 ) ( DIFFERENT ?auto_1213 ?auto_1214 ) ( AIRPORT ?auto_1216 ) ( AT ?auto_1212 ?auto_1216 ) ( DIFFERENT ?auto_1214 ?auto_1216 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1212 ?auto_1216 ?auto_1214 )
      ( DELIVER-PKG ?auto_1206 ?auto_1207 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1323
      ?auto_1324
    )
    :vars
    (
      ?auto_1327
      ?auto_1325
      ?auto_1326
      ?auto_1330
      ?auto_1329
      ?auto_1334
      ?auto_1333
    )
    :precondition
    ( and ( OBJ ?auto_1323 ) ( LOCATION ?auto_1324 ) ( TRUCK ?auto_1327 ) ( LOCATION ?auto_1325 ) ( CITY ?auto_1326 ) ( IN-CITY ?auto_1325 ?auto_1326 ) ( IN-CITY ?auto_1324 ?auto_1326 ) ( DIFFERENT ?auto_1324 ?auto_1325 ) ( AT ?auto_1323 ?auto_1325 ) ( LOCATION ?auto_1330 ) ( CITY ?auto_1329 ) ( IN-CITY ?auto_1330 ?auto_1329 ) ( IN-CITY ?auto_1325 ?auto_1329 ) ( DIFFERENT ?auto_1325 ?auto_1330 ) ( LOCATION ?auto_1334 ) ( CITY ?auto_1333 ) ( AT ?auto_1327 ?auto_1334 ) ( IN-CITY ?auto_1334 ?auto_1333 ) ( IN-CITY ?auto_1330 ?auto_1333 ) ( DIFFERENT ?auto_1330 ?auto_1334 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1327 ?auto_1334 ?auto_1330 ?auto_1333 )
      ( DELIVER-PKG ?auto_1323 ?auto_1324 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1391
      ?auto_1392
    )
    :vars
    (
      ?auto_1399
      ?auto_1393
      ?auto_1398
      ?auto_1395
      ?auto_1394
      ?auto_1401
      ?auto_1400
      ?auto_1404
      ?auto_1403
    )
    :precondition
    ( and ( OBJ ?auto_1391 ) ( LOCATION ?auto_1392 ) ( TRUCK ?auto_1399 ) ( LOCATION ?auto_1393 ) ( CITY ?auto_1398 ) ( IN-CITY ?auto_1393 ?auto_1398 ) ( IN-CITY ?auto_1392 ?auto_1398 ) ( DIFFERENT ?auto_1392 ?auto_1393 ) ( AT ?auto_1391 ?auto_1393 ) ( LOCATION ?auto_1395 ) ( CITY ?auto_1394 ) ( IN-CITY ?auto_1395 ?auto_1394 ) ( IN-CITY ?auto_1393 ?auto_1394 ) ( DIFFERENT ?auto_1393 ?auto_1395 ) ( LOCATION ?auto_1401 ) ( CITY ?auto_1400 ) ( IN-CITY ?auto_1401 ?auto_1400 ) ( IN-CITY ?auto_1395 ?auto_1400 ) ( DIFFERENT ?auto_1395 ?auto_1401 ) ( LOCATION ?auto_1404 ) ( CITY ?auto_1403 ) ( AT ?auto_1399 ?auto_1404 ) ( IN-CITY ?auto_1404 ?auto_1403 ) ( IN-CITY ?auto_1401 ?auto_1403 ) ( DIFFERENT ?auto_1401 ?auto_1404 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1399 ?auto_1404 ?auto_1401 ?auto_1403 )
      ( DELIVER-PKG ?auto_1391 ?auto_1392 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1599
      ?auto_1600
    )
    :vars
    (
      ?auto_1601
      ?auto_1603
      ?auto_1604
      ?auto_1608
    )
    :precondition
    ( and ( OBJ ?auto_1599 ) ( LOCATION ?auto_1600 ) ( AIRPLANE ?auto_1601 ) ( AIRPORT ?auto_1603 ) ( AIRPORT ?auto_1600 ) ( AT ?auto_1601 ?auto_1603 ) ( DIFFERENT ?auto_1600 ?auto_1603 ) ( LOCATION ?auto_1604 ) ( AT ?auto_1601 ?auto_1604 ) ( TRUCK ?auto_1608 ) ( AT ?auto_1608 ?auto_1604 ) ( IN ?auto_1599 ?auto_1608 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1599 ?auto_1604 )
      ( DELIVER-PKG ?auto_1599 ?auto_1600 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1617
      ?auto_1618
    )
    :vars
    (
      ?auto_1623
      ?auto_1620
      ?auto_1621
      ?auto_1622
      ?auto_1627
      ?auto_1626
    )
    :precondition
    ( and ( OBJ ?auto_1617 ) ( LOCATION ?auto_1618 ) ( AIRPLANE ?auto_1623 ) ( AIRPORT ?auto_1620 ) ( AIRPORT ?auto_1618 ) ( AT ?auto_1623 ?auto_1620 ) ( DIFFERENT ?auto_1618 ?auto_1620 ) ( LOCATION ?auto_1621 ) ( AT ?auto_1623 ?auto_1621 ) ( TRUCK ?auto_1622 ) ( IN ?auto_1617 ?auto_1622 ) ( LOCATION ?auto_1627 ) ( CITY ?auto_1626 ) ( AT ?auto_1622 ?auto_1627 ) ( IN-CITY ?auto_1627 ?auto_1626 ) ( IN-CITY ?auto_1621 ?auto_1626 ) ( DIFFERENT ?auto_1621 ?auto_1627 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1622 ?auto_1627 ?auto_1621 ?auto_1626 )
      ( DELIVER-PKG ?auto_1617 ?auto_1618 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1639
      ?auto_1640
    )
    :vars
    (
      ?auto_1642
      ?auto_1645
      ?auto_1644
      ?auto_1643
      ?auto_1648
      ?auto_1647
      ?auto_1650
    )
    :precondition
    ( and ( OBJ ?auto_1639 ) ( LOCATION ?auto_1640 ) ( AIRPLANE ?auto_1642 ) ( AIRPORT ?auto_1645 ) ( AIRPORT ?auto_1640 ) ( AT ?auto_1642 ?auto_1645 ) ( DIFFERENT ?auto_1640 ?auto_1645 ) ( LOCATION ?auto_1644 ) ( AT ?auto_1642 ?auto_1644 ) ( TRUCK ?auto_1643 ) ( LOCATION ?auto_1648 ) ( CITY ?auto_1647 ) ( AT ?auto_1643 ?auto_1648 ) ( IN-CITY ?auto_1648 ?auto_1647 ) ( IN-CITY ?auto_1644 ?auto_1647 ) ( DIFFERENT ?auto_1644 ?auto_1648 ) ( LOCATION ?auto_1650 ) ( AT ?auto_1643 ?auto_1650 ) ( AT ?auto_1639 ?auto_1650 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1639 ?auto_1643 ?auto_1650 )
      ( DELIVER-PKG ?auto_1639 ?auto_1640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1663
      ?auto_1664
    )
    :vars
    (
      ?auto_1671
      ?auto_1668
      ?auto_1665
      ?auto_1667
      ?auto_1673
      ?auto_1669
      ?auto_1676
      ?auto_1675
    )
    :precondition
    ( and ( OBJ ?auto_1663 ) ( LOCATION ?auto_1664 ) ( AIRPLANE ?auto_1671 ) ( AIRPORT ?auto_1668 ) ( AIRPORT ?auto_1664 ) ( AT ?auto_1671 ?auto_1668 ) ( DIFFERENT ?auto_1664 ?auto_1668 ) ( LOCATION ?auto_1665 ) ( AT ?auto_1671 ?auto_1665 ) ( TRUCK ?auto_1667 ) ( LOCATION ?auto_1673 ) ( CITY ?auto_1669 ) ( IN-CITY ?auto_1673 ?auto_1669 ) ( IN-CITY ?auto_1665 ?auto_1669 ) ( DIFFERENT ?auto_1665 ?auto_1673 ) ( AT ?auto_1663 ?auto_1673 ) ( LOCATION ?auto_1676 ) ( CITY ?auto_1675 ) ( AT ?auto_1667 ?auto_1676 ) ( IN-CITY ?auto_1676 ?auto_1675 ) ( IN-CITY ?auto_1673 ?auto_1675 ) ( DIFFERENT ?auto_1673 ?auto_1676 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1667 ?auto_1676 ?auto_1673 ?auto_1675 )
      ( DELIVER-PKG ?auto_1663 ?auto_1664 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1714
      ?auto_1715
    )
    :vars
    (
      ?auto_1721
      ?auto_1722
      ?auto_1720
      ?auto_1718
      ?auto_1719
      ?auto_1723
      ?auto_1725
      ?auto_1724
      ?auto_1728
      ?auto_1727
    )
    :precondition
    ( and ( OBJ ?auto_1714 ) ( LOCATION ?auto_1715 ) ( AIRPLANE ?auto_1721 ) ( AIRPORT ?auto_1722 ) ( AIRPORT ?auto_1715 ) ( AT ?auto_1721 ?auto_1722 ) ( DIFFERENT ?auto_1715 ?auto_1722 ) ( LOCATION ?auto_1720 ) ( AT ?auto_1721 ?auto_1720 ) ( TRUCK ?auto_1718 ) ( LOCATION ?auto_1719 ) ( CITY ?auto_1723 ) ( IN-CITY ?auto_1719 ?auto_1723 ) ( IN-CITY ?auto_1720 ?auto_1723 ) ( DIFFERENT ?auto_1720 ?auto_1719 ) ( AT ?auto_1714 ?auto_1719 ) ( LOCATION ?auto_1725 ) ( CITY ?auto_1724 ) ( IN-CITY ?auto_1725 ?auto_1724 ) ( IN-CITY ?auto_1719 ?auto_1724 ) ( DIFFERENT ?auto_1719 ?auto_1725 ) ( LOCATION ?auto_1728 ) ( CITY ?auto_1727 ) ( AT ?auto_1718 ?auto_1728 ) ( IN-CITY ?auto_1728 ?auto_1727 ) ( IN-CITY ?auto_1725 ?auto_1727 ) ( DIFFERENT ?auto_1725 ?auto_1728 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1718 ?auto_1728 ?auto_1725 ?auto_1727 )
      ( DELIVER-PKG ?auto_1714 ?auto_1715 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1800
      ?auto_1801
    )
    :vars
    (
      ?auto_1807
      ?auto_1808
      ?auto_1806
      ?auto_1803
      ?auto_1805
      ?auto_1809
      ?auto_1811
      ?auto_1810
      ?auto_1813
      ?auto_1812
      ?auto_1816
      ?auto_1815
    )
    :precondition
    ( and ( OBJ ?auto_1800 ) ( LOCATION ?auto_1801 ) ( AIRPLANE ?auto_1807 ) ( AIRPORT ?auto_1808 ) ( AIRPORT ?auto_1801 ) ( AT ?auto_1807 ?auto_1808 ) ( DIFFERENT ?auto_1801 ?auto_1808 ) ( LOCATION ?auto_1806 ) ( AT ?auto_1807 ?auto_1806 ) ( TRUCK ?auto_1803 ) ( LOCATION ?auto_1805 ) ( CITY ?auto_1809 ) ( IN-CITY ?auto_1805 ?auto_1809 ) ( IN-CITY ?auto_1806 ?auto_1809 ) ( DIFFERENT ?auto_1806 ?auto_1805 ) ( AT ?auto_1800 ?auto_1805 ) ( LOCATION ?auto_1811 ) ( CITY ?auto_1810 ) ( IN-CITY ?auto_1811 ?auto_1810 ) ( IN-CITY ?auto_1805 ?auto_1810 ) ( DIFFERENT ?auto_1805 ?auto_1811 ) ( LOCATION ?auto_1813 ) ( CITY ?auto_1812 ) ( IN-CITY ?auto_1813 ?auto_1812 ) ( IN-CITY ?auto_1811 ?auto_1812 ) ( DIFFERENT ?auto_1811 ?auto_1813 ) ( LOCATION ?auto_1816 ) ( CITY ?auto_1815 ) ( AT ?auto_1803 ?auto_1816 ) ( IN-CITY ?auto_1816 ?auto_1815 ) ( IN-CITY ?auto_1813 ?auto_1815 ) ( DIFFERENT ?auto_1813 ?auto_1816 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1803 ?auto_1816 ?auto_1813 ?auto_1815 )
      ( DELIVER-PKG ?auto_1800 ?auto_1801 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2518
      ?auto_2519
    )
    :vars
    (
      ?auto_2523
      ?auto_2521
      ?auto_2525
      ?auto_2522
      ?auto_2528
    )
    :precondition
    ( and ( OBJ ?auto_2518 ) ( LOCATION ?auto_2519 ) ( TRUCK ?auto_2523 ) ( LOCATION ?auto_2521 ) ( CITY ?auto_2525 ) ( AT ?auto_2523 ?auto_2521 ) ( IN-CITY ?auto_2521 ?auto_2525 ) ( IN-CITY ?auto_2519 ?auto_2525 ) ( DIFFERENT ?auto_2519 ?auto_2521 ) ( LOCATION ?auto_2522 ) ( AT ?auto_2523 ?auto_2522 ) ( AIRPLANE ?auto_2528 ) ( IN ?auto_2518 ?auto_2528 ) ( AT ?auto_2528 ?auto_2522 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2518 ?auto_2522 )
      ( DELIVER-PKG ?auto_2518 ?auto_2519 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2529
      ?auto_2530
    )
    :vars
    (
      ?auto_2534
      ?auto_2532
      ?auto_2536
      ?auto_2533
      ?auto_2537
      ?auto_2539
    )
    :precondition
    ( and ( OBJ ?auto_2529 ) ( LOCATION ?auto_2530 ) ( TRUCK ?auto_2534 ) ( LOCATION ?auto_2532 ) ( CITY ?auto_2536 ) ( AT ?auto_2534 ?auto_2532 ) ( IN-CITY ?auto_2532 ?auto_2536 ) ( IN-CITY ?auto_2530 ?auto_2536 ) ( DIFFERENT ?auto_2530 ?auto_2532 ) ( LOCATION ?auto_2533 ) ( AT ?auto_2534 ?auto_2533 ) ( AIRPLANE ?auto_2537 ) ( IN ?auto_2529 ?auto_2537 ) ( AIRPORT ?auto_2539 ) ( AIRPORT ?auto_2533 ) ( AT ?auto_2537 ?auto_2539 ) ( DIFFERENT ?auto_2533 ?auto_2539 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2537 ?auto_2539 ?auto_2533 )
      ( DELIVER-PKG ?auto_2529 ?auto_2530 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2541
      ?auto_2542
    )
    :vars
    (
      ?auto_2544
      ?auto_2548
      ?auto_2546
      ?auto_2550
      ?auto_2547
      ?auto_2545
      ?auto_2552
    )
    :precondition
    ( and ( OBJ ?auto_2541 ) ( LOCATION ?auto_2542 ) ( TRUCK ?auto_2544 ) ( LOCATION ?auto_2548 ) ( CITY ?auto_2546 ) ( AT ?auto_2544 ?auto_2548 ) ( IN-CITY ?auto_2548 ?auto_2546 ) ( IN-CITY ?auto_2542 ?auto_2546 ) ( DIFFERENT ?auto_2542 ?auto_2548 ) ( LOCATION ?auto_2550 ) ( AT ?auto_2544 ?auto_2550 ) ( AIRPLANE ?auto_2547 ) ( AIRPORT ?auto_2545 ) ( AIRPORT ?auto_2550 ) ( AT ?auto_2547 ?auto_2545 ) ( DIFFERENT ?auto_2550 ?auto_2545 ) ( LOCATION ?auto_2552 ) ( AT ?auto_2541 ?auto_2552 ) ( AT ?auto_2547 ?auto_2552 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2541 ?auto_2547 ?auto_2552 )
      ( DELIVER-PKG ?auto_2541 ?auto_2542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2554
      ?auto_2555
    )
    :vars
    (
      ?auto_2563
      ?auto_2562
      ?auto_2561
      ?auto_2559
      ?auto_2558
      ?auto_2564
      ?auto_2560
      ?auto_2567
    )
    :precondition
    ( and ( OBJ ?auto_2554 ) ( LOCATION ?auto_2555 ) ( TRUCK ?auto_2563 ) ( LOCATION ?auto_2562 ) ( CITY ?auto_2561 ) ( AT ?auto_2563 ?auto_2562 ) ( IN-CITY ?auto_2562 ?auto_2561 ) ( IN-CITY ?auto_2555 ?auto_2561 ) ( DIFFERENT ?auto_2555 ?auto_2562 ) ( LOCATION ?auto_2559 ) ( AT ?auto_2563 ?auto_2559 ) ( AIRPLANE ?auto_2558 ) ( AIRPORT ?auto_2564 ) ( AIRPORT ?auto_2559 ) ( AT ?auto_2558 ?auto_2564 ) ( DIFFERENT ?auto_2559 ?auto_2564 ) ( LOCATION ?auto_2560 ) ( AT ?auto_2558 ?auto_2560 ) ( TRUCK ?auto_2567 ) ( AT ?auto_2567 ?auto_2560 ) ( IN ?auto_2554 ?auto_2567 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2554 ?auto_2560 )
      ( DELIVER-PKG ?auto_2554 ?auto_2555 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2580
      ?auto_2581
    )
    :vars
    (
      ?auto_2584
      ?auto_2587
      ?auto_2588
      ?auto_2591
      ?auto_2590
      ?auto_2589
      ?auto_2582
      ?auto_2586
      ?auto_2594
      ?auto_2593
    )
    :precondition
    ( and ( OBJ ?auto_2580 ) ( LOCATION ?auto_2581 ) ( TRUCK ?auto_2584 ) ( LOCATION ?auto_2587 ) ( CITY ?auto_2588 ) ( AT ?auto_2584 ?auto_2587 ) ( IN-CITY ?auto_2587 ?auto_2588 ) ( IN-CITY ?auto_2581 ?auto_2588 ) ( DIFFERENT ?auto_2581 ?auto_2587 ) ( LOCATION ?auto_2591 ) ( AT ?auto_2584 ?auto_2591 ) ( AIRPLANE ?auto_2590 ) ( AIRPORT ?auto_2589 ) ( AIRPORT ?auto_2591 ) ( AT ?auto_2590 ?auto_2589 ) ( DIFFERENT ?auto_2591 ?auto_2589 ) ( LOCATION ?auto_2582 ) ( AT ?auto_2590 ?auto_2582 ) ( TRUCK ?auto_2586 ) ( IN ?auto_2580 ?auto_2586 ) ( LOCATION ?auto_2594 ) ( CITY ?auto_2593 ) ( AT ?auto_2586 ?auto_2594 ) ( IN-CITY ?auto_2594 ?auto_2593 ) ( IN-CITY ?auto_2582 ?auto_2593 ) ( DIFFERENT ?auto_2582 ?auto_2594 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2586 ?auto_2594 ?auto_2582 ?auto_2593 )
      ( DELIVER-PKG ?auto_2580 ?auto_2581 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2610
      ?auto_2611
    )
    :vars
    (
      ?auto_2618
      ?auto_2616
      ?auto_2617
      ?auto_2613
      ?auto_2612
      ?auto_2619
      ?auto_2620
      ?auto_2621
      ?auto_2623
      ?auto_2622
      ?auto_2625
    )
    :precondition
    ( and ( OBJ ?auto_2610 ) ( LOCATION ?auto_2611 ) ( TRUCK ?auto_2618 ) ( LOCATION ?auto_2616 ) ( CITY ?auto_2617 ) ( AT ?auto_2618 ?auto_2616 ) ( IN-CITY ?auto_2616 ?auto_2617 ) ( IN-CITY ?auto_2611 ?auto_2617 ) ( DIFFERENT ?auto_2611 ?auto_2616 ) ( LOCATION ?auto_2613 ) ( AT ?auto_2618 ?auto_2613 ) ( AIRPLANE ?auto_2612 ) ( AIRPORT ?auto_2619 ) ( AIRPORT ?auto_2613 ) ( AT ?auto_2612 ?auto_2619 ) ( DIFFERENT ?auto_2613 ?auto_2619 ) ( LOCATION ?auto_2620 ) ( AT ?auto_2612 ?auto_2620 ) ( TRUCK ?auto_2621 ) ( LOCATION ?auto_2623 ) ( CITY ?auto_2622 ) ( AT ?auto_2621 ?auto_2623 ) ( IN-CITY ?auto_2623 ?auto_2622 ) ( IN-CITY ?auto_2620 ?auto_2622 ) ( DIFFERENT ?auto_2620 ?auto_2623 ) ( LOCATION ?auto_2625 ) ( AT ?auto_2621 ?auto_2625 ) ( AT ?auto_2610 ?auto_2625 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2610 ?auto_2621 ?auto_2625 )
      ( DELIVER-PKG ?auto_2610 ?auto_2611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2642
      ?auto_2643
    )
    :vars
    (
      ?auto_2644
      ?auto_2650
      ?auto_2651
      ?auto_2654
      ?auto_2648
      ?auto_2645
      ?auto_2646
      ?auto_2647
      ?auto_2656
      ?auto_2652
      ?auto_2659
      ?auto_2658
    )
    :precondition
    ( and ( OBJ ?auto_2642 ) ( LOCATION ?auto_2643 ) ( TRUCK ?auto_2644 ) ( LOCATION ?auto_2650 ) ( CITY ?auto_2651 ) ( AT ?auto_2644 ?auto_2650 ) ( IN-CITY ?auto_2650 ?auto_2651 ) ( IN-CITY ?auto_2643 ?auto_2651 ) ( DIFFERENT ?auto_2643 ?auto_2650 ) ( LOCATION ?auto_2654 ) ( AT ?auto_2644 ?auto_2654 ) ( AIRPLANE ?auto_2648 ) ( AIRPORT ?auto_2645 ) ( AIRPORT ?auto_2654 ) ( AT ?auto_2648 ?auto_2645 ) ( DIFFERENT ?auto_2654 ?auto_2645 ) ( LOCATION ?auto_2646 ) ( AT ?auto_2648 ?auto_2646 ) ( TRUCK ?auto_2647 ) ( LOCATION ?auto_2656 ) ( CITY ?auto_2652 ) ( IN-CITY ?auto_2656 ?auto_2652 ) ( IN-CITY ?auto_2646 ?auto_2652 ) ( DIFFERENT ?auto_2646 ?auto_2656 ) ( AT ?auto_2642 ?auto_2656 ) ( LOCATION ?auto_2659 ) ( CITY ?auto_2658 ) ( AT ?auto_2647 ?auto_2659 ) ( IN-CITY ?auto_2659 ?auto_2658 ) ( IN-CITY ?auto_2656 ?auto_2658 ) ( DIFFERENT ?auto_2656 ?auto_2659 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2647 ?auto_2659 ?auto_2656 ?auto_2658 )
      ( DELIVER-PKG ?auto_2642 ?auto_2643 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2709
      ?auto_2710
    )
    :vars
    (
      ?auto_2721
      ?auto_2712
      ?auto_2713
      ?auto_2719
      ?auto_2718
      ?auto_2711
      ?auto_2714
      ?auto_2717
      ?auto_2720
      ?auto_2715
      ?auto_2724
      ?auto_2723
      ?auto_2727
      ?auto_2726
    )
    :precondition
    ( and ( OBJ ?auto_2709 ) ( LOCATION ?auto_2710 ) ( TRUCK ?auto_2721 ) ( LOCATION ?auto_2712 ) ( CITY ?auto_2713 ) ( AT ?auto_2721 ?auto_2712 ) ( IN-CITY ?auto_2712 ?auto_2713 ) ( IN-CITY ?auto_2710 ?auto_2713 ) ( DIFFERENT ?auto_2710 ?auto_2712 ) ( LOCATION ?auto_2719 ) ( AT ?auto_2721 ?auto_2719 ) ( AIRPLANE ?auto_2718 ) ( AIRPORT ?auto_2711 ) ( AIRPORT ?auto_2719 ) ( AT ?auto_2718 ?auto_2711 ) ( DIFFERENT ?auto_2719 ?auto_2711 ) ( LOCATION ?auto_2714 ) ( AT ?auto_2718 ?auto_2714 ) ( TRUCK ?auto_2717 ) ( LOCATION ?auto_2720 ) ( CITY ?auto_2715 ) ( IN-CITY ?auto_2720 ?auto_2715 ) ( IN-CITY ?auto_2714 ?auto_2715 ) ( DIFFERENT ?auto_2714 ?auto_2720 ) ( AT ?auto_2709 ?auto_2720 ) ( LOCATION ?auto_2724 ) ( CITY ?auto_2723 ) ( IN-CITY ?auto_2724 ?auto_2723 ) ( IN-CITY ?auto_2720 ?auto_2723 ) ( DIFFERENT ?auto_2720 ?auto_2724 ) ( LOCATION ?auto_2727 ) ( CITY ?auto_2726 ) ( AT ?auto_2717 ?auto_2727 ) ( IN-CITY ?auto_2727 ?auto_2726 ) ( IN-CITY ?auto_2724 ?auto_2726 ) ( DIFFERENT ?auto_2724 ?auto_2727 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2717 ?auto_2727 ?auto_2724 ?auto_2726 )
      ( DELIVER-PKG ?auto_2709 ?auto_2710 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2819
      ?auto_2820
    )
    :vars
    (
      ?auto_2832
      ?auto_2825
      ?auto_2826
      ?auto_2830
      ?auto_2829
      ?auto_2827
      ?auto_2824
      ?auto_2828
      ?auto_2831
      ?auto_2823
      ?auto_2835
      ?auto_2834
      ?auto_2836
      ?auto_2833
      ?auto_2839
      ?auto_2838
    )
    :precondition
    ( and ( OBJ ?auto_2819 ) ( LOCATION ?auto_2820 ) ( TRUCK ?auto_2832 ) ( LOCATION ?auto_2825 ) ( CITY ?auto_2826 ) ( AT ?auto_2832 ?auto_2825 ) ( IN-CITY ?auto_2825 ?auto_2826 ) ( IN-CITY ?auto_2820 ?auto_2826 ) ( DIFFERENT ?auto_2820 ?auto_2825 ) ( LOCATION ?auto_2830 ) ( AT ?auto_2832 ?auto_2830 ) ( AIRPLANE ?auto_2829 ) ( AIRPORT ?auto_2827 ) ( AIRPORT ?auto_2830 ) ( AT ?auto_2829 ?auto_2827 ) ( DIFFERENT ?auto_2830 ?auto_2827 ) ( LOCATION ?auto_2824 ) ( AT ?auto_2829 ?auto_2824 ) ( TRUCK ?auto_2828 ) ( LOCATION ?auto_2831 ) ( CITY ?auto_2823 ) ( IN-CITY ?auto_2831 ?auto_2823 ) ( IN-CITY ?auto_2824 ?auto_2823 ) ( DIFFERENT ?auto_2824 ?auto_2831 ) ( AT ?auto_2819 ?auto_2831 ) ( LOCATION ?auto_2835 ) ( CITY ?auto_2834 ) ( IN-CITY ?auto_2835 ?auto_2834 ) ( IN-CITY ?auto_2831 ?auto_2834 ) ( DIFFERENT ?auto_2831 ?auto_2835 ) ( LOCATION ?auto_2836 ) ( CITY ?auto_2833 ) ( IN-CITY ?auto_2836 ?auto_2833 ) ( IN-CITY ?auto_2835 ?auto_2833 ) ( DIFFERENT ?auto_2835 ?auto_2836 ) ( LOCATION ?auto_2839 ) ( CITY ?auto_2838 ) ( AT ?auto_2828 ?auto_2839 ) ( IN-CITY ?auto_2839 ?auto_2838 ) ( IN-CITY ?auto_2836 ?auto_2838 ) ( DIFFERENT ?auto_2836 ?auto_2839 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2828 ?auto_2839 ?auto_2836 ?auto_2838 )
      ( DELIVER-PKG ?auto_2819 ?auto_2820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2901
      ?auto_2902
    )
    :vars
    (
      ?auto_2915
      ?auto_2913
      ?auto_2909
      ?auto_2912
      ?auto_2910
      ?auto_2907
      ?auto_2911
      ?auto_2914
      ?auto_2906
      ?auto_2918
      ?auto_2917
      ?auto_2919
      ?auto_2916
      ?auto_2920
      ?auto_2905
      ?auto_2923
      ?auto_2922
    )
    :precondition
    ( and ( OBJ ?auto_2901 ) ( LOCATION ?auto_2902 ) ( TRUCK ?auto_2915 ) ( LOCATION ?auto_2913 ) ( CITY ?auto_2909 ) ( IN-CITY ?auto_2913 ?auto_2909 ) ( IN-CITY ?auto_2902 ?auto_2909 ) ( DIFFERENT ?auto_2902 ?auto_2913 ) ( AIRPLANE ?auto_2912 ) ( AIRPORT ?auto_2910 ) ( AIRPORT ?auto_2913 ) ( AT ?auto_2912 ?auto_2910 ) ( DIFFERENT ?auto_2913 ?auto_2910 ) ( LOCATION ?auto_2907 ) ( AT ?auto_2912 ?auto_2907 ) ( TRUCK ?auto_2911 ) ( LOCATION ?auto_2914 ) ( CITY ?auto_2906 ) ( IN-CITY ?auto_2914 ?auto_2906 ) ( IN-CITY ?auto_2907 ?auto_2906 ) ( DIFFERENT ?auto_2907 ?auto_2914 ) ( AT ?auto_2901 ?auto_2914 ) ( LOCATION ?auto_2918 ) ( CITY ?auto_2917 ) ( IN-CITY ?auto_2918 ?auto_2917 ) ( IN-CITY ?auto_2914 ?auto_2917 ) ( DIFFERENT ?auto_2914 ?auto_2918 ) ( LOCATION ?auto_2919 ) ( CITY ?auto_2916 ) ( IN-CITY ?auto_2919 ?auto_2916 ) ( IN-CITY ?auto_2918 ?auto_2916 ) ( DIFFERENT ?auto_2918 ?auto_2919 ) ( LOCATION ?auto_2920 ) ( CITY ?auto_2905 ) ( AT ?auto_2911 ?auto_2920 ) ( IN-CITY ?auto_2920 ?auto_2905 ) ( IN-CITY ?auto_2919 ?auto_2905 ) ( DIFFERENT ?auto_2919 ?auto_2920 ) ( LOCATION ?auto_2923 ) ( CITY ?auto_2922 ) ( AT ?auto_2915 ?auto_2923 ) ( IN-CITY ?auto_2923 ?auto_2922 ) ( IN-CITY ?auto_2913 ?auto_2922 ) ( DIFFERENT ?auto_2913 ?auto_2923 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2915 ?auto_2923 ?auto_2913 ?auto_2922 )
      ( DELIVER-PKG ?auto_2901 ?auto_2902 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3104
      ?auto_3106
    )
    :vars
    (
      ?auto_3107
      ?auto_3111
      ?auto_3114
      ?auto_3118
    )
    :precondition
    ( and ( OBJ ?auto_3104 ) ( LOCATION ?auto_3106 ) ( AIRPLANE ?auto_3107 ) ( AIRPORT ?auto_3111 ) ( AIRPORT ?auto_3106 ) ( DIFFERENT ?auto_3106 ?auto_3111 ) ( AIRPORT ?auto_3114 ) ( AT ?auto_3107 ?auto_3114 ) ( DIFFERENT ?auto_3111 ?auto_3114 ) ( TRUCK ?auto_3118 ) ( AT ?auto_3118 ?auto_3106 ) ( IN ?auto_3104 ?auto_3118 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3104 ?auto_3106 )
      ( FLY-AIRPLANE ?auto_3107 ?auto_3114 ?auto_3111 )
      ( FLY-AIRPLANE ?auto_3107 ?auto_3111 ?auto_3106 )
      ( DELIVER-PKG ?auto_3104 ?auto_3106 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3623
      ?auto_3624
    )
    :vars
    (
      ?auto_3628
      ?auto_3629
      ?auto_3626
      ?auto_3632
      ?auto_3631
    )
    :precondition
    ( and ( OBJ ?auto_3623 ) ( LOCATION ?auto_3624 ) ( TRUCK ?auto_3628 ) ( IN ?auto_3623 ?auto_3628 ) ( LOCATION ?auto_3629 ) ( CITY ?auto_3626 ) ( IN-CITY ?auto_3629 ?auto_3626 ) ( IN-CITY ?auto_3624 ?auto_3626 ) ( DIFFERENT ?auto_3624 ?auto_3629 ) ( LOCATION ?auto_3632 ) ( CITY ?auto_3631 ) ( AT ?auto_3628 ?auto_3632 ) ( IN-CITY ?auto_3632 ?auto_3631 ) ( IN-CITY ?auto_3629 ?auto_3631 ) ( DIFFERENT ?auto_3629 ?auto_3632 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3628 ?auto_3632 ?auto_3629 ?auto_3631 )
      ( DELIVER-PKG ?auto_3623 ?auto_3624 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3643
      ?auto_3644
    )
    :vars
    (
      ?auto_3646
      ?auto_3647
      ?auto_3645
      ?auto_3651
      ?auto_3650
      ?auto_3653
    )
    :precondition
    ( and ( OBJ ?auto_3643 ) ( LOCATION ?auto_3644 ) ( TRUCK ?auto_3646 ) ( LOCATION ?auto_3647 ) ( CITY ?auto_3645 ) ( IN-CITY ?auto_3647 ?auto_3645 ) ( IN-CITY ?auto_3644 ?auto_3645 ) ( DIFFERENT ?auto_3644 ?auto_3647 ) ( LOCATION ?auto_3651 ) ( CITY ?auto_3650 ) ( AT ?auto_3646 ?auto_3651 ) ( IN-CITY ?auto_3651 ?auto_3650 ) ( IN-CITY ?auto_3647 ?auto_3650 ) ( DIFFERENT ?auto_3647 ?auto_3651 ) ( LOCATION ?auto_3653 ) ( AT ?auto_3646 ?auto_3653 ) ( AT ?auto_3643 ?auto_3653 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3643 ?auto_3646 ?auto_3653 )
      ( DELIVER-PKG ?auto_3643 ?auto_3644 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3665
      ?auto_3666
    )
    :vars
    (
      ?auto_3670
      ?auto_3671
      ?auto_3672
      ?auto_3668
      ?auto_3667
      ?auto_3674
      ?auto_3677
    )
    :precondition
    ( and ( OBJ ?auto_3665 ) ( LOCATION ?auto_3666 ) ( TRUCK ?auto_3670 ) ( LOCATION ?auto_3671 ) ( CITY ?auto_3672 ) ( IN-CITY ?auto_3671 ?auto_3672 ) ( IN-CITY ?auto_3666 ?auto_3672 ) ( DIFFERENT ?auto_3666 ?auto_3671 ) ( LOCATION ?auto_3668 ) ( CITY ?auto_3667 ) ( AT ?auto_3670 ?auto_3668 ) ( IN-CITY ?auto_3668 ?auto_3667 ) ( IN-CITY ?auto_3671 ?auto_3667 ) ( DIFFERENT ?auto_3671 ?auto_3668 ) ( LOCATION ?auto_3674 ) ( AT ?auto_3670 ?auto_3674 ) ( AIRPLANE ?auto_3677 ) ( IN ?auto_3665 ?auto_3677 ) ( AT ?auto_3677 ?auto_3674 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3665 ?auto_3674 )
      ( DELIVER-PKG ?auto_3665 ?auto_3666 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3689
      ?auto_3690
    )
    :vars
    (
      ?auto_3696
      ?auto_3694
      ?auto_3695
      ?auto_3693
      ?auto_3692
      ?auto_3697
      ?auto_3699
      ?auto_3701
    )
    :precondition
    ( and ( OBJ ?auto_3689 ) ( LOCATION ?auto_3690 ) ( TRUCK ?auto_3696 ) ( LOCATION ?auto_3694 ) ( CITY ?auto_3695 ) ( IN-CITY ?auto_3694 ?auto_3695 ) ( IN-CITY ?auto_3690 ?auto_3695 ) ( DIFFERENT ?auto_3690 ?auto_3694 ) ( LOCATION ?auto_3693 ) ( CITY ?auto_3692 ) ( AT ?auto_3696 ?auto_3693 ) ( IN-CITY ?auto_3693 ?auto_3692 ) ( IN-CITY ?auto_3694 ?auto_3692 ) ( DIFFERENT ?auto_3694 ?auto_3693 ) ( LOCATION ?auto_3697 ) ( AT ?auto_3696 ?auto_3697 ) ( AIRPLANE ?auto_3699 ) ( IN ?auto_3689 ?auto_3699 ) ( AIRPORT ?auto_3701 ) ( AIRPORT ?auto_3697 ) ( AT ?auto_3699 ?auto_3701 ) ( DIFFERENT ?auto_3697 ?auto_3701 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3699 ?auto_3701 ?auto_3697 )
      ( DELIVER-PKG ?auto_3689 ?auto_3690 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3823
      ?auto_3824
    )
    :vars
    (
      ?auto_3828
      ?auto_3833
      ?auto_3831
      ?auto_3825
      ?auto_3830
      ?auto_3829
      ?auto_3832
      ?auto_3834
      ?auto_3836
    )
    :precondition
    ( and ( OBJ ?auto_3823 ) ( LOCATION ?auto_3824 ) ( TRUCK ?auto_3828 ) ( LOCATION ?auto_3833 ) ( CITY ?auto_3831 ) ( IN-CITY ?auto_3833 ?auto_3831 ) ( IN-CITY ?auto_3824 ?auto_3831 ) ( DIFFERENT ?auto_3824 ?auto_3833 ) ( LOCATION ?auto_3825 ) ( CITY ?auto_3830 ) ( AT ?auto_3828 ?auto_3825 ) ( IN-CITY ?auto_3825 ?auto_3830 ) ( IN-CITY ?auto_3833 ?auto_3830 ) ( DIFFERENT ?auto_3833 ?auto_3825 ) ( LOCATION ?auto_3829 ) ( AT ?auto_3828 ?auto_3829 ) ( AIRPLANE ?auto_3832 ) ( AIRPORT ?auto_3834 ) ( AIRPORT ?auto_3829 ) ( AT ?auto_3832 ?auto_3834 ) ( DIFFERENT ?auto_3829 ?auto_3834 ) ( LOCATION ?auto_3836 ) ( AT ?auto_3823 ?auto_3836 ) ( AT ?auto_3832 ?auto_3836 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3823 ?auto_3832 ?auto_3836 )
      ( DELIVER-PKG ?auto_3823 ?auto_3824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3877
      ?auto_3878
    )
    :vars
    (
      ?auto_3882
      ?auto_3887
      ?auto_3885
      ?auto_3881
      ?auto_3884
      ?auto_3883
      ?auto_3886
      ?auto_3888
      ?auto_3889
      ?auto_3892
    )
    :precondition
    ( and ( OBJ ?auto_3877 ) ( LOCATION ?auto_3878 ) ( TRUCK ?auto_3882 ) ( LOCATION ?auto_3887 ) ( CITY ?auto_3885 ) ( IN-CITY ?auto_3887 ?auto_3885 ) ( IN-CITY ?auto_3878 ?auto_3885 ) ( DIFFERENT ?auto_3878 ?auto_3887 ) ( LOCATION ?auto_3881 ) ( CITY ?auto_3884 ) ( AT ?auto_3882 ?auto_3881 ) ( IN-CITY ?auto_3881 ?auto_3884 ) ( IN-CITY ?auto_3887 ?auto_3884 ) ( DIFFERENT ?auto_3887 ?auto_3881 ) ( LOCATION ?auto_3883 ) ( AT ?auto_3882 ?auto_3883 ) ( AIRPLANE ?auto_3886 ) ( AIRPORT ?auto_3888 ) ( AIRPORT ?auto_3883 ) ( AT ?auto_3886 ?auto_3888 ) ( DIFFERENT ?auto_3883 ?auto_3888 ) ( LOCATION ?auto_3889 ) ( AT ?auto_3886 ?auto_3889 ) ( TRUCK ?auto_3892 ) ( AT ?auto_3892 ?auto_3889 ) ( IN ?auto_3877 ?auto_3892 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3877 ?auto_3889 )
      ( DELIVER-PKG ?auto_3877 ?auto_3878 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3921
      ?auto_3922
    )
    :vars
    (
      ?auto_3926
      ?auto_3931
      ?auto_3929
      ?auto_3924
      ?auto_3928
      ?auto_3927
      ?auto_3930
      ?auto_3932
      ?auto_3933
      ?auto_3934
      ?auto_3937
      ?auto_3936
    )
    :precondition
    ( and ( OBJ ?auto_3921 ) ( LOCATION ?auto_3922 ) ( TRUCK ?auto_3926 ) ( LOCATION ?auto_3931 ) ( CITY ?auto_3929 ) ( IN-CITY ?auto_3931 ?auto_3929 ) ( IN-CITY ?auto_3922 ?auto_3929 ) ( DIFFERENT ?auto_3922 ?auto_3931 ) ( LOCATION ?auto_3924 ) ( CITY ?auto_3928 ) ( AT ?auto_3926 ?auto_3924 ) ( IN-CITY ?auto_3924 ?auto_3928 ) ( IN-CITY ?auto_3931 ?auto_3928 ) ( DIFFERENT ?auto_3931 ?auto_3924 ) ( LOCATION ?auto_3927 ) ( AT ?auto_3926 ?auto_3927 ) ( AIRPLANE ?auto_3930 ) ( AIRPORT ?auto_3932 ) ( AIRPORT ?auto_3927 ) ( AT ?auto_3930 ?auto_3932 ) ( DIFFERENT ?auto_3927 ?auto_3932 ) ( LOCATION ?auto_3933 ) ( AT ?auto_3930 ?auto_3933 ) ( TRUCK ?auto_3934 ) ( IN ?auto_3921 ?auto_3934 ) ( LOCATION ?auto_3937 ) ( CITY ?auto_3936 ) ( AT ?auto_3934 ?auto_3937 ) ( IN-CITY ?auto_3937 ?auto_3936 ) ( IN-CITY ?auto_3933 ?auto_3936 ) ( DIFFERENT ?auto_3933 ?auto_3937 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3934 ?auto_3937 ?auto_3933 ?auto_3936 )
      ( DELIVER-PKG ?auto_3921 ?auto_3922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3971
      ?auto_3972
    )
    :vars
    (
      ?auto_3984
      ?auto_3978
      ?auto_3976
      ?auto_3983
      ?auto_3975
      ?auto_3974
      ?auto_3977
      ?auto_3979
      ?auto_3980
      ?auto_3981
      ?auto_3986
      ?auto_3985
      ?auto_3988
    )
    :precondition
    ( and ( OBJ ?auto_3971 ) ( LOCATION ?auto_3972 ) ( TRUCK ?auto_3984 ) ( LOCATION ?auto_3978 ) ( CITY ?auto_3976 ) ( IN-CITY ?auto_3978 ?auto_3976 ) ( IN-CITY ?auto_3972 ?auto_3976 ) ( DIFFERENT ?auto_3972 ?auto_3978 ) ( LOCATION ?auto_3983 ) ( CITY ?auto_3975 ) ( AT ?auto_3984 ?auto_3983 ) ( IN-CITY ?auto_3983 ?auto_3975 ) ( IN-CITY ?auto_3978 ?auto_3975 ) ( DIFFERENT ?auto_3978 ?auto_3983 ) ( LOCATION ?auto_3974 ) ( AT ?auto_3984 ?auto_3974 ) ( AIRPLANE ?auto_3977 ) ( AIRPORT ?auto_3979 ) ( AIRPORT ?auto_3974 ) ( AT ?auto_3977 ?auto_3979 ) ( DIFFERENT ?auto_3974 ?auto_3979 ) ( LOCATION ?auto_3980 ) ( AT ?auto_3977 ?auto_3980 ) ( TRUCK ?auto_3981 ) ( LOCATION ?auto_3986 ) ( CITY ?auto_3985 ) ( AT ?auto_3981 ?auto_3986 ) ( IN-CITY ?auto_3986 ?auto_3985 ) ( IN-CITY ?auto_3980 ?auto_3985 ) ( DIFFERENT ?auto_3980 ?auto_3986 ) ( LOCATION ?auto_3988 ) ( AT ?auto_3981 ?auto_3988 ) ( AT ?auto_3971 ?auto_3988 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3971 ?auto_3981 ?auto_3988 )
      ( DELIVER-PKG ?auto_3971 ?auto_3972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3990
      ?auto_3991
    )
    :vars
    (
      ?auto_4000
      ?auto_4002
      ?auto_3996
      ?auto_3993
      ?auto_3994
      ?auto_4001
      ?auto_4003
      ?auto_3997
      ?auto_3998
      ?auto_4005
      ?auto_4004
      ?auto_4006
      ?auto_4009
      ?auto_4008
    )
    :precondition
    ( and ( OBJ ?auto_3990 ) ( LOCATION ?auto_3991 ) ( TRUCK ?auto_4000 ) ( LOCATION ?auto_4002 ) ( CITY ?auto_3996 ) ( IN-CITY ?auto_4002 ?auto_3996 ) ( IN-CITY ?auto_3991 ?auto_3996 ) ( DIFFERENT ?auto_3991 ?auto_4002 ) ( LOCATION ?auto_3993 ) ( CITY ?auto_3994 ) ( IN-CITY ?auto_3993 ?auto_3994 ) ( IN-CITY ?auto_4002 ?auto_3994 ) ( DIFFERENT ?auto_4002 ?auto_3993 ) ( AIRPLANE ?auto_4001 ) ( AIRPORT ?auto_4003 ) ( AIRPORT ?auto_3993 ) ( AT ?auto_4001 ?auto_4003 ) ( DIFFERENT ?auto_3993 ?auto_4003 ) ( LOCATION ?auto_3997 ) ( AT ?auto_4001 ?auto_3997 ) ( TRUCK ?auto_3998 ) ( LOCATION ?auto_4005 ) ( CITY ?auto_4004 ) ( AT ?auto_3998 ?auto_4005 ) ( IN-CITY ?auto_4005 ?auto_4004 ) ( IN-CITY ?auto_3997 ?auto_4004 ) ( DIFFERENT ?auto_3997 ?auto_4005 ) ( LOCATION ?auto_4006 ) ( AT ?auto_3998 ?auto_4006 ) ( AT ?auto_3990 ?auto_4006 ) ( LOCATION ?auto_4009 ) ( CITY ?auto_4008 ) ( AT ?auto_4000 ?auto_4009 ) ( IN-CITY ?auto_4009 ?auto_4008 ) ( IN-CITY ?auto_3993 ?auto_4008 ) ( DIFFERENT ?auto_3993 ?auto_4009 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4000 ?auto_4009 ?auto_3993 ?auto_4008 )
      ( DELIVER-PKG ?auto_3990 ?auto_3991 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4383
      ?auto_4384
    )
    :vars
    (
      ?auto_4387
      ?auto_4388
      ?auto_4389
      ?auto_4392
    )
    :precondition
    ( and ( OBJ ?auto_4383 ) ( LOCATION ?auto_4384 ) ( AIRPLANE ?auto_4387 ) ( AIRPORT ?auto_4388 ) ( AIRPORT ?auto_4384 ) ( AT ?auto_4387 ?auto_4388 ) ( DIFFERENT ?auto_4384 ?auto_4388 ) ( LOCATION ?auto_4389 ) ( AT ?auto_4387 ?auto_4389 ) ( AIRPLANE ?auto_4392 ) ( IN ?auto_4383 ?auto_4392 ) ( AT ?auto_4392 ?auto_4389 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4383 ?auto_4389 )
      ( DELIVER-PKG ?auto_4383 ?auto_4384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4535
      ?auto_4536
    )
    :vars
    (
      ?auto_4540
      ?auto_4537
      ?auto_4541
      ?auto_4542
      ?auto_4545
    )
    :precondition
    ( and ( OBJ ?auto_4535 ) ( LOCATION ?auto_4536 ) ( AIRPLANE ?auto_4540 ) ( AIRPORT ?auto_4537 ) ( AIRPORT ?auto_4536 ) ( DIFFERENT ?auto_4536 ?auto_4537 ) ( LOCATION ?auto_4537 ) ( AIRPORT ?auto_4541 ) ( DIFFERENT ?auto_4537 ?auto_4541 ) ( AIRPORT ?auto_4542 ) ( AT ?auto_4540 ?auto_4542 ) ( DIFFERENT ?auto_4541 ?auto_4542 ) ( TRUCK ?auto_4545 ) ( AT ?auto_4545 ?auto_4537 ) ( IN ?auto_4535 ?auto_4545 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4535 ?auto_4537 )
      ( DELIVER-PKG ?auto_4535 ?auto_4536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4573
      ?auto_4574
    )
    :vars
    (
      ?auto_4578
      ?auto_4577
      ?auto_4579
      ?auto_4580
      ?auto_4581
      ?auto_4584
      ?auto_4583
    )
    :precondition
    ( and ( OBJ ?auto_4573 ) ( LOCATION ?auto_4574 ) ( AIRPLANE ?auto_4578 ) ( AIRPORT ?auto_4577 ) ( AIRPORT ?auto_4574 ) ( DIFFERENT ?auto_4574 ?auto_4577 ) ( LOCATION ?auto_4577 ) ( AIRPORT ?auto_4579 ) ( DIFFERENT ?auto_4577 ?auto_4579 ) ( AIRPORT ?auto_4580 ) ( AT ?auto_4578 ?auto_4580 ) ( DIFFERENT ?auto_4579 ?auto_4580 ) ( TRUCK ?auto_4581 ) ( IN ?auto_4573 ?auto_4581 ) ( LOCATION ?auto_4584 ) ( CITY ?auto_4583 ) ( AT ?auto_4581 ?auto_4584 ) ( IN-CITY ?auto_4584 ?auto_4583 ) ( IN-CITY ?auto_4577 ?auto_4583 ) ( DIFFERENT ?auto_4577 ?auto_4584 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4581 ?auto_4584 ?auto_4577 ?auto_4583 )
      ( DELIVER-PKG ?auto_4573 ?auto_4574 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4608
      ?auto_4609
    )
    :vars
    (
      ?auto_4613
      ?auto_4612
      ?auto_4614
      ?auto_4615
      ?auto_4616
      ?auto_4618
      ?auto_4617
      ?auto_4620
    )
    :precondition
    ( and ( OBJ ?auto_4608 ) ( LOCATION ?auto_4609 ) ( AIRPLANE ?auto_4613 ) ( AIRPORT ?auto_4612 ) ( AIRPORT ?auto_4609 ) ( DIFFERENT ?auto_4609 ?auto_4612 ) ( LOCATION ?auto_4612 ) ( AIRPORT ?auto_4614 ) ( DIFFERENT ?auto_4612 ?auto_4614 ) ( AIRPORT ?auto_4615 ) ( AT ?auto_4613 ?auto_4615 ) ( DIFFERENT ?auto_4614 ?auto_4615 ) ( TRUCK ?auto_4616 ) ( LOCATION ?auto_4618 ) ( CITY ?auto_4617 ) ( AT ?auto_4616 ?auto_4618 ) ( IN-CITY ?auto_4618 ?auto_4617 ) ( IN-CITY ?auto_4612 ?auto_4617 ) ( DIFFERENT ?auto_4612 ?auto_4618 ) ( LOCATION ?auto_4620 ) ( AT ?auto_4616 ?auto_4620 ) ( AT ?auto_4608 ?auto_4620 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4608 ?auto_4616 ?auto_4620 )
      ( DELIVER-PKG ?auto_4608 ?auto_4609 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4646
      ?auto_4647
    )
    :vars
    (
      ?auto_4650
      ?auto_4649
      ?auto_4651
      ?auto_4652
      ?auto_4653
      ?auto_4657
      ?auto_4654
      ?auto_4660
      ?auto_4659
    )
    :precondition
    ( and ( OBJ ?auto_4646 ) ( LOCATION ?auto_4647 ) ( AIRPLANE ?auto_4650 ) ( AIRPORT ?auto_4649 ) ( AIRPORT ?auto_4647 ) ( DIFFERENT ?auto_4647 ?auto_4649 ) ( LOCATION ?auto_4649 ) ( AIRPORT ?auto_4651 ) ( DIFFERENT ?auto_4649 ?auto_4651 ) ( AIRPORT ?auto_4652 ) ( AT ?auto_4650 ?auto_4652 ) ( DIFFERENT ?auto_4651 ?auto_4652 ) ( TRUCK ?auto_4653 ) ( LOCATION ?auto_4657 ) ( CITY ?auto_4654 ) ( IN-CITY ?auto_4657 ?auto_4654 ) ( IN-CITY ?auto_4649 ?auto_4654 ) ( DIFFERENT ?auto_4649 ?auto_4657 ) ( AT ?auto_4646 ?auto_4657 ) ( LOCATION ?auto_4660 ) ( CITY ?auto_4659 ) ( AT ?auto_4653 ?auto_4660 ) ( IN-CITY ?auto_4660 ?auto_4659 ) ( IN-CITY ?auto_4657 ?auto_4659 ) ( DIFFERENT ?auto_4657 ?auto_4660 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4653 ?auto_4660 ?auto_4657 ?auto_4659 )
      ( DELIVER-PKG ?auto_4646 ?auto_4647 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4955
      ?auto_4956
    )
    :vars
    (
      ?auto_4958
      ?auto_4959
      ?auto_4957
      ?auto_4962
      ?auto_4965
    )
    :precondition
    ( and ( OBJ ?auto_4955 ) ( LOCATION ?auto_4956 ) ( TRUCK ?auto_4958 ) ( LOCATION ?auto_4959 ) ( CITY ?auto_4957 ) ( AT ?auto_4958 ?auto_4959 ) ( IN-CITY ?auto_4959 ?auto_4957 ) ( IN-CITY ?auto_4956 ?auto_4957 ) ( DIFFERENT ?auto_4956 ?auto_4959 ) ( LOCATION ?auto_4962 ) ( AT ?auto_4958 ?auto_4962 ) ( TRUCK ?auto_4965 ) ( AT ?auto_4965 ?auto_4962 ) ( IN ?auto_4955 ?auto_4965 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4955 ?auto_4962 )
      ( DELIVER-PKG ?auto_4955 ?auto_4956 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5010
      ?auto_5011
    )
    :vars
    (
      ?auto_5012
      ?auto_5016
      ?auto_5014
      ?auto_5018
      ?auto_5013
      ?auto_5022
      ?auto_5021
    )
    :precondition
    ( and ( OBJ ?auto_5010 ) ( LOCATION ?auto_5011 ) ( TRUCK ?auto_5012 ) ( LOCATION ?auto_5016 ) ( CITY ?auto_5014 ) ( IN-CITY ?auto_5016 ?auto_5014 ) ( IN-CITY ?auto_5011 ?auto_5014 ) ( DIFFERENT ?auto_5011 ?auto_5016 ) ( LOCATION ?auto_5018 ) ( CITY ?auto_5013 ) ( IN-CITY ?auto_5018 ?auto_5013 ) ( IN-CITY ?auto_5016 ?auto_5013 ) ( DIFFERENT ?auto_5016 ?auto_5018 ) ( AT ?auto_5010 ?auto_5018 ) ( LOCATION ?auto_5022 ) ( CITY ?auto_5021 ) ( AT ?auto_5012 ?auto_5022 ) ( IN-CITY ?auto_5022 ?auto_5021 ) ( IN-CITY ?auto_5018 ?auto_5021 ) ( DIFFERENT ?auto_5018 ?auto_5022 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5012 ?auto_5022 ?auto_5018 ?auto_5021 )
      ( DELIVER-PKG ?auto_5010 ?auto_5011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6290
      ?auto_6291
    )
    :vars
    (
      ?auto_6294
      ?auto_6297
      ?auto_6298
      ?auto_6292
      ?auto_6293
      ?auto_6300
      ?auto_6299
      ?auto_6303
    )
    :precondition
    ( and ( OBJ ?auto_6290 ) ( LOCATION ?auto_6291 ) ( AIRPLANE ?auto_6294 ) ( AIRPORT ?auto_6297 ) ( AIRPORT ?auto_6291 ) ( DIFFERENT ?auto_6291 ?auto_6297 ) ( LOCATION ?auto_6297 ) ( TRUCK ?auto_6298 ) ( LOCATION ?auto_6292 ) ( CITY ?auto_6293 ) ( IN-CITY ?auto_6292 ?auto_6293 ) ( IN-CITY ?auto_6297 ?auto_6293 ) ( DIFFERENT ?auto_6297 ?auto_6292 ) ( AT ?auto_6290 ?auto_6292 ) ( LOCATION ?auto_6300 ) ( CITY ?auto_6299 ) ( AT ?auto_6298 ?auto_6300 ) ( IN-CITY ?auto_6300 ?auto_6299 ) ( IN-CITY ?auto_6292 ?auto_6299 ) ( DIFFERENT ?auto_6292 ?auto_6300 ) ( AIRPORT ?auto_6303 ) ( AT ?auto_6294 ?auto_6303 ) ( DIFFERENT ?auto_6297 ?auto_6303 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6294 ?auto_6303 ?auto_6297 )
      ( DELIVER-PKG ?auto_6290 ?auto_6291 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7175
      ?auto_7176
    )
    :vars
    (
      ?auto_7182
      ?auto_7180
      ?auto_7181
      ?auto_7179
      ?auto_7183
      ?auto_7185
      ?auto_7184
      ?auto_7188
      ?auto_7187
    )
    :precondition
    ( and ( OBJ ?auto_7175 ) ( LOCATION ?auto_7176 ) ( TRUCK ?auto_7182 ) ( LOCATION ?auto_7180 ) ( CITY ?auto_7181 ) ( IN-CITY ?auto_7180 ?auto_7181 ) ( IN-CITY ?auto_7176 ?auto_7181 ) ( DIFFERENT ?auto_7176 ?auto_7180 ) ( LOCATION ?auto_7179 ) ( CITY ?auto_7183 ) ( IN-CITY ?auto_7179 ?auto_7183 ) ( IN-CITY ?auto_7180 ?auto_7183 ) ( DIFFERENT ?auto_7180 ?auto_7179 ) ( AT ?auto_7175 ?auto_7179 ) ( LOCATION ?auto_7185 ) ( CITY ?auto_7184 ) ( IN-CITY ?auto_7185 ?auto_7184 ) ( IN-CITY ?auto_7179 ?auto_7184 ) ( DIFFERENT ?auto_7179 ?auto_7185 ) ( LOCATION ?auto_7188 ) ( CITY ?auto_7187 ) ( AT ?auto_7182 ?auto_7188 ) ( IN-CITY ?auto_7188 ?auto_7187 ) ( IN-CITY ?auto_7185 ?auto_7187 ) ( DIFFERENT ?auto_7185 ?auto_7188 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7182 ?auto_7188 ?auto_7185 ?auto_7187 )
      ( DELIVER-PKG ?auto_7175 ?auto_7176 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7502
      ?auto_7503
    )
    :vars
    (
      ?auto_7505
      ?auto_7509
      ?auto_7506
      ?auto_7507
      ?auto_7508
      ?auto_7504
      ?auto_7511
      ?auto_7515
    )
    :precondition
    ( and ( OBJ ?auto_7502 ) ( LOCATION ?auto_7503 ) ( AIRPLANE ?auto_7505 ) ( AIRPORT ?auto_7509 ) ( AIRPORT ?auto_7503 ) ( AT ?auto_7505 ?auto_7509 ) ( DIFFERENT ?auto_7503 ?auto_7509 ) ( LOCATION ?auto_7506 ) ( AT ?auto_7505 ?auto_7506 ) ( TRUCK ?auto_7507 ) ( LOCATION ?auto_7508 ) ( CITY ?auto_7504 ) ( AT ?auto_7507 ?auto_7508 ) ( IN-CITY ?auto_7508 ?auto_7504 ) ( IN-CITY ?auto_7506 ?auto_7504 ) ( DIFFERENT ?auto_7506 ?auto_7508 ) ( LOCATION ?auto_7511 ) ( AT ?auto_7507 ?auto_7511 ) ( TRUCK ?auto_7515 ) ( AT ?auto_7515 ?auto_7511 ) ( IN ?auto_7502 ?auto_7515 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7502 ?auto_7511 )
      ( DELIVER-PKG ?auto_7502 ?auto_7503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7552
      ?auto_7553
    )
    :vars
    (
      ?auto_7563
      ?auto_7556
      ?auto_7559
      ?auto_7561
      ?auto_7557
      ?auto_7560
      ?auto_7566
      ?auto_7565
    )
    :precondition
    ( and ( OBJ ?auto_7552 ) ( LOCATION ?auto_7553 ) ( AIRPLANE ?auto_7563 ) ( AIRPORT ?auto_7556 ) ( AIRPORT ?auto_7553 ) ( AT ?auto_7563 ?auto_7556 ) ( DIFFERENT ?auto_7553 ?auto_7556 ) ( LOCATION ?auto_7559 ) ( AT ?auto_7563 ?auto_7559 ) ( TRUCK ?auto_7561 ) ( LOCATION ?auto_7557 ) ( CITY ?auto_7560 ) ( IN-CITY ?auto_7557 ?auto_7560 ) ( IN-CITY ?auto_7559 ?auto_7560 ) ( DIFFERENT ?auto_7559 ?auto_7557 ) ( IN ?auto_7552 ?auto_7561 ) ( LOCATION ?auto_7566 ) ( CITY ?auto_7565 ) ( AT ?auto_7561 ?auto_7566 ) ( IN-CITY ?auto_7566 ?auto_7565 ) ( IN-CITY ?auto_7557 ?auto_7565 ) ( DIFFERENT ?auto_7557 ?auto_7566 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7561 ?auto_7566 ?auto_7557 ?auto_7565 )
      ( DELIVER-PKG ?auto_7552 ?auto_7553 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7592
      ?auto_7593
    )
    :vars
    (
      ?auto_7601
      ?auto_7596
      ?auto_7598
      ?auto_7600
      ?auto_7597
      ?auto_7599
      ?auto_7603
      ?auto_7602
      ?auto_7605
    )
    :precondition
    ( and ( OBJ ?auto_7592 ) ( LOCATION ?auto_7593 ) ( AIRPLANE ?auto_7601 ) ( AIRPORT ?auto_7596 ) ( AIRPORT ?auto_7593 ) ( AT ?auto_7601 ?auto_7596 ) ( DIFFERENT ?auto_7593 ?auto_7596 ) ( LOCATION ?auto_7598 ) ( AT ?auto_7601 ?auto_7598 ) ( TRUCK ?auto_7600 ) ( LOCATION ?auto_7597 ) ( CITY ?auto_7599 ) ( IN-CITY ?auto_7597 ?auto_7599 ) ( IN-CITY ?auto_7598 ?auto_7599 ) ( DIFFERENT ?auto_7598 ?auto_7597 ) ( LOCATION ?auto_7603 ) ( CITY ?auto_7602 ) ( AT ?auto_7600 ?auto_7603 ) ( IN-CITY ?auto_7603 ?auto_7602 ) ( IN-CITY ?auto_7597 ?auto_7602 ) ( DIFFERENT ?auto_7597 ?auto_7603 ) ( LOCATION ?auto_7605 ) ( AT ?auto_7600 ?auto_7605 ) ( AT ?auto_7592 ?auto_7605 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7592 ?auto_7600 ?auto_7605 )
      ( DELIVER-PKG ?auto_7592 ?auto_7593 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7633
      ?auto_7634
    )
    :vars
    (
      ?auto_7636
      ?auto_7635
      ?auto_7642
      ?auto_7644
      ?auto_7641
      ?auto_7643
      ?auto_7645
      ?auto_7637
      ?auto_7648
      ?auto_7647
    )
    :precondition
    ( and ( OBJ ?auto_7633 ) ( LOCATION ?auto_7634 ) ( AIRPLANE ?auto_7636 ) ( AIRPORT ?auto_7635 ) ( AIRPORT ?auto_7634 ) ( AT ?auto_7636 ?auto_7635 ) ( DIFFERENT ?auto_7634 ?auto_7635 ) ( LOCATION ?auto_7642 ) ( AT ?auto_7636 ?auto_7642 ) ( TRUCK ?auto_7644 ) ( LOCATION ?auto_7641 ) ( CITY ?auto_7643 ) ( IN-CITY ?auto_7641 ?auto_7643 ) ( IN-CITY ?auto_7642 ?auto_7643 ) ( DIFFERENT ?auto_7642 ?auto_7641 ) ( LOCATION ?auto_7645 ) ( CITY ?auto_7637 ) ( IN-CITY ?auto_7645 ?auto_7637 ) ( IN-CITY ?auto_7641 ?auto_7637 ) ( DIFFERENT ?auto_7641 ?auto_7645 ) ( AT ?auto_7633 ?auto_7645 ) ( LOCATION ?auto_7648 ) ( CITY ?auto_7647 ) ( AT ?auto_7644 ?auto_7648 ) ( IN-CITY ?auto_7648 ?auto_7647 ) ( IN-CITY ?auto_7645 ?auto_7647 ) ( DIFFERENT ?auto_7645 ?auto_7648 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7644 ?auto_7648 ?auto_7645 ?auto_7647 )
      ( DELIVER-PKG ?auto_7633 ?auto_7634 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7706
      ?auto_7707
    )
    :vars
    (
      ?auto_7717
      ?auto_7709
      ?auto_7712
      ?auto_7714
      ?auto_7711
      ?auto_7713
      ?auto_7715
      ?auto_7710
      ?auto_7719
      ?auto_7718
      ?auto_7722
      ?auto_7721
    )
    :precondition
    ( and ( OBJ ?auto_7706 ) ( LOCATION ?auto_7707 ) ( AIRPLANE ?auto_7717 ) ( AIRPORT ?auto_7709 ) ( AIRPORT ?auto_7707 ) ( AT ?auto_7717 ?auto_7709 ) ( DIFFERENT ?auto_7707 ?auto_7709 ) ( LOCATION ?auto_7712 ) ( AT ?auto_7717 ?auto_7712 ) ( TRUCK ?auto_7714 ) ( LOCATION ?auto_7711 ) ( CITY ?auto_7713 ) ( IN-CITY ?auto_7711 ?auto_7713 ) ( IN-CITY ?auto_7712 ?auto_7713 ) ( DIFFERENT ?auto_7712 ?auto_7711 ) ( LOCATION ?auto_7715 ) ( CITY ?auto_7710 ) ( IN-CITY ?auto_7715 ?auto_7710 ) ( IN-CITY ?auto_7711 ?auto_7710 ) ( DIFFERENT ?auto_7711 ?auto_7715 ) ( AT ?auto_7706 ?auto_7715 ) ( LOCATION ?auto_7719 ) ( CITY ?auto_7718 ) ( IN-CITY ?auto_7719 ?auto_7718 ) ( IN-CITY ?auto_7715 ?auto_7718 ) ( DIFFERENT ?auto_7715 ?auto_7719 ) ( LOCATION ?auto_7722 ) ( CITY ?auto_7721 ) ( AT ?auto_7714 ?auto_7722 ) ( IN-CITY ?auto_7722 ?auto_7721 ) ( IN-CITY ?auto_7719 ?auto_7721 ) ( DIFFERENT ?auto_7719 ?auto_7722 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7714 ?auto_7722 ?auto_7719 ?auto_7721 )
      ( DELIVER-PKG ?auto_7706 ?auto_7707 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7756
      ?auto_7757
    )
    :vars
    (
      ?auto_7767
      ?auto_7763
      ?auto_7765
      ?auto_7762
      ?auto_7764
      ?auto_7766
      ?auto_7761
      ?auto_7769
      ?auto_7768
      ?auto_7771
      ?auto_7770
      ?auto_7773
    )
    :precondition
    ( and ( OBJ ?auto_7756 ) ( LOCATION ?auto_7757 ) ( AIRPLANE ?auto_7767 ) ( AIRPORT ?auto_7763 ) ( AIRPORT ?auto_7757 ) ( DIFFERENT ?auto_7757 ?auto_7763 ) ( LOCATION ?auto_7763 ) ( TRUCK ?auto_7765 ) ( LOCATION ?auto_7762 ) ( CITY ?auto_7764 ) ( IN-CITY ?auto_7762 ?auto_7764 ) ( IN-CITY ?auto_7763 ?auto_7764 ) ( DIFFERENT ?auto_7763 ?auto_7762 ) ( LOCATION ?auto_7766 ) ( CITY ?auto_7761 ) ( IN-CITY ?auto_7766 ?auto_7761 ) ( IN-CITY ?auto_7762 ?auto_7761 ) ( DIFFERENT ?auto_7762 ?auto_7766 ) ( AT ?auto_7756 ?auto_7766 ) ( LOCATION ?auto_7769 ) ( CITY ?auto_7768 ) ( IN-CITY ?auto_7769 ?auto_7768 ) ( IN-CITY ?auto_7766 ?auto_7768 ) ( DIFFERENT ?auto_7766 ?auto_7769 ) ( LOCATION ?auto_7771 ) ( CITY ?auto_7770 ) ( AT ?auto_7765 ?auto_7771 ) ( IN-CITY ?auto_7771 ?auto_7770 ) ( IN-CITY ?auto_7769 ?auto_7770 ) ( DIFFERENT ?auto_7769 ?auto_7771 ) ( AIRPORT ?auto_7773 ) ( AT ?auto_7767 ?auto_7773 ) ( DIFFERENT ?auto_7763 ?auto_7773 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7767 ?auto_7773 ?auto_7763 )
      ( DELIVER-PKG ?auto_7756 ?auto_7757 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8305
      ?auto_8306
    )
    :vars
    (
      ?auto_8307
      ?auto_8310
      ?auto_8317
      ?auto_8311
      ?auto_8312
      ?auto_8313
      ?auto_8314
      ?auto_8316
      ?auto_8315
      ?auto_8321
      ?auto_8320
    )
    :precondition
    ( and ( OBJ ?auto_8305 ) ( LOCATION ?auto_8306 ) ( TRUCK ?auto_8307 ) ( LOCATION ?auto_8310 ) ( CITY ?auto_8317 ) ( IN-CITY ?auto_8310 ?auto_8317 ) ( IN-CITY ?auto_8306 ?auto_8317 ) ( DIFFERENT ?auto_8306 ?auto_8310 ) ( AIRPLANE ?auto_8311 ) ( AIRPORT ?auto_8312 ) ( AIRPORT ?auto_8310 ) ( AT ?auto_8311 ?auto_8312 ) ( DIFFERENT ?auto_8310 ?auto_8312 ) ( LOCATION ?auto_8313 ) ( AT ?auto_8311 ?auto_8313 ) ( TRUCK ?auto_8314 ) ( IN ?auto_8305 ?auto_8314 ) ( LOCATION ?auto_8316 ) ( CITY ?auto_8315 ) ( AT ?auto_8314 ?auto_8316 ) ( IN-CITY ?auto_8316 ?auto_8315 ) ( IN-CITY ?auto_8313 ?auto_8315 ) ( DIFFERENT ?auto_8313 ?auto_8316 ) ( LOCATION ?auto_8321 ) ( CITY ?auto_8320 ) ( AT ?auto_8307 ?auto_8321 ) ( IN-CITY ?auto_8321 ?auto_8320 ) ( IN-CITY ?auto_8310 ?auto_8320 ) ( DIFFERENT ?auto_8310 ?auto_8321 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8307 ?auto_8321 ?auto_8310 ?auto_8320 )
      ( DELIVER-PKG ?auto_8305 ?auto_8306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8323
      ?auto_8324
    )
    :vars
    (
      ?auto_8335
      ?auto_8327
      ?auto_8334
      ?auto_8328
      ?auto_8329
      ?auto_8330
      ?auto_8331
      ?auto_8333
      ?auto_8332
      ?auto_8337
      ?auto_8336
      ?auto_8339
    )
    :precondition
    ( and ( OBJ ?auto_8323 ) ( LOCATION ?auto_8324 ) ( TRUCK ?auto_8335 ) ( LOCATION ?auto_8327 ) ( CITY ?auto_8334 ) ( IN-CITY ?auto_8327 ?auto_8334 ) ( IN-CITY ?auto_8324 ?auto_8334 ) ( DIFFERENT ?auto_8324 ?auto_8327 ) ( AIRPLANE ?auto_8328 ) ( AIRPORT ?auto_8329 ) ( AIRPORT ?auto_8327 ) ( AT ?auto_8328 ?auto_8329 ) ( DIFFERENT ?auto_8327 ?auto_8329 ) ( LOCATION ?auto_8330 ) ( AT ?auto_8328 ?auto_8330 ) ( TRUCK ?auto_8331 ) ( LOCATION ?auto_8333 ) ( CITY ?auto_8332 ) ( AT ?auto_8331 ?auto_8333 ) ( IN-CITY ?auto_8333 ?auto_8332 ) ( IN-CITY ?auto_8330 ?auto_8332 ) ( DIFFERENT ?auto_8330 ?auto_8333 ) ( LOCATION ?auto_8337 ) ( CITY ?auto_8336 ) ( AT ?auto_8335 ?auto_8337 ) ( IN-CITY ?auto_8337 ?auto_8336 ) ( IN-CITY ?auto_8327 ?auto_8336 ) ( DIFFERENT ?auto_8327 ?auto_8337 ) ( LOCATION ?auto_8339 ) ( AT ?auto_8331 ?auto_8339 ) ( AT ?auto_8323 ?auto_8339 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8323 ?auto_8331 ?auto_8339 )
      ( DELIVER-PKG ?auto_8323 ?auto_8324 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8874
      ?auto_8875
    )
    :vars
    (
      ?auto_8886
      ?auto_8889
      ?auto_8881
      ?auto_8877
      ?auto_8880
      ?auto_8882
      ?auto_8876
      ?auto_8883
      ?auto_8879
      ?auto_8878
      ?auto_8885
      ?auto_8884
      ?auto_8887
      ?auto_8893
    )
    :precondition
    ( and ( OBJ ?auto_8874 ) ( LOCATION ?auto_8875 ) ( TRUCK ?auto_8886 ) ( LOCATION ?auto_8889 ) ( CITY ?auto_8881 ) ( IN-CITY ?auto_8889 ?auto_8881 ) ( IN-CITY ?auto_8875 ?auto_8881 ) ( DIFFERENT ?auto_8875 ?auto_8889 ) ( LOCATION ?auto_8877 ) ( CITY ?auto_8880 ) ( AT ?auto_8886 ?auto_8877 ) ( IN-CITY ?auto_8877 ?auto_8880 ) ( IN-CITY ?auto_8889 ?auto_8880 ) ( DIFFERENT ?auto_8889 ?auto_8877 ) ( LOCATION ?auto_8882 ) ( AT ?auto_8886 ?auto_8882 ) ( AIRPLANE ?auto_8876 ) ( AIRPORT ?auto_8883 ) ( AIRPORT ?auto_8882 ) ( AT ?auto_8876 ?auto_8883 ) ( DIFFERENT ?auto_8882 ?auto_8883 ) ( LOCATION ?auto_8879 ) ( AT ?auto_8876 ?auto_8879 ) ( TRUCK ?auto_8878 ) ( LOCATION ?auto_8885 ) ( CITY ?auto_8884 ) ( AT ?auto_8878 ?auto_8885 ) ( IN-CITY ?auto_8885 ?auto_8884 ) ( IN-CITY ?auto_8879 ?auto_8884 ) ( DIFFERENT ?auto_8879 ?auto_8885 ) ( LOCATION ?auto_8887 ) ( AT ?auto_8878 ?auto_8887 ) ( TRUCK ?auto_8893 ) ( AT ?auto_8893 ?auto_8887 ) ( IN ?auto_8874 ?auto_8893 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8874 ?auto_8887 )
      ( DELIVER-PKG ?auto_8874 ?auto_8875 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8948
      ?auto_8949
    )
    :vars
    (
      ?auto_8961
      ?auto_8963
      ?auto_8956
      ?auto_8951
      ?auto_8955
      ?auto_8957
      ?auto_8950
      ?auto_8958
      ?auto_8965
      ?auto_8964
      ?auto_8962
      ?auto_8959
      ?auto_8968
      ?auto_8967
    )
    :precondition
    ( and ( OBJ ?auto_8948 ) ( LOCATION ?auto_8949 ) ( TRUCK ?auto_8961 ) ( LOCATION ?auto_8963 ) ( CITY ?auto_8956 ) ( IN-CITY ?auto_8963 ?auto_8956 ) ( IN-CITY ?auto_8949 ?auto_8956 ) ( DIFFERENT ?auto_8949 ?auto_8963 ) ( LOCATION ?auto_8951 ) ( CITY ?auto_8955 ) ( AT ?auto_8961 ?auto_8951 ) ( IN-CITY ?auto_8951 ?auto_8955 ) ( IN-CITY ?auto_8963 ?auto_8955 ) ( DIFFERENT ?auto_8963 ?auto_8951 ) ( LOCATION ?auto_8957 ) ( AT ?auto_8961 ?auto_8957 ) ( AIRPLANE ?auto_8950 ) ( AIRPORT ?auto_8958 ) ( AIRPORT ?auto_8957 ) ( AT ?auto_8950 ?auto_8958 ) ( DIFFERENT ?auto_8957 ?auto_8958 ) ( LOCATION ?auto_8965 ) ( AT ?auto_8950 ?auto_8965 ) ( TRUCK ?auto_8964 ) ( LOCATION ?auto_8962 ) ( CITY ?auto_8959 ) ( IN-CITY ?auto_8962 ?auto_8959 ) ( IN-CITY ?auto_8965 ?auto_8959 ) ( DIFFERENT ?auto_8965 ?auto_8962 ) ( IN ?auto_8948 ?auto_8964 ) ( LOCATION ?auto_8968 ) ( CITY ?auto_8967 ) ( AT ?auto_8964 ?auto_8968 ) ( IN-CITY ?auto_8968 ?auto_8967 ) ( IN-CITY ?auto_8962 ?auto_8967 ) ( DIFFERENT ?auto_8962 ?auto_8968 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8964 ?auto_8968 ?auto_8962 ?auto_8967 )
      ( DELIVER-PKG ?auto_8948 ?auto_8949 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9006
      ?auto_9007
    )
    :vars
    (
      ?auto_9018
      ?auto_9020
      ?auto_9014
      ?auto_9012
      ?auto_9013
      ?auto_9015
      ?auto_9011
      ?auto_9016
      ?auto_9022
      ?auto_9021
      ?auto_9019
      ?auto_9017
      ?auto_9023
      ?auto_9009
      ?auto_9025
    )
    :precondition
    ( and ( OBJ ?auto_9006 ) ( LOCATION ?auto_9007 ) ( TRUCK ?auto_9018 ) ( LOCATION ?auto_9020 ) ( CITY ?auto_9014 ) ( IN-CITY ?auto_9020 ?auto_9014 ) ( IN-CITY ?auto_9007 ?auto_9014 ) ( DIFFERENT ?auto_9007 ?auto_9020 ) ( LOCATION ?auto_9012 ) ( CITY ?auto_9013 ) ( AT ?auto_9018 ?auto_9012 ) ( IN-CITY ?auto_9012 ?auto_9013 ) ( IN-CITY ?auto_9020 ?auto_9013 ) ( DIFFERENT ?auto_9020 ?auto_9012 ) ( LOCATION ?auto_9015 ) ( AT ?auto_9018 ?auto_9015 ) ( AIRPLANE ?auto_9011 ) ( AIRPORT ?auto_9016 ) ( AIRPORT ?auto_9015 ) ( AT ?auto_9011 ?auto_9016 ) ( DIFFERENT ?auto_9015 ?auto_9016 ) ( LOCATION ?auto_9022 ) ( AT ?auto_9011 ?auto_9022 ) ( TRUCK ?auto_9021 ) ( LOCATION ?auto_9019 ) ( CITY ?auto_9017 ) ( IN-CITY ?auto_9019 ?auto_9017 ) ( IN-CITY ?auto_9022 ?auto_9017 ) ( DIFFERENT ?auto_9022 ?auto_9019 ) ( LOCATION ?auto_9023 ) ( CITY ?auto_9009 ) ( AT ?auto_9021 ?auto_9023 ) ( IN-CITY ?auto_9023 ?auto_9009 ) ( IN-CITY ?auto_9019 ?auto_9009 ) ( DIFFERENT ?auto_9019 ?auto_9023 ) ( LOCATION ?auto_9025 ) ( AT ?auto_9021 ?auto_9025 ) ( AT ?auto_9006 ?auto_9025 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9006 ?auto_9021 ?auto_9025 )
      ( DELIVER-PKG ?auto_9006 ?auto_9007 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9065
      ?auto_9066
    )
    :vars
    (
      ?auto_9069
      ?auto_9071
      ?auto_9078
      ?auto_9076
      ?auto_9077
      ?auto_9079
      ?auto_9081
      ?auto_9067
      ?auto_9082
      ?auto_9072
      ?auto_9070
      ?auto_9068
      ?auto_9074
      ?auto_9075
      ?auto_9086
      ?auto_9085
    )
    :precondition
    ( and ( OBJ ?auto_9065 ) ( LOCATION ?auto_9066 ) ( TRUCK ?auto_9069 ) ( LOCATION ?auto_9071 ) ( CITY ?auto_9078 ) ( IN-CITY ?auto_9071 ?auto_9078 ) ( IN-CITY ?auto_9066 ?auto_9078 ) ( DIFFERENT ?auto_9066 ?auto_9071 ) ( LOCATION ?auto_9076 ) ( CITY ?auto_9077 ) ( AT ?auto_9069 ?auto_9076 ) ( IN-CITY ?auto_9076 ?auto_9077 ) ( IN-CITY ?auto_9071 ?auto_9077 ) ( DIFFERENT ?auto_9071 ?auto_9076 ) ( LOCATION ?auto_9079 ) ( AT ?auto_9069 ?auto_9079 ) ( AIRPLANE ?auto_9081 ) ( AIRPORT ?auto_9067 ) ( AIRPORT ?auto_9079 ) ( AT ?auto_9081 ?auto_9067 ) ( DIFFERENT ?auto_9079 ?auto_9067 ) ( LOCATION ?auto_9082 ) ( AT ?auto_9081 ?auto_9082 ) ( TRUCK ?auto_9072 ) ( LOCATION ?auto_9070 ) ( CITY ?auto_9068 ) ( IN-CITY ?auto_9070 ?auto_9068 ) ( IN-CITY ?auto_9082 ?auto_9068 ) ( DIFFERENT ?auto_9082 ?auto_9070 ) ( LOCATION ?auto_9074 ) ( CITY ?auto_9075 ) ( IN-CITY ?auto_9074 ?auto_9075 ) ( IN-CITY ?auto_9070 ?auto_9075 ) ( DIFFERENT ?auto_9070 ?auto_9074 ) ( AT ?auto_9065 ?auto_9074 ) ( LOCATION ?auto_9086 ) ( CITY ?auto_9085 ) ( AT ?auto_9072 ?auto_9086 ) ( IN-CITY ?auto_9086 ?auto_9085 ) ( IN-CITY ?auto_9074 ?auto_9085 ) ( DIFFERENT ?auto_9074 ?auto_9086 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9072 ?auto_9086 ?auto_9074 ?auto_9085 )
      ( DELIVER-PKG ?auto_9065 ?auto_9066 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9168
      ?auto_9169
    )
    :vars
    (
      ?auto_9177
      ?auto_9171
      ?auto_9182
      ?auto_9180
      ?auto_9181
      ?auto_9183
      ?auto_9184
      ?auto_9174
      ?auto_9186
      ?auto_9172
      ?auto_9170
      ?auto_9175
      ?auto_9173
      ?auto_9179
      ?auto_9187
      ?auto_9176
      ?auto_9190
      ?auto_9189
    )
    :precondition
    ( and ( OBJ ?auto_9168 ) ( LOCATION ?auto_9169 ) ( TRUCK ?auto_9177 ) ( LOCATION ?auto_9171 ) ( CITY ?auto_9182 ) ( IN-CITY ?auto_9171 ?auto_9182 ) ( IN-CITY ?auto_9169 ?auto_9182 ) ( DIFFERENT ?auto_9169 ?auto_9171 ) ( LOCATION ?auto_9180 ) ( CITY ?auto_9181 ) ( AT ?auto_9177 ?auto_9180 ) ( IN-CITY ?auto_9180 ?auto_9181 ) ( IN-CITY ?auto_9171 ?auto_9181 ) ( DIFFERENT ?auto_9171 ?auto_9180 ) ( LOCATION ?auto_9183 ) ( AT ?auto_9177 ?auto_9183 ) ( AIRPLANE ?auto_9184 ) ( AIRPORT ?auto_9174 ) ( AIRPORT ?auto_9183 ) ( AT ?auto_9184 ?auto_9174 ) ( DIFFERENT ?auto_9183 ?auto_9174 ) ( LOCATION ?auto_9186 ) ( AT ?auto_9184 ?auto_9186 ) ( TRUCK ?auto_9172 ) ( LOCATION ?auto_9170 ) ( CITY ?auto_9175 ) ( IN-CITY ?auto_9170 ?auto_9175 ) ( IN-CITY ?auto_9186 ?auto_9175 ) ( DIFFERENT ?auto_9186 ?auto_9170 ) ( LOCATION ?auto_9173 ) ( CITY ?auto_9179 ) ( IN-CITY ?auto_9173 ?auto_9179 ) ( IN-CITY ?auto_9170 ?auto_9179 ) ( DIFFERENT ?auto_9170 ?auto_9173 ) ( AT ?auto_9168 ?auto_9173 ) ( LOCATION ?auto_9187 ) ( CITY ?auto_9176 ) ( IN-CITY ?auto_9187 ?auto_9176 ) ( IN-CITY ?auto_9173 ?auto_9176 ) ( DIFFERENT ?auto_9173 ?auto_9187 ) ( LOCATION ?auto_9190 ) ( CITY ?auto_9189 ) ( AT ?auto_9172 ?auto_9190 ) ( IN-CITY ?auto_9190 ?auto_9189 ) ( IN-CITY ?auto_9187 ?auto_9189 ) ( DIFFERENT ?auto_9187 ?auto_9190 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9172 ?auto_9190 ?auto_9187 ?auto_9189 )
      ( DELIVER-PKG ?auto_9168 ?auto_9169 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9236
      ?auto_9237
    )
    :vars
    (
      ?auto_9247
      ?auto_9240
      ?auto_9251
      ?auto_9249
      ?auto_9250
      ?auto_9252
      ?auto_9253
      ?auto_9255
      ?auto_9241
      ?auto_9238
      ?auto_9245
      ?auto_9242
      ?auto_9248
      ?auto_9256
      ?auto_9246
      ?auto_9257
      ?auto_9254
      ?auto_9259
    )
    :precondition
    ( and ( OBJ ?auto_9236 ) ( LOCATION ?auto_9237 ) ( TRUCK ?auto_9247 ) ( LOCATION ?auto_9240 ) ( CITY ?auto_9251 ) ( IN-CITY ?auto_9240 ?auto_9251 ) ( IN-CITY ?auto_9237 ?auto_9251 ) ( DIFFERENT ?auto_9237 ?auto_9240 ) ( LOCATION ?auto_9249 ) ( CITY ?auto_9250 ) ( AT ?auto_9247 ?auto_9249 ) ( IN-CITY ?auto_9249 ?auto_9250 ) ( IN-CITY ?auto_9240 ?auto_9250 ) ( DIFFERENT ?auto_9240 ?auto_9249 ) ( LOCATION ?auto_9252 ) ( AT ?auto_9247 ?auto_9252 ) ( AIRPLANE ?auto_9253 ) ( AIRPORT ?auto_9255 ) ( AIRPORT ?auto_9252 ) ( DIFFERENT ?auto_9252 ?auto_9255 ) ( LOCATION ?auto_9255 ) ( TRUCK ?auto_9241 ) ( LOCATION ?auto_9238 ) ( CITY ?auto_9245 ) ( IN-CITY ?auto_9238 ?auto_9245 ) ( IN-CITY ?auto_9255 ?auto_9245 ) ( DIFFERENT ?auto_9255 ?auto_9238 ) ( LOCATION ?auto_9242 ) ( CITY ?auto_9248 ) ( IN-CITY ?auto_9242 ?auto_9248 ) ( IN-CITY ?auto_9238 ?auto_9248 ) ( DIFFERENT ?auto_9238 ?auto_9242 ) ( AT ?auto_9236 ?auto_9242 ) ( LOCATION ?auto_9256 ) ( CITY ?auto_9246 ) ( IN-CITY ?auto_9256 ?auto_9246 ) ( IN-CITY ?auto_9242 ?auto_9246 ) ( DIFFERENT ?auto_9242 ?auto_9256 ) ( LOCATION ?auto_9257 ) ( CITY ?auto_9254 ) ( AT ?auto_9241 ?auto_9257 ) ( IN-CITY ?auto_9257 ?auto_9254 ) ( IN-CITY ?auto_9256 ?auto_9254 ) ( DIFFERENT ?auto_9256 ?auto_9257 ) ( AIRPORT ?auto_9259 ) ( AT ?auto_9253 ?auto_9259 ) ( DIFFERENT ?auto_9255 ?auto_9259 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9253 ?auto_9259 ?auto_9255 )
      ( DELIVER-PKG ?auto_9236 ?auto_9237 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9261
      ?auto_9262
    )
    :vars
    (
      ?auto_9282
      ?auto_9274
      ?auto_9264
      ?auto_9265
      ?auto_9279
      ?auto_9266
      ?auto_9268
      ?auto_9275
      ?auto_9273
      ?auto_9280
      ?auto_9276
      ?auto_9277
      ?auto_9270
      ?auto_9281
      ?auto_9271
      ?auto_9267
      ?auto_9269
      ?auto_9285
      ?auto_9284
    )
    :precondition
    ( and ( OBJ ?auto_9261 ) ( LOCATION ?auto_9262 ) ( TRUCK ?auto_9282 ) ( LOCATION ?auto_9274 ) ( CITY ?auto_9264 ) ( IN-CITY ?auto_9274 ?auto_9264 ) ( IN-CITY ?auto_9262 ?auto_9264 ) ( DIFFERENT ?auto_9262 ?auto_9274 ) ( LOCATION ?auto_9265 ) ( CITY ?auto_9279 ) ( IN-CITY ?auto_9265 ?auto_9279 ) ( IN-CITY ?auto_9274 ?auto_9279 ) ( DIFFERENT ?auto_9274 ?auto_9265 ) ( AIRPLANE ?auto_9266 ) ( AIRPORT ?auto_9268 ) ( AIRPORT ?auto_9265 ) ( DIFFERENT ?auto_9265 ?auto_9268 ) ( LOCATION ?auto_9268 ) ( TRUCK ?auto_9275 ) ( LOCATION ?auto_9273 ) ( CITY ?auto_9280 ) ( IN-CITY ?auto_9273 ?auto_9280 ) ( IN-CITY ?auto_9268 ?auto_9280 ) ( DIFFERENT ?auto_9268 ?auto_9273 ) ( LOCATION ?auto_9276 ) ( CITY ?auto_9277 ) ( IN-CITY ?auto_9276 ?auto_9277 ) ( IN-CITY ?auto_9273 ?auto_9277 ) ( DIFFERENT ?auto_9273 ?auto_9276 ) ( AT ?auto_9261 ?auto_9276 ) ( LOCATION ?auto_9270 ) ( CITY ?auto_9281 ) ( IN-CITY ?auto_9270 ?auto_9281 ) ( IN-CITY ?auto_9276 ?auto_9281 ) ( DIFFERENT ?auto_9276 ?auto_9270 ) ( LOCATION ?auto_9271 ) ( CITY ?auto_9267 ) ( AT ?auto_9275 ?auto_9271 ) ( IN-CITY ?auto_9271 ?auto_9267 ) ( IN-CITY ?auto_9270 ?auto_9267 ) ( DIFFERENT ?auto_9270 ?auto_9271 ) ( AIRPORT ?auto_9269 ) ( AT ?auto_9266 ?auto_9269 ) ( DIFFERENT ?auto_9268 ?auto_9269 ) ( LOCATION ?auto_9285 ) ( CITY ?auto_9284 ) ( AT ?auto_9282 ?auto_9285 ) ( IN-CITY ?auto_9285 ?auto_9284 ) ( IN-CITY ?auto_9265 ?auto_9284 ) ( DIFFERENT ?auto_9265 ?auto_9285 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9282 ?auto_9285 ?auto_9265 ?auto_9284 )
      ( DELIVER-PKG ?auto_9261 ?auto_9262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11253
      ?auto_11254
    )
    :vars
    (
      ?auto_11259
      ?auto_11262
      ?auto_11263
      ?auto_11264
      ?auto_11255
      ?auto_11258
      ?auto_11257
      ?auto_11266
      ?auto_11260
      ?auto_11268
    )
    :precondition
    ( and ( OBJ ?auto_11253 ) ( LOCATION ?auto_11254 ) ( AIRPLANE ?auto_11259 ) ( AIRPORT ?auto_11262 ) ( AIRPORT ?auto_11254 ) ( DIFFERENT ?auto_11254 ?auto_11262 ) ( LOCATION ?auto_11262 ) ( TRUCK ?auto_11263 ) ( LOCATION ?auto_11264 ) ( CITY ?auto_11255 ) ( IN-CITY ?auto_11264 ?auto_11255 ) ( IN-CITY ?auto_11262 ?auto_11255 ) ( DIFFERENT ?auto_11262 ?auto_11264 ) ( LOCATION ?auto_11258 ) ( CITY ?auto_11257 ) ( IN-CITY ?auto_11258 ?auto_11257 ) ( IN-CITY ?auto_11264 ?auto_11257 ) ( DIFFERENT ?auto_11264 ?auto_11258 ) ( AT ?auto_11253 ?auto_11258 ) ( LOCATION ?auto_11266 ) ( CITY ?auto_11260 ) ( AT ?auto_11263 ?auto_11266 ) ( IN-CITY ?auto_11266 ?auto_11260 ) ( IN-CITY ?auto_11258 ?auto_11260 ) ( DIFFERENT ?auto_11258 ?auto_11266 ) ( AIRPORT ?auto_11268 ) ( AT ?auto_11259 ?auto_11268 ) ( DIFFERENT ?auto_11262 ?auto_11268 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11259 ?auto_11268 ?auto_11262 )
      ( DELIVER-PKG ?auto_11253 ?auto_11254 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11489
      ?auto_11490
    )
    :vars
    (
      ?auto_11493
      ?auto_11495
      ?auto_11494
      ?auto_11497
      ?auto_11496
      ?auto_11499
      ?auto_11498
      ?auto_11501
      ?auto_11500
      ?auto_11504
      ?auto_11503
    )
    :precondition
    ( and ( OBJ ?auto_11489 ) ( LOCATION ?auto_11490 ) ( TRUCK ?auto_11493 ) ( LOCATION ?auto_11495 ) ( CITY ?auto_11494 ) ( IN-CITY ?auto_11495 ?auto_11494 ) ( IN-CITY ?auto_11490 ?auto_11494 ) ( DIFFERENT ?auto_11490 ?auto_11495 ) ( AT ?auto_11489 ?auto_11495 ) ( LOCATION ?auto_11497 ) ( CITY ?auto_11496 ) ( IN-CITY ?auto_11497 ?auto_11496 ) ( IN-CITY ?auto_11495 ?auto_11496 ) ( DIFFERENT ?auto_11495 ?auto_11497 ) ( LOCATION ?auto_11499 ) ( CITY ?auto_11498 ) ( IN-CITY ?auto_11499 ?auto_11498 ) ( IN-CITY ?auto_11497 ?auto_11498 ) ( DIFFERENT ?auto_11497 ?auto_11499 ) ( LOCATION ?auto_11501 ) ( CITY ?auto_11500 ) ( IN-CITY ?auto_11501 ?auto_11500 ) ( IN-CITY ?auto_11499 ?auto_11500 ) ( DIFFERENT ?auto_11499 ?auto_11501 ) ( LOCATION ?auto_11504 ) ( CITY ?auto_11503 ) ( AT ?auto_11493 ?auto_11504 ) ( IN-CITY ?auto_11504 ?auto_11503 ) ( IN-CITY ?auto_11501 ?auto_11503 ) ( DIFFERENT ?auto_11501 ?auto_11504 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11493 ?auto_11504 ?auto_11501 ?auto_11503 )
      ( DELIVER-PKG ?auto_11489 ?auto_11490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12173
      ?auto_12174
    )
    :vars
    (
      ?auto_12178
      ?auto_12180
      ?auto_12177
      ?auto_12181
      ?auto_12182
      ?auto_12179
      ?auto_12184
      ?auto_12183
      ?auto_12186
      ?auto_12185
      ?auto_12188
      ?auto_12187
      ?auto_12191
      ?auto_12190
    )
    :precondition
    ( and ( OBJ ?auto_12173 ) ( LOCATION ?auto_12174 ) ( AIRPLANE ?auto_12178 ) ( AIRPORT ?auto_12180 ) ( AIRPORT ?auto_12174 ) ( AT ?auto_12178 ?auto_12180 ) ( DIFFERENT ?auto_12174 ?auto_12180 ) ( LOCATION ?auto_12177 ) ( AT ?auto_12178 ?auto_12177 ) ( TRUCK ?auto_12181 ) ( LOCATION ?auto_12182 ) ( CITY ?auto_12179 ) ( IN-CITY ?auto_12182 ?auto_12179 ) ( IN-CITY ?auto_12177 ?auto_12179 ) ( DIFFERENT ?auto_12177 ?auto_12182 ) ( AT ?auto_12173 ?auto_12182 ) ( LOCATION ?auto_12184 ) ( CITY ?auto_12183 ) ( IN-CITY ?auto_12184 ?auto_12183 ) ( IN-CITY ?auto_12182 ?auto_12183 ) ( DIFFERENT ?auto_12182 ?auto_12184 ) ( LOCATION ?auto_12186 ) ( CITY ?auto_12185 ) ( IN-CITY ?auto_12186 ?auto_12185 ) ( IN-CITY ?auto_12184 ?auto_12185 ) ( DIFFERENT ?auto_12184 ?auto_12186 ) ( LOCATION ?auto_12188 ) ( CITY ?auto_12187 ) ( IN-CITY ?auto_12188 ?auto_12187 ) ( IN-CITY ?auto_12186 ?auto_12187 ) ( DIFFERENT ?auto_12186 ?auto_12188 ) ( LOCATION ?auto_12191 ) ( CITY ?auto_12190 ) ( AT ?auto_12181 ?auto_12191 ) ( IN-CITY ?auto_12191 ?auto_12190 ) ( IN-CITY ?auto_12188 ?auto_12190 ) ( DIFFERENT ?auto_12188 ?auto_12191 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12181 ?auto_12191 ?auto_12188 ?auto_12190 )
      ( DELIVER-PKG ?auto_12173 ?auto_12174 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12265
      ?auto_12266
    )
    :vars
    (
      ?auto_12269
      ?auto_12268
      ?auto_12272
      ?auto_12273
      ?auto_12270
      ?auto_12275
      ?auto_12274
      ?auto_12277
      ?auto_12276
      ?auto_12279
      ?auto_12278
      ?auto_12281
      ?auto_12280
      ?auto_12284
    )
    :precondition
    ( and ( OBJ ?auto_12265 ) ( LOCATION ?auto_12266 ) ( AIRPLANE ?auto_12269 ) ( AIRPORT ?auto_12268 ) ( AIRPORT ?auto_12266 ) ( DIFFERENT ?auto_12266 ?auto_12268 ) ( LOCATION ?auto_12268 ) ( TRUCK ?auto_12272 ) ( LOCATION ?auto_12273 ) ( CITY ?auto_12270 ) ( IN-CITY ?auto_12273 ?auto_12270 ) ( IN-CITY ?auto_12268 ?auto_12270 ) ( DIFFERENT ?auto_12268 ?auto_12273 ) ( AT ?auto_12265 ?auto_12273 ) ( LOCATION ?auto_12275 ) ( CITY ?auto_12274 ) ( IN-CITY ?auto_12275 ?auto_12274 ) ( IN-CITY ?auto_12273 ?auto_12274 ) ( DIFFERENT ?auto_12273 ?auto_12275 ) ( LOCATION ?auto_12277 ) ( CITY ?auto_12276 ) ( IN-CITY ?auto_12277 ?auto_12276 ) ( IN-CITY ?auto_12275 ?auto_12276 ) ( DIFFERENT ?auto_12275 ?auto_12277 ) ( LOCATION ?auto_12279 ) ( CITY ?auto_12278 ) ( IN-CITY ?auto_12279 ?auto_12278 ) ( IN-CITY ?auto_12277 ?auto_12278 ) ( DIFFERENT ?auto_12277 ?auto_12279 ) ( LOCATION ?auto_12281 ) ( CITY ?auto_12280 ) ( AT ?auto_12272 ?auto_12281 ) ( IN-CITY ?auto_12281 ?auto_12280 ) ( IN-CITY ?auto_12279 ?auto_12280 ) ( DIFFERENT ?auto_12279 ?auto_12281 ) ( AIRPORT ?auto_12284 ) ( AT ?auto_12269 ?auto_12284 ) ( DIFFERENT ?auto_12268 ?auto_12284 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12269 ?auto_12284 ?auto_12268 )
      ( DELIVER-PKG ?auto_12265 ?auto_12266 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12869
      ?auto_12870
    )
    :vars
    (
      ?auto_12878
      ?auto_12876
      ?auto_12879
      ?auto_12877
      ?auto_12875
      ?auto_12880
      ?auto_12882
      ?auto_12872
      ?auto_12883
      ?auto_12881
      ?auto_12885
      ?auto_12884
      ?auto_12887
      ?auto_12886
      ?auto_12888
      ?auto_12874
      ?auto_12891
      ?auto_12890
    )
    :precondition
    ( and ( OBJ ?auto_12869 ) ( LOCATION ?auto_12870 ) ( TRUCK ?auto_12878 ) ( LOCATION ?auto_12876 ) ( CITY ?auto_12879 ) ( AT ?auto_12878 ?auto_12876 ) ( IN-CITY ?auto_12876 ?auto_12879 ) ( IN-CITY ?auto_12870 ?auto_12879 ) ( DIFFERENT ?auto_12870 ?auto_12876 ) ( LOCATION ?auto_12877 ) ( AT ?auto_12878 ?auto_12877 ) ( AIRPLANE ?auto_12875 ) ( AIRPORT ?auto_12880 ) ( AIRPORT ?auto_12877 ) ( AT ?auto_12875 ?auto_12880 ) ( DIFFERENT ?auto_12877 ?auto_12880 ) ( LOCATION ?auto_12882 ) ( AT ?auto_12875 ?auto_12882 ) ( TRUCK ?auto_12872 ) ( LOCATION ?auto_12883 ) ( CITY ?auto_12881 ) ( IN-CITY ?auto_12883 ?auto_12881 ) ( IN-CITY ?auto_12882 ?auto_12881 ) ( DIFFERENT ?auto_12882 ?auto_12883 ) ( AT ?auto_12869 ?auto_12883 ) ( LOCATION ?auto_12885 ) ( CITY ?auto_12884 ) ( IN-CITY ?auto_12885 ?auto_12884 ) ( IN-CITY ?auto_12883 ?auto_12884 ) ( DIFFERENT ?auto_12883 ?auto_12885 ) ( LOCATION ?auto_12887 ) ( CITY ?auto_12886 ) ( IN-CITY ?auto_12887 ?auto_12886 ) ( IN-CITY ?auto_12885 ?auto_12886 ) ( DIFFERENT ?auto_12885 ?auto_12887 ) ( LOCATION ?auto_12888 ) ( CITY ?auto_12874 ) ( IN-CITY ?auto_12888 ?auto_12874 ) ( IN-CITY ?auto_12887 ?auto_12874 ) ( DIFFERENT ?auto_12887 ?auto_12888 ) ( LOCATION ?auto_12891 ) ( CITY ?auto_12890 ) ( AT ?auto_12872 ?auto_12891 ) ( IN-CITY ?auto_12891 ?auto_12890 ) ( IN-CITY ?auto_12888 ?auto_12890 ) ( DIFFERENT ?auto_12888 ?auto_12891 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12872 ?auto_12891 ?auto_12888 ?auto_12890 )
      ( DELIVER-PKG ?auto_12869 ?auto_12870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12937
      ?auto_12938
    )
    :vars
    (
      ?auto_12955
      ?auto_12954
      ?auto_12942
      ?auto_12958
      ?auto_12943
      ?auto_12945
      ?auto_12939
      ?auto_12946
      ?auto_12944
      ?auto_12948
      ?auto_12947
      ?auto_12950
      ?auto_12949
      ?auto_12951
      ?auto_12940
      ?auto_12952
      ?auto_12941
      ?auto_12961
      ?auto_12960
    )
    :precondition
    ( and ( OBJ ?auto_12937 ) ( LOCATION ?auto_12938 ) ( TRUCK ?auto_12955 ) ( LOCATION ?auto_12954 ) ( CITY ?auto_12942 ) ( IN-CITY ?auto_12954 ?auto_12942 ) ( IN-CITY ?auto_12938 ?auto_12942 ) ( DIFFERENT ?auto_12938 ?auto_12954 ) ( AIRPLANE ?auto_12958 ) ( AIRPORT ?auto_12943 ) ( AIRPORT ?auto_12954 ) ( AT ?auto_12958 ?auto_12943 ) ( DIFFERENT ?auto_12954 ?auto_12943 ) ( LOCATION ?auto_12945 ) ( AT ?auto_12958 ?auto_12945 ) ( TRUCK ?auto_12939 ) ( LOCATION ?auto_12946 ) ( CITY ?auto_12944 ) ( IN-CITY ?auto_12946 ?auto_12944 ) ( IN-CITY ?auto_12945 ?auto_12944 ) ( DIFFERENT ?auto_12945 ?auto_12946 ) ( AT ?auto_12937 ?auto_12946 ) ( LOCATION ?auto_12948 ) ( CITY ?auto_12947 ) ( IN-CITY ?auto_12948 ?auto_12947 ) ( IN-CITY ?auto_12946 ?auto_12947 ) ( DIFFERENT ?auto_12946 ?auto_12948 ) ( LOCATION ?auto_12950 ) ( CITY ?auto_12949 ) ( IN-CITY ?auto_12950 ?auto_12949 ) ( IN-CITY ?auto_12948 ?auto_12949 ) ( DIFFERENT ?auto_12948 ?auto_12950 ) ( LOCATION ?auto_12951 ) ( CITY ?auto_12940 ) ( IN-CITY ?auto_12951 ?auto_12940 ) ( IN-CITY ?auto_12950 ?auto_12940 ) ( DIFFERENT ?auto_12950 ?auto_12951 ) ( LOCATION ?auto_12952 ) ( CITY ?auto_12941 ) ( AT ?auto_12939 ?auto_12952 ) ( IN-CITY ?auto_12952 ?auto_12941 ) ( IN-CITY ?auto_12951 ?auto_12941 ) ( DIFFERENT ?auto_12951 ?auto_12952 ) ( LOCATION ?auto_12961 ) ( CITY ?auto_12960 ) ( AT ?auto_12955 ?auto_12961 ) ( IN-CITY ?auto_12961 ?auto_12960 ) ( IN-CITY ?auto_12954 ?auto_12960 ) ( DIFFERENT ?auto_12954 ?auto_12961 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12955 ?auto_12961 ?auto_12954 ?auto_12960 )
      ( DELIVER-PKG ?auto_12937 ?auto_12938 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12986
      ?auto_12987
    )
    :vars
    (
      ?auto_13007
      ?auto_13006
      ?auto_12993
      ?auto_13008
      ?auto_12998
      ?auto_12996
      ?auto_12999
      ?auto_12997
      ?auto_13001
      ?auto_13000
      ?auto_13003
      ?auto_13002
      ?auto_13004
      ?auto_12990
      ?auto_13005
      ?auto_12991
      ?auto_12994
      ?auto_12992
      ?auto_13010
    )
    :precondition
    ( and ( OBJ ?auto_12986 ) ( LOCATION ?auto_12987 ) ( TRUCK ?auto_13007 ) ( LOCATION ?auto_13006 ) ( CITY ?auto_12993 ) ( IN-CITY ?auto_13006 ?auto_12993 ) ( IN-CITY ?auto_12987 ?auto_12993 ) ( DIFFERENT ?auto_12987 ?auto_13006 ) ( AIRPLANE ?auto_13008 ) ( AIRPORT ?auto_12998 ) ( AIRPORT ?auto_13006 ) ( DIFFERENT ?auto_13006 ?auto_12998 ) ( LOCATION ?auto_12998 ) ( TRUCK ?auto_12996 ) ( LOCATION ?auto_12999 ) ( CITY ?auto_12997 ) ( IN-CITY ?auto_12999 ?auto_12997 ) ( IN-CITY ?auto_12998 ?auto_12997 ) ( DIFFERENT ?auto_12998 ?auto_12999 ) ( AT ?auto_12986 ?auto_12999 ) ( LOCATION ?auto_13001 ) ( CITY ?auto_13000 ) ( IN-CITY ?auto_13001 ?auto_13000 ) ( IN-CITY ?auto_12999 ?auto_13000 ) ( DIFFERENT ?auto_12999 ?auto_13001 ) ( LOCATION ?auto_13003 ) ( CITY ?auto_13002 ) ( IN-CITY ?auto_13003 ?auto_13002 ) ( IN-CITY ?auto_13001 ?auto_13002 ) ( DIFFERENT ?auto_13001 ?auto_13003 ) ( LOCATION ?auto_13004 ) ( CITY ?auto_12990 ) ( IN-CITY ?auto_13004 ?auto_12990 ) ( IN-CITY ?auto_13003 ?auto_12990 ) ( DIFFERENT ?auto_13003 ?auto_13004 ) ( LOCATION ?auto_13005 ) ( CITY ?auto_12991 ) ( AT ?auto_12996 ?auto_13005 ) ( IN-CITY ?auto_13005 ?auto_12991 ) ( IN-CITY ?auto_13004 ?auto_12991 ) ( DIFFERENT ?auto_13004 ?auto_13005 ) ( LOCATION ?auto_12994 ) ( CITY ?auto_12992 ) ( AT ?auto_13007 ?auto_12994 ) ( IN-CITY ?auto_12994 ?auto_12992 ) ( IN-CITY ?auto_13006 ?auto_12992 ) ( DIFFERENT ?auto_13006 ?auto_12994 ) ( AIRPORT ?auto_13010 ) ( AT ?auto_13008 ?auto_13010 ) ( DIFFERENT ?auto_12998 ?auto_13010 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13008 ?auto_13010 ?auto_12998 )
      ( DELIVER-PKG ?auto_12986 ?auto_12987 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14009
      ?auto_14010
    )
    :vars
    (
      ?auto_14011
      ?auto_14014
      ?auto_14013
      ?auto_14012
      ?auto_14016
      ?auto_14018
      ?auto_14017
      ?auto_14022
    )
    :precondition
    ( and ( OBJ ?auto_14009 ) ( LOCATION ?auto_14010 ) ( TRUCK ?auto_14011 ) ( LOCATION ?auto_14014 ) ( CITY ?auto_14013 ) ( IN-CITY ?auto_14014 ?auto_14013 ) ( IN-CITY ?auto_14010 ?auto_14013 ) ( DIFFERENT ?auto_14010 ?auto_14014 ) ( LOCATION ?auto_14012 ) ( CITY ?auto_14016 ) ( IN-CITY ?auto_14012 ?auto_14016 ) ( IN-CITY ?auto_14014 ?auto_14016 ) ( DIFFERENT ?auto_14014 ?auto_14012 ) ( LOCATION ?auto_14018 ) ( CITY ?auto_14017 ) ( AT ?auto_14011 ?auto_14018 ) ( IN-CITY ?auto_14018 ?auto_14017 ) ( IN-CITY ?auto_14012 ?auto_14017 ) ( DIFFERENT ?auto_14012 ?auto_14018 ) ( AIRPLANE ?auto_14022 ) ( IN ?auto_14009 ?auto_14022 ) ( AT ?auto_14022 ?auto_14014 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14009 ?auto_14014 )
      ( DELIVER-PKG ?auto_14009 ?auto_14010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14047
      ?auto_14048
    )
    :vars
    (
      ?auto_14051
      ?auto_14054
      ?auto_14053
      ?auto_14052
      ?auto_14055
      ?auto_14057
      ?auto_14056
      ?auto_14058
      ?auto_14060
    )
    :precondition
    ( and ( OBJ ?auto_14047 ) ( LOCATION ?auto_14048 ) ( TRUCK ?auto_14051 ) ( LOCATION ?auto_14054 ) ( CITY ?auto_14053 ) ( IN-CITY ?auto_14054 ?auto_14053 ) ( IN-CITY ?auto_14048 ?auto_14053 ) ( DIFFERENT ?auto_14048 ?auto_14054 ) ( LOCATION ?auto_14052 ) ( CITY ?auto_14055 ) ( IN-CITY ?auto_14052 ?auto_14055 ) ( IN-CITY ?auto_14054 ?auto_14055 ) ( DIFFERENT ?auto_14054 ?auto_14052 ) ( LOCATION ?auto_14057 ) ( CITY ?auto_14056 ) ( AT ?auto_14051 ?auto_14057 ) ( IN-CITY ?auto_14057 ?auto_14056 ) ( IN-CITY ?auto_14052 ?auto_14056 ) ( DIFFERENT ?auto_14052 ?auto_14057 ) ( AIRPLANE ?auto_14058 ) ( IN ?auto_14047 ?auto_14058 ) ( AIRPORT ?auto_14060 ) ( AIRPORT ?auto_14054 ) ( AT ?auto_14058 ?auto_14060 ) ( DIFFERENT ?auto_14054 ?auto_14060 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14058 ?auto_14060 ?auto_14054 )
      ( DELIVER-PKG ?auto_14047 ?auto_14048 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14088
      ?auto_14089
    )
    :vars
    (
      ?auto_14090
      ?auto_14093
      ?auto_14092
      ?auto_14091
      ?auto_14095
      ?auto_14097
      ?auto_14096
      ?auto_14098
      ?auto_14100
      ?auto_14102
    )
    :precondition
    ( and ( OBJ ?auto_14088 ) ( LOCATION ?auto_14089 ) ( TRUCK ?auto_14090 ) ( LOCATION ?auto_14093 ) ( CITY ?auto_14092 ) ( IN-CITY ?auto_14093 ?auto_14092 ) ( IN-CITY ?auto_14089 ?auto_14092 ) ( DIFFERENT ?auto_14089 ?auto_14093 ) ( LOCATION ?auto_14091 ) ( CITY ?auto_14095 ) ( IN-CITY ?auto_14091 ?auto_14095 ) ( IN-CITY ?auto_14093 ?auto_14095 ) ( DIFFERENT ?auto_14093 ?auto_14091 ) ( LOCATION ?auto_14097 ) ( CITY ?auto_14096 ) ( AT ?auto_14090 ?auto_14097 ) ( IN-CITY ?auto_14097 ?auto_14096 ) ( IN-CITY ?auto_14091 ?auto_14096 ) ( DIFFERENT ?auto_14091 ?auto_14097 ) ( AIRPLANE ?auto_14098 ) ( AIRPORT ?auto_14100 ) ( AIRPORT ?auto_14093 ) ( AT ?auto_14098 ?auto_14100 ) ( DIFFERENT ?auto_14093 ?auto_14100 ) ( LOCATION ?auto_14102 ) ( AT ?auto_14088 ?auto_14102 ) ( AT ?auto_14098 ?auto_14102 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_14088 ?auto_14098 ?auto_14102 )
      ( DELIVER-PKG ?auto_14088 ?auto_14089 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14132
      ?auto_14133
    )
    :vars
    (
      ?auto_14136
      ?auto_14137
      ?auto_14142
      ?auto_14141
      ?auto_14138
      ?auto_14140
      ?auto_14139
      ?auto_14143
      ?auto_14144
      ?auto_14145
      ?auto_14148
    )
    :precondition
    ( and ( OBJ ?auto_14132 ) ( LOCATION ?auto_14133 ) ( TRUCK ?auto_14136 ) ( LOCATION ?auto_14137 ) ( CITY ?auto_14142 ) ( IN-CITY ?auto_14137 ?auto_14142 ) ( IN-CITY ?auto_14133 ?auto_14142 ) ( DIFFERENT ?auto_14133 ?auto_14137 ) ( LOCATION ?auto_14141 ) ( CITY ?auto_14138 ) ( IN-CITY ?auto_14141 ?auto_14138 ) ( IN-CITY ?auto_14137 ?auto_14138 ) ( DIFFERENT ?auto_14137 ?auto_14141 ) ( LOCATION ?auto_14140 ) ( CITY ?auto_14139 ) ( AT ?auto_14136 ?auto_14140 ) ( IN-CITY ?auto_14140 ?auto_14139 ) ( IN-CITY ?auto_14141 ?auto_14139 ) ( DIFFERENT ?auto_14141 ?auto_14140 ) ( AIRPLANE ?auto_14143 ) ( AIRPORT ?auto_14144 ) ( AIRPORT ?auto_14137 ) ( AT ?auto_14143 ?auto_14144 ) ( DIFFERENT ?auto_14137 ?auto_14144 ) ( LOCATION ?auto_14145 ) ( AT ?auto_14143 ?auto_14145 ) ( TRUCK ?auto_14148 ) ( AT ?auto_14148 ?auto_14145 ) ( IN ?auto_14132 ?auto_14148 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14132 ?auto_14145 )
      ( DELIVER-PKG ?auto_14132 ?auto_14133 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14164
      ?auto_14165
    )
    :vars
    (
      ?auto_14172
      ?auto_14173
      ?auto_14168
      ?auto_14167
      ?auto_14174
      ?auto_14176
      ?auto_14175
      ?auto_14169
      ?auto_14170
      ?auto_14177
      ?auto_14178
      ?auto_14181
      ?auto_14180
    )
    :precondition
    ( and ( OBJ ?auto_14164 ) ( LOCATION ?auto_14165 ) ( TRUCK ?auto_14172 ) ( LOCATION ?auto_14173 ) ( CITY ?auto_14168 ) ( IN-CITY ?auto_14173 ?auto_14168 ) ( IN-CITY ?auto_14165 ?auto_14168 ) ( DIFFERENT ?auto_14165 ?auto_14173 ) ( LOCATION ?auto_14167 ) ( CITY ?auto_14174 ) ( IN-CITY ?auto_14167 ?auto_14174 ) ( IN-CITY ?auto_14173 ?auto_14174 ) ( DIFFERENT ?auto_14173 ?auto_14167 ) ( LOCATION ?auto_14176 ) ( CITY ?auto_14175 ) ( AT ?auto_14172 ?auto_14176 ) ( IN-CITY ?auto_14176 ?auto_14175 ) ( IN-CITY ?auto_14167 ?auto_14175 ) ( DIFFERENT ?auto_14167 ?auto_14176 ) ( AIRPLANE ?auto_14169 ) ( AIRPORT ?auto_14170 ) ( AIRPORT ?auto_14173 ) ( AT ?auto_14169 ?auto_14170 ) ( DIFFERENT ?auto_14173 ?auto_14170 ) ( LOCATION ?auto_14177 ) ( AT ?auto_14169 ?auto_14177 ) ( TRUCK ?auto_14178 ) ( IN ?auto_14164 ?auto_14178 ) ( LOCATION ?auto_14181 ) ( CITY ?auto_14180 ) ( AT ?auto_14178 ?auto_14181 ) ( IN-CITY ?auto_14181 ?auto_14180 ) ( IN-CITY ?auto_14177 ?auto_14180 ) ( DIFFERENT ?auto_14177 ?auto_14181 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14178 ?auto_14181 ?auto_14177 ?auto_14180 )
      ( DELIVER-PKG ?auto_14164 ?auto_14165 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14200
      ?auto_14201
    )
    :vars
    (
      ?auto_14205
      ?auto_14206
      ?auto_14213
      ?auto_14212
      ?auto_14207
      ?auto_14209
      ?auto_14208
      ?auto_14203
      ?auto_14204
      ?auto_14210
      ?auto_14211
      ?auto_14216
      ?auto_14215
      ?auto_14219
      ?auto_14218
    )
    :precondition
    ( and ( OBJ ?auto_14200 ) ( LOCATION ?auto_14201 ) ( TRUCK ?auto_14205 ) ( LOCATION ?auto_14206 ) ( CITY ?auto_14213 ) ( IN-CITY ?auto_14206 ?auto_14213 ) ( IN-CITY ?auto_14201 ?auto_14213 ) ( DIFFERENT ?auto_14201 ?auto_14206 ) ( LOCATION ?auto_14212 ) ( CITY ?auto_14207 ) ( IN-CITY ?auto_14212 ?auto_14207 ) ( IN-CITY ?auto_14206 ?auto_14207 ) ( DIFFERENT ?auto_14206 ?auto_14212 ) ( LOCATION ?auto_14209 ) ( CITY ?auto_14208 ) ( AT ?auto_14205 ?auto_14209 ) ( IN-CITY ?auto_14209 ?auto_14208 ) ( IN-CITY ?auto_14212 ?auto_14208 ) ( DIFFERENT ?auto_14212 ?auto_14209 ) ( AIRPLANE ?auto_14203 ) ( AIRPORT ?auto_14204 ) ( AIRPORT ?auto_14206 ) ( AT ?auto_14203 ?auto_14204 ) ( DIFFERENT ?auto_14206 ?auto_14204 ) ( LOCATION ?auto_14210 ) ( AT ?auto_14203 ?auto_14210 ) ( TRUCK ?auto_14211 ) ( IN ?auto_14200 ?auto_14211 ) ( LOCATION ?auto_14216 ) ( CITY ?auto_14215 ) ( IN-CITY ?auto_14216 ?auto_14215 ) ( IN-CITY ?auto_14210 ?auto_14215 ) ( DIFFERENT ?auto_14210 ?auto_14216 ) ( LOCATION ?auto_14219 ) ( CITY ?auto_14218 ) ( AT ?auto_14211 ?auto_14219 ) ( IN-CITY ?auto_14219 ?auto_14218 ) ( IN-CITY ?auto_14216 ?auto_14218 ) ( DIFFERENT ?auto_14216 ?auto_14219 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14211 ?auto_14219 ?auto_14216 ?auto_14218 )
      ( DELIVER-PKG ?auto_14200 ?auto_14201 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14259
      ?auto_14260
    )
    :vars
    (
      ?auto_14261
      ?auto_14269
      ?auto_14272
      ?auto_14271
      ?auto_14270
      ?auto_14266
      ?auto_14265
      ?auto_14262
      ?auto_14263
      ?auto_14267
      ?auto_14268
      ?auto_14274
      ?auto_14273
      ?auto_14277
      ?auto_14276
      ?auto_14280
      ?auto_14279
    )
    :precondition
    ( and ( OBJ ?auto_14259 ) ( LOCATION ?auto_14260 ) ( TRUCK ?auto_14261 ) ( LOCATION ?auto_14269 ) ( CITY ?auto_14272 ) ( IN-CITY ?auto_14269 ?auto_14272 ) ( IN-CITY ?auto_14260 ?auto_14272 ) ( DIFFERENT ?auto_14260 ?auto_14269 ) ( LOCATION ?auto_14271 ) ( CITY ?auto_14270 ) ( IN-CITY ?auto_14271 ?auto_14270 ) ( IN-CITY ?auto_14269 ?auto_14270 ) ( DIFFERENT ?auto_14269 ?auto_14271 ) ( LOCATION ?auto_14266 ) ( CITY ?auto_14265 ) ( IN-CITY ?auto_14266 ?auto_14265 ) ( IN-CITY ?auto_14271 ?auto_14265 ) ( DIFFERENT ?auto_14271 ?auto_14266 ) ( AIRPLANE ?auto_14262 ) ( AIRPORT ?auto_14263 ) ( AIRPORT ?auto_14269 ) ( AT ?auto_14262 ?auto_14263 ) ( DIFFERENT ?auto_14269 ?auto_14263 ) ( LOCATION ?auto_14267 ) ( AT ?auto_14262 ?auto_14267 ) ( TRUCK ?auto_14268 ) ( IN ?auto_14259 ?auto_14268 ) ( LOCATION ?auto_14274 ) ( CITY ?auto_14273 ) ( IN-CITY ?auto_14274 ?auto_14273 ) ( IN-CITY ?auto_14267 ?auto_14273 ) ( DIFFERENT ?auto_14267 ?auto_14274 ) ( LOCATION ?auto_14277 ) ( CITY ?auto_14276 ) ( AT ?auto_14268 ?auto_14277 ) ( IN-CITY ?auto_14277 ?auto_14276 ) ( IN-CITY ?auto_14274 ?auto_14276 ) ( DIFFERENT ?auto_14274 ?auto_14277 ) ( LOCATION ?auto_14280 ) ( CITY ?auto_14279 ) ( AT ?auto_14261 ?auto_14280 ) ( IN-CITY ?auto_14280 ?auto_14279 ) ( IN-CITY ?auto_14266 ?auto_14279 ) ( DIFFERENT ?auto_14266 ?auto_14280 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14261 ?auto_14280 ?auto_14266 ?auto_14279 )
      ( DELIVER-PKG ?auto_14259 ?auto_14260 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14282
      ?auto_14283
    )
    :vars
    (
      ?auto_14288
      ?auto_14296
      ?auto_14299
      ?auto_14298
      ?auto_14297
      ?auto_14293
      ?auto_14292
      ?auto_14289
      ?auto_14291
      ?auto_14294
      ?auto_14295
      ?auto_14286
      ?auto_14285
      ?auto_14301
      ?auto_14300
      ?auto_14302
      ?auto_14290
      ?auto_14304
    )
    :precondition
    ( and ( OBJ ?auto_14282 ) ( LOCATION ?auto_14283 ) ( TRUCK ?auto_14288 ) ( LOCATION ?auto_14296 ) ( CITY ?auto_14299 ) ( IN-CITY ?auto_14296 ?auto_14299 ) ( IN-CITY ?auto_14283 ?auto_14299 ) ( DIFFERENT ?auto_14283 ?auto_14296 ) ( LOCATION ?auto_14298 ) ( CITY ?auto_14297 ) ( IN-CITY ?auto_14298 ?auto_14297 ) ( IN-CITY ?auto_14296 ?auto_14297 ) ( DIFFERENT ?auto_14296 ?auto_14298 ) ( LOCATION ?auto_14293 ) ( CITY ?auto_14292 ) ( IN-CITY ?auto_14293 ?auto_14292 ) ( IN-CITY ?auto_14298 ?auto_14292 ) ( DIFFERENT ?auto_14298 ?auto_14293 ) ( AIRPLANE ?auto_14289 ) ( AIRPORT ?auto_14291 ) ( AIRPORT ?auto_14296 ) ( AT ?auto_14289 ?auto_14291 ) ( DIFFERENT ?auto_14296 ?auto_14291 ) ( LOCATION ?auto_14294 ) ( AT ?auto_14289 ?auto_14294 ) ( TRUCK ?auto_14295 ) ( LOCATION ?auto_14286 ) ( CITY ?auto_14285 ) ( IN-CITY ?auto_14286 ?auto_14285 ) ( IN-CITY ?auto_14294 ?auto_14285 ) ( DIFFERENT ?auto_14294 ?auto_14286 ) ( LOCATION ?auto_14301 ) ( CITY ?auto_14300 ) ( AT ?auto_14295 ?auto_14301 ) ( IN-CITY ?auto_14301 ?auto_14300 ) ( IN-CITY ?auto_14286 ?auto_14300 ) ( DIFFERENT ?auto_14286 ?auto_14301 ) ( LOCATION ?auto_14302 ) ( CITY ?auto_14290 ) ( AT ?auto_14288 ?auto_14302 ) ( IN-CITY ?auto_14302 ?auto_14290 ) ( IN-CITY ?auto_14293 ?auto_14290 ) ( DIFFERENT ?auto_14293 ?auto_14302 ) ( LOCATION ?auto_14304 ) ( AT ?auto_14295 ?auto_14304 ) ( AT ?auto_14282 ?auto_14304 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14282 ?auto_14295 ?auto_14304 )
      ( DELIVER-PKG ?auto_14282 ?auto_14283 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14731
      ?auto_14732
    )
    :vars
    (
      ?auto_14733
      ?auto_14734
      ?auto_14738
      ?auto_14737
      ?auto_14736
      ?auto_14742
      ?auto_14741
    )
    :precondition
    ( and ( OBJ ?auto_14731 ) ( LOCATION ?auto_14732 ) ( TRUCK ?auto_14733 ) ( IN ?auto_14731 ?auto_14733 ) ( LOCATION ?auto_14734 ) ( CITY ?auto_14738 ) ( IN-CITY ?auto_14734 ?auto_14738 ) ( IN-CITY ?auto_14732 ?auto_14738 ) ( DIFFERENT ?auto_14732 ?auto_14734 ) ( LOCATION ?auto_14737 ) ( CITY ?auto_14736 ) ( IN-CITY ?auto_14737 ?auto_14736 ) ( IN-CITY ?auto_14734 ?auto_14736 ) ( DIFFERENT ?auto_14734 ?auto_14737 ) ( LOCATION ?auto_14742 ) ( CITY ?auto_14741 ) ( AT ?auto_14733 ?auto_14742 ) ( IN-CITY ?auto_14742 ?auto_14741 ) ( IN-CITY ?auto_14737 ?auto_14741 ) ( DIFFERENT ?auto_14737 ?auto_14742 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14733 ?auto_14742 ?auto_14737 ?auto_14741 )
      ( DELIVER-PKG ?auto_14731 ?auto_14732 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14755
      ?auto_14756
    )
    :vars
    (
      ?auto_14762
      ?auto_14757
      ?auto_14759
      ?auto_14758
      ?auto_14764
      ?auto_14763
      ?auto_14761
      ?auto_14768
      ?auto_14767
    )
    :precondition
    ( and ( OBJ ?auto_14755 ) ( LOCATION ?auto_14756 ) ( TRUCK ?auto_14762 ) ( IN ?auto_14755 ?auto_14762 ) ( LOCATION ?auto_14757 ) ( CITY ?auto_14759 ) ( IN-CITY ?auto_14757 ?auto_14759 ) ( IN-CITY ?auto_14756 ?auto_14759 ) ( DIFFERENT ?auto_14756 ?auto_14757 ) ( LOCATION ?auto_14758 ) ( CITY ?auto_14764 ) ( IN-CITY ?auto_14758 ?auto_14764 ) ( IN-CITY ?auto_14757 ?auto_14764 ) ( DIFFERENT ?auto_14757 ?auto_14758 ) ( LOCATION ?auto_14763 ) ( CITY ?auto_14761 ) ( IN-CITY ?auto_14763 ?auto_14761 ) ( IN-CITY ?auto_14758 ?auto_14761 ) ( DIFFERENT ?auto_14758 ?auto_14763 ) ( LOCATION ?auto_14768 ) ( CITY ?auto_14767 ) ( AT ?auto_14762 ?auto_14768 ) ( IN-CITY ?auto_14768 ?auto_14767 ) ( IN-CITY ?auto_14763 ?auto_14767 ) ( DIFFERENT ?auto_14763 ?auto_14768 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14762 ?auto_14768 ?auto_14763 ?auto_14767 )
      ( DELIVER-PKG ?auto_14755 ?auto_14756 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14783
      ?auto_14784
    )
    :vars
    (
      ?auto_14785
      ?auto_14786
      ?auto_14787
      ?auto_14792
      ?auto_14789
      ?auto_14788
      ?auto_14791
      ?auto_14795
      ?auto_14794
      ?auto_14797
    )
    :precondition
    ( and ( OBJ ?auto_14783 ) ( LOCATION ?auto_14784 ) ( TRUCK ?auto_14785 ) ( LOCATION ?auto_14786 ) ( CITY ?auto_14787 ) ( IN-CITY ?auto_14786 ?auto_14787 ) ( IN-CITY ?auto_14784 ?auto_14787 ) ( DIFFERENT ?auto_14784 ?auto_14786 ) ( LOCATION ?auto_14792 ) ( CITY ?auto_14789 ) ( IN-CITY ?auto_14792 ?auto_14789 ) ( IN-CITY ?auto_14786 ?auto_14789 ) ( DIFFERENT ?auto_14786 ?auto_14792 ) ( LOCATION ?auto_14788 ) ( CITY ?auto_14791 ) ( IN-CITY ?auto_14788 ?auto_14791 ) ( IN-CITY ?auto_14792 ?auto_14791 ) ( DIFFERENT ?auto_14792 ?auto_14788 ) ( LOCATION ?auto_14795 ) ( CITY ?auto_14794 ) ( AT ?auto_14785 ?auto_14795 ) ( IN-CITY ?auto_14795 ?auto_14794 ) ( IN-CITY ?auto_14788 ?auto_14794 ) ( DIFFERENT ?auto_14788 ?auto_14795 ) ( LOCATION ?auto_14797 ) ( AT ?auto_14785 ?auto_14797 ) ( AT ?auto_14783 ?auto_14797 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14783 ?auto_14785 ?auto_14797 )
      ( DELIVER-PKG ?auto_14783 ?auto_14784 ) )
  )

)

