( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36
      ?auto_37
    )
    :vars
    (
      ?auto_40
    )
    :precondition
    ( and ( OBJ ?auto_36 ) ( LOCATION ?auto_37 ) ( TRUCK ?auto_40 ) ( AT ?auto_40 ?auto_37 ) ( IN ?auto_36 ?auto_40 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_36 ?auto_40 ?auto_37 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46
      ?auto_47
    )
    :vars
    (
      ?auto_50
      ?auto_53
      ?auto_52
    )
    :precondition
    ( and ( OBJ ?auto_46 ) ( LOCATION ?auto_47 ) ( TRUCK ?auto_50 ) ( IN ?auto_46 ?auto_50 ) ( LOCATION ?auto_53 ) ( CITY ?auto_52 ) ( AT ?auto_50 ?auto_53 ) ( IN-CITY ?auto_53 ?auto_52 ) ( IN-CITY ?auto_47 ?auto_52 ) ( DIFFERENT ?auto_47 ?auto_53 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50 ?auto_53 ?auto_47 ?auto_52 )
      ( DELIVER-PKG ?auto_46 ?auto_47 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_62
      ?auto_63
    )
    :vars
    (
      ?auto_64
      ?auto_68
      ?auto_67
      ?auto_70
    )
    :precondition
    ( and ( OBJ ?auto_62 ) ( LOCATION ?auto_63 ) ( TRUCK ?auto_64 ) ( LOCATION ?auto_68 ) ( CITY ?auto_67 ) ( AT ?auto_64 ?auto_68 ) ( IN-CITY ?auto_68 ?auto_67 ) ( IN-CITY ?auto_63 ?auto_67 ) ( DIFFERENT ?auto_63 ?auto_68 ) ( LOCATION ?auto_70 ) ( AT ?auto_64 ?auto_70 ) ( AT ?auto_62 ?auto_70 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_62 ?auto_64 ?auto_70 )
      ( DELIVER-PKG ?auto_62 ?auto_63 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_159
      ?auto_160
    )
    :vars
    (
      ?auto_164
      ?auto_165
      ?auto_162
      ?auto_169
      ?auto_168
    )
    :precondition
    ( and ( OBJ ?auto_159 ) ( LOCATION ?auto_160 ) ( TRUCK ?auto_164 ) ( LOCATION ?auto_165 ) ( CITY ?auto_162 ) ( IN-CITY ?auto_165 ?auto_162 ) ( IN-CITY ?auto_160 ?auto_162 ) ( DIFFERENT ?auto_160 ?auto_165 ) ( AT ?auto_159 ?auto_165 ) ( LOCATION ?auto_169 ) ( CITY ?auto_168 ) ( AT ?auto_164 ?auto_169 ) ( IN-CITY ?auto_169 ?auto_168 ) ( IN-CITY ?auto_165 ?auto_168 ) ( DIFFERENT ?auto_165 ?auto_169 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_164 ?auto_169 ?auto_165 ?auto_168 )
      ( DELIVER-PKG ?auto_159 ?auto_160 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_294
      ?auto_295
    )
    :vars
    (
      ?auto_298
      ?auto_300
      ?auto_297
      ?auto_299
      ?auto_304
    )
    :precondition
    ( and ( OBJ ?auto_294 ) ( LOCATION ?auto_295 ) ( TRUCK ?auto_298 ) ( LOCATION ?auto_300 ) ( CITY ?auto_297 ) ( AT ?auto_298 ?auto_300 ) ( IN-CITY ?auto_300 ?auto_297 ) ( IN-CITY ?auto_295 ?auto_297 ) ( DIFFERENT ?auto_295 ?auto_300 ) ( LOCATION ?auto_299 ) ( AT ?auto_298 ?auto_299 ) ( TRUCK ?auto_304 ) ( AT ?auto_304 ?auto_299 ) ( IN ?auto_294 ?auto_304 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_294 ?auto_299 )
      ( DELIVER-PKG ?auto_294 ?auto_295 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_305
      ?auto_306
    )
    :vars
    (
      ?auto_307
      ?auto_308
      ?auto_311
      ?auto_316
      ?auto_315
    )
    :precondition
    ( and ( OBJ ?auto_305 ) ( LOCATION ?auto_306 ) ( TRUCK ?auto_307 ) ( LOCATION ?auto_308 ) ( CITY ?auto_311 ) ( IN-CITY ?auto_308 ?auto_311 ) ( IN-CITY ?auto_306 ?auto_311 ) ( DIFFERENT ?auto_306 ?auto_308 ) ( IN ?auto_305 ?auto_307 ) ( LOCATION ?auto_316 ) ( CITY ?auto_315 ) ( AT ?auto_307 ?auto_316 ) ( IN-CITY ?auto_316 ?auto_315 ) ( IN-CITY ?auto_308 ?auto_315 ) ( DIFFERENT ?auto_308 ?auto_316 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_307 ?auto_316 ?auto_308 ?auto_315 )
      ( DELIVER-PKG ?auto_305 ?auto_306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_327
      ?auto_328
    )
    :vars
    (
      ?auto_330
      ?auto_334
      ?auto_332
      ?auto_333
      ?auto_331
      ?auto_337
    )
    :precondition
    ( and ( OBJ ?auto_327 ) ( LOCATION ?auto_328 ) ( TRUCK ?auto_330 ) ( LOCATION ?auto_334 ) ( CITY ?auto_332 ) ( IN-CITY ?auto_334 ?auto_332 ) ( IN-CITY ?auto_328 ?auto_332 ) ( DIFFERENT ?auto_328 ?auto_334 ) ( LOCATION ?auto_333 ) ( CITY ?auto_331 ) ( AT ?auto_330 ?auto_333 ) ( IN-CITY ?auto_333 ?auto_331 ) ( IN-CITY ?auto_334 ?auto_331 ) ( DIFFERENT ?auto_334 ?auto_333 ) ( LOCATION ?auto_337 ) ( AT ?auto_330 ?auto_337 ) ( AT ?auto_327 ?auto_337 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_327 ?auto_330 ?auto_337 )
      ( DELIVER-PKG ?auto_327 ?auto_328 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_349
      ?auto_350
    )
    :vars
    (
      ?auto_354
      ?auto_355
      ?auto_352
      ?auto_358
      ?auto_353
      ?auto_361
      ?auto_360
    )
    :precondition
    ( and ( OBJ ?auto_349 ) ( LOCATION ?auto_350 ) ( TRUCK ?auto_354 ) ( LOCATION ?auto_355 ) ( CITY ?auto_352 ) ( IN-CITY ?auto_355 ?auto_352 ) ( IN-CITY ?auto_350 ?auto_352 ) ( DIFFERENT ?auto_350 ?auto_355 ) ( LOCATION ?auto_358 ) ( CITY ?auto_353 ) ( IN-CITY ?auto_358 ?auto_353 ) ( IN-CITY ?auto_355 ?auto_353 ) ( DIFFERENT ?auto_355 ?auto_358 ) ( AT ?auto_349 ?auto_358 ) ( LOCATION ?auto_361 ) ( CITY ?auto_360 ) ( AT ?auto_354 ?auto_361 ) ( IN-CITY ?auto_361 ?auto_360 ) ( IN-CITY ?auto_358 ?auto_360 ) ( DIFFERENT ?auto_358 ?auto_361 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_354 ?auto_361 ?auto_358 ?auto_360 )
      ( DELIVER-PKG ?auto_349 ?auto_350 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1386
      ?auto_1387
    )
    :vars
    (
      ?auto_1390
    )
    :precondition
    ( and ( OBJ ?auto_1386 ) ( LOCATION ?auto_1387 ) ( AIRPLANE ?auto_1390 ) ( IN ?auto_1386 ?auto_1390 ) ( AT ?auto_1390 ?auto_1387 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_1386 ?auto_1390 ?auto_1387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1401
      ?auto_1402
    )
    :vars
    (
      ?auto_1405
      ?auto_1407
    )
    :precondition
    ( and ( OBJ ?auto_1401 ) ( LOCATION ?auto_1402 ) ( AIRPLANE ?auto_1405 ) ( IN ?auto_1401 ?auto_1405 ) ( AIRPORT ?auto_1407 ) ( AIRPORT ?auto_1402 ) ( AT ?auto_1405 ?auto_1407 ) ( DIFFERENT ?auto_1402 ?auto_1407 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1405 ?auto_1407 ?auto_1402 )
      ( DELIVER-PKG ?auto_1401 ?auto_1402 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1421
      ?auto_1422
    )
    :vars
    (
      ?auto_1425
      ?auto_1426
      ?auto_1428
    )
    :precondition
    ( and ( OBJ ?auto_1421 ) ( LOCATION ?auto_1422 ) ( AIRPLANE ?auto_1425 ) ( AIRPORT ?auto_1426 ) ( AIRPORT ?auto_1422 ) ( AT ?auto_1425 ?auto_1426 ) ( DIFFERENT ?auto_1422 ?auto_1426 ) ( LOCATION ?auto_1428 ) ( AT ?auto_1421 ?auto_1428 ) ( AT ?auto_1425 ?auto_1428 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1421 ?auto_1425 ?auto_1428 )
      ( DELIVER-PKG ?auto_1421 ?auto_1422 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1444
      ?auto_1445
    )
    :vars
    (
      ?auto_1446
      ?auto_1447
      ?auto_1450
      ?auto_1452
    )
    :precondition
    ( and ( OBJ ?auto_1444 ) ( LOCATION ?auto_1445 ) ( AIRPLANE ?auto_1446 ) ( AIRPORT ?auto_1447 ) ( AIRPORT ?auto_1445 ) ( AT ?auto_1446 ?auto_1447 ) ( DIFFERENT ?auto_1445 ?auto_1447 ) ( LOCATION ?auto_1450 ) ( AT ?auto_1446 ?auto_1450 ) ( TRUCK ?auto_1452 ) ( AT ?auto_1452 ?auto_1450 ) ( IN ?auto_1444 ?auto_1452 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1444 ?auto_1450 )
      ( DELIVER-PKG ?auto_1444 ?auto_1445 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1462
      ?auto_1463
    )
    :vars
    (
      ?auto_1464
      ?auto_1468
      ?auto_1465
      ?auto_1469
      ?auto_1472
      ?auto_1471
    )
    :precondition
    ( and ( OBJ ?auto_1462 ) ( LOCATION ?auto_1463 ) ( AIRPLANE ?auto_1464 ) ( AIRPORT ?auto_1468 ) ( AIRPORT ?auto_1463 ) ( AT ?auto_1464 ?auto_1468 ) ( DIFFERENT ?auto_1463 ?auto_1468 ) ( LOCATION ?auto_1465 ) ( AT ?auto_1464 ?auto_1465 ) ( TRUCK ?auto_1469 ) ( IN ?auto_1462 ?auto_1469 ) ( LOCATION ?auto_1472 ) ( CITY ?auto_1471 ) ( AT ?auto_1469 ?auto_1472 ) ( IN-CITY ?auto_1472 ?auto_1471 ) ( IN-CITY ?auto_1465 ?auto_1471 ) ( DIFFERENT ?auto_1465 ?auto_1472 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1469 ?auto_1472 ?auto_1465 ?auto_1471 )
      ( DELIVER-PKG ?auto_1462 ?auto_1463 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1484
      ?auto_1485
    )
    :vars
    (
      ?auto_1491
      ?auto_1487
      ?auto_1489
      ?auto_1488
      ?auto_1493
      ?auto_1492
      ?auto_1496
      ?auto_1495
    )
    :precondition
    ( and ( OBJ ?auto_1484 ) ( LOCATION ?auto_1485 ) ( AIRPLANE ?auto_1491 ) ( AIRPORT ?auto_1487 ) ( AIRPORT ?auto_1485 ) ( AT ?auto_1491 ?auto_1487 ) ( DIFFERENT ?auto_1485 ?auto_1487 ) ( LOCATION ?auto_1489 ) ( AT ?auto_1491 ?auto_1489 ) ( TRUCK ?auto_1488 ) ( IN ?auto_1484 ?auto_1488 ) ( LOCATION ?auto_1493 ) ( CITY ?auto_1492 ) ( IN-CITY ?auto_1493 ?auto_1492 ) ( IN-CITY ?auto_1489 ?auto_1492 ) ( DIFFERENT ?auto_1489 ?auto_1493 ) ( LOCATION ?auto_1496 ) ( CITY ?auto_1495 ) ( AT ?auto_1488 ?auto_1496 ) ( IN-CITY ?auto_1496 ?auto_1495 ) ( IN-CITY ?auto_1493 ?auto_1495 ) ( DIFFERENT ?auto_1493 ?auto_1496 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1488 ?auto_1496 ?auto_1493 ?auto_1495 )
      ( DELIVER-PKG ?auto_1484 ?auto_1485 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1534
      ?auto_1535
    )
    :vars
    (
      ?auto_1539
      ?auto_1541
      ?auto_1538
      ?auto_1537
      ?auto_1542
      ?auto_1540
      ?auto_1545
      ?auto_1544
      ?auto_1547
    )
    :precondition
    ( and ( OBJ ?auto_1534 ) ( LOCATION ?auto_1535 ) ( AIRPLANE ?auto_1539 ) ( AIRPORT ?auto_1541 ) ( AIRPORT ?auto_1535 ) ( AT ?auto_1539 ?auto_1541 ) ( DIFFERENT ?auto_1535 ?auto_1541 ) ( LOCATION ?auto_1538 ) ( AT ?auto_1539 ?auto_1538 ) ( TRUCK ?auto_1537 ) ( LOCATION ?auto_1542 ) ( CITY ?auto_1540 ) ( IN-CITY ?auto_1542 ?auto_1540 ) ( IN-CITY ?auto_1538 ?auto_1540 ) ( DIFFERENT ?auto_1538 ?auto_1542 ) ( LOCATION ?auto_1545 ) ( CITY ?auto_1544 ) ( AT ?auto_1537 ?auto_1545 ) ( IN-CITY ?auto_1545 ?auto_1544 ) ( IN-CITY ?auto_1542 ?auto_1544 ) ( DIFFERENT ?auto_1542 ?auto_1545 ) ( LOCATION ?auto_1547 ) ( AT ?auto_1537 ?auto_1547 ) ( AT ?auto_1534 ?auto_1547 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1534 ?auto_1537 ?auto_1547 )
      ( DELIVER-PKG ?auto_1534 ?auto_1535 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2312
      ?auto_2313
    )
    :vars
    (
      ?auto_2323
      ?auto_2316
      ?auto_2317
      ?auto_2318
      ?auto_2320
      ?auto_2319
      ?auto_2322
      ?auto_2314
      ?auto_2327
      ?auto_2326
    )
    :precondition
    ( and ( OBJ ?auto_2312 ) ( LOCATION ?auto_2313 ) ( AIRPLANE ?auto_2323 ) ( AIRPORT ?auto_2316 ) ( AIRPORT ?auto_2313 ) ( AT ?auto_2323 ?auto_2316 ) ( DIFFERENT ?auto_2313 ?auto_2316 ) ( LOCATION ?auto_2317 ) ( AT ?auto_2323 ?auto_2317 ) ( TRUCK ?auto_2318 ) ( LOCATION ?auto_2320 ) ( CITY ?auto_2319 ) ( IN-CITY ?auto_2320 ?auto_2319 ) ( IN-CITY ?auto_2317 ?auto_2319 ) ( DIFFERENT ?auto_2317 ?auto_2320 ) ( LOCATION ?auto_2322 ) ( CITY ?auto_2314 ) ( IN-CITY ?auto_2322 ?auto_2314 ) ( IN-CITY ?auto_2320 ?auto_2314 ) ( DIFFERENT ?auto_2320 ?auto_2322 ) ( AT ?auto_2312 ?auto_2322 ) ( LOCATION ?auto_2327 ) ( CITY ?auto_2326 ) ( AT ?auto_2318 ?auto_2327 ) ( IN-CITY ?auto_2327 ?auto_2326 ) ( IN-CITY ?auto_2322 ?auto_2326 ) ( DIFFERENT ?auto_2322 ?auto_2327 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2318 ?auto_2327 ?auto_2322 ?auto_2326 )
      ( DELIVER-PKG ?auto_2312 ?auto_2313 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2329
      ?auto_2330
    )
    :vars
    (
      ?auto_2334
      ?auto_2338
      ?auto_2339
      ?auto_2332
      ?auto_2331
      ?auto_2333
      ?auto_2341
      ?auto_2340
      ?auto_2335
      ?auto_2344
    )
    :precondition
    ( and ( OBJ ?auto_2329 ) ( LOCATION ?auto_2330 ) ( AIRPLANE ?auto_2334 ) ( AIRPORT ?auto_2338 ) ( AIRPORT ?auto_2330 ) ( DIFFERENT ?auto_2330 ?auto_2338 ) ( LOCATION ?auto_2338 ) ( TRUCK ?auto_2339 ) ( LOCATION ?auto_2332 ) ( CITY ?auto_2331 ) ( IN-CITY ?auto_2332 ?auto_2331 ) ( IN-CITY ?auto_2338 ?auto_2331 ) ( DIFFERENT ?auto_2338 ?auto_2332 ) ( LOCATION ?auto_2333 ) ( CITY ?auto_2341 ) ( IN-CITY ?auto_2333 ?auto_2341 ) ( IN-CITY ?auto_2332 ?auto_2341 ) ( DIFFERENT ?auto_2332 ?auto_2333 ) ( AT ?auto_2329 ?auto_2333 ) ( LOCATION ?auto_2340 ) ( CITY ?auto_2335 ) ( AT ?auto_2339 ?auto_2340 ) ( IN-CITY ?auto_2340 ?auto_2335 ) ( IN-CITY ?auto_2333 ?auto_2335 ) ( DIFFERENT ?auto_2333 ?auto_2340 ) ( AIRPORT ?auto_2344 ) ( AT ?auto_2334 ?auto_2344 ) ( DIFFERENT ?auto_2338 ?auto_2344 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2334 ?auto_2344 ?auto_2338 )
      ( DELIVER-PKG ?auto_2329 ?auto_2330 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2491
      ?auto_2492
    )
    :vars
    (
      ?auto_2495
      ?auto_2497
      ?auto_2496
      ?auto_2499
      ?auto_2498
      ?auto_2502
      ?auto_2501
    )
    :precondition
    ( and ( OBJ ?auto_2491 ) ( LOCATION ?auto_2492 ) ( TRUCK ?auto_2495 ) ( LOCATION ?auto_2497 ) ( CITY ?auto_2496 ) ( IN-CITY ?auto_2497 ?auto_2496 ) ( IN-CITY ?auto_2492 ?auto_2496 ) ( DIFFERENT ?auto_2492 ?auto_2497 ) ( AT ?auto_2491 ?auto_2497 ) ( LOCATION ?auto_2499 ) ( CITY ?auto_2498 ) ( IN-CITY ?auto_2499 ?auto_2498 ) ( IN-CITY ?auto_2497 ?auto_2498 ) ( DIFFERENT ?auto_2497 ?auto_2499 ) ( LOCATION ?auto_2502 ) ( CITY ?auto_2501 ) ( AT ?auto_2495 ?auto_2502 ) ( IN-CITY ?auto_2502 ?auto_2501 ) ( IN-CITY ?auto_2499 ?auto_2501 ) ( DIFFERENT ?auto_2499 ?auto_2502 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2495 ?auto_2502 ?auto_2499 ?auto_2501 )
      ( DELIVER-PKG ?auto_2491 ?auto_2492 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2537
      ?auto_2538
    )
    :vars
    (
      ?auto_2541
      ?auto_2543
      ?auto_2542
      ?auto_2545
      ?auto_2544
      ?auto_2547
      ?auto_2546
      ?auto_2550
      ?auto_2549
    )
    :precondition
    ( and ( OBJ ?auto_2537 ) ( LOCATION ?auto_2538 ) ( TRUCK ?auto_2541 ) ( LOCATION ?auto_2543 ) ( CITY ?auto_2542 ) ( IN-CITY ?auto_2543 ?auto_2542 ) ( IN-CITY ?auto_2538 ?auto_2542 ) ( DIFFERENT ?auto_2538 ?auto_2543 ) ( AT ?auto_2537 ?auto_2543 ) ( LOCATION ?auto_2545 ) ( CITY ?auto_2544 ) ( IN-CITY ?auto_2545 ?auto_2544 ) ( IN-CITY ?auto_2543 ?auto_2544 ) ( DIFFERENT ?auto_2543 ?auto_2545 ) ( LOCATION ?auto_2547 ) ( CITY ?auto_2546 ) ( IN-CITY ?auto_2547 ?auto_2546 ) ( IN-CITY ?auto_2545 ?auto_2546 ) ( DIFFERENT ?auto_2545 ?auto_2547 ) ( LOCATION ?auto_2550 ) ( CITY ?auto_2549 ) ( AT ?auto_2541 ?auto_2550 ) ( IN-CITY ?auto_2550 ?auto_2549 ) ( IN-CITY ?auto_2547 ?auto_2549 ) ( DIFFERENT ?auto_2547 ?auto_2550 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2541 ?auto_2550 ?auto_2547 ?auto_2549 )
      ( DELIVER-PKG ?auto_2537 ?auto_2538 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2565
      ?auto_2566
    )
    :vars
    (
      ?auto_2567
      ?auto_2571
      ?auto_2568
      ?auto_2573
      ?auto_2572
      ?auto_2575
      ?auto_2574
      ?auto_2577
      ?auto_2576
      ?auto_2580
      ?auto_2579
    )
    :precondition
    ( and ( OBJ ?auto_2565 ) ( LOCATION ?auto_2566 ) ( TRUCK ?auto_2567 ) ( LOCATION ?auto_2571 ) ( CITY ?auto_2568 ) ( IN-CITY ?auto_2571 ?auto_2568 ) ( IN-CITY ?auto_2566 ?auto_2568 ) ( DIFFERENT ?auto_2566 ?auto_2571 ) ( AT ?auto_2565 ?auto_2571 ) ( LOCATION ?auto_2573 ) ( CITY ?auto_2572 ) ( IN-CITY ?auto_2573 ?auto_2572 ) ( IN-CITY ?auto_2571 ?auto_2572 ) ( DIFFERENT ?auto_2571 ?auto_2573 ) ( LOCATION ?auto_2575 ) ( CITY ?auto_2574 ) ( IN-CITY ?auto_2575 ?auto_2574 ) ( IN-CITY ?auto_2573 ?auto_2574 ) ( DIFFERENT ?auto_2573 ?auto_2575 ) ( LOCATION ?auto_2577 ) ( CITY ?auto_2576 ) ( IN-CITY ?auto_2577 ?auto_2576 ) ( IN-CITY ?auto_2575 ?auto_2576 ) ( DIFFERENT ?auto_2575 ?auto_2577 ) ( LOCATION ?auto_2580 ) ( CITY ?auto_2579 ) ( AT ?auto_2567 ?auto_2580 ) ( IN-CITY ?auto_2580 ?auto_2579 ) ( IN-CITY ?auto_2577 ?auto_2579 ) ( DIFFERENT ?auto_2577 ?auto_2580 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2567 ?auto_2580 ?auto_2577 ?auto_2579 )
      ( DELIVER-PKG ?auto_2565 ?auto_2566 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2724
      ?auto_2725
    )
    :vars
    (
      ?auto_2727
      ?auto_2730
      ?auto_2732
    )
    :precondition
    ( and ( OBJ ?auto_2724 ) ( LOCATION ?auto_2725 ) ( AIRPLANE ?auto_2727 ) ( AIRPORT ?auto_2730 ) ( AIRPORT ?auto_2725 ) ( DIFFERENT ?auto_2725 ?auto_2730 ) ( LOCATION ?auto_2730 ) ( AT ?auto_2724 ?auto_2730 ) ( AIRPORT ?auto_2732 ) ( AT ?auto_2727 ?auto_2732 ) ( DIFFERENT ?auto_2730 ?auto_2732 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2727 ?auto_2732 ?auto_2730 )
      ( DELIVER-PKG ?auto_2724 ?auto_2725 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3083
      ?auto_3084
    )
    :vars
    (
      ?auto_3090
      ?auto_3091
      ?auto_3089
      ?auto_3085
      ?auto_3092
      ?auto_3088
      ?auto_3094
    )
    :precondition
    ( and ( OBJ ?auto_3083 ) ( LOCATION ?auto_3084 ) ( AIRPLANE ?auto_3090 ) ( AIRPORT ?auto_3091 ) ( AIRPORT ?auto_3084 ) ( AT ?auto_3090 ?auto_3091 ) ( DIFFERENT ?auto_3084 ?auto_3091 ) ( LOCATION ?auto_3089 ) ( AT ?auto_3090 ?auto_3089 ) ( TRUCK ?auto_3085 ) ( LOCATION ?auto_3092 ) ( CITY ?auto_3088 ) ( AT ?auto_3085 ?auto_3092 ) ( IN-CITY ?auto_3092 ?auto_3088 ) ( IN-CITY ?auto_3089 ?auto_3088 ) ( DIFFERENT ?auto_3089 ?auto_3092 ) ( LOCATION ?auto_3094 ) ( AT ?auto_3085 ?auto_3094 ) ( AT ?auto_3083 ?auto_3094 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3083 ?auto_3085 ?auto_3094 )
      ( DELIVER-PKG ?auto_3083 ?auto_3084 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3118
      ?auto_3119
    )
    :vars
    (
      ?auto_3123
      ?auto_3124
      ?auto_3122
      ?auto_3127
      ?auto_3128
      ?auto_3121
      ?auto_3131
      ?auto_3130
    )
    :precondition
    ( and ( OBJ ?auto_3118 ) ( LOCATION ?auto_3119 ) ( AIRPLANE ?auto_3123 ) ( AIRPORT ?auto_3124 ) ( AIRPORT ?auto_3119 ) ( AT ?auto_3123 ?auto_3124 ) ( DIFFERENT ?auto_3119 ?auto_3124 ) ( LOCATION ?auto_3122 ) ( AT ?auto_3123 ?auto_3122 ) ( TRUCK ?auto_3127 ) ( LOCATION ?auto_3128 ) ( CITY ?auto_3121 ) ( IN-CITY ?auto_3128 ?auto_3121 ) ( IN-CITY ?auto_3122 ?auto_3121 ) ( DIFFERENT ?auto_3122 ?auto_3128 ) ( AT ?auto_3118 ?auto_3128 ) ( LOCATION ?auto_3131 ) ( CITY ?auto_3130 ) ( AT ?auto_3127 ?auto_3131 ) ( IN-CITY ?auto_3131 ?auto_3130 ) ( IN-CITY ?auto_3128 ?auto_3130 ) ( DIFFERENT ?auto_3128 ?auto_3131 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3127 ?auto_3131 ?auto_3128 ?auto_3130 )
      ( DELIVER-PKG ?auto_3118 ?auto_3119 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3157
      ?auto_3158
    )
    :vars
    (
      ?auto_3163
      ?auto_3164
      ?auto_3162
      ?auto_3165
      ?auto_3166
      ?auto_3161
      ?auto_3168
      ?auto_3167
      ?auto_3171
      ?auto_3170
    )
    :precondition
    ( and ( OBJ ?auto_3157 ) ( LOCATION ?auto_3158 ) ( AIRPLANE ?auto_3163 ) ( AIRPORT ?auto_3164 ) ( AIRPORT ?auto_3158 ) ( AT ?auto_3163 ?auto_3164 ) ( DIFFERENT ?auto_3158 ?auto_3164 ) ( LOCATION ?auto_3162 ) ( AT ?auto_3163 ?auto_3162 ) ( TRUCK ?auto_3165 ) ( LOCATION ?auto_3166 ) ( CITY ?auto_3161 ) ( IN-CITY ?auto_3166 ?auto_3161 ) ( IN-CITY ?auto_3162 ?auto_3161 ) ( DIFFERENT ?auto_3162 ?auto_3166 ) ( AT ?auto_3157 ?auto_3166 ) ( LOCATION ?auto_3168 ) ( CITY ?auto_3167 ) ( IN-CITY ?auto_3168 ?auto_3167 ) ( IN-CITY ?auto_3166 ?auto_3167 ) ( DIFFERENT ?auto_3166 ?auto_3168 ) ( LOCATION ?auto_3171 ) ( CITY ?auto_3170 ) ( AT ?auto_3165 ?auto_3171 ) ( IN-CITY ?auto_3171 ?auto_3170 ) ( IN-CITY ?auto_3168 ?auto_3170 ) ( DIFFERENT ?auto_3168 ?auto_3171 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3165 ?auto_3171 ?auto_3168 ?auto_3170 )
      ( DELIVER-PKG ?auto_3157 ?auto_3158 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3215
      ?auto_3216
    )
    :vars
    (
      ?auto_3226
      ?auto_3220
      ?auto_3225
      ?auto_3221
      ?auto_3222
      ?auto_3224
      ?auto_3219
      ?auto_3218
      ?auto_3228
      ?auto_3227
      ?auto_3231
      ?auto_3230
    )
    :precondition
    ( and ( OBJ ?auto_3215 ) ( LOCATION ?auto_3216 ) ( AIRPLANE ?auto_3226 ) ( AIRPORT ?auto_3220 ) ( AIRPORT ?auto_3216 ) ( AT ?auto_3226 ?auto_3220 ) ( DIFFERENT ?auto_3216 ?auto_3220 ) ( LOCATION ?auto_3225 ) ( AT ?auto_3226 ?auto_3225 ) ( TRUCK ?auto_3221 ) ( LOCATION ?auto_3222 ) ( CITY ?auto_3224 ) ( IN-CITY ?auto_3222 ?auto_3224 ) ( IN-CITY ?auto_3225 ?auto_3224 ) ( DIFFERENT ?auto_3225 ?auto_3222 ) ( AT ?auto_3215 ?auto_3222 ) ( LOCATION ?auto_3219 ) ( CITY ?auto_3218 ) ( IN-CITY ?auto_3219 ?auto_3218 ) ( IN-CITY ?auto_3222 ?auto_3218 ) ( DIFFERENT ?auto_3222 ?auto_3219 ) ( LOCATION ?auto_3228 ) ( CITY ?auto_3227 ) ( IN-CITY ?auto_3228 ?auto_3227 ) ( IN-CITY ?auto_3219 ?auto_3227 ) ( DIFFERENT ?auto_3219 ?auto_3228 ) ( LOCATION ?auto_3231 ) ( CITY ?auto_3230 ) ( AT ?auto_3221 ?auto_3231 ) ( IN-CITY ?auto_3231 ?auto_3230 ) ( IN-CITY ?auto_3228 ?auto_3230 ) ( DIFFERENT ?auto_3228 ?auto_3231 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3221 ?auto_3231 ?auto_3228 ?auto_3230 )
      ( DELIVER-PKG ?auto_3215 ?auto_3216 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3249
      ?auto_3250
    )
    :vars
    (
      ?auto_3260
      ?auto_3255
      ?auto_3259
      ?auto_3256
      ?auto_3257
      ?auto_3258
      ?auto_3254
      ?auto_3253
      ?auto_3262
      ?auto_3261
      ?auto_3264
      ?auto_3263
      ?auto_3267
      ?auto_3266
    )
    :precondition
    ( and ( OBJ ?auto_3249 ) ( LOCATION ?auto_3250 ) ( AIRPLANE ?auto_3260 ) ( AIRPORT ?auto_3255 ) ( AIRPORT ?auto_3250 ) ( AT ?auto_3260 ?auto_3255 ) ( DIFFERENT ?auto_3250 ?auto_3255 ) ( LOCATION ?auto_3259 ) ( AT ?auto_3260 ?auto_3259 ) ( TRUCK ?auto_3256 ) ( LOCATION ?auto_3257 ) ( CITY ?auto_3258 ) ( IN-CITY ?auto_3257 ?auto_3258 ) ( IN-CITY ?auto_3259 ?auto_3258 ) ( DIFFERENT ?auto_3259 ?auto_3257 ) ( AT ?auto_3249 ?auto_3257 ) ( LOCATION ?auto_3254 ) ( CITY ?auto_3253 ) ( IN-CITY ?auto_3254 ?auto_3253 ) ( IN-CITY ?auto_3257 ?auto_3253 ) ( DIFFERENT ?auto_3257 ?auto_3254 ) ( LOCATION ?auto_3262 ) ( CITY ?auto_3261 ) ( IN-CITY ?auto_3262 ?auto_3261 ) ( IN-CITY ?auto_3254 ?auto_3261 ) ( DIFFERENT ?auto_3254 ?auto_3262 ) ( LOCATION ?auto_3264 ) ( CITY ?auto_3263 ) ( IN-CITY ?auto_3264 ?auto_3263 ) ( IN-CITY ?auto_3262 ?auto_3263 ) ( DIFFERENT ?auto_3262 ?auto_3264 ) ( LOCATION ?auto_3267 ) ( CITY ?auto_3266 ) ( AT ?auto_3256 ?auto_3267 ) ( IN-CITY ?auto_3267 ?auto_3266 ) ( IN-CITY ?auto_3264 ?auto_3266 ) ( DIFFERENT ?auto_3264 ?auto_3267 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3256 ?auto_3267 ?auto_3264 ?auto_3266 )
      ( DELIVER-PKG ?auto_3249 ?auto_3250 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3341
      ?auto_3342
    )
    :vars
    (
      ?auto_3353
      ?auto_3352
      ?auto_3349
      ?auto_3350
      ?auto_3351
      ?auto_3345
      ?auto_3344
      ?auto_3355
      ?auto_3354
      ?auto_3347
      ?auto_3346
      ?auto_3358
      ?auto_3357
      ?auto_3360
    )
    :precondition
    ( and ( OBJ ?auto_3341 ) ( LOCATION ?auto_3342 ) ( AIRPLANE ?auto_3353 ) ( AIRPORT ?auto_3352 ) ( AIRPORT ?auto_3342 ) ( DIFFERENT ?auto_3342 ?auto_3352 ) ( LOCATION ?auto_3352 ) ( TRUCK ?auto_3349 ) ( LOCATION ?auto_3350 ) ( CITY ?auto_3351 ) ( IN-CITY ?auto_3350 ?auto_3351 ) ( IN-CITY ?auto_3352 ?auto_3351 ) ( DIFFERENT ?auto_3352 ?auto_3350 ) ( AT ?auto_3341 ?auto_3350 ) ( LOCATION ?auto_3345 ) ( CITY ?auto_3344 ) ( IN-CITY ?auto_3345 ?auto_3344 ) ( IN-CITY ?auto_3350 ?auto_3344 ) ( DIFFERENT ?auto_3350 ?auto_3345 ) ( LOCATION ?auto_3355 ) ( CITY ?auto_3354 ) ( IN-CITY ?auto_3355 ?auto_3354 ) ( IN-CITY ?auto_3345 ?auto_3354 ) ( DIFFERENT ?auto_3345 ?auto_3355 ) ( LOCATION ?auto_3347 ) ( CITY ?auto_3346 ) ( IN-CITY ?auto_3347 ?auto_3346 ) ( IN-CITY ?auto_3355 ?auto_3346 ) ( DIFFERENT ?auto_3355 ?auto_3347 ) ( LOCATION ?auto_3358 ) ( CITY ?auto_3357 ) ( AT ?auto_3349 ?auto_3358 ) ( IN-CITY ?auto_3358 ?auto_3357 ) ( IN-CITY ?auto_3347 ?auto_3357 ) ( DIFFERENT ?auto_3347 ?auto_3358 ) ( AIRPORT ?auto_3360 ) ( AT ?auto_3353 ?auto_3360 ) ( DIFFERENT ?auto_3352 ?auto_3360 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3353 ?auto_3360 ?auto_3352 )
      ( DELIVER-PKG ?auto_3341 ?auto_3342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3588
      ?auto_3589
    )
    :vars
    (
      ?auto_3594
      ?auto_3592
      ?auto_3591
      ?auto_3593
      ?auto_3598
    )
    :precondition
    ( and ( OBJ ?auto_3588 ) ( LOCATION ?auto_3589 ) ( TRUCK ?auto_3594 ) ( LOCATION ?auto_3592 ) ( CITY ?auto_3591 ) ( AT ?auto_3594 ?auto_3592 ) ( IN-CITY ?auto_3592 ?auto_3591 ) ( IN-CITY ?auto_3589 ?auto_3591 ) ( DIFFERENT ?auto_3589 ?auto_3592 ) ( LOCATION ?auto_3593 ) ( AT ?auto_3594 ?auto_3593 ) ( AIRPLANE ?auto_3598 ) ( IN ?auto_3588 ?auto_3598 ) ( AT ?auto_3598 ?auto_3593 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3588 ?auto_3593 )
      ( DELIVER-PKG ?auto_3588 ?auto_3589 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3599
      ?auto_3600
    )
    :vars
    (
      ?auto_3604
      ?auto_3602
      ?auto_3601
      ?auto_3606
      ?auto_3605
      ?auto_3609
    )
    :precondition
    ( and ( OBJ ?auto_3599 ) ( LOCATION ?auto_3600 ) ( TRUCK ?auto_3604 ) ( LOCATION ?auto_3602 ) ( CITY ?auto_3601 ) ( AT ?auto_3604 ?auto_3602 ) ( IN-CITY ?auto_3602 ?auto_3601 ) ( IN-CITY ?auto_3600 ?auto_3601 ) ( DIFFERENT ?auto_3600 ?auto_3602 ) ( LOCATION ?auto_3606 ) ( AT ?auto_3604 ?auto_3606 ) ( AIRPLANE ?auto_3605 ) ( IN ?auto_3599 ?auto_3605 ) ( AIRPORT ?auto_3609 ) ( AIRPORT ?auto_3606 ) ( AT ?auto_3605 ?auto_3609 ) ( DIFFERENT ?auto_3606 ?auto_3609 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3605 ?auto_3609 ?auto_3606 )
      ( DELIVER-PKG ?auto_3599 ?auto_3600 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3611
      ?auto_3612
    )
    :vars
    (
      ?auto_3620
      ?auto_3616
      ?auto_3617
      ?auto_3615
      ?auto_3613
      ?auto_3614
      ?auto_3622
    )
    :precondition
    ( and ( OBJ ?auto_3611 ) ( LOCATION ?auto_3612 ) ( TRUCK ?auto_3620 ) ( LOCATION ?auto_3616 ) ( CITY ?auto_3617 ) ( AT ?auto_3620 ?auto_3616 ) ( IN-CITY ?auto_3616 ?auto_3617 ) ( IN-CITY ?auto_3612 ?auto_3617 ) ( DIFFERENT ?auto_3612 ?auto_3616 ) ( LOCATION ?auto_3615 ) ( AT ?auto_3620 ?auto_3615 ) ( AIRPLANE ?auto_3613 ) ( AIRPORT ?auto_3614 ) ( AIRPORT ?auto_3615 ) ( AT ?auto_3613 ?auto_3614 ) ( DIFFERENT ?auto_3615 ?auto_3614 ) ( LOCATION ?auto_3622 ) ( AT ?auto_3611 ?auto_3622 ) ( AT ?auto_3613 ?auto_3622 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3611 ?auto_3613 ?auto_3622 )
      ( DELIVER-PKG ?auto_3611 ?auto_3612 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3635
      ?auto_3636
    )
    :vars
    (
      ?auto_3638
      ?auto_3645
      ?auto_3644
      ?auto_3642
      ?auto_3640
      ?auto_3643
      ?auto_3641
      ?auto_3648
    )
    :precondition
    ( and ( OBJ ?auto_3635 ) ( LOCATION ?auto_3636 ) ( TRUCK ?auto_3638 ) ( LOCATION ?auto_3645 ) ( CITY ?auto_3644 ) ( AT ?auto_3638 ?auto_3645 ) ( IN-CITY ?auto_3645 ?auto_3644 ) ( IN-CITY ?auto_3636 ?auto_3644 ) ( DIFFERENT ?auto_3636 ?auto_3645 ) ( LOCATION ?auto_3642 ) ( AT ?auto_3638 ?auto_3642 ) ( AIRPLANE ?auto_3640 ) ( AIRPORT ?auto_3643 ) ( AIRPORT ?auto_3642 ) ( AT ?auto_3640 ?auto_3643 ) ( DIFFERENT ?auto_3642 ?auto_3643 ) ( LOCATION ?auto_3641 ) ( AT ?auto_3640 ?auto_3641 ) ( TRUCK ?auto_3648 ) ( AT ?auto_3648 ?auto_3641 ) ( IN ?auto_3635 ?auto_3648 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3635 ?auto_3641 )
      ( DELIVER-PKG ?auto_3635 ?auto_3636 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3673
      ?auto_3674
    )
    :vars
    (
      ?auto_3676
      ?auto_3675
      ?auto_3682
      ?auto_3680
      ?auto_3677
      ?auto_3681
      ?auto_3678
      ?auto_3684
      ?auto_3687
      ?auto_3686
    )
    :precondition
    ( and ( OBJ ?auto_3673 ) ( LOCATION ?auto_3674 ) ( TRUCK ?auto_3676 ) ( LOCATION ?auto_3675 ) ( CITY ?auto_3682 ) ( AT ?auto_3676 ?auto_3675 ) ( IN-CITY ?auto_3675 ?auto_3682 ) ( IN-CITY ?auto_3674 ?auto_3682 ) ( DIFFERENT ?auto_3674 ?auto_3675 ) ( LOCATION ?auto_3680 ) ( AT ?auto_3676 ?auto_3680 ) ( AIRPLANE ?auto_3677 ) ( AIRPORT ?auto_3681 ) ( AIRPORT ?auto_3680 ) ( AT ?auto_3677 ?auto_3681 ) ( DIFFERENT ?auto_3680 ?auto_3681 ) ( LOCATION ?auto_3678 ) ( AT ?auto_3677 ?auto_3678 ) ( TRUCK ?auto_3684 ) ( IN ?auto_3673 ?auto_3684 ) ( LOCATION ?auto_3687 ) ( CITY ?auto_3686 ) ( AT ?auto_3684 ?auto_3687 ) ( IN-CITY ?auto_3687 ?auto_3686 ) ( IN-CITY ?auto_3678 ?auto_3686 ) ( DIFFERENT ?auto_3678 ?auto_3687 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3684 ?auto_3687 ?auto_3678 ?auto_3686 )
      ( DELIVER-PKG ?auto_3673 ?auto_3674 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3731
      ?auto_3732
    )
    :vars
    (
      ?auto_3736
      ?auto_3737
      ?auto_3741
      ?auto_3739
      ?auto_3734
      ?auto_3740
      ?auto_3735
      ?auto_3742
      ?auto_3744
      ?auto_3743
      ?auto_3746
    )
    :precondition
    ( and ( OBJ ?auto_3731 ) ( LOCATION ?auto_3732 ) ( TRUCK ?auto_3736 ) ( LOCATION ?auto_3737 ) ( CITY ?auto_3741 ) ( AT ?auto_3736 ?auto_3737 ) ( IN-CITY ?auto_3737 ?auto_3741 ) ( IN-CITY ?auto_3732 ?auto_3741 ) ( DIFFERENT ?auto_3732 ?auto_3737 ) ( LOCATION ?auto_3739 ) ( AT ?auto_3736 ?auto_3739 ) ( AIRPLANE ?auto_3734 ) ( AIRPORT ?auto_3740 ) ( AIRPORT ?auto_3739 ) ( AT ?auto_3734 ?auto_3740 ) ( DIFFERENT ?auto_3739 ?auto_3740 ) ( LOCATION ?auto_3735 ) ( AT ?auto_3734 ?auto_3735 ) ( TRUCK ?auto_3742 ) ( LOCATION ?auto_3744 ) ( CITY ?auto_3743 ) ( AT ?auto_3742 ?auto_3744 ) ( IN-CITY ?auto_3744 ?auto_3743 ) ( IN-CITY ?auto_3735 ?auto_3743 ) ( DIFFERENT ?auto_3735 ?auto_3744 ) ( LOCATION ?auto_3746 ) ( AT ?auto_3742 ?auto_3746 ) ( AT ?auto_3731 ?auto_3746 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3731 ?auto_3742 ?auto_3746 )
      ( DELIVER-PKG ?auto_3731 ?auto_3732 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3778
      ?auto_3779
    )
    :vars
    (
      ?auto_3780
      ?auto_3785
      ?auto_3788
      ?auto_3786
      ?auto_3782
      ?auto_3787
      ?auto_3784
      ?auto_3789
      ?auto_3792
      ?auto_3790
      ?auto_3795
      ?auto_3794
    )
    :precondition
    ( and ( OBJ ?auto_3778 ) ( LOCATION ?auto_3779 ) ( TRUCK ?auto_3780 ) ( LOCATION ?auto_3785 ) ( CITY ?auto_3788 ) ( AT ?auto_3780 ?auto_3785 ) ( IN-CITY ?auto_3785 ?auto_3788 ) ( IN-CITY ?auto_3779 ?auto_3788 ) ( DIFFERENT ?auto_3779 ?auto_3785 ) ( LOCATION ?auto_3786 ) ( AT ?auto_3780 ?auto_3786 ) ( AIRPLANE ?auto_3782 ) ( AIRPORT ?auto_3787 ) ( AIRPORT ?auto_3786 ) ( AT ?auto_3782 ?auto_3787 ) ( DIFFERENT ?auto_3786 ?auto_3787 ) ( LOCATION ?auto_3784 ) ( AT ?auto_3782 ?auto_3784 ) ( TRUCK ?auto_3789 ) ( LOCATION ?auto_3792 ) ( CITY ?auto_3790 ) ( IN-CITY ?auto_3792 ?auto_3790 ) ( IN-CITY ?auto_3784 ?auto_3790 ) ( DIFFERENT ?auto_3784 ?auto_3792 ) ( AT ?auto_3778 ?auto_3792 ) ( LOCATION ?auto_3795 ) ( CITY ?auto_3794 ) ( AT ?auto_3789 ?auto_3795 ) ( IN-CITY ?auto_3795 ?auto_3794 ) ( IN-CITY ?auto_3792 ?auto_3794 ) ( DIFFERENT ?auto_3792 ?auto_3795 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3789 ?auto_3795 ?auto_3792 ?auto_3794 )
      ( DELIVER-PKG ?auto_3778 ?auto_3779 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3829
      ?auto_3830
    )
    :vars
    (
      ?auto_3842
      ?auto_3834
      ?auto_3837
      ?auto_3835
      ?auto_3841
      ?auto_3836
      ?auto_3833
      ?auto_3838
      ?auto_3840
      ?auto_3839
      ?auto_3844
      ?auto_3843
      ?auto_3847
      ?auto_3846
    )
    :precondition
    ( and ( OBJ ?auto_3829 ) ( LOCATION ?auto_3830 ) ( TRUCK ?auto_3842 ) ( LOCATION ?auto_3834 ) ( CITY ?auto_3837 ) ( AT ?auto_3842 ?auto_3834 ) ( IN-CITY ?auto_3834 ?auto_3837 ) ( IN-CITY ?auto_3830 ?auto_3837 ) ( DIFFERENT ?auto_3830 ?auto_3834 ) ( LOCATION ?auto_3835 ) ( AT ?auto_3842 ?auto_3835 ) ( AIRPLANE ?auto_3841 ) ( AIRPORT ?auto_3836 ) ( AIRPORT ?auto_3835 ) ( AT ?auto_3841 ?auto_3836 ) ( DIFFERENT ?auto_3835 ?auto_3836 ) ( LOCATION ?auto_3833 ) ( AT ?auto_3841 ?auto_3833 ) ( TRUCK ?auto_3838 ) ( LOCATION ?auto_3840 ) ( CITY ?auto_3839 ) ( IN-CITY ?auto_3840 ?auto_3839 ) ( IN-CITY ?auto_3833 ?auto_3839 ) ( DIFFERENT ?auto_3833 ?auto_3840 ) ( AT ?auto_3829 ?auto_3840 ) ( LOCATION ?auto_3844 ) ( CITY ?auto_3843 ) ( IN-CITY ?auto_3844 ?auto_3843 ) ( IN-CITY ?auto_3840 ?auto_3843 ) ( DIFFERENT ?auto_3840 ?auto_3844 ) ( LOCATION ?auto_3847 ) ( CITY ?auto_3846 ) ( AT ?auto_3838 ?auto_3847 ) ( IN-CITY ?auto_3847 ?auto_3846 ) ( IN-CITY ?auto_3844 ?auto_3846 ) ( DIFFERENT ?auto_3844 ?auto_3847 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3838 ?auto_3847 ?auto_3844 ?auto_3846 )
      ( DELIVER-PKG ?auto_3829 ?auto_3830 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3903
      ?auto_3904
    )
    :vars
    (
      ?auto_3915
      ?auto_3906
      ?auto_3909
      ?auto_3907
      ?auto_3913
      ?auto_3908
      ?auto_3919
      ?auto_3910
      ?auto_3912
      ?auto_3911
      ?auto_3917
      ?auto_3916
      ?auto_3920
      ?auto_3914
      ?auto_3923
      ?auto_3922
    )
    :precondition
    ( and ( OBJ ?auto_3903 ) ( LOCATION ?auto_3904 ) ( TRUCK ?auto_3915 ) ( LOCATION ?auto_3906 ) ( CITY ?auto_3909 ) ( AT ?auto_3915 ?auto_3906 ) ( IN-CITY ?auto_3906 ?auto_3909 ) ( IN-CITY ?auto_3904 ?auto_3909 ) ( DIFFERENT ?auto_3904 ?auto_3906 ) ( LOCATION ?auto_3907 ) ( AT ?auto_3915 ?auto_3907 ) ( AIRPLANE ?auto_3913 ) ( AIRPORT ?auto_3908 ) ( AIRPORT ?auto_3907 ) ( AT ?auto_3913 ?auto_3908 ) ( DIFFERENT ?auto_3907 ?auto_3908 ) ( LOCATION ?auto_3919 ) ( AT ?auto_3913 ?auto_3919 ) ( TRUCK ?auto_3910 ) ( LOCATION ?auto_3912 ) ( CITY ?auto_3911 ) ( IN-CITY ?auto_3912 ?auto_3911 ) ( IN-CITY ?auto_3919 ?auto_3911 ) ( DIFFERENT ?auto_3919 ?auto_3912 ) ( AT ?auto_3903 ?auto_3912 ) ( LOCATION ?auto_3917 ) ( CITY ?auto_3916 ) ( IN-CITY ?auto_3917 ?auto_3916 ) ( IN-CITY ?auto_3912 ?auto_3916 ) ( DIFFERENT ?auto_3912 ?auto_3917 ) ( LOCATION ?auto_3920 ) ( CITY ?auto_3914 ) ( IN-CITY ?auto_3920 ?auto_3914 ) ( IN-CITY ?auto_3917 ?auto_3914 ) ( DIFFERENT ?auto_3917 ?auto_3920 ) ( LOCATION ?auto_3923 ) ( CITY ?auto_3922 ) ( AT ?auto_3910 ?auto_3923 ) ( IN-CITY ?auto_3923 ?auto_3922 ) ( IN-CITY ?auto_3920 ?auto_3922 ) ( DIFFERENT ?auto_3920 ?auto_3923 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3910 ?auto_3923 ?auto_3920 ?auto_3922 )
      ( DELIVER-PKG ?auto_3903 ?auto_3904 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3945
      ?auto_3946
    )
    :vars
    (
      ?auto_3959
      ?auto_3950
      ?auto_3953
      ?auto_3951
      ?auto_3957
      ?auto_3952
      ?auto_3962
      ?auto_3954
      ?auto_3956
      ?auto_3955
      ?auto_3961
      ?auto_3960
      ?auto_3963
      ?auto_3958
      ?auto_3964
      ?auto_3948
      ?auto_3967
      ?auto_3966
    )
    :precondition
    ( and ( OBJ ?auto_3945 ) ( LOCATION ?auto_3946 ) ( TRUCK ?auto_3959 ) ( LOCATION ?auto_3950 ) ( CITY ?auto_3953 ) ( AT ?auto_3959 ?auto_3950 ) ( IN-CITY ?auto_3950 ?auto_3953 ) ( IN-CITY ?auto_3946 ?auto_3953 ) ( DIFFERENT ?auto_3946 ?auto_3950 ) ( LOCATION ?auto_3951 ) ( AT ?auto_3959 ?auto_3951 ) ( AIRPLANE ?auto_3957 ) ( AIRPORT ?auto_3952 ) ( AIRPORT ?auto_3951 ) ( AT ?auto_3957 ?auto_3952 ) ( DIFFERENT ?auto_3951 ?auto_3952 ) ( LOCATION ?auto_3962 ) ( AT ?auto_3957 ?auto_3962 ) ( TRUCK ?auto_3954 ) ( LOCATION ?auto_3956 ) ( CITY ?auto_3955 ) ( IN-CITY ?auto_3956 ?auto_3955 ) ( IN-CITY ?auto_3962 ?auto_3955 ) ( DIFFERENT ?auto_3962 ?auto_3956 ) ( AT ?auto_3945 ?auto_3956 ) ( LOCATION ?auto_3961 ) ( CITY ?auto_3960 ) ( IN-CITY ?auto_3961 ?auto_3960 ) ( IN-CITY ?auto_3956 ?auto_3960 ) ( DIFFERENT ?auto_3956 ?auto_3961 ) ( LOCATION ?auto_3963 ) ( CITY ?auto_3958 ) ( IN-CITY ?auto_3963 ?auto_3958 ) ( IN-CITY ?auto_3961 ?auto_3958 ) ( DIFFERENT ?auto_3961 ?auto_3963 ) ( LOCATION ?auto_3964 ) ( CITY ?auto_3948 ) ( IN-CITY ?auto_3964 ?auto_3948 ) ( IN-CITY ?auto_3963 ?auto_3948 ) ( DIFFERENT ?auto_3963 ?auto_3964 ) ( LOCATION ?auto_3967 ) ( CITY ?auto_3966 ) ( AT ?auto_3954 ?auto_3967 ) ( IN-CITY ?auto_3967 ?auto_3966 ) ( IN-CITY ?auto_3964 ?auto_3966 ) ( DIFFERENT ?auto_3964 ?auto_3967 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3954 ?auto_3967 ?auto_3964 ?auto_3966 )
      ( DELIVER-PKG ?auto_3945 ?auto_3946 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4013
      ?auto_4014
    )
    :vars
    (
      ?auto_4025
      ?auto_4032
      ?auto_4018
      ?auto_4023
      ?auto_4017
      ?auto_4028
      ?auto_4019
      ?auto_4022
      ?auto_4020
      ?auto_4027
      ?auto_4026
      ?auto_4029
      ?auto_4024
      ?auto_4030
      ?auto_4016
      ?auto_4034
      ?auto_4015
      ?auto_4037
      ?auto_4036
    )
    :precondition
    ( and ( OBJ ?auto_4013 ) ( LOCATION ?auto_4014 ) ( TRUCK ?auto_4025 ) ( LOCATION ?auto_4032 ) ( CITY ?auto_4018 ) ( IN-CITY ?auto_4032 ?auto_4018 ) ( IN-CITY ?auto_4014 ?auto_4018 ) ( DIFFERENT ?auto_4014 ?auto_4032 ) ( AIRPLANE ?auto_4023 ) ( AIRPORT ?auto_4017 ) ( AIRPORT ?auto_4032 ) ( AT ?auto_4023 ?auto_4017 ) ( DIFFERENT ?auto_4032 ?auto_4017 ) ( LOCATION ?auto_4028 ) ( AT ?auto_4023 ?auto_4028 ) ( TRUCK ?auto_4019 ) ( LOCATION ?auto_4022 ) ( CITY ?auto_4020 ) ( IN-CITY ?auto_4022 ?auto_4020 ) ( IN-CITY ?auto_4028 ?auto_4020 ) ( DIFFERENT ?auto_4028 ?auto_4022 ) ( AT ?auto_4013 ?auto_4022 ) ( LOCATION ?auto_4027 ) ( CITY ?auto_4026 ) ( IN-CITY ?auto_4027 ?auto_4026 ) ( IN-CITY ?auto_4022 ?auto_4026 ) ( DIFFERENT ?auto_4022 ?auto_4027 ) ( LOCATION ?auto_4029 ) ( CITY ?auto_4024 ) ( IN-CITY ?auto_4029 ?auto_4024 ) ( IN-CITY ?auto_4027 ?auto_4024 ) ( DIFFERENT ?auto_4027 ?auto_4029 ) ( LOCATION ?auto_4030 ) ( CITY ?auto_4016 ) ( IN-CITY ?auto_4030 ?auto_4016 ) ( IN-CITY ?auto_4029 ?auto_4016 ) ( DIFFERENT ?auto_4029 ?auto_4030 ) ( LOCATION ?auto_4034 ) ( CITY ?auto_4015 ) ( AT ?auto_4019 ?auto_4034 ) ( IN-CITY ?auto_4034 ?auto_4015 ) ( IN-CITY ?auto_4030 ?auto_4015 ) ( DIFFERENT ?auto_4030 ?auto_4034 ) ( LOCATION ?auto_4037 ) ( CITY ?auto_4036 ) ( AT ?auto_4025 ?auto_4037 ) ( IN-CITY ?auto_4037 ?auto_4036 ) ( IN-CITY ?auto_4032 ?auto_4036 ) ( DIFFERENT ?auto_4032 ?auto_4037 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4025 ?auto_4037 ?auto_4032 ?auto_4036 )
      ( DELIVER-PKG ?auto_4013 ?auto_4014 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4062
      ?auto_4063
    )
    :vars
    (
      ?auto_4077
      ?auto_4083
      ?auto_4073
      ?auto_4081
      ?auto_4069
      ?auto_4074
      ?auto_4080
      ?auto_4075
      ?auto_4079
      ?auto_4078
      ?auto_4070
      ?auto_4076
      ?auto_4071
      ?auto_4067
      ?auto_4084
      ?auto_4065
      ?auto_4068
      ?auto_4082
      ?auto_4086
    )
    :precondition
    ( and ( OBJ ?auto_4062 ) ( LOCATION ?auto_4063 ) ( TRUCK ?auto_4077 ) ( LOCATION ?auto_4083 ) ( CITY ?auto_4073 ) ( IN-CITY ?auto_4083 ?auto_4073 ) ( IN-CITY ?auto_4063 ?auto_4073 ) ( DIFFERENT ?auto_4063 ?auto_4083 ) ( AIRPLANE ?auto_4081 ) ( AIRPORT ?auto_4069 ) ( AIRPORT ?auto_4083 ) ( DIFFERENT ?auto_4083 ?auto_4069 ) ( LOCATION ?auto_4069 ) ( TRUCK ?auto_4074 ) ( LOCATION ?auto_4080 ) ( CITY ?auto_4075 ) ( IN-CITY ?auto_4080 ?auto_4075 ) ( IN-CITY ?auto_4069 ?auto_4075 ) ( DIFFERENT ?auto_4069 ?auto_4080 ) ( AT ?auto_4062 ?auto_4080 ) ( LOCATION ?auto_4079 ) ( CITY ?auto_4078 ) ( IN-CITY ?auto_4079 ?auto_4078 ) ( IN-CITY ?auto_4080 ?auto_4078 ) ( DIFFERENT ?auto_4080 ?auto_4079 ) ( LOCATION ?auto_4070 ) ( CITY ?auto_4076 ) ( IN-CITY ?auto_4070 ?auto_4076 ) ( IN-CITY ?auto_4079 ?auto_4076 ) ( DIFFERENT ?auto_4079 ?auto_4070 ) ( LOCATION ?auto_4071 ) ( CITY ?auto_4067 ) ( IN-CITY ?auto_4071 ?auto_4067 ) ( IN-CITY ?auto_4070 ?auto_4067 ) ( DIFFERENT ?auto_4070 ?auto_4071 ) ( LOCATION ?auto_4084 ) ( CITY ?auto_4065 ) ( AT ?auto_4074 ?auto_4084 ) ( IN-CITY ?auto_4084 ?auto_4065 ) ( IN-CITY ?auto_4071 ?auto_4065 ) ( DIFFERENT ?auto_4071 ?auto_4084 ) ( LOCATION ?auto_4068 ) ( CITY ?auto_4082 ) ( AT ?auto_4077 ?auto_4068 ) ( IN-CITY ?auto_4068 ?auto_4082 ) ( IN-CITY ?auto_4083 ?auto_4082 ) ( DIFFERENT ?auto_4083 ?auto_4068 ) ( AIRPORT ?auto_4086 ) ( AT ?auto_4081 ?auto_4086 ) ( DIFFERENT ?auto_4069 ?auto_4086 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4081 ?auto_4086 ?auto_4069 )
      ( DELIVER-PKG ?auto_4062 ?auto_4063 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5085
      ?auto_5086
    )
    :vars
    (
      ?auto_5088
      ?auto_5094
      ?auto_5089
      ?auto_5087
      ?auto_5090
      ?auto_5093
      ?auto_5092
      ?auto_5098
    )
    :precondition
    ( and ( OBJ ?auto_5085 ) ( LOCATION ?auto_5086 ) ( TRUCK ?auto_5088 ) ( LOCATION ?auto_5094 ) ( CITY ?auto_5089 ) ( IN-CITY ?auto_5094 ?auto_5089 ) ( IN-CITY ?auto_5086 ?auto_5089 ) ( DIFFERENT ?auto_5086 ?auto_5094 ) ( LOCATION ?auto_5087 ) ( CITY ?auto_5090 ) ( IN-CITY ?auto_5087 ?auto_5090 ) ( IN-CITY ?auto_5094 ?auto_5090 ) ( DIFFERENT ?auto_5094 ?auto_5087 ) ( LOCATION ?auto_5093 ) ( CITY ?auto_5092 ) ( AT ?auto_5088 ?auto_5093 ) ( IN-CITY ?auto_5093 ?auto_5092 ) ( IN-CITY ?auto_5087 ?auto_5092 ) ( DIFFERENT ?auto_5087 ?auto_5093 ) ( AIRPLANE ?auto_5098 ) ( IN ?auto_5085 ?auto_5098 ) ( AT ?auto_5098 ?auto_5094 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5085 ?auto_5094 )
      ( DELIVER-PKG ?auto_5085 ?auto_5086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5123
      ?auto_5124
    )
    :vars
    (
      ?auto_5128
      ?auto_5133
      ?auto_5129
      ?auto_5127
      ?auto_5130
      ?auto_5132
      ?auto_5131
      ?auto_5134
      ?auto_5136
    )
    :precondition
    ( and ( OBJ ?auto_5123 ) ( LOCATION ?auto_5124 ) ( TRUCK ?auto_5128 ) ( LOCATION ?auto_5133 ) ( CITY ?auto_5129 ) ( IN-CITY ?auto_5133 ?auto_5129 ) ( IN-CITY ?auto_5124 ?auto_5129 ) ( DIFFERENT ?auto_5124 ?auto_5133 ) ( LOCATION ?auto_5127 ) ( CITY ?auto_5130 ) ( IN-CITY ?auto_5127 ?auto_5130 ) ( IN-CITY ?auto_5133 ?auto_5130 ) ( DIFFERENT ?auto_5133 ?auto_5127 ) ( LOCATION ?auto_5132 ) ( CITY ?auto_5131 ) ( AT ?auto_5128 ?auto_5132 ) ( IN-CITY ?auto_5132 ?auto_5131 ) ( IN-CITY ?auto_5127 ?auto_5131 ) ( DIFFERENT ?auto_5127 ?auto_5132 ) ( AIRPLANE ?auto_5134 ) ( IN ?auto_5123 ?auto_5134 ) ( AIRPORT ?auto_5136 ) ( AIRPORT ?auto_5133 ) ( AT ?auto_5134 ?auto_5136 ) ( DIFFERENT ?auto_5133 ?auto_5136 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5134 ?auto_5136 ?auto_5133 )
      ( DELIVER-PKG ?auto_5123 ?auto_5124 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5164
      ?auto_5165
    )
    :vars
    (
      ?auto_5169
      ?auto_5166
      ?auto_5170
      ?auto_5168
      ?auto_5171
      ?auto_5173
      ?auto_5172
      ?auto_5167
      ?auto_5176
      ?auto_5178
    )
    :precondition
    ( and ( OBJ ?auto_5164 ) ( LOCATION ?auto_5165 ) ( TRUCK ?auto_5169 ) ( LOCATION ?auto_5166 ) ( CITY ?auto_5170 ) ( IN-CITY ?auto_5166 ?auto_5170 ) ( IN-CITY ?auto_5165 ?auto_5170 ) ( DIFFERENT ?auto_5165 ?auto_5166 ) ( LOCATION ?auto_5168 ) ( CITY ?auto_5171 ) ( IN-CITY ?auto_5168 ?auto_5171 ) ( IN-CITY ?auto_5166 ?auto_5171 ) ( DIFFERENT ?auto_5166 ?auto_5168 ) ( LOCATION ?auto_5173 ) ( CITY ?auto_5172 ) ( AT ?auto_5169 ?auto_5173 ) ( IN-CITY ?auto_5173 ?auto_5172 ) ( IN-CITY ?auto_5168 ?auto_5172 ) ( DIFFERENT ?auto_5168 ?auto_5173 ) ( AIRPLANE ?auto_5167 ) ( AIRPORT ?auto_5176 ) ( AIRPORT ?auto_5166 ) ( AT ?auto_5167 ?auto_5176 ) ( DIFFERENT ?auto_5166 ?auto_5176 ) ( LOCATION ?auto_5178 ) ( AT ?auto_5164 ?auto_5178 ) ( AT ?auto_5167 ?auto_5178 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5164 ?auto_5167 ?auto_5178 )
      ( DELIVER-PKG ?auto_5164 ?auto_5165 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5208
      ?auto_5209
    )
    :vars
    (
      ?auto_5213
      ?auto_5212
      ?auto_5214
      ?auto_5218
      ?auto_5215
      ?auto_5217
      ?auto_5216
      ?auto_5220
      ?auto_5219
      ?auto_5221
      ?auto_5223
    )
    :precondition
    ( and ( OBJ ?auto_5208 ) ( LOCATION ?auto_5209 ) ( TRUCK ?auto_5213 ) ( LOCATION ?auto_5212 ) ( CITY ?auto_5214 ) ( IN-CITY ?auto_5212 ?auto_5214 ) ( IN-CITY ?auto_5209 ?auto_5214 ) ( DIFFERENT ?auto_5209 ?auto_5212 ) ( LOCATION ?auto_5218 ) ( CITY ?auto_5215 ) ( IN-CITY ?auto_5218 ?auto_5215 ) ( IN-CITY ?auto_5212 ?auto_5215 ) ( DIFFERENT ?auto_5212 ?auto_5218 ) ( LOCATION ?auto_5217 ) ( CITY ?auto_5216 ) ( AT ?auto_5213 ?auto_5217 ) ( IN-CITY ?auto_5217 ?auto_5216 ) ( IN-CITY ?auto_5218 ?auto_5216 ) ( DIFFERENT ?auto_5218 ?auto_5217 ) ( AIRPLANE ?auto_5220 ) ( AIRPORT ?auto_5219 ) ( AIRPORT ?auto_5212 ) ( AT ?auto_5220 ?auto_5219 ) ( DIFFERENT ?auto_5212 ?auto_5219 ) ( LOCATION ?auto_5221 ) ( AT ?auto_5220 ?auto_5221 ) ( TRUCK ?auto_5223 ) ( AT ?auto_5223 ?auto_5221 ) ( IN ?auto_5208 ?auto_5223 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5208 ?auto_5221 )
      ( DELIVER-PKG ?auto_5208 ?auto_5209 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5240
      ?auto_5241
    )
    :vars
    (
      ?auto_5250
      ?auto_5249
      ?auto_5251
      ?auto_5244
      ?auto_5252
      ?auto_5243
      ?auto_5253
      ?auto_5246
      ?auto_5245
      ?auto_5254
      ?auto_5247
      ?auto_5257
      ?auto_5256
    )
    :precondition
    ( and ( OBJ ?auto_5240 ) ( LOCATION ?auto_5241 ) ( TRUCK ?auto_5250 ) ( LOCATION ?auto_5249 ) ( CITY ?auto_5251 ) ( IN-CITY ?auto_5249 ?auto_5251 ) ( IN-CITY ?auto_5241 ?auto_5251 ) ( DIFFERENT ?auto_5241 ?auto_5249 ) ( LOCATION ?auto_5244 ) ( CITY ?auto_5252 ) ( IN-CITY ?auto_5244 ?auto_5252 ) ( IN-CITY ?auto_5249 ?auto_5252 ) ( DIFFERENT ?auto_5249 ?auto_5244 ) ( LOCATION ?auto_5243 ) ( CITY ?auto_5253 ) ( AT ?auto_5250 ?auto_5243 ) ( IN-CITY ?auto_5243 ?auto_5253 ) ( IN-CITY ?auto_5244 ?auto_5253 ) ( DIFFERENT ?auto_5244 ?auto_5243 ) ( AIRPLANE ?auto_5246 ) ( AIRPORT ?auto_5245 ) ( AIRPORT ?auto_5249 ) ( AT ?auto_5246 ?auto_5245 ) ( DIFFERENT ?auto_5249 ?auto_5245 ) ( LOCATION ?auto_5254 ) ( AT ?auto_5246 ?auto_5254 ) ( TRUCK ?auto_5247 ) ( IN ?auto_5240 ?auto_5247 ) ( LOCATION ?auto_5257 ) ( CITY ?auto_5256 ) ( AT ?auto_5247 ?auto_5257 ) ( IN-CITY ?auto_5257 ?auto_5256 ) ( IN-CITY ?auto_5254 ?auto_5256 ) ( DIFFERENT ?auto_5254 ?auto_5257 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5247 ?auto_5257 ?auto_5254 ?auto_5256 )
      ( DELIVER-PKG ?auto_5240 ?auto_5241 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5276
      ?auto_5277
    )
    :vars
    (
      ?auto_5280
      ?auto_5279
      ?auto_5281
      ?auto_5288
      ?auto_5285
      ?auto_5278
      ?auto_5286
      ?auto_5283
      ?auto_5282
      ?auto_5287
      ?auto_5284
      ?auto_5292
      ?auto_5291
      ?auto_5295
      ?auto_5294
    )
    :precondition
    ( and ( OBJ ?auto_5276 ) ( LOCATION ?auto_5277 ) ( TRUCK ?auto_5280 ) ( LOCATION ?auto_5279 ) ( CITY ?auto_5281 ) ( IN-CITY ?auto_5279 ?auto_5281 ) ( IN-CITY ?auto_5277 ?auto_5281 ) ( DIFFERENT ?auto_5277 ?auto_5279 ) ( LOCATION ?auto_5288 ) ( CITY ?auto_5285 ) ( IN-CITY ?auto_5288 ?auto_5285 ) ( IN-CITY ?auto_5279 ?auto_5285 ) ( DIFFERENT ?auto_5279 ?auto_5288 ) ( LOCATION ?auto_5278 ) ( CITY ?auto_5286 ) ( AT ?auto_5280 ?auto_5278 ) ( IN-CITY ?auto_5278 ?auto_5286 ) ( IN-CITY ?auto_5288 ?auto_5286 ) ( DIFFERENT ?auto_5288 ?auto_5278 ) ( AIRPLANE ?auto_5283 ) ( AIRPORT ?auto_5282 ) ( AIRPORT ?auto_5279 ) ( AT ?auto_5283 ?auto_5282 ) ( DIFFERENT ?auto_5279 ?auto_5282 ) ( LOCATION ?auto_5287 ) ( AT ?auto_5283 ?auto_5287 ) ( TRUCK ?auto_5284 ) ( IN ?auto_5276 ?auto_5284 ) ( LOCATION ?auto_5292 ) ( CITY ?auto_5291 ) ( IN-CITY ?auto_5292 ?auto_5291 ) ( IN-CITY ?auto_5287 ?auto_5291 ) ( DIFFERENT ?auto_5287 ?auto_5292 ) ( LOCATION ?auto_5295 ) ( CITY ?auto_5294 ) ( AT ?auto_5284 ?auto_5295 ) ( IN-CITY ?auto_5295 ?auto_5294 ) ( IN-CITY ?auto_5292 ?auto_5294 ) ( DIFFERENT ?auto_5292 ?auto_5295 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5284 ?auto_5295 ?auto_5292 ?auto_5294 )
      ( DELIVER-PKG ?auto_5276 ?auto_5277 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5335
      ?auto_5336
    )
    :vars
    (
      ?auto_5340
      ?auto_5337
      ?auto_5347
      ?auto_5349
      ?auto_5345
      ?auto_5343
      ?auto_5346
      ?auto_5342
      ?auto_5341
      ?auto_5348
      ?auto_5344
      ?auto_5351
      ?auto_5350
      ?auto_5353
      ?auto_5338
      ?auto_5356
      ?auto_5355
    )
    :precondition
    ( and ( OBJ ?auto_5335 ) ( LOCATION ?auto_5336 ) ( TRUCK ?auto_5340 ) ( LOCATION ?auto_5337 ) ( CITY ?auto_5347 ) ( IN-CITY ?auto_5337 ?auto_5347 ) ( IN-CITY ?auto_5336 ?auto_5347 ) ( DIFFERENT ?auto_5336 ?auto_5337 ) ( LOCATION ?auto_5349 ) ( CITY ?auto_5345 ) ( IN-CITY ?auto_5349 ?auto_5345 ) ( IN-CITY ?auto_5337 ?auto_5345 ) ( DIFFERENT ?auto_5337 ?auto_5349 ) ( LOCATION ?auto_5343 ) ( CITY ?auto_5346 ) ( IN-CITY ?auto_5343 ?auto_5346 ) ( IN-CITY ?auto_5349 ?auto_5346 ) ( DIFFERENT ?auto_5349 ?auto_5343 ) ( AIRPLANE ?auto_5342 ) ( AIRPORT ?auto_5341 ) ( AIRPORT ?auto_5337 ) ( AT ?auto_5342 ?auto_5341 ) ( DIFFERENT ?auto_5337 ?auto_5341 ) ( LOCATION ?auto_5348 ) ( AT ?auto_5342 ?auto_5348 ) ( TRUCK ?auto_5344 ) ( IN ?auto_5335 ?auto_5344 ) ( LOCATION ?auto_5351 ) ( CITY ?auto_5350 ) ( IN-CITY ?auto_5351 ?auto_5350 ) ( IN-CITY ?auto_5348 ?auto_5350 ) ( DIFFERENT ?auto_5348 ?auto_5351 ) ( LOCATION ?auto_5353 ) ( CITY ?auto_5338 ) ( AT ?auto_5344 ?auto_5353 ) ( IN-CITY ?auto_5353 ?auto_5338 ) ( IN-CITY ?auto_5351 ?auto_5338 ) ( DIFFERENT ?auto_5351 ?auto_5353 ) ( LOCATION ?auto_5356 ) ( CITY ?auto_5355 ) ( AT ?auto_5340 ?auto_5356 ) ( IN-CITY ?auto_5356 ?auto_5355 ) ( IN-CITY ?auto_5343 ?auto_5355 ) ( DIFFERENT ?auto_5343 ?auto_5356 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5340 ?auto_5356 ?auto_5343 ?auto_5355 )
      ( DELIVER-PKG ?auto_5335 ?auto_5336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5358
      ?auto_5359
    )
    :vars
    (
      ?auto_5365
      ?auto_5363
      ?auto_5372
      ?auto_5367
      ?auto_5370
      ?auto_5361
      ?auto_5371
      ?auto_5360
      ?auto_5366
      ?auto_5373
      ?auto_5362
      ?auto_5369
      ?auto_5368
      ?auto_5377
      ?auto_5364
      ?auto_5378
      ?auto_5374
      ?auto_5380
    )
    :precondition
    ( and ( OBJ ?auto_5358 ) ( LOCATION ?auto_5359 ) ( TRUCK ?auto_5365 ) ( LOCATION ?auto_5363 ) ( CITY ?auto_5372 ) ( IN-CITY ?auto_5363 ?auto_5372 ) ( IN-CITY ?auto_5359 ?auto_5372 ) ( DIFFERENT ?auto_5359 ?auto_5363 ) ( LOCATION ?auto_5367 ) ( CITY ?auto_5370 ) ( IN-CITY ?auto_5367 ?auto_5370 ) ( IN-CITY ?auto_5363 ?auto_5370 ) ( DIFFERENT ?auto_5363 ?auto_5367 ) ( LOCATION ?auto_5361 ) ( CITY ?auto_5371 ) ( IN-CITY ?auto_5361 ?auto_5371 ) ( IN-CITY ?auto_5367 ?auto_5371 ) ( DIFFERENT ?auto_5367 ?auto_5361 ) ( AIRPLANE ?auto_5360 ) ( AIRPORT ?auto_5366 ) ( AIRPORT ?auto_5363 ) ( AT ?auto_5360 ?auto_5366 ) ( DIFFERENT ?auto_5363 ?auto_5366 ) ( LOCATION ?auto_5373 ) ( AT ?auto_5360 ?auto_5373 ) ( TRUCK ?auto_5362 ) ( LOCATION ?auto_5369 ) ( CITY ?auto_5368 ) ( IN-CITY ?auto_5369 ?auto_5368 ) ( IN-CITY ?auto_5373 ?auto_5368 ) ( DIFFERENT ?auto_5373 ?auto_5369 ) ( LOCATION ?auto_5377 ) ( CITY ?auto_5364 ) ( AT ?auto_5362 ?auto_5377 ) ( IN-CITY ?auto_5377 ?auto_5364 ) ( IN-CITY ?auto_5369 ?auto_5364 ) ( DIFFERENT ?auto_5369 ?auto_5377 ) ( LOCATION ?auto_5378 ) ( CITY ?auto_5374 ) ( AT ?auto_5365 ?auto_5378 ) ( IN-CITY ?auto_5378 ?auto_5374 ) ( IN-CITY ?auto_5361 ?auto_5374 ) ( DIFFERENT ?auto_5361 ?auto_5378 ) ( LOCATION ?auto_5380 ) ( AT ?auto_5362 ?auto_5380 ) ( AT ?auto_5358 ?auto_5380 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5358 ?auto_5362 ?auto_5380 )
      ( DELIVER-PKG ?auto_5358 ?auto_5359 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5807
      ?auto_5808
    )
    :vars
    (
      ?auto_5811
      ?auto_5814
      ?auto_5810
      ?auto_5813
      ?auto_5812
      ?auto_5818
      ?auto_5817
    )
    :precondition
    ( and ( OBJ ?auto_5807 ) ( LOCATION ?auto_5808 ) ( TRUCK ?auto_5811 ) ( IN ?auto_5807 ?auto_5811 ) ( LOCATION ?auto_5814 ) ( CITY ?auto_5810 ) ( IN-CITY ?auto_5814 ?auto_5810 ) ( IN-CITY ?auto_5808 ?auto_5810 ) ( DIFFERENT ?auto_5808 ?auto_5814 ) ( LOCATION ?auto_5813 ) ( CITY ?auto_5812 ) ( IN-CITY ?auto_5813 ?auto_5812 ) ( IN-CITY ?auto_5814 ?auto_5812 ) ( DIFFERENT ?auto_5814 ?auto_5813 ) ( LOCATION ?auto_5818 ) ( CITY ?auto_5817 ) ( AT ?auto_5811 ?auto_5818 ) ( IN-CITY ?auto_5818 ?auto_5817 ) ( IN-CITY ?auto_5813 ?auto_5817 ) ( DIFFERENT ?auto_5813 ?auto_5818 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5811 ?auto_5818 ?auto_5813 ?auto_5817 )
      ( DELIVER-PKG ?auto_5807 ?auto_5808 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5831
      ?auto_5832
    )
    :vars
    (
      ?auto_5835
      ?auto_5839
      ?auto_5841
      ?auto_5838
      ?auto_5834
      ?auto_5840
      ?auto_5836
      ?auto_5844
      ?auto_5843
    )
    :precondition
    ( and ( OBJ ?auto_5831 ) ( LOCATION ?auto_5832 ) ( TRUCK ?auto_5835 ) ( IN ?auto_5831 ?auto_5835 ) ( LOCATION ?auto_5839 ) ( CITY ?auto_5841 ) ( IN-CITY ?auto_5839 ?auto_5841 ) ( IN-CITY ?auto_5832 ?auto_5841 ) ( DIFFERENT ?auto_5832 ?auto_5839 ) ( LOCATION ?auto_5838 ) ( CITY ?auto_5834 ) ( IN-CITY ?auto_5838 ?auto_5834 ) ( IN-CITY ?auto_5839 ?auto_5834 ) ( DIFFERENT ?auto_5839 ?auto_5838 ) ( LOCATION ?auto_5840 ) ( CITY ?auto_5836 ) ( IN-CITY ?auto_5840 ?auto_5836 ) ( IN-CITY ?auto_5838 ?auto_5836 ) ( DIFFERENT ?auto_5838 ?auto_5840 ) ( LOCATION ?auto_5844 ) ( CITY ?auto_5843 ) ( AT ?auto_5835 ?auto_5844 ) ( IN-CITY ?auto_5844 ?auto_5843 ) ( IN-CITY ?auto_5840 ?auto_5843 ) ( DIFFERENT ?auto_5840 ?auto_5844 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5835 ?auto_5844 ?auto_5840 ?auto_5843 )
      ( DELIVER-PKG ?auto_5831 ?auto_5832 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5859
      ?auto_5860
    )
    :vars
    (
      ?auto_5861
      ?auto_5864
      ?auto_5866
      ?auto_5867
      ?auto_5863
      ?auto_5865
      ?auto_5869
      ?auto_5871
      ?auto_5870
      ?auto_5873
    )
    :precondition
    ( and ( OBJ ?auto_5859 ) ( LOCATION ?auto_5860 ) ( TRUCK ?auto_5861 ) ( LOCATION ?auto_5864 ) ( CITY ?auto_5866 ) ( IN-CITY ?auto_5864 ?auto_5866 ) ( IN-CITY ?auto_5860 ?auto_5866 ) ( DIFFERENT ?auto_5860 ?auto_5864 ) ( LOCATION ?auto_5867 ) ( CITY ?auto_5863 ) ( IN-CITY ?auto_5867 ?auto_5863 ) ( IN-CITY ?auto_5864 ?auto_5863 ) ( DIFFERENT ?auto_5864 ?auto_5867 ) ( LOCATION ?auto_5865 ) ( CITY ?auto_5869 ) ( IN-CITY ?auto_5865 ?auto_5869 ) ( IN-CITY ?auto_5867 ?auto_5869 ) ( DIFFERENT ?auto_5867 ?auto_5865 ) ( LOCATION ?auto_5871 ) ( CITY ?auto_5870 ) ( AT ?auto_5861 ?auto_5871 ) ( IN-CITY ?auto_5871 ?auto_5870 ) ( IN-CITY ?auto_5865 ?auto_5870 ) ( DIFFERENT ?auto_5865 ?auto_5871 ) ( LOCATION ?auto_5873 ) ( AT ?auto_5861 ?auto_5873 ) ( AT ?auto_5859 ?auto_5873 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5859 ?auto_5861 ?auto_5873 )
      ( DELIVER-PKG ?auto_5859 ?auto_5860 ) )
  )

)

