( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_155
      ?auto_156
    )
    :vars
    (
      ?auto_159
    )
    :precondition
    ( and ( OBJ ?auto_155 ) ( LOCATION ?auto_156 ) ( AIRPLANE ?auto_159 ) ( IN ?auto_155 ?auto_159 ) ( AT ?auto_159 ?auto_156 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_155 ?auto_159 ?auto_156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_165
      ?auto_166
    )
    :vars
    (
      ?auto_169
      ?auto_171
    )
    :precondition
    ( and ( OBJ ?auto_165 ) ( LOCATION ?auto_166 ) ( AIRPLANE ?auto_169 ) ( IN ?auto_165 ?auto_169 ) ( AIRPORT ?auto_171 ) ( AIRPORT ?auto_166 ) ( AT ?auto_169 ?auto_171 ) ( DIFFERENT ?auto_166 ?auto_171 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_169 ?auto_171 ?auto_166 )
      ( DELIVER-PKG ?auto_165 ?auto_166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_179
      ?auto_180
    )
    :vars
    (
      ?auto_182
      ?auto_184
      ?auto_186
    )
    :precondition
    ( and ( OBJ ?auto_179 ) ( LOCATION ?auto_180 ) ( AIRPLANE ?auto_182 ) ( AIRPORT ?auto_184 ) ( AIRPORT ?auto_180 ) ( AT ?auto_182 ?auto_184 ) ( DIFFERENT ?auto_180 ?auto_184 ) ( LOCATION ?auto_186 ) ( AT ?auto_179 ?auto_186 ) ( AT ?auto_182 ?auto_186 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_179 ?auto_182 ?auto_186 )
      ( DELIVER-PKG ?auto_179 ?auto_180 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_209
      ?auto_210
    )
    :vars
    (
      ?auto_213
      ?auto_215
      ?auto_217
    )
    :precondition
    ( and ( OBJ ?auto_209 ) ( LOCATION ?auto_210 ) ( AIRPLANE ?auto_213 ) ( AIRPORT ?auto_215 ) ( AIRPORT ?auto_210 ) ( DIFFERENT ?auto_210 ?auto_215 ) ( LOCATION ?auto_215 ) ( AT ?auto_209 ?auto_215 ) ( AIRPORT ?auto_217 ) ( AT ?auto_213 ?auto_217 ) ( DIFFERENT ?auto_215 ?auto_217 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_213 ?auto_217 ?auto_215 )
      ( DELIVER-PKG ?auto_209 ?auto_210 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_582
      ?auto_583
    )
    :vars
    (
      ?auto_587
      ?auto_586
      ?auto_588
      ?auto_590
    )
    :precondition
    ( and ( OBJ ?auto_582 ) ( LOCATION ?auto_583 ) ( AIRPLANE ?auto_587 ) ( AIRPORT ?auto_586 ) ( AIRPORT ?auto_583 ) ( DIFFERENT ?auto_583 ?auto_586 ) ( LOCATION ?auto_586 ) ( AT ?auto_582 ?auto_586 ) ( AIRPORT ?auto_588 ) ( DIFFERENT ?auto_586 ?auto_588 ) ( AIRPORT ?auto_590 ) ( AT ?auto_587 ?auto_590 ) ( DIFFERENT ?auto_588 ?auto_590 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_587 ?auto_590 ?auto_588 )
      ( DELIVER-PKG ?auto_582 ?auto_583 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_594
      ?auto_595
    )
    :vars
    (
      ?auto_598
    )
    :precondition
    ( and ( OBJ ?auto_594 ) ( LOCATION ?auto_595 ) ( TRUCK ?auto_598 ) ( AT ?auto_598 ?auto_595 ) ( IN ?auto_594 ?auto_598 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_594 ?auto_598 ?auto_595 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_604
      ?auto_605
    )
    :vars
    (
      ?auto_606
      ?auto_611
      ?auto_610
    )
    :precondition
    ( and ( OBJ ?auto_604 ) ( LOCATION ?auto_605 ) ( TRUCK ?auto_606 ) ( IN ?auto_604 ?auto_606 ) ( LOCATION ?auto_611 ) ( CITY ?auto_610 ) ( AT ?auto_606 ?auto_611 ) ( IN-CITY ?auto_611 ?auto_610 ) ( IN-CITY ?auto_605 ?auto_610 ) ( DIFFERENT ?auto_605 ?auto_611 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_606 ?auto_611 ?auto_605 ?auto_610 )
      ( DELIVER-PKG ?auto_604 ?auto_605 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_620
      ?auto_621
    )
    :vars
    (
      ?auto_623
      ?auto_626
      ?auto_625
      ?auto_628
    )
    :precondition
    ( and ( OBJ ?auto_620 ) ( LOCATION ?auto_621 ) ( TRUCK ?auto_623 ) ( LOCATION ?auto_626 ) ( CITY ?auto_625 ) ( AT ?auto_623 ?auto_626 ) ( IN-CITY ?auto_626 ?auto_625 ) ( IN-CITY ?auto_621 ?auto_625 ) ( DIFFERENT ?auto_621 ?auto_626 ) ( LOCATION ?auto_628 ) ( AT ?auto_623 ?auto_628 ) ( AT ?auto_620 ?auto_628 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_620 ?auto_623 ?auto_628 )
      ( DELIVER-PKG ?auto_620 ?auto_621 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_646
      ?auto_647
    )
    :vars
    (
      ?auto_651
      ?auto_650
      ?auto_648
      ?auto_653
      ?auto_656
    )
    :precondition
    ( and ( OBJ ?auto_646 ) ( LOCATION ?auto_647 ) ( TRUCK ?auto_651 ) ( LOCATION ?auto_650 ) ( CITY ?auto_648 ) ( AT ?auto_651 ?auto_650 ) ( IN-CITY ?auto_650 ?auto_648 ) ( IN-CITY ?auto_647 ?auto_648 ) ( DIFFERENT ?auto_647 ?auto_650 ) ( LOCATION ?auto_653 ) ( AT ?auto_651 ?auto_653 ) ( AIRPLANE ?auto_656 ) ( IN ?auto_646 ?auto_656 ) ( AT ?auto_656 ?auto_653 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_646 ?auto_653 )
      ( DELIVER-PKG ?auto_646 ?auto_647 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_666
      ?auto_667
    )
    :vars
    (
      ?auto_673
      ?auto_672
      ?auto_669
      ?auto_670
      ?auto_674
      ?auto_676
    )
    :precondition
    ( and ( OBJ ?auto_666 ) ( LOCATION ?auto_667 ) ( TRUCK ?auto_673 ) ( LOCATION ?auto_672 ) ( CITY ?auto_669 ) ( AT ?auto_673 ?auto_672 ) ( IN-CITY ?auto_672 ?auto_669 ) ( IN-CITY ?auto_667 ?auto_669 ) ( DIFFERENT ?auto_667 ?auto_672 ) ( LOCATION ?auto_670 ) ( AT ?auto_673 ?auto_670 ) ( AIRPLANE ?auto_674 ) ( IN ?auto_666 ?auto_674 ) ( AIRPORT ?auto_676 ) ( AIRPORT ?auto_670 ) ( AT ?auto_674 ?auto_676 ) ( DIFFERENT ?auto_670 ?auto_676 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_674 ?auto_676 ?auto_670 )
      ( DELIVER-PKG ?auto_666 ?auto_667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_688
      ?auto_689
    )
    :vars
    (
      ?auto_693
      ?auto_692
      ?auto_690
      ?auto_691
      ?auto_694
      ?auto_697
      ?auto_699
    )
    :precondition
    ( and ( OBJ ?auto_688 ) ( LOCATION ?auto_689 ) ( TRUCK ?auto_693 ) ( LOCATION ?auto_692 ) ( CITY ?auto_690 ) ( AT ?auto_693 ?auto_692 ) ( IN-CITY ?auto_692 ?auto_690 ) ( IN-CITY ?auto_689 ?auto_690 ) ( DIFFERENT ?auto_689 ?auto_692 ) ( LOCATION ?auto_691 ) ( AT ?auto_693 ?auto_691 ) ( AIRPLANE ?auto_694 ) ( AIRPORT ?auto_697 ) ( AIRPORT ?auto_691 ) ( AT ?auto_694 ?auto_697 ) ( DIFFERENT ?auto_691 ?auto_697 ) ( LOCATION ?auto_699 ) ( AT ?auto_688 ?auto_699 ) ( AT ?auto_694 ?auto_699 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_688 ?auto_694 ?auto_699 )
      ( DELIVER-PKG ?auto_688 ?auto_689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_712
      ?auto_713
    )
    :vars
    (
      ?auto_714
      ?auto_715
      ?auto_716
      ?auto_717
      ?auto_718
      ?auto_722
      ?auto_725
      ?auto_724
    )
    :precondition
    ( and ( OBJ ?auto_712 ) ( LOCATION ?auto_713 ) ( TRUCK ?auto_714 ) ( LOCATION ?auto_715 ) ( CITY ?auto_716 ) ( IN-CITY ?auto_715 ?auto_716 ) ( IN-CITY ?auto_713 ?auto_716 ) ( DIFFERENT ?auto_713 ?auto_715 ) ( AIRPLANE ?auto_717 ) ( AIRPORT ?auto_718 ) ( AIRPORT ?auto_715 ) ( AT ?auto_717 ?auto_718 ) ( DIFFERENT ?auto_715 ?auto_718 ) ( LOCATION ?auto_722 ) ( AT ?auto_712 ?auto_722 ) ( AT ?auto_717 ?auto_722 ) ( LOCATION ?auto_725 ) ( CITY ?auto_724 ) ( AT ?auto_714 ?auto_725 ) ( IN-CITY ?auto_725 ?auto_724 ) ( IN-CITY ?auto_715 ?auto_724 ) ( DIFFERENT ?auto_715 ?auto_725 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_714 ?auto_725 ?auto_715 ?auto_724 )
      ( DELIVER-PKG ?auto_712 ?auto_713 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_739
      ?auto_740
    )
    :vars
    (
      ?auto_741
      ?auto_745
      ?auto_746
      ?auto_747
      ?auto_744
      ?auto_750
      ?auto_749
      ?auto_752
    )
    :precondition
    ( and ( OBJ ?auto_739 ) ( LOCATION ?auto_740 ) ( TRUCK ?auto_741 ) ( LOCATION ?auto_745 ) ( CITY ?auto_746 ) ( IN-CITY ?auto_745 ?auto_746 ) ( IN-CITY ?auto_740 ?auto_746 ) ( DIFFERENT ?auto_740 ?auto_745 ) ( AIRPLANE ?auto_747 ) ( AIRPORT ?auto_744 ) ( AIRPORT ?auto_745 ) ( DIFFERENT ?auto_745 ?auto_744 ) ( LOCATION ?auto_744 ) ( AT ?auto_739 ?auto_744 ) ( LOCATION ?auto_750 ) ( CITY ?auto_749 ) ( AT ?auto_741 ?auto_750 ) ( IN-CITY ?auto_750 ?auto_749 ) ( IN-CITY ?auto_745 ?auto_749 ) ( DIFFERENT ?auto_745 ?auto_750 ) ( AIRPORT ?auto_752 ) ( AT ?auto_747 ?auto_752 ) ( DIFFERENT ?auto_744 ?auto_752 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_747 ?auto_752 ?auto_744 )
      ( DELIVER-PKG ?auto_739 ?auto_740 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1002
      ?auto_1003
    )
    :vars
    (
      ?auto_1010
      ?auto_1004
      ?auto_1007
      ?auto_1009
      ?auto_1005
      ?auto_1011
      ?auto_1014
    )
    :precondition
    ( and ( OBJ ?auto_1002 ) ( LOCATION ?auto_1003 ) ( TRUCK ?auto_1010 ) ( LOCATION ?auto_1004 ) ( CITY ?auto_1007 ) ( AT ?auto_1010 ?auto_1004 ) ( IN-CITY ?auto_1004 ?auto_1007 ) ( IN-CITY ?auto_1003 ?auto_1007 ) ( DIFFERENT ?auto_1003 ?auto_1004 ) ( LOCATION ?auto_1009 ) ( AT ?auto_1010 ?auto_1009 ) ( AIRPLANE ?auto_1005 ) ( AIRPORT ?auto_1011 ) ( AIRPORT ?auto_1009 ) ( DIFFERENT ?auto_1009 ?auto_1011 ) ( LOCATION ?auto_1011 ) ( AT ?auto_1002 ?auto_1011 ) ( AIRPORT ?auto_1014 ) ( AT ?auto_1005 ?auto_1014 ) ( DIFFERENT ?auto_1011 ?auto_1014 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1005 ?auto_1014 ?auto_1011 )
      ( DELIVER-PKG ?auto_1002 ?auto_1003 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1038
      ?auto_1039
    )
    :vars
    (
      ?auto_1046
      ?auto_1045
      ?auto_1044
      ?auto_1042
      ?auto_1047
      ?auto_1048
      ?auto_1051
      ?auto_1050
    )
    :precondition
    ( and ( OBJ ?auto_1038 ) ( LOCATION ?auto_1039 ) ( TRUCK ?auto_1046 ) ( LOCATION ?auto_1045 ) ( CITY ?auto_1044 ) ( IN-CITY ?auto_1045 ?auto_1044 ) ( IN-CITY ?auto_1039 ?auto_1044 ) ( DIFFERENT ?auto_1039 ?auto_1045 ) ( AIRPLANE ?auto_1042 ) ( AIRPORT ?auto_1047 ) ( AIRPORT ?auto_1045 ) ( DIFFERENT ?auto_1045 ?auto_1047 ) ( LOCATION ?auto_1047 ) ( AT ?auto_1038 ?auto_1047 ) ( AIRPORT ?auto_1048 ) ( AT ?auto_1042 ?auto_1048 ) ( DIFFERENT ?auto_1047 ?auto_1048 ) ( LOCATION ?auto_1051 ) ( CITY ?auto_1050 ) ( AT ?auto_1046 ?auto_1051 ) ( IN-CITY ?auto_1051 ?auto_1050 ) ( IN-CITY ?auto_1045 ?auto_1050 ) ( DIFFERENT ?auto_1045 ?auto_1051 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1046 ?auto_1051 ?auto_1045 ?auto_1050 )
      ( DELIVER-PKG ?auto_1038 ?auto_1039 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1077
      ?auto_1078
    )
    :vars
    (
      ?auto_1084
      ?auto_1083
      ?auto_1082
      ?auto_1081
      ?auto_1085
      ?auto_1086
      ?auto_1088
      ?auto_1087
      ?auto_1090
    )
    :precondition
    ( and ( OBJ ?auto_1077 ) ( LOCATION ?auto_1078 ) ( TRUCK ?auto_1084 ) ( LOCATION ?auto_1083 ) ( CITY ?auto_1082 ) ( IN-CITY ?auto_1083 ?auto_1082 ) ( IN-CITY ?auto_1078 ?auto_1082 ) ( DIFFERENT ?auto_1078 ?auto_1083 ) ( AIRPLANE ?auto_1081 ) ( AIRPORT ?auto_1085 ) ( AIRPORT ?auto_1083 ) ( DIFFERENT ?auto_1083 ?auto_1085 ) ( LOCATION ?auto_1085 ) ( AT ?auto_1077 ?auto_1085 ) ( AIRPORT ?auto_1086 ) ( DIFFERENT ?auto_1085 ?auto_1086 ) ( LOCATION ?auto_1088 ) ( CITY ?auto_1087 ) ( AT ?auto_1084 ?auto_1088 ) ( IN-CITY ?auto_1088 ?auto_1087 ) ( IN-CITY ?auto_1083 ?auto_1087 ) ( DIFFERENT ?auto_1083 ?auto_1088 ) ( AIRPORT ?auto_1090 ) ( AT ?auto_1081 ?auto_1090 ) ( DIFFERENT ?auto_1086 ?auto_1090 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1081 ?auto_1090 ?auto_1086 )
      ( DELIVER-PKG ?auto_1077 ?auto_1078 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1337
      ?auto_1338
    )
    :vars
    (
      ?auto_1344
      ?auto_1341
      ?auto_1343
      ?auto_1347
      ?auto_1346
    )
    :precondition
    ( and ( OBJ ?auto_1337 ) ( LOCATION ?auto_1338 ) ( TRUCK ?auto_1344 ) ( LOCATION ?auto_1341 ) ( CITY ?auto_1343 ) ( IN-CITY ?auto_1341 ?auto_1343 ) ( IN-CITY ?auto_1338 ?auto_1343 ) ( DIFFERENT ?auto_1338 ?auto_1341 ) ( AT ?auto_1337 ?auto_1341 ) ( LOCATION ?auto_1347 ) ( CITY ?auto_1346 ) ( AT ?auto_1344 ?auto_1347 ) ( IN-CITY ?auto_1347 ?auto_1346 ) ( IN-CITY ?auto_1341 ?auto_1346 ) ( DIFFERENT ?auto_1341 ?auto_1347 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1344 ?auto_1347 ?auto_1341 ?auto_1346 )
      ( DELIVER-PKG ?auto_1337 ?auto_1338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1497
      ?auto_1498
    )
    :vars
    (
      ?auto_1501
      ?auto_1502
      ?auto_1503
      ?auto_1506
      ?auto_1505
    )
    :precondition
    ( and ( OBJ ?auto_1497 ) ( LOCATION ?auto_1498 ) ( TRUCK ?auto_1501 ) ( IN ?auto_1497 ?auto_1501 ) ( LOCATION ?auto_1502 ) ( CITY ?auto_1503 ) ( IN-CITY ?auto_1502 ?auto_1503 ) ( IN-CITY ?auto_1498 ?auto_1503 ) ( DIFFERENT ?auto_1498 ?auto_1502 ) ( LOCATION ?auto_1506 ) ( CITY ?auto_1505 ) ( AT ?auto_1501 ?auto_1506 ) ( IN-CITY ?auto_1506 ?auto_1505 ) ( IN-CITY ?auto_1502 ?auto_1505 ) ( DIFFERENT ?auto_1502 ?auto_1506 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1501 ?auto_1506 ?auto_1502 ?auto_1505 )
      ( DELIVER-PKG ?auto_1497 ?auto_1498 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1517
      ?auto_1518
    )
    :vars
    (
      ?auto_1524
      ?auto_1523
      ?auto_1520
      ?auto_1522
      ?auto_1521
      ?auto_1528
      ?auto_1527
    )
    :precondition
    ( and ( OBJ ?auto_1517 ) ( LOCATION ?auto_1518 ) ( TRUCK ?auto_1524 ) ( IN ?auto_1517 ?auto_1524 ) ( LOCATION ?auto_1523 ) ( CITY ?auto_1520 ) ( IN-CITY ?auto_1523 ?auto_1520 ) ( IN-CITY ?auto_1518 ?auto_1520 ) ( DIFFERENT ?auto_1518 ?auto_1523 ) ( LOCATION ?auto_1522 ) ( CITY ?auto_1521 ) ( IN-CITY ?auto_1522 ?auto_1521 ) ( IN-CITY ?auto_1523 ?auto_1521 ) ( DIFFERENT ?auto_1523 ?auto_1522 ) ( LOCATION ?auto_1528 ) ( CITY ?auto_1527 ) ( AT ?auto_1524 ?auto_1528 ) ( IN-CITY ?auto_1528 ?auto_1527 ) ( IN-CITY ?auto_1522 ?auto_1527 ) ( DIFFERENT ?auto_1522 ?auto_1528 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1524 ?auto_1528 ?auto_1522 ?auto_1527 )
      ( DELIVER-PKG ?auto_1517 ?auto_1518 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1541
      ?auto_1542
    )
    :vars
    (
      ?auto_1546
      ?auto_1545
      ?auto_1547
      ?auto_1544
      ?auto_1548
      ?auto_1551
      ?auto_1550
      ?auto_1554
      ?auto_1553
    )
    :precondition
    ( and ( OBJ ?auto_1541 ) ( LOCATION ?auto_1542 ) ( TRUCK ?auto_1546 ) ( IN ?auto_1541 ?auto_1546 ) ( LOCATION ?auto_1545 ) ( CITY ?auto_1547 ) ( IN-CITY ?auto_1545 ?auto_1547 ) ( IN-CITY ?auto_1542 ?auto_1547 ) ( DIFFERENT ?auto_1542 ?auto_1545 ) ( LOCATION ?auto_1544 ) ( CITY ?auto_1548 ) ( IN-CITY ?auto_1544 ?auto_1548 ) ( IN-CITY ?auto_1545 ?auto_1548 ) ( DIFFERENT ?auto_1545 ?auto_1544 ) ( LOCATION ?auto_1551 ) ( CITY ?auto_1550 ) ( IN-CITY ?auto_1551 ?auto_1550 ) ( IN-CITY ?auto_1544 ?auto_1550 ) ( DIFFERENT ?auto_1544 ?auto_1551 ) ( LOCATION ?auto_1554 ) ( CITY ?auto_1553 ) ( AT ?auto_1546 ?auto_1554 ) ( IN-CITY ?auto_1554 ?auto_1553 ) ( IN-CITY ?auto_1551 ?auto_1553 ) ( DIFFERENT ?auto_1551 ?auto_1554 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1546 ?auto_1554 ?auto_1551 ?auto_1553 )
      ( DELIVER-PKG ?auto_1541 ?auto_1542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1569
      ?auto_1570
    )
    :vars
    (
      ?auto_1577
      ?auto_1579
      ?auto_1576
      ?auto_1571
      ?auto_1575
      ?auto_1574
      ?auto_1573
      ?auto_1581
      ?auto_1580
      ?auto_1583
    )
    :precondition
    ( and ( OBJ ?auto_1569 ) ( LOCATION ?auto_1570 ) ( TRUCK ?auto_1577 ) ( LOCATION ?auto_1579 ) ( CITY ?auto_1576 ) ( IN-CITY ?auto_1579 ?auto_1576 ) ( IN-CITY ?auto_1570 ?auto_1576 ) ( DIFFERENT ?auto_1570 ?auto_1579 ) ( LOCATION ?auto_1571 ) ( CITY ?auto_1575 ) ( IN-CITY ?auto_1571 ?auto_1575 ) ( IN-CITY ?auto_1579 ?auto_1575 ) ( DIFFERENT ?auto_1579 ?auto_1571 ) ( LOCATION ?auto_1574 ) ( CITY ?auto_1573 ) ( IN-CITY ?auto_1574 ?auto_1573 ) ( IN-CITY ?auto_1571 ?auto_1573 ) ( DIFFERENT ?auto_1571 ?auto_1574 ) ( LOCATION ?auto_1581 ) ( CITY ?auto_1580 ) ( AT ?auto_1577 ?auto_1581 ) ( IN-CITY ?auto_1581 ?auto_1580 ) ( IN-CITY ?auto_1574 ?auto_1580 ) ( DIFFERENT ?auto_1574 ?auto_1581 ) ( LOCATION ?auto_1583 ) ( AT ?auto_1577 ?auto_1583 ) ( AT ?auto_1569 ?auto_1583 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1569 ?auto_1577 ?auto_1583 )
      ( DELIVER-PKG ?auto_1569 ?auto_1570 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1878
      ?auto_1879
    )
    :vars
    (
      ?auto_1885
      ?auto_1882
      ?auto_1880
      ?auto_1883
      ?auto_1888
    )
    :precondition
    ( and ( OBJ ?auto_1878 ) ( LOCATION ?auto_1879 ) ( TRUCK ?auto_1885 ) ( LOCATION ?auto_1882 ) ( CITY ?auto_1880 ) ( AT ?auto_1885 ?auto_1882 ) ( IN-CITY ?auto_1882 ?auto_1880 ) ( IN-CITY ?auto_1879 ?auto_1880 ) ( DIFFERENT ?auto_1879 ?auto_1882 ) ( LOCATION ?auto_1883 ) ( AT ?auto_1885 ?auto_1883 ) ( TRUCK ?auto_1888 ) ( AT ?auto_1888 ?auto_1883 ) ( IN ?auto_1878 ?auto_1888 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1878 ?auto_1883 )
      ( DELIVER-PKG ?auto_1878 ?auto_1879 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1911
      ?auto_1912
    )
    :vars
    (
      ?auto_1914
      ?auto_1915
      ?auto_1919
      ?auto_1917
      ?auto_1918
      ?auto_1921
    )
    :precondition
    ( and ( OBJ ?auto_1911 ) ( LOCATION ?auto_1912 ) ( TRUCK ?auto_1914 ) ( LOCATION ?auto_1915 ) ( CITY ?auto_1919 ) ( IN-CITY ?auto_1915 ?auto_1919 ) ( IN-CITY ?auto_1912 ?auto_1919 ) ( DIFFERENT ?auto_1912 ?auto_1915 ) ( LOCATION ?auto_1917 ) ( CITY ?auto_1918 ) ( AT ?auto_1914 ?auto_1917 ) ( IN-CITY ?auto_1917 ?auto_1918 ) ( IN-CITY ?auto_1915 ?auto_1918 ) ( DIFFERENT ?auto_1915 ?auto_1917 ) ( LOCATION ?auto_1921 ) ( AT ?auto_1914 ?auto_1921 ) ( AT ?auto_1911 ?auto_1921 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1911 ?auto_1914 ?auto_1921 )
      ( DELIVER-PKG ?auto_1911 ?auto_1912 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1933
      ?auto_1934
    )
    :vars
    (
      ?auto_1939
      ?auto_1938
      ?auto_1935
      ?auto_1940
      ?auto_1936
      ?auto_1945
      ?auto_1944
    )
    :precondition
    ( and ( OBJ ?auto_1933 ) ( LOCATION ?auto_1934 ) ( TRUCK ?auto_1939 ) ( LOCATION ?auto_1938 ) ( CITY ?auto_1935 ) ( IN-CITY ?auto_1938 ?auto_1935 ) ( IN-CITY ?auto_1934 ?auto_1935 ) ( DIFFERENT ?auto_1934 ?auto_1938 ) ( LOCATION ?auto_1940 ) ( CITY ?auto_1936 ) ( IN-CITY ?auto_1940 ?auto_1936 ) ( IN-CITY ?auto_1938 ?auto_1936 ) ( DIFFERENT ?auto_1938 ?auto_1940 ) ( AT ?auto_1933 ?auto_1940 ) ( LOCATION ?auto_1945 ) ( CITY ?auto_1944 ) ( AT ?auto_1939 ?auto_1945 ) ( IN-CITY ?auto_1945 ?auto_1944 ) ( IN-CITY ?auto_1940 ?auto_1944 ) ( DIFFERENT ?auto_1940 ?auto_1945 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1939 ?auto_1945 ?auto_1940 ?auto_1944 )
      ( DELIVER-PKG ?auto_1933 ?auto_1934 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2175
      ?auto_2176
    )
    :vars
    (
      ?auto_2181
      ?auto_2182
      ?auto_2180
      ?auto_2178
      ?auto_2179
      ?auto_2186
      ?auto_2185
    )
    :precondition
    ( and ( OBJ ?auto_2175 ) ( LOCATION ?auto_2176 ) ( TRUCK ?auto_2181 ) ( LOCATION ?auto_2182 ) ( CITY ?auto_2180 ) ( IN-CITY ?auto_2182 ?auto_2180 ) ( IN-CITY ?auto_2176 ?auto_2180 ) ( DIFFERENT ?auto_2176 ?auto_2182 ) ( AT ?auto_2175 ?auto_2182 ) ( LOCATION ?auto_2178 ) ( CITY ?auto_2179 ) ( IN-CITY ?auto_2178 ?auto_2179 ) ( IN-CITY ?auto_2182 ?auto_2179 ) ( DIFFERENT ?auto_2182 ?auto_2178 ) ( LOCATION ?auto_2186 ) ( CITY ?auto_2185 ) ( AT ?auto_2181 ?auto_2186 ) ( IN-CITY ?auto_2186 ?auto_2185 ) ( IN-CITY ?auto_2178 ?auto_2185 ) ( DIFFERENT ?auto_2178 ?auto_2186 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2181 ?auto_2186 ?auto_2178 ?auto_2185 )
      ( DELIVER-PKG ?auto_2175 ?auto_2176 ) )
  )

)

