( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_94
      ?auto_95
    )
    :vars
    (
      ?auto_98
    )
    :precondition
    ( and ( OBJ ?auto_94 ) ( LOCATION ?auto_95 ) ( TRUCK ?auto_98 ) ( AT ?auto_98 ?auto_95 ) ( IN ?auto_94 ?auto_98 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_94 ?auto_98 ?auto_95 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_99
      ?auto_100
    )
    :vars
    (
      ?auto_103
      ?auto_106
      ?auto_105
    )
    :precondition
    ( and ( OBJ ?auto_99 ) ( LOCATION ?auto_100 ) ( TRUCK ?auto_103 ) ( IN ?auto_99 ?auto_103 ) ( LOCATION ?auto_106 ) ( CITY ?auto_105 ) ( AT ?auto_103 ?auto_106 ) ( IN-CITY ?auto_106 ?auto_105 ) ( IN-CITY ?auto_100 ?auto_105 ) ( DIFFERENT ?auto_100 ?auto_106 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_103 ?auto_106 ?auto_100 ?auto_105 )
      ( DELIVER-PKG ?auto_99 ?auto_100 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_115
      ?auto_116
    )
    :vars
    (
      ?auto_117
      ?auto_121
      ?auto_120
      ?auto_123
    )
    :precondition
    ( and ( OBJ ?auto_115 ) ( LOCATION ?auto_116 ) ( TRUCK ?auto_117 ) ( LOCATION ?auto_121 ) ( CITY ?auto_120 ) ( AT ?auto_117 ?auto_121 ) ( IN-CITY ?auto_121 ?auto_120 ) ( IN-CITY ?auto_116 ?auto_120 ) ( DIFFERENT ?auto_116 ?auto_121 ) ( LOCATION ?auto_123 ) ( AT ?auto_117 ?auto_123 ) ( AT ?auto_115 ?auto_123 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_115 ?auto_117 ?auto_123 )
      ( DELIVER-PKG ?auto_115 ?auto_116 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_133
      ?auto_134
    )
    :vars
    (
      ?auto_137
      ?auto_140
      ?auto_135
      ?auto_143
      ?auto_142
    )
    :precondition
    ( and ( OBJ ?auto_133 ) ( LOCATION ?auto_134 ) ( TRUCK ?auto_137 ) ( LOCATION ?auto_140 ) ( CITY ?auto_135 ) ( IN-CITY ?auto_140 ?auto_135 ) ( IN-CITY ?auto_134 ?auto_135 ) ( DIFFERENT ?auto_134 ?auto_140 ) ( AT ?auto_133 ?auto_140 ) ( LOCATION ?auto_143 ) ( CITY ?auto_142 ) ( AT ?auto_137 ?auto_143 ) ( IN-CITY ?auto_143 ?auto_142 ) ( IN-CITY ?auto_140 ?auto_142 ) ( DIFFERENT ?auto_140 ?auto_143 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_137 ?auto_143 ?auto_140 ?auto_142 )
      ( DELIVER-PKG ?auto_133 ?auto_134 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_245
      ?auto_246
    )
    :vars
    (
      ?auto_250
      ?auto_251
      ?auto_248
      ?auto_249
      ?auto_255
    )
    :precondition
    ( and ( OBJ ?auto_245 ) ( LOCATION ?auto_246 ) ( TRUCK ?auto_250 ) ( LOCATION ?auto_251 ) ( CITY ?auto_248 ) ( AT ?auto_250 ?auto_251 ) ( IN-CITY ?auto_251 ?auto_248 ) ( IN-CITY ?auto_246 ?auto_248 ) ( DIFFERENT ?auto_246 ?auto_251 ) ( LOCATION ?auto_249 ) ( AT ?auto_250 ?auto_249 ) ( TRUCK ?auto_255 ) ( AT ?auto_255 ?auto_249 ) ( IN ?auto_245 ?auto_255 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_245 ?auto_249 )
      ( DELIVER-PKG ?auto_245 ?auto_246 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_256
      ?auto_257
    )
    :vars
    (
      ?auto_262
      ?auto_258
      ?auto_264
      ?auto_267
      ?auto_266
    )
    :precondition
    ( and ( OBJ ?auto_256 ) ( LOCATION ?auto_257 ) ( TRUCK ?auto_262 ) ( LOCATION ?auto_258 ) ( CITY ?auto_264 ) ( IN-CITY ?auto_258 ?auto_264 ) ( IN-CITY ?auto_257 ?auto_264 ) ( DIFFERENT ?auto_257 ?auto_258 ) ( IN ?auto_256 ?auto_262 ) ( LOCATION ?auto_267 ) ( CITY ?auto_266 ) ( AT ?auto_262 ?auto_267 ) ( IN-CITY ?auto_267 ?auto_266 ) ( IN-CITY ?auto_258 ?auto_266 ) ( DIFFERENT ?auto_258 ?auto_267 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_262 ?auto_267 ?auto_258 ?auto_266 )
      ( DELIVER-PKG ?auto_256 ?auto_257 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_278
      ?auto_279
    )
    :vars
    (
      ?auto_280
      ?auto_286
      ?auto_284
      ?auto_282
      ?auto_281
      ?auto_288
    )
    :precondition
    ( and ( OBJ ?auto_278 ) ( LOCATION ?auto_279 ) ( TRUCK ?auto_280 ) ( LOCATION ?auto_286 ) ( CITY ?auto_284 ) ( IN-CITY ?auto_286 ?auto_284 ) ( IN-CITY ?auto_279 ?auto_284 ) ( DIFFERENT ?auto_279 ?auto_286 ) ( LOCATION ?auto_282 ) ( CITY ?auto_281 ) ( AT ?auto_280 ?auto_282 ) ( IN-CITY ?auto_282 ?auto_281 ) ( IN-CITY ?auto_286 ?auto_281 ) ( DIFFERENT ?auto_286 ?auto_282 ) ( LOCATION ?auto_288 ) ( AT ?auto_280 ?auto_288 ) ( AT ?auto_278 ?auto_288 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_278 ?auto_280 ?auto_288 )
      ( DELIVER-PKG ?auto_278 ?auto_279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_300
      ?auto_301
    )
    :vars
    (
      ?auto_307
      ?auto_305
      ?auto_306
      ?auto_309
      ?auto_304
      ?auto_312
      ?auto_311
    )
    :precondition
    ( and ( OBJ ?auto_300 ) ( LOCATION ?auto_301 ) ( TRUCK ?auto_307 ) ( LOCATION ?auto_305 ) ( CITY ?auto_306 ) ( IN-CITY ?auto_305 ?auto_306 ) ( IN-CITY ?auto_301 ?auto_306 ) ( DIFFERENT ?auto_301 ?auto_305 ) ( LOCATION ?auto_309 ) ( CITY ?auto_304 ) ( IN-CITY ?auto_309 ?auto_304 ) ( IN-CITY ?auto_305 ?auto_304 ) ( DIFFERENT ?auto_305 ?auto_309 ) ( AT ?auto_300 ?auto_309 ) ( LOCATION ?auto_312 ) ( CITY ?auto_311 ) ( AT ?auto_307 ?auto_312 ) ( IN-CITY ?auto_312 ?auto_311 ) ( IN-CITY ?auto_309 ?auto_311 ) ( DIFFERENT ?auto_309 ?auto_312 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_307 ?auto_312 ?auto_309 ?auto_311 )
      ( DELIVER-PKG ?auto_300 ?auto_301 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_373
      ?auto_374
    )
    :vars
    (
      ?auto_377
    )
    :precondition
    ( and ( OBJ ?auto_373 ) ( LOCATION ?auto_374 ) ( AIRPLANE ?auto_377 ) ( IN ?auto_373 ?auto_377 ) ( AT ?auto_377 ?auto_374 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_373 ?auto_377 ?auto_374 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_378
      ?auto_379
    )
    :vars
    (
      ?auto_382
      ?auto_384
    )
    :precondition
    ( and ( OBJ ?auto_378 ) ( LOCATION ?auto_379 ) ( AIRPLANE ?auto_382 ) ( IN ?auto_378 ?auto_382 ) ( AIRPORT ?auto_384 ) ( AIRPORT ?auto_379 ) ( AT ?auto_382 ?auto_384 ) ( DIFFERENT ?auto_379 ?auto_384 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_382 ?auto_384 ?auto_379 )
      ( DELIVER-PKG ?auto_378 ?auto_379 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_386
      ?auto_387
    )
    :vars
    (
      ?auto_388
      ?auto_391
      ?auto_393
    )
    :precondition
    ( and ( OBJ ?auto_386 ) ( LOCATION ?auto_387 ) ( AIRPLANE ?auto_388 ) ( AIRPORT ?auto_391 ) ( AIRPORT ?auto_387 ) ( AT ?auto_388 ?auto_391 ) ( DIFFERENT ?auto_387 ?auto_391 ) ( LOCATION ?auto_393 ) ( AT ?auto_386 ?auto_393 ) ( AT ?auto_388 ?auto_393 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_386 ?auto_388 ?auto_393 )
      ( DELIVER-PKG ?auto_386 ?auto_387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_395
      ?auto_396
    )
    :vars
    (
      ?auto_397
      ?auto_400
      ?auto_399
      ?auto_404
    )
    :precondition
    ( and ( OBJ ?auto_395 ) ( LOCATION ?auto_396 ) ( AIRPLANE ?auto_397 ) ( AIRPORT ?auto_400 ) ( AIRPORT ?auto_396 ) ( AT ?auto_397 ?auto_400 ) ( DIFFERENT ?auto_396 ?auto_400 ) ( LOCATION ?auto_399 ) ( AT ?auto_397 ?auto_399 ) ( TRUCK ?auto_404 ) ( AT ?auto_404 ?auto_399 ) ( IN ?auto_395 ?auto_404 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_395 ?auto_399 )
      ( DELIVER-PKG ?auto_395 ?auto_396 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_405
      ?auto_406
    )
    :vars
    (
      ?auto_412
      ?auto_408
      ?auto_411
      ?auto_410
      ?auto_415
      ?auto_414
    )
    :precondition
    ( and ( OBJ ?auto_405 ) ( LOCATION ?auto_406 ) ( AIRPLANE ?auto_412 ) ( AIRPORT ?auto_408 ) ( AIRPORT ?auto_406 ) ( AT ?auto_412 ?auto_408 ) ( DIFFERENT ?auto_406 ?auto_408 ) ( LOCATION ?auto_411 ) ( AT ?auto_412 ?auto_411 ) ( TRUCK ?auto_410 ) ( IN ?auto_405 ?auto_410 ) ( LOCATION ?auto_415 ) ( CITY ?auto_414 ) ( AT ?auto_410 ?auto_415 ) ( IN-CITY ?auto_415 ?auto_414 ) ( IN-CITY ?auto_411 ?auto_414 ) ( DIFFERENT ?auto_411 ?auto_415 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_410 ?auto_415 ?auto_411 ?auto_414 )
      ( DELIVER-PKG ?auto_405 ?auto_406 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_417
      ?auto_418
    )
    :vars
    (
      ?auto_424
      ?auto_425
      ?auto_419
      ?auto_426
      ?auto_421
      ?auto_420
      ?auto_428
    )
    :precondition
    ( and ( OBJ ?auto_417 ) ( LOCATION ?auto_418 ) ( AIRPLANE ?auto_424 ) ( AIRPORT ?auto_425 ) ( AIRPORT ?auto_418 ) ( AT ?auto_424 ?auto_425 ) ( DIFFERENT ?auto_418 ?auto_425 ) ( LOCATION ?auto_419 ) ( AT ?auto_424 ?auto_419 ) ( TRUCK ?auto_426 ) ( LOCATION ?auto_421 ) ( CITY ?auto_420 ) ( AT ?auto_426 ?auto_421 ) ( IN-CITY ?auto_421 ?auto_420 ) ( IN-CITY ?auto_419 ?auto_420 ) ( DIFFERENT ?auto_419 ?auto_421 ) ( LOCATION ?auto_428 ) ( AT ?auto_426 ?auto_428 ) ( AT ?auto_417 ?auto_428 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_417 ?auto_426 ?auto_428 )
      ( DELIVER-PKG ?auto_417 ?auto_418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_430
      ?auto_431
    )
    :vars
    (
      ?auto_438
      ?auto_434
      ?auto_437
      ?auto_435
      ?auto_440
      ?auto_439
      ?auto_433
      ?auto_443
    )
    :precondition
    ( and ( OBJ ?auto_430 ) ( LOCATION ?auto_431 ) ( AIRPLANE ?auto_438 ) ( AIRPORT ?auto_434 ) ( AIRPORT ?auto_431 ) ( AT ?auto_438 ?auto_434 ) ( DIFFERENT ?auto_431 ?auto_434 ) ( LOCATION ?auto_437 ) ( AT ?auto_438 ?auto_437 ) ( TRUCK ?auto_435 ) ( LOCATION ?auto_440 ) ( CITY ?auto_439 ) ( AT ?auto_435 ?auto_440 ) ( IN-CITY ?auto_440 ?auto_439 ) ( IN-CITY ?auto_437 ?auto_439 ) ( DIFFERENT ?auto_437 ?auto_440 ) ( LOCATION ?auto_433 ) ( AT ?auto_435 ?auto_433 ) ( TRUCK ?auto_443 ) ( AT ?auto_443 ?auto_433 ) ( IN ?auto_430 ?auto_443 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_430 ?auto_433 )
      ( DELIVER-PKG ?auto_430 ?auto_431 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_444
      ?auto_445
    )
    :vars
    (
      ?auto_450
      ?auto_454
      ?auto_449
      ?auto_452
      ?auto_453
      ?auto_446
      ?auto_458
      ?auto_457
    )
    :precondition
    ( and ( OBJ ?auto_444 ) ( LOCATION ?auto_445 ) ( AIRPLANE ?auto_450 ) ( AIRPORT ?auto_454 ) ( AIRPORT ?auto_445 ) ( AT ?auto_450 ?auto_454 ) ( DIFFERENT ?auto_445 ?auto_454 ) ( LOCATION ?auto_449 ) ( AT ?auto_450 ?auto_449 ) ( TRUCK ?auto_452 ) ( LOCATION ?auto_453 ) ( CITY ?auto_446 ) ( IN-CITY ?auto_453 ?auto_446 ) ( IN-CITY ?auto_449 ?auto_446 ) ( DIFFERENT ?auto_449 ?auto_453 ) ( IN ?auto_444 ?auto_452 ) ( LOCATION ?auto_458 ) ( CITY ?auto_457 ) ( AT ?auto_452 ?auto_458 ) ( IN-CITY ?auto_458 ?auto_457 ) ( IN-CITY ?auto_453 ?auto_457 ) ( DIFFERENT ?auto_453 ?auto_458 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_452 ?auto_458 ?auto_453 ?auto_457 )
      ( DELIVER-PKG ?auto_444 ?auto_445 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_472
      ?auto_473
    )
    :vars
    (
      ?auto_483
      ?auto_482
      ?auto_475
      ?auto_478
      ?auto_474
      ?auto_479
      ?auto_481
      ?auto_480
      ?auto_485
    )
    :precondition
    ( and ( OBJ ?auto_472 ) ( LOCATION ?auto_473 ) ( AIRPLANE ?auto_483 ) ( AIRPORT ?auto_482 ) ( AIRPORT ?auto_473 ) ( AT ?auto_483 ?auto_482 ) ( DIFFERENT ?auto_473 ?auto_482 ) ( LOCATION ?auto_475 ) ( AT ?auto_483 ?auto_475 ) ( TRUCK ?auto_478 ) ( LOCATION ?auto_474 ) ( CITY ?auto_479 ) ( IN-CITY ?auto_474 ?auto_479 ) ( IN-CITY ?auto_475 ?auto_479 ) ( DIFFERENT ?auto_475 ?auto_474 ) ( LOCATION ?auto_481 ) ( CITY ?auto_480 ) ( AT ?auto_478 ?auto_481 ) ( IN-CITY ?auto_481 ?auto_480 ) ( IN-CITY ?auto_474 ?auto_480 ) ( DIFFERENT ?auto_474 ?auto_481 ) ( LOCATION ?auto_485 ) ( AT ?auto_478 ?auto_485 ) ( AT ?auto_472 ?auto_485 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_472 ?auto_478 ?auto_485 )
      ( DELIVER-PKG ?auto_472 ?auto_473 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_500
      ?auto_501
    )
    :vars
    (
      ?auto_510
      ?auto_509
      ?auto_507
      ?auto_503
      ?auto_508
      ?auto_504
      ?auto_512
      ?auto_506
      ?auto_515
      ?auto_514
    )
    :precondition
    ( and ( OBJ ?auto_500 ) ( LOCATION ?auto_501 ) ( AIRPLANE ?auto_510 ) ( AIRPORT ?auto_509 ) ( AIRPORT ?auto_501 ) ( AT ?auto_510 ?auto_509 ) ( DIFFERENT ?auto_501 ?auto_509 ) ( LOCATION ?auto_507 ) ( AT ?auto_510 ?auto_507 ) ( TRUCK ?auto_503 ) ( LOCATION ?auto_508 ) ( CITY ?auto_504 ) ( IN-CITY ?auto_508 ?auto_504 ) ( IN-CITY ?auto_507 ?auto_504 ) ( DIFFERENT ?auto_507 ?auto_508 ) ( LOCATION ?auto_512 ) ( CITY ?auto_506 ) ( IN-CITY ?auto_512 ?auto_506 ) ( IN-CITY ?auto_508 ?auto_506 ) ( DIFFERENT ?auto_508 ?auto_512 ) ( AT ?auto_500 ?auto_512 ) ( LOCATION ?auto_515 ) ( CITY ?auto_514 ) ( AT ?auto_503 ?auto_515 ) ( IN-CITY ?auto_515 ?auto_514 ) ( IN-CITY ?auto_512 ?auto_514 ) ( DIFFERENT ?auto_512 ?auto_515 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_503 ?auto_515 ?auto_512 ?auto_514 )
      ( DELIVER-PKG ?auto_500 ?auto_501 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_524
      ?auto_525
    )
    :vars
    (
      ?auto_527
      ?auto_530
    )
    :precondition
    ( and ( OBJ ?auto_524 ) ( LOCATION ?auto_525 ) ( AIRPLANE ?auto_527 ) ( AT ?auto_527 ?auto_525 ) ( LOCATION ?auto_530 ) ( AT ?auto_524 ?auto_530 ) ( AT ?auto_527 ?auto_530 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_524 ?auto_527 ?auto_530 )
      ( DELIVER-PKG ?auto_524 ?auto_525 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_532
      ?auto_533
    )
    :vars
    (
      ?auto_534
      ?auto_535
      ?auto_540
    )
    :precondition
    ( and ( OBJ ?auto_532 ) ( LOCATION ?auto_533 ) ( AIRPLANE ?auto_534 ) ( AT ?auto_534 ?auto_533 ) ( LOCATION ?auto_535 ) ( AT ?auto_534 ?auto_535 ) ( AIRPLANE ?auto_540 ) ( IN ?auto_532 ?auto_540 ) ( AT ?auto_540 ?auto_535 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_532 ?auto_535 )
      ( DELIVER-PKG ?auto_532 ?auto_533 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_829
      ?auto_830
    )
    :vars
    (
      ?auto_835
      ?auto_832
      ?auto_837
      ?auto_838
      ?auto_836
      ?auto_834
      ?auto_841
    )
    :precondition
    ( and ( OBJ ?auto_829 ) ( LOCATION ?auto_830 ) ( TRUCK ?auto_835 ) ( LOCATION ?auto_832 ) ( CITY ?auto_837 ) ( AT ?auto_835 ?auto_832 ) ( IN-CITY ?auto_832 ?auto_837 ) ( IN-CITY ?auto_830 ?auto_837 ) ( DIFFERENT ?auto_830 ?auto_832 ) ( LOCATION ?auto_838 ) ( AT ?auto_835 ?auto_838 ) ( AIRPLANE ?auto_836 ) ( AT ?auto_836 ?auto_838 ) ( LOCATION ?auto_834 ) ( AT ?auto_836 ?auto_834 ) ( AIRPLANE ?auto_841 ) ( IN ?auto_829 ?auto_841 ) ( AT ?auto_841 ?auto_834 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_829 ?auto_834 )
      ( DELIVER-PKG ?auto_829 ?auto_830 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_817
      ?auto_818
    )
    :vars
    (
      ?auto_819
      ?auto_825
      ?auto_821
      ?auto_823
      ?auto_822
      ?auto_827
    )
    :precondition
    ( and ( OBJ ?auto_817 ) ( LOCATION ?auto_818 ) ( TRUCK ?auto_819 ) ( LOCATION ?auto_825 ) ( CITY ?auto_821 ) ( AT ?auto_819 ?auto_825 ) ( IN-CITY ?auto_825 ?auto_821 ) ( IN-CITY ?auto_818 ?auto_821 ) ( DIFFERENT ?auto_818 ?auto_825 ) ( LOCATION ?auto_823 ) ( AT ?auto_819 ?auto_823 ) ( AIRPLANE ?auto_822 ) ( AT ?auto_822 ?auto_823 ) ( LOCATION ?auto_827 ) ( AT ?auto_817 ?auto_827 ) ( AT ?auto_822 ?auto_827 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_817 ?auto_822 ?auto_827 )
      ( DELIVER-PKG ?auto_817 ?auto_818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_842
      ?auto_843
    )
    :vars
    (
      ?auto_852
      ?auto_848
      ?auto_847
      ?auto_845
      ?auto_850
      ?auto_854
    )
    :precondition
    ( and ( OBJ ?auto_842 ) ( LOCATION ?auto_843 ) ( TRUCK ?auto_852 ) ( LOCATION ?auto_848 ) ( CITY ?auto_847 ) ( AT ?auto_852 ?auto_848 ) ( IN-CITY ?auto_848 ?auto_847 ) ( IN-CITY ?auto_843 ?auto_847 ) ( DIFFERENT ?auto_843 ?auto_848 ) ( LOCATION ?auto_845 ) ( AT ?auto_852 ?auto_845 ) ( AIRPLANE ?auto_850 ) ( IN ?auto_842 ?auto_850 ) ( AIRPORT ?auto_854 ) ( AIRPORT ?auto_845 ) ( AT ?auto_850 ?auto_854 ) ( DIFFERENT ?auto_845 ?auto_854 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_850 ?auto_854 ?auto_845 )
      ( DELIVER-PKG ?auto_842 ?auto_843 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_856
      ?auto_857
    )
    :vars
    (
      ?auto_858
      ?auto_865
      ?auto_863
      ?auto_864
      ?auto_862
      ?auto_861
      ?auto_867
    )
    :precondition
    ( and ( OBJ ?auto_856 ) ( LOCATION ?auto_857 ) ( TRUCK ?auto_858 ) ( LOCATION ?auto_865 ) ( CITY ?auto_863 ) ( AT ?auto_858 ?auto_865 ) ( IN-CITY ?auto_865 ?auto_863 ) ( IN-CITY ?auto_857 ?auto_863 ) ( DIFFERENT ?auto_857 ?auto_865 ) ( LOCATION ?auto_864 ) ( AT ?auto_858 ?auto_864 ) ( AIRPLANE ?auto_862 ) ( AIRPORT ?auto_861 ) ( AIRPORT ?auto_864 ) ( AT ?auto_862 ?auto_861 ) ( DIFFERENT ?auto_864 ?auto_861 ) ( LOCATION ?auto_867 ) ( AT ?auto_856 ?auto_867 ) ( AT ?auto_862 ?auto_867 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_856 ?auto_862 ?auto_867 )
      ( DELIVER-PKG ?auto_856 ?auto_857 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_869
      ?auto_870
    )
    :vars
    (
      ?auto_875
      ?auto_876
      ?auto_879
      ?auto_877
      ?auto_878
      ?auto_871
      ?auto_873
      ?auto_882
    )
    :precondition
    ( and ( OBJ ?auto_869 ) ( LOCATION ?auto_870 ) ( TRUCK ?auto_875 ) ( LOCATION ?auto_876 ) ( CITY ?auto_879 ) ( AT ?auto_875 ?auto_876 ) ( IN-CITY ?auto_876 ?auto_879 ) ( IN-CITY ?auto_870 ?auto_879 ) ( DIFFERENT ?auto_870 ?auto_876 ) ( LOCATION ?auto_877 ) ( AT ?auto_875 ?auto_877 ) ( AIRPLANE ?auto_878 ) ( AIRPORT ?auto_871 ) ( AIRPORT ?auto_877 ) ( AT ?auto_878 ?auto_871 ) ( DIFFERENT ?auto_877 ?auto_871 ) ( LOCATION ?auto_873 ) ( AT ?auto_878 ?auto_873 ) ( TRUCK ?auto_882 ) ( AT ?auto_882 ?auto_873 ) ( IN ?auto_869 ?auto_882 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_869 ?auto_873 )
      ( DELIVER-PKG ?auto_869 ?auto_870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_883
      ?auto_884
    )
    :vars
    (
      ?auto_894
      ?auto_886
      ?auto_885
      ?auto_887
      ?auto_889
      ?auto_891
      ?auto_893
      ?auto_892
      ?auto_897
      ?auto_896
    )
    :precondition
    ( and ( OBJ ?auto_883 ) ( LOCATION ?auto_884 ) ( TRUCK ?auto_894 ) ( LOCATION ?auto_886 ) ( CITY ?auto_885 ) ( AT ?auto_894 ?auto_886 ) ( IN-CITY ?auto_886 ?auto_885 ) ( IN-CITY ?auto_884 ?auto_885 ) ( DIFFERENT ?auto_884 ?auto_886 ) ( LOCATION ?auto_887 ) ( AT ?auto_894 ?auto_887 ) ( AIRPLANE ?auto_889 ) ( AIRPORT ?auto_891 ) ( AIRPORT ?auto_887 ) ( AT ?auto_889 ?auto_891 ) ( DIFFERENT ?auto_887 ?auto_891 ) ( LOCATION ?auto_893 ) ( AT ?auto_889 ?auto_893 ) ( TRUCK ?auto_892 ) ( IN ?auto_883 ?auto_892 ) ( LOCATION ?auto_897 ) ( CITY ?auto_896 ) ( AT ?auto_892 ?auto_897 ) ( IN-CITY ?auto_897 ?auto_896 ) ( IN-CITY ?auto_893 ?auto_896 ) ( DIFFERENT ?auto_893 ?auto_897 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_892 ?auto_897 ?auto_893 ?auto_896 )
      ( DELIVER-PKG ?auto_883 ?auto_884 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_899
      ?auto_900
    )
    :vars
    (
      ?auto_909
      ?auto_910
      ?auto_906
      ?auto_911
      ?auto_912
      ?auto_908
      ?auto_905
      ?auto_904
      ?auto_907
      ?auto_901
      ?auto_914
    )
    :precondition
    ( and ( OBJ ?auto_899 ) ( LOCATION ?auto_900 ) ( TRUCK ?auto_909 ) ( LOCATION ?auto_910 ) ( CITY ?auto_906 ) ( AT ?auto_909 ?auto_910 ) ( IN-CITY ?auto_910 ?auto_906 ) ( IN-CITY ?auto_900 ?auto_906 ) ( DIFFERENT ?auto_900 ?auto_910 ) ( LOCATION ?auto_911 ) ( AT ?auto_909 ?auto_911 ) ( AIRPLANE ?auto_912 ) ( AIRPORT ?auto_908 ) ( AIRPORT ?auto_911 ) ( AT ?auto_912 ?auto_908 ) ( DIFFERENT ?auto_911 ?auto_908 ) ( LOCATION ?auto_905 ) ( AT ?auto_912 ?auto_905 ) ( TRUCK ?auto_904 ) ( LOCATION ?auto_907 ) ( CITY ?auto_901 ) ( AT ?auto_904 ?auto_907 ) ( IN-CITY ?auto_907 ?auto_901 ) ( IN-CITY ?auto_905 ?auto_901 ) ( DIFFERENT ?auto_905 ?auto_907 ) ( LOCATION ?auto_914 ) ( AT ?auto_904 ?auto_914 ) ( AT ?auto_899 ?auto_914 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_899 ?auto_904 ?auto_914 )
      ( DELIVER-PKG ?auto_899 ?auto_900 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_916
      ?auto_917
    )
    :vars
    (
      ?auto_921
      ?auto_924
      ?auto_929
      ?auto_918
      ?auto_926
      ?auto_930
      ?auto_928
      ?auto_925
      ?auto_927
      ?auto_919
      ?auto_923
      ?auto_933
    )
    :precondition
    ( and ( OBJ ?auto_916 ) ( LOCATION ?auto_917 ) ( TRUCK ?auto_921 ) ( LOCATION ?auto_924 ) ( CITY ?auto_929 ) ( AT ?auto_921 ?auto_924 ) ( IN-CITY ?auto_924 ?auto_929 ) ( IN-CITY ?auto_917 ?auto_929 ) ( DIFFERENT ?auto_917 ?auto_924 ) ( LOCATION ?auto_918 ) ( AT ?auto_921 ?auto_918 ) ( AIRPLANE ?auto_926 ) ( AIRPORT ?auto_930 ) ( AIRPORT ?auto_918 ) ( AT ?auto_926 ?auto_930 ) ( DIFFERENT ?auto_918 ?auto_930 ) ( LOCATION ?auto_928 ) ( AT ?auto_926 ?auto_928 ) ( TRUCK ?auto_925 ) ( LOCATION ?auto_927 ) ( CITY ?auto_919 ) ( AT ?auto_925 ?auto_927 ) ( IN-CITY ?auto_927 ?auto_919 ) ( IN-CITY ?auto_928 ?auto_919 ) ( DIFFERENT ?auto_928 ?auto_927 ) ( LOCATION ?auto_923 ) ( AT ?auto_925 ?auto_923 ) ( TRUCK ?auto_933 ) ( AT ?auto_933 ?auto_923 ) ( IN ?auto_916 ?auto_933 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_916 ?auto_923 )
      ( DELIVER-PKG ?auto_916 ?auto_917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_934
      ?auto_935
    )
    :vars
    (
      ?auto_949
      ?auto_937
      ?auto_940
      ?auto_942
      ?auto_941
      ?auto_947
      ?auto_936
      ?auto_945
      ?auto_938
      ?auto_946
      ?auto_952
      ?auto_951
    )
    :precondition
    ( and ( OBJ ?auto_934 ) ( LOCATION ?auto_935 ) ( TRUCK ?auto_949 ) ( LOCATION ?auto_937 ) ( CITY ?auto_940 ) ( AT ?auto_949 ?auto_937 ) ( IN-CITY ?auto_937 ?auto_940 ) ( IN-CITY ?auto_935 ?auto_940 ) ( DIFFERENT ?auto_935 ?auto_937 ) ( LOCATION ?auto_942 ) ( AT ?auto_949 ?auto_942 ) ( AIRPLANE ?auto_941 ) ( AIRPORT ?auto_947 ) ( AIRPORT ?auto_942 ) ( AT ?auto_941 ?auto_947 ) ( DIFFERENT ?auto_942 ?auto_947 ) ( LOCATION ?auto_936 ) ( AT ?auto_941 ?auto_936 ) ( TRUCK ?auto_945 ) ( LOCATION ?auto_938 ) ( CITY ?auto_946 ) ( IN-CITY ?auto_938 ?auto_946 ) ( IN-CITY ?auto_936 ?auto_946 ) ( DIFFERENT ?auto_936 ?auto_938 ) ( IN ?auto_934 ?auto_945 ) ( LOCATION ?auto_952 ) ( CITY ?auto_951 ) ( AT ?auto_945 ?auto_952 ) ( IN-CITY ?auto_952 ?auto_951 ) ( IN-CITY ?auto_938 ?auto_951 ) ( DIFFERENT ?auto_938 ?auto_952 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_945 ?auto_952 ?auto_938 ?auto_951 )
      ( DELIVER-PKG ?auto_934 ?auto_935 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_970
      ?auto_971
    )
    :vars
    (
      ?auto_973
      ?auto_983
      ?auto_978
      ?auto_985
      ?auto_976
      ?auto_977
      ?auto_974
      ?auto_975
      ?auto_984
      ?auto_982
      ?auto_980
      ?auto_981
      ?auto_987
    )
    :precondition
    ( and ( OBJ ?auto_970 ) ( LOCATION ?auto_971 ) ( TRUCK ?auto_973 ) ( LOCATION ?auto_983 ) ( CITY ?auto_978 ) ( AT ?auto_973 ?auto_983 ) ( IN-CITY ?auto_983 ?auto_978 ) ( IN-CITY ?auto_971 ?auto_978 ) ( DIFFERENT ?auto_971 ?auto_983 ) ( LOCATION ?auto_985 ) ( AT ?auto_973 ?auto_985 ) ( AIRPLANE ?auto_976 ) ( AIRPORT ?auto_977 ) ( AIRPORT ?auto_985 ) ( AT ?auto_976 ?auto_977 ) ( DIFFERENT ?auto_985 ?auto_977 ) ( LOCATION ?auto_974 ) ( AT ?auto_976 ?auto_974 ) ( TRUCK ?auto_975 ) ( LOCATION ?auto_984 ) ( CITY ?auto_982 ) ( IN-CITY ?auto_984 ?auto_982 ) ( IN-CITY ?auto_974 ?auto_982 ) ( DIFFERENT ?auto_974 ?auto_984 ) ( LOCATION ?auto_980 ) ( CITY ?auto_981 ) ( AT ?auto_975 ?auto_980 ) ( IN-CITY ?auto_980 ?auto_981 ) ( IN-CITY ?auto_984 ?auto_981 ) ( DIFFERENT ?auto_984 ?auto_980 ) ( LOCATION ?auto_987 ) ( AT ?auto_975 ?auto_987 ) ( AT ?auto_970 ?auto_987 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_970 ?auto_975 ?auto_987 )
      ( DELIVER-PKG ?auto_970 ?auto_971 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1006
      ?auto_1007
    )
    :vars
    (
      ?auto_1008
      ?auto_1012
      ?auto_1017
      ?auto_1015
      ?auto_1016
      ?auto_1014
      ?auto_1019
      ?auto_1009
      ?auto_1013
      ?auto_1018
      ?auto_1022
      ?auto_1011
      ?auto_1025
      ?auto_1024
    )
    :precondition
    ( and ( OBJ ?auto_1006 ) ( LOCATION ?auto_1007 ) ( TRUCK ?auto_1008 ) ( LOCATION ?auto_1012 ) ( CITY ?auto_1017 ) ( AT ?auto_1008 ?auto_1012 ) ( IN-CITY ?auto_1012 ?auto_1017 ) ( IN-CITY ?auto_1007 ?auto_1017 ) ( DIFFERENT ?auto_1007 ?auto_1012 ) ( LOCATION ?auto_1015 ) ( AT ?auto_1008 ?auto_1015 ) ( AIRPLANE ?auto_1016 ) ( AIRPORT ?auto_1014 ) ( AIRPORT ?auto_1015 ) ( AT ?auto_1016 ?auto_1014 ) ( DIFFERENT ?auto_1015 ?auto_1014 ) ( LOCATION ?auto_1019 ) ( AT ?auto_1016 ?auto_1019 ) ( TRUCK ?auto_1009 ) ( LOCATION ?auto_1013 ) ( CITY ?auto_1018 ) ( IN-CITY ?auto_1013 ?auto_1018 ) ( IN-CITY ?auto_1019 ?auto_1018 ) ( DIFFERENT ?auto_1019 ?auto_1013 ) ( LOCATION ?auto_1022 ) ( CITY ?auto_1011 ) ( IN-CITY ?auto_1022 ?auto_1011 ) ( IN-CITY ?auto_1013 ?auto_1011 ) ( DIFFERENT ?auto_1013 ?auto_1022 ) ( AT ?auto_1006 ?auto_1022 ) ( LOCATION ?auto_1025 ) ( CITY ?auto_1024 ) ( AT ?auto_1009 ?auto_1025 ) ( IN-CITY ?auto_1025 ?auto_1024 ) ( IN-CITY ?auto_1022 ?auto_1024 ) ( DIFFERENT ?auto_1022 ?auto_1025 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1009 ?auto_1025 ?auto_1022 ?auto_1024 )
      ( DELIVER-PKG ?auto_1006 ?auto_1007 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1603
      ?auto_1604
    )
    :vars
    (
      ?auto_1607
      ?auto_1611
      ?auto_1609
      ?auto_1605
      ?auto_1608
      ?auto_1612
      ?auto_1616
      ?auto_1615
    )
    :precondition
    ( and ( OBJ ?auto_1603 ) ( LOCATION ?auto_1604 ) ( AIRPLANE ?auto_1607 ) ( AIRPORT ?auto_1611 ) ( AIRPORT ?auto_1604 ) ( AT ?auto_1607 ?auto_1611 ) ( DIFFERENT ?auto_1604 ?auto_1611 ) ( LOCATION ?auto_1609 ) ( AT ?auto_1607 ?auto_1609 ) ( TRUCK ?auto_1605 ) ( LOCATION ?auto_1608 ) ( CITY ?auto_1612 ) ( IN-CITY ?auto_1608 ?auto_1612 ) ( IN-CITY ?auto_1609 ?auto_1612 ) ( DIFFERENT ?auto_1609 ?auto_1608 ) ( AT ?auto_1603 ?auto_1608 ) ( LOCATION ?auto_1616 ) ( CITY ?auto_1615 ) ( AT ?auto_1605 ?auto_1616 ) ( IN-CITY ?auto_1616 ?auto_1615 ) ( IN-CITY ?auto_1608 ?auto_1615 ) ( DIFFERENT ?auto_1608 ?auto_1616 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1605 ?auto_1616 ?auto_1608 ?auto_1615 )
      ( DELIVER-PKG ?auto_1603 ?auto_1604 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1666
      ?auto_1667
    )
    :vars
    (
      ?auto_1677
      ?auto_1670
      ?auto_1672
      ?auto_1669
      ?auto_1673
      ?auto_1676
      ?auto_1675
      ?auto_1679
    )
    :precondition
    ( and ( OBJ ?auto_1666 ) ( LOCATION ?auto_1667 ) ( AIRPLANE ?auto_1677 ) ( AIRPORT ?auto_1670 ) ( AIRPORT ?auto_1667 ) ( DIFFERENT ?auto_1667 ?auto_1670 ) ( LOCATION ?auto_1670 ) ( TRUCK ?auto_1672 ) ( LOCATION ?auto_1669 ) ( CITY ?auto_1673 ) ( IN-CITY ?auto_1669 ?auto_1673 ) ( IN-CITY ?auto_1670 ?auto_1673 ) ( DIFFERENT ?auto_1670 ?auto_1669 ) ( AT ?auto_1666 ?auto_1669 ) ( LOCATION ?auto_1676 ) ( CITY ?auto_1675 ) ( AT ?auto_1672 ?auto_1676 ) ( IN-CITY ?auto_1676 ?auto_1675 ) ( IN-CITY ?auto_1669 ?auto_1675 ) ( DIFFERENT ?auto_1669 ?auto_1676 ) ( AIRPORT ?auto_1679 ) ( AT ?auto_1677 ?auto_1679 ) ( DIFFERENT ?auto_1670 ?auto_1679 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1677 ?auto_1679 ?auto_1670 )
      ( DELIVER-PKG ?auto_1666 ?auto_1667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2101
      ?auto_2102
    )
    :vars
    (
      ?auto_2105
      ?auto_2104
      ?auto_2113
      ?auto_2107
      ?auto_2109
      ?auto_2106
      ?auto_2115
      ?auto_2111
      ?auto_2108
      ?auto_2114
      ?auto_2118
      ?auto_2117
    )
    :precondition
    ( and ( OBJ ?auto_2101 ) ( LOCATION ?auto_2102 ) ( TRUCK ?auto_2105 ) ( LOCATION ?auto_2104 ) ( CITY ?auto_2113 ) ( AT ?auto_2105 ?auto_2104 ) ( IN-CITY ?auto_2104 ?auto_2113 ) ( IN-CITY ?auto_2102 ?auto_2113 ) ( DIFFERENT ?auto_2102 ?auto_2104 ) ( LOCATION ?auto_2107 ) ( AT ?auto_2105 ?auto_2107 ) ( AIRPLANE ?auto_2109 ) ( AIRPORT ?auto_2106 ) ( AIRPORT ?auto_2107 ) ( AT ?auto_2109 ?auto_2106 ) ( DIFFERENT ?auto_2107 ?auto_2106 ) ( LOCATION ?auto_2115 ) ( AT ?auto_2109 ?auto_2115 ) ( TRUCK ?auto_2111 ) ( LOCATION ?auto_2108 ) ( CITY ?auto_2114 ) ( IN-CITY ?auto_2108 ?auto_2114 ) ( IN-CITY ?auto_2115 ?auto_2114 ) ( DIFFERENT ?auto_2115 ?auto_2108 ) ( AT ?auto_2101 ?auto_2108 ) ( LOCATION ?auto_2118 ) ( CITY ?auto_2117 ) ( AT ?auto_2111 ?auto_2118 ) ( IN-CITY ?auto_2118 ?auto_2117 ) ( IN-CITY ?auto_2108 ?auto_2117 ) ( DIFFERENT ?auto_2108 ?auto_2118 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2111 ?auto_2118 ?auto_2108 ?auto_2117 )
      ( DELIVER-PKG ?auto_2101 ?auto_2102 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2184
      ?auto_2185
    )
    :vars
    (
      ?auto_2198
      ?auto_2192
      ?auto_2186
      ?auto_2189
      ?auto_2191
      ?auto_2188
      ?auto_2193
      ?auto_2190
      ?auto_2187
      ?auto_2196
      ?auto_2195
      ?auto_2201
    )
    :precondition
    ( and ( OBJ ?auto_2184 ) ( LOCATION ?auto_2185 ) ( TRUCK ?auto_2198 ) ( LOCATION ?auto_2192 ) ( CITY ?auto_2186 ) ( AT ?auto_2198 ?auto_2192 ) ( IN-CITY ?auto_2192 ?auto_2186 ) ( IN-CITY ?auto_2185 ?auto_2186 ) ( DIFFERENT ?auto_2185 ?auto_2192 ) ( LOCATION ?auto_2189 ) ( AT ?auto_2198 ?auto_2189 ) ( AIRPLANE ?auto_2191 ) ( AIRPORT ?auto_2188 ) ( AIRPORT ?auto_2189 ) ( DIFFERENT ?auto_2189 ?auto_2188 ) ( LOCATION ?auto_2188 ) ( TRUCK ?auto_2193 ) ( LOCATION ?auto_2190 ) ( CITY ?auto_2187 ) ( IN-CITY ?auto_2190 ?auto_2187 ) ( IN-CITY ?auto_2188 ?auto_2187 ) ( DIFFERENT ?auto_2188 ?auto_2190 ) ( AT ?auto_2184 ?auto_2190 ) ( LOCATION ?auto_2196 ) ( CITY ?auto_2195 ) ( AT ?auto_2193 ?auto_2196 ) ( IN-CITY ?auto_2196 ?auto_2195 ) ( IN-CITY ?auto_2190 ?auto_2195 ) ( DIFFERENT ?auto_2190 ?auto_2196 ) ( AIRPORT ?auto_2201 ) ( AT ?auto_2191 ?auto_2201 ) ( DIFFERENT ?auto_2188 ?auto_2201 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2191 ?auto_2201 ?auto_2188 )
      ( DELIVER-PKG ?auto_2184 ?auto_2185 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2299
      ?auto_2300
    )
    :vars
    (
      ?auto_2313
      ?auto_2306
      ?auto_2302
      ?auto_2308
      ?auto_2304
      ?auto_2310
      ?auto_2307
      ?auto_2303
      ?auto_2312
      ?auto_2311
      ?auto_2314
      ?auto_2317
      ?auto_2316
    )
    :precondition
    ( and ( OBJ ?auto_2299 ) ( LOCATION ?auto_2300 ) ( TRUCK ?auto_2313 ) ( LOCATION ?auto_2306 ) ( CITY ?auto_2302 ) ( IN-CITY ?auto_2306 ?auto_2302 ) ( IN-CITY ?auto_2300 ?auto_2302 ) ( DIFFERENT ?auto_2300 ?auto_2306 ) ( AIRPLANE ?auto_2308 ) ( AIRPORT ?auto_2304 ) ( AIRPORT ?auto_2306 ) ( DIFFERENT ?auto_2306 ?auto_2304 ) ( LOCATION ?auto_2304 ) ( TRUCK ?auto_2310 ) ( LOCATION ?auto_2307 ) ( CITY ?auto_2303 ) ( IN-CITY ?auto_2307 ?auto_2303 ) ( IN-CITY ?auto_2304 ?auto_2303 ) ( DIFFERENT ?auto_2304 ?auto_2307 ) ( AT ?auto_2299 ?auto_2307 ) ( LOCATION ?auto_2312 ) ( CITY ?auto_2311 ) ( AT ?auto_2310 ?auto_2312 ) ( IN-CITY ?auto_2312 ?auto_2311 ) ( IN-CITY ?auto_2307 ?auto_2311 ) ( DIFFERENT ?auto_2307 ?auto_2312 ) ( AIRPORT ?auto_2314 ) ( AT ?auto_2308 ?auto_2314 ) ( DIFFERENT ?auto_2304 ?auto_2314 ) ( LOCATION ?auto_2317 ) ( CITY ?auto_2316 ) ( AT ?auto_2313 ?auto_2317 ) ( IN-CITY ?auto_2317 ?auto_2316 ) ( IN-CITY ?auto_2306 ?auto_2316 ) ( DIFFERENT ?auto_2306 ?auto_2317 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2313 ?auto_2317 ?auto_2306 ?auto_2316 )
      ( DELIVER-PKG ?auto_2299 ?auto_2300 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2336
      ?auto_2337
    )
    :vars
    (
      ?auto_2349
      ?auto_2343
      ?auto_2340
      ?auto_2345
      ?auto_2342
      ?auto_2346
      ?auto_2344
      ?auto_2341
      ?auto_2348
      ?auto_2347
      ?auto_2350
      ?auto_2352
      ?auto_2351
      ?auto_2355
      ?auto_2354
    )
    :precondition
    ( and ( OBJ ?auto_2336 ) ( LOCATION ?auto_2337 ) ( TRUCK ?auto_2349 ) ( LOCATION ?auto_2343 ) ( CITY ?auto_2340 ) ( IN-CITY ?auto_2343 ?auto_2340 ) ( IN-CITY ?auto_2337 ?auto_2340 ) ( DIFFERENT ?auto_2337 ?auto_2343 ) ( AIRPLANE ?auto_2345 ) ( AIRPORT ?auto_2342 ) ( AIRPORT ?auto_2343 ) ( DIFFERENT ?auto_2343 ?auto_2342 ) ( LOCATION ?auto_2342 ) ( TRUCK ?auto_2346 ) ( LOCATION ?auto_2344 ) ( CITY ?auto_2341 ) ( IN-CITY ?auto_2344 ?auto_2341 ) ( IN-CITY ?auto_2342 ?auto_2341 ) ( DIFFERENT ?auto_2342 ?auto_2344 ) ( AT ?auto_2336 ?auto_2344 ) ( LOCATION ?auto_2348 ) ( CITY ?auto_2347 ) ( AT ?auto_2346 ?auto_2348 ) ( IN-CITY ?auto_2348 ?auto_2347 ) ( IN-CITY ?auto_2344 ?auto_2347 ) ( DIFFERENT ?auto_2344 ?auto_2348 ) ( AIRPORT ?auto_2350 ) ( AT ?auto_2345 ?auto_2350 ) ( DIFFERENT ?auto_2342 ?auto_2350 ) ( LOCATION ?auto_2352 ) ( CITY ?auto_2351 ) ( IN-CITY ?auto_2352 ?auto_2351 ) ( IN-CITY ?auto_2343 ?auto_2351 ) ( DIFFERENT ?auto_2343 ?auto_2352 ) ( LOCATION ?auto_2355 ) ( CITY ?auto_2354 ) ( AT ?auto_2349 ?auto_2355 ) ( IN-CITY ?auto_2355 ?auto_2354 ) ( IN-CITY ?auto_2352 ?auto_2354 ) ( DIFFERENT ?auto_2352 ?auto_2355 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2349 ?auto_2355 ?auto_2352 ?auto_2354 )
      ( DELIVER-PKG ?auto_2336 ?auto_2337 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3015
      ?auto_3016
    )
    :vars
    (
      ?auto_3021
      ?auto_3026
      ?auto_3025
      ?auto_3018
      ?auto_3022
      ?auto_3024
      ?auto_3023
      ?auto_3020
      ?auto_3029
    )
    :precondition
    ( and ( OBJ ?auto_3015 ) ( LOCATION ?auto_3016 ) ( AIRPLANE ?auto_3021 ) ( AIRPORT ?auto_3026 ) ( AIRPORT ?auto_3016 ) ( DIFFERENT ?auto_3016 ?auto_3026 ) ( LOCATION ?auto_3026 ) ( TRUCK ?auto_3025 ) ( LOCATION ?auto_3018 ) ( CITY ?auto_3022 ) ( IN-CITY ?auto_3018 ?auto_3022 ) ( IN-CITY ?auto_3026 ?auto_3022 ) ( DIFFERENT ?auto_3026 ?auto_3018 ) ( LOCATION ?auto_3024 ) ( CITY ?auto_3023 ) ( AT ?auto_3025 ?auto_3024 ) ( IN-CITY ?auto_3024 ?auto_3023 ) ( IN-CITY ?auto_3018 ?auto_3023 ) ( DIFFERENT ?auto_3018 ?auto_3024 ) ( LOCATION ?auto_3020 ) ( AT ?auto_3025 ?auto_3020 ) ( AT ?auto_3015 ?auto_3020 ) ( AIRPORT ?auto_3029 ) ( AT ?auto_3021 ?auto_3029 ) ( DIFFERENT ?auto_3026 ?auto_3029 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3021 ?auto_3029 ?auto_3026 )
      ( DELIVER-PKG ?auto_3015 ?auto_3016 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3031
      ?auto_3032
    )
    :vars
    (
      ?auto_3034
      ?auto_3037
      ?auto_3036
      ?auto_3040
      ?auto_3041
      ?auto_3033
      ?auto_3042
      ?auto_3039
      ?auto_3046
      ?auto_3045
    )
    :precondition
    ( and ( OBJ ?auto_3031 ) ( LOCATION ?auto_3032 ) ( AIRPLANE ?auto_3034 ) ( AIRPORT ?auto_3037 ) ( AIRPORT ?auto_3032 ) ( DIFFERENT ?auto_3032 ?auto_3037 ) ( LOCATION ?auto_3037 ) ( TRUCK ?auto_3036 ) ( LOCATION ?auto_3040 ) ( CITY ?auto_3041 ) ( IN-CITY ?auto_3040 ?auto_3041 ) ( IN-CITY ?auto_3037 ?auto_3041 ) ( DIFFERENT ?auto_3037 ?auto_3040 ) ( LOCATION ?auto_3033 ) ( CITY ?auto_3042 ) ( IN-CITY ?auto_3033 ?auto_3042 ) ( IN-CITY ?auto_3040 ?auto_3042 ) ( DIFFERENT ?auto_3040 ?auto_3033 ) ( AT ?auto_3031 ?auto_3033 ) ( AIRPORT ?auto_3039 ) ( AT ?auto_3034 ?auto_3039 ) ( DIFFERENT ?auto_3037 ?auto_3039 ) ( LOCATION ?auto_3046 ) ( CITY ?auto_3045 ) ( AT ?auto_3036 ?auto_3046 ) ( IN-CITY ?auto_3046 ?auto_3045 ) ( IN-CITY ?auto_3033 ?auto_3045 ) ( DIFFERENT ?auto_3033 ?auto_3046 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3036 ?auto_3046 ?auto_3033 ?auto_3045 )
      ( DELIVER-PKG ?auto_3031 ?auto_3032 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3500
      ?auto_3501
    )
    :vars
    (
      ?auto_3502
      ?auto_3506
      ?auto_3511
      ?auto_3514
      ?auto_3510
      ?auto_3512
      ?auto_3503
      ?auto_3508
      ?auto_3507
      ?auto_3505
      ?auto_3504
      ?auto_3513
      ?auto_3518
    )
    :precondition
    ( and ( OBJ ?auto_3500 ) ( LOCATION ?auto_3501 ) ( TRUCK ?auto_3502 ) ( LOCATION ?auto_3506 ) ( CITY ?auto_3511 ) ( AT ?auto_3502 ?auto_3506 ) ( IN-CITY ?auto_3506 ?auto_3511 ) ( IN-CITY ?auto_3501 ?auto_3511 ) ( DIFFERENT ?auto_3501 ?auto_3506 ) ( LOCATION ?auto_3514 ) ( AT ?auto_3502 ?auto_3514 ) ( AIRPLANE ?auto_3510 ) ( AIRPORT ?auto_3512 ) ( AIRPORT ?auto_3514 ) ( DIFFERENT ?auto_3514 ?auto_3512 ) ( LOCATION ?auto_3512 ) ( TRUCK ?auto_3503 ) ( LOCATION ?auto_3508 ) ( CITY ?auto_3507 ) ( IN-CITY ?auto_3508 ?auto_3507 ) ( IN-CITY ?auto_3512 ?auto_3507 ) ( DIFFERENT ?auto_3512 ?auto_3508 ) ( LOCATION ?auto_3505 ) ( CITY ?auto_3504 ) ( AT ?auto_3503 ?auto_3505 ) ( IN-CITY ?auto_3505 ?auto_3504 ) ( IN-CITY ?auto_3508 ?auto_3504 ) ( DIFFERENT ?auto_3508 ?auto_3505 ) ( LOCATION ?auto_3513 ) ( AT ?auto_3503 ?auto_3513 ) ( AT ?auto_3500 ?auto_3513 ) ( AIRPORT ?auto_3518 ) ( AT ?auto_3510 ?auto_3518 ) ( DIFFERENT ?auto_3512 ?auto_3518 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3510 ?auto_3518 ?auto_3512 )
      ( DELIVER-PKG ?auto_3500 ?auto_3501 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3520
      ?auto_3521
    )
    :vars
    (
      ?auto_3527
      ?auto_3522
      ?auto_3530
      ?auto_3533
      ?auto_3529
      ?auto_3531
      ?auto_3525
      ?auto_3524
      ?auto_3523
      ?auto_3532
      ?auto_3528
      ?auto_3526
      ?auto_3539
      ?auto_3538
    )
    :precondition
    ( and ( OBJ ?auto_3520 ) ( LOCATION ?auto_3521 ) ( TRUCK ?auto_3527 ) ( LOCATION ?auto_3522 ) ( CITY ?auto_3530 ) ( AT ?auto_3527 ?auto_3522 ) ( IN-CITY ?auto_3522 ?auto_3530 ) ( IN-CITY ?auto_3521 ?auto_3530 ) ( DIFFERENT ?auto_3521 ?auto_3522 ) ( LOCATION ?auto_3533 ) ( AT ?auto_3527 ?auto_3533 ) ( AIRPLANE ?auto_3529 ) ( AIRPORT ?auto_3531 ) ( AIRPORT ?auto_3533 ) ( DIFFERENT ?auto_3533 ?auto_3531 ) ( LOCATION ?auto_3531 ) ( TRUCK ?auto_3525 ) ( LOCATION ?auto_3524 ) ( CITY ?auto_3523 ) ( IN-CITY ?auto_3524 ?auto_3523 ) ( IN-CITY ?auto_3531 ?auto_3523 ) ( DIFFERENT ?auto_3531 ?auto_3524 ) ( LOCATION ?auto_3532 ) ( CITY ?auto_3528 ) ( IN-CITY ?auto_3532 ?auto_3528 ) ( IN-CITY ?auto_3524 ?auto_3528 ) ( DIFFERENT ?auto_3524 ?auto_3532 ) ( AT ?auto_3520 ?auto_3532 ) ( AIRPORT ?auto_3526 ) ( AT ?auto_3529 ?auto_3526 ) ( DIFFERENT ?auto_3531 ?auto_3526 ) ( LOCATION ?auto_3539 ) ( CITY ?auto_3538 ) ( AT ?auto_3525 ?auto_3539 ) ( IN-CITY ?auto_3539 ?auto_3538 ) ( IN-CITY ?auto_3532 ?auto_3538 ) ( DIFFERENT ?auto_3532 ?auto_3539 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3525 ?auto_3539 ?auto_3532 ?auto_3538 )
      ( DELIVER-PKG ?auto_3520 ?auto_3521 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3541
      ?auto_3542
    )
    :vars
    (
      ?auto_3553
      ?auto_3551
      ?auto_3549
      ?auto_3544
      ?auto_3554
      ?auto_3558
      ?auto_3556
      ?auto_3555
      ?auto_3557
      ?auto_3545
      ?auto_3546
      ?auto_3548
      ?auto_3547
      ?auto_3561
      ?auto_3560
    )
    :precondition
    ( and ( OBJ ?auto_3541 ) ( LOCATION ?auto_3542 ) ( TRUCK ?auto_3553 ) ( LOCATION ?auto_3551 ) ( CITY ?auto_3549 ) ( IN-CITY ?auto_3551 ?auto_3549 ) ( IN-CITY ?auto_3542 ?auto_3549 ) ( DIFFERENT ?auto_3542 ?auto_3551 ) ( AIRPLANE ?auto_3544 ) ( AIRPORT ?auto_3554 ) ( AIRPORT ?auto_3551 ) ( DIFFERENT ?auto_3551 ?auto_3554 ) ( LOCATION ?auto_3554 ) ( TRUCK ?auto_3558 ) ( LOCATION ?auto_3556 ) ( CITY ?auto_3555 ) ( IN-CITY ?auto_3556 ?auto_3555 ) ( IN-CITY ?auto_3554 ?auto_3555 ) ( DIFFERENT ?auto_3554 ?auto_3556 ) ( LOCATION ?auto_3557 ) ( CITY ?auto_3545 ) ( IN-CITY ?auto_3557 ?auto_3545 ) ( IN-CITY ?auto_3556 ?auto_3545 ) ( DIFFERENT ?auto_3556 ?auto_3557 ) ( AT ?auto_3541 ?auto_3557 ) ( AIRPORT ?auto_3546 ) ( AT ?auto_3544 ?auto_3546 ) ( DIFFERENT ?auto_3554 ?auto_3546 ) ( LOCATION ?auto_3548 ) ( CITY ?auto_3547 ) ( AT ?auto_3558 ?auto_3548 ) ( IN-CITY ?auto_3548 ?auto_3547 ) ( IN-CITY ?auto_3557 ?auto_3547 ) ( DIFFERENT ?auto_3557 ?auto_3548 ) ( LOCATION ?auto_3561 ) ( CITY ?auto_3560 ) ( AT ?auto_3553 ?auto_3561 ) ( IN-CITY ?auto_3561 ?auto_3560 ) ( IN-CITY ?auto_3551 ?auto_3560 ) ( DIFFERENT ?auto_3551 ?auto_3561 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3553 ?auto_3561 ?auto_3551 ?auto_3560 )
      ( DELIVER-PKG ?auto_3541 ?auto_3542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3803
      ?auto_3804
    )
    :vars
    (
      ?auto_3807
      ?auto_3809
      ?auto_3811
    )
    :precondition
    ( and ( OBJ ?auto_3803 ) ( LOCATION ?auto_3804 ) ( AIRPLANE ?auto_3807 ) ( AIRPORT ?auto_3809 ) ( AIRPORT ?auto_3804 ) ( DIFFERENT ?auto_3804 ?auto_3809 ) ( LOCATION ?auto_3809 ) ( AT ?auto_3803 ?auto_3809 ) ( AIRPORT ?auto_3811 ) ( AT ?auto_3807 ?auto_3811 ) ( DIFFERENT ?auto_3809 ?auto_3811 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3807 ?auto_3811 ?auto_3809 )
      ( DELIVER-PKG ?auto_3803 ?auto_3804 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3827
      ?auto_3828
    )
    :vars
    (
      ?auto_3830
      ?auto_3831
      ?auto_3832
      ?auto_3835
    )
    :precondition
    ( and ( OBJ ?auto_3827 ) ( LOCATION ?auto_3828 ) ( AIRPLANE ?auto_3830 ) ( AIRPORT ?auto_3831 ) ( AIRPORT ?auto_3828 ) ( DIFFERENT ?auto_3828 ?auto_3831 ) ( LOCATION ?auto_3831 ) ( AT ?auto_3827 ?auto_3831 ) ( AIRPORT ?auto_3832 ) ( DIFFERENT ?auto_3831 ?auto_3832 ) ( AIRPORT ?auto_3835 ) ( AT ?auto_3830 ?auto_3835 ) ( DIFFERENT ?auto_3832 ?auto_3835 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3830 ?auto_3835 ?auto_3832 )
      ( DELIVER-PKG ?auto_3827 ?auto_3828 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3853
      ?auto_3854
    )
    :vars
    (
      ?auto_3856
      ?auto_3857
      ?auto_3858
      ?auto_3860
      ?auto_3861
    )
    :precondition
    ( and ( OBJ ?auto_3853 ) ( LOCATION ?auto_3854 ) ( AIRPLANE ?auto_3856 ) ( AIRPORT ?auto_3857 ) ( AIRPORT ?auto_3854 ) ( DIFFERENT ?auto_3854 ?auto_3857 ) ( LOCATION ?auto_3857 ) ( AIRPORT ?auto_3858 ) ( DIFFERENT ?auto_3857 ?auto_3858 ) ( AIRPORT ?auto_3860 ) ( AT ?auto_3856 ?auto_3860 ) ( DIFFERENT ?auto_3858 ?auto_3860 ) ( TRUCK ?auto_3861 ) ( AT ?auto_3861 ?auto_3857 ) ( IN ?auto_3853 ?auto_3861 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3853 ?auto_3857 )
      ( DELIVER-PKG ?auto_3853 ?auto_3854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3873
      ?auto_3874
    )
    :vars
    (
      ?auto_3879
      ?auto_3880
      ?auto_3877
      ?auto_3878
      ?auto_3876
      ?auto_3884
      ?auto_3883
    )
    :precondition
    ( and ( OBJ ?auto_3873 ) ( LOCATION ?auto_3874 ) ( AIRPLANE ?auto_3879 ) ( AIRPORT ?auto_3880 ) ( AIRPORT ?auto_3874 ) ( DIFFERENT ?auto_3874 ?auto_3880 ) ( LOCATION ?auto_3880 ) ( AIRPORT ?auto_3877 ) ( DIFFERENT ?auto_3880 ?auto_3877 ) ( AIRPORT ?auto_3878 ) ( AT ?auto_3879 ?auto_3878 ) ( DIFFERENT ?auto_3877 ?auto_3878 ) ( TRUCK ?auto_3876 ) ( IN ?auto_3873 ?auto_3876 ) ( LOCATION ?auto_3884 ) ( CITY ?auto_3883 ) ( AT ?auto_3876 ?auto_3884 ) ( IN-CITY ?auto_3884 ?auto_3883 ) ( IN-CITY ?auto_3880 ?auto_3883 ) ( DIFFERENT ?auto_3880 ?auto_3884 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3876 ?auto_3884 ?auto_3880 ?auto_3883 )
      ( DELIVER-PKG ?auto_3873 ?auto_3874 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3897
      ?auto_3898
    )
    :vars
    (
      ?auto_3902
      ?auto_3903
      ?auto_3900
      ?auto_3901
      ?auto_3907
      ?auto_3905
      ?auto_3904
      ?auto_3909
    )
    :precondition
    ( and ( OBJ ?auto_3897 ) ( LOCATION ?auto_3898 ) ( AIRPLANE ?auto_3902 ) ( AIRPORT ?auto_3903 ) ( AIRPORT ?auto_3898 ) ( DIFFERENT ?auto_3898 ?auto_3903 ) ( LOCATION ?auto_3903 ) ( AIRPORT ?auto_3900 ) ( DIFFERENT ?auto_3903 ?auto_3900 ) ( AIRPORT ?auto_3901 ) ( AT ?auto_3902 ?auto_3901 ) ( DIFFERENT ?auto_3900 ?auto_3901 ) ( TRUCK ?auto_3907 ) ( LOCATION ?auto_3905 ) ( CITY ?auto_3904 ) ( AT ?auto_3907 ?auto_3905 ) ( IN-CITY ?auto_3905 ?auto_3904 ) ( IN-CITY ?auto_3903 ?auto_3904 ) ( DIFFERENT ?auto_3903 ?auto_3905 ) ( LOCATION ?auto_3909 ) ( AT ?auto_3907 ?auto_3909 ) ( AT ?auto_3897 ?auto_3909 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3897 ?auto_3907 ?auto_3909 )
      ( DELIVER-PKG ?auto_3897 ?auto_3898 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3923
      ?auto_3924
    )
    :vars
    (
      ?auto_3925
      ?auto_3933
      ?auto_3929
      ?auto_3928
      ?auto_3930
      ?auto_3931
      ?auto_3926
      ?auto_3937
      ?auto_3936
    )
    :precondition
    ( and ( OBJ ?auto_3923 ) ( LOCATION ?auto_3924 ) ( AIRPLANE ?auto_3925 ) ( AIRPORT ?auto_3933 ) ( AIRPORT ?auto_3924 ) ( DIFFERENT ?auto_3924 ?auto_3933 ) ( LOCATION ?auto_3933 ) ( AIRPORT ?auto_3929 ) ( DIFFERENT ?auto_3933 ?auto_3929 ) ( AIRPORT ?auto_3928 ) ( AT ?auto_3925 ?auto_3928 ) ( DIFFERENT ?auto_3929 ?auto_3928 ) ( TRUCK ?auto_3930 ) ( LOCATION ?auto_3931 ) ( CITY ?auto_3926 ) ( IN-CITY ?auto_3931 ?auto_3926 ) ( IN-CITY ?auto_3933 ?auto_3926 ) ( DIFFERENT ?auto_3933 ?auto_3931 ) ( AT ?auto_3923 ?auto_3931 ) ( LOCATION ?auto_3937 ) ( CITY ?auto_3936 ) ( AT ?auto_3930 ?auto_3937 ) ( IN-CITY ?auto_3937 ?auto_3936 ) ( IN-CITY ?auto_3931 ?auto_3936 ) ( DIFFERENT ?auto_3931 ?auto_3937 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3930 ?auto_3937 ?auto_3931 ?auto_3936 )
      ( DELIVER-PKG ?auto_3923 ?auto_3924 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3939
      ?auto_3940
    )
    :vars
    (
      ?auto_3950
      ?auto_3946
      ?auto_3943
      ?auto_3942
      ?auto_3944
      ?auto_3945
      ?auto_3941
      ?auto_3951
      ?auto_3947
      ?auto_3953
    )
    :precondition
    ( and ( OBJ ?auto_3939 ) ( LOCATION ?auto_3940 ) ( AIRPLANE ?auto_3950 ) ( AIRPORT ?auto_3946 ) ( AIRPORT ?auto_3940 ) ( DIFFERENT ?auto_3940 ?auto_3946 ) ( LOCATION ?auto_3946 ) ( AIRPORT ?auto_3943 ) ( DIFFERENT ?auto_3946 ?auto_3943 ) ( AIRPORT ?auto_3942 ) ( DIFFERENT ?auto_3943 ?auto_3942 ) ( TRUCK ?auto_3944 ) ( LOCATION ?auto_3945 ) ( CITY ?auto_3941 ) ( IN-CITY ?auto_3945 ?auto_3941 ) ( IN-CITY ?auto_3946 ?auto_3941 ) ( DIFFERENT ?auto_3946 ?auto_3945 ) ( AT ?auto_3939 ?auto_3945 ) ( LOCATION ?auto_3951 ) ( CITY ?auto_3947 ) ( AT ?auto_3944 ?auto_3951 ) ( IN-CITY ?auto_3951 ?auto_3947 ) ( IN-CITY ?auto_3945 ?auto_3947 ) ( DIFFERENT ?auto_3945 ?auto_3951 ) ( AIRPORT ?auto_3953 ) ( AT ?auto_3950 ?auto_3953 ) ( DIFFERENT ?auto_3942 ?auto_3953 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3950 ?auto_3953 ?auto_3942 )
      ( DELIVER-PKG ?auto_3939 ?auto_3940 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4295
      ?auto_4296
    )
    :vars
    (
      ?auto_4300
      ?auto_4302
      ?auto_4297
      ?auto_4299
      ?auto_4298
      ?auto_4303
      ?auto_4307
    )
    :precondition
    ( and ( OBJ ?auto_4295 ) ( LOCATION ?auto_4296 ) ( TRUCK ?auto_4300 ) ( LOCATION ?auto_4302 ) ( CITY ?auto_4297 ) ( IN-CITY ?auto_4302 ?auto_4297 ) ( IN-CITY ?auto_4296 ?auto_4297 ) ( DIFFERENT ?auto_4296 ?auto_4302 ) ( LOCATION ?auto_4299 ) ( CITY ?auto_4298 ) ( AT ?auto_4300 ?auto_4299 ) ( IN-CITY ?auto_4299 ?auto_4298 ) ( IN-CITY ?auto_4302 ?auto_4298 ) ( DIFFERENT ?auto_4302 ?auto_4299 ) ( LOCATION ?auto_4303 ) ( AT ?auto_4300 ?auto_4303 ) ( AIRPLANE ?auto_4307 ) ( IN ?auto_4295 ?auto_4307 ) ( AT ?auto_4307 ?auto_4303 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4295 ?auto_4303 )
      ( DELIVER-PKG ?auto_4295 ?auto_4296 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4308
      ?auto_4309
    )
    :vars
    (
      ?auto_4314
      ?auto_4315
      ?auto_4313
      ?auto_4317
      ?auto_4318
      ?auto_4312
      ?auto_4316
      ?auto_4320
    )
    :precondition
    ( and ( OBJ ?auto_4308 ) ( LOCATION ?auto_4309 ) ( TRUCK ?auto_4314 ) ( LOCATION ?auto_4315 ) ( CITY ?auto_4313 ) ( IN-CITY ?auto_4315 ?auto_4313 ) ( IN-CITY ?auto_4309 ?auto_4313 ) ( DIFFERENT ?auto_4309 ?auto_4315 ) ( LOCATION ?auto_4317 ) ( CITY ?auto_4318 ) ( AT ?auto_4314 ?auto_4317 ) ( IN-CITY ?auto_4317 ?auto_4318 ) ( IN-CITY ?auto_4315 ?auto_4318 ) ( DIFFERENT ?auto_4315 ?auto_4317 ) ( LOCATION ?auto_4312 ) ( AT ?auto_4314 ?auto_4312 ) ( AIRPLANE ?auto_4316 ) ( IN ?auto_4308 ?auto_4316 ) ( AIRPORT ?auto_4320 ) ( AIRPORT ?auto_4312 ) ( AT ?auto_4316 ?auto_4320 ) ( DIFFERENT ?auto_4312 ?auto_4320 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4316 ?auto_4320 ?auto_4312 )
      ( DELIVER-PKG ?auto_4308 ?auto_4309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4322
      ?auto_4323
    )
    :vars
    (
      ?auto_4331
      ?auto_4327
      ?auto_4324
      ?auto_4326
      ?auto_4328
      ?auto_4325
      ?auto_4333
      ?auto_4329
      ?auto_4335
    )
    :precondition
    ( and ( OBJ ?auto_4322 ) ( LOCATION ?auto_4323 ) ( TRUCK ?auto_4331 ) ( LOCATION ?auto_4327 ) ( CITY ?auto_4324 ) ( IN-CITY ?auto_4327 ?auto_4324 ) ( IN-CITY ?auto_4323 ?auto_4324 ) ( DIFFERENT ?auto_4323 ?auto_4327 ) ( LOCATION ?auto_4326 ) ( CITY ?auto_4328 ) ( AT ?auto_4331 ?auto_4326 ) ( IN-CITY ?auto_4326 ?auto_4328 ) ( IN-CITY ?auto_4327 ?auto_4328 ) ( DIFFERENT ?auto_4327 ?auto_4326 ) ( LOCATION ?auto_4325 ) ( AT ?auto_4331 ?auto_4325 ) ( AIRPLANE ?auto_4333 ) ( AIRPORT ?auto_4329 ) ( AIRPORT ?auto_4325 ) ( AT ?auto_4333 ?auto_4329 ) ( DIFFERENT ?auto_4325 ?auto_4329 ) ( LOCATION ?auto_4335 ) ( AT ?auto_4322 ?auto_4335 ) ( AT ?auto_4333 ?auto_4335 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4322 ?auto_4333 ?auto_4335 )
      ( DELIVER-PKG ?auto_4322 ?auto_4323 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4337
      ?auto_4338
    )
    :vars
    (
      ?auto_4345
      ?auto_4348
      ?auto_4340
      ?auto_4347
      ?auto_4349
      ?auto_4346
      ?auto_4343
      ?auto_4344
      ?auto_4342
      ?auto_4352
    )
    :precondition
    ( and ( OBJ ?auto_4337 ) ( LOCATION ?auto_4338 ) ( TRUCK ?auto_4345 ) ( LOCATION ?auto_4348 ) ( CITY ?auto_4340 ) ( IN-CITY ?auto_4348 ?auto_4340 ) ( IN-CITY ?auto_4338 ?auto_4340 ) ( DIFFERENT ?auto_4338 ?auto_4348 ) ( LOCATION ?auto_4347 ) ( CITY ?auto_4349 ) ( AT ?auto_4345 ?auto_4347 ) ( IN-CITY ?auto_4347 ?auto_4349 ) ( IN-CITY ?auto_4348 ?auto_4349 ) ( DIFFERENT ?auto_4348 ?auto_4347 ) ( LOCATION ?auto_4346 ) ( AT ?auto_4345 ?auto_4346 ) ( AIRPLANE ?auto_4343 ) ( AIRPORT ?auto_4344 ) ( AIRPORT ?auto_4346 ) ( AT ?auto_4343 ?auto_4344 ) ( DIFFERENT ?auto_4346 ?auto_4344 ) ( LOCATION ?auto_4342 ) ( AT ?auto_4343 ?auto_4342 ) ( TRUCK ?auto_4352 ) ( AT ?auto_4352 ?auto_4342 ) ( IN ?auto_4337 ?auto_4352 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4337 ?auto_4342 )
      ( DELIVER-PKG ?auto_4337 ?auto_4338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4367
      ?auto_4368
    )
    :vars
    (
      ?auto_4371
      ?auto_4370
      ?auto_4378
      ?auto_4369
      ?auto_4379
      ?auto_4374
      ?auto_4372
      ?auto_4375
      ?auto_4380
      ?auto_4377
      ?auto_4383
      ?auto_4382
    )
    :precondition
    ( and ( OBJ ?auto_4367 ) ( LOCATION ?auto_4368 ) ( TRUCK ?auto_4371 ) ( LOCATION ?auto_4370 ) ( CITY ?auto_4378 ) ( IN-CITY ?auto_4370 ?auto_4378 ) ( IN-CITY ?auto_4368 ?auto_4378 ) ( DIFFERENT ?auto_4368 ?auto_4370 ) ( LOCATION ?auto_4369 ) ( CITY ?auto_4379 ) ( AT ?auto_4371 ?auto_4369 ) ( IN-CITY ?auto_4369 ?auto_4379 ) ( IN-CITY ?auto_4370 ?auto_4379 ) ( DIFFERENT ?auto_4370 ?auto_4369 ) ( LOCATION ?auto_4374 ) ( AT ?auto_4371 ?auto_4374 ) ( AIRPLANE ?auto_4372 ) ( AIRPORT ?auto_4375 ) ( AIRPORT ?auto_4374 ) ( AT ?auto_4372 ?auto_4375 ) ( DIFFERENT ?auto_4374 ?auto_4375 ) ( LOCATION ?auto_4380 ) ( AT ?auto_4372 ?auto_4380 ) ( TRUCK ?auto_4377 ) ( IN ?auto_4367 ?auto_4377 ) ( LOCATION ?auto_4383 ) ( CITY ?auto_4382 ) ( AT ?auto_4377 ?auto_4383 ) ( IN-CITY ?auto_4383 ?auto_4382 ) ( IN-CITY ?auto_4380 ?auto_4382 ) ( DIFFERENT ?auto_4380 ?auto_4383 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4377 ?auto_4383 ?auto_4380 ?auto_4382 )
      ( DELIVER-PKG ?auto_4367 ?auto_4368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4401
      ?auto_4402
    )
    :vars
    (
      ?auto_4407
      ?auto_4408
      ?auto_4413
      ?auto_4409
      ?auto_4404
      ?auto_4403
      ?auto_4406
      ?auto_4411
      ?auto_4405
      ?auto_4412
      ?auto_4416
      ?auto_4415
      ?auto_4419
      ?auto_4418
    )
    :precondition
    ( and ( OBJ ?auto_4401 ) ( LOCATION ?auto_4402 ) ( TRUCK ?auto_4407 ) ( LOCATION ?auto_4408 ) ( CITY ?auto_4413 ) ( IN-CITY ?auto_4408 ?auto_4413 ) ( IN-CITY ?auto_4402 ?auto_4413 ) ( DIFFERENT ?auto_4402 ?auto_4408 ) ( LOCATION ?auto_4409 ) ( CITY ?auto_4404 ) ( AT ?auto_4407 ?auto_4409 ) ( IN-CITY ?auto_4409 ?auto_4404 ) ( IN-CITY ?auto_4408 ?auto_4404 ) ( DIFFERENT ?auto_4408 ?auto_4409 ) ( LOCATION ?auto_4403 ) ( AT ?auto_4407 ?auto_4403 ) ( AIRPLANE ?auto_4406 ) ( AIRPORT ?auto_4411 ) ( AIRPORT ?auto_4403 ) ( AT ?auto_4406 ?auto_4411 ) ( DIFFERENT ?auto_4403 ?auto_4411 ) ( LOCATION ?auto_4405 ) ( AT ?auto_4406 ?auto_4405 ) ( TRUCK ?auto_4412 ) ( IN ?auto_4401 ?auto_4412 ) ( LOCATION ?auto_4416 ) ( CITY ?auto_4415 ) ( IN-CITY ?auto_4416 ?auto_4415 ) ( IN-CITY ?auto_4405 ?auto_4415 ) ( DIFFERENT ?auto_4405 ?auto_4416 ) ( LOCATION ?auto_4419 ) ( CITY ?auto_4418 ) ( AT ?auto_4412 ?auto_4419 ) ( IN-CITY ?auto_4419 ?auto_4418 ) ( IN-CITY ?auto_4416 ?auto_4418 ) ( DIFFERENT ?auto_4416 ?auto_4419 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4412 ?auto_4419 ?auto_4416 ?auto_4418 )
      ( DELIVER-PKG ?auto_4401 ?auto_4402 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4439
      ?auto_4440
    )
    :vars
    (
      ?auto_4446
      ?auto_4450
      ?auto_4449
      ?auto_4451
      ?auto_4442
      ?auto_4444
      ?auto_4443
      ?auto_4447
      ?auto_4445
      ?auto_4448
      ?auto_4453
      ?auto_4452
      ?auto_4456
      ?auto_4455
      ?auto_4458
    )
    :precondition
    ( and ( OBJ ?auto_4439 ) ( LOCATION ?auto_4440 ) ( TRUCK ?auto_4446 ) ( LOCATION ?auto_4450 ) ( CITY ?auto_4449 ) ( IN-CITY ?auto_4450 ?auto_4449 ) ( IN-CITY ?auto_4440 ?auto_4449 ) ( DIFFERENT ?auto_4440 ?auto_4450 ) ( LOCATION ?auto_4451 ) ( CITY ?auto_4442 ) ( AT ?auto_4446 ?auto_4451 ) ( IN-CITY ?auto_4451 ?auto_4442 ) ( IN-CITY ?auto_4450 ?auto_4442 ) ( DIFFERENT ?auto_4450 ?auto_4451 ) ( LOCATION ?auto_4444 ) ( AT ?auto_4446 ?auto_4444 ) ( AIRPLANE ?auto_4443 ) ( AIRPORT ?auto_4447 ) ( AIRPORT ?auto_4444 ) ( AT ?auto_4443 ?auto_4447 ) ( DIFFERENT ?auto_4444 ?auto_4447 ) ( LOCATION ?auto_4445 ) ( AT ?auto_4443 ?auto_4445 ) ( TRUCK ?auto_4448 ) ( LOCATION ?auto_4453 ) ( CITY ?auto_4452 ) ( IN-CITY ?auto_4453 ?auto_4452 ) ( IN-CITY ?auto_4445 ?auto_4452 ) ( DIFFERENT ?auto_4445 ?auto_4453 ) ( LOCATION ?auto_4456 ) ( CITY ?auto_4455 ) ( AT ?auto_4448 ?auto_4456 ) ( IN-CITY ?auto_4456 ?auto_4455 ) ( IN-CITY ?auto_4453 ?auto_4455 ) ( DIFFERENT ?auto_4453 ?auto_4456 ) ( LOCATION ?auto_4458 ) ( AT ?auto_4448 ?auto_4458 ) ( AT ?auto_4439 ?auto_4458 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4439 ?auto_4448 ?auto_4458 )
      ( DELIVER-PKG ?auto_4439 ?auto_4440 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4479
      ?auto_4480
    )
    :vars
    (
      ?auto_4484
      ?auto_4488
      ?auto_4487
      ?auto_4489
      ?auto_4481
      ?auto_4482
      ?auto_4483
      ?auto_4494
      ?auto_4486
      ?auto_4491
      ?auto_4490
      ?auto_4493
      ?auto_4492
      ?auto_4495
      ?auto_4499
    )
    :precondition
    ( and ( OBJ ?auto_4479 ) ( LOCATION ?auto_4480 ) ( TRUCK ?auto_4484 ) ( LOCATION ?auto_4488 ) ( CITY ?auto_4487 ) ( IN-CITY ?auto_4488 ?auto_4487 ) ( IN-CITY ?auto_4480 ?auto_4487 ) ( DIFFERENT ?auto_4480 ?auto_4488 ) ( LOCATION ?auto_4489 ) ( CITY ?auto_4481 ) ( AT ?auto_4484 ?auto_4489 ) ( IN-CITY ?auto_4489 ?auto_4481 ) ( IN-CITY ?auto_4488 ?auto_4481 ) ( DIFFERENT ?auto_4488 ?auto_4489 ) ( LOCATION ?auto_4482 ) ( AT ?auto_4484 ?auto_4482 ) ( AIRPLANE ?auto_4483 ) ( AIRPORT ?auto_4494 ) ( AIRPORT ?auto_4482 ) ( DIFFERENT ?auto_4482 ?auto_4494 ) ( LOCATION ?auto_4494 ) ( TRUCK ?auto_4486 ) ( LOCATION ?auto_4491 ) ( CITY ?auto_4490 ) ( IN-CITY ?auto_4491 ?auto_4490 ) ( IN-CITY ?auto_4494 ?auto_4490 ) ( DIFFERENT ?auto_4494 ?auto_4491 ) ( LOCATION ?auto_4493 ) ( CITY ?auto_4492 ) ( AT ?auto_4486 ?auto_4493 ) ( IN-CITY ?auto_4493 ?auto_4492 ) ( IN-CITY ?auto_4491 ?auto_4492 ) ( DIFFERENT ?auto_4491 ?auto_4493 ) ( LOCATION ?auto_4495 ) ( AT ?auto_4486 ?auto_4495 ) ( AT ?auto_4479 ?auto_4495 ) ( AIRPORT ?auto_4499 ) ( AT ?auto_4483 ?auto_4499 ) ( DIFFERENT ?auto_4494 ?auto_4499 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4483 ?auto_4499 ?auto_4494 )
      ( DELIVER-PKG ?auto_4479 ?auto_4480 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4501
      ?auto_4502
    )
    :vars
    (
      ?auto_4505
      ?auto_4511
      ?auto_4510
      ?auto_4512
      ?auto_4504
      ?auto_4506
      ?auto_4503
      ?auto_4517
      ?auto_4509
      ?auto_4514
      ?auto_4513
      ?auto_4507
      ?auto_4515
      ?auto_4508
      ?auto_4522
      ?auto_4521
    )
    :precondition
    ( and ( OBJ ?auto_4501 ) ( LOCATION ?auto_4502 ) ( TRUCK ?auto_4505 ) ( LOCATION ?auto_4511 ) ( CITY ?auto_4510 ) ( IN-CITY ?auto_4511 ?auto_4510 ) ( IN-CITY ?auto_4502 ?auto_4510 ) ( DIFFERENT ?auto_4502 ?auto_4511 ) ( LOCATION ?auto_4512 ) ( CITY ?auto_4504 ) ( AT ?auto_4505 ?auto_4512 ) ( IN-CITY ?auto_4512 ?auto_4504 ) ( IN-CITY ?auto_4511 ?auto_4504 ) ( DIFFERENT ?auto_4511 ?auto_4512 ) ( LOCATION ?auto_4506 ) ( AT ?auto_4505 ?auto_4506 ) ( AIRPLANE ?auto_4503 ) ( AIRPORT ?auto_4517 ) ( AIRPORT ?auto_4506 ) ( DIFFERENT ?auto_4506 ?auto_4517 ) ( LOCATION ?auto_4517 ) ( TRUCK ?auto_4509 ) ( LOCATION ?auto_4514 ) ( CITY ?auto_4513 ) ( IN-CITY ?auto_4514 ?auto_4513 ) ( IN-CITY ?auto_4517 ?auto_4513 ) ( DIFFERENT ?auto_4517 ?auto_4514 ) ( LOCATION ?auto_4507 ) ( CITY ?auto_4515 ) ( IN-CITY ?auto_4507 ?auto_4515 ) ( IN-CITY ?auto_4514 ?auto_4515 ) ( DIFFERENT ?auto_4514 ?auto_4507 ) ( AT ?auto_4501 ?auto_4507 ) ( AIRPORT ?auto_4508 ) ( AT ?auto_4503 ?auto_4508 ) ( DIFFERENT ?auto_4517 ?auto_4508 ) ( LOCATION ?auto_4522 ) ( CITY ?auto_4521 ) ( AT ?auto_4509 ?auto_4522 ) ( IN-CITY ?auto_4522 ?auto_4521 ) ( IN-CITY ?auto_4507 ?auto_4521 ) ( DIFFERENT ?auto_4507 ?auto_4522 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4509 ?auto_4522 ?auto_4507 ?auto_4521 )
      ( DELIVER-PKG ?auto_4501 ?auto_4502 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4524
      ?auto_4525
    )
    :vars
    (
      ?auto_4540
      ?auto_4528
      ?auto_4531
      ?auto_4543
      ?auto_4542
      ?auto_4534
      ?auto_4527
      ?auto_4536
      ?auto_4535
      ?auto_4539
      ?auto_4529
      ?auto_4541
      ?auto_4526
      ?auto_4538
      ?auto_4532
      ?auto_4546
      ?auto_4545
    )
    :precondition
    ( and ( OBJ ?auto_4524 ) ( LOCATION ?auto_4525 ) ( TRUCK ?auto_4540 ) ( LOCATION ?auto_4528 ) ( CITY ?auto_4531 ) ( IN-CITY ?auto_4528 ?auto_4531 ) ( IN-CITY ?auto_4525 ?auto_4531 ) ( DIFFERENT ?auto_4525 ?auto_4528 ) ( LOCATION ?auto_4543 ) ( CITY ?auto_4542 ) ( IN-CITY ?auto_4543 ?auto_4542 ) ( IN-CITY ?auto_4528 ?auto_4542 ) ( DIFFERENT ?auto_4528 ?auto_4543 ) ( AIRPLANE ?auto_4534 ) ( AIRPORT ?auto_4527 ) ( AIRPORT ?auto_4543 ) ( DIFFERENT ?auto_4543 ?auto_4527 ) ( LOCATION ?auto_4527 ) ( TRUCK ?auto_4536 ) ( LOCATION ?auto_4535 ) ( CITY ?auto_4539 ) ( IN-CITY ?auto_4535 ?auto_4539 ) ( IN-CITY ?auto_4527 ?auto_4539 ) ( DIFFERENT ?auto_4527 ?auto_4535 ) ( LOCATION ?auto_4529 ) ( CITY ?auto_4541 ) ( IN-CITY ?auto_4529 ?auto_4541 ) ( IN-CITY ?auto_4535 ?auto_4541 ) ( DIFFERENT ?auto_4535 ?auto_4529 ) ( AT ?auto_4524 ?auto_4529 ) ( AIRPORT ?auto_4526 ) ( AT ?auto_4534 ?auto_4526 ) ( DIFFERENT ?auto_4527 ?auto_4526 ) ( LOCATION ?auto_4538 ) ( CITY ?auto_4532 ) ( AT ?auto_4536 ?auto_4538 ) ( IN-CITY ?auto_4538 ?auto_4532 ) ( IN-CITY ?auto_4529 ?auto_4532 ) ( DIFFERENT ?auto_4529 ?auto_4538 ) ( LOCATION ?auto_4546 ) ( CITY ?auto_4545 ) ( AT ?auto_4540 ?auto_4546 ) ( IN-CITY ?auto_4546 ?auto_4545 ) ( IN-CITY ?auto_4543 ?auto_4545 ) ( DIFFERENT ?auto_4543 ?auto_4546 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4540 ?auto_4546 ?auto_4543 ?auto_4545 )
      ( DELIVER-PKG ?auto_4524 ?auto_4525 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4885
      ?auto_4886
    )
    :vars
    (
      ?auto_4891
      ?auto_4890
      ?auto_4889
      ?auto_4893
      ?auto_4892
      ?auto_4894
      ?auto_4897
    )
    :precondition
    ( and ( OBJ ?auto_4885 ) ( LOCATION ?auto_4886 ) ( TRUCK ?auto_4891 ) ( LOCATION ?auto_4890 ) ( CITY ?auto_4889 ) ( AT ?auto_4891 ?auto_4890 ) ( IN-CITY ?auto_4890 ?auto_4889 ) ( IN-CITY ?auto_4886 ?auto_4889 ) ( DIFFERENT ?auto_4886 ?auto_4890 ) ( LOCATION ?auto_4893 ) ( AT ?auto_4891 ?auto_4893 ) ( AIRPLANE ?auto_4892 ) ( AIRPORT ?auto_4894 ) ( AIRPORT ?auto_4893 ) ( DIFFERENT ?auto_4893 ?auto_4894 ) ( LOCATION ?auto_4894 ) ( AT ?auto_4885 ?auto_4894 ) ( AIRPORT ?auto_4897 ) ( AT ?auto_4892 ?auto_4897 ) ( DIFFERENT ?auto_4894 ?auto_4897 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4892 ?auto_4897 ?auto_4894 )
      ( DELIVER-PKG ?auto_4885 ?auto_4886 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4921
      ?auto_4922
    )
    :vars
    (
      ?auto_4926
      ?auto_4924
      ?auto_4923
      ?auto_4928
      ?auto_4927
      ?auto_4929
      ?auto_4931
      ?auto_4933
    )
    :precondition
    ( and ( OBJ ?auto_4921 ) ( LOCATION ?auto_4922 ) ( TRUCK ?auto_4926 ) ( LOCATION ?auto_4924 ) ( CITY ?auto_4923 ) ( AT ?auto_4926 ?auto_4924 ) ( IN-CITY ?auto_4924 ?auto_4923 ) ( IN-CITY ?auto_4922 ?auto_4923 ) ( DIFFERENT ?auto_4922 ?auto_4924 ) ( LOCATION ?auto_4928 ) ( AT ?auto_4926 ?auto_4928 ) ( AIRPLANE ?auto_4927 ) ( AIRPORT ?auto_4929 ) ( AIRPORT ?auto_4928 ) ( DIFFERENT ?auto_4928 ?auto_4929 ) ( LOCATION ?auto_4929 ) ( AT ?auto_4921 ?auto_4929 ) ( AIRPORT ?auto_4931 ) ( DIFFERENT ?auto_4929 ?auto_4931 ) ( AIRPORT ?auto_4933 ) ( AT ?auto_4927 ?auto_4933 ) ( DIFFERENT ?auto_4931 ?auto_4933 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4927 ?auto_4933 ?auto_4931 )
      ( DELIVER-PKG ?auto_4921 ?auto_4922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4959
      ?auto_4960
    )
    :vars
    (
      ?auto_4965
      ?auto_4964
      ?auto_4963
      ?auto_4967
      ?auto_4966
      ?auto_4968
      ?auto_4969
      ?auto_4970
      ?auto_4971
    )
    :precondition
    ( and ( OBJ ?auto_4959 ) ( LOCATION ?auto_4960 ) ( TRUCK ?auto_4965 ) ( LOCATION ?auto_4964 ) ( CITY ?auto_4963 ) ( AT ?auto_4965 ?auto_4964 ) ( IN-CITY ?auto_4964 ?auto_4963 ) ( IN-CITY ?auto_4960 ?auto_4963 ) ( DIFFERENT ?auto_4960 ?auto_4964 ) ( LOCATION ?auto_4967 ) ( AT ?auto_4965 ?auto_4967 ) ( AIRPLANE ?auto_4966 ) ( AIRPORT ?auto_4968 ) ( AIRPORT ?auto_4967 ) ( DIFFERENT ?auto_4967 ?auto_4968 ) ( LOCATION ?auto_4968 ) ( AIRPORT ?auto_4969 ) ( DIFFERENT ?auto_4968 ?auto_4969 ) ( AIRPORT ?auto_4970 ) ( AT ?auto_4966 ?auto_4970 ) ( DIFFERENT ?auto_4969 ?auto_4970 ) ( TRUCK ?auto_4971 ) ( AT ?auto_4971 ?auto_4968 ) ( IN ?auto_4959 ?auto_4971 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4959 ?auto_4968 )
      ( DELIVER-PKG ?auto_4959 ?auto_4960 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4974
      ?auto_4975
    )
    :vars
    (
      ?auto_4978
      ?auto_4981
      ?auto_4976
      ?auto_4977
      ?auto_4979
      ?auto_4984
      ?auto_4983
      ?auto_4980
      ?auto_4989
      ?auto_4988
    )
    :precondition
    ( and ( OBJ ?auto_4974 ) ( LOCATION ?auto_4975 ) ( TRUCK ?auto_4978 ) ( LOCATION ?auto_4981 ) ( CITY ?auto_4976 ) ( IN-CITY ?auto_4981 ?auto_4976 ) ( IN-CITY ?auto_4975 ?auto_4976 ) ( DIFFERENT ?auto_4975 ?auto_4981 ) ( AIRPLANE ?auto_4977 ) ( AIRPORT ?auto_4979 ) ( AIRPORT ?auto_4981 ) ( DIFFERENT ?auto_4981 ?auto_4979 ) ( LOCATION ?auto_4979 ) ( AIRPORT ?auto_4984 ) ( DIFFERENT ?auto_4979 ?auto_4984 ) ( AIRPORT ?auto_4983 ) ( AT ?auto_4977 ?auto_4983 ) ( DIFFERENT ?auto_4984 ?auto_4983 ) ( TRUCK ?auto_4980 ) ( AT ?auto_4980 ?auto_4979 ) ( IN ?auto_4974 ?auto_4980 ) ( LOCATION ?auto_4989 ) ( CITY ?auto_4988 ) ( AT ?auto_4978 ?auto_4989 ) ( IN-CITY ?auto_4989 ?auto_4988 ) ( IN-CITY ?auto_4981 ?auto_4988 ) ( DIFFERENT ?auto_4981 ?auto_4989 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4978 ?auto_4989 ?auto_4981 ?auto_4988 )
      ( DELIVER-PKG ?auto_4974 ?auto_4975 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4991
      ?auto_4992
    )
    :vars
    (
      ?auto_5003
      ?auto_5004
      ?auto_4998
      ?auto_5001
      ?auto_5002
      ?auto_4999
      ?auto_5000
      ?auto_4996
      ?auto_4994
      ?auto_4993
      ?auto_5007
      ?auto_5006
    )
    :precondition
    ( and ( OBJ ?auto_4991 ) ( LOCATION ?auto_4992 ) ( TRUCK ?auto_5003 ) ( LOCATION ?auto_5004 ) ( CITY ?auto_4998 ) ( IN-CITY ?auto_5004 ?auto_4998 ) ( IN-CITY ?auto_4992 ?auto_4998 ) ( DIFFERENT ?auto_4992 ?auto_5004 ) ( AIRPLANE ?auto_5001 ) ( AIRPORT ?auto_5002 ) ( AIRPORT ?auto_5004 ) ( DIFFERENT ?auto_5004 ?auto_5002 ) ( LOCATION ?auto_5002 ) ( AIRPORT ?auto_4999 ) ( DIFFERENT ?auto_5002 ?auto_4999 ) ( AIRPORT ?auto_5000 ) ( AT ?auto_5001 ?auto_5000 ) ( DIFFERENT ?auto_4999 ?auto_5000 ) ( TRUCK ?auto_4996 ) ( IN ?auto_4991 ?auto_4996 ) ( LOCATION ?auto_4994 ) ( CITY ?auto_4993 ) ( AT ?auto_5003 ?auto_4994 ) ( IN-CITY ?auto_4994 ?auto_4993 ) ( IN-CITY ?auto_5004 ?auto_4993 ) ( DIFFERENT ?auto_5004 ?auto_4994 ) ( LOCATION ?auto_5007 ) ( CITY ?auto_5006 ) ( AT ?auto_4996 ?auto_5007 ) ( IN-CITY ?auto_5007 ?auto_5006 ) ( IN-CITY ?auto_5002 ?auto_5006 ) ( DIFFERENT ?auto_5002 ?auto_5007 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4996 ?auto_5007 ?auto_5002 ?auto_5006 )
      ( DELIVER-PKG ?auto_4991 ?auto_4992 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5009
      ?auto_5010
    )
    :vars
    (
      ?auto_5011
      ?auto_5021
      ?auto_5022
      ?auto_5024
      ?auto_5012
      ?auto_5013
      ?auto_5016
      ?auto_5023
      ?auto_5020
      ?auto_5014
      ?auto_5019
      ?auto_5018
      ?auto_5027
      ?auto_5026
    )
    :precondition
    ( and ( OBJ ?auto_5009 ) ( LOCATION ?auto_5010 ) ( TRUCK ?auto_5011 ) ( LOCATION ?auto_5021 ) ( CITY ?auto_5022 ) ( IN-CITY ?auto_5021 ?auto_5022 ) ( IN-CITY ?auto_5010 ?auto_5022 ) ( DIFFERENT ?auto_5010 ?auto_5021 ) ( AIRPLANE ?auto_5024 ) ( AIRPORT ?auto_5012 ) ( AIRPORT ?auto_5021 ) ( DIFFERENT ?auto_5021 ?auto_5012 ) ( LOCATION ?auto_5012 ) ( AIRPORT ?auto_5013 ) ( DIFFERENT ?auto_5012 ?auto_5013 ) ( AIRPORT ?auto_5016 ) ( AT ?auto_5024 ?auto_5016 ) ( DIFFERENT ?auto_5013 ?auto_5016 ) ( TRUCK ?auto_5023 ) ( IN ?auto_5009 ?auto_5023 ) ( LOCATION ?auto_5020 ) ( CITY ?auto_5014 ) ( IN-CITY ?auto_5020 ?auto_5014 ) ( IN-CITY ?auto_5021 ?auto_5014 ) ( DIFFERENT ?auto_5021 ?auto_5020 ) ( LOCATION ?auto_5019 ) ( CITY ?auto_5018 ) ( AT ?auto_5023 ?auto_5019 ) ( IN-CITY ?auto_5019 ?auto_5018 ) ( IN-CITY ?auto_5012 ?auto_5018 ) ( DIFFERENT ?auto_5012 ?auto_5019 ) ( LOCATION ?auto_5027 ) ( CITY ?auto_5026 ) ( AT ?auto_5011 ?auto_5027 ) ( IN-CITY ?auto_5027 ?auto_5026 ) ( IN-CITY ?auto_5020 ?auto_5026 ) ( DIFFERENT ?auto_5020 ?auto_5027 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5011 ?auto_5027 ?auto_5020 ?auto_5026 )
      ( DELIVER-PKG ?auto_5009 ?auto_5010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5029
      ?auto_5030
    )
    :vars
    (
      ?auto_5035
      ?auto_5041
      ?auto_5042
      ?auto_5044
      ?auto_5034
      ?auto_5032
      ?auto_5037
      ?auto_5043
      ?auto_5040
      ?auto_5036
      ?auto_5039
      ?auto_5038
      ?auto_5046
      ?auto_5045
      ?auto_5048
    )
    :precondition
    ( and ( OBJ ?auto_5029 ) ( LOCATION ?auto_5030 ) ( TRUCK ?auto_5035 ) ( LOCATION ?auto_5041 ) ( CITY ?auto_5042 ) ( IN-CITY ?auto_5041 ?auto_5042 ) ( IN-CITY ?auto_5030 ?auto_5042 ) ( DIFFERENT ?auto_5030 ?auto_5041 ) ( AIRPLANE ?auto_5044 ) ( AIRPORT ?auto_5034 ) ( AIRPORT ?auto_5041 ) ( DIFFERENT ?auto_5041 ?auto_5034 ) ( LOCATION ?auto_5034 ) ( AIRPORT ?auto_5032 ) ( DIFFERENT ?auto_5034 ?auto_5032 ) ( AIRPORT ?auto_5037 ) ( AT ?auto_5044 ?auto_5037 ) ( DIFFERENT ?auto_5032 ?auto_5037 ) ( TRUCK ?auto_5043 ) ( LOCATION ?auto_5040 ) ( CITY ?auto_5036 ) ( IN-CITY ?auto_5040 ?auto_5036 ) ( IN-CITY ?auto_5041 ?auto_5036 ) ( DIFFERENT ?auto_5041 ?auto_5040 ) ( LOCATION ?auto_5039 ) ( CITY ?auto_5038 ) ( AT ?auto_5043 ?auto_5039 ) ( IN-CITY ?auto_5039 ?auto_5038 ) ( IN-CITY ?auto_5034 ?auto_5038 ) ( DIFFERENT ?auto_5034 ?auto_5039 ) ( LOCATION ?auto_5046 ) ( CITY ?auto_5045 ) ( AT ?auto_5035 ?auto_5046 ) ( IN-CITY ?auto_5046 ?auto_5045 ) ( IN-CITY ?auto_5040 ?auto_5045 ) ( DIFFERENT ?auto_5040 ?auto_5046 ) ( LOCATION ?auto_5048 ) ( AT ?auto_5043 ?auto_5048 ) ( AT ?auto_5029 ?auto_5048 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5029 ?auto_5043 ?auto_5048 )
      ( DELIVER-PKG ?auto_5029 ?auto_5030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5069
      ?auto_5070
    )
    :vars
    (
      ?auto_5075
      ?auto_5081
      ?auto_5082
      ?auto_5084
      ?auto_5072
      ?auto_5074
      ?auto_5077
      ?auto_5083
      ?auto_5080
      ?auto_5076
      ?auto_5087
      ?auto_5078
      ?auto_5086
      ?auto_5085
      ?auto_5090
      ?auto_5089
    )
    :precondition
    ( and ( OBJ ?auto_5069 ) ( LOCATION ?auto_5070 ) ( TRUCK ?auto_5075 ) ( LOCATION ?auto_5081 ) ( CITY ?auto_5082 ) ( IN-CITY ?auto_5081 ?auto_5082 ) ( IN-CITY ?auto_5070 ?auto_5082 ) ( DIFFERENT ?auto_5070 ?auto_5081 ) ( AIRPLANE ?auto_5084 ) ( AIRPORT ?auto_5072 ) ( AIRPORT ?auto_5081 ) ( DIFFERENT ?auto_5081 ?auto_5072 ) ( LOCATION ?auto_5072 ) ( AIRPORT ?auto_5074 ) ( DIFFERENT ?auto_5072 ?auto_5074 ) ( AIRPORT ?auto_5077 ) ( AT ?auto_5084 ?auto_5077 ) ( DIFFERENT ?auto_5074 ?auto_5077 ) ( TRUCK ?auto_5083 ) ( LOCATION ?auto_5080 ) ( CITY ?auto_5076 ) ( IN-CITY ?auto_5080 ?auto_5076 ) ( IN-CITY ?auto_5081 ?auto_5076 ) ( DIFFERENT ?auto_5081 ?auto_5080 ) ( LOCATION ?auto_5087 ) ( CITY ?auto_5078 ) ( IN-CITY ?auto_5087 ?auto_5078 ) ( IN-CITY ?auto_5072 ?auto_5078 ) ( DIFFERENT ?auto_5072 ?auto_5087 ) ( LOCATION ?auto_5086 ) ( CITY ?auto_5085 ) ( AT ?auto_5075 ?auto_5086 ) ( IN-CITY ?auto_5086 ?auto_5085 ) ( IN-CITY ?auto_5080 ?auto_5085 ) ( DIFFERENT ?auto_5080 ?auto_5086 ) ( AT ?auto_5069 ?auto_5087 ) ( LOCATION ?auto_5090 ) ( CITY ?auto_5089 ) ( AT ?auto_5083 ?auto_5090 ) ( IN-CITY ?auto_5090 ?auto_5089 ) ( IN-CITY ?auto_5087 ?auto_5089 ) ( DIFFERENT ?auto_5087 ?auto_5090 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5083 ?auto_5090 ?auto_5087 ?auto_5089 )
      ( DELIVER-PKG ?auto_5069 ?auto_5070 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5092
      ?auto_5093
    )
    :vars
    (
      ?auto_5099
      ?auto_5104
      ?auto_5105
      ?auto_5107
      ?auto_5096
      ?auto_5097
      ?auto_5101
      ?auto_5106
      ?auto_5103
      ?auto_5100
      ?auto_5110
      ?auto_5102
      ?auto_5109
      ?auto_5108
      ?auto_5111
      ?auto_5098
      ?auto_5113
    )
    :precondition
    ( and ( OBJ ?auto_5092 ) ( LOCATION ?auto_5093 ) ( TRUCK ?auto_5099 ) ( LOCATION ?auto_5104 ) ( CITY ?auto_5105 ) ( IN-CITY ?auto_5104 ?auto_5105 ) ( IN-CITY ?auto_5093 ?auto_5105 ) ( DIFFERENT ?auto_5093 ?auto_5104 ) ( AIRPLANE ?auto_5107 ) ( AIRPORT ?auto_5096 ) ( AIRPORT ?auto_5104 ) ( DIFFERENT ?auto_5104 ?auto_5096 ) ( LOCATION ?auto_5096 ) ( AIRPORT ?auto_5097 ) ( DIFFERENT ?auto_5096 ?auto_5097 ) ( AIRPORT ?auto_5101 ) ( DIFFERENT ?auto_5097 ?auto_5101 ) ( TRUCK ?auto_5106 ) ( LOCATION ?auto_5103 ) ( CITY ?auto_5100 ) ( IN-CITY ?auto_5103 ?auto_5100 ) ( IN-CITY ?auto_5104 ?auto_5100 ) ( DIFFERENT ?auto_5104 ?auto_5103 ) ( LOCATION ?auto_5110 ) ( CITY ?auto_5102 ) ( IN-CITY ?auto_5110 ?auto_5102 ) ( IN-CITY ?auto_5096 ?auto_5102 ) ( DIFFERENT ?auto_5096 ?auto_5110 ) ( LOCATION ?auto_5109 ) ( CITY ?auto_5108 ) ( AT ?auto_5099 ?auto_5109 ) ( IN-CITY ?auto_5109 ?auto_5108 ) ( IN-CITY ?auto_5103 ?auto_5108 ) ( DIFFERENT ?auto_5103 ?auto_5109 ) ( AT ?auto_5092 ?auto_5110 ) ( LOCATION ?auto_5111 ) ( CITY ?auto_5098 ) ( AT ?auto_5106 ?auto_5111 ) ( IN-CITY ?auto_5111 ?auto_5098 ) ( IN-CITY ?auto_5110 ?auto_5098 ) ( DIFFERENT ?auto_5110 ?auto_5111 ) ( AIRPORT ?auto_5113 ) ( AT ?auto_5107 ?auto_5113 ) ( DIFFERENT ?auto_5101 ?auto_5113 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5107 ?auto_5113 ?auto_5101 )
      ( DELIVER-PKG ?auto_5092 ?auto_5093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5115
      ?auto_5116
    )
    :vars
    (
      ?auto_5122
      ?auto_5127
      ?auto_5128
      ?auto_5130
      ?auto_5119
      ?auto_5120
      ?auto_5124
      ?auto_5129
      ?auto_5126
      ?auto_5123
      ?auto_5134
      ?auto_5125
      ?auto_5132
      ?auto_5131
      ?auto_5135
      ?auto_5121
      ?auto_5133
      ?auto_5138
      ?auto_5137
    )
    :precondition
    ( and ( OBJ ?auto_5115 ) ( LOCATION ?auto_5116 ) ( TRUCK ?auto_5122 ) ( LOCATION ?auto_5127 ) ( CITY ?auto_5128 ) ( IN-CITY ?auto_5127 ?auto_5128 ) ( IN-CITY ?auto_5116 ?auto_5128 ) ( DIFFERENT ?auto_5116 ?auto_5127 ) ( AIRPLANE ?auto_5130 ) ( AIRPORT ?auto_5119 ) ( AIRPORT ?auto_5127 ) ( DIFFERENT ?auto_5127 ?auto_5119 ) ( LOCATION ?auto_5119 ) ( AIRPORT ?auto_5120 ) ( DIFFERENT ?auto_5119 ?auto_5120 ) ( AIRPORT ?auto_5124 ) ( DIFFERENT ?auto_5120 ?auto_5124 ) ( TRUCK ?auto_5129 ) ( LOCATION ?auto_5126 ) ( CITY ?auto_5123 ) ( IN-CITY ?auto_5126 ?auto_5123 ) ( IN-CITY ?auto_5127 ?auto_5123 ) ( DIFFERENT ?auto_5127 ?auto_5126 ) ( LOCATION ?auto_5134 ) ( CITY ?auto_5125 ) ( IN-CITY ?auto_5134 ?auto_5125 ) ( IN-CITY ?auto_5119 ?auto_5125 ) ( DIFFERENT ?auto_5119 ?auto_5134 ) ( LOCATION ?auto_5132 ) ( CITY ?auto_5131 ) ( IN-CITY ?auto_5132 ?auto_5131 ) ( IN-CITY ?auto_5126 ?auto_5131 ) ( DIFFERENT ?auto_5126 ?auto_5132 ) ( AT ?auto_5115 ?auto_5134 ) ( LOCATION ?auto_5135 ) ( CITY ?auto_5121 ) ( AT ?auto_5129 ?auto_5135 ) ( IN-CITY ?auto_5135 ?auto_5121 ) ( IN-CITY ?auto_5134 ?auto_5121 ) ( DIFFERENT ?auto_5134 ?auto_5135 ) ( AIRPORT ?auto_5133 ) ( AT ?auto_5130 ?auto_5133 ) ( DIFFERENT ?auto_5124 ?auto_5133 ) ( LOCATION ?auto_5138 ) ( CITY ?auto_5137 ) ( AT ?auto_5122 ?auto_5138 ) ( IN-CITY ?auto_5138 ?auto_5137 ) ( IN-CITY ?auto_5132 ?auto_5137 ) ( DIFFERENT ?auto_5132 ?auto_5138 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5122 ?auto_5138 ?auto_5132 ?auto_5137 )
      ( DELIVER-PKG ?auto_5115 ?auto_5116 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5840
      ?auto_5841
    )
    :vars
    (
      ?auto_5844
      ?auto_5846
      ?auto_5842
      ?auto_5849
    )
    :precondition
    ( and ( OBJ ?auto_5840 ) ( LOCATION ?auto_5841 ) ( AIRPLANE ?auto_5844 ) ( AIRPORT ?auto_5846 ) ( AIRPORT ?auto_5841 ) ( DIFFERENT ?auto_5841 ?auto_5846 ) ( LOCATION ?auto_5846 ) ( AIRPORT ?auto_5842 ) ( AT ?auto_5844 ?auto_5842 ) ( DIFFERENT ?auto_5846 ?auto_5842 ) ( TRUCK ?auto_5849 ) ( AT ?auto_5849 ?auto_5846 ) ( IN ?auto_5840 ?auto_5849 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5840 ?auto_5846 )
      ( DELIVER-PKG ?auto_5840 ?auto_5841 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5858
      ?auto_5859
    )
    :vars
    (
      ?auto_5862
      ?auto_5860
      ?auto_5865
      ?auto_5861
      ?auto_5868
      ?auto_5867
    )
    :precondition
    ( and ( OBJ ?auto_5858 ) ( LOCATION ?auto_5859 ) ( AIRPLANE ?auto_5862 ) ( AIRPORT ?auto_5860 ) ( AIRPORT ?auto_5859 ) ( DIFFERENT ?auto_5859 ?auto_5860 ) ( LOCATION ?auto_5860 ) ( AIRPORT ?auto_5865 ) ( AT ?auto_5862 ?auto_5865 ) ( DIFFERENT ?auto_5860 ?auto_5865 ) ( TRUCK ?auto_5861 ) ( IN ?auto_5858 ?auto_5861 ) ( LOCATION ?auto_5868 ) ( CITY ?auto_5867 ) ( AT ?auto_5861 ?auto_5868 ) ( IN-CITY ?auto_5868 ?auto_5867 ) ( IN-CITY ?auto_5860 ?auto_5867 ) ( DIFFERENT ?auto_5860 ?auto_5868 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5861 ?auto_5868 ?auto_5860 ?auto_5867 )
      ( DELIVER-PKG ?auto_5858 ?auto_5859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5880
      ?auto_5881
    )
    :vars
    (
      ?auto_5886
      ?auto_5887
      ?auto_5883
      ?auto_5885
      ?auto_5889
      ?auto_5884
      ?auto_5892
      ?auto_5891
    )
    :precondition
    ( and ( OBJ ?auto_5880 ) ( LOCATION ?auto_5881 ) ( AIRPLANE ?auto_5886 ) ( AIRPORT ?auto_5887 ) ( AIRPORT ?auto_5881 ) ( DIFFERENT ?auto_5881 ?auto_5887 ) ( LOCATION ?auto_5887 ) ( AIRPORT ?auto_5883 ) ( AT ?auto_5886 ?auto_5883 ) ( DIFFERENT ?auto_5887 ?auto_5883 ) ( TRUCK ?auto_5885 ) ( IN ?auto_5880 ?auto_5885 ) ( LOCATION ?auto_5889 ) ( CITY ?auto_5884 ) ( IN-CITY ?auto_5889 ?auto_5884 ) ( IN-CITY ?auto_5887 ?auto_5884 ) ( DIFFERENT ?auto_5887 ?auto_5889 ) ( LOCATION ?auto_5892 ) ( CITY ?auto_5891 ) ( AT ?auto_5885 ?auto_5892 ) ( IN-CITY ?auto_5892 ?auto_5891 ) ( IN-CITY ?auto_5889 ?auto_5891 ) ( DIFFERENT ?auto_5889 ?auto_5892 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5885 ?auto_5892 ?auto_5889 ?auto_5891 )
      ( DELIVER-PKG ?auto_5880 ?auto_5881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5906
      ?auto_5907
    )
    :vars
    (
      ?auto_5913
      ?auto_5914
      ?auto_5910
      ?auto_5912
      ?auto_5915
      ?auto_5911
      ?auto_5917
      ?auto_5916
      ?auto_5919
    )
    :precondition
    ( and ( OBJ ?auto_5906 ) ( LOCATION ?auto_5907 ) ( AIRPLANE ?auto_5913 ) ( AIRPORT ?auto_5914 ) ( AIRPORT ?auto_5907 ) ( DIFFERENT ?auto_5907 ?auto_5914 ) ( LOCATION ?auto_5914 ) ( AIRPORT ?auto_5910 ) ( AT ?auto_5913 ?auto_5910 ) ( DIFFERENT ?auto_5914 ?auto_5910 ) ( TRUCK ?auto_5912 ) ( LOCATION ?auto_5915 ) ( CITY ?auto_5911 ) ( IN-CITY ?auto_5915 ?auto_5911 ) ( IN-CITY ?auto_5914 ?auto_5911 ) ( DIFFERENT ?auto_5914 ?auto_5915 ) ( LOCATION ?auto_5917 ) ( CITY ?auto_5916 ) ( AT ?auto_5912 ?auto_5917 ) ( IN-CITY ?auto_5917 ?auto_5916 ) ( IN-CITY ?auto_5915 ?auto_5916 ) ( DIFFERENT ?auto_5915 ?auto_5917 ) ( LOCATION ?auto_5919 ) ( AT ?auto_5912 ?auto_5919 ) ( AT ?auto_5906 ?auto_5919 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5906 ?auto_5912 ?auto_5919 )
      ( DELIVER-PKG ?auto_5906 ?auto_5907 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5964
      ?auto_5965
    )
    :vars
    (
      ?auto_5971
      ?auto_5972
      ?auto_5968
      ?auto_5970
      ?auto_5973
      ?auto_5969
      ?auto_5975
      ?auto_5974
      ?auto_5977
      ?auto_5976
      ?auto_5979
    )
    :precondition
    ( and ( OBJ ?auto_5964 ) ( LOCATION ?auto_5965 ) ( AIRPLANE ?auto_5971 ) ( AIRPORT ?auto_5972 ) ( AIRPORT ?auto_5965 ) ( DIFFERENT ?auto_5965 ?auto_5972 ) ( LOCATION ?auto_5972 ) ( AIRPORT ?auto_5968 ) ( DIFFERENT ?auto_5972 ?auto_5968 ) ( TRUCK ?auto_5970 ) ( LOCATION ?auto_5973 ) ( CITY ?auto_5969 ) ( IN-CITY ?auto_5973 ?auto_5969 ) ( IN-CITY ?auto_5972 ?auto_5969 ) ( DIFFERENT ?auto_5972 ?auto_5973 ) ( LOCATION ?auto_5975 ) ( CITY ?auto_5974 ) ( IN-CITY ?auto_5975 ?auto_5974 ) ( IN-CITY ?auto_5973 ?auto_5974 ) ( DIFFERENT ?auto_5973 ?auto_5975 ) ( AT ?auto_5964 ?auto_5975 ) ( LOCATION ?auto_5977 ) ( CITY ?auto_5976 ) ( AT ?auto_5970 ?auto_5977 ) ( IN-CITY ?auto_5977 ?auto_5976 ) ( IN-CITY ?auto_5975 ?auto_5976 ) ( DIFFERENT ?auto_5975 ?auto_5977 ) ( AIRPORT ?auto_5979 ) ( AT ?auto_5971 ?auto_5979 ) ( DIFFERENT ?auto_5968 ?auto_5979 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5971 ?auto_5979 ?auto_5968 )
      ( DELIVER-PKG ?auto_5964 ?auto_5965 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6205
      ?auto_6206
    )
    :vars
    (
      ?auto_6209
      ?auto_6208
      ?auto_6212
    )
    :precondition
    ( and ( OBJ ?auto_6205 ) ( LOCATION ?auto_6206 ) ( AIRPLANE ?auto_6209 ) ( IN ?auto_6205 ?auto_6209 ) ( AIRPORT ?auto_6208 ) ( AIRPORT ?auto_6206 ) ( DIFFERENT ?auto_6206 ?auto_6208 ) ( AIRPORT ?auto_6212 ) ( AT ?auto_6209 ?auto_6212 ) ( DIFFERENT ?auto_6208 ?auto_6212 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6209 ?auto_6212 ?auto_6208 )
      ( DELIVER-PKG ?auto_6205 ?auto_6206 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6221
      ?auto_6222
    )
    :vars
    (
      ?auto_6226
      ?auto_6225
      ?auto_6227
      ?auto_6229
    )
    :precondition
    ( and ( OBJ ?auto_6221 ) ( LOCATION ?auto_6222 ) ( AIRPLANE ?auto_6226 ) ( IN ?auto_6221 ?auto_6226 ) ( AIRPORT ?auto_6225 ) ( AIRPORT ?auto_6222 ) ( DIFFERENT ?auto_6222 ?auto_6225 ) ( AIRPORT ?auto_6227 ) ( DIFFERENT ?auto_6225 ?auto_6227 ) ( AIRPORT ?auto_6229 ) ( AT ?auto_6226 ?auto_6229 ) ( DIFFERENT ?auto_6227 ?auto_6229 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6226 ?auto_6229 ?auto_6227 )
      ( DELIVER-PKG ?auto_6221 ?auto_6222 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6239
      ?auto_6240
    )
    :vars
    (
      ?auto_6244
      ?auto_6242
      ?auto_6246
      ?auto_6245
      ?auto_6248
    )
    :precondition
    ( and ( OBJ ?auto_6239 ) ( LOCATION ?auto_6240 ) ( AIRPLANE ?auto_6244 ) ( AIRPORT ?auto_6242 ) ( AIRPORT ?auto_6240 ) ( DIFFERENT ?auto_6240 ?auto_6242 ) ( AIRPORT ?auto_6246 ) ( DIFFERENT ?auto_6242 ?auto_6246 ) ( AIRPORT ?auto_6245 ) ( AT ?auto_6244 ?auto_6245 ) ( DIFFERENT ?auto_6246 ?auto_6245 ) ( LOCATION ?auto_6248 ) ( AT ?auto_6239 ?auto_6248 ) ( AT ?auto_6244 ?auto_6248 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6239 ?auto_6244 ?auto_6248 )
      ( DELIVER-PKG ?auto_6239 ?auto_6240 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6259
      ?auto_6260
    )
    :vars
    (
      ?auto_6264
      ?auto_6265
      ?auto_6262
      ?auto_6261
      ?auto_6267
      ?auto_6270
    )
    :precondition
    ( and ( OBJ ?auto_6259 ) ( LOCATION ?auto_6260 ) ( AIRPLANE ?auto_6264 ) ( AIRPORT ?auto_6265 ) ( AIRPORT ?auto_6260 ) ( DIFFERENT ?auto_6260 ?auto_6265 ) ( AIRPORT ?auto_6262 ) ( DIFFERENT ?auto_6265 ?auto_6262 ) ( AIRPORT ?auto_6261 ) ( AT ?auto_6264 ?auto_6261 ) ( DIFFERENT ?auto_6262 ?auto_6261 ) ( LOCATION ?auto_6267 ) ( AT ?auto_6264 ?auto_6267 ) ( TRUCK ?auto_6270 ) ( AT ?auto_6270 ?auto_6267 ) ( IN ?auto_6259 ?auto_6270 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6259 ?auto_6267 )
      ( DELIVER-PKG ?auto_6259 ?auto_6260 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6281
      ?auto_6282
    )
    :vars
    (
      ?auto_6287
      ?auto_6285
      ?auto_6289
      ?auto_6288
      ?auto_6284
      ?auto_6290
      ?auto_6293
      ?auto_6292
    )
    :precondition
    ( and ( OBJ ?auto_6281 ) ( LOCATION ?auto_6282 ) ( AIRPLANE ?auto_6287 ) ( AIRPORT ?auto_6285 ) ( AIRPORT ?auto_6282 ) ( DIFFERENT ?auto_6282 ?auto_6285 ) ( AIRPORT ?auto_6289 ) ( DIFFERENT ?auto_6285 ?auto_6289 ) ( AIRPORT ?auto_6288 ) ( AT ?auto_6287 ?auto_6288 ) ( DIFFERENT ?auto_6289 ?auto_6288 ) ( LOCATION ?auto_6284 ) ( AT ?auto_6287 ?auto_6284 ) ( TRUCK ?auto_6290 ) ( IN ?auto_6281 ?auto_6290 ) ( LOCATION ?auto_6293 ) ( CITY ?auto_6292 ) ( AT ?auto_6290 ?auto_6293 ) ( IN-CITY ?auto_6293 ?auto_6292 ) ( IN-CITY ?auto_6284 ?auto_6292 ) ( DIFFERENT ?auto_6284 ?auto_6293 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6290 ?auto_6293 ?auto_6284 ?auto_6292 )
      ( DELIVER-PKG ?auto_6281 ?auto_6282 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6307
      ?auto_6308
    )
    :vars
    (
      ?auto_6314
      ?auto_6313
      ?auto_6310
      ?auto_6315
      ?auto_6312
      ?auto_6311
      ?auto_6318
      ?auto_6317
      ?auto_6320
    )
    :precondition
    ( and ( OBJ ?auto_6307 ) ( LOCATION ?auto_6308 ) ( AIRPLANE ?auto_6314 ) ( AIRPORT ?auto_6313 ) ( AIRPORT ?auto_6308 ) ( DIFFERENT ?auto_6308 ?auto_6313 ) ( AIRPORT ?auto_6310 ) ( DIFFERENT ?auto_6313 ?auto_6310 ) ( AIRPORT ?auto_6315 ) ( AT ?auto_6314 ?auto_6315 ) ( DIFFERENT ?auto_6310 ?auto_6315 ) ( LOCATION ?auto_6312 ) ( AT ?auto_6314 ?auto_6312 ) ( TRUCK ?auto_6311 ) ( LOCATION ?auto_6318 ) ( CITY ?auto_6317 ) ( AT ?auto_6311 ?auto_6318 ) ( IN-CITY ?auto_6318 ?auto_6317 ) ( IN-CITY ?auto_6312 ?auto_6317 ) ( DIFFERENT ?auto_6312 ?auto_6318 ) ( LOCATION ?auto_6320 ) ( AT ?auto_6311 ?auto_6320 ) ( AT ?auto_6307 ?auto_6320 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6307 ?auto_6311 ?auto_6320 )
      ( DELIVER-PKG ?auto_6307 ?auto_6308 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6348
      ?auto_6349
    )
    :vars
    (
      ?auto_6356
      ?auto_6355
      ?auto_6351
      ?auto_6354
      ?auto_6353
      ?auto_6359
      ?auto_6358
      ?auto_6360
      ?auto_6362
    )
    :precondition
    ( and ( OBJ ?auto_6348 ) ( LOCATION ?auto_6349 ) ( AIRPLANE ?auto_6356 ) ( AIRPORT ?auto_6355 ) ( AIRPORT ?auto_6349 ) ( DIFFERENT ?auto_6349 ?auto_6355 ) ( AIRPORT ?auto_6351 ) ( DIFFERENT ?auto_6355 ?auto_6351 ) ( AIRPORT ?auto_6354 ) ( DIFFERENT ?auto_6351 ?auto_6354 ) ( LOCATION ?auto_6354 ) ( TRUCK ?auto_6353 ) ( LOCATION ?auto_6359 ) ( CITY ?auto_6358 ) ( AT ?auto_6353 ?auto_6359 ) ( IN-CITY ?auto_6359 ?auto_6358 ) ( IN-CITY ?auto_6354 ?auto_6358 ) ( DIFFERENT ?auto_6354 ?auto_6359 ) ( LOCATION ?auto_6360 ) ( AT ?auto_6353 ?auto_6360 ) ( AT ?auto_6348 ?auto_6360 ) ( AIRPORT ?auto_6362 ) ( AT ?auto_6356 ?auto_6362 ) ( DIFFERENT ?auto_6354 ?auto_6362 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6356 ?auto_6362 ?auto_6354 )
      ( DELIVER-PKG ?auto_6348 ?auto_6349 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6364
      ?auto_6365
    )
    :vars
    (
      ?auto_6368
      ?auto_6375
      ?auto_6372
      ?auto_6374
      ?auto_6373
      ?auto_6371
      ?auto_6369
      ?auto_6376
      ?auto_6379
      ?auto_6378
    )
    :precondition
    ( and ( OBJ ?auto_6364 ) ( LOCATION ?auto_6365 ) ( AIRPLANE ?auto_6368 ) ( AIRPORT ?auto_6375 ) ( AIRPORT ?auto_6365 ) ( DIFFERENT ?auto_6365 ?auto_6375 ) ( AIRPORT ?auto_6372 ) ( DIFFERENT ?auto_6375 ?auto_6372 ) ( AIRPORT ?auto_6374 ) ( DIFFERENT ?auto_6372 ?auto_6374 ) ( LOCATION ?auto_6374 ) ( TRUCK ?auto_6373 ) ( LOCATION ?auto_6371 ) ( CITY ?auto_6369 ) ( IN-CITY ?auto_6371 ?auto_6369 ) ( IN-CITY ?auto_6374 ?auto_6369 ) ( DIFFERENT ?auto_6374 ?auto_6371 ) ( AT ?auto_6364 ?auto_6371 ) ( AIRPORT ?auto_6376 ) ( AT ?auto_6368 ?auto_6376 ) ( DIFFERENT ?auto_6374 ?auto_6376 ) ( LOCATION ?auto_6379 ) ( CITY ?auto_6378 ) ( AT ?auto_6373 ?auto_6379 ) ( IN-CITY ?auto_6379 ?auto_6378 ) ( IN-CITY ?auto_6371 ?auto_6378 ) ( DIFFERENT ?auto_6371 ?auto_6379 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6373 ?auto_6379 ?auto_6371 ?auto_6378 )
      ( DELIVER-PKG ?auto_6364 ?auto_6365 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6823
      ?auto_6824
    )
    :vars
    (
      ?auto_6827
      ?auto_6828
      ?auto_6829
      ?auto_6831
    )
    :precondition
    ( and ( OBJ ?auto_6823 ) ( LOCATION ?auto_6824 ) ( AIRPLANE ?auto_6827 ) ( AIRPORT ?auto_6828 ) ( AIRPORT ?auto_6824 ) ( DIFFERENT ?auto_6824 ?auto_6828 ) ( AIRPORT ?auto_6829 ) ( AT ?auto_6827 ?auto_6829 ) ( DIFFERENT ?auto_6828 ?auto_6829 ) ( LOCATION ?auto_6831 ) ( AT ?auto_6823 ?auto_6831 ) ( AT ?auto_6827 ?auto_6831 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6823 ?auto_6827 ?auto_6831 )
      ( DELIVER-PKG ?auto_6823 ?auto_6824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6833
      ?auto_6834
    )
    :vars
    (
      ?auto_6836
      ?auto_6837
      ?auto_6835
      ?auto_6838
      ?auto_6843
    )
    :precondition
    ( and ( OBJ ?auto_6833 ) ( LOCATION ?auto_6834 ) ( AIRPLANE ?auto_6836 ) ( AIRPORT ?auto_6837 ) ( AIRPORT ?auto_6834 ) ( DIFFERENT ?auto_6834 ?auto_6837 ) ( AIRPORT ?auto_6835 ) ( AT ?auto_6836 ?auto_6835 ) ( DIFFERENT ?auto_6837 ?auto_6835 ) ( LOCATION ?auto_6838 ) ( AT ?auto_6836 ?auto_6838 ) ( AIRPLANE ?auto_6843 ) ( IN ?auto_6833 ?auto_6843 ) ( AT ?auto_6843 ?auto_6838 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6833 ?auto_6838 )
      ( DELIVER-PKG ?auto_6833 ?auto_6834 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6867
      ?auto_6868
    )
    :vars
    (
      ?auto_6870
      ?auto_6871
      ?auto_6873
      ?auto_6874
      ?auto_6877
    )
    :precondition
    ( and ( OBJ ?auto_6867 ) ( LOCATION ?auto_6868 ) ( AIRPLANE ?auto_6870 ) ( AIRPORT ?auto_6871 ) ( AIRPORT ?auto_6868 ) ( DIFFERENT ?auto_6868 ?auto_6871 ) ( AIRPORT ?auto_6873 ) ( DIFFERENT ?auto_6871 ?auto_6873 ) ( LOCATION ?auto_6873 ) ( AIRPORT ?auto_6874 ) ( DIFFERENT ?auto_6873 ?auto_6874 ) ( LOCATION ?auto_6874 ) ( AT ?auto_6867 ?auto_6874 ) ( AIRPORT ?auto_6877 ) ( AT ?auto_6870 ?auto_6877 ) ( DIFFERENT ?auto_6874 ?auto_6877 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6870 ?auto_6877 ?auto_6874 )
      ( DELIVER-PKG ?auto_6867 ?auto_6868 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6879
      ?auto_6880
    )
    :vars
    (
      ?auto_6887
      ?auto_6884
      ?auto_6886
      ?auto_6881
      ?auto_6883
      ?auto_6890
    )
    :precondition
    ( and ( OBJ ?auto_6879 ) ( LOCATION ?auto_6880 ) ( AIRPLANE ?auto_6887 ) ( AIRPORT ?auto_6884 ) ( AIRPORT ?auto_6880 ) ( DIFFERENT ?auto_6880 ?auto_6884 ) ( AIRPORT ?auto_6886 ) ( DIFFERENT ?auto_6884 ?auto_6886 ) ( LOCATION ?auto_6886 ) ( AIRPORT ?auto_6881 ) ( DIFFERENT ?auto_6886 ?auto_6881 ) ( LOCATION ?auto_6881 ) ( AIRPORT ?auto_6883 ) ( AT ?auto_6887 ?auto_6883 ) ( DIFFERENT ?auto_6881 ?auto_6883 ) ( TRUCK ?auto_6890 ) ( AT ?auto_6890 ?auto_6881 ) ( IN ?auto_6879 ?auto_6890 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6879 ?auto_6881 )
      ( DELIVER-PKG ?auto_6879 ?auto_6880 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6901
      ?auto_6902
    )
    :vars
    (
      ?auto_6907
      ?auto_6908
      ?auto_6909
      ?auto_6905
      ?auto_6910
      ?auto_6904
      ?auto_6913
      ?auto_6912
    )
    :precondition
    ( and ( OBJ ?auto_6901 ) ( LOCATION ?auto_6902 ) ( AIRPLANE ?auto_6907 ) ( AIRPORT ?auto_6908 ) ( AIRPORT ?auto_6902 ) ( DIFFERENT ?auto_6902 ?auto_6908 ) ( AIRPORT ?auto_6909 ) ( DIFFERENT ?auto_6908 ?auto_6909 ) ( LOCATION ?auto_6909 ) ( AIRPORT ?auto_6905 ) ( DIFFERENT ?auto_6909 ?auto_6905 ) ( LOCATION ?auto_6905 ) ( AIRPORT ?auto_6910 ) ( AT ?auto_6907 ?auto_6910 ) ( DIFFERENT ?auto_6905 ?auto_6910 ) ( TRUCK ?auto_6904 ) ( IN ?auto_6901 ?auto_6904 ) ( LOCATION ?auto_6913 ) ( CITY ?auto_6912 ) ( AT ?auto_6904 ?auto_6913 ) ( IN-CITY ?auto_6913 ?auto_6912 ) ( IN-CITY ?auto_6905 ?auto_6912 ) ( DIFFERENT ?auto_6905 ?auto_6913 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6904 ?auto_6913 ?auto_6905 ?auto_6912 )
      ( DELIVER-PKG ?auto_6901 ?auto_6902 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6927
      ?auto_6928
    )
    :vars
    (
      ?auto_6935
      ?auto_6936
      ?auto_6929
      ?auto_6930
      ?auto_6933
      ?auto_6931
      ?auto_6938
      ?auto_6937
      ?auto_6941
      ?auto_6940
    )
    :precondition
    ( and ( OBJ ?auto_6927 ) ( LOCATION ?auto_6928 ) ( AIRPLANE ?auto_6935 ) ( AIRPORT ?auto_6936 ) ( AIRPORT ?auto_6928 ) ( DIFFERENT ?auto_6928 ?auto_6936 ) ( AIRPORT ?auto_6929 ) ( DIFFERENT ?auto_6936 ?auto_6929 ) ( LOCATION ?auto_6929 ) ( AIRPORT ?auto_6930 ) ( DIFFERENT ?auto_6929 ?auto_6930 ) ( LOCATION ?auto_6930 ) ( AIRPORT ?auto_6933 ) ( AT ?auto_6935 ?auto_6933 ) ( DIFFERENT ?auto_6930 ?auto_6933 ) ( TRUCK ?auto_6931 ) ( IN ?auto_6927 ?auto_6931 ) ( LOCATION ?auto_6938 ) ( CITY ?auto_6937 ) ( IN-CITY ?auto_6938 ?auto_6937 ) ( IN-CITY ?auto_6930 ?auto_6937 ) ( DIFFERENT ?auto_6930 ?auto_6938 ) ( LOCATION ?auto_6941 ) ( CITY ?auto_6940 ) ( AT ?auto_6931 ?auto_6941 ) ( IN-CITY ?auto_6941 ?auto_6940 ) ( IN-CITY ?auto_6938 ?auto_6940 ) ( DIFFERENT ?auto_6938 ?auto_6941 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6931 ?auto_6941 ?auto_6938 ?auto_6940 )
      ( DELIVER-PKG ?auto_6927 ?auto_6928 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6957
      ?auto_6958
    )
    :vars
    (
      ?auto_6959
      ?auto_6960
      ?auto_6966
      ?auto_6965
      ?auto_6963
      ?auto_6964
      ?auto_6967
      ?auto_6961
      ?auto_6970
      ?auto_6969
      ?auto_6972
    )
    :precondition
    ( and ( OBJ ?auto_6957 ) ( LOCATION ?auto_6958 ) ( AIRPLANE ?auto_6959 ) ( AIRPORT ?auto_6960 ) ( AIRPORT ?auto_6958 ) ( DIFFERENT ?auto_6958 ?auto_6960 ) ( AIRPORT ?auto_6966 ) ( DIFFERENT ?auto_6960 ?auto_6966 ) ( LOCATION ?auto_6966 ) ( AIRPORT ?auto_6965 ) ( DIFFERENT ?auto_6966 ?auto_6965 ) ( LOCATION ?auto_6965 ) ( AIRPORT ?auto_6963 ) ( AT ?auto_6959 ?auto_6963 ) ( DIFFERENT ?auto_6965 ?auto_6963 ) ( TRUCK ?auto_6964 ) ( LOCATION ?auto_6967 ) ( CITY ?auto_6961 ) ( IN-CITY ?auto_6967 ?auto_6961 ) ( IN-CITY ?auto_6965 ?auto_6961 ) ( DIFFERENT ?auto_6965 ?auto_6967 ) ( LOCATION ?auto_6970 ) ( CITY ?auto_6969 ) ( AT ?auto_6964 ?auto_6970 ) ( IN-CITY ?auto_6970 ?auto_6969 ) ( IN-CITY ?auto_6967 ?auto_6969 ) ( DIFFERENT ?auto_6967 ?auto_6970 ) ( LOCATION ?auto_6972 ) ( AT ?auto_6964 ?auto_6972 ) ( AT ?auto_6957 ?auto_6972 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6957 ?auto_6964 ?auto_6972 )
      ( DELIVER-PKG ?auto_6957 ?auto_6958 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7004
      ?auto_7005
    )
    :vars
    (
      ?auto_7008
      ?auto_7016
      ?auto_7014
      ?auto_7011
      ?auto_7007
      ?auto_7010
      ?auto_7015
      ?auto_7006
      ?auto_7018
      ?auto_7012
      ?auto_7021
      ?auto_7020
    )
    :precondition
    ( and ( OBJ ?auto_7004 ) ( LOCATION ?auto_7005 ) ( AIRPLANE ?auto_7008 ) ( AIRPORT ?auto_7016 ) ( AIRPORT ?auto_7005 ) ( DIFFERENT ?auto_7005 ?auto_7016 ) ( AIRPORT ?auto_7014 ) ( DIFFERENT ?auto_7016 ?auto_7014 ) ( LOCATION ?auto_7014 ) ( AIRPORT ?auto_7011 ) ( DIFFERENT ?auto_7014 ?auto_7011 ) ( LOCATION ?auto_7011 ) ( AIRPORT ?auto_7007 ) ( AT ?auto_7008 ?auto_7007 ) ( DIFFERENT ?auto_7011 ?auto_7007 ) ( TRUCK ?auto_7010 ) ( LOCATION ?auto_7015 ) ( CITY ?auto_7006 ) ( IN-CITY ?auto_7015 ?auto_7006 ) ( IN-CITY ?auto_7011 ?auto_7006 ) ( DIFFERENT ?auto_7011 ?auto_7015 ) ( LOCATION ?auto_7018 ) ( CITY ?auto_7012 ) ( IN-CITY ?auto_7018 ?auto_7012 ) ( IN-CITY ?auto_7015 ?auto_7012 ) ( DIFFERENT ?auto_7015 ?auto_7018 ) ( AT ?auto_7004 ?auto_7018 ) ( LOCATION ?auto_7021 ) ( CITY ?auto_7020 ) ( AT ?auto_7010 ?auto_7021 ) ( IN-CITY ?auto_7021 ?auto_7020 ) ( IN-CITY ?auto_7018 ?auto_7020 ) ( DIFFERENT ?auto_7018 ?auto_7021 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7010 ?auto_7021 ?auto_7018 ?auto_7020 )
      ( DELIVER-PKG ?auto_7004 ?auto_7005 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7023
      ?auto_7024
    )
    :vars
    (
      ?auto_7025
      ?auto_7033
      ?auto_7031
      ?auto_7036
      ?auto_7029
      ?auto_7035
      ?auto_7032
      ?auto_7028
      ?auto_7034
      ?auto_7030
      ?auto_7038
      ?auto_7037
      ?auto_7040
    )
    :precondition
    ( and ( OBJ ?auto_7023 ) ( LOCATION ?auto_7024 ) ( AIRPLANE ?auto_7025 ) ( AIRPORT ?auto_7033 ) ( AIRPORT ?auto_7024 ) ( DIFFERENT ?auto_7024 ?auto_7033 ) ( AIRPORT ?auto_7031 ) ( DIFFERENT ?auto_7033 ?auto_7031 ) ( LOCATION ?auto_7031 ) ( AIRPORT ?auto_7036 ) ( DIFFERENT ?auto_7031 ?auto_7036 ) ( LOCATION ?auto_7036 ) ( AIRPORT ?auto_7029 ) ( DIFFERENT ?auto_7036 ?auto_7029 ) ( TRUCK ?auto_7035 ) ( LOCATION ?auto_7032 ) ( CITY ?auto_7028 ) ( IN-CITY ?auto_7032 ?auto_7028 ) ( IN-CITY ?auto_7036 ?auto_7028 ) ( DIFFERENT ?auto_7036 ?auto_7032 ) ( LOCATION ?auto_7034 ) ( CITY ?auto_7030 ) ( IN-CITY ?auto_7034 ?auto_7030 ) ( IN-CITY ?auto_7032 ?auto_7030 ) ( DIFFERENT ?auto_7032 ?auto_7034 ) ( AT ?auto_7023 ?auto_7034 ) ( LOCATION ?auto_7038 ) ( CITY ?auto_7037 ) ( AT ?auto_7035 ?auto_7038 ) ( IN-CITY ?auto_7038 ?auto_7037 ) ( IN-CITY ?auto_7034 ?auto_7037 ) ( DIFFERENT ?auto_7034 ?auto_7038 ) ( AIRPORT ?auto_7040 ) ( AT ?auto_7025 ?auto_7040 ) ( DIFFERENT ?auto_7029 ?auto_7040 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7025 ?auto_7040 ?auto_7029 )
      ( DELIVER-PKG ?auto_7023 ?auto_7024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7420
      ?auto_7421
    )
    :vars
    (
      ?auto_7427
      ?auto_7426
      ?auto_7431
      ?auto_7425
      ?auto_7429
      ?auto_7428
      ?auto_7422
      ?auto_7423
      ?auto_7433
    )
    :precondition
    ( and ( OBJ ?auto_7420 ) ( LOCATION ?auto_7421 ) ( TRUCK ?auto_7427 ) ( LOCATION ?auto_7426 ) ( CITY ?auto_7431 ) ( IN-CITY ?auto_7426 ?auto_7431 ) ( IN-CITY ?auto_7421 ?auto_7431 ) ( DIFFERENT ?auto_7421 ?auto_7426 ) ( LOCATION ?auto_7425 ) ( CITY ?auto_7429 ) ( AT ?auto_7427 ?auto_7425 ) ( IN-CITY ?auto_7425 ?auto_7429 ) ( IN-CITY ?auto_7426 ?auto_7429 ) ( DIFFERENT ?auto_7426 ?auto_7425 ) ( LOCATION ?auto_7428 ) ( AT ?auto_7427 ?auto_7428 ) ( AIRPLANE ?auto_7422 ) ( IN ?auto_7420 ?auto_7422 ) ( AIRPORT ?auto_7423 ) ( AIRPORT ?auto_7428 ) ( DIFFERENT ?auto_7428 ?auto_7423 ) ( AIRPORT ?auto_7433 ) ( AT ?auto_7422 ?auto_7433 ) ( DIFFERENT ?auto_7423 ?auto_7433 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7422 ?auto_7433 ?auto_7423 )
      ( DELIVER-PKG ?auto_7420 ?auto_7421 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7448
      ?auto_7449
    )
    :vars
    (
      ?auto_7452
      ?auto_7451
      ?auto_7458
      ?auto_7450
      ?auto_7454
      ?auto_7453
      ?auto_7460
      ?auto_7457
      ?auto_7459
      ?auto_7462
    )
    :precondition
    ( and ( OBJ ?auto_7448 ) ( LOCATION ?auto_7449 ) ( TRUCK ?auto_7452 ) ( LOCATION ?auto_7451 ) ( CITY ?auto_7458 ) ( IN-CITY ?auto_7451 ?auto_7458 ) ( IN-CITY ?auto_7449 ?auto_7458 ) ( DIFFERENT ?auto_7449 ?auto_7451 ) ( LOCATION ?auto_7450 ) ( CITY ?auto_7454 ) ( AT ?auto_7452 ?auto_7450 ) ( IN-CITY ?auto_7450 ?auto_7454 ) ( IN-CITY ?auto_7451 ?auto_7454 ) ( DIFFERENT ?auto_7451 ?auto_7450 ) ( LOCATION ?auto_7453 ) ( AT ?auto_7452 ?auto_7453 ) ( AIRPLANE ?auto_7460 ) ( IN ?auto_7448 ?auto_7460 ) ( AIRPORT ?auto_7457 ) ( AIRPORT ?auto_7453 ) ( DIFFERENT ?auto_7453 ?auto_7457 ) ( AIRPORT ?auto_7459 ) ( DIFFERENT ?auto_7457 ?auto_7459 ) ( AIRPORT ?auto_7462 ) ( AT ?auto_7460 ?auto_7462 ) ( DIFFERENT ?auto_7459 ?auto_7462 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7460 ?auto_7462 ?auto_7459 )
      ( DELIVER-PKG ?auto_7448 ?auto_7449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7478
      ?auto_7479
    )
    :vars
    (
      ?auto_7483
      ?auto_7487
      ?auto_7481
      ?auto_7489
      ?auto_7485
      ?auto_7484
      ?auto_7486
      ?auto_7480
      ?auto_7482
      ?auto_7491
      ?auto_7493
    )
    :precondition
    ( and ( OBJ ?auto_7478 ) ( LOCATION ?auto_7479 ) ( TRUCK ?auto_7483 ) ( LOCATION ?auto_7487 ) ( CITY ?auto_7481 ) ( IN-CITY ?auto_7487 ?auto_7481 ) ( IN-CITY ?auto_7479 ?auto_7481 ) ( DIFFERENT ?auto_7479 ?auto_7487 ) ( LOCATION ?auto_7489 ) ( CITY ?auto_7485 ) ( AT ?auto_7483 ?auto_7489 ) ( IN-CITY ?auto_7489 ?auto_7485 ) ( IN-CITY ?auto_7487 ?auto_7485 ) ( DIFFERENT ?auto_7487 ?auto_7489 ) ( LOCATION ?auto_7484 ) ( AT ?auto_7483 ?auto_7484 ) ( AIRPLANE ?auto_7486 ) ( AIRPORT ?auto_7480 ) ( AIRPORT ?auto_7484 ) ( DIFFERENT ?auto_7484 ?auto_7480 ) ( AIRPORT ?auto_7482 ) ( DIFFERENT ?auto_7480 ?auto_7482 ) ( AIRPORT ?auto_7491 ) ( AT ?auto_7486 ?auto_7491 ) ( DIFFERENT ?auto_7482 ?auto_7491 ) ( LOCATION ?auto_7493 ) ( AT ?auto_7478 ?auto_7493 ) ( AT ?auto_7486 ?auto_7493 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7478 ?auto_7486 ?auto_7493 )
      ( DELIVER-PKG ?auto_7478 ?auto_7479 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7510
      ?auto_7511
    )
    :vars
    (
      ?auto_7514
      ?auto_7518
      ?auto_7520
      ?auto_7521
      ?auto_7516
      ?auto_7515
      ?auto_7517
      ?auto_7512
      ?auto_7519
      ?auto_7522
      ?auto_7524
      ?auto_7527
    )
    :precondition
    ( and ( OBJ ?auto_7510 ) ( LOCATION ?auto_7511 ) ( TRUCK ?auto_7514 ) ( LOCATION ?auto_7518 ) ( CITY ?auto_7520 ) ( IN-CITY ?auto_7518 ?auto_7520 ) ( IN-CITY ?auto_7511 ?auto_7520 ) ( DIFFERENT ?auto_7511 ?auto_7518 ) ( LOCATION ?auto_7521 ) ( CITY ?auto_7516 ) ( AT ?auto_7514 ?auto_7521 ) ( IN-CITY ?auto_7521 ?auto_7516 ) ( IN-CITY ?auto_7518 ?auto_7516 ) ( DIFFERENT ?auto_7518 ?auto_7521 ) ( LOCATION ?auto_7515 ) ( AT ?auto_7514 ?auto_7515 ) ( AIRPLANE ?auto_7517 ) ( AIRPORT ?auto_7512 ) ( AIRPORT ?auto_7515 ) ( DIFFERENT ?auto_7515 ?auto_7512 ) ( AIRPORT ?auto_7519 ) ( DIFFERENT ?auto_7512 ?auto_7519 ) ( AIRPORT ?auto_7522 ) ( AT ?auto_7517 ?auto_7522 ) ( DIFFERENT ?auto_7519 ?auto_7522 ) ( LOCATION ?auto_7524 ) ( AT ?auto_7517 ?auto_7524 ) ( TRUCK ?auto_7527 ) ( AT ?auto_7527 ?auto_7524 ) ( IN ?auto_7510 ?auto_7527 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7510 ?auto_7524 )
      ( DELIVER-PKG ?auto_7510 ?auto_7511 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7544
      ?auto_7545
    )
    :vars
    (
      ?auto_7556
      ?auto_7550
      ?auto_7552
      ?auto_7553
      ?auto_7548
      ?auto_7547
      ?auto_7549
      ?auto_7546
      ?auto_7551
      ?auto_7554
      ?auto_7555
      ?auto_7559
      ?auto_7562
      ?auto_7561
    )
    :precondition
    ( and ( OBJ ?auto_7544 ) ( LOCATION ?auto_7545 ) ( TRUCK ?auto_7556 ) ( LOCATION ?auto_7550 ) ( CITY ?auto_7552 ) ( IN-CITY ?auto_7550 ?auto_7552 ) ( IN-CITY ?auto_7545 ?auto_7552 ) ( DIFFERENT ?auto_7545 ?auto_7550 ) ( LOCATION ?auto_7553 ) ( CITY ?auto_7548 ) ( AT ?auto_7556 ?auto_7553 ) ( IN-CITY ?auto_7553 ?auto_7548 ) ( IN-CITY ?auto_7550 ?auto_7548 ) ( DIFFERENT ?auto_7550 ?auto_7553 ) ( LOCATION ?auto_7547 ) ( AT ?auto_7556 ?auto_7547 ) ( AIRPLANE ?auto_7549 ) ( AIRPORT ?auto_7546 ) ( AIRPORT ?auto_7547 ) ( DIFFERENT ?auto_7547 ?auto_7546 ) ( AIRPORT ?auto_7551 ) ( DIFFERENT ?auto_7546 ?auto_7551 ) ( AIRPORT ?auto_7554 ) ( AT ?auto_7549 ?auto_7554 ) ( DIFFERENT ?auto_7551 ?auto_7554 ) ( LOCATION ?auto_7555 ) ( AT ?auto_7549 ?auto_7555 ) ( TRUCK ?auto_7559 ) ( IN ?auto_7544 ?auto_7559 ) ( LOCATION ?auto_7562 ) ( CITY ?auto_7561 ) ( AT ?auto_7559 ?auto_7562 ) ( IN-CITY ?auto_7562 ?auto_7561 ) ( IN-CITY ?auto_7555 ?auto_7561 ) ( DIFFERENT ?auto_7555 ?auto_7562 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7559 ?auto_7562 ?auto_7555 ?auto_7561 )
      ( DELIVER-PKG ?auto_7544 ?auto_7545 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7582
      ?auto_7583
    )
    :vars
    (
      ?auto_7595
      ?auto_7588
      ?auto_7590
      ?auto_7592
      ?auto_7587
      ?auto_7586
      ?auto_7585
      ?auto_7591
      ?auto_7589
      ?auto_7593
      ?auto_7594
      ?auto_7596
      ?auto_7599
      ?auto_7598
      ?auto_7601
    )
    :precondition
    ( and ( OBJ ?auto_7582 ) ( LOCATION ?auto_7583 ) ( TRUCK ?auto_7595 ) ( LOCATION ?auto_7588 ) ( CITY ?auto_7590 ) ( IN-CITY ?auto_7588 ?auto_7590 ) ( IN-CITY ?auto_7583 ?auto_7590 ) ( DIFFERENT ?auto_7583 ?auto_7588 ) ( LOCATION ?auto_7592 ) ( CITY ?auto_7587 ) ( AT ?auto_7595 ?auto_7592 ) ( IN-CITY ?auto_7592 ?auto_7587 ) ( IN-CITY ?auto_7588 ?auto_7587 ) ( DIFFERENT ?auto_7588 ?auto_7592 ) ( LOCATION ?auto_7586 ) ( AT ?auto_7595 ?auto_7586 ) ( AIRPLANE ?auto_7585 ) ( AIRPORT ?auto_7591 ) ( AIRPORT ?auto_7586 ) ( DIFFERENT ?auto_7586 ?auto_7591 ) ( AIRPORT ?auto_7589 ) ( DIFFERENT ?auto_7591 ?auto_7589 ) ( AIRPORT ?auto_7593 ) ( AT ?auto_7585 ?auto_7593 ) ( DIFFERENT ?auto_7589 ?auto_7593 ) ( LOCATION ?auto_7594 ) ( AT ?auto_7585 ?auto_7594 ) ( TRUCK ?auto_7596 ) ( LOCATION ?auto_7599 ) ( CITY ?auto_7598 ) ( AT ?auto_7596 ?auto_7599 ) ( IN-CITY ?auto_7599 ?auto_7598 ) ( IN-CITY ?auto_7594 ?auto_7598 ) ( DIFFERENT ?auto_7594 ?auto_7599 ) ( LOCATION ?auto_7601 ) ( AT ?auto_7596 ?auto_7601 ) ( AT ?auto_7582 ?auto_7601 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7582 ?auto_7596 ?auto_7601 )
      ( DELIVER-PKG ?auto_7582 ?auto_7583 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7603
      ?auto_7604
    )
    :vars
    (
      ?auto_7613
      ?auto_7618
      ?auto_7607
      ?auto_7605
      ?auto_7608
      ?auto_7620
      ?auto_7609
      ?auto_7606
      ?auto_7611
      ?auto_7612
      ?auto_7614
      ?auto_7616
      ?auto_7615
      ?auto_7617
      ?auto_7624
      ?auto_7623
    )
    :precondition
    ( and ( OBJ ?auto_7603 ) ( LOCATION ?auto_7604 ) ( TRUCK ?auto_7613 ) ( LOCATION ?auto_7618 ) ( CITY ?auto_7607 ) ( IN-CITY ?auto_7618 ?auto_7607 ) ( IN-CITY ?auto_7604 ?auto_7607 ) ( DIFFERENT ?auto_7604 ?auto_7618 ) ( LOCATION ?auto_7605 ) ( CITY ?auto_7608 ) ( IN-CITY ?auto_7605 ?auto_7608 ) ( IN-CITY ?auto_7618 ?auto_7608 ) ( DIFFERENT ?auto_7618 ?auto_7605 ) ( AIRPLANE ?auto_7620 ) ( AIRPORT ?auto_7609 ) ( AIRPORT ?auto_7605 ) ( DIFFERENT ?auto_7605 ?auto_7609 ) ( AIRPORT ?auto_7606 ) ( DIFFERENT ?auto_7609 ?auto_7606 ) ( AIRPORT ?auto_7611 ) ( AT ?auto_7620 ?auto_7611 ) ( DIFFERENT ?auto_7606 ?auto_7611 ) ( LOCATION ?auto_7612 ) ( AT ?auto_7620 ?auto_7612 ) ( TRUCK ?auto_7614 ) ( LOCATION ?auto_7616 ) ( CITY ?auto_7615 ) ( AT ?auto_7614 ?auto_7616 ) ( IN-CITY ?auto_7616 ?auto_7615 ) ( IN-CITY ?auto_7612 ?auto_7615 ) ( DIFFERENT ?auto_7612 ?auto_7616 ) ( LOCATION ?auto_7617 ) ( AT ?auto_7614 ?auto_7617 ) ( AT ?auto_7603 ?auto_7617 ) ( LOCATION ?auto_7624 ) ( CITY ?auto_7623 ) ( AT ?auto_7613 ?auto_7624 ) ( IN-CITY ?auto_7624 ?auto_7623 ) ( IN-CITY ?auto_7605 ?auto_7623 ) ( DIFFERENT ?auto_7605 ?auto_7624 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7613 ?auto_7624 ?auto_7605 ?auto_7623 )
      ( DELIVER-PKG ?auto_7603 ?auto_7604 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7646
      ?auto_7647
    )
    :vars
    (
      ?auto_7648
      ?auto_7661
      ?auto_7658
      ?auto_7659
      ?auto_7663
      ?auto_7651
      ?auto_7665
      ?auto_7662
      ?auto_7649
      ?auto_7653
      ?auto_7650
      ?auto_7652
      ?auto_7660
      ?auto_7657
      ?auto_7655
      ?auto_7667
    )
    :precondition
    ( and ( OBJ ?auto_7646 ) ( LOCATION ?auto_7647 ) ( TRUCK ?auto_7648 ) ( LOCATION ?auto_7661 ) ( CITY ?auto_7658 ) ( IN-CITY ?auto_7661 ?auto_7658 ) ( IN-CITY ?auto_7647 ?auto_7658 ) ( DIFFERENT ?auto_7647 ?auto_7661 ) ( LOCATION ?auto_7659 ) ( CITY ?auto_7663 ) ( IN-CITY ?auto_7659 ?auto_7663 ) ( IN-CITY ?auto_7661 ?auto_7663 ) ( DIFFERENT ?auto_7661 ?auto_7659 ) ( AIRPLANE ?auto_7651 ) ( AIRPORT ?auto_7665 ) ( AIRPORT ?auto_7659 ) ( DIFFERENT ?auto_7659 ?auto_7665 ) ( AIRPORT ?auto_7662 ) ( DIFFERENT ?auto_7665 ?auto_7662 ) ( AIRPORT ?auto_7649 ) ( DIFFERENT ?auto_7662 ?auto_7649 ) ( LOCATION ?auto_7649 ) ( TRUCK ?auto_7653 ) ( LOCATION ?auto_7650 ) ( CITY ?auto_7652 ) ( AT ?auto_7653 ?auto_7650 ) ( IN-CITY ?auto_7650 ?auto_7652 ) ( IN-CITY ?auto_7649 ?auto_7652 ) ( DIFFERENT ?auto_7649 ?auto_7650 ) ( LOCATION ?auto_7660 ) ( AT ?auto_7653 ?auto_7660 ) ( AT ?auto_7646 ?auto_7660 ) ( LOCATION ?auto_7657 ) ( CITY ?auto_7655 ) ( AT ?auto_7648 ?auto_7657 ) ( IN-CITY ?auto_7657 ?auto_7655 ) ( IN-CITY ?auto_7659 ?auto_7655 ) ( DIFFERENT ?auto_7659 ?auto_7657 ) ( AIRPORT ?auto_7667 ) ( AT ?auto_7651 ?auto_7667 ) ( DIFFERENT ?auto_7649 ?auto_7667 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7651 ?auto_7667 ?auto_7649 )
      ( DELIVER-PKG ?auto_7646 ?auto_7647 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7669
      ?auto_7670
    )
    :vars
    (
      ?auto_7683
      ?auto_7676
      ?auto_7673
      ?auto_7674
      ?auto_7678
      ?auto_7682
      ?auto_7671
      ?auto_7677
      ?auto_7688
      ?auto_7680
      ?auto_7675
      ?auto_7687
      ?auto_7672
      ?auto_7681
      ?auto_7679
      ?auto_7691
      ?auto_7690
    )
    :precondition
    ( and ( OBJ ?auto_7669 ) ( LOCATION ?auto_7670 ) ( TRUCK ?auto_7683 ) ( LOCATION ?auto_7676 ) ( CITY ?auto_7673 ) ( IN-CITY ?auto_7676 ?auto_7673 ) ( IN-CITY ?auto_7670 ?auto_7673 ) ( DIFFERENT ?auto_7670 ?auto_7676 ) ( LOCATION ?auto_7674 ) ( CITY ?auto_7678 ) ( IN-CITY ?auto_7674 ?auto_7678 ) ( IN-CITY ?auto_7676 ?auto_7678 ) ( DIFFERENT ?auto_7676 ?auto_7674 ) ( AIRPLANE ?auto_7682 ) ( AIRPORT ?auto_7671 ) ( AIRPORT ?auto_7674 ) ( DIFFERENT ?auto_7674 ?auto_7671 ) ( AIRPORT ?auto_7677 ) ( DIFFERENT ?auto_7671 ?auto_7677 ) ( AIRPORT ?auto_7688 ) ( DIFFERENT ?auto_7677 ?auto_7688 ) ( LOCATION ?auto_7688 ) ( TRUCK ?auto_7680 ) ( LOCATION ?auto_7675 ) ( CITY ?auto_7687 ) ( IN-CITY ?auto_7675 ?auto_7687 ) ( IN-CITY ?auto_7688 ?auto_7687 ) ( DIFFERENT ?auto_7688 ?auto_7675 ) ( AT ?auto_7669 ?auto_7675 ) ( LOCATION ?auto_7672 ) ( CITY ?auto_7681 ) ( AT ?auto_7683 ?auto_7672 ) ( IN-CITY ?auto_7672 ?auto_7681 ) ( IN-CITY ?auto_7674 ?auto_7681 ) ( DIFFERENT ?auto_7674 ?auto_7672 ) ( AIRPORT ?auto_7679 ) ( AT ?auto_7682 ?auto_7679 ) ( DIFFERENT ?auto_7688 ?auto_7679 ) ( LOCATION ?auto_7691 ) ( CITY ?auto_7690 ) ( AT ?auto_7680 ?auto_7691 ) ( IN-CITY ?auto_7691 ?auto_7690 ) ( IN-CITY ?auto_7675 ?auto_7690 ) ( DIFFERENT ?auto_7675 ?auto_7691 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7680 ?auto_7691 ?auto_7675 ?auto_7690 )
      ( DELIVER-PKG ?auto_7669 ?auto_7670 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7950
      ?auto_7951
    )
    :vars
    (
      ?auto_7956
      ?auto_7955
      ?auto_7957
      ?auto_7958
      ?auto_7954
      ?auto_7959
      ?auto_7961
    )
    :precondition
    ( and ( OBJ ?auto_7950 ) ( LOCATION ?auto_7951 ) ( TRUCK ?auto_7956 ) ( LOCATION ?auto_7955 ) ( CITY ?auto_7957 ) ( AT ?auto_7956 ?auto_7955 ) ( IN-CITY ?auto_7955 ?auto_7957 ) ( IN-CITY ?auto_7951 ?auto_7957 ) ( DIFFERENT ?auto_7951 ?auto_7955 ) ( LOCATION ?auto_7958 ) ( AT ?auto_7956 ?auto_7958 ) ( AIRPLANE ?auto_7954 ) ( IN ?auto_7950 ?auto_7954 ) ( AIRPORT ?auto_7959 ) ( AIRPORT ?auto_7958 ) ( DIFFERENT ?auto_7958 ?auto_7959 ) ( AIRPORT ?auto_7961 ) ( AT ?auto_7954 ?auto_7961 ) ( DIFFERENT ?auto_7959 ?auto_7961 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7954 ?auto_7961 ?auto_7959 )
      ( DELIVER-PKG ?auto_7950 ?auto_7951 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7963
      ?auto_7964
    )
    :vars
    (
      ?auto_7967
      ?auto_7966
      ?auto_7971
      ?auto_7972
      ?auto_7965
      ?auto_7973
      ?auto_7970
      ?auto_7975
    )
    :precondition
    ( and ( OBJ ?auto_7963 ) ( LOCATION ?auto_7964 ) ( TRUCK ?auto_7967 ) ( LOCATION ?auto_7966 ) ( CITY ?auto_7971 ) ( AT ?auto_7967 ?auto_7966 ) ( IN-CITY ?auto_7966 ?auto_7971 ) ( IN-CITY ?auto_7964 ?auto_7971 ) ( DIFFERENT ?auto_7964 ?auto_7966 ) ( LOCATION ?auto_7972 ) ( AT ?auto_7967 ?auto_7972 ) ( AIRPLANE ?auto_7965 ) ( AIRPORT ?auto_7973 ) ( AIRPORT ?auto_7972 ) ( DIFFERENT ?auto_7972 ?auto_7973 ) ( AIRPORT ?auto_7970 ) ( AT ?auto_7965 ?auto_7970 ) ( DIFFERENT ?auto_7973 ?auto_7970 ) ( LOCATION ?auto_7975 ) ( AT ?auto_7963 ?auto_7975 ) ( AT ?auto_7965 ?auto_7975 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7963 ?auto_7965 ?auto_7975 )
      ( DELIVER-PKG ?auto_7963 ?auto_7964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7977
      ?auto_7978
    )
    :vars
    (
      ?auto_7986
      ?auto_7987
      ?auto_7979
      ?auto_7981
      ?auto_7980
      ?auto_7983
      ?auto_7988
      ?auto_7982
      ?auto_7991
    )
    :precondition
    ( and ( OBJ ?auto_7977 ) ( LOCATION ?auto_7978 ) ( TRUCK ?auto_7986 ) ( LOCATION ?auto_7987 ) ( CITY ?auto_7979 ) ( AT ?auto_7986 ?auto_7987 ) ( IN-CITY ?auto_7987 ?auto_7979 ) ( IN-CITY ?auto_7978 ?auto_7979 ) ( DIFFERENT ?auto_7978 ?auto_7987 ) ( LOCATION ?auto_7981 ) ( AT ?auto_7986 ?auto_7981 ) ( AIRPLANE ?auto_7980 ) ( AIRPORT ?auto_7983 ) ( AIRPORT ?auto_7981 ) ( DIFFERENT ?auto_7981 ?auto_7983 ) ( AIRPORT ?auto_7988 ) ( AT ?auto_7980 ?auto_7988 ) ( DIFFERENT ?auto_7983 ?auto_7988 ) ( LOCATION ?auto_7982 ) ( AT ?auto_7980 ?auto_7982 ) ( AIRPLANE ?auto_7991 ) ( IN ?auto_7977 ?auto_7991 ) ( AT ?auto_7991 ?auto_7982 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7977 ?auto_7982 )
      ( DELIVER-PKG ?auto_7977 ?auto_7978 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7992
      ?auto_7993
    )
    :vars
    (
      ?auto_7996
      ?auto_7998
      ?auto_7999
      ?auto_8001
      ?auto_7995
      ?auto_8004
      ?auto_8003
      ?auto_8006
    )
    :precondition
    ( and ( OBJ ?auto_7992 ) ( LOCATION ?auto_7993 ) ( TRUCK ?auto_7996 ) ( LOCATION ?auto_7998 ) ( CITY ?auto_7999 ) ( AT ?auto_7996 ?auto_7998 ) ( IN-CITY ?auto_7998 ?auto_7999 ) ( IN-CITY ?auto_7993 ?auto_7999 ) ( DIFFERENT ?auto_7993 ?auto_7998 ) ( LOCATION ?auto_8001 ) ( AT ?auto_7996 ?auto_8001 ) ( AIRPLANE ?auto_7995 ) ( AIRPORT ?auto_8004 ) ( AIRPORT ?auto_8001 ) ( DIFFERENT ?auto_8001 ?auto_8004 ) ( AIRPORT ?auto_8003 ) ( DIFFERENT ?auto_8004 ?auto_8003 ) ( LOCATION ?auto_8003 ) ( IN ?auto_7992 ?auto_7995 ) ( AIRPORT ?auto_8006 ) ( AT ?auto_7995 ?auto_8006 ) ( DIFFERENT ?auto_8003 ?auto_8006 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7995 ?auto_8006 ?auto_8003 )
      ( DELIVER-PKG ?auto_7992 ?auto_7993 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8008
      ?auto_8009
    )
    :vars
    (
      ?auto_8017
      ?auto_8019
      ?auto_8018
      ?auto_8015
      ?auto_8016
      ?auto_8010
      ?auto_8011
      ?auto_8014
      ?auto_8021
    )
    :precondition
    ( and ( OBJ ?auto_8008 ) ( LOCATION ?auto_8009 ) ( TRUCK ?auto_8017 ) ( LOCATION ?auto_8019 ) ( CITY ?auto_8018 ) ( AT ?auto_8017 ?auto_8019 ) ( IN-CITY ?auto_8019 ?auto_8018 ) ( IN-CITY ?auto_8009 ?auto_8018 ) ( DIFFERENT ?auto_8009 ?auto_8019 ) ( LOCATION ?auto_8015 ) ( AT ?auto_8017 ?auto_8015 ) ( AIRPLANE ?auto_8016 ) ( AIRPORT ?auto_8010 ) ( AIRPORT ?auto_8015 ) ( DIFFERENT ?auto_8015 ?auto_8010 ) ( AIRPORT ?auto_8011 ) ( DIFFERENT ?auto_8010 ?auto_8011 ) ( LOCATION ?auto_8011 ) ( AIRPORT ?auto_8014 ) ( AT ?auto_8016 ?auto_8014 ) ( DIFFERENT ?auto_8011 ?auto_8014 ) ( LOCATION ?auto_8021 ) ( AT ?auto_8008 ?auto_8021 ) ( AT ?auto_8016 ?auto_8021 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8008 ?auto_8016 ?auto_8021 )
      ( DELIVER-PKG ?auto_8008 ?auto_8009 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8023
      ?auto_8024
    )
    :vars
    (
      ?auto_8033
      ?auto_8034
      ?auto_8026
      ?auto_8027
      ?auto_8028
      ?auto_8029
      ?auto_8032
      ?auto_8030
      ?auto_8037
    )
    :precondition
    ( and ( OBJ ?auto_8023 ) ( LOCATION ?auto_8024 ) ( TRUCK ?auto_8033 ) ( LOCATION ?auto_8034 ) ( CITY ?auto_8026 ) ( AT ?auto_8033 ?auto_8034 ) ( IN-CITY ?auto_8034 ?auto_8026 ) ( IN-CITY ?auto_8024 ?auto_8026 ) ( DIFFERENT ?auto_8024 ?auto_8034 ) ( LOCATION ?auto_8027 ) ( AT ?auto_8033 ?auto_8027 ) ( AIRPLANE ?auto_8028 ) ( AIRPORT ?auto_8029 ) ( AIRPORT ?auto_8027 ) ( DIFFERENT ?auto_8027 ?auto_8029 ) ( AIRPORT ?auto_8032 ) ( DIFFERENT ?auto_8029 ?auto_8032 ) ( LOCATION ?auto_8032 ) ( AIRPORT ?auto_8030 ) ( DIFFERENT ?auto_8032 ?auto_8030 ) ( LOCATION ?auto_8030 ) ( AT ?auto_8023 ?auto_8030 ) ( AIRPORT ?auto_8037 ) ( AT ?auto_8028 ?auto_8037 ) ( DIFFERENT ?auto_8030 ?auto_8037 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8028 ?auto_8037 ?auto_8030 )
      ( DELIVER-PKG ?auto_8023 ?auto_8024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8039
      ?auto_8040
    )
    :vars
    (
      ?auto_8043
      ?auto_8045
      ?auto_8049
      ?auto_8050
      ?auto_8051
      ?auto_8046
      ?auto_8044
      ?auto_8042
      ?auto_8048
      ?auto_8054
    )
    :precondition
    ( and ( OBJ ?auto_8039 ) ( LOCATION ?auto_8040 ) ( TRUCK ?auto_8043 ) ( LOCATION ?auto_8045 ) ( CITY ?auto_8049 ) ( AT ?auto_8043 ?auto_8045 ) ( IN-CITY ?auto_8045 ?auto_8049 ) ( IN-CITY ?auto_8040 ?auto_8049 ) ( DIFFERENT ?auto_8040 ?auto_8045 ) ( LOCATION ?auto_8050 ) ( AT ?auto_8043 ?auto_8050 ) ( AIRPLANE ?auto_8051 ) ( AIRPORT ?auto_8046 ) ( AIRPORT ?auto_8050 ) ( DIFFERENT ?auto_8050 ?auto_8046 ) ( AIRPORT ?auto_8044 ) ( DIFFERENT ?auto_8046 ?auto_8044 ) ( LOCATION ?auto_8044 ) ( AIRPORT ?auto_8042 ) ( DIFFERENT ?auto_8044 ?auto_8042 ) ( LOCATION ?auto_8042 ) ( AIRPORT ?auto_8048 ) ( AT ?auto_8051 ?auto_8048 ) ( DIFFERENT ?auto_8042 ?auto_8048 ) ( TRUCK ?auto_8054 ) ( AT ?auto_8054 ?auto_8042 ) ( IN ?auto_8039 ?auto_8054 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8039 ?auto_8042 )
      ( DELIVER-PKG ?auto_8039 ?auto_8040 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8069
      ?auto_8070
    )
    :vars
    (
      ?auto_8074
      ?auto_8076
      ?auto_8079
      ?auto_8080
      ?auto_8081
      ?auto_8077
      ?auto_8075
      ?auto_8071
      ?auto_8078
      ?auto_8082
      ?auto_8085
      ?auto_8084
    )
    :precondition
    ( and ( OBJ ?auto_8069 ) ( LOCATION ?auto_8070 ) ( TRUCK ?auto_8074 ) ( LOCATION ?auto_8076 ) ( CITY ?auto_8079 ) ( AT ?auto_8074 ?auto_8076 ) ( IN-CITY ?auto_8076 ?auto_8079 ) ( IN-CITY ?auto_8070 ?auto_8079 ) ( DIFFERENT ?auto_8070 ?auto_8076 ) ( LOCATION ?auto_8080 ) ( AT ?auto_8074 ?auto_8080 ) ( AIRPLANE ?auto_8081 ) ( AIRPORT ?auto_8077 ) ( AIRPORT ?auto_8080 ) ( DIFFERENT ?auto_8080 ?auto_8077 ) ( AIRPORT ?auto_8075 ) ( DIFFERENT ?auto_8077 ?auto_8075 ) ( LOCATION ?auto_8075 ) ( AIRPORT ?auto_8071 ) ( DIFFERENT ?auto_8075 ?auto_8071 ) ( LOCATION ?auto_8071 ) ( AIRPORT ?auto_8078 ) ( AT ?auto_8081 ?auto_8078 ) ( DIFFERENT ?auto_8071 ?auto_8078 ) ( TRUCK ?auto_8082 ) ( IN ?auto_8069 ?auto_8082 ) ( LOCATION ?auto_8085 ) ( CITY ?auto_8084 ) ( AT ?auto_8082 ?auto_8085 ) ( IN-CITY ?auto_8085 ?auto_8084 ) ( IN-CITY ?auto_8071 ?auto_8084 ) ( DIFFERENT ?auto_8071 ?auto_8085 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8082 ?auto_8085 ?auto_8071 ?auto_8084 )
      ( DELIVER-PKG ?auto_8069 ?auto_8070 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8103
      ?auto_8104
    )
    :vars
    (
      ?auto_8107
      ?auto_8113
      ?auto_8109
      ?auto_8110
      ?auto_8111
      ?auto_8114
      ?auto_8108
      ?auto_8106
      ?auto_8115
      ?auto_8112
      ?auto_8118
      ?auto_8117
      ?auto_8121
      ?auto_8120
    )
    :precondition
    ( and ( OBJ ?auto_8103 ) ( LOCATION ?auto_8104 ) ( TRUCK ?auto_8107 ) ( LOCATION ?auto_8113 ) ( CITY ?auto_8109 ) ( AT ?auto_8107 ?auto_8113 ) ( IN-CITY ?auto_8113 ?auto_8109 ) ( IN-CITY ?auto_8104 ?auto_8109 ) ( DIFFERENT ?auto_8104 ?auto_8113 ) ( LOCATION ?auto_8110 ) ( AT ?auto_8107 ?auto_8110 ) ( AIRPLANE ?auto_8111 ) ( AIRPORT ?auto_8114 ) ( AIRPORT ?auto_8110 ) ( DIFFERENT ?auto_8110 ?auto_8114 ) ( AIRPORT ?auto_8108 ) ( DIFFERENT ?auto_8114 ?auto_8108 ) ( LOCATION ?auto_8108 ) ( AIRPORT ?auto_8106 ) ( DIFFERENT ?auto_8108 ?auto_8106 ) ( LOCATION ?auto_8106 ) ( AIRPORT ?auto_8115 ) ( AT ?auto_8111 ?auto_8115 ) ( DIFFERENT ?auto_8106 ?auto_8115 ) ( TRUCK ?auto_8112 ) ( IN ?auto_8103 ?auto_8112 ) ( LOCATION ?auto_8118 ) ( CITY ?auto_8117 ) ( IN-CITY ?auto_8118 ?auto_8117 ) ( IN-CITY ?auto_8106 ?auto_8117 ) ( DIFFERENT ?auto_8106 ?auto_8118 ) ( LOCATION ?auto_8121 ) ( CITY ?auto_8120 ) ( AT ?auto_8112 ?auto_8121 ) ( IN-CITY ?auto_8121 ?auto_8120 ) ( IN-CITY ?auto_8118 ?auto_8120 ) ( DIFFERENT ?auto_8118 ?auto_8121 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8112 ?auto_8121 ?auto_8118 ?auto_8120 )
      ( DELIVER-PKG ?auto_8103 ?auto_8104 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8141
      ?auto_8142
    )
    :vars
    (
      ?auto_8147
      ?auto_8143
      ?auto_8150
      ?auto_8153
      ?auto_8154
      ?auto_8144
      ?auto_8152
      ?auto_8155
      ?auto_8151
      ?auto_8149
      ?auto_8146
      ?auto_8145
      ?auto_8158
      ?auto_8157
      ?auto_8160
    )
    :precondition
    ( and ( OBJ ?auto_8141 ) ( LOCATION ?auto_8142 ) ( TRUCK ?auto_8147 ) ( LOCATION ?auto_8143 ) ( CITY ?auto_8150 ) ( AT ?auto_8147 ?auto_8143 ) ( IN-CITY ?auto_8143 ?auto_8150 ) ( IN-CITY ?auto_8142 ?auto_8150 ) ( DIFFERENT ?auto_8142 ?auto_8143 ) ( LOCATION ?auto_8153 ) ( AT ?auto_8147 ?auto_8153 ) ( AIRPLANE ?auto_8154 ) ( AIRPORT ?auto_8144 ) ( AIRPORT ?auto_8153 ) ( DIFFERENT ?auto_8153 ?auto_8144 ) ( AIRPORT ?auto_8152 ) ( DIFFERENT ?auto_8144 ?auto_8152 ) ( LOCATION ?auto_8152 ) ( AIRPORT ?auto_8155 ) ( DIFFERENT ?auto_8152 ?auto_8155 ) ( LOCATION ?auto_8155 ) ( AIRPORT ?auto_8151 ) ( AT ?auto_8154 ?auto_8151 ) ( DIFFERENT ?auto_8155 ?auto_8151 ) ( TRUCK ?auto_8149 ) ( LOCATION ?auto_8146 ) ( CITY ?auto_8145 ) ( IN-CITY ?auto_8146 ?auto_8145 ) ( IN-CITY ?auto_8155 ?auto_8145 ) ( DIFFERENT ?auto_8155 ?auto_8146 ) ( LOCATION ?auto_8158 ) ( CITY ?auto_8157 ) ( AT ?auto_8149 ?auto_8158 ) ( IN-CITY ?auto_8158 ?auto_8157 ) ( IN-CITY ?auto_8146 ?auto_8157 ) ( DIFFERENT ?auto_8146 ?auto_8158 ) ( LOCATION ?auto_8160 ) ( AT ?auto_8149 ?auto_8160 ) ( AT ?auto_8141 ?auto_8160 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8141 ?auto_8149 ?auto_8160 )
      ( DELIVER-PKG ?auto_8141 ?auto_8142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8200
      ?auto_8201
    )
    :vars
    (
      ?auto_8206
      ?auto_8216
      ?auto_8208
      ?auto_8211
      ?auto_8212
      ?auto_8214
      ?auto_8210
      ?auto_8213
      ?auto_8209
      ?auto_8207
      ?auto_8215
      ?auto_8202
      ?auto_8205
      ?auto_8203
      ?auto_8221
      ?auto_8220
    )
    :precondition
    ( and ( OBJ ?auto_8200 ) ( LOCATION ?auto_8201 ) ( TRUCK ?auto_8206 ) ( LOCATION ?auto_8216 ) ( CITY ?auto_8208 ) ( AT ?auto_8206 ?auto_8216 ) ( IN-CITY ?auto_8216 ?auto_8208 ) ( IN-CITY ?auto_8201 ?auto_8208 ) ( DIFFERENT ?auto_8201 ?auto_8216 ) ( LOCATION ?auto_8211 ) ( AT ?auto_8206 ?auto_8211 ) ( AIRPLANE ?auto_8212 ) ( AIRPORT ?auto_8214 ) ( AIRPORT ?auto_8211 ) ( DIFFERENT ?auto_8211 ?auto_8214 ) ( AIRPORT ?auto_8210 ) ( DIFFERENT ?auto_8214 ?auto_8210 ) ( LOCATION ?auto_8210 ) ( AIRPORT ?auto_8213 ) ( DIFFERENT ?auto_8210 ?auto_8213 ) ( LOCATION ?auto_8213 ) ( AIRPORT ?auto_8209 ) ( AT ?auto_8212 ?auto_8209 ) ( DIFFERENT ?auto_8213 ?auto_8209 ) ( TRUCK ?auto_8207 ) ( LOCATION ?auto_8215 ) ( CITY ?auto_8202 ) ( IN-CITY ?auto_8215 ?auto_8202 ) ( IN-CITY ?auto_8213 ?auto_8202 ) ( DIFFERENT ?auto_8213 ?auto_8215 ) ( LOCATION ?auto_8205 ) ( CITY ?auto_8203 ) ( IN-CITY ?auto_8205 ?auto_8203 ) ( IN-CITY ?auto_8215 ?auto_8203 ) ( DIFFERENT ?auto_8215 ?auto_8205 ) ( AT ?auto_8200 ?auto_8205 ) ( LOCATION ?auto_8221 ) ( CITY ?auto_8220 ) ( AT ?auto_8207 ?auto_8221 ) ( IN-CITY ?auto_8221 ?auto_8220 ) ( IN-CITY ?auto_8205 ?auto_8220 ) ( DIFFERENT ?auto_8205 ?auto_8221 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8207 ?auto_8221 ?auto_8205 ?auto_8220 )
      ( DELIVER-PKG ?auto_8200 ?auto_8201 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8223
      ?auto_8224
    )
    :vars
    (
      ?auto_8234
      ?auto_8227
      ?auto_8236
      ?auto_8239
      ?auto_8240
      ?auto_8225
      ?auto_8238
      ?auto_8241
      ?auto_8237
      ?auto_8235
      ?auto_8226
      ?auto_8230
      ?auto_8233
      ?auto_8231
      ?auto_8242
      ?auto_8232
      ?auto_8244
    )
    :precondition
    ( and ( OBJ ?auto_8223 ) ( LOCATION ?auto_8224 ) ( TRUCK ?auto_8234 ) ( LOCATION ?auto_8227 ) ( CITY ?auto_8236 ) ( AT ?auto_8234 ?auto_8227 ) ( IN-CITY ?auto_8227 ?auto_8236 ) ( IN-CITY ?auto_8224 ?auto_8236 ) ( DIFFERENT ?auto_8224 ?auto_8227 ) ( LOCATION ?auto_8239 ) ( AT ?auto_8234 ?auto_8239 ) ( AIRPLANE ?auto_8240 ) ( AIRPORT ?auto_8225 ) ( AIRPORT ?auto_8239 ) ( DIFFERENT ?auto_8239 ?auto_8225 ) ( AIRPORT ?auto_8238 ) ( DIFFERENT ?auto_8225 ?auto_8238 ) ( LOCATION ?auto_8238 ) ( AIRPORT ?auto_8241 ) ( DIFFERENT ?auto_8238 ?auto_8241 ) ( LOCATION ?auto_8241 ) ( AIRPORT ?auto_8237 ) ( DIFFERENT ?auto_8241 ?auto_8237 ) ( TRUCK ?auto_8235 ) ( LOCATION ?auto_8226 ) ( CITY ?auto_8230 ) ( IN-CITY ?auto_8226 ?auto_8230 ) ( IN-CITY ?auto_8241 ?auto_8230 ) ( DIFFERENT ?auto_8241 ?auto_8226 ) ( LOCATION ?auto_8233 ) ( CITY ?auto_8231 ) ( IN-CITY ?auto_8233 ?auto_8231 ) ( IN-CITY ?auto_8226 ?auto_8231 ) ( DIFFERENT ?auto_8226 ?auto_8233 ) ( AT ?auto_8223 ?auto_8233 ) ( LOCATION ?auto_8242 ) ( CITY ?auto_8232 ) ( AT ?auto_8235 ?auto_8242 ) ( IN-CITY ?auto_8242 ?auto_8232 ) ( IN-CITY ?auto_8233 ?auto_8232 ) ( DIFFERENT ?auto_8233 ?auto_8242 ) ( AIRPORT ?auto_8244 ) ( AT ?auto_8240 ?auto_8244 ) ( DIFFERENT ?auto_8237 ?auto_8244 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8240 ?auto_8244 ?auto_8237 )
      ( DELIVER-PKG ?auto_8223 ?auto_8224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8957
      ?auto_8958
    )
    :vars
    (
      ?auto_8964
      ?auto_8965
      ?auto_8959
      ?auto_8961
      ?auto_8960
      ?auto_8962
      ?auto_8970
      ?auto_8969
    )
    :precondition
    ( and ( OBJ ?auto_8957 ) ( LOCATION ?auto_8958 ) ( TRUCK ?auto_8964 ) ( LOCATION ?auto_8965 ) ( CITY ?auto_8959 ) ( IN-CITY ?auto_8965 ?auto_8959 ) ( IN-CITY ?auto_8958 ?auto_8959 ) ( DIFFERENT ?auto_8958 ?auto_8965 ) ( AIRPLANE ?auto_8961 ) ( AIRPORT ?auto_8960 ) ( AIRPORT ?auto_8965 ) ( AT ?auto_8961 ?auto_8960 ) ( DIFFERENT ?auto_8965 ?auto_8960 ) ( LOCATION ?auto_8962 ) ( AT ?auto_8957 ?auto_8962 ) ( AT ?auto_8961 ?auto_8962 ) ( LOCATION ?auto_8970 ) ( CITY ?auto_8969 ) ( AT ?auto_8964 ?auto_8970 ) ( IN-CITY ?auto_8970 ?auto_8969 ) ( IN-CITY ?auto_8965 ?auto_8969 ) ( DIFFERENT ?auto_8965 ?auto_8970 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8964 ?auto_8970 ?auto_8965 ?auto_8969 )
      ( DELIVER-PKG ?auto_8957 ?auto_8958 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8984
      ?auto_8985
    )
    :vars
    (
      ?auto_8991
      ?auto_8992
      ?auto_8986
      ?auto_8993
      ?auto_8994
      ?auto_8988
      ?auto_8987
      ?auto_8997
    )
    :precondition
    ( and ( OBJ ?auto_8984 ) ( LOCATION ?auto_8985 ) ( TRUCK ?auto_8991 ) ( LOCATION ?auto_8992 ) ( CITY ?auto_8986 ) ( IN-CITY ?auto_8992 ?auto_8986 ) ( IN-CITY ?auto_8985 ?auto_8986 ) ( DIFFERENT ?auto_8985 ?auto_8992 ) ( AIRPLANE ?auto_8993 ) ( AIRPORT ?auto_8994 ) ( AIRPORT ?auto_8992 ) ( DIFFERENT ?auto_8992 ?auto_8994 ) ( LOCATION ?auto_8994 ) ( AT ?auto_8984 ?auto_8994 ) ( LOCATION ?auto_8988 ) ( CITY ?auto_8987 ) ( AT ?auto_8991 ?auto_8988 ) ( IN-CITY ?auto_8988 ?auto_8987 ) ( IN-CITY ?auto_8992 ?auto_8987 ) ( DIFFERENT ?auto_8992 ?auto_8988 ) ( AIRPORT ?auto_8997 ) ( AT ?auto_8993 ?auto_8997 ) ( DIFFERENT ?auto_8994 ?auto_8997 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8993 ?auto_8997 ?auto_8994 )
      ( DELIVER-PKG ?auto_8984 ?auto_8985 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9283
      ?auto_9284
    )
    :vars
    (
      ?auto_9292
      ?auto_9287
      ?auto_9285
      ?auto_9289
      ?auto_9291
      ?auto_9293
      ?auto_9296
      ?auto_9295
    )
    :precondition
    ( and ( OBJ ?auto_9283 ) ( LOCATION ?auto_9284 ) ( TRUCK ?auto_9292 ) ( LOCATION ?auto_9287 ) ( CITY ?auto_9285 ) ( IN-CITY ?auto_9287 ?auto_9285 ) ( IN-CITY ?auto_9284 ?auto_9285 ) ( DIFFERENT ?auto_9284 ?auto_9287 ) ( AIRPLANE ?auto_9289 ) ( AIRPORT ?auto_9291 ) ( AIRPORT ?auto_9287 ) ( DIFFERENT ?auto_9287 ?auto_9291 ) ( LOCATION ?auto_9291 ) ( AT ?auto_9283 ?auto_9291 ) ( AIRPORT ?auto_9293 ) ( AT ?auto_9289 ?auto_9293 ) ( DIFFERENT ?auto_9291 ?auto_9293 ) ( LOCATION ?auto_9296 ) ( CITY ?auto_9295 ) ( AT ?auto_9292 ?auto_9296 ) ( IN-CITY ?auto_9296 ?auto_9295 ) ( IN-CITY ?auto_9287 ?auto_9295 ) ( DIFFERENT ?auto_9287 ?auto_9296 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9292 ?auto_9296 ?auto_9287 ?auto_9295 )
      ( DELIVER-PKG ?auto_9283 ?auto_9284 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9322
      ?auto_9323
    )
    :vars
    (
      ?auto_9329
      ?auto_9326
      ?auto_9325
      ?auto_9327
      ?auto_9328
      ?auto_9330
      ?auto_9332
      ?auto_9331
      ?auto_9335
    )
    :precondition
    ( and ( OBJ ?auto_9322 ) ( LOCATION ?auto_9323 ) ( TRUCK ?auto_9329 ) ( LOCATION ?auto_9326 ) ( CITY ?auto_9325 ) ( IN-CITY ?auto_9326 ?auto_9325 ) ( IN-CITY ?auto_9323 ?auto_9325 ) ( DIFFERENT ?auto_9323 ?auto_9326 ) ( AIRPLANE ?auto_9327 ) ( AIRPORT ?auto_9328 ) ( AIRPORT ?auto_9326 ) ( DIFFERENT ?auto_9326 ?auto_9328 ) ( LOCATION ?auto_9328 ) ( AT ?auto_9322 ?auto_9328 ) ( AIRPORT ?auto_9330 ) ( DIFFERENT ?auto_9328 ?auto_9330 ) ( LOCATION ?auto_9332 ) ( CITY ?auto_9331 ) ( AT ?auto_9329 ?auto_9332 ) ( IN-CITY ?auto_9332 ?auto_9331 ) ( IN-CITY ?auto_9326 ?auto_9331 ) ( DIFFERENT ?auto_9326 ?auto_9332 ) ( AIRPORT ?auto_9335 ) ( AT ?auto_9327 ?auto_9335 ) ( DIFFERENT ?auto_9330 ?auto_9335 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9327 ?auto_9335 ?auto_9330 )
      ( DELIVER-PKG ?auto_9322 ?auto_9323 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9762
      ?auto_9763
    )
    :vars
    (
      ?auto_9766
      ?auto_9765
      ?auto_9769
      ?auto_9768
      ?auto_9767
      ?auto_9773
      ?auto_9772
    )
    :precondition
    ( and ( OBJ ?auto_9762 ) ( LOCATION ?auto_9763 ) ( TRUCK ?auto_9766 ) ( IN ?auto_9762 ?auto_9766 ) ( LOCATION ?auto_9765 ) ( CITY ?auto_9769 ) ( IN-CITY ?auto_9765 ?auto_9769 ) ( IN-CITY ?auto_9763 ?auto_9769 ) ( DIFFERENT ?auto_9763 ?auto_9765 ) ( LOCATION ?auto_9768 ) ( CITY ?auto_9767 ) ( IN-CITY ?auto_9768 ?auto_9767 ) ( IN-CITY ?auto_9765 ?auto_9767 ) ( DIFFERENT ?auto_9765 ?auto_9768 ) ( LOCATION ?auto_9773 ) ( CITY ?auto_9772 ) ( AT ?auto_9766 ?auto_9773 ) ( IN-CITY ?auto_9773 ?auto_9772 ) ( IN-CITY ?auto_9768 ?auto_9772 ) ( DIFFERENT ?auto_9768 ?auto_9773 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9766 ?auto_9773 ?auto_9768 ?auto_9772 )
      ( DELIVER-PKG ?auto_9762 ?auto_9763 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9786
      ?auto_9787
    )
    :vars
    (
      ?auto_9789
      ?auto_9796
      ?auto_9793
      ?auto_9792
      ?auto_9795
      ?auto_9794
      ?auto_9791
      ?auto_9799
      ?auto_9798
    )
    :precondition
    ( and ( OBJ ?auto_9786 ) ( LOCATION ?auto_9787 ) ( TRUCK ?auto_9789 ) ( IN ?auto_9786 ?auto_9789 ) ( LOCATION ?auto_9796 ) ( CITY ?auto_9793 ) ( IN-CITY ?auto_9796 ?auto_9793 ) ( IN-CITY ?auto_9787 ?auto_9793 ) ( DIFFERENT ?auto_9787 ?auto_9796 ) ( LOCATION ?auto_9792 ) ( CITY ?auto_9795 ) ( IN-CITY ?auto_9792 ?auto_9795 ) ( IN-CITY ?auto_9796 ?auto_9795 ) ( DIFFERENT ?auto_9796 ?auto_9792 ) ( LOCATION ?auto_9794 ) ( CITY ?auto_9791 ) ( IN-CITY ?auto_9794 ?auto_9791 ) ( IN-CITY ?auto_9792 ?auto_9791 ) ( DIFFERENT ?auto_9792 ?auto_9794 ) ( LOCATION ?auto_9799 ) ( CITY ?auto_9798 ) ( AT ?auto_9789 ?auto_9799 ) ( IN-CITY ?auto_9799 ?auto_9798 ) ( IN-CITY ?auto_9794 ?auto_9798 ) ( DIFFERENT ?auto_9794 ?auto_9799 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9789 ?auto_9799 ?auto_9794 ?auto_9798 )
      ( DELIVER-PKG ?auto_9786 ?auto_9787 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9814
      ?auto_9815
    )
    :vars
    (
      ?auto_9818
      ?auto_9824
      ?auto_9821
      ?auto_9820
      ?auto_9823
      ?auto_9822
      ?auto_9819
      ?auto_9826
      ?auto_9825
      ?auto_9828
    )
    :precondition
    ( and ( OBJ ?auto_9814 ) ( LOCATION ?auto_9815 ) ( TRUCK ?auto_9818 ) ( LOCATION ?auto_9824 ) ( CITY ?auto_9821 ) ( IN-CITY ?auto_9824 ?auto_9821 ) ( IN-CITY ?auto_9815 ?auto_9821 ) ( DIFFERENT ?auto_9815 ?auto_9824 ) ( LOCATION ?auto_9820 ) ( CITY ?auto_9823 ) ( IN-CITY ?auto_9820 ?auto_9823 ) ( IN-CITY ?auto_9824 ?auto_9823 ) ( DIFFERENT ?auto_9824 ?auto_9820 ) ( LOCATION ?auto_9822 ) ( CITY ?auto_9819 ) ( IN-CITY ?auto_9822 ?auto_9819 ) ( IN-CITY ?auto_9820 ?auto_9819 ) ( DIFFERENT ?auto_9820 ?auto_9822 ) ( LOCATION ?auto_9826 ) ( CITY ?auto_9825 ) ( AT ?auto_9818 ?auto_9826 ) ( IN-CITY ?auto_9826 ?auto_9825 ) ( IN-CITY ?auto_9822 ?auto_9825 ) ( DIFFERENT ?auto_9822 ?auto_9826 ) ( LOCATION ?auto_9828 ) ( AT ?auto_9818 ?auto_9828 ) ( AT ?auto_9814 ?auto_9828 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9814 ?auto_9818 ?auto_9828 )
      ( DELIVER-PKG ?auto_9814 ?auto_9815 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10058
      ?auto_10059
    )
    :vars
    (
      ?auto_10065
      ?auto_10061
      ?auto_10062
      ?auto_10064
      ?auto_10063
      ?auto_10069
      ?auto_10068
    )
    :precondition
    ( and ( OBJ ?auto_10058 ) ( LOCATION ?auto_10059 ) ( TRUCK ?auto_10065 ) ( LOCATION ?auto_10061 ) ( CITY ?auto_10062 ) ( IN-CITY ?auto_10061 ?auto_10062 ) ( IN-CITY ?auto_10059 ?auto_10062 ) ( DIFFERENT ?auto_10059 ?auto_10061 ) ( AT ?auto_10058 ?auto_10061 ) ( LOCATION ?auto_10064 ) ( CITY ?auto_10063 ) ( IN-CITY ?auto_10064 ?auto_10063 ) ( IN-CITY ?auto_10061 ?auto_10063 ) ( DIFFERENT ?auto_10061 ?auto_10064 ) ( LOCATION ?auto_10069 ) ( CITY ?auto_10068 ) ( AT ?auto_10065 ?auto_10069 ) ( IN-CITY ?auto_10069 ?auto_10068 ) ( IN-CITY ?auto_10064 ?auto_10068 ) ( DIFFERENT ?auto_10064 ?auto_10069 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10065 ?auto_10069 ?auto_10064 ?auto_10068 )
      ( DELIVER-PKG ?auto_10058 ?auto_10059 ) )
  )

)

