( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36
      ?auto_37
    )
    :vars
    (
      ?auto_40
    )
    :precondition
    ( and ( OBJ ?auto_36 ) ( LOCATION ?auto_37 ) ( TRUCK ?auto_40 ) ( AT ?auto_40 ?auto_37 ) ( IN ?auto_36 ?auto_40 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_36 ?auto_40 ?auto_37 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46
      ?auto_47
    )
    :vars
    (
      ?auto_50
      ?auto_53
      ?auto_52
    )
    :precondition
    ( and ( OBJ ?auto_46 ) ( LOCATION ?auto_47 ) ( TRUCK ?auto_50 ) ( IN ?auto_46 ?auto_50 ) ( LOCATION ?auto_53 ) ( CITY ?auto_52 ) ( AT ?auto_50 ?auto_53 ) ( IN-CITY ?auto_53 ?auto_52 ) ( IN-CITY ?auto_47 ?auto_52 ) ( DIFFERENT ?auto_47 ?auto_53 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50 ?auto_53 ?auto_47 ?auto_52 )
      ( DELIVER-PKG ?auto_46 ?auto_47 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_62
      ?auto_63
    )
    :vars
    (
      ?auto_64
      ?auto_68
      ?auto_67
      ?auto_70
    )
    :precondition
    ( and ( OBJ ?auto_62 ) ( LOCATION ?auto_63 ) ( TRUCK ?auto_64 ) ( LOCATION ?auto_68 ) ( CITY ?auto_67 ) ( AT ?auto_64 ?auto_68 ) ( IN-CITY ?auto_68 ?auto_67 ) ( IN-CITY ?auto_63 ?auto_67 ) ( DIFFERENT ?auto_63 ?auto_68 ) ( LOCATION ?auto_70 ) ( AT ?auto_64 ?auto_70 ) ( AT ?auto_62 ?auto_70 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_62 ?auto_64 ?auto_70 )
      ( DELIVER-PKG ?auto_62 ?auto_63 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_159
      ?auto_160
    )
    :vars
    (
      ?auto_164
      ?auto_165
      ?auto_162
      ?auto_169
      ?auto_168
    )
    :precondition
    ( and ( OBJ ?auto_159 ) ( LOCATION ?auto_160 ) ( TRUCK ?auto_164 ) ( LOCATION ?auto_165 ) ( CITY ?auto_162 ) ( IN-CITY ?auto_165 ?auto_162 ) ( IN-CITY ?auto_160 ?auto_162 ) ( DIFFERENT ?auto_160 ?auto_165 ) ( AT ?auto_159 ?auto_165 ) ( LOCATION ?auto_169 ) ( CITY ?auto_168 ) ( AT ?auto_164 ?auto_169 ) ( IN-CITY ?auto_169 ?auto_168 ) ( IN-CITY ?auto_165 ?auto_168 ) ( DIFFERENT ?auto_165 ?auto_169 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_164 ?auto_169 ?auto_165 ?auto_168 )
      ( DELIVER-PKG ?auto_159 ?auto_160 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_294
      ?auto_295
    )
    :vars
    (
      ?auto_298
      ?auto_300
      ?auto_297
      ?auto_299
      ?auto_304
    )
    :precondition
    ( and ( OBJ ?auto_294 ) ( LOCATION ?auto_295 ) ( TRUCK ?auto_298 ) ( LOCATION ?auto_300 ) ( CITY ?auto_297 ) ( AT ?auto_298 ?auto_300 ) ( IN-CITY ?auto_300 ?auto_297 ) ( IN-CITY ?auto_295 ?auto_297 ) ( DIFFERENT ?auto_295 ?auto_300 ) ( LOCATION ?auto_299 ) ( AT ?auto_298 ?auto_299 ) ( TRUCK ?auto_304 ) ( AT ?auto_304 ?auto_299 ) ( IN ?auto_294 ?auto_304 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_294 ?auto_299 )
      ( DELIVER-PKG ?auto_294 ?auto_295 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_305
      ?auto_306
    )
    :vars
    (
      ?auto_307
      ?auto_308
      ?auto_311
      ?auto_316
      ?auto_315
    )
    :precondition
    ( and ( OBJ ?auto_305 ) ( LOCATION ?auto_306 ) ( TRUCK ?auto_307 ) ( LOCATION ?auto_308 ) ( CITY ?auto_311 ) ( IN-CITY ?auto_308 ?auto_311 ) ( IN-CITY ?auto_306 ?auto_311 ) ( DIFFERENT ?auto_306 ?auto_308 ) ( IN ?auto_305 ?auto_307 ) ( LOCATION ?auto_316 ) ( CITY ?auto_315 ) ( AT ?auto_307 ?auto_316 ) ( IN-CITY ?auto_316 ?auto_315 ) ( IN-CITY ?auto_308 ?auto_315 ) ( DIFFERENT ?auto_308 ?auto_316 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_307 ?auto_316 ?auto_308 ?auto_315 )
      ( DELIVER-PKG ?auto_305 ?auto_306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_327
      ?auto_328
    )
    :vars
    (
      ?auto_330
      ?auto_334
      ?auto_332
      ?auto_333
      ?auto_331
      ?auto_337
    )
    :precondition
    ( and ( OBJ ?auto_327 ) ( LOCATION ?auto_328 ) ( TRUCK ?auto_330 ) ( LOCATION ?auto_334 ) ( CITY ?auto_332 ) ( IN-CITY ?auto_334 ?auto_332 ) ( IN-CITY ?auto_328 ?auto_332 ) ( DIFFERENT ?auto_328 ?auto_334 ) ( LOCATION ?auto_333 ) ( CITY ?auto_331 ) ( AT ?auto_330 ?auto_333 ) ( IN-CITY ?auto_333 ?auto_331 ) ( IN-CITY ?auto_334 ?auto_331 ) ( DIFFERENT ?auto_334 ?auto_333 ) ( LOCATION ?auto_337 ) ( AT ?auto_330 ?auto_337 ) ( AT ?auto_327 ?auto_337 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_327 ?auto_330 ?auto_337 )
      ( DELIVER-PKG ?auto_327 ?auto_328 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_349
      ?auto_350
    )
    :vars
    (
      ?auto_354
      ?auto_355
      ?auto_352
      ?auto_358
      ?auto_353
      ?auto_361
      ?auto_360
    )
    :precondition
    ( and ( OBJ ?auto_349 ) ( LOCATION ?auto_350 ) ( TRUCK ?auto_354 ) ( LOCATION ?auto_355 ) ( CITY ?auto_352 ) ( IN-CITY ?auto_355 ?auto_352 ) ( IN-CITY ?auto_350 ?auto_352 ) ( DIFFERENT ?auto_350 ?auto_355 ) ( LOCATION ?auto_358 ) ( CITY ?auto_353 ) ( IN-CITY ?auto_358 ?auto_353 ) ( IN-CITY ?auto_355 ?auto_353 ) ( DIFFERENT ?auto_355 ?auto_358 ) ( AT ?auto_349 ?auto_358 ) ( LOCATION ?auto_361 ) ( CITY ?auto_360 ) ( AT ?auto_354 ?auto_361 ) ( IN-CITY ?auto_361 ?auto_360 ) ( IN-CITY ?auto_358 ?auto_360 ) ( DIFFERENT ?auto_358 ?auto_361 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_354 ?auto_361 ?auto_358 ?auto_360 )
      ( DELIVER-PKG ?auto_349 ?auto_350 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_591
      ?auto_592
    )
    :vars
    (
      ?auto_595
      ?auto_596
      ?auto_597
      ?auto_594
      ?auto_593
      ?auto_602
      ?auto_601
    )
    :precondition
    ( and ( OBJ ?auto_591 ) ( LOCATION ?auto_592 ) ( TRUCK ?auto_595 ) ( LOCATION ?auto_596 ) ( CITY ?auto_597 ) ( IN-CITY ?auto_596 ?auto_597 ) ( IN-CITY ?auto_592 ?auto_597 ) ( DIFFERENT ?auto_592 ?auto_596 ) ( AT ?auto_591 ?auto_596 ) ( LOCATION ?auto_594 ) ( CITY ?auto_593 ) ( IN-CITY ?auto_594 ?auto_593 ) ( IN-CITY ?auto_596 ?auto_593 ) ( DIFFERENT ?auto_596 ?auto_594 ) ( LOCATION ?auto_602 ) ( CITY ?auto_601 ) ( AT ?auto_595 ?auto_602 ) ( IN-CITY ?auto_602 ?auto_601 ) ( IN-CITY ?auto_594 ?auto_601 ) ( DIFFERENT ?auto_594 ?auto_602 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_595 ?auto_602 ?auto_594 ?auto_601 )
      ( DELIVER-PKG ?auto_591 ?auto_592 ) )
  )

)

