( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52
      ?auto_53
    )
    :vars
    (
      ?auto_56
    )
    :precondition
    ( and ( OBJ ?auto_52 ) ( LOCATION ?auto_53 ) ( TRUCK ?auto_56 ) ( AT ?auto_56 ?auto_53 ) ( IN ?auto_52 ?auto_56 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_52 ?auto_56 ?auto_53 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_62
      ?auto_63
    )
    :vars
    (
      ?auto_64
      ?auto_69
      ?auto_68
    )
    :precondition
    ( and ( OBJ ?auto_62 ) ( LOCATION ?auto_63 ) ( TRUCK ?auto_64 ) ( IN ?auto_62 ?auto_64 ) ( LOCATION ?auto_69 ) ( CITY ?auto_68 ) ( AT ?auto_64 ?auto_69 ) ( IN-CITY ?auto_69 ?auto_68 ) ( IN-CITY ?auto_63 ?auto_68 ) ( DIFFERENT ?auto_63 ?auto_69 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_64 ?auto_69 ?auto_63 ?auto_68 )
      ( DELIVER-PKG ?auto_62 ?auto_63 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_78
      ?auto_79
    )
    :vars
    (
      ?auto_80
      ?auto_84
      ?auto_83
      ?auto_86
    )
    :precondition
    ( and ( OBJ ?auto_78 ) ( LOCATION ?auto_79 ) ( TRUCK ?auto_80 ) ( LOCATION ?auto_84 ) ( CITY ?auto_83 ) ( AT ?auto_80 ?auto_84 ) ( IN-CITY ?auto_84 ?auto_83 ) ( IN-CITY ?auto_79 ?auto_83 ) ( DIFFERENT ?auto_79 ?auto_84 ) ( LOCATION ?auto_86 ) ( AT ?auto_80 ?auto_86 ) ( AT ?auto_78 ?auto_86 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_78 ?auto_80 ?auto_86 )
      ( DELIVER-PKG ?auto_78 ?auto_79 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_144
      ?auto_145
    )
    :vars
    (
      ?auto_148
    )
    :precondition
    ( and ( OBJ ?auto_144 ) ( LOCATION ?auto_145 ) ( AIRPLANE ?auto_148 ) ( IN ?auto_144 ?auto_148 ) ( AT ?auto_148 ?auto_145 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_144 ?auto_148 ?auto_145 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_154
      ?auto_155
    )
    :vars
    (
      ?auto_158
      ?auto_160
    )
    :precondition
    ( and ( OBJ ?auto_154 ) ( LOCATION ?auto_155 ) ( AIRPLANE ?auto_158 ) ( IN ?auto_154 ?auto_158 ) ( AIRPORT ?auto_160 ) ( AIRPORT ?auto_155 ) ( AT ?auto_158 ?auto_160 ) ( DIFFERENT ?auto_155 ?auto_160 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_158 ?auto_160 ?auto_155 )
      ( DELIVER-PKG ?auto_154 ?auto_155 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6535
      ?auto_6536
    )
    :vars
    (
      ?auto_6541
      ?auto_6545
      ?auto_6546
      ?auto_6538
      ?auto_6543
      ?auto_6544
      ?auto_6537
      ?auto_6539
      ?auto_6548
    )
    :precondition
    ( and ( OBJ ?auto_6535 ) ( LOCATION ?auto_6536 ) ( AIRPLANE ?auto_6541 ) ( AIRPORT ?auto_6545 ) ( AIRPORT ?auto_6536 ) ( AT ?auto_6541 ?auto_6545 ) ( DIFFERENT ?auto_6536 ?auto_6545 ) ( LOCATION ?auto_6546 ) ( AT ?auto_6541 ?auto_6546 ) ( AIRPLANE ?auto_6538 ) ( AT ?auto_6538 ?auto_6546 ) ( LOCATION ?auto_6543 ) ( AT ?auto_6538 ?auto_6543 ) ( AIRPLANE ?auto_6544 ) ( AT ?auto_6544 ?auto_6543 ) ( LOCATION ?auto_6537 ) ( AT ?auto_6544 ?auto_6537 ) ( AIRPLANE ?auto_6539 ) ( AT ?auto_6539 ?auto_6537 ) ( LOCATION ?auto_6548 ) ( AT ?auto_6535 ?auto_6548 ) ( AT ?auto_6539 ?auto_6548 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6535 ?auto_6539 ?auto_6548 )
      ( DELIVER-PKG ?auto_6535 ?auto_6536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_184
      ?auto_185
    )
    :vars
    (
      ?auto_187
      ?auto_190
      ?auto_192
    )
    :precondition
    ( and ( OBJ ?auto_184 ) ( LOCATION ?auto_185 ) ( AIRPLANE ?auto_187 ) ( AIRPORT ?auto_190 ) ( AIRPORT ?auto_185 ) ( DIFFERENT ?auto_185 ?auto_190 ) ( LOCATION ?auto_190 ) ( AT ?auto_184 ?auto_190 ) ( AIRPORT ?auto_192 ) ( AT ?auto_187 ?auto_192 ) ( DIFFERENT ?auto_190 ?auto_192 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_187 ?auto_192 ?auto_190 )
      ( DELIVER-PKG ?auto_184 ?auto_185 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4845
      ?auto_4846
    )
    :vars
    (
      ?auto_4850
      ?auto_4847
      ?auto_4853
      ?auto_4852
      ?auto_4848
      ?auto_4855
    )
    :precondition
    ( and ( OBJ ?auto_4845 ) ( LOCATION ?auto_4846 ) ( AIRPLANE ?auto_4850 ) ( AIRPORT ?auto_4847 ) ( AIRPORT ?auto_4846 ) ( AT ?auto_4850 ?auto_4847 ) ( DIFFERENT ?auto_4846 ?auto_4847 ) ( LOCATION ?auto_4853 ) ( AT ?auto_4850 ?auto_4853 ) ( AIRPLANE ?auto_4852 ) ( AT ?auto_4852 ?auto_4853 ) ( LOCATION ?auto_4848 ) ( AT ?auto_4852 ?auto_4848 ) ( TRUCK ?auto_4855 ) ( AT ?auto_4855 ?auto_4848 ) ( IN ?auto_4845 ?auto_4855 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4845 ?auto_4848 )
      ( DELIVER-PKG ?auto_4845 ?auto_4846 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4877
      ?auto_4878
    )
    :vars
    (
      ?auto_4879
      ?auto_4884
      ?auto_4881
      ?auto_4880
      ?auto_4885
      ?auto_4883
      ?auto_4889
      ?auto_4888
    )
    :precondition
    ( and ( OBJ ?auto_4877 ) ( LOCATION ?auto_4878 ) ( AIRPLANE ?auto_4879 ) ( AIRPORT ?auto_4884 ) ( AIRPORT ?auto_4878 ) ( AT ?auto_4879 ?auto_4884 ) ( DIFFERENT ?auto_4878 ?auto_4884 ) ( LOCATION ?auto_4881 ) ( AT ?auto_4879 ?auto_4881 ) ( AIRPLANE ?auto_4880 ) ( AT ?auto_4880 ?auto_4881 ) ( LOCATION ?auto_4885 ) ( AT ?auto_4880 ?auto_4885 ) ( TRUCK ?auto_4883 ) ( IN ?auto_4877 ?auto_4883 ) ( LOCATION ?auto_4889 ) ( CITY ?auto_4888 ) ( AT ?auto_4883 ?auto_4889 ) ( IN-CITY ?auto_4889 ?auto_4888 ) ( IN-CITY ?auto_4885 ?auto_4888 ) ( DIFFERENT ?auto_4885 ?auto_4889 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4883 ?auto_4889 ?auto_4885 ?auto_4888 )
      ( DELIVER-PKG ?auto_4877 ?auto_4878 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4915
      ?auto_4916
    )
    :vars
    (
      ?auto_4918
      ?auto_4919
      ?auto_4923
      ?auto_4922
      ?auto_4920
      ?auto_4924
      ?auto_4926
      ?auto_4925
      ?auto_4928
    )
    :precondition
    ( and ( OBJ ?auto_4915 ) ( LOCATION ?auto_4916 ) ( AIRPLANE ?auto_4918 ) ( AIRPORT ?auto_4919 ) ( AIRPORT ?auto_4916 ) ( AT ?auto_4918 ?auto_4919 ) ( DIFFERENT ?auto_4916 ?auto_4919 ) ( LOCATION ?auto_4923 ) ( AT ?auto_4918 ?auto_4923 ) ( AIRPLANE ?auto_4922 ) ( AT ?auto_4922 ?auto_4923 ) ( LOCATION ?auto_4920 ) ( AT ?auto_4922 ?auto_4920 ) ( TRUCK ?auto_4924 ) ( LOCATION ?auto_4926 ) ( CITY ?auto_4925 ) ( AT ?auto_4924 ?auto_4926 ) ( IN-CITY ?auto_4926 ?auto_4925 ) ( IN-CITY ?auto_4920 ?auto_4925 ) ( DIFFERENT ?auto_4920 ?auto_4926 ) ( LOCATION ?auto_4928 ) ( AT ?auto_4924 ?auto_4928 ) ( AT ?auto_4915 ?auto_4928 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4915 ?auto_4924 ?auto_4928 )
      ( DELIVER-PKG ?auto_4915 ?auto_4916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_358
      ?auto_359
    )
    :vars
    (
      ?auto_364
      ?auto_361
      ?auto_362
      ?auto_367
      ?auto_366
      ?auto_368
      ?auto_370
    )
    :precondition
    ( and ( OBJ ?auto_358 ) ( LOCATION ?auto_359 ) ( AIRPLANE ?auto_364 ) ( AIRPORT ?auto_361 ) ( AIRPORT ?auto_359 ) ( DIFFERENT ?auto_359 ?auto_361 ) ( LOCATION ?auto_361 ) ( TRUCK ?auto_362 ) ( LOCATION ?auto_367 ) ( CITY ?auto_366 ) ( AT ?auto_362 ?auto_367 ) ( IN-CITY ?auto_367 ?auto_366 ) ( IN-CITY ?auto_361 ?auto_366 ) ( DIFFERENT ?auto_361 ?auto_367 ) ( LOCATION ?auto_368 ) ( AT ?auto_362 ?auto_368 ) ( AT ?auto_358 ?auto_368 ) ( AIRPORT ?auto_370 ) ( AT ?auto_364 ?auto_370 ) ( DIFFERENT ?auto_361 ?auto_370 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_364 ?auto_370 ?auto_361 )
      ( DELIVER-PKG ?auto_358 ?auto_359 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25155
      ?auto_25156
    )
    :vars
    (
      ?auto_25158
      ?auto_25159
      ?auto_25163
      ?auto_25164
      ?auto_25162
      ?auto_25157
      ?auto_25166
    )
    :precondition
    ( and ( OBJ ?auto_25155 ) ( LOCATION ?auto_25156 ) ( TRUCK ?auto_25158 ) ( LOCATION ?auto_25159 ) ( CITY ?auto_25163 ) ( AT ?auto_25158 ?auto_25159 ) ( IN-CITY ?auto_25159 ?auto_25163 ) ( IN-CITY ?auto_25156 ?auto_25163 ) ( DIFFERENT ?auto_25156 ?auto_25159 ) ( LOCATION ?auto_25164 ) ( AT ?auto_25158 ?auto_25164 ) ( AIRPLANE ?auto_25162 ) ( AT ?auto_25162 ?auto_25164 ) ( LOCATION ?auto_25157 ) ( AT ?auto_25162 ?auto_25157 ) ( AIRPLANE ?auto_25166 ) ( IN ?auto_25155 ?auto_25166 ) ( AT ?auto_25166 ?auto_25157 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25155 ?auto_25157 )
      ( DELIVER-PKG ?auto_25155 ?auto_25156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_504
      ?auto_505
    )
    :vars
    (
      ?auto_511
      ?auto_508
      ?auto_512
      ?auto_509
      ?auto_510
      ?auto_514
    )
    :precondition
    ( and ( OBJ ?auto_504 ) ( LOCATION ?auto_505 ) ( TRUCK ?auto_511 ) ( LOCATION ?auto_508 ) ( CITY ?auto_512 ) ( AT ?auto_511 ?auto_508 ) ( IN-CITY ?auto_508 ?auto_512 ) ( IN-CITY ?auto_505 ?auto_512 ) ( DIFFERENT ?auto_505 ?auto_508 ) ( LOCATION ?auto_509 ) ( AT ?auto_511 ?auto_509 ) ( AIRPLANE ?auto_510 ) ( IN ?auto_504 ?auto_510 ) ( AIRPORT ?auto_514 ) ( AIRPORT ?auto_509 ) ( AT ?auto_510 ?auto_514 ) ( DIFFERENT ?auto_509 ?auto_514 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_510 ?auto_514 ?auto_509 )
      ( DELIVER-PKG ?auto_504 ?auto_505 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7986
      ?auto_7987
    )
    :vars
    (
      ?auto_7998
      ?auto_7993
      ?auto_7996
      ?auto_7989
      ?auto_7988
      ?auto_7994
      ?auto_7997
      ?auto_7999
      ?auto_8001
      ?auto_8000
      ?auto_7991
      ?auto_7990
      ?auto_8003
    )
    :precondition
    ( and ( OBJ ?auto_7986 ) ( LOCATION ?auto_7987 ) ( TRUCK ?auto_7998 ) ( LOCATION ?auto_7993 ) ( CITY ?auto_7996 ) ( AT ?auto_7998 ?auto_7993 ) ( IN-CITY ?auto_7993 ?auto_7996 ) ( IN-CITY ?auto_7987 ?auto_7996 ) ( DIFFERENT ?auto_7987 ?auto_7993 ) ( LOCATION ?auto_7989 ) ( AT ?auto_7998 ?auto_7989 ) ( AIRPLANE ?auto_7988 ) ( AIRPORT ?auto_7994 ) ( AIRPORT ?auto_7989 ) ( AT ?auto_7988 ?auto_7994 ) ( DIFFERENT ?auto_7989 ?auto_7994 ) ( LOCATION ?auto_7997 ) ( AT ?auto_7988 ?auto_7997 ) ( AIRPLANE ?auto_7999 ) ( AT ?auto_7999 ?auto_7997 ) ( LOCATION ?auto_8001 ) ( AT ?auto_7999 ?auto_8001 ) ( AIRPLANE ?auto_8000 ) ( AT ?auto_8000 ?auto_8001 ) ( LOCATION ?auto_7991 ) ( AT ?auto_8000 ?auto_7991 ) ( AIRPLANE ?auto_7990 ) ( AT ?auto_7990 ?auto_7991 ) ( LOCATION ?auto_8003 ) ( AT ?auto_7986 ?auto_8003 ) ( AT ?auto_7990 ?auto_8003 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7986 ?auto_7990 ?auto_8003 )
      ( DELIVER-PKG ?auto_7986 ?auto_7987 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_550
      ?auto_551
    )
    :vars
    (
      ?auto_556
      ?auto_555
      ?auto_552
      ?auto_554
      ?auto_558
      ?auto_553
      ?auto_560
      ?auto_561
    )
    :precondition
    ( and ( OBJ ?auto_550 ) ( LOCATION ?auto_551 ) ( TRUCK ?auto_556 ) ( LOCATION ?auto_555 ) ( CITY ?auto_552 ) ( AT ?auto_556 ?auto_555 ) ( IN-CITY ?auto_555 ?auto_552 ) ( IN-CITY ?auto_551 ?auto_552 ) ( DIFFERENT ?auto_551 ?auto_555 ) ( LOCATION ?auto_554 ) ( AT ?auto_556 ?auto_554 ) ( AIRPLANE ?auto_558 ) ( AIRPORT ?auto_553 ) ( AIRPORT ?auto_554 ) ( AT ?auto_558 ?auto_553 ) ( DIFFERENT ?auto_554 ?auto_553 ) ( LOCATION ?auto_560 ) ( AT ?auto_558 ?auto_560 ) ( TRUCK ?auto_561 ) ( AT ?auto_561 ?auto_560 ) ( IN ?auto_550 ?auto_561 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_550 ?auto_560 )
      ( DELIVER-PKG ?auto_550 ?auto_551 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_576
      ?auto_577
    )
    :vars
    (
      ?auto_580
      ?auto_578
      ?auto_587
      ?auto_585
      ?auto_582
      ?auto_583
      ?auto_584
      ?auto_581
      ?auto_590
      ?auto_589
    )
    :precondition
    ( and ( OBJ ?auto_576 ) ( LOCATION ?auto_577 ) ( TRUCK ?auto_580 ) ( LOCATION ?auto_578 ) ( CITY ?auto_587 ) ( AT ?auto_580 ?auto_578 ) ( IN-CITY ?auto_578 ?auto_587 ) ( IN-CITY ?auto_577 ?auto_587 ) ( DIFFERENT ?auto_577 ?auto_578 ) ( LOCATION ?auto_585 ) ( AT ?auto_580 ?auto_585 ) ( AIRPLANE ?auto_582 ) ( AIRPORT ?auto_583 ) ( AIRPORT ?auto_585 ) ( AT ?auto_582 ?auto_583 ) ( DIFFERENT ?auto_585 ?auto_583 ) ( LOCATION ?auto_584 ) ( AT ?auto_582 ?auto_584 ) ( TRUCK ?auto_581 ) ( IN ?auto_576 ?auto_581 ) ( LOCATION ?auto_590 ) ( CITY ?auto_589 ) ( AT ?auto_581 ?auto_590 ) ( IN-CITY ?auto_590 ?auto_589 ) ( IN-CITY ?auto_584 ?auto_589 ) ( DIFFERENT ?auto_584 ?auto_590 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_581 ?auto_590 ?auto_584 ?auto_589 )
      ( DELIVER-PKG ?auto_576 ?auto_577 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_606
      ?auto_607
    )
    :vars
    (
      ?auto_611
      ?auto_616
      ?auto_610
      ?auto_609
      ?auto_615
      ?auto_612
      ?auto_613
      ?auto_614
      ?auto_619
      ?auto_618
      ?auto_621
    )
    :precondition
    ( and ( OBJ ?auto_606 ) ( LOCATION ?auto_607 ) ( TRUCK ?auto_611 ) ( LOCATION ?auto_616 ) ( CITY ?auto_610 ) ( AT ?auto_611 ?auto_616 ) ( IN-CITY ?auto_616 ?auto_610 ) ( IN-CITY ?auto_607 ?auto_610 ) ( DIFFERENT ?auto_607 ?auto_616 ) ( LOCATION ?auto_609 ) ( AT ?auto_611 ?auto_609 ) ( AIRPLANE ?auto_615 ) ( AIRPORT ?auto_612 ) ( AIRPORT ?auto_609 ) ( AT ?auto_615 ?auto_612 ) ( DIFFERENT ?auto_609 ?auto_612 ) ( LOCATION ?auto_613 ) ( AT ?auto_615 ?auto_613 ) ( TRUCK ?auto_614 ) ( LOCATION ?auto_619 ) ( CITY ?auto_618 ) ( AT ?auto_614 ?auto_619 ) ( IN-CITY ?auto_619 ?auto_618 ) ( IN-CITY ?auto_613 ?auto_618 ) ( DIFFERENT ?auto_613 ?auto_619 ) ( LOCATION ?auto_621 ) ( AT ?auto_614 ?auto_621 ) ( AT ?auto_606 ?auto_621 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_606 ?auto_614 ?auto_621 )
      ( DELIVER-PKG ?auto_606 ?auto_607 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_623
      ?auto_624
    )
    :vars
    (
      ?auto_625
      ?auto_628
      ?auto_626
      ?auto_630
      ?auto_627
      ?auto_631
      ?auto_632
      ?auto_634
      ?auto_633
      ?auto_637
      ?auto_639
    )
    :precondition
    ( and ( OBJ ?auto_623 ) ( LOCATION ?auto_624 ) ( TRUCK ?auto_625 ) ( LOCATION ?auto_628 ) ( CITY ?auto_626 ) ( AT ?auto_625 ?auto_628 ) ( IN-CITY ?auto_628 ?auto_626 ) ( IN-CITY ?auto_624 ?auto_626 ) ( DIFFERENT ?auto_624 ?auto_628 ) ( LOCATION ?auto_630 ) ( AT ?auto_625 ?auto_630 ) ( AIRPLANE ?auto_627 ) ( AIRPORT ?auto_631 ) ( AIRPORT ?auto_630 ) ( DIFFERENT ?auto_630 ?auto_631 ) ( LOCATION ?auto_631 ) ( TRUCK ?auto_632 ) ( LOCATION ?auto_634 ) ( CITY ?auto_633 ) ( AT ?auto_632 ?auto_634 ) ( IN-CITY ?auto_634 ?auto_633 ) ( IN-CITY ?auto_631 ?auto_633 ) ( DIFFERENT ?auto_631 ?auto_634 ) ( LOCATION ?auto_637 ) ( AT ?auto_632 ?auto_637 ) ( AT ?auto_623 ?auto_637 ) ( AIRPORT ?auto_639 ) ( AT ?auto_627 ?auto_639 ) ( DIFFERENT ?auto_631 ?auto_639 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_627 ?auto_639 ?auto_631 )
      ( DELIVER-PKG ?auto_623 ?auto_624 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_818
      ?auto_819
    )
    :vars
    (
      ?auto_821
      ?auto_822
      ?auto_823
      ?auto_827
      ?auto_826
    )
    :precondition
    ( and ( OBJ ?auto_818 ) ( LOCATION ?auto_819 ) ( TRUCK ?auto_821 ) ( IN ?auto_818 ?auto_821 ) ( LOCATION ?auto_822 ) ( CITY ?auto_823 ) ( IN-CITY ?auto_822 ?auto_823 ) ( IN-CITY ?auto_819 ?auto_823 ) ( DIFFERENT ?auto_819 ?auto_822 ) ( LOCATION ?auto_827 ) ( CITY ?auto_826 ) ( AT ?auto_821 ?auto_827 ) ( IN-CITY ?auto_827 ?auto_826 ) ( IN-CITY ?auto_822 ?auto_826 ) ( DIFFERENT ?auto_822 ?auto_827 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_821 ?auto_827 ?auto_822 ?auto_826 )
      ( DELIVER-PKG ?auto_818 ?auto_819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_847
      ?auto_848
    )
    :vars
    (
      ?auto_852
      ?auto_853
      ?auto_851
      ?auto_855
      ?auto_854
      ?auto_857
    )
    :precondition
    ( and ( OBJ ?auto_847 ) ( LOCATION ?auto_848 ) ( TRUCK ?auto_852 ) ( LOCATION ?auto_853 ) ( CITY ?auto_851 ) ( IN-CITY ?auto_853 ?auto_851 ) ( IN-CITY ?auto_848 ?auto_851 ) ( DIFFERENT ?auto_848 ?auto_853 ) ( LOCATION ?auto_855 ) ( CITY ?auto_854 ) ( AT ?auto_852 ?auto_855 ) ( IN-CITY ?auto_855 ?auto_854 ) ( IN-CITY ?auto_853 ?auto_854 ) ( DIFFERENT ?auto_853 ?auto_855 ) ( LOCATION ?auto_857 ) ( AT ?auto_852 ?auto_857 ) ( AT ?auto_847 ?auto_857 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_847 ?auto_852 ?auto_857 )
      ( DELIVER-PKG ?auto_847 ?auto_848 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3744
      ?auto_3745
    )
    :vars
    (
      ?auto_3754
      ?auto_3755
      ?auto_3751
      ?auto_3749
      ?auto_3747
      ?auto_3750
      ?auto_3753
      ?auto_3746
      ?auto_3756
    )
    :precondition
    ( and ( OBJ ?auto_3744 ) ( LOCATION ?auto_3745 ) ( TRUCK ?auto_3754 ) ( LOCATION ?auto_3755 ) ( CITY ?auto_3751 ) ( IN-CITY ?auto_3755 ?auto_3751 ) ( IN-CITY ?auto_3745 ?auto_3751 ) ( DIFFERENT ?auto_3745 ?auto_3755 ) ( LOCATION ?auto_3749 ) ( CITY ?auto_3747 ) ( AT ?auto_3754 ?auto_3749 ) ( IN-CITY ?auto_3749 ?auto_3747 ) ( IN-CITY ?auto_3755 ?auto_3747 ) ( DIFFERENT ?auto_3755 ?auto_3749 ) ( LOCATION ?auto_3750 ) ( AT ?auto_3754 ?auto_3750 ) ( AIRPLANE ?auto_3753 ) ( AT ?auto_3753 ?auto_3750 ) ( LOCATION ?auto_3746 ) ( AT ?auto_3753 ?auto_3746 ) ( AIRPLANE ?auto_3756 ) ( IN ?auto_3744 ?auto_3756 ) ( AT ?auto_3756 ?auto_3746 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3744 ?auto_3746 )
      ( DELIVER-PKG ?auto_3744 ?auto_3745 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_893
      ?auto_894
    )
    :vars
    (
      ?auto_897
      ?auto_896
      ?auto_901
      ?auto_899
      ?auto_898
      ?auto_900
      ?auto_903
      ?auto_905
    )
    :precondition
    ( and ( OBJ ?auto_893 ) ( LOCATION ?auto_894 ) ( TRUCK ?auto_897 ) ( LOCATION ?auto_896 ) ( CITY ?auto_901 ) ( IN-CITY ?auto_896 ?auto_901 ) ( IN-CITY ?auto_894 ?auto_901 ) ( DIFFERENT ?auto_894 ?auto_896 ) ( LOCATION ?auto_899 ) ( CITY ?auto_898 ) ( AT ?auto_897 ?auto_899 ) ( IN-CITY ?auto_899 ?auto_898 ) ( IN-CITY ?auto_896 ?auto_898 ) ( DIFFERENT ?auto_896 ?auto_899 ) ( LOCATION ?auto_900 ) ( AT ?auto_897 ?auto_900 ) ( AIRPLANE ?auto_903 ) ( IN ?auto_893 ?auto_903 ) ( AIRPORT ?auto_905 ) ( AIRPORT ?auto_900 ) ( AT ?auto_903 ?auto_905 ) ( DIFFERENT ?auto_900 ?auto_905 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_903 ?auto_905 ?auto_900 )
      ( DELIVER-PKG ?auto_893 ?auto_894 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_919
      ?auto_920
    )
    :vars
    (
      ?auto_921
      ?auto_927
      ?auto_928
      ?auto_923
      ?auto_925
      ?auto_924
      ?auto_922
      ?auto_930
      ?auto_932
    )
    :precondition
    ( and ( OBJ ?auto_919 ) ( LOCATION ?auto_920 ) ( TRUCK ?auto_921 ) ( LOCATION ?auto_927 ) ( CITY ?auto_928 ) ( IN-CITY ?auto_927 ?auto_928 ) ( IN-CITY ?auto_920 ?auto_928 ) ( DIFFERENT ?auto_920 ?auto_927 ) ( LOCATION ?auto_923 ) ( CITY ?auto_925 ) ( AT ?auto_921 ?auto_923 ) ( IN-CITY ?auto_923 ?auto_925 ) ( IN-CITY ?auto_927 ?auto_925 ) ( DIFFERENT ?auto_927 ?auto_923 ) ( LOCATION ?auto_924 ) ( AT ?auto_921 ?auto_924 ) ( AIRPLANE ?auto_922 ) ( AIRPORT ?auto_930 ) ( AIRPORT ?auto_924 ) ( AT ?auto_922 ?auto_930 ) ( DIFFERENT ?auto_924 ?auto_930 ) ( LOCATION ?auto_932 ) ( AT ?auto_919 ?auto_932 ) ( AT ?auto_922 ?auto_932 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_919 ?auto_922 ?auto_932 )
      ( DELIVER-PKG ?auto_919 ?auto_920 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_947
      ?auto_948
    )
    :vars
    (
      ?auto_957
      ?auto_956
      ?auto_951
      ?auto_955
      ?auto_950
      ?auto_949
      ?auto_953
      ?auto_959
      ?auto_961
    )
    :precondition
    ( and ( OBJ ?auto_947 ) ( LOCATION ?auto_948 ) ( TRUCK ?auto_957 ) ( LOCATION ?auto_956 ) ( CITY ?auto_951 ) ( IN-CITY ?auto_956 ?auto_951 ) ( IN-CITY ?auto_948 ?auto_951 ) ( DIFFERENT ?auto_948 ?auto_956 ) ( LOCATION ?auto_955 ) ( CITY ?auto_950 ) ( AT ?auto_957 ?auto_955 ) ( IN-CITY ?auto_955 ?auto_950 ) ( IN-CITY ?auto_956 ?auto_950 ) ( DIFFERENT ?auto_956 ?auto_955 ) ( LOCATION ?auto_949 ) ( AT ?auto_957 ?auto_949 ) ( AIRPLANE ?auto_953 ) ( AIRPORT ?auto_959 ) ( AIRPORT ?auto_949 ) ( DIFFERENT ?auto_949 ?auto_959 ) ( LOCATION ?auto_959 ) ( AT ?auto_947 ?auto_959 ) ( AIRPORT ?auto_961 ) ( AT ?auto_953 ?auto_961 ) ( DIFFERENT ?auto_959 ?auto_961 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_953 ?auto_961 ?auto_959 )
      ( DELIVER-PKG ?auto_947 ?auto_948 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1338
      ?auto_1339
    )
    :vars
    (
      ?auto_1340
      ?auto_1343
      ?auto_1342
      ?auto_1347
    )
    :precondition
    ( and ( OBJ ?auto_1338 ) ( LOCATION ?auto_1339 ) ( AIRPLANE ?auto_1340 ) ( AIRPORT ?auto_1343 ) ( AIRPORT ?auto_1339 ) ( DIFFERENT ?auto_1339 ?auto_1343 ) ( LOCATION ?auto_1343 ) ( AIRPORT ?auto_1342 ) ( AT ?auto_1340 ?auto_1342 ) ( DIFFERENT ?auto_1343 ?auto_1342 ) ( TRUCK ?auto_1347 ) ( AT ?auto_1347 ?auto_1343 ) ( IN ?auto_1338 ?auto_1347 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1338 ?auto_1343 )
      ( DELIVER-PKG ?auto_1338 ?auto_1339 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1348
      ?auto_1349
    )
    :vars
    (
      ?auto_1355
      ?auto_1351
      ?auto_1350
      ?auto_1352
      ?auto_1357
    )
    :precondition
    ( and ( OBJ ?auto_1348 ) ( LOCATION ?auto_1349 ) ( AIRPLANE ?auto_1355 ) ( AIRPORT ?auto_1351 ) ( AIRPORT ?auto_1349 ) ( DIFFERENT ?auto_1349 ?auto_1351 ) ( LOCATION ?auto_1351 ) ( AIRPORT ?auto_1350 ) ( DIFFERENT ?auto_1351 ?auto_1350 ) ( TRUCK ?auto_1352 ) ( AT ?auto_1352 ?auto_1351 ) ( IN ?auto_1348 ?auto_1352 ) ( AIRPORT ?auto_1357 ) ( AT ?auto_1355 ?auto_1357 ) ( DIFFERENT ?auto_1350 ?auto_1357 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1355 ?auto_1357 ?auto_1350 )
      ( DELIVER-PKG ?auto_1348 ?auto_1349 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1359
      ?auto_1360
    )
    :vars
    (
      ?auto_1362
      ?auto_1367
      ?auto_1361
      ?auto_1363
      ?auto_1364
      ?auto_1370
      ?auto_1369
    )
    :precondition
    ( and ( OBJ ?auto_1359 ) ( LOCATION ?auto_1360 ) ( AIRPLANE ?auto_1362 ) ( AIRPORT ?auto_1367 ) ( AIRPORT ?auto_1360 ) ( DIFFERENT ?auto_1360 ?auto_1367 ) ( LOCATION ?auto_1367 ) ( AIRPORT ?auto_1361 ) ( DIFFERENT ?auto_1367 ?auto_1361 ) ( TRUCK ?auto_1363 ) ( IN ?auto_1359 ?auto_1363 ) ( AIRPORT ?auto_1364 ) ( AT ?auto_1362 ?auto_1364 ) ( DIFFERENT ?auto_1361 ?auto_1364 ) ( LOCATION ?auto_1370 ) ( CITY ?auto_1369 ) ( AT ?auto_1363 ?auto_1370 ) ( IN-CITY ?auto_1370 ?auto_1369 ) ( IN-CITY ?auto_1367 ?auto_1369 ) ( DIFFERENT ?auto_1367 ?auto_1370 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1363 ?auto_1370 ?auto_1367 ?auto_1369 )
      ( DELIVER-PKG ?auto_1359 ?auto_1360 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1383
      ?auto_1384
    )
    :vars
    (
      ?auto_1393
      ?auto_1386
      ?auto_1392
      ?auto_1387
      ?auto_1391
      ?auto_1390
      ?auto_1385
      ?auto_1395
    )
    :precondition
    ( and ( OBJ ?auto_1383 ) ( LOCATION ?auto_1384 ) ( AIRPLANE ?auto_1393 ) ( AIRPORT ?auto_1386 ) ( AIRPORT ?auto_1384 ) ( DIFFERENT ?auto_1384 ?auto_1386 ) ( LOCATION ?auto_1386 ) ( AIRPORT ?auto_1392 ) ( DIFFERENT ?auto_1386 ?auto_1392 ) ( TRUCK ?auto_1387 ) ( AIRPORT ?auto_1391 ) ( AT ?auto_1393 ?auto_1391 ) ( DIFFERENT ?auto_1392 ?auto_1391 ) ( LOCATION ?auto_1390 ) ( CITY ?auto_1385 ) ( AT ?auto_1387 ?auto_1390 ) ( IN-CITY ?auto_1390 ?auto_1385 ) ( IN-CITY ?auto_1386 ?auto_1385 ) ( DIFFERENT ?auto_1386 ?auto_1390 ) ( LOCATION ?auto_1395 ) ( AT ?auto_1387 ?auto_1395 ) ( AT ?auto_1383 ?auto_1395 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1383 ?auto_1387 ?auto_1395 )
      ( DELIVER-PKG ?auto_1383 ?auto_1384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1397
      ?auto_1398
    )
    :vars
    (
      ?auto_1403
      ?auto_1399
      ?auto_1402
      ?auto_1400
      ?auto_1404
      ?auto_1405
      ?auto_1401
      ?auto_1408
      ?auto_1410
    )
    :precondition
    ( and ( OBJ ?auto_1397 ) ( LOCATION ?auto_1398 ) ( AIRPLANE ?auto_1403 ) ( AIRPORT ?auto_1399 ) ( AIRPORT ?auto_1398 ) ( DIFFERENT ?auto_1398 ?auto_1399 ) ( LOCATION ?auto_1399 ) ( AIRPORT ?auto_1402 ) ( DIFFERENT ?auto_1399 ?auto_1402 ) ( TRUCK ?auto_1400 ) ( AIRPORT ?auto_1404 ) ( DIFFERENT ?auto_1402 ?auto_1404 ) ( LOCATION ?auto_1405 ) ( CITY ?auto_1401 ) ( AT ?auto_1400 ?auto_1405 ) ( IN-CITY ?auto_1405 ?auto_1401 ) ( IN-CITY ?auto_1399 ?auto_1401 ) ( DIFFERENT ?auto_1399 ?auto_1405 ) ( LOCATION ?auto_1408 ) ( AT ?auto_1400 ?auto_1408 ) ( AT ?auto_1397 ?auto_1408 ) ( AIRPORT ?auto_1410 ) ( AT ?auto_1403 ?auto_1410 ) ( DIFFERENT ?auto_1404 ?auto_1410 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1403 ?auto_1410 ?auto_1404 )
      ( DELIVER-PKG ?auto_1397 ?auto_1398 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1774
      ?auto_1775
    )
    :vars
    (
      ?auto_1776
      ?auto_1779
      ?auto_1781
    )
    :precondition
    ( and ( OBJ ?auto_1774 ) ( LOCATION ?auto_1775 ) ( AIRPLANE ?auto_1776 ) ( IN ?auto_1774 ?auto_1776 ) ( AIRPORT ?auto_1779 ) ( AIRPORT ?auto_1775 ) ( DIFFERENT ?auto_1775 ?auto_1779 ) ( AIRPORT ?auto_1781 ) ( AT ?auto_1776 ?auto_1781 ) ( DIFFERENT ?auto_1779 ?auto_1781 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1776 ?auto_1781 ?auto_1779 )
      ( DELIVER-PKG ?auto_1774 ?auto_1775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23939
      ?auto_23940
    )
    :vars
    (
      ?auto_23942
      ?auto_23941
      ?auto_23946
      ?auto_23943
      ?auto_23945
      ?auto_23949
    )
    :precondition
    ( and ( OBJ ?auto_23939 ) ( LOCATION ?auto_23940 ) ( AIRPLANE ?auto_23942 ) ( AIRPORT ?auto_23941 ) ( AIRPORT ?auto_23940 ) ( DIFFERENT ?auto_23940 ?auto_23941 ) ( AIRPORT ?auto_23946 ) ( AT ?auto_23942 ?auto_23946 ) ( DIFFERENT ?auto_23941 ?auto_23946 ) ( LOCATION ?auto_23943 ) ( AT ?auto_23942 ?auto_23943 ) ( AIRPLANE ?auto_23945 ) ( AT ?auto_23945 ?auto_23943 ) ( LOCATION ?auto_23949 ) ( AT ?auto_23939 ?auto_23949 ) ( AT ?auto_23945 ?auto_23949 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_23939 ?auto_23945 ?auto_23949 )
      ( DELIVER-PKG ?auto_23939 ?auto_23940 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1793
      ?auto_1794
    )
    :vars
    (
      ?auto_1796
      ?auto_1795
      ?auto_1797
      ?auto_1798
      ?auto_1803
    )
    :precondition
    ( and ( OBJ ?auto_1793 ) ( LOCATION ?auto_1794 ) ( AIRPLANE ?auto_1796 ) ( AIRPORT ?auto_1795 ) ( AIRPORT ?auto_1794 ) ( DIFFERENT ?auto_1794 ?auto_1795 ) ( AIRPORT ?auto_1797 ) ( AT ?auto_1796 ?auto_1797 ) ( DIFFERENT ?auto_1795 ?auto_1797 ) ( LOCATION ?auto_1798 ) ( AT ?auto_1796 ?auto_1798 ) ( AIRPLANE ?auto_1803 ) ( IN ?auto_1793 ?auto_1803 ) ( AT ?auto_1803 ?auto_1798 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1793 ?auto_1798 )
      ( DELIVER-PKG ?auto_1793 ?auto_1794 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19366
      ?auto_19367
    )
    :vars
    (
      ?auto_19370
      ?auto_19369
      ?auto_19372
      ?auto_19374
    )
    :precondition
    ( and ( OBJ ?auto_19366 ) ( LOCATION ?auto_19367 ) ( AIRPLANE ?auto_19370 ) ( IN ?auto_19366 ?auto_19370 ) ( AIRPORT ?auto_19369 ) ( AIRPORT ?auto_19367 ) ( DIFFERENT ?auto_19367 ?auto_19369 ) ( AIRPORT ?auto_19372 ) ( DIFFERENT ?auto_19369 ?auto_19372 ) ( AIRPORT ?auto_19374 ) ( AT ?auto_19370 ?auto_19374 ) ( DIFFERENT ?auto_19372 ?auto_19374 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19370 ?auto_19374 ?auto_19372 )
      ( DELIVER-PKG ?auto_19366 ?auto_19367 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19400
      ?auto_19401
    )
    :vars
    (
      ?auto_19407
      ?auto_19406
      ?auto_19405
      ?auto_19403
      ?auto_19409
    )
    :precondition
    ( and ( OBJ ?auto_19400 ) ( LOCATION ?auto_19401 ) ( AIRPLANE ?auto_19407 ) ( AIRPORT ?auto_19406 ) ( AIRPORT ?auto_19401 ) ( DIFFERENT ?auto_19401 ?auto_19406 ) ( AIRPORT ?auto_19405 ) ( DIFFERENT ?auto_19406 ?auto_19405 ) ( AIRPORT ?auto_19403 ) ( AT ?auto_19407 ?auto_19403 ) ( DIFFERENT ?auto_19405 ?auto_19403 ) ( LOCATION ?auto_19409 ) ( AT ?auto_19400 ?auto_19409 ) ( AT ?auto_19407 ?auto_19409 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_19400 ?auto_19407 ?auto_19409 )
      ( DELIVER-PKG ?auto_19400 ?auto_19401 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1827
      ?auto_1828
    )
    :vars
    (
      ?auto_1835
      ?auto_1830
      ?auto_1829
      ?auto_1832
      ?auto_1837
    )
    :precondition
    ( and ( OBJ ?auto_1827 ) ( LOCATION ?auto_1828 ) ( AIRPLANE ?auto_1835 ) ( AIRPORT ?auto_1830 ) ( AIRPORT ?auto_1828 ) ( DIFFERENT ?auto_1828 ?auto_1830 ) ( AIRPORT ?auto_1829 ) ( DIFFERENT ?auto_1830 ?auto_1829 ) ( LOCATION ?auto_1829 ) ( AIRPORT ?auto_1832 ) ( DIFFERENT ?auto_1829 ?auto_1832 ) ( LOCATION ?auto_1832 ) ( AT ?auto_1827 ?auto_1832 ) ( AIRPORT ?auto_1837 ) ( AT ?auto_1835 ?auto_1837 ) ( DIFFERENT ?auto_1832 ?auto_1837 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1835 ?auto_1837 ?auto_1832 )
      ( DELIVER-PKG ?auto_1827 ?auto_1828 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1857
      ?auto_1858
    )
    :vars
    (
      ?auto_1861
      ?auto_1865
      ?auto_1859
      ?auto_1864
      ?auto_1862
      ?auto_1868
    )
    :precondition
    ( and ( OBJ ?auto_1857 ) ( LOCATION ?auto_1858 ) ( AIRPLANE ?auto_1861 ) ( AIRPORT ?auto_1865 ) ( AIRPORT ?auto_1858 ) ( DIFFERENT ?auto_1858 ?auto_1865 ) ( AIRPORT ?auto_1859 ) ( DIFFERENT ?auto_1865 ?auto_1859 ) ( LOCATION ?auto_1859 ) ( AIRPORT ?auto_1864 ) ( DIFFERENT ?auto_1859 ?auto_1864 ) ( LOCATION ?auto_1864 ) ( AIRPORT ?auto_1862 ) ( AT ?auto_1861 ?auto_1862 ) ( DIFFERENT ?auto_1864 ?auto_1862 ) ( TRUCK ?auto_1868 ) ( AT ?auto_1868 ?auto_1864 ) ( IN ?auto_1857 ?auto_1868 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1857 ?auto_1864 )
      ( DELIVER-PKG ?auto_1857 ?auto_1858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1869
      ?auto_1870
    )
    :vars
    (
      ?auto_1873
      ?auto_1876
      ?auto_1872
      ?auto_1875
      ?auto_1877
      ?auto_1878
      ?auto_1880
    )
    :precondition
    ( and ( OBJ ?auto_1869 ) ( LOCATION ?auto_1870 ) ( AIRPLANE ?auto_1873 ) ( AIRPORT ?auto_1876 ) ( AIRPORT ?auto_1870 ) ( DIFFERENT ?auto_1870 ?auto_1876 ) ( AIRPORT ?auto_1872 ) ( DIFFERENT ?auto_1876 ?auto_1872 ) ( LOCATION ?auto_1872 ) ( AIRPORT ?auto_1875 ) ( DIFFERENT ?auto_1872 ?auto_1875 ) ( LOCATION ?auto_1875 ) ( AIRPORT ?auto_1877 ) ( DIFFERENT ?auto_1875 ?auto_1877 ) ( TRUCK ?auto_1878 ) ( AT ?auto_1878 ?auto_1875 ) ( IN ?auto_1869 ?auto_1878 ) ( AIRPORT ?auto_1880 ) ( AT ?auto_1873 ?auto_1880 ) ( DIFFERENT ?auto_1877 ?auto_1880 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1873 ?auto_1880 ?auto_1877 )
      ( DELIVER-PKG ?auto_1869 ?auto_1870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1882
      ?auto_1883
    )
    :vars
    (
      ?auto_1889
      ?auto_1886
      ?auto_1885
      ?auto_1888
      ?auto_1891
      ?auto_1890
      ?auto_1887
      ?auto_1895
      ?auto_1894
    )
    :precondition
    ( and ( OBJ ?auto_1882 ) ( LOCATION ?auto_1883 ) ( AIRPLANE ?auto_1889 ) ( AIRPORT ?auto_1886 ) ( AIRPORT ?auto_1883 ) ( DIFFERENT ?auto_1883 ?auto_1886 ) ( AIRPORT ?auto_1885 ) ( DIFFERENT ?auto_1886 ?auto_1885 ) ( LOCATION ?auto_1885 ) ( AIRPORT ?auto_1888 ) ( DIFFERENT ?auto_1885 ?auto_1888 ) ( LOCATION ?auto_1888 ) ( AIRPORT ?auto_1891 ) ( DIFFERENT ?auto_1888 ?auto_1891 ) ( TRUCK ?auto_1890 ) ( IN ?auto_1882 ?auto_1890 ) ( AIRPORT ?auto_1887 ) ( AT ?auto_1889 ?auto_1887 ) ( DIFFERENT ?auto_1891 ?auto_1887 ) ( LOCATION ?auto_1895 ) ( CITY ?auto_1894 ) ( AT ?auto_1890 ?auto_1895 ) ( IN-CITY ?auto_1895 ?auto_1894 ) ( IN-CITY ?auto_1888 ?auto_1894 ) ( DIFFERENT ?auto_1888 ?auto_1895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1890 ?auto_1895 ?auto_1888 ?auto_1894 )
      ( DELIVER-PKG ?auto_1882 ?auto_1883 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1910
      ?auto_1911
    )
    :vars
    (
      ?auto_1915
      ?auto_1922
      ?auto_1921
      ?auto_1914
      ?auto_1920
      ?auto_1913
      ?auto_1919
      ?auto_1916
      ?auto_1918
      ?auto_1924
    )
    :precondition
    ( and ( OBJ ?auto_1910 ) ( LOCATION ?auto_1911 ) ( AIRPLANE ?auto_1915 ) ( AIRPORT ?auto_1922 ) ( AIRPORT ?auto_1911 ) ( DIFFERENT ?auto_1911 ?auto_1922 ) ( AIRPORT ?auto_1921 ) ( DIFFERENT ?auto_1922 ?auto_1921 ) ( LOCATION ?auto_1921 ) ( AIRPORT ?auto_1914 ) ( DIFFERENT ?auto_1921 ?auto_1914 ) ( LOCATION ?auto_1914 ) ( AIRPORT ?auto_1920 ) ( DIFFERENT ?auto_1914 ?auto_1920 ) ( TRUCK ?auto_1913 ) ( AIRPORT ?auto_1919 ) ( AT ?auto_1915 ?auto_1919 ) ( DIFFERENT ?auto_1920 ?auto_1919 ) ( LOCATION ?auto_1916 ) ( CITY ?auto_1918 ) ( AT ?auto_1913 ?auto_1916 ) ( IN-CITY ?auto_1916 ?auto_1918 ) ( IN-CITY ?auto_1914 ?auto_1918 ) ( DIFFERENT ?auto_1914 ?auto_1916 ) ( LOCATION ?auto_1924 ) ( AT ?auto_1913 ?auto_1924 ) ( AT ?auto_1910 ?auto_1924 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1910 ?auto_1913 ?auto_1924 )
      ( DELIVER-PKG ?auto_1910 ?auto_1911 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1926
      ?auto_1927
    )
    :vars
    (
      ?auto_1932
      ?auto_1930
      ?auto_1929
      ?auto_1933
      ?auto_1935
      ?auto_1928
      ?auto_1934
      ?auto_1936
      ?auto_1931
      ?auto_1939
      ?auto_1941
    )
    :precondition
    ( and ( OBJ ?auto_1926 ) ( LOCATION ?auto_1927 ) ( AIRPLANE ?auto_1932 ) ( AIRPORT ?auto_1930 ) ( AIRPORT ?auto_1927 ) ( DIFFERENT ?auto_1927 ?auto_1930 ) ( AIRPORT ?auto_1929 ) ( DIFFERENT ?auto_1930 ?auto_1929 ) ( LOCATION ?auto_1929 ) ( AIRPORT ?auto_1933 ) ( DIFFERENT ?auto_1929 ?auto_1933 ) ( LOCATION ?auto_1933 ) ( AIRPORT ?auto_1935 ) ( DIFFERENT ?auto_1933 ?auto_1935 ) ( TRUCK ?auto_1928 ) ( AIRPORT ?auto_1934 ) ( DIFFERENT ?auto_1935 ?auto_1934 ) ( LOCATION ?auto_1936 ) ( CITY ?auto_1931 ) ( AT ?auto_1928 ?auto_1936 ) ( IN-CITY ?auto_1936 ?auto_1931 ) ( IN-CITY ?auto_1933 ?auto_1931 ) ( DIFFERENT ?auto_1933 ?auto_1936 ) ( LOCATION ?auto_1939 ) ( AT ?auto_1928 ?auto_1939 ) ( AT ?auto_1926 ?auto_1939 ) ( AIRPORT ?auto_1941 ) ( AT ?auto_1932 ?auto_1941 ) ( DIFFERENT ?auto_1934 ?auto_1941 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1932 ?auto_1941 ?auto_1934 )
      ( DELIVER-PKG ?auto_1926 ?auto_1927 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2208
      ?auto_2209
    )
    :vars
    (
      ?auto_2212
      ?auto_2214
      ?auto_2215
      ?auto_2213
      ?auto_2211
      ?auto_2217
      ?auto_2220
    )
    :precondition
    ( and ( OBJ ?auto_2208 ) ( LOCATION ?auto_2209 ) ( TRUCK ?auto_2212 ) ( LOCATION ?auto_2214 ) ( CITY ?auto_2215 ) ( AT ?auto_2212 ?auto_2214 ) ( IN-CITY ?auto_2214 ?auto_2215 ) ( IN-CITY ?auto_2209 ?auto_2215 ) ( DIFFERENT ?auto_2209 ?auto_2214 ) ( LOCATION ?auto_2213 ) ( AT ?auto_2212 ?auto_2213 ) ( AIRPLANE ?auto_2211 ) ( AIRPORT ?auto_2217 ) ( AIRPORT ?auto_2213 ) ( DIFFERENT ?auto_2213 ?auto_2217 ) ( LOCATION ?auto_2217 ) ( AT ?auto_2208 ?auto_2217 ) ( AIRPORT ?auto_2220 ) ( AT ?auto_2211 ?auto_2220 ) ( DIFFERENT ?auto_2217 ?auto_2220 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2211 ?auto_2220 ?auto_2217 )
      ( DELIVER-PKG ?auto_2208 ?auto_2209 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2489
      ?auto_2490
    )
    :vars
    (
      ?auto_2498
      ?auto_2495
      ?auto_2500
      ?auto_2492
      ?auto_2494
      ?auto_2497
      ?auto_2493
      ?auto_2491
      ?auto_2502
    )
    :precondition
    ( and ( OBJ ?auto_2489 ) ( LOCATION ?auto_2490 ) ( TRUCK ?auto_2498 ) ( LOCATION ?auto_2495 ) ( CITY ?auto_2500 ) ( IN-CITY ?auto_2495 ?auto_2500 ) ( IN-CITY ?auto_2490 ?auto_2500 ) ( DIFFERENT ?auto_2490 ?auto_2495 ) ( LOCATION ?auto_2492 ) ( CITY ?auto_2494 ) ( AT ?auto_2498 ?auto_2492 ) ( IN-CITY ?auto_2492 ?auto_2494 ) ( IN-CITY ?auto_2495 ?auto_2494 ) ( DIFFERENT ?auto_2495 ?auto_2492 ) ( LOCATION ?auto_2497 ) ( AT ?auto_2498 ?auto_2497 ) ( AIRPLANE ?auto_2493 ) ( IN ?auto_2489 ?auto_2493 ) ( AIRPORT ?auto_2491 ) ( AIRPORT ?auto_2497 ) ( DIFFERENT ?auto_2497 ?auto_2491 ) ( AIRPORT ?auto_2502 ) ( AT ?auto_2493 ?auto_2502 ) ( DIFFERENT ?auto_2491 ?auto_2502 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2493 ?auto_2502 ?auto_2491 )
      ( DELIVER-PKG ?auto_2489 ?auto_2490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2504
      ?auto_2505
    )
    :vars
    (
      ?auto_2513
      ?auto_2516
      ?auto_2507
      ?auto_2514
      ?auto_2508
      ?auto_2506
      ?auto_2515
      ?auto_2511
      ?auto_2510
      ?auto_2518
    )
    :precondition
    ( and ( OBJ ?auto_2504 ) ( LOCATION ?auto_2505 ) ( TRUCK ?auto_2513 ) ( LOCATION ?auto_2516 ) ( CITY ?auto_2507 ) ( IN-CITY ?auto_2516 ?auto_2507 ) ( IN-CITY ?auto_2505 ?auto_2507 ) ( DIFFERENT ?auto_2505 ?auto_2516 ) ( LOCATION ?auto_2514 ) ( CITY ?auto_2508 ) ( AT ?auto_2513 ?auto_2514 ) ( IN-CITY ?auto_2514 ?auto_2508 ) ( IN-CITY ?auto_2516 ?auto_2508 ) ( DIFFERENT ?auto_2516 ?auto_2514 ) ( LOCATION ?auto_2506 ) ( AT ?auto_2513 ?auto_2506 ) ( AIRPLANE ?auto_2515 ) ( AIRPORT ?auto_2511 ) ( AIRPORT ?auto_2506 ) ( DIFFERENT ?auto_2506 ?auto_2511 ) ( AIRPORT ?auto_2510 ) ( AT ?auto_2515 ?auto_2510 ) ( DIFFERENT ?auto_2511 ?auto_2510 ) ( LOCATION ?auto_2518 ) ( AT ?auto_2504 ?auto_2518 ) ( AT ?auto_2515 ?auto_2518 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2504 ?auto_2515 ?auto_2518 )
      ( DELIVER-PKG ?auto_2504 ?auto_2505 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2520
      ?auto_2521
    )
    :vars
    (
      ?auto_2530
      ?auto_2525
      ?auto_2532
      ?auto_2522
      ?auto_2531
      ?auto_2528
      ?auto_2524
      ?auto_2526
      ?auto_2533
      ?auto_2527
      ?auto_2536
    )
    :precondition
    ( and ( OBJ ?auto_2520 ) ( LOCATION ?auto_2521 ) ( TRUCK ?auto_2530 ) ( LOCATION ?auto_2525 ) ( CITY ?auto_2532 ) ( IN-CITY ?auto_2525 ?auto_2532 ) ( IN-CITY ?auto_2521 ?auto_2532 ) ( DIFFERENT ?auto_2521 ?auto_2525 ) ( LOCATION ?auto_2522 ) ( CITY ?auto_2531 ) ( AT ?auto_2530 ?auto_2522 ) ( IN-CITY ?auto_2522 ?auto_2531 ) ( IN-CITY ?auto_2525 ?auto_2531 ) ( DIFFERENT ?auto_2525 ?auto_2522 ) ( LOCATION ?auto_2528 ) ( AT ?auto_2530 ?auto_2528 ) ( AIRPLANE ?auto_2524 ) ( AIRPORT ?auto_2526 ) ( AIRPORT ?auto_2528 ) ( DIFFERENT ?auto_2528 ?auto_2526 ) ( AIRPORT ?auto_2533 ) ( AT ?auto_2524 ?auto_2533 ) ( DIFFERENT ?auto_2526 ?auto_2533 ) ( LOCATION ?auto_2527 ) ( AT ?auto_2524 ?auto_2527 ) ( AIRPLANE ?auto_2536 ) ( IN ?auto_2520 ?auto_2536 ) ( AT ?auto_2536 ?auto_2527 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2520 ?auto_2527 )
      ( DELIVER-PKG ?auto_2520 ?auto_2521 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2537
      ?auto_2538
    )
    :vars
    (
      ?auto_2549
      ?auto_2550
      ?auto_2543
      ?auto_2548
      ?auto_2544
      ?auto_2546
      ?auto_2545
      ?auto_2541
      ?auto_2540
      ?auto_2553
    )
    :precondition
    ( and ( OBJ ?auto_2537 ) ( LOCATION ?auto_2538 ) ( TRUCK ?auto_2549 ) ( LOCATION ?auto_2550 ) ( CITY ?auto_2543 ) ( IN-CITY ?auto_2550 ?auto_2543 ) ( IN-CITY ?auto_2538 ?auto_2543 ) ( DIFFERENT ?auto_2538 ?auto_2550 ) ( LOCATION ?auto_2548 ) ( CITY ?auto_2544 ) ( AT ?auto_2549 ?auto_2548 ) ( IN-CITY ?auto_2548 ?auto_2544 ) ( IN-CITY ?auto_2550 ?auto_2544 ) ( DIFFERENT ?auto_2550 ?auto_2548 ) ( LOCATION ?auto_2546 ) ( AT ?auto_2549 ?auto_2546 ) ( AIRPLANE ?auto_2545 ) ( AIRPORT ?auto_2541 ) ( AIRPORT ?auto_2546 ) ( DIFFERENT ?auto_2546 ?auto_2541 ) ( AIRPORT ?auto_2540 ) ( DIFFERENT ?auto_2541 ?auto_2540 ) ( LOCATION ?auto_2540 ) ( IN ?auto_2537 ?auto_2545 ) ( AIRPORT ?auto_2553 ) ( AT ?auto_2545 ?auto_2553 ) ( DIFFERENT ?auto_2540 ?auto_2553 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2545 ?auto_2553 ?auto_2540 )
      ( DELIVER-PKG ?auto_2537 ?auto_2538 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2555
      ?auto_2556
    )
    :vars
    (
      ?auto_2561
      ?auto_2560
      ?auto_2557
      ?auto_2567
      ?auto_2559
      ?auto_2558
      ?auto_2565
      ?auto_2566
      ?auto_2568
      ?auto_2563
      ?auto_2570
    )
    :precondition
    ( and ( OBJ ?auto_2555 ) ( LOCATION ?auto_2556 ) ( TRUCK ?auto_2561 ) ( LOCATION ?auto_2560 ) ( CITY ?auto_2557 ) ( IN-CITY ?auto_2560 ?auto_2557 ) ( IN-CITY ?auto_2556 ?auto_2557 ) ( DIFFERENT ?auto_2556 ?auto_2560 ) ( LOCATION ?auto_2567 ) ( CITY ?auto_2559 ) ( AT ?auto_2561 ?auto_2567 ) ( IN-CITY ?auto_2567 ?auto_2559 ) ( IN-CITY ?auto_2560 ?auto_2559 ) ( DIFFERENT ?auto_2560 ?auto_2567 ) ( LOCATION ?auto_2558 ) ( AT ?auto_2561 ?auto_2558 ) ( AIRPLANE ?auto_2565 ) ( AIRPORT ?auto_2566 ) ( AIRPORT ?auto_2558 ) ( DIFFERENT ?auto_2558 ?auto_2566 ) ( AIRPORT ?auto_2568 ) ( DIFFERENT ?auto_2566 ?auto_2568 ) ( LOCATION ?auto_2568 ) ( AIRPORT ?auto_2563 ) ( AT ?auto_2565 ?auto_2563 ) ( DIFFERENT ?auto_2568 ?auto_2563 ) ( LOCATION ?auto_2570 ) ( AT ?auto_2555 ?auto_2570 ) ( AT ?auto_2565 ?auto_2570 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2555 ?auto_2565 ?auto_2570 )
      ( DELIVER-PKG ?auto_2555 ?auto_2556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2572
      ?auto_2573
    )
    :vars
    (
      ?auto_2585
      ?auto_2586
      ?auto_2580
      ?auto_2579
      ?auto_2582
      ?auto_2584
      ?auto_2581
      ?auto_2583
      ?auto_2577
      ?auto_2576
      ?auto_2588
    )
    :precondition
    ( and ( OBJ ?auto_2572 ) ( LOCATION ?auto_2573 ) ( TRUCK ?auto_2585 ) ( LOCATION ?auto_2586 ) ( CITY ?auto_2580 ) ( IN-CITY ?auto_2586 ?auto_2580 ) ( IN-CITY ?auto_2573 ?auto_2580 ) ( DIFFERENT ?auto_2573 ?auto_2586 ) ( LOCATION ?auto_2579 ) ( CITY ?auto_2582 ) ( AT ?auto_2585 ?auto_2579 ) ( IN-CITY ?auto_2579 ?auto_2582 ) ( IN-CITY ?auto_2586 ?auto_2582 ) ( DIFFERENT ?auto_2586 ?auto_2579 ) ( LOCATION ?auto_2584 ) ( AT ?auto_2585 ?auto_2584 ) ( AIRPLANE ?auto_2581 ) ( AIRPORT ?auto_2583 ) ( AIRPORT ?auto_2584 ) ( DIFFERENT ?auto_2584 ?auto_2583 ) ( AIRPORT ?auto_2577 ) ( DIFFERENT ?auto_2583 ?auto_2577 ) ( LOCATION ?auto_2577 ) ( AIRPORT ?auto_2576 ) ( DIFFERENT ?auto_2577 ?auto_2576 ) ( LOCATION ?auto_2576 ) ( AT ?auto_2572 ?auto_2576 ) ( AIRPORT ?auto_2588 ) ( AT ?auto_2581 ?auto_2588 ) ( DIFFERENT ?auto_2576 ?auto_2588 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2581 ?auto_2588 ?auto_2576 )
      ( DELIVER-PKG ?auto_2572 ?auto_2573 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2620
      ?auto_2621
    )
    :vars
    (
      ?auto_2632
      ?auto_2624
      ?auto_2622
      ?auto_2628
      ?auto_2627
      ?auto_2623
      ?auto_2626
      ?auto_2631
      ?auto_2634
      ?auto_2633
      ?auto_2630
      ?auto_2637
    )
    :precondition
    ( and ( OBJ ?auto_2620 ) ( LOCATION ?auto_2621 ) ( TRUCK ?auto_2632 ) ( LOCATION ?auto_2624 ) ( CITY ?auto_2622 ) ( IN-CITY ?auto_2624 ?auto_2622 ) ( IN-CITY ?auto_2621 ?auto_2622 ) ( DIFFERENT ?auto_2621 ?auto_2624 ) ( LOCATION ?auto_2628 ) ( CITY ?auto_2627 ) ( AT ?auto_2632 ?auto_2628 ) ( IN-CITY ?auto_2628 ?auto_2627 ) ( IN-CITY ?auto_2624 ?auto_2627 ) ( DIFFERENT ?auto_2624 ?auto_2628 ) ( LOCATION ?auto_2623 ) ( AT ?auto_2632 ?auto_2623 ) ( AIRPLANE ?auto_2626 ) ( AIRPORT ?auto_2631 ) ( AIRPORT ?auto_2623 ) ( DIFFERENT ?auto_2623 ?auto_2631 ) ( AIRPORT ?auto_2634 ) ( DIFFERENT ?auto_2631 ?auto_2634 ) ( LOCATION ?auto_2634 ) ( AIRPORT ?auto_2633 ) ( DIFFERENT ?auto_2634 ?auto_2633 ) ( LOCATION ?auto_2633 ) ( AIRPORT ?auto_2630 ) ( AT ?auto_2626 ?auto_2630 ) ( DIFFERENT ?auto_2633 ?auto_2630 ) ( TRUCK ?auto_2637 ) ( AT ?auto_2637 ?auto_2633 ) ( IN ?auto_2620 ?auto_2637 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2620 ?auto_2633 )
      ( DELIVER-PKG ?auto_2620 ?auto_2621 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2638
      ?auto_2639
    )
    :vars
    (
      ?auto_2646
      ?auto_2651
      ?auto_2652
      ?auto_2648
      ?auto_2647
      ?auto_2640
      ?auto_2641
      ?auto_2645
      ?auto_2650
      ?auto_2649
      ?auto_2644
      ?auto_2653
      ?auto_2655
    )
    :precondition
    ( and ( OBJ ?auto_2638 ) ( LOCATION ?auto_2639 ) ( TRUCK ?auto_2646 ) ( LOCATION ?auto_2651 ) ( CITY ?auto_2652 ) ( IN-CITY ?auto_2651 ?auto_2652 ) ( IN-CITY ?auto_2639 ?auto_2652 ) ( DIFFERENT ?auto_2639 ?auto_2651 ) ( LOCATION ?auto_2648 ) ( CITY ?auto_2647 ) ( AT ?auto_2646 ?auto_2648 ) ( IN-CITY ?auto_2648 ?auto_2647 ) ( IN-CITY ?auto_2651 ?auto_2647 ) ( DIFFERENT ?auto_2651 ?auto_2648 ) ( LOCATION ?auto_2640 ) ( AT ?auto_2646 ?auto_2640 ) ( AIRPLANE ?auto_2641 ) ( AIRPORT ?auto_2645 ) ( AIRPORT ?auto_2640 ) ( DIFFERENT ?auto_2640 ?auto_2645 ) ( AIRPORT ?auto_2650 ) ( DIFFERENT ?auto_2645 ?auto_2650 ) ( LOCATION ?auto_2650 ) ( AIRPORT ?auto_2649 ) ( DIFFERENT ?auto_2650 ?auto_2649 ) ( LOCATION ?auto_2649 ) ( AIRPORT ?auto_2644 ) ( DIFFERENT ?auto_2649 ?auto_2644 ) ( TRUCK ?auto_2653 ) ( AT ?auto_2653 ?auto_2649 ) ( IN ?auto_2638 ?auto_2653 ) ( AIRPORT ?auto_2655 ) ( AT ?auto_2641 ?auto_2655 ) ( DIFFERENT ?auto_2644 ?auto_2655 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2641 ?auto_2655 ?auto_2644 )
      ( DELIVER-PKG ?auto_2638 ?auto_2639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2657
      ?auto_2658
    )
    :vars
    (
      ?auto_2662
      ?auto_2666
      ?auto_2667
      ?auto_2665
      ?auto_2661
      ?auto_2664
      ?auto_2673
      ?auto_2671
      ?auto_2663
      ?auto_2672
      ?auto_2659
      ?auto_2670
      ?auto_2668
      ?auto_2676
      ?auto_2675
    )
    :precondition
    ( and ( OBJ ?auto_2657 ) ( LOCATION ?auto_2658 ) ( TRUCK ?auto_2662 ) ( LOCATION ?auto_2666 ) ( CITY ?auto_2667 ) ( IN-CITY ?auto_2666 ?auto_2667 ) ( IN-CITY ?auto_2658 ?auto_2667 ) ( DIFFERENT ?auto_2658 ?auto_2666 ) ( LOCATION ?auto_2665 ) ( CITY ?auto_2661 ) ( AT ?auto_2662 ?auto_2665 ) ( IN-CITY ?auto_2665 ?auto_2661 ) ( IN-CITY ?auto_2666 ?auto_2661 ) ( DIFFERENT ?auto_2666 ?auto_2665 ) ( LOCATION ?auto_2664 ) ( AT ?auto_2662 ?auto_2664 ) ( AIRPLANE ?auto_2673 ) ( AIRPORT ?auto_2671 ) ( AIRPORT ?auto_2664 ) ( DIFFERENT ?auto_2664 ?auto_2671 ) ( AIRPORT ?auto_2663 ) ( DIFFERENT ?auto_2671 ?auto_2663 ) ( LOCATION ?auto_2663 ) ( AIRPORT ?auto_2672 ) ( DIFFERENT ?auto_2663 ?auto_2672 ) ( LOCATION ?auto_2672 ) ( AIRPORT ?auto_2659 ) ( DIFFERENT ?auto_2672 ?auto_2659 ) ( TRUCK ?auto_2670 ) ( IN ?auto_2657 ?auto_2670 ) ( AIRPORT ?auto_2668 ) ( AT ?auto_2673 ?auto_2668 ) ( DIFFERENT ?auto_2659 ?auto_2668 ) ( LOCATION ?auto_2676 ) ( CITY ?auto_2675 ) ( AT ?auto_2670 ?auto_2676 ) ( IN-CITY ?auto_2676 ?auto_2675 ) ( IN-CITY ?auto_2672 ?auto_2675 ) ( DIFFERENT ?auto_2672 ?auto_2676 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2670 ?auto_2676 ?auto_2672 ?auto_2675 )
      ( DELIVER-PKG ?auto_2657 ?auto_2658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2697
      ?auto_2698
    )
    :vars
    (
      ?auto_2713
      ?auto_2702
      ?auto_2700
      ?auto_2708
      ?auto_2711
      ?auto_2715
      ?auto_2709
      ?auto_2706
      ?auto_2714
      ?auto_2703
      ?auto_2699
      ?auto_2705
      ?auto_2712
      ?auto_2710
      ?auto_2704
      ?auto_2717
    )
    :precondition
    ( and ( OBJ ?auto_2697 ) ( LOCATION ?auto_2698 ) ( TRUCK ?auto_2713 ) ( LOCATION ?auto_2702 ) ( CITY ?auto_2700 ) ( IN-CITY ?auto_2702 ?auto_2700 ) ( IN-CITY ?auto_2698 ?auto_2700 ) ( DIFFERENT ?auto_2698 ?auto_2702 ) ( LOCATION ?auto_2708 ) ( CITY ?auto_2711 ) ( AT ?auto_2713 ?auto_2708 ) ( IN-CITY ?auto_2708 ?auto_2711 ) ( IN-CITY ?auto_2702 ?auto_2711 ) ( DIFFERENT ?auto_2702 ?auto_2708 ) ( LOCATION ?auto_2715 ) ( AT ?auto_2713 ?auto_2715 ) ( AIRPLANE ?auto_2709 ) ( AIRPORT ?auto_2706 ) ( AIRPORT ?auto_2715 ) ( DIFFERENT ?auto_2715 ?auto_2706 ) ( AIRPORT ?auto_2714 ) ( DIFFERENT ?auto_2706 ?auto_2714 ) ( LOCATION ?auto_2714 ) ( AIRPORT ?auto_2703 ) ( DIFFERENT ?auto_2714 ?auto_2703 ) ( LOCATION ?auto_2703 ) ( AIRPORT ?auto_2699 ) ( DIFFERENT ?auto_2703 ?auto_2699 ) ( TRUCK ?auto_2705 ) ( AIRPORT ?auto_2712 ) ( AT ?auto_2709 ?auto_2712 ) ( DIFFERENT ?auto_2699 ?auto_2712 ) ( LOCATION ?auto_2710 ) ( CITY ?auto_2704 ) ( AT ?auto_2705 ?auto_2710 ) ( IN-CITY ?auto_2710 ?auto_2704 ) ( IN-CITY ?auto_2703 ?auto_2704 ) ( DIFFERENT ?auto_2703 ?auto_2710 ) ( LOCATION ?auto_2717 ) ( AT ?auto_2705 ?auto_2717 ) ( AT ?auto_2697 ?auto_2717 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2697 ?auto_2705 ?auto_2717 )
      ( DELIVER-PKG ?auto_2697 ?auto_2698 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2719
      ?auto_2720
    )
    :vars
    (
      ?auto_2735
      ?auto_2737
      ?auto_2721
      ?auto_2727
      ?auto_2733
      ?auto_2730
      ?auto_2731
      ?auto_2726
      ?auto_2729
      ?auto_2725
      ?auto_2728
      ?auto_2723
      ?auto_2734
      ?auto_2732
      ?auto_2722
      ?auto_2724
      ?auto_2740
    )
    :precondition
    ( and ( OBJ ?auto_2719 ) ( LOCATION ?auto_2720 ) ( TRUCK ?auto_2735 ) ( LOCATION ?auto_2737 ) ( CITY ?auto_2721 ) ( IN-CITY ?auto_2737 ?auto_2721 ) ( IN-CITY ?auto_2720 ?auto_2721 ) ( DIFFERENT ?auto_2720 ?auto_2737 ) ( LOCATION ?auto_2727 ) ( CITY ?auto_2733 ) ( AT ?auto_2735 ?auto_2727 ) ( IN-CITY ?auto_2727 ?auto_2733 ) ( IN-CITY ?auto_2737 ?auto_2733 ) ( DIFFERENT ?auto_2737 ?auto_2727 ) ( LOCATION ?auto_2730 ) ( AT ?auto_2735 ?auto_2730 ) ( AIRPLANE ?auto_2731 ) ( AIRPORT ?auto_2726 ) ( AIRPORT ?auto_2730 ) ( DIFFERENT ?auto_2730 ?auto_2726 ) ( AIRPORT ?auto_2729 ) ( DIFFERENT ?auto_2726 ?auto_2729 ) ( LOCATION ?auto_2729 ) ( AIRPORT ?auto_2725 ) ( DIFFERENT ?auto_2729 ?auto_2725 ) ( LOCATION ?auto_2725 ) ( AIRPORT ?auto_2728 ) ( DIFFERENT ?auto_2725 ?auto_2728 ) ( TRUCK ?auto_2723 ) ( AIRPORT ?auto_2734 ) ( DIFFERENT ?auto_2728 ?auto_2734 ) ( LOCATION ?auto_2732 ) ( CITY ?auto_2722 ) ( AT ?auto_2723 ?auto_2732 ) ( IN-CITY ?auto_2732 ?auto_2722 ) ( IN-CITY ?auto_2725 ?auto_2722 ) ( DIFFERENT ?auto_2725 ?auto_2732 ) ( LOCATION ?auto_2724 ) ( AT ?auto_2723 ?auto_2724 ) ( AT ?auto_2719 ?auto_2724 ) ( AIRPORT ?auto_2740 ) ( AT ?auto_2731 ?auto_2740 ) ( DIFFERENT ?auto_2734 ?auto_2740 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2731 ?auto_2740 ?auto_2734 )
      ( DELIVER-PKG ?auto_2719 ?auto_2720 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3041
      ?auto_3042
    )
    :vars
    (
      ?auto_3044
      ?auto_3048
      ?auto_3049
      ?auto_3045
      ?auto_3047
      ?auto_3046
      ?auto_3053
      ?auto_3052
    )
    :precondition
    ( and ( OBJ ?auto_3041 ) ( LOCATION ?auto_3042 ) ( AIRPLANE ?auto_3044 ) ( AIRPORT ?auto_3048 ) ( AIRPORT ?auto_3042 ) ( AT ?auto_3044 ?auto_3048 ) ( DIFFERENT ?auto_3042 ?auto_3048 ) ( LOCATION ?auto_3049 ) ( AT ?auto_3044 ?auto_3049 ) ( TRUCK ?auto_3045 ) ( IN ?auto_3041 ?auto_3045 ) ( LOCATION ?auto_3047 ) ( CITY ?auto_3046 ) ( IN-CITY ?auto_3047 ?auto_3046 ) ( IN-CITY ?auto_3049 ?auto_3046 ) ( DIFFERENT ?auto_3049 ?auto_3047 ) ( LOCATION ?auto_3053 ) ( CITY ?auto_3052 ) ( AT ?auto_3045 ?auto_3053 ) ( IN-CITY ?auto_3053 ?auto_3052 ) ( IN-CITY ?auto_3047 ?auto_3052 ) ( DIFFERENT ?auto_3047 ?auto_3053 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3045 ?auto_3053 ?auto_3047 ?auto_3052 )
      ( DELIVER-PKG ?auto_3041 ?auto_3042 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3067
      ?auto_3068
    )
    :vars
    (
      ?auto_3077
      ?auto_3075
      ?auto_3071
      ?auto_3078
      ?auto_3074
      ?auto_3073
      ?auto_3070
      ?auto_3069
      ?auto_3080
    )
    :precondition
    ( and ( OBJ ?auto_3067 ) ( LOCATION ?auto_3068 ) ( AIRPLANE ?auto_3077 ) ( AIRPORT ?auto_3075 ) ( AIRPORT ?auto_3068 ) ( AT ?auto_3077 ?auto_3075 ) ( DIFFERENT ?auto_3068 ?auto_3075 ) ( LOCATION ?auto_3071 ) ( AT ?auto_3077 ?auto_3071 ) ( TRUCK ?auto_3078 ) ( LOCATION ?auto_3074 ) ( CITY ?auto_3073 ) ( IN-CITY ?auto_3074 ?auto_3073 ) ( IN-CITY ?auto_3071 ?auto_3073 ) ( DIFFERENT ?auto_3071 ?auto_3074 ) ( LOCATION ?auto_3070 ) ( CITY ?auto_3069 ) ( AT ?auto_3078 ?auto_3070 ) ( IN-CITY ?auto_3070 ?auto_3069 ) ( IN-CITY ?auto_3074 ?auto_3069 ) ( DIFFERENT ?auto_3074 ?auto_3070 ) ( LOCATION ?auto_3080 ) ( AT ?auto_3078 ?auto_3080 ) ( AT ?auto_3067 ?auto_3080 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3067 ?auto_3078 ?auto_3080 )
      ( DELIVER-PKG ?auto_3067 ?auto_3068 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3082
      ?auto_3083
    )
    :vars
    (
      ?auto_3089
      ?auto_3092
      ?auto_3087
      ?auto_3084
      ?auto_3090
      ?auto_3086
      ?auto_3088
      ?auto_3094
      ?auto_3096
    )
    :precondition
    ( and ( OBJ ?auto_3082 ) ( LOCATION ?auto_3083 ) ( AIRPLANE ?auto_3089 ) ( AIRPORT ?auto_3092 ) ( AIRPORT ?auto_3083 ) ( DIFFERENT ?auto_3083 ?auto_3092 ) ( LOCATION ?auto_3092 ) ( TRUCK ?auto_3087 ) ( LOCATION ?auto_3084 ) ( CITY ?auto_3090 ) ( IN-CITY ?auto_3084 ?auto_3090 ) ( IN-CITY ?auto_3092 ?auto_3090 ) ( DIFFERENT ?auto_3092 ?auto_3084 ) ( LOCATION ?auto_3086 ) ( CITY ?auto_3088 ) ( AT ?auto_3087 ?auto_3086 ) ( IN-CITY ?auto_3086 ?auto_3088 ) ( IN-CITY ?auto_3084 ?auto_3088 ) ( DIFFERENT ?auto_3084 ?auto_3086 ) ( LOCATION ?auto_3094 ) ( AT ?auto_3087 ?auto_3094 ) ( AT ?auto_3082 ?auto_3094 ) ( AIRPORT ?auto_3096 ) ( AT ?auto_3089 ?auto_3096 ) ( DIFFERENT ?auto_3092 ?auto_3096 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3089 ?auto_3096 ?auto_3092 )
      ( DELIVER-PKG ?auto_3082 ?auto_3083 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5656
      ?auto_5657
    )
    :vars
    (
      ?auto_5658
      ?auto_5659
      ?auto_5663
      ?auto_5664
      ?auto_5661
      ?auto_5666
    )
    :precondition
    ( and ( OBJ ?auto_5656 ) ( LOCATION ?auto_5657 ) ( AIRPLANE ?auto_5658 ) ( AT ?auto_5658 ?auto_5657 ) ( LOCATION ?auto_5659 ) ( AT ?auto_5658 ?auto_5659 ) ( AIRPLANE ?auto_5663 ) ( AT ?auto_5663 ?auto_5659 ) ( LOCATION ?auto_5664 ) ( AT ?auto_5663 ?auto_5664 ) ( AIRPLANE ?auto_5661 ) ( AT ?auto_5661 ?auto_5664 ) ( LOCATION ?auto_5666 ) ( AT ?auto_5656 ?auto_5666 ) ( AT ?auto_5661 ?auto_5666 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5656 ?auto_5661 ?auto_5666 )
      ( DELIVER-PKG ?auto_5656 ?auto_5657 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5668
      ?auto_5669
    )
    :vars
    (
      ?auto_5670
      ?auto_5677
      ?auto_5675
      ?auto_5674
      ?auto_5672
      ?auto_5673
      ?auto_5680
    )
    :precondition
    ( and ( OBJ ?auto_5668 ) ( LOCATION ?auto_5669 ) ( AIRPLANE ?auto_5670 ) ( AT ?auto_5670 ?auto_5669 ) ( LOCATION ?auto_5677 ) ( AT ?auto_5670 ?auto_5677 ) ( AIRPLANE ?auto_5675 ) ( AT ?auto_5675 ?auto_5677 ) ( LOCATION ?auto_5674 ) ( AT ?auto_5675 ?auto_5674 ) ( AIRPLANE ?auto_5672 ) ( AT ?auto_5672 ?auto_5674 ) ( LOCATION ?auto_5673 ) ( AT ?auto_5672 ?auto_5673 ) ( AIRPLANE ?auto_5680 ) ( IN ?auto_5668 ?auto_5680 ) ( AT ?auto_5680 ?auto_5673 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5668 ?auto_5673 )
      ( DELIVER-PKG ?auto_5668 ?auto_5669 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5692
      ?auto_5693
    )
    :vars
    (
      ?auto_5694
      ?auto_5696
      ?auto_5699
      ?auto_5697
      ?auto_5701
      ?auto_5702
      ?auto_5698
      ?auto_5704
    )
    :precondition
    ( and ( OBJ ?auto_5692 ) ( LOCATION ?auto_5693 ) ( AIRPLANE ?auto_5694 ) ( AT ?auto_5694 ?auto_5693 ) ( LOCATION ?auto_5696 ) ( AT ?auto_5694 ?auto_5696 ) ( AIRPLANE ?auto_5699 ) ( AT ?auto_5699 ?auto_5696 ) ( LOCATION ?auto_5697 ) ( AT ?auto_5699 ?auto_5697 ) ( AIRPLANE ?auto_5701 ) ( AT ?auto_5701 ?auto_5697 ) ( LOCATION ?auto_5702 ) ( AT ?auto_5701 ?auto_5702 ) ( AIRPLANE ?auto_5698 ) ( IN ?auto_5692 ?auto_5698 ) ( AIRPORT ?auto_5704 ) ( AIRPORT ?auto_5702 ) ( AT ?auto_5698 ?auto_5704 ) ( DIFFERENT ?auto_5702 ?auto_5704 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5698 ?auto_5704 ?auto_5702 )
      ( DELIVER-PKG ?auto_5692 ?auto_5693 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5737
      ?auto_5738
    )
    :vars
    (
      ?auto_5747
      ?auto_5750
      ?auto_5748
      ?auto_5743
      ?auto_5741
      ?auto_5739
      ?auto_5744
      ?auto_5740
      ?auto_5749
      ?auto_5746
      ?auto_5752
    )
    :precondition
    ( and ( OBJ ?auto_5737 ) ( LOCATION ?auto_5738 ) ( AIRPLANE ?auto_5747 ) ( AT ?auto_5747 ?auto_5738 ) ( LOCATION ?auto_5750 ) ( AT ?auto_5747 ?auto_5750 ) ( AIRPLANE ?auto_5748 ) ( AT ?auto_5748 ?auto_5750 ) ( LOCATION ?auto_5743 ) ( AT ?auto_5748 ?auto_5743 ) ( AIRPLANE ?auto_5741 ) ( AT ?auto_5741 ?auto_5743 ) ( LOCATION ?auto_5739 ) ( AT ?auto_5741 ?auto_5739 ) ( AIRPLANE ?auto_5744 ) ( AIRPORT ?auto_5740 ) ( AIRPORT ?auto_5739 ) ( AT ?auto_5744 ?auto_5740 ) ( DIFFERENT ?auto_5739 ?auto_5740 ) ( LOCATION ?auto_5749 ) ( AT ?auto_5744 ?auto_5749 ) ( AIRPLANE ?auto_5746 ) ( AT ?auto_5746 ?auto_5749 ) ( LOCATION ?auto_5752 ) ( AT ?auto_5737 ?auto_5752 ) ( AT ?auto_5746 ?auto_5752 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5737 ?auto_5746 ?auto_5752 )
      ( DELIVER-PKG ?auto_5737 ?auto_5738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5769
      ?auto_5770
    )
    :vars
    (
      ?auto_5772
      ?auto_5777
      ?auto_5781
      ?auto_5783
      ?auto_5780
      ?auto_5775
      ?auto_5773
      ?auto_5782
      ?auto_5778
      ?auto_5779
      ?auto_5776
      ?auto_5785
    )
    :precondition
    ( and ( OBJ ?auto_5769 ) ( LOCATION ?auto_5770 ) ( AIRPLANE ?auto_5772 ) ( AT ?auto_5772 ?auto_5770 ) ( LOCATION ?auto_5777 ) ( AT ?auto_5772 ?auto_5777 ) ( AIRPLANE ?auto_5781 ) ( AT ?auto_5781 ?auto_5777 ) ( LOCATION ?auto_5783 ) ( AT ?auto_5781 ?auto_5783 ) ( AIRPLANE ?auto_5780 ) ( AT ?auto_5780 ?auto_5783 ) ( LOCATION ?auto_5775 ) ( AT ?auto_5780 ?auto_5775 ) ( AIRPLANE ?auto_5773 ) ( AIRPORT ?auto_5782 ) ( AIRPORT ?auto_5775 ) ( AT ?auto_5773 ?auto_5782 ) ( DIFFERENT ?auto_5775 ?auto_5782 ) ( LOCATION ?auto_5778 ) ( AT ?auto_5773 ?auto_5778 ) ( AIRPLANE ?auto_5779 ) ( AT ?auto_5779 ?auto_5778 ) ( LOCATION ?auto_5776 ) ( AT ?auto_5779 ?auto_5776 ) ( TRUCK ?auto_5785 ) ( AT ?auto_5785 ?auto_5776 ) ( IN ?auto_5769 ?auto_5785 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5769 ?auto_5776 )
      ( DELIVER-PKG ?auto_5769 ?auto_5770 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5819
      ?auto_5820
    )
    :vars
    (
      ?auto_5825
      ?auto_5826
      ?auto_5828
      ?auto_5821
      ?auto_5827
      ?auto_5824
      ?auto_5832
      ?auto_5830
      ?auto_5822
      ?auto_5823
      ?auto_5831
      ?auto_5829
      ?auto_5837
      ?auto_5836
    )
    :precondition
    ( and ( OBJ ?auto_5819 ) ( LOCATION ?auto_5820 ) ( AIRPLANE ?auto_5825 ) ( AT ?auto_5825 ?auto_5820 ) ( LOCATION ?auto_5826 ) ( AT ?auto_5825 ?auto_5826 ) ( AIRPLANE ?auto_5828 ) ( AT ?auto_5828 ?auto_5826 ) ( LOCATION ?auto_5821 ) ( AT ?auto_5828 ?auto_5821 ) ( AIRPLANE ?auto_5827 ) ( AT ?auto_5827 ?auto_5821 ) ( LOCATION ?auto_5824 ) ( AT ?auto_5827 ?auto_5824 ) ( AIRPLANE ?auto_5832 ) ( AIRPORT ?auto_5830 ) ( AIRPORT ?auto_5824 ) ( AT ?auto_5832 ?auto_5830 ) ( DIFFERENT ?auto_5824 ?auto_5830 ) ( LOCATION ?auto_5822 ) ( AT ?auto_5832 ?auto_5822 ) ( AIRPLANE ?auto_5823 ) ( AT ?auto_5823 ?auto_5822 ) ( LOCATION ?auto_5831 ) ( AT ?auto_5823 ?auto_5831 ) ( TRUCK ?auto_5829 ) ( IN ?auto_5819 ?auto_5829 ) ( LOCATION ?auto_5837 ) ( CITY ?auto_5836 ) ( AT ?auto_5829 ?auto_5837 ) ( IN-CITY ?auto_5837 ?auto_5836 ) ( IN-CITY ?auto_5831 ?auto_5836 ) ( DIFFERENT ?auto_5831 ?auto_5837 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5829 ?auto_5837 ?auto_5831 ?auto_5836 )
      ( DELIVER-PKG ?auto_5819 ?auto_5820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3182
      ?auto_3183
    )
    :vars
    (
      ?auto_3186
      ?auto_3184
      ?auto_3192
      ?auto_3193
      ?auto_3185
      ?auto_3189
      ?auto_3188
      ?auto_3187
      ?auto_3196
      ?auto_3195
    )
    :precondition
    ( and ( OBJ ?auto_3182 ) ( LOCATION ?auto_3183 ) ( AIRPLANE ?auto_3186 ) ( AT ?auto_3186 ?auto_3183 ) ( LOCATION ?auto_3184 ) ( AT ?auto_3186 ?auto_3184 ) ( AIRPLANE ?auto_3192 ) ( AIRPORT ?auto_3193 ) ( AIRPORT ?auto_3184 ) ( AT ?auto_3192 ?auto_3193 ) ( DIFFERENT ?auto_3184 ?auto_3193 ) ( LOCATION ?auto_3185 ) ( AT ?auto_3192 ?auto_3185 ) ( TRUCK ?auto_3189 ) ( IN ?auto_3182 ?auto_3189 ) ( LOCATION ?auto_3188 ) ( CITY ?auto_3187 ) ( IN-CITY ?auto_3188 ?auto_3187 ) ( IN-CITY ?auto_3185 ?auto_3187 ) ( DIFFERENT ?auto_3185 ?auto_3188 ) ( LOCATION ?auto_3196 ) ( CITY ?auto_3195 ) ( AT ?auto_3189 ?auto_3196 ) ( IN-CITY ?auto_3196 ?auto_3195 ) ( IN-CITY ?auto_3188 ?auto_3195 ) ( DIFFERENT ?auto_3188 ?auto_3196 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3189 ?auto_3196 ?auto_3188 ?auto_3195 )
      ( DELIVER-PKG ?auto_3182 ?auto_3183 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3212
      ?auto_3213
    )
    :vars
    (
      ?auto_3224
      ?auto_3221
      ?auto_3216
      ?auto_3214
      ?auto_3222
      ?auto_3218
      ?auto_3225
      ?auto_3223
      ?auto_3220
      ?auto_3219
      ?auto_3227
    )
    :precondition
    ( and ( OBJ ?auto_3212 ) ( LOCATION ?auto_3213 ) ( AIRPLANE ?auto_3224 ) ( AT ?auto_3224 ?auto_3213 ) ( LOCATION ?auto_3221 ) ( AT ?auto_3224 ?auto_3221 ) ( AIRPLANE ?auto_3216 ) ( AIRPORT ?auto_3214 ) ( AIRPORT ?auto_3221 ) ( AT ?auto_3216 ?auto_3214 ) ( DIFFERENT ?auto_3221 ?auto_3214 ) ( LOCATION ?auto_3222 ) ( AT ?auto_3216 ?auto_3222 ) ( TRUCK ?auto_3218 ) ( LOCATION ?auto_3225 ) ( CITY ?auto_3223 ) ( IN-CITY ?auto_3225 ?auto_3223 ) ( IN-CITY ?auto_3222 ?auto_3223 ) ( DIFFERENT ?auto_3222 ?auto_3225 ) ( LOCATION ?auto_3220 ) ( CITY ?auto_3219 ) ( AT ?auto_3218 ?auto_3220 ) ( IN-CITY ?auto_3220 ?auto_3219 ) ( IN-CITY ?auto_3225 ?auto_3219 ) ( DIFFERENT ?auto_3225 ?auto_3220 ) ( LOCATION ?auto_3227 ) ( AT ?auto_3218 ?auto_3227 ) ( AT ?auto_3212 ?auto_3227 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3212 ?auto_3218 ?auto_3227 )
      ( DELIVER-PKG ?auto_3212 ?auto_3213 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3229
      ?auto_3230
    )
    :vars
    (
      ?auto_3237
      ?auto_3234
      ?auto_3238
      ?auto_3235
      ?auto_3232
      ?auto_3241
      ?auto_3236
      ?auto_3233
      ?auto_3239
      ?auto_3243
      ?auto_3245
    )
    :precondition
    ( and ( OBJ ?auto_3229 ) ( LOCATION ?auto_3230 ) ( AIRPLANE ?auto_3237 ) ( AT ?auto_3237 ?auto_3230 ) ( LOCATION ?auto_3234 ) ( AT ?auto_3237 ?auto_3234 ) ( AIRPLANE ?auto_3238 ) ( AIRPORT ?auto_3235 ) ( AIRPORT ?auto_3234 ) ( DIFFERENT ?auto_3234 ?auto_3235 ) ( LOCATION ?auto_3235 ) ( TRUCK ?auto_3232 ) ( LOCATION ?auto_3241 ) ( CITY ?auto_3236 ) ( IN-CITY ?auto_3241 ?auto_3236 ) ( IN-CITY ?auto_3235 ?auto_3236 ) ( DIFFERENT ?auto_3235 ?auto_3241 ) ( LOCATION ?auto_3233 ) ( CITY ?auto_3239 ) ( AT ?auto_3232 ?auto_3233 ) ( IN-CITY ?auto_3233 ?auto_3239 ) ( IN-CITY ?auto_3241 ?auto_3239 ) ( DIFFERENT ?auto_3241 ?auto_3233 ) ( LOCATION ?auto_3243 ) ( AT ?auto_3232 ?auto_3243 ) ( AT ?auto_3229 ?auto_3243 ) ( AIRPORT ?auto_3245 ) ( AT ?auto_3238 ?auto_3245 ) ( DIFFERENT ?auto_3235 ?auto_3245 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3238 ?auto_3245 ?auto_3235 )
      ( DELIVER-PKG ?auto_3229 ?auto_3230 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3718
      ?auto_3719
    )
    :vars
    (
      ?auto_3721
      ?auto_3722
      ?auto_3723
      ?auto_3720
      ?auto_3728
      ?auto_3725
      ?auto_3727
      ?auto_3730
    )
    :precondition
    ( and ( OBJ ?auto_3718 ) ( LOCATION ?auto_3719 ) ( TRUCK ?auto_3721 ) ( LOCATION ?auto_3722 ) ( CITY ?auto_3723 ) ( IN-CITY ?auto_3722 ?auto_3723 ) ( IN-CITY ?auto_3719 ?auto_3723 ) ( DIFFERENT ?auto_3719 ?auto_3722 ) ( LOCATION ?auto_3720 ) ( CITY ?auto_3728 ) ( AT ?auto_3721 ?auto_3720 ) ( IN-CITY ?auto_3720 ?auto_3728 ) ( IN-CITY ?auto_3722 ?auto_3728 ) ( DIFFERENT ?auto_3722 ?auto_3720 ) ( LOCATION ?auto_3725 ) ( AT ?auto_3721 ?auto_3725 ) ( AIRPLANE ?auto_3727 ) ( AT ?auto_3727 ?auto_3725 ) ( LOCATION ?auto_3730 ) ( AT ?auto_3718 ?auto_3730 ) ( AT ?auto_3727 ?auto_3730 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3718 ?auto_3727 ?auto_3730 )
      ( DELIVER-PKG ?auto_3718 ?auto_3719 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3772
      ?auto_3773
    )
    :vars
    (
      ?auto_3778
      ?auto_3779
      ?auto_3775
      ?auto_3776
      ?auto_3784
      ?auto_3774
      ?auto_3777
      ?auto_3780
      ?auto_3783
      ?auto_3786
    )
    :precondition
    ( and ( OBJ ?auto_3772 ) ( LOCATION ?auto_3773 ) ( TRUCK ?auto_3778 ) ( LOCATION ?auto_3779 ) ( CITY ?auto_3775 ) ( IN-CITY ?auto_3779 ?auto_3775 ) ( IN-CITY ?auto_3773 ?auto_3775 ) ( DIFFERENT ?auto_3773 ?auto_3779 ) ( LOCATION ?auto_3776 ) ( CITY ?auto_3784 ) ( AT ?auto_3778 ?auto_3776 ) ( IN-CITY ?auto_3776 ?auto_3784 ) ( IN-CITY ?auto_3779 ?auto_3784 ) ( DIFFERENT ?auto_3779 ?auto_3776 ) ( LOCATION ?auto_3774 ) ( AT ?auto_3778 ?auto_3774 ) ( AIRPLANE ?auto_3777 ) ( AT ?auto_3777 ?auto_3774 ) ( LOCATION ?auto_3780 ) ( AT ?auto_3777 ?auto_3780 ) ( AIRPLANE ?auto_3783 ) ( IN ?auto_3772 ?auto_3783 ) ( AIRPORT ?auto_3786 ) ( AIRPORT ?auto_3780 ) ( AT ?auto_3783 ?auto_3786 ) ( DIFFERENT ?auto_3780 ?auto_3786 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3783 ?auto_3786 ?auto_3780 )
      ( DELIVER-PKG ?auto_3772 ?auto_3773 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3788
      ?auto_3789
    )
    :vars
    (
      ?auto_3797
      ?auto_3798
      ?auto_3799
      ?auto_3790
      ?auto_3793
      ?auto_3795
      ?auto_3796
      ?auto_3791
      ?auto_3792
      ?auto_3801
      ?auto_3803
    )
    :precondition
    ( and ( OBJ ?auto_3788 ) ( LOCATION ?auto_3789 ) ( TRUCK ?auto_3797 ) ( LOCATION ?auto_3798 ) ( CITY ?auto_3799 ) ( IN-CITY ?auto_3798 ?auto_3799 ) ( IN-CITY ?auto_3789 ?auto_3799 ) ( DIFFERENT ?auto_3789 ?auto_3798 ) ( LOCATION ?auto_3790 ) ( CITY ?auto_3793 ) ( AT ?auto_3797 ?auto_3790 ) ( IN-CITY ?auto_3790 ?auto_3793 ) ( IN-CITY ?auto_3798 ?auto_3793 ) ( DIFFERENT ?auto_3798 ?auto_3790 ) ( LOCATION ?auto_3795 ) ( AT ?auto_3797 ?auto_3795 ) ( AIRPLANE ?auto_3796 ) ( AT ?auto_3796 ?auto_3795 ) ( LOCATION ?auto_3791 ) ( AT ?auto_3796 ?auto_3791 ) ( AIRPLANE ?auto_3792 ) ( AIRPORT ?auto_3801 ) ( AIRPORT ?auto_3791 ) ( AT ?auto_3792 ?auto_3801 ) ( DIFFERENT ?auto_3791 ?auto_3801 ) ( LOCATION ?auto_3803 ) ( AT ?auto_3788 ?auto_3803 ) ( AT ?auto_3792 ?auto_3803 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3788 ?auto_3792 ?auto_3803 )
      ( DELIVER-PKG ?auto_3788 ?auto_3789 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3805
      ?auto_3806
    )
    :vars
    (
      ?auto_3814
      ?auto_3810
      ?auto_3816
      ?auto_3807
      ?auto_3809
      ?auto_3813
      ?auto_3808
      ?auto_3818
      ?auto_3819
      ?auto_3812
      ?auto_3815
      ?auto_3822
    )
    :precondition
    ( and ( OBJ ?auto_3805 ) ( LOCATION ?auto_3806 ) ( TRUCK ?auto_3814 ) ( LOCATION ?auto_3810 ) ( CITY ?auto_3816 ) ( IN-CITY ?auto_3810 ?auto_3816 ) ( IN-CITY ?auto_3806 ?auto_3816 ) ( DIFFERENT ?auto_3806 ?auto_3810 ) ( LOCATION ?auto_3807 ) ( CITY ?auto_3809 ) ( AT ?auto_3814 ?auto_3807 ) ( IN-CITY ?auto_3807 ?auto_3809 ) ( IN-CITY ?auto_3810 ?auto_3809 ) ( DIFFERENT ?auto_3810 ?auto_3807 ) ( LOCATION ?auto_3813 ) ( AT ?auto_3814 ?auto_3813 ) ( AIRPLANE ?auto_3808 ) ( AT ?auto_3808 ?auto_3813 ) ( LOCATION ?auto_3818 ) ( AT ?auto_3808 ?auto_3818 ) ( AIRPLANE ?auto_3819 ) ( AIRPORT ?auto_3812 ) ( AIRPORT ?auto_3818 ) ( AT ?auto_3819 ?auto_3812 ) ( DIFFERENT ?auto_3818 ?auto_3812 ) ( LOCATION ?auto_3815 ) ( AT ?auto_3819 ?auto_3815 ) ( TRUCK ?auto_3822 ) ( AT ?auto_3822 ?auto_3815 ) ( IN ?auto_3805 ?auto_3822 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3805 ?auto_3815 )
      ( DELIVER-PKG ?auto_3805 ?auto_3806 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3823
      ?auto_3824
    )
    :vars
    (
      ?auto_3831
      ?auto_3838
      ?auto_3832
      ?auto_3825
      ?auto_3837
      ?auto_3827
      ?auto_3836
      ?auto_3828
      ?auto_3829
      ?auto_3833
      ?auto_3834
      ?auto_3830
      ?auto_3841
      ?auto_3840
    )
    :precondition
    ( and ( OBJ ?auto_3823 ) ( LOCATION ?auto_3824 ) ( TRUCK ?auto_3831 ) ( LOCATION ?auto_3838 ) ( CITY ?auto_3832 ) ( IN-CITY ?auto_3838 ?auto_3832 ) ( IN-CITY ?auto_3824 ?auto_3832 ) ( DIFFERENT ?auto_3824 ?auto_3838 ) ( LOCATION ?auto_3825 ) ( CITY ?auto_3837 ) ( AT ?auto_3831 ?auto_3825 ) ( IN-CITY ?auto_3825 ?auto_3837 ) ( IN-CITY ?auto_3838 ?auto_3837 ) ( DIFFERENT ?auto_3838 ?auto_3825 ) ( LOCATION ?auto_3827 ) ( AT ?auto_3831 ?auto_3827 ) ( AIRPLANE ?auto_3836 ) ( AT ?auto_3836 ?auto_3827 ) ( LOCATION ?auto_3828 ) ( AT ?auto_3836 ?auto_3828 ) ( AIRPLANE ?auto_3829 ) ( AIRPORT ?auto_3833 ) ( AIRPORT ?auto_3828 ) ( AT ?auto_3829 ?auto_3833 ) ( DIFFERENT ?auto_3828 ?auto_3833 ) ( LOCATION ?auto_3834 ) ( AT ?auto_3829 ?auto_3834 ) ( TRUCK ?auto_3830 ) ( IN ?auto_3823 ?auto_3830 ) ( LOCATION ?auto_3841 ) ( CITY ?auto_3840 ) ( AT ?auto_3830 ?auto_3841 ) ( IN-CITY ?auto_3841 ?auto_3840 ) ( IN-CITY ?auto_3834 ?auto_3840 ) ( DIFFERENT ?auto_3834 ?auto_3841 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3830 ?auto_3841 ?auto_3834 ?auto_3840 )
      ( DELIVER-PKG ?auto_3823 ?auto_3824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3843
      ?auto_3844
    )
    :vars
    (
      ?auto_3853
      ?auto_3846
      ?auto_3845
      ?auto_3850
      ?auto_3847
      ?auto_3859
      ?auto_3856
      ?auto_3860
      ?auto_3855
      ?auto_3857
      ?auto_3858
      ?auto_3849
      ?auto_3852
      ?auto_3851
      ?auto_3863
      ?auto_3862
    )
    :precondition
    ( and ( OBJ ?auto_3843 ) ( LOCATION ?auto_3844 ) ( TRUCK ?auto_3853 ) ( LOCATION ?auto_3846 ) ( CITY ?auto_3845 ) ( IN-CITY ?auto_3846 ?auto_3845 ) ( IN-CITY ?auto_3844 ?auto_3845 ) ( DIFFERENT ?auto_3844 ?auto_3846 ) ( LOCATION ?auto_3850 ) ( CITY ?auto_3847 ) ( AT ?auto_3853 ?auto_3850 ) ( IN-CITY ?auto_3850 ?auto_3847 ) ( IN-CITY ?auto_3846 ?auto_3847 ) ( DIFFERENT ?auto_3846 ?auto_3850 ) ( LOCATION ?auto_3859 ) ( AT ?auto_3853 ?auto_3859 ) ( AIRPLANE ?auto_3856 ) ( AT ?auto_3856 ?auto_3859 ) ( LOCATION ?auto_3860 ) ( AT ?auto_3856 ?auto_3860 ) ( AIRPLANE ?auto_3855 ) ( AIRPORT ?auto_3857 ) ( AIRPORT ?auto_3860 ) ( AT ?auto_3855 ?auto_3857 ) ( DIFFERENT ?auto_3860 ?auto_3857 ) ( LOCATION ?auto_3858 ) ( AT ?auto_3855 ?auto_3858 ) ( TRUCK ?auto_3849 ) ( IN ?auto_3843 ?auto_3849 ) ( LOCATION ?auto_3852 ) ( CITY ?auto_3851 ) ( IN-CITY ?auto_3852 ?auto_3851 ) ( IN-CITY ?auto_3858 ?auto_3851 ) ( DIFFERENT ?auto_3858 ?auto_3852 ) ( LOCATION ?auto_3863 ) ( CITY ?auto_3862 ) ( AT ?auto_3849 ?auto_3863 ) ( IN-CITY ?auto_3863 ?auto_3862 ) ( IN-CITY ?auto_3852 ?auto_3862 ) ( DIFFERENT ?auto_3852 ?auto_3863 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3849 ?auto_3863 ?auto_3852 ?auto_3862 )
      ( DELIVER-PKG ?auto_3843 ?auto_3844 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3885
      ?auto_3886
    )
    :vars
    (
      ?auto_3890
      ?auto_3900
      ?auto_3898
      ?auto_3889
      ?auto_3901
      ?auto_3893
      ?auto_3902
      ?auto_3887
      ?auto_3899
      ?auto_3894
      ?auto_3892
      ?auto_3904
      ?auto_3896
      ?auto_3903
      ?auto_3895
      ?auto_3891
      ?auto_3906
    )
    :precondition
    ( and ( OBJ ?auto_3885 ) ( LOCATION ?auto_3886 ) ( TRUCK ?auto_3890 ) ( LOCATION ?auto_3900 ) ( CITY ?auto_3898 ) ( IN-CITY ?auto_3900 ?auto_3898 ) ( IN-CITY ?auto_3886 ?auto_3898 ) ( DIFFERENT ?auto_3886 ?auto_3900 ) ( LOCATION ?auto_3889 ) ( CITY ?auto_3901 ) ( AT ?auto_3890 ?auto_3889 ) ( IN-CITY ?auto_3889 ?auto_3901 ) ( IN-CITY ?auto_3900 ?auto_3901 ) ( DIFFERENT ?auto_3900 ?auto_3889 ) ( LOCATION ?auto_3893 ) ( AT ?auto_3890 ?auto_3893 ) ( AIRPLANE ?auto_3902 ) ( AT ?auto_3902 ?auto_3893 ) ( LOCATION ?auto_3887 ) ( AT ?auto_3902 ?auto_3887 ) ( AIRPLANE ?auto_3899 ) ( AIRPORT ?auto_3894 ) ( AIRPORT ?auto_3887 ) ( AT ?auto_3899 ?auto_3894 ) ( DIFFERENT ?auto_3887 ?auto_3894 ) ( LOCATION ?auto_3892 ) ( AT ?auto_3899 ?auto_3892 ) ( TRUCK ?auto_3904 ) ( LOCATION ?auto_3896 ) ( CITY ?auto_3903 ) ( IN-CITY ?auto_3896 ?auto_3903 ) ( IN-CITY ?auto_3892 ?auto_3903 ) ( DIFFERENT ?auto_3892 ?auto_3896 ) ( LOCATION ?auto_3895 ) ( CITY ?auto_3891 ) ( AT ?auto_3904 ?auto_3895 ) ( IN-CITY ?auto_3895 ?auto_3891 ) ( IN-CITY ?auto_3896 ?auto_3891 ) ( DIFFERENT ?auto_3896 ?auto_3895 ) ( LOCATION ?auto_3906 ) ( AT ?auto_3904 ?auto_3906 ) ( AT ?auto_3885 ?auto_3906 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3885 ?auto_3904 ?auto_3906 )
      ( DELIVER-PKG ?auto_3885 ?auto_3886 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3908
      ?auto_3909
    )
    :vars
    (
      ?auto_3926
      ?auto_3914
      ?auto_3912
      ?auto_3910
      ?auto_3922
      ?auto_3919
      ?auto_3923
      ?auto_3928
      ?auto_3913
      ?auto_3918
      ?auto_3925
      ?auto_3911
      ?auto_3924
      ?auto_3916
      ?auto_3917
      ?auto_3920
      ?auto_3930
    )
    :precondition
    ( and ( OBJ ?auto_3908 ) ( LOCATION ?auto_3909 ) ( TRUCK ?auto_3926 ) ( LOCATION ?auto_3914 ) ( CITY ?auto_3912 ) ( IN-CITY ?auto_3914 ?auto_3912 ) ( IN-CITY ?auto_3909 ?auto_3912 ) ( DIFFERENT ?auto_3909 ?auto_3914 ) ( LOCATION ?auto_3910 ) ( CITY ?auto_3922 ) ( AT ?auto_3926 ?auto_3910 ) ( IN-CITY ?auto_3910 ?auto_3922 ) ( IN-CITY ?auto_3914 ?auto_3922 ) ( DIFFERENT ?auto_3914 ?auto_3910 ) ( LOCATION ?auto_3919 ) ( AT ?auto_3926 ?auto_3919 ) ( AIRPLANE ?auto_3923 ) ( AT ?auto_3923 ?auto_3919 ) ( LOCATION ?auto_3928 ) ( AT ?auto_3923 ?auto_3928 ) ( AIRPLANE ?auto_3913 ) ( AIRPORT ?auto_3918 ) ( AIRPORT ?auto_3928 ) ( DIFFERENT ?auto_3928 ?auto_3918 ) ( LOCATION ?auto_3918 ) ( TRUCK ?auto_3925 ) ( LOCATION ?auto_3911 ) ( CITY ?auto_3924 ) ( IN-CITY ?auto_3911 ?auto_3924 ) ( IN-CITY ?auto_3918 ?auto_3924 ) ( DIFFERENT ?auto_3918 ?auto_3911 ) ( LOCATION ?auto_3916 ) ( CITY ?auto_3917 ) ( AT ?auto_3925 ?auto_3916 ) ( IN-CITY ?auto_3916 ?auto_3917 ) ( IN-CITY ?auto_3911 ?auto_3917 ) ( DIFFERENT ?auto_3911 ?auto_3916 ) ( LOCATION ?auto_3920 ) ( AT ?auto_3925 ?auto_3920 ) ( AT ?auto_3908 ?auto_3920 ) ( AIRPORT ?auto_3930 ) ( AT ?auto_3913 ?auto_3930 ) ( DIFFERENT ?auto_3918 ?auto_3930 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3913 ?auto_3930 ?auto_3918 )
      ( DELIVER-PKG ?auto_3908 ?auto_3909 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4290
      ?auto_4291
    )
    :vars
    (
      ?auto_4294
      ?auto_4292
      ?auto_4295
      ?auto_4300
      ?auto_4299
    )
    :precondition
    ( and ( OBJ ?auto_4290 ) ( LOCATION ?auto_4291 ) ( TRUCK ?auto_4294 ) ( LOCATION ?auto_4292 ) ( CITY ?auto_4295 ) ( IN-CITY ?auto_4292 ?auto_4295 ) ( IN-CITY ?auto_4291 ?auto_4295 ) ( DIFFERENT ?auto_4291 ?auto_4292 ) ( AT ?auto_4290 ?auto_4292 ) ( LOCATION ?auto_4300 ) ( CITY ?auto_4299 ) ( AT ?auto_4294 ?auto_4300 ) ( IN-CITY ?auto_4300 ?auto_4299 ) ( IN-CITY ?auto_4292 ?auto_4299 ) ( DIFFERENT ?auto_4292 ?auto_4300 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4294 ?auto_4300 ?auto_4292 ?auto_4299 )
      ( DELIVER-PKG ?auto_4290 ?auto_4291 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4320
      ?auto_4321
    )
    :vars
    (
      ?auto_4325
      ?auto_4323
      ?auto_4326
      ?auto_4328
      ?auto_4327
      ?auto_4331
      ?auto_4330
    )
    :precondition
    ( and ( OBJ ?auto_4320 ) ( LOCATION ?auto_4321 ) ( TRUCK ?auto_4325 ) ( LOCATION ?auto_4323 ) ( CITY ?auto_4326 ) ( IN-CITY ?auto_4323 ?auto_4326 ) ( IN-CITY ?auto_4321 ?auto_4326 ) ( DIFFERENT ?auto_4321 ?auto_4323 ) ( AT ?auto_4320 ?auto_4323 ) ( LOCATION ?auto_4328 ) ( CITY ?auto_4327 ) ( IN-CITY ?auto_4328 ?auto_4327 ) ( IN-CITY ?auto_4323 ?auto_4327 ) ( DIFFERENT ?auto_4323 ?auto_4328 ) ( LOCATION ?auto_4331 ) ( CITY ?auto_4330 ) ( AT ?auto_4325 ?auto_4331 ) ( IN-CITY ?auto_4331 ?auto_4330 ) ( IN-CITY ?auto_4328 ?auto_4330 ) ( DIFFERENT ?auto_4328 ?auto_4331 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4325 ?auto_4331 ?auto_4328 ?auto_4330 )
      ( DELIVER-PKG ?auto_4320 ?auto_4321 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4528
      ?auto_4529
    )
    :vars
    (
      ?auto_4536
      ?auto_4534
      ?auto_4535
      ?auto_4537
      ?auto_4530
      ?auto_4540
      ?auto_4539
    )
    :precondition
    ( and ( OBJ ?auto_4528 ) ( LOCATION ?auto_4529 ) ( TRUCK ?auto_4536 ) ( LOCATION ?auto_4534 ) ( CITY ?auto_4535 ) ( IN-CITY ?auto_4534 ?auto_4535 ) ( IN-CITY ?auto_4529 ?auto_4535 ) ( DIFFERENT ?auto_4529 ?auto_4534 ) ( LOCATION ?auto_4537 ) ( CITY ?auto_4530 ) ( IN-CITY ?auto_4537 ?auto_4530 ) ( IN-CITY ?auto_4534 ?auto_4530 ) ( DIFFERENT ?auto_4534 ?auto_4537 ) ( AT ?auto_4528 ?auto_4537 ) ( LOCATION ?auto_4540 ) ( CITY ?auto_4539 ) ( AT ?auto_4536 ?auto_4540 ) ( IN-CITY ?auto_4540 ?auto_4539 ) ( IN-CITY ?auto_4537 ?auto_4539 ) ( DIFFERENT ?auto_4537 ?auto_4540 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4536 ?auto_4540 ?auto_4537 ?auto_4539 )
      ( DELIVER-PKG ?auto_4528 ?auto_4529 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4574
      ?auto_4575
    )
    :vars
    (
      ?auto_4576
      ?auto_4577
      ?auto_4581
    )
    :precondition
    ( and ( OBJ ?auto_4574 ) ( LOCATION ?auto_4575 ) ( AIRPLANE ?auto_4576 ) ( AT ?auto_4576 ?auto_4575 ) ( LOCATION ?auto_4577 ) ( AT ?auto_4576 ?auto_4577 ) ( TRUCK ?auto_4581 ) ( AT ?auto_4581 ?auto_4577 ) ( IN ?auto_4574 ?auto_4581 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4574 ?auto_4577 )
      ( DELIVER-PKG ?auto_4574 ?auto_4575 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4597
      ?auto_4598
    )
    :vars
    (
      ?auto_4600
      ?auto_4599
      ?auto_4603
      ?auto_4606
      ?auto_4605
    )
    :precondition
    ( and ( OBJ ?auto_4597 ) ( LOCATION ?auto_4598 ) ( AIRPLANE ?auto_4600 ) ( AT ?auto_4600 ?auto_4598 ) ( LOCATION ?auto_4599 ) ( AT ?auto_4600 ?auto_4599 ) ( TRUCK ?auto_4603 ) ( IN ?auto_4597 ?auto_4603 ) ( LOCATION ?auto_4606 ) ( CITY ?auto_4605 ) ( AT ?auto_4603 ?auto_4606 ) ( IN-CITY ?auto_4606 ?auto_4605 ) ( IN-CITY ?auto_4599 ?auto_4605 ) ( DIFFERENT ?auto_4599 ?auto_4606 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4603 ?auto_4606 ?auto_4599 ?auto_4605 )
      ( DELIVER-PKG ?auto_4597 ?auto_4598 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4626
      ?auto_4627
    )
    :vars
    (
      ?auto_4630
      ?auto_4632
      ?auto_4631
      ?auto_4634
      ?auto_4633
      ?auto_4636
    )
    :precondition
    ( and ( OBJ ?auto_4626 ) ( LOCATION ?auto_4627 ) ( AIRPLANE ?auto_4630 ) ( AT ?auto_4630 ?auto_4627 ) ( LOCATION ?auto_4632 ) ( AT ?auto_4630 ?auto_4632 ) ( TRUCK ?auto_4631 ) ( LOCATION ?auto_4634 ) ( CITY ?auto_4633 ) ( AT ?auto_4631 ?auto_4634 ) ( IN-CITY ?auto_4634 ?auto_4633 ) ( IN-CITY ?auto_4632 ?auto_4633 ) ( DIFFERENT ?auto_4632 ?auto_4634 ) ( LOCATION ?auto_4636 ) ( AT ?auto_4631 ?auto_4636 ) ( AT ?auto_4626 ?auto_4636 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4626 ?auto_4631 ?auto_4636 )
      ( DELIVER-PKG ?auto_4626 ?auto_4627 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4648
      ?auto_4649
    )
    :vars
    (
      ?auto_4650
      ?auto_4653
      ?auto_4651
      ?auto_4657
      ?auto_4654
      ?auto_4660
      ?auto_4659
    )
    :precondition
    ( and ( OBJ ?auto_4648 ) ( LOCATION ?auto_4649 ) ( AIRPLANE ?auto_4650 ) ( AT ?auto_4650 ?auto_4649 ) ( LOCATION ?auto_4653 ) ( AT ?auto_4650 ?auto_4653 ) ( TRUCK ?auto_4651 ) ( LOCATION ?auto_4657 ) ( CITY ?auto_4654 ) ( IN-CITY ?auto_4657 ?auto_4654 ) ( IN-CITY ?auto_4653 ?auto_4654 ) ( DIFFERENT ?auto_4653 ?auto_4657 ) ( AT ?auto_4648 ?auto_4657 ) ( LOCATION ?auto_4660 ) ( CITY ?auto_4659 ) ( AT ?auto_4651 ?auto_4660 ) ( IN-CITY ?auto_4660 ?auto_4659 ) ( IN-CITY ?auto_4657 ?auto_4659 ) ( DIFFERENT ?auto_4657 ?auto_4660 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4651 ?auto_4660 ?auto_4657 ?auto_4659 )
      ( DELIVER-PKG ?auto_4648 ?auto_4649 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4684
      ?auto_4685
    )
    :vars
    (
      ?auto_4692
      ?auto_4689
      ?auto_4686
      ?auto_4691
      ?auto_4690
      ?auto_4694
      ?auto_4688
      ?auto_4697
      ?auto_4696
    )
    :precondition
    ( and ( OBJ ?auto_4684 ) ( LOCATION ?auto_4685 ) ( AIRPLANE ?auto_4692 ) ( AT ?auto_4692 ?auto_4685 ) ( LOCATION ?auto_4689 ) ( AT ?auto_4692 ?auto_4689 ) ( TRUCK ?auto_4686 ) ( LOCATION ?auto_4691 ) ( CITY ?auto_4690 ) ( IN-CITY ?auto_4691 ?auto_4690 ) ( IN-CITY ?auto_4689 ?auto_4690 ) ( DIFFERENT ?auto_4689 ?auto_4691 ) ( AT ?auto_4684 ?auto_4691 ) ( LOCATION ?auto_4694 ) ( CITY ?auto_4688 ) ( IN-CITY ?auto_4694 ?auto_4688 ) ( IN-CITY ?auto_4691 ?auto_4688 ) ( DIFFERENT ?auto_4691 ?auto_4694 ) ( LOCATION ?auto_4697 ) ( CITY ?auto_4696 ) ( AT ?auto_4686 ?auto_4697 ) ( IN-CITY ?auto_4697 ?auto_4696 ) ( IN-CITY ?auto_4694 ?auto_4696 ) ( DIFFERENT ?auto_4694 ?auto_4697 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4686 ?auto_4697 ?auto_4694 ?auto_4696 )
      ( DELIVER-PKG ?auto_4684 ?auto_4685 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6550
      ?auto_6551
    )
    :vars
    (
      ?auto_6557
      ?auto_6552
      ?auto_6558
      ?auto_6554
      ?auto_6561
      ?auto_6555
      ?auto_6559
      ?auto_6562
      ?auto_6553
      ?auto_6565
    )
    :precondition
    ( and ( OBJ ?auto_6550 ) ( LOCATION ?auto_6551 ) ( AIRPLANE ?auto_6557 ) ( AIRPORT ?auto_6552 ) ( AIRPORT ?auto_6551 ) ( AT ?auto_6557 ?auto_6552 ) ( DIFFERENT ?auto_6551 ?auto_6552 ) ( LOCATION ?auto_6558 ) ( AT ?auto_6557 ?auto_6558 ) ( AIRPLANE ?auto_6554 ) ( AT ?auto_6554 ?auto_6558 ) ( LOCATION ?auto_6561 ) ( AT ?auto_6554 ?auto_6561 ) ( AIRPLANE ?auto_6555 ) ( AT ?auto_6555 ?auto_6561 ) ( LOCATION ?auto_6559 ) ( AT ?auto_6555 ?auto_6559 ) ( AIRPLANE ?auto_6562 ) ( AT ?auto_6562 ?auto_6559 ) ( LOCATION ?auto_6553 ) ( AT ?auto_6562 ?auto_6553 ) ( AIRPLANE ?auto_6565 ) ( IN ?auto_6550 ?auto_6565 ) ( AT ?auto_6565 ?auto_6553 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6550 ?auto_6553 )
      ( DELIVER-PKG ?auto_6550 ?auto_6551 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4943
      ?auto_4944
    )
    :vars
    (
      ?auto_4945
      ?auto_4947
      ?auto_4948
      ?auto_4954
      ?auto_4953
      ?auto_4949
      ?auto_4955
      ?auto_4950
      ?auto_4958
      ?auto_4957
    )
    :precondition
    ( and ( OBJ ?auto_4943 ) ( LOCATION ?auto_4944 ) ( AIRPLANE ?auto_4945 ) ( AIRPORT ?auto_4947 ) ( AIRPORT ?auto_4944 ) ( AT ?auto_4945 ?auto_4947 ) ( DIFFERENT ?auto_4944 ?auto_4947 ) ( LOCATION ?auto_4948 ) ( AT ?auto_4945 ?auto_4948 ) ( AIRPLANE ?auto_4954 ) ( AT ?auto_4954 ?auto_4948 ) ( LOCATION ?auto_4953 ) ( AT ?auto_4954 ?auto_4953 ) ( TRUCK ?auto_4949 ) ( LOCATION ?auto_4955 ) ( CITY ?auto_4950 ) ( IN-CITY ?auto_4955 ?auto_4950 ) ( IN-CITY ?auto_4953 ?auto_4950 ) ( DIFFERENT ?auto_4953 ?auto_4955 ) ( AT ?auto_4943 ?auto_4955 ) ( LOCATION ?auto_4958 ) ( CITY ?auto_4957 ) ( AT ?auto_4949 ?auto_4958 ) ( IN-CITY ?auto_4958 ?auto_4957 ) ( IN-CITY ?auto_4955 ?auto_4957 ) ( DIFFERENT ?auto_4955 ?auto_4958 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4949 ?auto_4958 ?auto_4955 ?auto_4957 )
      ( DELIVER-PKG ?auto_4943 ?auto_4944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4988
      ?auto_4989
    )
    :vars
    (
      ?auto_4999
      ?auto_4991
      ?auto_4995
      ?auto_4992
      ?auto_4998
      ?auto_4996
      ?auto_4993
      ?auto_4997
      ?auto_5001
      ?auto_5000
      ?auto_5004
      ?auto_5003
    )
    :precondition
    ( and ( OBJ ?auto_4988 ) ( LOCATION ?auto_4989 ) ( AIRPLANE ?auto_4999 ) ( AIRPORT ?auto_4991 ) ( AIRPORT ?auto_4989 ) ( AT ?auto_4999 ?auto_4991 ) ( DIFFERENT ?auto_4989 ?auto_4991 ) ( LOCATION ?auto_4995 ) ( AT ?auto_4999 ?auto_4995 ) ( AIRPLANE ?auto_4992 ) ( AT ?auto_4992 ?auto_4995 ) ( LOCATION ?auto_4998 ) ( AT ?auto_4992 ?auto_4998 ) ( TRUCK ?auto_4996 ) ( LOCATION ?auto_4993 ) ( CITY ?auto_4997 ) ( IN-CITY ?auto_4993 ?auto_4997 ) ( IN-CITY ?auto_4998 ?auto_4997 ) ( DIFFERENT ?auto_4998 ?auto_4993 ) ( AT ?auto_4988 ?auto_4993 ) ( LOCATION ?auto_5001 ) ( CITY ?auto_5000 ) ( IN-CITY ?auto_5001 ?auto_5000 ) ( IN-CITY ?auto_4993 ?auto_5000 ) ( DIFFERENT ?auto_4993 ?auto_5001 ) ( LOCATION ?auto_5004 ) ( CITY ?auto_5003 ) ( AT ?auto_4996 ?auto_5004 ) ( IN-CITY ?auto_5004 ?auto_5003 ) ( IN-CITY ?auto_5001 ?auto_5003 ) ( DIFFERENT ?auto_5001 ?auto_5004 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4996 ?auto_5004 ?auto_5001 ?auto_5003 )
      ( DELIVER-PKG ?auto_4988 ?auto_4989 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5721
      ?auto_5722
    )
    :vars
    (
      ?auto_5724
      ?auto_5727
      ?auto_5732
      ?auto_5728
      ?auto_5723
      ?auto_5729
      ?auto_5733
      ?auto_5731
      ?auto_5726
      ?auto_5734
    )
    :precondition
    ( and ( OBJ ?auto_5721 ) ( LOCATION ?auto_5722 ) ( AIRPLANE ?auto_5724 ) ( AT ?auto_5724 ?auto_5722 ) ( LOCATION ?auto_5727 ) ( AT ?auto_5724 ?auto_5727 ) ( AIRPLANE ?auto_5732 ) ( AT ?auto_5732 ?auto_5727 ) ( LOCATION ?auto_5728 ) ( AT ?auto_5732 ?auto_5728 ) ( AIRPLANE ?auto_5723 ) ( AT ?auto_5723 ?auto_5728 ) ( LOCATION ?auto_5729 ) ( AT ?auto_5723 ?auto_5729 ) ( AIRPLANE ?auto_5733 ) ( AIRPORT ?auto_5731 ) ( AIRPORT ?auto_5729 ) ( AT ?auto_5733 ?auto_5731 ) ( DIFFERENT ?auto_5729 ?auto_5731 ) ( LOCATION ?auto_5726 ) ( AT ?auto_5733 ?auto_5726 ) ( AIRPLANE ?auto_5734 ) ( IN ?auto_5721 ?auto_5734 ) ( AT ?auto_5734 ?auto_5726 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5721 ?auto_5726 )
      ( DELIVER-PKG ?auto_5721 ?auto_5722 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5875
      ?auto_5876
    )
    :vars
    (
      ?auto_5887
      ?auto_5888
      ?auto_5883
      ?auto_5881
      ?auto_5889
      ?auto_5878
      ?auto_5880
      ?auto_5885
      ?auto_5882
      ?auto_5886
      ?auto_5879
      ?auto_5884
      ?auto_5892
      ?auto_5891
      ?auto_5894
    )
    :precondition
    ( and ( OBJ ?auto_5875 ) ( LOCATION ?auto_5876 ) ( AIRPLANE ?auto_5887 ) ( AT ?auto_5887 ?auto_5876 ) ( LOCATION ?auto_5888 ) ( AT ?auto_5887 ?auto_5888 ) ( AIRPLANE ?auto_5883 ) ( AT ?auto_5883 ?auto_5888 ) ( LOCATION ?auto_5881 ) ( AT ?auto_5883 ?auto_5881 ) ( AIRPLANE ?auto_5889 ) ( AT ?auto_5889 ?auto_5881 ) ( LOCATION ?auto_5878 ) ( AT ?auto_5889 ?auto_5878 ) ( AIRPLANE ?auto_5880 ) ( AIRPORT ?auto_5885 ) ( AIRPORT ?auto_5878 ) ( AT ?auto_5880 ?auto_5885 ) ( DIFFERENT ?auto_5878 ?auto_5885 ) ( LOCATION ?auto_5882 ) ( AT ?auto_5880 ?auto_5882 ) ( AIRPLANE ?auto_5886 ) ( AT ?auto_5886 ?auto_5882 ) ( LOCATION ?auto_5879 ) ( AT ?auto_5886 ?auto_5879 ) ( TRUCK ?auto_5884 ) ( LOCATION ?auto_5892 ) ( CITY ?auto_5891 ) ( AT ?auto_5884 ?auto_5892 ) ( IN-CITY ?auto_5892 ?auto_5891 ) ( IN-CITY ?auto_5879 ?auto_5891 ) ( DIFFERENT ?auto_5879 ?auto_5892 ) ( LOCATION ?auto_5894 ) ( AT ?auto_5884 ?auto_5894 ) ( AT ?auto_5875 ?auto_5894 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5875 ?auto_5884 ?auto_5894 )
      ( DELIVER-PKG ?auto_5875 ?auto_5876 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5915
      ?auto_5916
    )
    :vars
    (
      ?auto_5928
      ?auto_5929
      ?auto_5924
      ?auto_5919
      ?auto_5931
      ?auto_5921
      ?auto_5923
      ?auto_5926
      ?auto_5920
      ?auto_5927
      ?auto_5922
      ?auto_5925
      ?auto_5930
      ?auto_5932
      ?auto_5936
      ?auto_5935
    )
    :precondition
    ( and ( OBJ ?auto_5915 ) ( LOCATION ?auto_5916 ) ( AIRPLANE ?auto_5928 ) ( AT ?auto_5928 ?auto_5916 ) ( LOCATION ?auto_5929 ) ( AT ?auto_5928 ?auto_5929 ) ( AIRPLANE ?auto_5924 ) ( AT ?auto_5924 ?auto_5929 ) ( LOCATION ?auto_5919 ) ( AT ?auto_5924 ?auto_5919 ) ( AIRPLANE ?auto_5931 ) ( AT ?auto_5931 ?auto_5919 ) ( LOCATION ?auto_5921 ) ( AT ?auto_5931 ?auto_5921 ) ( AIRPLANE ?auto_5923 ) ( AIRPORT ?auto_5926 ) ( AIRPORT ?auto_5921 ) ( AT ?auto_5923 ?auto_5926 ) ( DIFFERENT ?auto_5921 ?auto_5926 ) ( LOCATION ?auto_5920 ) ( AT ?auto_5923 ?auto_5920 ) ( AIRPLANE ?auto_5927 ) ( AT ?auto_5927 ?auto_5920 ) ( LOCATION ?auto_5922 ) ( AT ?auto_5927 ?auto_5922 ) ( TRUCK ?auto_5925 ) ( LOCATION ?auto_5930 ) ( CITY ?auto_5932 ) ( IN-CITY ?auto_5930 ?auto_5932 ) ( IN-CITY ?auto_5922 ?auto_5932 ) ( DIFFERENT ?auto_5922 ?auto_5930 ) ( AT ?auto_5915 ?auto_5930 ) ( LOCATION ?auto_5936 ) ( CITY ?auto_5935 ) ( AT ?auto_5925 ?auto_5936 ) ( IN-CITY ?auto_5936 ?auto_5935 ) ( IN-CITY ?auto_5930 ?auto_5935 ) ( DIFFERENT ?auto_5930 ?auto_5936 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5925 ?auto_5936 ?auto_5930 ?auto_5935 )
      ( DELIVER-PKG ?auto_5915 ?auto_5916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5227
      ?auto_5234
    )
    :vars
    (
      ?auto_5232
      ?auto_5240
      ?auto_5237
      ?auto_5233
      ?auto_5236
      ?auto_5239
      ?auto_5235
      ?auto_5238
      ?auto_5231
      ?auto_5242
      ?auto_5241
      ?auto_5244
    )
    :precondition
    ( and ( OBJ ?auto_5227 ) ( LOCATION ?auto_5234 ) ( AIRPLANE ?auto_5232 ) ( AIRPLANE ?auto_5240 ) ( AIRPORT ?auto_5237 ) ( AIRPORT ?auto_5234 ) ( AT ?auto_5240 ?auto_5237 ) ( DIFFERENT ?auto_5234 ?auto_5237 ) ( LOCATION ?auto_5233 ) ( AT ?auto_5240 ?auto_5233 ) ( AIRPLANE ?auto_5236 ) ( AT ?auto_5236 ?auto_5233 ) ( LOCATION ?auto_5239 ) ( AT ?auto_5236 ?auto_5239 ) ( TRUCK ?auto_5235 ) ( LOCATION ?auto_5238 ) ( CITY ?auto_5231 ) ( IN-CITY ?auto_5238 ?auto_5231 ) ( IN-CITY ?auto_5239 ?auto_5231 ) ( DIFFERENT ?auto_5239 ?auto_5238 ) ( AT ?auto_5227 ?auto_5238 ) ( LOCATION ?auto_5242 ) ( CITY ?auto_5241 ) ( AT ?auto_5235 ?auto_5242 ) ( IN-CITY ?auto_5242 ?auto_5241 ) ( IN-CITY ?auto_5238 ?auto_5241 ) ( DIFFERENT ?auto_5238 ?auto_5242 ) ( AIRPORT ?auto_5244 ) ( AT ?auto_5232 ?auto_5244 ) ( DIFFERENT ?auto_5234 ?auto_5244 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5232 ?auto_5244 ?auto_5234 )
      ( DELIVER-PKG ?auto_5227 ?auto_5234 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6314
      ?auto_6315
    )
    :vars
    (
      ?auto_6317
      ?auto_6321
      ?auto_6316
      ?auto_6318
      ?auto_6324
      ?auto_6323
    )
    :precondition
    ( and ( OBJ ?auto_6314 ) ( LOCATION ?auto_6315 ) ( AIRPLANE ?auto_6317 ) ( AIRPORT ?auto_6321 ) ( AIRPORT ?auto_6315 ) ( DIFFERENT ?auto_6315 ?auto_6321 ) ( LOCATION ?auto_6321 ) ( AIRPORT ?auto_6316 ) ( AT ?auto_6317 ?auto_6316 ) ( DIFFERENT ?auto_6321 ?auto_6316 ) ( TRUCK ?auto_6318 ) ( IN ?auto_6314 ?auto_6318 ) ( LOCATION ?auto_6324 ) ( CITY ?auto_6323 ) ( AT ?auto_6318 ?auto_6324 ) ( IN-CITY ?auto_6324 ?auto_6323 ) ( IN-CITY ?auto_6321 ?auto_6323 ) ( DIFFERENT ?auto_6321 ?auto_6324 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6318 ?auto_6324 ?auto_6321 ?auto_6323 )
      ( DELIVER-PKG ?auto_6314 ?auto_6315 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6336
      ?auto_6337
    )
    :vars
    (
      ?auto_6345
      ?auto_6341
      ?auto_6340
      ?auto_6342
      ?auto_6344
      ?auto_6343
      ?auto_6348
      ?auto_6347
    )
    :precondition
    ( and ( OBJ ?auto_6336 ) ( LOCATION ?auto_6337 ) ( AIRPLANE ?auto_6345 ) ( AIRPORT ?auto_6341 ) ( AIRPORT ?auto_6337 ) ( DIFFERENT ?auto_6337 ?auto_6341 ) ( LOCATION ?auto_6341 ) ( AIRPORT ?auto_6340 ) ( AT ?auto_6345 ?auto_6340 ) ( DIFFERENT ?auto_6341 ?auto_6340 ) ( TRUCK ?auto_6342 ) ( IN ?auto_6336 ?auto_6342 ) ( LOCATION ?auto_6344 ) ( CITY ?auto_6343 ) ( IN-CITY ?auto_6344 ?auto_6343 ) ( IN-CITY ?auto_6341 ?auto_6343 ) ( DIFFERENT ?auto_6341 ?auto_6344 ) ( LOCATION ?auto_6348 ) ( CITY ?auto_6347 ) ( AT ?auto_6342 ?auto_6348 ) ( IN-CITY ?auto_6348 ?auto_6347 ) ( IN-CITY ?auto_6344 ?auto_6347 ) ( DIFFERENT ?auto_6344 ?auto_6348 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6342 ?auto_6348 ?auto_6344 ?auto_6347 )
      ( DELIVER-PKG ?auto_6336 ?auto_6337 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6374
      ?auto_6375
    )
    :vars
    (
      ?auto_6382
      ?auto_6376
      ?auto_6378
      ?auto_6377
      ?auto_6381
      ?auto_6380
      ?auto_6385
      ?auto_6379
      ?auto_6387
    )
    :precondition
    ( and ( OBJ ?auto_6374 ) ( LOCATION ?auto_6375 ) ( AIRPLANE ?auto_6382 ) ( AIRPORT ?auto_6376 ) ( AIRPORT ?auto_6375 ) ( DIFFERENT ?auto_6375 ?auto_6376 ) ( LOCATION ?auto_6376 ) ( AIRPORT ?auto_6378 ) ( AT ?auto_6382 ?auto_6378 ) ( DIFFERENT ?auto_6376 ?auto_6378 ) ( TRUCK ?auto_6377 ) ( LOCATION ?auto_6381 ) ( CITY ?auto_6380 ) ( IN-CITY ?auto_6381 ?auto_6380 ) ( IN-CITY ?auto_6376 ?auto_6380 ) ( DIFFERENT ?auto_6376 ?auto_6381 ) ( LOCATION ?auto_6385 ) ( CITY ?auto_6379 ) ( AT ?auto_6377 ?auto_6385 ) ( IN-CITY ?auto_6385 ?auto_6379 ) ( IN-CITY ?auto_6381 ?auto_6379 ) ( DIFFERENT ?auto_6381 ?auto_6385 ) ( LOCATION ?auto_6387 ) ( AT ?auto_6377 ?auto_6387 ) ( AT ?auto_6374 ?auto_6387 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6374 ?auto_6377 ?auto_6387 )
      ( DELIVER-PKG ?auto_6374 ?auto_6375 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6415
      ?auto_6416
    )
    :vars
    (
      ?auto_6422
      ?auto_6420
      ?auto_6424
      ?auto_6417
      ?auto_6421
      ?auto_6426
      ?auto_6427
      ?auto_6425
      ?auto_6430
      ?auto_6429
    )
    :precondition
    ( and ( OBJ ?auto_6415 ) ( LOCATION ?auto_6416 ) ( AIRPLANE ?auto_6422 ) ( AIRPORT ?auto_6420 ) ( AIRPORT ?auto_6416 ) ( DIFFERENT ?auto_6416 ?auto_6420 ) ( LOCATION ?auto_6420 ) ( AIRPORT ?auto_6424 ) ( AT ?auto_6422 ?auto_6424 ) ( DIFFERENT ?auto_6420 ?auto_6424 ) ( TRUCK ?auto_6417 ) ( LOCATION ?auto_6421 ) ( CITY ?auto_6426 ) ( IN-CITY ?auto_6421 ?auto_6426 ) ( IN-CITY ?auto_6420 ?auto_6426 ) ( DIFFERENT ?auto_6420 ?auto_6421 ) ( LOCATION ?auto_6427 ) ( CITY ?auto_6425 ) ( IN-CITY ?auto_6427 ?auto_6425 ) ( IN-CITY ?auto_6421 ?auto_6425 ) ( DIFFERENT ?auto_6421 ?auto_6427 ) ( AT ?auto_6415 ?auto_6427 ) ( LOCATION ?auto_6430 ) ( CITY ?auto_6429 ) ( AT ?auto_6417 ?auto_6430 ) ( IN-CITY ?auto_6430 ?auto_6429 ) ( IN-CITY ?auto_6427 ?auto_6429 ) ( DIFFERENT ?auto_6427 ?auto_6430 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6417 ?auto_6430 ?auto_6427 ?auto_6429 )
      ( DELIVER-PKG ?auto_6415 ?auto_6416 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23951
      ?auto_23952
    )
    :vars
    (
      ?auto_23960
      ?auto_23955
      ?auto_23956
      ?auto_23958
      ?auto_23954
      ?auto_23953
      ?auto_23961
    )
    :precondition
    ( and ( OBJ ?auto_23951 ) ( LOCATION ?auto_23952 ) ( AIRPLANE ?auto_23960 ) ( AIRPORT ?auto_23955 ) ( AIRPORT ?auto_23952 ) ( DIFFERENT ?auto_23952 ?auto_23955 ) ( AIRPORT ?auto_23956 ) ( AT ?auto_23960 ?auto_23956 ) ( DIFFERENT ?auto_23955 ?auto_23956 ) ( LOCATION ?auto_23958 ) ( AT ?auto_23960 ?auto_23958 ) ( AIRPLANE ?auto_23954 ) ( AT ?auto_23954 ?auto_23958 ) ( LOCATION ?auto_23953 ) ( AT ?auto_23954 ?auto_23953 ) ( TRUCK ?auto_23961 ) ( AT ?auto_23961 ?auto_23953 ) ( IN ?auto_23951 ?auto_23961 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23951 ?auto_23953 )
      ( DELIVER-PKG ?auto_23951 ?auto_23952 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23964
      ?auto_23965
    )
    :vars
    (
      ?auto_23968
      ?auto_23974
      ?auto_23970
      ?auto_23967
      ?auto_23973
      ?auto_23971
      ?auto_23972
      ?auto_23977
      ?auto_23976
    )
    :precondition
    ( and ( OBJ ?auto_23964 ) ( LOCATION ?auto_23965 ) ( AIRPLANE ?auto_23968 ) ( AIRPORT ?auto_23974 ) ( AIRPORT ?auto_23965 ) ( DIFFERENT ?auto_23965 ?auto_23974 ) ( AIRPORT ?auto_23970 ) ( AT ?auto_23968 ?auto_23970 ) ( DIFFERENT ?auto_23974 ?auto_23970 ) ( LOCATION ?auto_23967 ) ( AT ?auto_23968 ?auto_23967 ) ( AIRPLANE ?auto_23973 ) ( AT ?auto_23973 ?auto_23967 ) ( LOCATION ?auto_23971 ) ( AT ?auto_23973 ?auto_23971 ) ( TRUCK ?auto_23972 ) ( IN ?auto_23964 ?auto_23972 ) ( LOCATION ?auto_23977 ) ( CITY ?auto_23976 ) ( AT ?auto_23972 ?auto_23977 ) ( IN-CITY ?auto_23977 ?auto_23976 ) ( IN-CITY ?auto_23971 ?auto_23976 ) ( DIFFERENT ?auto_23971 ?auto_23977 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23972 ?auto_23977 ?auto_23971 ?auto_23976 )
      ( DELIVER-PKG ?auto_23964 ?auto_23965 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6766
      ?auto_6767
    )
    :vars
    (
      ?auto_6777
      ?auto_6769
      ?auto_6781
      ?auto_6771
      ?auto_6774
      ?auto_6772
      ?auto_6770
      ?auto_6778
      ?auto_6779
      ?auto_6776
      ?auto_6773
      ?auto_6780
      ?auto_6783
      ?auto_6782
      ?auto_6785
    )
    :precondition
    ( and ( OBJ ?auto_6766 ) ( LOCATION ?auto_6767 ) ( AIRPLANE ?auto_6777 ) ( AIRPORT ?auto_6769 ) ( AIRPORT ?auto_6767 ) ( DIFFERENT ?auto_6767 ?auto_6769 ) ( LOCATION ?auto_6769 ) ( AIRPLANE ?auto_6781 ) ( AT ?auto_6781 ?auto_6769 ) ( LOCATION ?auto_6771 ) ( AT ?auto_6781 ?auto_6771 ) ( AIRPLANE ?auto_6774 ) ( AT ?auto_6774 ?auto_6771 ) ( LOCATION ?auto_6772 ) ( AT ?auto_6774 ?auto_6772 ) ( AIRPLANE ?auto_6770 ) ( AT ?auto_6770 ?auto_6772 ) ( AT ?auto_6770 ?auto_6769 ) ( AIRPORT ?auto_6778 ) ( AT ?auto_6777 ?auto_6778 ) ( DIFFERENT ?auto_6769 ?auto_6778 ) ( LOCATION ?auto_6779 ) ( AT ?auto_6777 ?auto_6779 ) ( AIRPLANE ?auto_6776 ) ( AT ?auto_6776 ?auto_6779 ) ( LOCATION ?auto_6773 ) ( AT ?auto_6776 ?auto_6773 ) ( TRUCK ?auto_6780 ) ( LOCATION ?auto_6783 ) ( CITY ?auto_6782 ) ( AT ?auto_6780 ?auto_6783 ) ( IN-CITY ?auto_6783 ?auto_6782 ) ( IN-CITY ?auto_6773 ?auto_6782 ) ( DIFFERENT ?auto_6773 ?auto_6783 ) ( LOCATION ?auto_6785 ) ( AT ?auto_6780 ?auto_6785 ) ( AT ?auto_6766 ?auto_6785 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6766 ?auto_6780 ?auto_6785 )
      ( DELIVER-PKG ?auto_6766 ?auto_6767 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6806
      ?auto_6807
    )
    :vars
    (
      ?auto_6817
      ?auto_6814
      ?auto_6821
      ?auto_6809
      ?auto_6812
      ?auto_6810
      ?auto_6815
      ?auto_6818
      ?auto_6819
      ?auto_6816
      ?auto_6811
      ?auto_6820
      ?auto_6824
      ?auto_6822
      ?auto_6827
      ?auto_6826
    )
    :precondition
    ( and ( OBJ ?auto_6806 ) ( LOCATION ?auto_6807 ) ( AIRPLANE ?auto_6817 ) ( AIRPORT ?auto_6814 ) ( AIRPORT ?auto_6807 ) ( DIFFERENT ?auto_6807 ?auto_6814 ) ( LOCATION ?auto_6814 ) ( AIRPLANE ?auto_6821 ) ( AT ?auto_6821 ?auto_6814 ) ( LOCATION ?auto_6809 ) ( AT ?auto_6821 ?auto_6809 ) ( AIRPLANE ?auto_6812 ) ( AT ?auto_6812 ?auto_6809 ) ( LOCATION ?auto_6810 ) ( AT ?auto_6812 ?auto_6810 ) ( AIRPLANE ?auto_6815 ) ( AT ?auto_6815 ?auto_6810 ) ( AT ?auto_6815 ?auto_6814 ) ( AIRPORT ?auto_6818 ) ( AT ?auto_6817 ?auto_6818 ) ( DIFFERENT ?auto_6814 ?auto_6818 ) ( LOCATION ?auto_6819 ) ( AT ?auto_6817 ?auto_6819 ) ( AIRPLANE ?auto_6816 ) ( AT ?auto_6816 ?auto_6819 ) ( LOCATION ?auto_6811 ) ( AT ?auto_6816 ?auto_6811 ) ( TRUCK ?auto_6820 ) ( LOCATION ?auto_6824 ) ( CITY ?auto_6822 ) ( IN-CITY ?auto_6824 ?auto_6822 ) ( IN-CITY ?auto_6811 ?auto_6822 ) ( DIFFERENT ?auto_6811 ?auto_6824 ) ( AT ?auto_6806 ?auto_6824 ) ( LOCATION ?auto_6827 ) ( CITY ?auto_6826 ) ( AT ?auto_6820 ?auto_6827 ) ( IN-CITY ?auto_6827 ?auto_6826 ) ( IN-CITY ?auto_6824 ?auto_6826 ) ( DIFFERENT ?auto_6824 ?auto_6827 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6820 ?auto_6827 ?auto_6824 ?auto_6826 )
      ( DELIVER-PKG ?auto_6806 ?auto_6807 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6829
      ?auto_6830
    )
    :vars
    (
      ?auto_6840
      ?auto_6832
      ?auto_6838
      ?auto_6841
      ?auto_6842
      ?auto_6839
      ?auto_6845
      ?auto_6843
      ?auto_6834
      ?auto_6833
      ?auto_6848
      ?auto_6846
      ?auto_6850
    )
    :precondition
    ( and ( OBJ ?auto_6829 ) ( LOCATION ?auto_6830 ) ( AIRPLANE ?auto_6840 ) ( AIRPORT ?auto_6832 ) ( AIRPORT ?auto_6830 ) ( DIFFERENT ?auto_6830 ?auto_6832 ) ( LOCATION ?auto_6832 ) ( AIRPLANE ?auto_6838 ) ( AIRPORT ?auto_6841 ) ( AT ?auto_6840 ?auto_6841 ) ( DIFFERENT ?auto_6832 ?auto_6841 ) ( LOCATION ?auto_6842 ) ( AT ?auto_6840 ?auto_6842 ) ( AIRPLANE ?auto_6839 ) ( AT ?auto_6839 ?auto_6842 ) ( LOCATION ?auto_6845 ) ( AT ?auto_6839 ?auto_6845 ) ( TRUCK ?auto_6843 ) ( LOCATION ?auto_6834 ) ( CITY ?auto_6833 ) ( IN-CITY ?auto_6834 ?auto_6833 ) ( IN-CITY ?auto_6845 ?auto_6833 ) ( DIFFERENT ?auto_6845 ?auto_6834 ) ( AT ?auto_6829 ?auto_6834 ) ( LOCATION ?auto_6848 ) ( CITY ?auto_6846 ) ( AT ?auto_6843 ?auto_6848 ) ( IN-CITY ?auto_6848 ?auto_6846 ) ( IN-CITY ?auto_6834 ?auto_6846 ) ( DIFFERENT ?auto_6834 ?auto_6848 ) ( AIRPORT ?auto_6850 ) ( AT ?auto_6838 ?auto_6850 ) ( DIFFERENT ?auto_6832 ?auto_6850 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6838 ?auto_6850 ?auto_6832 )
      ( DELIVER-PKG ?auto_6829 ?auto_6830 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6869
      ?auto_6870
    )
    :vars
    (
      ?auto_6874
      ?auto_6880
      ?auto_6885
      ?auto_6875
      ?auto_6879
      ?auto_6871
      ?auto_6881
      ?auto_6878
      ?auto_6883
      ?auto_6882
      ?auto_6877
      ?auto_6872
      ?auto_6884
      ?auto_6888
      ?auto_6887
    )
    :precondition
    ( and ( OBJ ?auto_6869 ) ( LOCATION ?auto_6870 ) ( AIRPLANE ?auto_6874 ) ( AIRPORT ?auto_6880 ) ( AIRPORT ?auto_6870 ) ( DIFFERENT ?auto_6870 ?auto_6880 ) ( LOCATION ?auto_6880 ) ( AIRPLANE ?auto_6885 ) ( AIRPORT ?auto_6875 ) ( AT ?auto_6874 ?auto_6875 ) ( DIFFERENT ?auto_6880 ?auto_6875 ) ( LOCATION ?auto_6879 ) ( AT ?auto_6874 ?auto_6879 ) ( AIRPLANE ?auto_6871 ) ( AT ?auto_6871 ?auto_6879 ) ( LOCATION ?auto_6881 ) ( AT ?auto_6871 ?auto_6881 ) ( TRUCK ?auto_6878 ) ( LOCATION ?auto_6883 ) ( CITY ?auto_6882 ) ( IN-CITY ?auto_6883 ?auto_6882 ) ( IN-CITY ?auto_6881 ?auto_6882 ) ( DIFFERENT ?auto_6881 ?auto_6883 ) ( AT ?auto_6869 ?auto_6883 ) ( LOCATION ?auto_6877 ) ( CITY ?auto_6872 ) ( IN-CITY ?auto_6877 ?auto_6872 ) ( IN-CITY ?auto_6883 ?auto_6872 ) ( DIFFERENT ?auto_6883 ?auto_6877 ) ( AIRPORT ?auto_6884 ) ( AT ?auto_6885 ?auto_6884 ) ( DIFFERENT ?auto_6880 ?auto_6884 ) ( LOCATION ?auto_6888 ) ( CITY ?auto_6887 ) ( AT ?auto_6878 ?auto_6888 ) ( IN-CITY ?auto_6888 ?auto_6887 ) ( IN-CITY ?auto_6877 ?auto_6887 ) ( DIFFERENT ?auto_6877 ?auto_6888 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6878 ?auto_6888 ?auto_6877 ?auto_6887 )
      ( DELIVER-PKG ?auto_6869 ?auto_6870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7600
      ?auto_7601
    )
    :vars
    (
      ?auto_7602
      ?auto_7607
      ?auto_7603
      ?auto_7610
      ?auto_7609
      ?auto_7604
      ?auto_7606
      ?auto_7611
    )
    :precondition
    ( and ( OBJ ?auto_7600 ) ( LOCATION ?auto_7601 ) ( TRUCK ?auto_7602 ) ( LOCATION ?auto_7607 ) ( CITY ?auto_7603 ) ( AT ?auto_7602 ?auto_7607 ) ( IN-CITY ?auto_7607 ?auto_7603 ) ( IN-CITY ?auto_7601 ?auto_7603 ) ( DIFFERENT ?auto_7601 ?auto_7607 ) ( LOCATION ?auto_7610 ) ( AT ?auto_7602 ?auto_7610 ) ( AIRPLANE ?auto_7609 ) ( AIRPORT ?auto_7604 ) ( AIRPORT ?auto_7610 ) ( DIFFERENT ?auto_7610 ?auto_7604 ) ( LOCATION ?auto_7604 ) ( AIRPORT ?auto_7606 ) ( AT ?auto_7609 ?auto_7606 ) ( DIFFERENT ?auto_7604 ?auto_7606 ) ( TRUCK ?auto_7611 ) ( AT ?auto_7611 ?auto_7604 ) ( IN ?auto_7600 ?auto_7611 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7600 ?auto_7604 )
      ( DELIVER-PKG ?auto_7600 ?auto_7601 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7638
      ?auto_7639
    )
    :vars
    (
      ?auto_7640
      ?auto_7645
      ?auto_7642
      ?auto_7648
      ?auto_7647
      ?auto_7643
      ?auto_7644
      ?auto_7646
      ?auto_7652
      ?auto_7651
    )
    :precondition
    ( and ( OBJ ?auto_7638 ) ( LOCATION ?auto_7639 ) ( TRUCK ?auto_7640 ) ( LOCATION ?auto_7645 ) ( CITY ?auto_7642 ) ( AT ?auto_7640 ?auto_7645 ) ( IN-CITY ?auto_7645 ?auto_7642 ) ( IN-CITY ?auto_7639 ?auto_7642 ) ( DIFFERENT ?auto_7639 ?auto_7645 ) ( LOCATION ?auto_7648 ) ( AT ?auto_7640 ?auto_7648 ) ( AIRPLANE ?auto_7647 ) ( AIRPORT ?auto_7643 ) ( AIRPORT ?auto_7648 ) ( DIFFERENT ?auto_7648 ?auto_7643 ) ( LOCATION ?auto_7643 ) ( AIRPORT ?auto_7644 ) ( AT ?auto_7647 ?auto_7644 ) ( DIFFERENT ?auto_7643 ?auto_7644 ) ( TRUCK ?auto_7646 ) ( IN ?auto_7638 ?auto_7646 ) ( LOCATION ?auto_7652 ) ( CITY ?auto_7651 ) ( AT ?auto_7646 ?auto_7652 ) ( IN-CITY ?auto_7652 ?auto_7651 ) ( IN-CITY ?auto_7643 ?auto_7651 ) ( DIFFERENT ?auto_7643 ?auto_7652 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7646 ?auto_7652 ?auto_7643 ?auto_7651 )
      ( DELIVER-PKG ?auto_7638 ?auto_7639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7668
      ?auto_7669
    )
    :vars
    (
      ?auto_7671
      ?auto_7675
      ?auto_7672
      ?auto_7678
      ?auto_7677
      ?auto_7673
      ?auto_7674
      ?auto_7676
      ?auto_7681
      ?auto_7679
      ?auto_7684
      ?auto_7683
    )
    :precondition
    ( and ( OBJ ?auto_7668 ) ( LOCATION ?auto_7669 ) ( TRUCK ?auto_7671 ) ( LOCATION ?auto_7675 ) ( CITY ?auto_7672 ) ( AT ?auto_7671 ?auto_7675 ) ( IN-CITY ?auto_7675 ?auto_7672 ) ( IN-CITY ?auto_7669 ?auto_7672 ) ( DIFFERENT ?auto_7669 ?auto_7675 ) ( LOCATION ?auto_7678 ) ( AT ?auto_7671 ?auto_7678 ) ( AIRPLANE ?auto_7677 ) ( AIRPORT ?auto_7673 ) ( AIRPORT ?auto_7678 ) ( DIFFERENT ?auto_7678 ?auto_7673 ) ( LOCATION ?auto_7673 ) ( AIRPORT ?auto_7674 ) ( AT ?auto_7677 ?auto_7674 ) ( DIFFERENT ?auto_7673 ?auto_7674 ) ( TRUCK ?auto_7676 ) ( IN ?auto_7668 ?auto_7676 ) ( LOCATION ?auto_7681 ) ( CITY ?auto_7679 ) ( IN-CITY ?auto_7681 ?auto_7679 ) ( IN-CITY ?auto_7673 ?auto_7679 ) ( DIFFERENT ?auto_7673 ?auto_7681 ) ( LOCATION ?auto_7684 ) ( CITY ?auto_7683 ) ( AT ?auto_7676 ?auto_7684 ) ( IN-CITY ?auto_7684 ?auto_7683 ) ( IN-CITY ?auto_7681 ?auto_7683 ) ( DIFFERENT ?auto_7681 ?auto_7684 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7676 ?auto_7684 ?auto_7681 ?auto_7683 )
      ( DELIVER-PKG ?auto_7668 ?auto_7669 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7718
      ?auto_7719
    )
    :vars
    (
      ?auto_7720
      ?auto_7724
      ?auto_7721
      ?auto_7727
      ?auto_7726
      ?auto_7722
      ?auto_7723
      ?auto_7725
      ?auto_7729
      ?auto_7728
      ?auto_7733
      ?auto_7732
      ?auto_7735
    )
    :precondition
    ( and ( OBJ ?auto_7718 ) ( LOCATION ?auto_7719 ) ( TRUCK ?auto_7720 ) ( LOCATION ?auto_7724 ) ( CITY ?auto_7721 ) ( AT ?auto_7720 ?auto_7724 ) ( IN-CITY ?auto_7724 ?auto_7721 ) ( IN-CITY ?auto_7719 ?auto_7721 ) ( DIFFERENT ?auto_7719 ?auto_7724 ) ( LOCATION ?auto_7727 ) ( AT ?auto_7720 ?auto_7727 ) ( AIRPLANE ?auto_7726 ) ( AIRPORT ?auto_7722 ) ( AIRPORT ?auto_7727 ) ( DIFFERENT ?auto_7727 ?auto_7722 ) ( LOCATION ?auto_7722 ) ( AIRPORT ?auto_7723 ) ( AT ?auto_7726 ?auto_7723 ) ( DIFFERENT ?auto_7722 ?auto_7723 ) ( TRUCK ?auto_7725 ) ( LOCATION ?auto_7729 ) ( CITY ?auto_7728 ) ( IN-CITY ?auto_7729 ?auto_7728 ) ( IN-CITY ?auto_7722 ?auto_7728 ) ( DIFFERENT ?auto_7722 ?auto_7729 ) ( LOCATION ?auto_7733 ) ( CITY ?auto_7732 ) ( AT ?auto_7725 ?auto_7733 ) ( IN-CITY ?auto_7733 ?auto_7732 ) ( IN-CITY ?auto_7729 ?auto_7732 ) ( DIFFERENT ?auto_7729 ?auto_7733 ) ( LOCATION ?auto_7735 ) ( AT ?auto_7725 ?auto_7735 ) ( AT ?auto_7718 ?auto_7735 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7718 ?auto_7725 ?auto_7735 )
      ( DELIVER-PKG ?auto_7718 ?auto_7719 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7771
      ?auto_7772
    )
    :vars
    (
      ?auto_7779
      ?auto_7775
      ?auto_7784
      ?auto_7778
      ?auto_7777
      ?auto_7785
      ?auto_7774
      ?auto_7776
      ?auto_7781
      ?auto_7780
      ?auto_7787
      ?auto_7782
      ?auto_7790
      ?auto_7789
    )
    :precondition
    ( and ( OBJ ?auto_7771 ) ( LOCATION ?auto_7772 ) ( TRUCK ?auto_7779 ) ( LOCATION ?auto_7775 ) ( CITY ?auto_7784 ) ( AT ?auto_7779 ?auto_7775 ) ( IN-CITY ?auto_7775 ?auto_7784 ) ( IN-CITY ?auto_7772 ?auto_7784 ) ( DIFFERENT ?auto_7772 ?auto_7775 ) ( LOCATION ?auto_7778 ) ( AT ?auto_7779 ?auto_7778 ) ( AIRPLANE ?auto_7777 ) ( AIRPORT ?auto_7785 ) ( AIRPORT ?auto_7778 ) ( DIFFERENT ?auto_7778 ?auto_7785 ) ( LOCATION ?auto_7785 ) ( AIRPORT ?auto_7774 ) ( AT ?auto_7777 ?auto_7774 ) ( DIFFERENT ?auto_7785 ?auto_7774 ) ( TRUCK ?auto_7776 ) ( LOCATION ?auto_7781 ) ( CITY ?auto_7780 ) ( IN-CITY ?auto_7781 ?auto_7780 ) ( IN-CITY ?auto_7785 ?auto_7780 ) ( DIFFERENT ?auto_7785 ?auto_7781 ) ( LOCATION ?auto_7787 ) ( CITY ?auto_7782 ) ( IN-CITY ?auto_7787 ?auto_7782 ) ( IN-CITY ?auto_7781 ?auto_7782 ) ( DIFFERENT ?auto_7781 ?auto_7787 ) ( AT ?auto_7771 ?auto_7787 ) ( LOCATION ?auto_7790 ) ( CITY ?auto_7789 ) ( AT ?auto_7776 ?auto_7790 ) ( IN-CITY ?auto_7790 ?auto_7789 ) ( IN-CITY ?auto_7787 ?auto_7789 ) ( DIFFERENT ?auto_7787 ?auto_7790 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7776 ?auto_7790 ?auto_7787 ?auto_7789 )
      ( DELIVER-PKG ?auto_7771 ?auto_7772 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8005
      ?auto_8006
    )
    :vars
    (
      ?auto_8012
      ?auto_8015
      ?auto_8017
      ?auto_8016
      ?auto_8009
      ?auto_8021
      ?auto_8008
      ?auto_8018
      ?auto_8013
      ?auto_8007
      ?auto_8020
      ?auto_8019
      ?auto_8014
      ?auto_8024
    )
    :precondition
    ( and ( OBJ ?auto_8005 ) ( LOCATION ?auto_8006 ) ( TRUCK ?auto_8012 ) ( LOCATION ?auto_8015 ) ( CITY ?auto_8017 ) ( AT ?auto_8012 ?auto_8015 ) ( IN-CITY ?auto_8015 ?auto_8017 ) ( IN-CITY ?auto_8006 ?auto_8017 ) ( DIFFERENT ?auto_8006 ?auto_8015 ) ( LOCATION ?auto_8016 ) ( AT ?auto_8012 ?auto_8016 ) ( AIRPLANE ?auto_8009 ) ( AIRPORT ?auto_8021 ) ( AIRPORT ?auto_8016 ) ( AT ?auto_8009 ?auto_8021 ) ( DIFFERENT ?auto_8016 ?auto_8021 ) ( LOCATION ?auto_8008 ) ( AT ?auto_8009 ?auto_8008 ) ( AIRPLANE ?auto_8018 ) ( AT ?auto_8018 ?auto_8008 ) ( LOCATION ?auto_8013 ) ( AT ?auto_8018 ?auto_8013 ) ( AIRPLANE ?auto_8007 ) ( AT ?auto_8007 ?auto_8013 ) ( LOCATION ?auto_8020 ) ( AT ?auto_8007 ?auto_8020 ) ( AIRPLANE ?auto_8019 ) ( AT ?auto_8019 ?auto_8020 ) ( LOCATION ?auto_8014 ) ( AT ?auto_8019 ?auto_8014 ) ( AIRPLANE ?auto_8024 ) ( IN ?auto_8005 ?auto_8024 ) ( AT ?auto_8024 ?auto_8014 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8005 ?auto_8014 )
      ( DELIVER-PKG ?auto_8005 ?auto_8006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20090
      ?auto_20091
    )
    :vars
    (
      ?auto_20092
      ?auto_20099
      ?auto_20094
      ?auto_20093
      ?auto_20095
      ?auto_20097
      ?auto_20101
    )
    :precondition
    ( and ( OBJ ?auto_20090 ) ( LOCATION ?auto_20091 ) ( TRUCK ?auto_20092 ) ( LOCATION ?auto_20099 ) ( CITY ?auto_20094 ) ( AT ?auto_20092 ?auto_20099 ) ( IN-CITY ?auto_20099 ?auto_20094 ) ( IN-CITY ?auto_20091 ?auto_20094 ) ( DIFFERENT ?auto_20091 ?auto_20099 ) ( LOCATION ?auto_20093 ) ( AT ?auto_20092 ?auto_20093 ) ( AIRPLANE ?auto_20095 ) ( IN ?auto_20090 ?auto_20095 ) ( AIRPORT ?auto_20097 ) ( AIRPORT ?auto_20093 ) ( DIFFERENT ?auto_20093 ?auto_20097 ) ( AIRPORT ?auto_20101 ) ( AT ?auto_20095 ?auto_20101 ) ( DIFFERENT ?auto_20097 ?auto_20101 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20095 ?auto_20101 ?auto_20097 )
      ( DELIVER-PKG ?auto_20090 ?auto_20091 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25245
      ?auto_25246
    )
    :vars
    (
      ?auto_25248
      ?auto_25247
      ?auto_25255
      ?auto_25256
      ?auto_25252
      ?auto_25257
      ?auto_25249
      ?auto_25251
      ?auto_25250
      ?auto_25259
    )
    :precondition
    ( and ( OBJ ?auto_25245 ) ( LOCATION ?auto_25246 ) ( TRUCK ?auto_25248 ) ( LOCATION ?auto_25247 ) ( CITY ?auto_25255 ) ( AT ?auto_25248 ?auto_25247 ) ( IN-CITY ?auto_25247 ?auto_25255 ) ( IN-CITY ?auto_25246 ?auto_25255 ) ( DIFFERENT ?auto_25246 ?auto_25247 ) ( LOCATION ?auto_25256 ) ( AT ?auto_25248 ?auto_25256 ) ( AIRPLANE ?auto_25252 ) ( AIRPORT ?auto_25257 ) ( AIRPORT ?auto_25256 ) ( DIFFERENT ?auto_25256 ?auto_25257 ) ( AIRPORT ?auto_25249 ) ( AT ?auto_25252 ?auto_25249 ) ( DIFFERENT ?auto_25257 ?auto_25249 ) ( LOCATION ?auto_25251 ) ( AT ?auto_25252 ?auto_25251 ) ( AIRPLANE ?auto_25250 ) ( AT ?auto_25250 ?auto_25251 ) ( LOCATION ?auto_25259 ) ( AT ?auto_25245 ?auto_25259 ) ( AT ?auto_25250 ?auto_25259 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25245 ?auto_25250 ?auto_25259 )
      ( DELIVER-PKG ?auto_25245 ?auto_25246 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25230
      ?auto_25231
    )
    :vars
    (
      ?auto_25241
      ?auto_25232
      ?auto_25239
      ?auto_25233
      ?auto_25235
      ?auto_25234
      ?auto_25238
      ?auto_25236
      ?auto_25243
    )
    :precondition
    ( and ( OBJ ?auto_25230 ) ( LOCATION ?auto_25231 ) ( TRUCK ?auto_25241 ) ( LOCATION ?auto_25232 ) ( CITY ?auto_25239 ) ( AT ?auto_25241 ?auto_25232 ) ( IN-CITY ?auto_25232 ?auto_25239 ) ( IN-CITY ?auto_25231 ?auto_25239 ) ( DIFFERENT ?auto_25231 ?auto_25232 ) ( LOCATION ?auto_25233 ) ( AT ?auto_25241 ?auto_25233 ) ( AIRPLANE ?auto_25235 ) ( AIRPORT ?auto_25234 ) ( AIRPORT ?auto_25233 ) ( DIFFERENT ?auto_25233 ?auto_25234 ) ( AIRPORT ?auto_25238 ) ( AT ?auto_25235 ?auto_25238 ) ( DIFFERENT ?auto_25234 ?auto_25238 ) ( LOCATION ?auto_25236 ) ( AT ?auto_25235 ?auto_25236 ) ( AIRPLANE ?auto_25243 ) ( IN ?auto_25230 ?auto_25243 ) ( AT ?auto_25243 ?auto_25236 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25230 ?auto_25236 )
      ( DELIVER-PKG ?auto_25230 ?auto_25231 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25261
      ?auto_25262
    )
    :vars
    (
      ?auto_25272
      ?auto_25268
      ?auto_25271
      ?auto_25269
      ?auto_25264
      ?auto_25265
      ?auto_25273
      ?auto_25266
      ?auto_25274
      ?auto_25267
      ?auto_25275
    )
    :precondition
    ( and ( OBJ ?auto_25261 ) ( LOCATION ?auto_25262 ) ( TRUCK ?auto_25272 ) ( LOCATION ?auto_25268 ) ( CITY ?auto_25271 ) ( AT ?auto_25272 ?auto_25268 ) ( IN-CITY ?auto_25268 ?auto_25271 ) ( IN-CITY ?auto_25262 ?auto_25271 ) ( DIFFERENT ?auto_25262 ?auto_25268 ) ( LOCATION ?auto_25269 ) ( AT ?auto_25272 ?auto_25269 ) ( AIRPLANE ?auto_25264 ) ( AIRPORT ?auto_25265 ) ( AIRPORT ?auto_25269 ) ( DIFFERENT ?auto_25269 ?auto_25265 ) ( AIRPORT ?auto_25273 ) ( AT ?auto_25264 ?auto_25273 ) ( DIFFERENT ?auto_25265 ?auto_25273 ) ( LOCATION ?auto_25266 ) ( AT ?auto_25264 ?auto_25266 ) ( AIRPLANE ?auto_25274 ) ( AT ?auto_25274 ?auto_25266 ) ( LOCATION ?auto_25267 ) ( AT ?auto_25274 ?auto_25267 ) ( TRUCK ?auto_25275 ) ( AT ?auto_25275 ?auto_25267 ) ( IN ?auto_25261 ?auto_25275 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25261 ?auto_25267 )
      ( DELIVER-PKG ?auto_25261 ?auto_25262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25278
      ?auto_25279
    )
    :vars
    (
      ?auto_25282
      ?auto_25284
      ?auto_25283
      ?auto_25292
      ?auto_25288
      ?auto_25287
      ?auto_25289
      ?auto_25290
      ?auto_25281
      ?auto_25291
      ?auto_25286
      ?auto_25295
      ?auto_25294
    )
    :precondition
    ( and ( OBJ ?auto_25278 ) ( LOCATION ?auto_25279 ) ( TRUCK ?auto_25282 ) ( LOCATION ?auto_25284 ) ( CITY ?auto_25283 ) ( AT ?auto_25282 ?auto_25284 ) ( IN-CITY ?auto_25284 ?auto_25283 ) ( IN-CITY ?auto_25279 ?auto_25283 ) ( DIFFERENT ?auto_25279 ?auto_25284 ) ( LOCATION ?auto_25292 ) ( AT ?auto_25282 ?auto_25292 ) ( AIRPLANE ?auto_25288 ) ( AIRPORT ?auto_25287 ) ( AIRPORT ?auto_25292 ) ( DIFFERENT ?auto_25292 ?auto_25287 ) ( AIRPORT ?auto_25289 ) ( AT ?auto_25288 ?auto_25289 ) ( DIFFERENT ?auto_25287 ?auto_25289 ) ( LOCATION ?auto_25290 ) ( AT ?auto_25288 ?auto_25290 ) ( AIRPLANE ?auto_25281 ) ( AT ?auto_25281 ?auto_25290 ) ( LOCATION ?auto_25291 ) ( AT ?auto_25281 ?auto_25291 ) ( TRUCK ?auto_25286 ) ( IN ?auto_25278 ?auto_25286 ) ( LOCATION ?auto_25295 ) ( CITY ?auto_25294 ) ( AT ?auto_25286 ?auto_25295 ) ( IN-CITY ?auto_25295 ?auto_25294 ) ( IN-CITY ?auto_25291 ?auto_25294 ) ( DIFFERENT ?auto_25291 ?auto_25295 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25286 ?auto_25295 ?auto_25291 ?auto_25294 )
      ( DELIVER-PKG ?auto_25278 ?auto_25279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8273
      ?auto_8274
    )
    :vars
    (
      ?auto_8286
      ?auto_8291
      ?auto_8282
      ?auto_8275
      ?auto_8276
      ?auto_8279
      ?auto_8290
      ?auto_8280
      ?auto_8289
      ?auto_8281
      ?auto_8287
      ?auto_8292
      ?auto_8293
      ?auto_8285
      ?auto_8283
      ?auto_8288
      ?auto_8294
      ?auto_8284
      ?auto_8296
    )
    :precondition
    ( and ( OBJ ?auto_8273 ) ( LOCATION ?auto_8274 ) ( TRUCK ?auto_8286 ) ( LOCATION ?auto_8291 ) ( CITY ?auto_8282 ) ( AT ?auto_8286 ?auto_8291 ) ( IN-CITY ?auto_8291 ?auto_8282 ) ( IN-CITY ?auto_8274 ?auto_8282 ) ( DIFFERENT ?auto_8274 ?auto_8291 ) ( LOCATION ?auto_8275 ) ( AT ?auto_8286 ?auto_8275 ) ( AIRPLANE ?auto_8276 ) ( AIRPORT ?auto_8279 ) ( AIRPORT ?auto_8275 ) ( DIFFERENT ?auto_8275 ?auto_8279 ) ( LOCATION ?auto_8279 ) ( AIRPLANE ?auto_8290 ) ( AT ?auto_8290 ?auto_8279 ) ( LOCATION ?auto_8280 ) ( AT ?auto_8290 ?auto_8280 ) ( AIRPLANE ?auto_8289 ) ( AT ?auto_8289 ?auto_8280 ) ( LOCATION ?auto_8281 ) ( AT ?auto_8289 ?auto_8281 ) ( AIRPLANE ?auto_8287 ) ( AT ?auto_8287 ?auto_8281 ) ( AT ?auto_8287 ?auto_8279 ) ( AIRPORT ?auto_8292 ) ( AT ?auto_8276 ?auto_8292 ) ( DIFFERENT ?auto_8279 ?auto_8292 ) ( LOCATION ?auto_8293 ) ( AT ?auto_8276 ?auto_8293 ) ( AIRPLANE ?auto_8285 ) ( AT ?auto_8285 ?auto_8293 ) ( LOCATION ?auto_8283 ) ( AT ?auto_8285 ?auto_8283 ) ( TRUCK ?auto_8288 ) ( LOCATION ?auto_8294 ) ( CITY ?auto_8284 ) ( AT ?auto_8288 ?auto_8294 ) ( IN-CITY ?auto_8294 ?auto_8284 ) ( IN-CITY ?auto_8283 ?auto_8284 ) ( DIFFERENT ?auto_8283 ?auto_8294 ) ( LOCATION ?auto_8296 ) ( AT ?auto_8288 ?auto_8296 ) ( AT ?auto_8273 ?auto_8296 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8273 ?auto_8288 ?auto_8296 )
      ( DELIVER-PKG ?auto_8273 ?auto_8274 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8321
      ?auto_8322
    )
    :vars
    (
      ?auto_8337
      ?auto_8326
      ?auto_8333
      ?auto_8329
      ?auto_8328
      ?auto_8330
      ?auto_8325
      ?auto_8331
      ?auto_8340
      ?auto_8332
      ?auto_8338
      ?auto_8327
      ?auto_8342
      ?auto_8336
      ?auto_8334
      ?auto_8339
      ?auto_8323
      ?auto_8335
      ?auto_8346
      ?auto_8345
    )
    :precondition
    ( and ( OBJ ?auto_8321 ) ( LOCATION ?auto_8322 ) ( TRUCK ?auto_8337 ) ( LOCATION ?auto_8326 ) ( CITY ?auto_8333 ) ( AT ?auto_8337 ?auto_8326 ) ( IN-CITY ?auto_8326 ?auto_8333 ) ( IN-CITY ?auto_8322 ?auto_8333 ) ( DIFFERENT ?auto_8322 ?auto_8326 ) ( LOCATION ?auto_8329 ) ( AT ?auto_8337 ?auto_8329 ) ( AIRPLANE ?auto_8328 ) ( AIRPORT ?auto_8330 ) ( AIRPORT ?auto_8329 ) ( DIFFERENT ?auto_8329 ?auto_8330 ) ( LOCATION ?auto_8330 ) ( AIRPLANE ?auto_8325 ) ( AT ?auto_8325 ?auto_8330 ) ( LOCATION ?auto_8331 ) ( AT ?auto_8325 ?auto_8331 ) ( AIRPLANE ?auto_8340 ) ( AT ?auto_8340 ?auto_8331 ) ( LOCATION ?auto_8332 ) ( AT ?auto_8340 ?auto_8332 ) ( AIRPLANE ?auto_8338 ) ( AT ?auto_8338 ?auto_8332 ) ( AT ?auto_8338 ?auto_8330 ) ( AIRPORT ?auto_8327 ) ( AT ?auto_8328 ?auto_8327 ) ( DIFFERENT ?auto_8330 ?auto_8327 ) ( LOCATION ?auto_8342 ) ( AT ?auto_8328 ?auto_8342 ) ( AIRPLANE ?auto_8336 ) ( AT ?auto_8336 ?auto_8342 ) ( LOCATION ?auto_8334 ) ( AT ?auto_8336 ?auto_8334 ) ( TRUCK ?auto_8339 ) ( LOCATION ?auto_8323 ) ( CITY ?auto_8335 ) ( IN-CITY ?auto_8323 ?auto_8335 ) ( IN-CITY ?auto_8334 ?auto_8335 ) ( DIFFERENT ?auto_8334 ?auto_8323 ) ( AT ?auto_8321 ?auto_8323 ) ( LOCATION ?auto_8346 ) ( CITY ?auto_8345 ) ( AT ?auto_8339 ?auto_8346 ) ( IN-CITY ?auto_8346 ?auto_8345 ) ( IN-CITY ?auto_8323 ?auto_8345 ) ( DIFFERENT ?auto_8323 ?auto_8346 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8339 ?auto_8346 ?auto_8323 ?auto_8345 )
      ( DELIVER-PKG ?auto_8321 ?auto_8322 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8348
      ?auto_8349
    )
    :vars
    (
      ?auto_8362
      ?auto_8353
      ?auto_8358
      ?auto_8354
      ?auto_8369
      ?auto_8357
      ?auto_8363
      ?auto_8368
      ?auto_8367
      ?auto_8361
      ?auto_8359
      ?auto_8364
      ?auto_8371
      ?auto_8360
      ?auto_8350
      ?auto_8366
      ?auto_8373
    )
    :precondition
    ( and ( OBJ ?auto_8348 ) ( LOCATION ?auto_8349 ) ( TRUCK ?auto_8362 ) ( LOCATION ?auto_8353 ) ( CITY ?auto_8358 ) ( AT ?auto_8362 ?auto_8353 ) ( IN-CITY ?auto_8353 ?auto_8358 ) ( IN-CITY ?auto_8349 ?auto_8358 ) ( DIFFERENT ?auto_8349 ?auto_8353 ) ( LOCATION ?auto_8354 ) ( AT ?auto_8362 ?auto_8354 ) ( AIRPLANE ?auto_8369 ) ( AIRPORT ?auto_8357 ) ( AIRPORT ?auto_8354 ) ( DIFFERENT ?auto_8354 ?auto_8357 ) ( LOCATION ?auto_8357 ) ( AIRPLANE ?auto_8363 ) ( AIRPORT ?auto_8368 ) ( AT ?auto_8369 ?auto_8368 ) ( DIFFERENT ?auto_8357 ?auto_8368 ) ( LOCATION ?auto_8367 ) ( AT ?auto_8369 ?auto_8367 ) ( AIRPLANE ?auto_8361 ) ( AT ?auto_8361 ?auto_8367 ) ( LOCATION ?auto_8359 ) ( AT ?auto_8361 ?auto_8359 ) ( TRUCK ?auto_8364 ) ( LOCATION ?auto_8371 ) ( CITY ?auto_8360 ) ( IN-CITY ?auto_8371 ?auto_8360 ) ( IN-CITY ?auto_8359 ?auto_8360 ) ( DIFFERENT ?auto_8359 ?auto_8371 ) ( AT ?auto_8348 ?auto_8371 ) ( LOCATION ?auto_8350 ) ( CITY ?auto_8366 ) ( AT ?auto_8364 ?auto_8350 ) ( IN-CITY ?auto_8350 ?auto_8366 ) ( IN-CITY ?auto_8371 ?auto_8366 ) ( DIFFERENT ?auto_8371 ?auto_8350 ) ( AIRPORT ?auto_8373 ) ( AT ?auto_8363 ?auto_8373 ) ( DIFFERENT ?auto_8357 ?auto_8373 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8363 ?auto_8373 ?auto_8357 )
      ( DELIVER-PKG ?auto_8348 ?auto_8349 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8396
      ?auto_8397
    )
    :vars
    (
      ?auto_8400
      ?auto_8414
      ?auto_8399
      ?auto_8415
      ?auto_8404
      ?auto_8416
      ?auto_8401
      ?auto_8411
      ?auto_8410
      ?auto_8403
      ?auto_8409
      ?auto_8407
      ?auto_8405
      ?auto_8412
      ?auto_8406
      ?auto_8413
      ?auto_8408
      ?auto_8419
      ?auto_8418
    )
    :precondition
    ( and ( OBJ ?auto_8396 ) ( LOCATION ?auto_8397 ) ( TRUCK ?auto_8400 ) ( LOCATION ?auto_8414 ) ( CITY ?auto_8399 ) ( AT ?auto_8400 ?auto_8414 ) ( IN-CITY ?auto_8414 ?auto_8399 ) ( IN-CITY ?auto_8397 ?auto_8399 ) ( DIFFERENT ?auto_8397 ?auto_8414 ) ( LOCATION ?auto_8415 ) ( AT ?auto_8400 ?auto_8415 ) ( AIRPLANE ?auto_8404 ) ( AIRPORT ?auto_8416 ) ( AIRPORT ?auto_8415 ) ( DIFFERENT ?auto_8415 ?auto_8416 ) ( LOCATION ?auto_8416 ) ( AIRPLANE ?auto_8401 ) ( AIRPORT ?auto_8411 ) ( AT ?auto_8404 ?auto_8411 ) ( DIFFERENT ?auto_8416 ?auto_8411 ) ( LOCATION ?auto_8410 ) ( AT ?auto_8404 ?auto_8410 ) ( AIRPLANE ?auto_8403 ) ( AT ?auto_8403 ?auto_8410 ) ( LOCATION ?auto_8409 ) ( AT ?auto_8403 ?auto_8409 ) ( TRUCK ?auto_8407 ) ( LOCATION ?auto_8405 ) ( CITY ?auto_8412 ) ( IN-CITY ?auto_8405 ?auto_8412 ) ( IN-CITY ?auto_8409 ?auto_8412 ) ( DIFFERENT ?auto_8409 ?auto_8405 ) ( AT ?auto_8396 ?auto_8405 ) ( LOCATION ?auto_8406 ) ( CITY ?auto_8413 ) ( IN-CITY ?auto_8406 ?auto_8413 ) ( IN-CITY ?auto_8405 ?auto_8413 ) ( DIFFERENT ?auto_8405 ?auto_8406 ) ( AIRPORT ?auto_8408 ) ( AT ?auto_8401 ?auto_8408 ) ( DIFFERENT ?auto_8416 ?auto_8408 ) ( LOCATION ?auto_8419 ) ( CITY ?auto_8418 ) ( AT ?auto_8407 ?auto_8419 ) ( IN-CITY ?auto_8419 ?auto_8418 ) ( IN-CITY ?auto_8406 ?auto_8418 ) ( DIFFERENT ?auto_8406 ?auto_8419 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8407 ?auto_8419 ?auto_8406 ?auto_8418 )
      ( DELIVER-PKG ?auto_8396 ?auto_8397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8707
      ?auto_8710
    )
    :vars
    (
      ?auto_8711
      ?auto_8714
      ?auto_8717
      ?auto_8720
      ?auto_8723
    )
    :precondition
    ( and ( OBJ ?auto_8707 ) ( LOCATION ?auto_8710 ) ( AIRPLANE ?auto_8711 ) ( AIRPORT ?auto_8714 ) ( AIRPORT ?auto_8710 ) ( DIFFERENT ?auto_8710 ?auto_8714 ) ( AIRPORT ?auto_8717 ) ( DIFFERENT ?auto_8714 ?auto_8717 ) ( AIRPORT ?auto_8720 ) ( AT ?auto_8711 ?auto_8720 ) ( DIFFERENT ?auto_8717 ?auto_8720 ) ( TRUCK ?auto_8723 ) ( AT ?auto_8723 ?auto_8710 ) ( IN ?auto_8707 ?auto_8723 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8707 ?auto_8710 )
      ( FLY-AIRPLANE ?auto_8711 ?auto_8720 ?auto_8717 )
      ( FLY-AIRPLANE ?auto_8711 ?auto_8717 ?auto_8714 )
      ( FLY-AIRPLANE ?auto_8711 ?auto_8714 ?auto_8710 )
      ( DELIVER-PKG ?auto_8707 ?auto_8710 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9363
      ?auto_9364
    )
    :vars
    (
      ?auto_9368
      ?auto_9367
      ?auto_9370
      ?auto_9366
      ?auto_9373
    )
    :precondition
    ( and ( OBJ ?auto_9363 ) ( LOCATION ?auto_9364 ) ( TRUCK ?auto_9368 ) ( LOCATION ?auto_9367 ) ( CITY ?auto_9370 ) ( AT ?auto_9368 ?auto_9367 ) ( IN-CITY ?auto_9367 ?auto_9370 ) ( IN-CITY ?auto_9364 ?auto_9370 ) ( DIFFERENT ?auto_9364 ?auto_9367 ) ( LOCATION ?auto_9366 ) ( AT ?auto_9368 ?auto_9366 ) ( TRUCK ?auto_9373 ) ( AT ?auto_9373 ?auto_9366 ) ( IN ?auto_9363 ?auto_9373 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9363 ?auto_9366 )
      ( DELIVER-PKG ?auto_9363 ?auto_9364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9933
      ?auto_9934
    )
    :vars
    (
      ?auto_9935
      ?auto_9936
      ?auto_9940
      ?auto_9937
      ?auto_9939
      ?auto_9938
      ?auto_9942
      ?auto_9946
    )
    :precondition
    ( and ( OBJ ?auto_9933 ) ( LOCATION ?auto_9934 ) ( AIRPLANE ?auto_9935 ) ( AIRPORT ?auto_9936 ) ( AIRPORT ?auto_9934 ) ( AT ?auto_9935 ?auto_9936 ) ( DIFFERENT ?auto_9934 ?auto_9936 ) ( LOCATION ?auto_9940 ) ( AT ?auto_9935 ?auto_9940 ) ( TRUCK ?auto_9937 ) ( LOCATION ?auto_9939 ) ( CITY ?auto_9938 ) ( AT ?auto_9937 ?auto_9939 ) ( IN-CITY ?auto_9939 ?auto_9938 ) ( IN-CITY ?auto_9940 ?auto_9938 ) ( DIFFERENT ?auto_9940 ?auto_9939 ) ( LOCATION ?auto_9942 ) ( AT ?auto_9937 ?auto_9942 ) ( TRUCK ?auto_9946 ) ( AT ?auto_9946 ?auto_9942 ) ( IN ?auto_9933 ?auto_9946 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9933 ?auto_9942 )
      ( DELIVER-PKG ?auto_9933 ?auto_9934 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10250
      ?auto_10251
    )
    :vars
    (
      ?auto_10261
      ?auto_10259
      ?auto_10255
      ?auto_10254
      ?auto_10253
      ?auto_10258
      ?auto_10260
      ?auto_10256
      ?auto_10265
      ?auto_10264
    )
    :precondition
    ( and ( OBJ ?auto_10250 ) ( LOCATION ?auto_10251 ) ( AIRPLANE ?auto_10261 ) ( AIRPORT ?auto_10259 ) ( AIRPORT ?auto_10251 ) ( AT ?auto_10261 ?auto_10259 ) ( DIFFERENT ?auto_10251 ?auto_10259 ) ( LOCATION ?auto_10255 ) ( AT ?auto_10261 ?auto_10255 ) ( TRUCK ?auto_10254 ) ( LOCATION ?auto_10253 ) ( CITY ?auto_10258 ) ( IN-CITY ?auto_10253 ?auto_10258 ) ( IN-CITY ?auto_10255 ?auto_10258 ) ( DIFFERENT ?auto_10255 ?auto_10253 ) ( LOCATION ?auto_10260 ) ( CITY ?auto_10256 ) ( IN-CITY ?auto_10260 ?auto_10256 ) ( IN-CITY ?auto_10253 ?auto_10256 ) ( DIFFERENT ?auto_10253 ?auto_10260 ) ( AT ?auto_10250 ?auto_10260 ) ( LOCATION ?auto_10265 ) ( CITY ?auto_10264 ) ( AT ?auto_10254 ?auto_10265 ) ( IN-CITY ?auto_10265 ?auto_10264 ) ( IN-CITY ?auto_10260 ?auto_10264 ) ( DIFFERENT ?auto_10260 ?auto_10265 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10254 ?auto_10265 ?auto_10260 ?auto_10264 )
      ( DELIVER-PKG ?auto_10250 ?auto_10251 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11489
      ?auto_11490
    )
    :vars
    (
      ?auto_11494
      ?auto_11496
      ?auto_11493
      ?auto_11495
      ?auto_11499
      ?auto_11497
      ?auto_11498
      ?auto_11500
      ?auto_11501
      ?auto_11504
    )
    :precondition
    ( and ( OBJ ?auto_11489 ) ( LOCATION ?auto_11490 ) ( TRUCK ?auto_11494 ) ( LOCATION ?auto_11496 ) ( CITY ?auto_11493 ) ( IN-CITY ?auto_11496 ?auto_11493 ) ( IN-CITY ?auto_11490 ?auto_11493 ) ( DIFFERENT ?auto_11490 ?auto_11496 ) ( LOCATION ?auto_11495 ) ( CITY ?auto_11499 ) ( AT ?auto_11494 ?auto_11495 ) ( IN-CITY ?auto_11495 ?auto_11499 ) ( IN-CITY ?auto_11496 ?auto_11499 ) ( DIFFERENT ?auto_11496 ?auto_11495 ) ( LOCATION ?auto_11497 ) ( AT ?auto_11494 ?auto_11497 ) ( AIRPLANE ?auto_11498 ) ( AIRPORT ?auto_11500 ) ( AIRPORT ?auto_11497 ) ( AT ?auto_11498 ?auto_11500 ) ( DIFFERENT ?auto_11497 ?auto_11500 ) ( LOCATION ?auto_11501 ) ( AT ?auto_11498 ?auto_11501 ) ( TRUCK ?auto_11504 ) ( AT ?auto_11504 ?auto_11501 ) ( IN ?auto_11489 ?auto_11504 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11489 ?auto_11501 )
      ( DELIVER-PKG ?auto_11489 ?auto_11490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11519
      ?auto_11520
    )
    :vars
    (
      ?auto_11528
      ?auto_11521
      ?auto_11527
      ?auto_11529
      ?auto_11524
      ?auto_11522
      ?auto_11523
      ?auto_11525
      ?auto_11526
      ?auto_11530
      ?auto_11535
      ?auto_11534
    )
    :precondition
    ( and ( OBJ ?auto_11519 ) ( LOCATION ?auto_11520 ) ( TRUCK ?auto_11528 ) ( LOCATION ?auto_11521 ) ( CITY ?auto_11527 ) ( IN-CITY ?auto_11521 ?auto_11527 ) ( IN-CITY ?auto_11520 ?auto_11527 ) ( DIFFERENT ?auto_11520 ?auto_11521 ) ( LOCATION ?auto_11529 ) ( CITY ?auto_11524 ) ( AT ?auto_11528 ?auto_11529 ) ( IN-CITY ?auto_11529 ?auto_11524 ) ( IN-CITY ?auto_11521 ?auto_11524 ) ( DIFFERENT ?auto_11521 ?auto_11529 ) ( LOCATION ?auto_11522 ) ( AT ?auto_11528 ?auto_11522 ) ( AIRPLANE ?auto_11523 ) ( AIRPORT ?auto_11525 ) ( AIRPORT ?auto_11522 ) ( AT ?auto_11523 ?auto_11525 ) ( DIFFERENT ?auto_11522 ?auto_11525 ) ( LOCATION ?auto_11526 ) ( AT ?auto_11523 ?auto_11526 ) ( TRUCK ?auto_11530 ) ( IN ?auto_11519 ?auto_11530 ) ( LOCATION ?auto_11535 ) ( CITY ?auto_11534 ) ( AT ?auto_11530 ?auto_11535 ) ( IN-CITY ?auto_11535 ?auto_11534 ) ( IN-CITY ?auto_11526 ?auto_11534 ) ( DIFFERENT ?auto_11526 ?auto_11535 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11530 ?auto_11535 ?auto_11526 ?auto_11534 )
      ( DELIVER-PKG ?auto_11519 ?auto_11520 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11553
      ?auto_11554
    )
    :vars
    (
      ?auto_11562
      ?auto_11556
      ?auto_11561
      ?auto_11563
      ?auto_11559
      ?auto_11555
      ?auto_11565
      ?auto_11560
      ?auto_11557
      ?auto_11558
      ?auto_11568
      ?auto_11567
      ?auto_11570
    )
    :precondition
    ( and ( OBJ ?auto_11553 ) ( LOCATION ?auto_11554 ) ( TRUCK ?auto_11562 ) ( LOCATION ?auto_11556 ) ( CITY ?auto_11561 ) ( IN-CITY ?auto_11556 ?auto_11561 ) ( IN-CITY ?auto_11554 ?auto_11561 ) ( DIFFERENT ?auto_11554 ?auto_11556 ) ( LOCATION ?auto_11563 ) ( CITY ?auto_11559 ) ( AT ?auto_11562 ?auto_11563 ) ( IN-CITY ?auto_11563 ?auto_11559 ) ( IN-CITY ?auto_11556 ?auto_11559 ) ( DIFFERENT ?auto_11556 ?auto_11563 ) ( LOCATION ?auto_11555 ) ( AT ?auto_11562 ?auto_11555 ) ( AIRPLANE ?auto_11565 ) ( AIRPORT ?auto_11560 ) ( AIRPORT ?auto_11555 ) ( AT ?auto_11565 ?auto_11560 ) ( DIFFERENT ?auto_11555 ?auto_11560 ) ( LOCATION ?auto_11557 ) ( AT ?auto_11565 ?auto_11557 ) ( TRUCK ?auto_11558 ) ( LOCATION ?auto_11568 ) ( CITY ?auto_11567 ) ( AT ?auto_11558 ?auto_11568 ) ( IN-CITY ?auto_11568 ?auto_11567 ) ( IN-CITY ?auto_11557 ?auto_11567 ) ( DIFFERENT ?auto_11557 ?auto_11568 ) ( LOCATION ?auto_11570 ) ( AT ?auto_11558 ?auto_11570 ) ( AT ?auto_11553 ?auto_11570 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11553 ?auto_11558 ?auto_11570 )
      ( DELIVER-PKG ?auto_11553 ?auto_11554 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11589
      ?auto_11590
    )
    :vars
    (
      ?auto_11593
      ?auto_11596
      ?auto_11599
      ?auto_11594
      ?auto_11592
      ?auto_11600
      ?auto_11595
      ?auto_11598
      ?auto_11597
      ?auto_11591
      ?auto_11602
      ?auto_11601
      ?auto_11605
      ?auto_11608
    )
    :precondition
    ( and ( OBJ ?auto_11589 ) ( LOCATION ?auto_11590 ) ( TRUCK ?auto_11593 ) ( LOCATION ?auto_11596 ) ( CITY ?auto_11599 ) ( IN-CITY ?auto_11596 ?auto_11599 ) ( IN-CITY ?auto_11590 ?auto_11599 ) ( DIFFERENT ?auto_11590 ?auto_11596 ) ( LOCATION ?auto_11594 ) ( CITY ?auto_11592 ) ( AT ?auto_11593 ?auto_11594 ) ( IN-CITY ?auto_11594 ?auto_11592 ) ( IN-CITY ?auto_11596 ?auto_11592 ) ( DIFFERENT ?auto_11596 ?auto_11594 ) ( LOCATION ?auto_11600 ) ( AT ?auto_11593 ?auto_11600 ) ( AIRPLANE ?auto_11595 ) ( AIRPORT ?auto_11598 ) ( AIRPORT ?auto_11600 ) ( AT ?auto_11595 ?auto_11598 ) ( DIFFERENT ?auto_11600 ?auto_11598 ) ( LOCATION ?auto_11597 ) ( AT ?auto_11595 ?auto_11597 ) ( TRUCK ?auto_11591 ) ( LOCATION ?auto_11602 ) ( CITY ?auto_11601 ) ( AT ?auto_11591 ?auto_11602 ) ( IN-CITY ?auto_11602 ?auto_11601 ) ( IN-CITY ?auto_11597 ?auto_11601 ) ( DIFFERENT ?auto_11597 ?auto_11602 ) ( LOCATION ?auto_11605 ) ( AT ?auto_11591 ?auto_11605 ) ( TRUCK ?auto_11608 ) ( AT ?auto_11608 ?auto_11605 ) ( IN ?auto_11589 ?auto_11608 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11589 ?auto_11605 )
      ( DELIVER-PKG ?auto_11589 ?auto_11590 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11627
      ?auto_11628
    )
    :vars
    (
      ?auto_11629
      ?auto_11641
      ?auto_11633
      ?auto_11630
      ?auto_11634
      ?auto_11635
      ?auto_11640
      ?auto_11632
      ?auto_11631
      ?auto_11639
      ?auto_11638
      ?auto_11636
      ?auto_11647
      ?auto_11646
    )
    :precondition
    ( and ( OBJ ?auto_11627 ) ( LOCATION ?auto_11628 ) ( TRUCK ?auto_11629 ) ( LOCATION ?auto_11641 ) ( CITY ?auto_11633 ) ( IN-CITY ?auto_11641 ?auto_11633 ) ( IN-CITY ?auto_11628 ?auto_11633 ) ( DIFFERENT ?auto_11628 ?auto_11641 ) ( LOCATION ?auto_11630 ) ( CITY ?auto_11634 ) ( AT ?auto_11629 ?auto_11630 ) ( IN-CITY ?auto_11630 ?auto_11634 ) ( IN-CITY ?auto_11641 ?auto_11634 ) ( DIFFERENT ?auto_11641 ?auto_11630 ) ( LOCATION ?auto_11635 ) ( AT ?auto_11629 ?auto_11635 ) ( AIRPLANE ?auto_11640 ) ( AIRPORT ?auto_11632 ) ( AIRPORT ?auto_11635 ) ( AT ?auto_11640 ?auto_11632 ) ( DIFFERENT ?auto_11635 ?auto_11632 ) ( LOCATION ?auto_11631 ) ( AT ?auto_11640 ?auto_11631 ) ( TRUCK ?auto_11639 ) ( LOCATION ?auto_11638 ) ( CITY ?auto_11636 ) ( IN-CITY ?auto_11638 ?auto_11636 ) ( IN-CITY ?auto_11631 ?auto_11636 ) ( DIFFERENT ?auto_11631 ?auto_11638 ) ( IN ?auto_11627 ?auto_11639 ) ( LOCATION ?auto_11647 ) ( CITY ?auto_11646 ) ( AT ?auto_11639 ?auto_11647 ) ( IN-CITY ?auto_11647 ?auto_11646 ) ( IN-CITY ?auto_11638 ?auto_11646 ) ( DIFFERENT ?auto_11638 ?auto_11647 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11639 ?auto_11647 ?auto_11638 ?auto_11646 )
      ( DELIVER-PKG ?auto_11627 ?auto_11628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11667
      ?auto_11668
    )
    :vars
    (
      ?auto_11669
      ?auto_11680
      ?auto_11672
      ?auto_11670
      ?auto_11678
      ?auto_11679
      ?auto_11677
      ?auto_11673
      ?auto_11674
      ?auto_11676
      ?auto_11675
      ?auto_11681
      ?auto_11684
      ?auto_11671
      ?auto_11686
    )
    :precondition
    ( and ( OBJ ?auto_11667 ) ( LOCATION ?auto_11668 ) ( TRUCK ?auto_11669 ) ( LOCATION ?auto_11680 ) ( CITY ?auto_11672 ) ( IN-CITY ?auto_11680 ?auto_11672 ) ( IN-CITY ?auto_11668 ?auto_11672 ) ( DIFFERENT ?auto_11668 ?auto_11680 ) ( LOCATION ?auto_11670 ) ( CITY ?auto_11678 ) ( AT ?auto_11669 ?auto_11670 ) ( IN-CITY ?auto_11670 ?auto_11678 ) ( IN-CITY ?auto_11680 ?auto_11678 ) ( DIFFERENT ?auto_11680 ?auto_11670 ) ( LOCATION ?auto_11679 ) ( AT ?auto_11669 ?auto_11679 ) ( AIRPLANE ?auto_11677 ) ( AIRPORT ?auto_11673 ) ( AIRPORT ?auto_11679 ) ( AT ?auto_11677 ?auto_11673 ) ( DIFFERENT ?auto_11679 ?auto_11673 ) ( LOCATION ?auto_11674 ) ( AT ?auto_11677 ?auto_11674 ) ( TRUCK ?auto_11676 ) ( LOCATION ?auto_11675 ) ( CITY ?auto_11681 ) ( IN-CITY ?auto_11675 ?auto_11681 ) ( IN-CITY ?auto_11674 ?auto_11681 ) ( DIFFERENT ?auto_11674 ?auto_11675 ) ( LOCATION ?auto_11684 ) ( CITY ?auto_11671 ) ( AT ?auto_11676 ?auto_11684 ) ( IN-CITY ?auto_11684 ?auto_11671 ) ( IN-CITY ?auto_11675 ?auto_11671 ) ( DIFFERENT ?auto_11675 ?auto_11684 ) ( LOCATION ?auto_11686 ) ( AT ?auto_11676 ?auto_11686 ) ( AT ?auto_11667 ?auto_11686 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11667 ?auto_11676 ?auto_11686 )
      ( DELIVER-PKG ?auto_11667 ?auto_11668 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11707
      ?auto_11708
    )
    :vars
    (
      ?auto_11718
      ?auto_11719
      ?auto_11725
      ?auto_11711
      ?auto_11715
      ?auto_11716
      ?auto_11714
      ?auto_11723
      ?auto_11713
      ?auto_11724
      ?auto_11720
      ?auto_11721
      ?auto_11717
      ?auto_11709
      ?auto_11727
    )
    :precondition
    ( and ( OBJ ?auto_11707 ) ( LOCATION ?auto_11708 ) ( TRUCK ?auto_11718 ) ( LOCATION ?auto_11719 ) ( CITY ?auto_11725 ) ( IN-CITY ?auto_11719 ?auto_11725 ) ( IN-CITY ?auto_11708 ?auto_11725 ) ( DIFFERENT ?auto_11708 ?auto_11719 ) ( LOCATION ?auto_11711 ) ( CITY ?auto_11715 ) ( AT ?auto_11718 ?auto_11711 ) ( IN-CITY ?auto_11711 ?auto_11715 ) ( IN-CITY ?auto_11719 ?auto_11715 ) ( DIFFERENT ?auto_11719 ?auto_11711 ) ( LOCATION ?auto_11716 ) ( AT ?auto_11718 ?auto_11716 ) ( AIRPLANE ?auto_11714 ) ( AIRPORT ?auto_11723 ) ( AIRPORT ?auto_11716 ) ( DIFFERENT ?auto_11716 ?auto_11723 ) ( LOCATION ?auto_11723 ) ( TRUCK ?auto_11713 ) ( LOCATION ?auto_11724 ) ( CITY ?auto_11720 ) ( IN-CITY ?auto_11724 ?auto_11720 ) ( IN-CITY ?auto_11723 ?auto_11720 ) ( DIFFERENT ?auto_11723 ?auto_11724 ) ( LOCATION ?auto_11721 ) ( CITY ?auto_11717 ) ( AT ?auto_11713 ?auto_11721 ) ( IN-CITY ?auto_11721 ?auto_11717 ) ( IN-CITY ?auto_11724 ?auto_11717 ) ( DIFFERENT ?auto_11724 ?auto_11721 ) ( LOCATION ?auto_11709 ) ( AT ?auto_11713 ?auto_11709 ) ( AT ?auto_11707 ?auto_11709 ) ( AIRPORT ?auto_11727 ) ( AT ?auto_11714 ?auto_11727 ) ( DIFFERENT ?auto_11723 ?auto_11727 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11714 ?auto_11727 ?auto_11723 )
      ( DELIVER-PKG ?auto_11707 ?auto_11708 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11729
      ?auto_11730
    )
    :vars
    (
      ?auto_11740
      ?auto_11741
      ?auto_11736
      ?auto_11746
      ?auto_11734
      ?auto_11738
      ?auto_11733
      ?auto_11744
      ?auto_11747
      ?auto_11745
      ?auto_11742
      ?auto_11735
      ?auto_11739
      ?auto_11737
      ?auto_11750
      ?auto_11749
    )
    :precondition
    ( and ( OBJ ?auto_11729 ) ( LOCATION ?auto_11730 ) ( TRUCK ?auto_11740 ) ( LOCATION ?auto_11741 ) ( CITY ?auto_11736 ) ( IN-CITY ?auto_11741 ?auto_11736 ) ( IN-CITY ?auto_11730 ?auto_11736 ) ( DIFFERENT ?auto_11730 ?auto_11741 ) ( LOCATION ?auto_11746 ) ( CITY ?auto_11734 ) ( AT ?auto_11740 ?auto_11746 ) ( IN-CITY ?auto_11746 ?auto_11734 ) ( IN-CITY ?auto_11741 ?auto_11734 ) ( DIFFERENT ?auto_11741 ?auto_11746 ) ( LOCATION ?auto_11738 ) ( AT ?auto_11740 ?auto_11738 ) ( AIRPLANE ?auto_11733 ) ( AIRPORT ?auto_11744 ) ( AIRPORT ?auto_11738 ) ( DIFFERENT ?auto_11738 ?auto_11744 ) ( LOCATION ?auto_11744 ) ( TRUCK ?auto_11747 ) ( LOCATION ?auto_11745 ) ( CITY ?auto_11742 ) ( IN-CITY ?auto_11745 ?auto_11742 ) ( IN-CITY ?auto_11744 ?auto_11742 ) ( DIFFERENT ?auto_11744 ?auto_11745 ) ( LOCATION ?auto_11735 ) ( CITY ?auto_11739 ) ( IN-CITY ?auto_11735 ?auto_11739 ) ( IN-CITY ?auto_11745 ?auto_11739 ) ( DIFFERENT ?auto_11745 ?auto_11735 ) ( AT ?auto_11729 ?auto_11735 ) ( AIRPORT ?auto_11737 ) ( AT ?auto_11733 ?auto_11737 ) ( DIFFERENT ?auto_11744 ?auto_11737 ) ( LOCATION ?auto_11750 ) ( CITY ?auto_11749 ) ( AT ?auto_11747 ?auto_11750 ) ( IN-CITY ?auto_11750 ?auto_11749 ) ( IN-CITY ?auto_11735 ?auto_11749 ) ( DIFFERENT ?auto_11735 ?auto_11750 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11747 ?auto_11750 ?auto_11735 ?auto_11749 )
      ( DELIVER-PKG ?auto_11729 ?auto_11730 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11752
      ?auto_11753
    )
    :vars
    (
      ?auto_11758
      ?auto_11757
      ?auto_11771
      ?auto_11754
      ?auto_11769
      ?auto_11767
      ?auto_11765
      ?auto_11763
      ?auto_11768
      ?auto_11755
      ?auto_11770
      ?auto_11766
      ?auto_11759
      ?auto_11764
      ?auto_11762
      ?auto_11774
      ?auto_11773
    )
    :precondition
    ( and ( OBJ ?auto_11752 ) ( LOCATION ?auto_11753 ) ( TRUCK ?auto_11758 ) ( LOCATION ?auto_11757 ) ( CITY ?auto_11771 ) ( IN-CITY ?auto_11757 ?auto_11771 ) ( IN-CITY ?auto_11753 ?auto_11771 ) ( DIFFERENT ?auto_11753 ?auto_11757 ) ( LOCATION ?auto_11754 ) ( CITY ?auto_11769 ) ( IN-CITY ?auto_11754 ?auto_11769 ) ( IN-CITY ?auto_11757 ?auto_11769 ) ( DIFFERENT ?auto_11757 ?auto_11754 ) ( AIRPLANE ?auto_11767 ) ( AIRPORT ?auto_11765 ) ( AIRPORT ?auto_11754 ) ( DIFFERENT ?auto_11754 ?auto_11765 ) ( LOCATION ?auto_11765 ) ( TRUCK ?auto_11763 ) ( LOCATION ?auto_11768 ) ( CITY ?auto_11755 ) ( IN-CITY ?auto_11768 ?auto_11755 ) ( IN-CITY ?auto_11765 ?auto_11755 ) ( DIFFERENT ?auto_11765 ?auto_11768 ) ( LOCATION ?auto_11770 ) ( CITY ?auto_11766 ) ( IN-CITY ?auto_11770 ?auto_11766 ) ( IN-CITY ?auto_11768 ?auto_11766 ) ( DIFFERENT ?auto_11768 ?auto_11770 ) ( AT ?auto_11752 ?auto_11770 ) ( AIRPORT ?auto_11759 ) ( AT ?auto_11767 ?auto_11759 ) ( DIFFERENT ?auto_11765 ?auto_11759 ) ( LOCATION ?auto_11764 ) ( CITY ?auto_11762 ) ( AT ?auto_11763 ?auto_11764 ) ( IN-CITY ?auto_11764 ?auto_11762 ) ( IN-CITY ?auto_11770 ?auto_11762 ) ( DIFFERENT ?auto_11770 ?auto_11764 ) ( LOCATION ?auto_11774 ) ( CITY ?auto_11773 ) ( AT ?auto_11758 ?auto_11774 ) ( IN-CITY ?auto_11774 ?auto_11773 ) ( IN-CITY ?auto_11754 ?auto_11773 ) ( DIFFERENT ?auto_11754 ?auto_11774 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11758 ?auto_11774 ?auto_11754 ?auto_11773 )
      ( DELIVER-PKG ?auto_11752 ?auto_11753 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11972
      ?auto_11973
    )
    :vars
    (
      ?auto_11985
      ?auto_11978
      ?auto_11974
      ?auto_11979
      ?auto_11980
      ?auto_11976
      ?auto_11986
      ?auto_11982
      ?auto_11977
      ?auto_11984
      ?auto_11983
      ?auto_11990
      ?auto_11989
    )
    :precondition
    ( and ( OBJ ?auto_11972 ) ( LOCATION ?auto_11973 ) ( TRUCK ?auto_11985 ) ( LOCATION ?auto_11978 ) ( CITY ?auto_11974 ) ( IN-CITY ?auto_11978 ?auto_11974 ) ( IN-CITY ?auto_11973 ?auto_11974 ) ( DIFFERENT ?auto_11973 ?auto_11978 ) ( LOCATION ?auto_11979 ) ( CITY ?auto_11980 ) ( IN-CITY ?auto_11979 ?auto_11980 ) ( IN-CITY ?auto_11978 ?auto_11980 ) ( DIFFERENT ?auto_11978 ?auto_11979 ) ( AIRPLANE ?auto_11976 ) ( AIRPORT ?auto_11986 ) ( AIRPORT ?auto_11979 ) ( AT ?auto_11976 ?auto_11986 ) ( DIFFERENT ?auto_11979 ?auto_11986 ) ( LOCATION ?auto_11982 ) ( AT ?auto_11976 ?auto_11982 ) ( TRUCK ?auto_11977 ) ( IN ?auto_11972 ?auto_11977 ) ( LOCATION ?auto_11984 ) ( CITY ?auto_11983 ) ( AT ?auto_11977 ?auto_11984 ) ( IN-CITY ?auto_11984 ?auto_11983 ) ( IN-CITY ?auto_11982 ?auto_11983 ) ( DIFFERENT ?auto_11982 ?auto_11984 ) ( LOCATION ?auto_11990 ) ( CITY ?auto_11989 ) ( AT ?auto_11985 ?auto_11990 ) ( IN-CITY ?auto_11990 ?auto_11989 ) ( IN-CITY ?auto_11979 ?auto_11989 ) ( DIFFERENT ?auto_11979 ?auto_11990 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11985 ?auto_11990 ?auto_11979 ?auto_11989 )
      ( DELIVER-PKG ?auto_11972 ?auto_11973 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11992
      ?auto_11993
    )
    :vars
    (
      ?auto_11995
      ?auto_12006
      ?auto_12001
      ?auto_11999
      ?auto_12000
      ?auto_12008
      ?auto_11996
      ?auto_12003
      ?auto_12007
      ?auto_12002
      ?auto_12005
      ?auto_11997
      ?auto_11994
      ?auto_12010
    )
    :precondition
    ( and ( OBJ ?auto_11992 ) ( LOCATION ?auto_11993 ) ( TRUCK ?auto_11995 ) ( LOCATION ?auto_12006 ) ( CITY ?auto_12001 ) ( IN-CITY ?auto_12006 ?auto_12001 ) ( IN-CITY ?auto_11993 ?auto_12001 ) ( DIFFERENT ?auto_11993 ?auto_12006 ) ( LOCATION ?auto_11999 ) ( CITY ?auto_12000 ) ( IN-CITY ?auto_11999 ?auto_12000 ) ( IN-CITY ?auto_12006 ?auto_12000 ) ( DIFFERENT ?auto_12006 ?auto_11999 ) ( AIRPLANE ?auto_12008 ) ( AIRPORT ?auto_11996 ) ( AIRPORT ?auto_11999 ) ( AT ?auto_12008 ?auto_11996 ) ( DIFFERENT ?auto_11999 ?auto_11996 ) ( LOCATION ?auto_12003 ) ( AT ?auto_12008 ?auto_12003 ) ( TRUCK ?auto_12007 ) ( LOCATION ?auto_12002 ) ( CITY ?auto_12005 ) ( AT ?auto_12007 ?auto_12002 ) ( IN-CITY ?auto_12002 ?auto_12005 ) ( IN-CITY ?auto_12003 ?auto_12005 ) ( DIFFERENT ?auto_12003 ?auto_12002 ) ( LOCATION ?auto_11997 ) ( CITY ?auto_11994 ) ( AT ?auto_11995 ?auto_11997 ) ( IN-CITY ?auto_11997 ?auto_11994 ) ( IN-CITY ?auto_11999 ?auto_11994 ) ( DIFFERENT ?auto_11999 ?auto_11997 ) ( LOCATION ?auto_12010 ) ( AT ?auto_12007 ?auto_12010 ) ( AT ?auto_11992 ?auto_12010 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11992 ?auto_12007 ?auto_12010 )
      ( DELIVER-PKG ?auto_11992 ?auto_11993 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12030
      ?auto_12031
    )
    :vars
    (
      ?auto_12033
      ?auto_12045
      ?auto_12039
      ?auto_12046
      ?auto_12047
      ?auto_12038
      ?auto_12044
      ?auto_12041
      ?auto_12032
      ?auto_12034
      ?auto_12042
      ?auto_12043
      ?auto_12035
      ?auto_12036
      ?auto_12049
    )
    :precondition
    ( and ( OBJ ?auto_12030 ) ( LOCATION ?auto_12031 ) ( TRUCK ?auto_12033 ) ( LOCATION ?auto_12045 ) ( CITY ?auto_12039 ) ( IN-CITY ?auto_12045 ?auto_12039 ) ( IN-CITY ?auto_12031 ?auto_12039 ) ( DIFFERENT ?auto_12031 ?auto_12045 ) ( LOCATION ?auto_12046 ) ( CITY ?auto_12047 ) ( IN-CITY ?auto_12046 ?auto_12047 ) ( IN-CITY ?auto_12045 ?auto_12047 ) ( DIFFERENT ?auto_12045 ?auto_12046 ) ( AIRPLANE ?auto_12038 ) ( AIRPORT ?auto_12044 ) ( AIRPORT ?auto_12046 ) ( AT ?auto_12038 ?auto_12044 ) ( DIFFERENT ?auto_12046 ?auto_12044 ) ( LOCATION ?auto_12041 ) ( AT ?auto_12038 ?auto_12041 ) ( TRUCK ?auto_12032 ) ( LOCATION ?auto_12034 ) ( CITY ?auto_12042 ) ( AT ?auto_12032 ?auto_12034 ) ( IN-CITY ?auto_12034 ?auto_12042 ) ( IN-CITY ?auto_12041 ?auto_12042 ) ( DIFFERENT ?auto_12041 ?auto_12034 ) ( LOCATION ?auto_12043 ) ( CITY ?auto_12035 ) ( AT ?auto_12033 ?auto_12043 ) ( IN-CITY ?auto_12043 ?auto_12035 ) ( IN-CITY ?auto_12046 ?auto_12035 ) ( DIFFERENT ?auto_12046 ?auto_12043 ) ( LOCATION ?auto_12036 ) ( AT ?auto_12032 ?auto_12036 ) ( TRUCK ?auto_12049 ) ( AT ?auto_12049 ?auto_12036 ) ( IN ?auto_12030 ?auto_12049 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12030 ?auto_12036 )
      ( DELIVER-PKG ?auto_12030 ?auto_12031 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12070
      ?auto_12071
    )
    :vars
    (
      ?auto_12087
      ?auto_12081
      ?auto_12074
      ?auto_12082
      ?auto_12083
      ?auto_12085
      ?auto_12080
      ?auto_12075
      ?auto_12078
      ?auto_12072
      ?auto_12076
      ?auto_12077
      ?auto_12073
      ?auto_12091
      ?auto_12090
    )
    :precondition
    ( and ( OBJ ?auto_12070 ) ( LOCATION ?auto_12071 ) ( TRUCK ?auto_12087 ) ( LOCATION ?auto_12081 ) ( CITY ?auto_12074 ) ( IN-CITY ?auto_12081 ?auto_12074 ) ( IN-CITY ?auto_12071 ?auto_12074 ) ( DIFFERENT ?auto_12071 ?auto_12081 ) ( LOCATION ?auto_12082 ) ( CITY ?auto_12083 ) ( IN-CITY ?auto_12082 ?auto_12083 ) ( IN-CITY ?auto_12081 ?auto_12083 ) ( DIFFERENT ?auto_12081 ?auto_12082 ) ( AIRPLANE ?auto_12085 ) ( AIRPORT ?auto_12080 ) ( AIRPORT ?auto_12082 ) ( AT ?auto_12085 ?auto_12080 ) ( DIFFERENT ?auto_12082 ?auto_12080 ) ( LOCATION ?auto_12075 ) ( AT ?auto_12085 ?auto_12075 ) ( TRUCK ?auto_12078 ) ( LOCATION ?auto_12072 ) ( CITY ?auto_12076 ) ( IN-CITY ?auto_12072 ?auto_12076 ) ( IN-CITY ?auto_12075 ?auto_12076 ) ( DIFFERENT ?auto_12075 ?auto_12072 ) ( LOCATION ?auto_12077 ) ( CITY ?auto_12073 ) ( AT ?auto_12087 ?auto_12077 ) ( IN-CITY ?auto_12077 ?auto_12073 ) ( IN-CITY ?auto_12082 ?auto_12073 ) ( DIFFERENT ?auto_12082 ?auto_12077 ) ( IN ?auto_12070 ?auto_12078 ) ( LOCATION ?auto_12091 ) ( CITY ?auto_12090 ) ( AT ?auto_12078 ?auto_12091 ) ( IN-CITY ?auto_12091 ?auto_12090 ) ( IN-CITY ?auto_12072 ?auto_12090 ) ( DIFFERENT ?auto_12072 ?auto_12091 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12078 ?auto_12091 ?auto_12072 ?auto_12090 )
      ( DELIVER-PKG ?auto_12070 ?auto_12071 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12093
      ?auto_12094
    )
    :vars
    (
      ?auto_12110
      ?auto_12106
      ?auto_12098
      ?auto_12107
      ?auto_12108
      ?auto_12109
      ?auto_12105
      ?auto_12099
      ?auto_12104
      ?auto_12095
      ?auto_12102
      ?auto_12103
      ?auto_12097
      ?auto_12111
      ?auto_12100
      ?auto_12114
      ?auto_12113
    )
    :precondition
    ( and ( OBJ ?auto_12093 ) ( LOCATION ?auto_12094 ) ( TRUCK ?auto_12110 ) ( LOCATION ?auto_12106 ) ( CITY ?auto_12098 ) ( IN-CITY ?auto_12106 ?auto_12098 ) ( IN-CITY ?auto_12094 ?auto_12098 ) ( DIFFERENT ?auto_12094 ?auto_12106 ) ( LOCATION ?auto_12107 ) ( CITY ?auto_12108 ) ( IN-CITY ?auto_12107 ?auto_12108 ) ( IN-CITY ?auto_12106 ?auto_12108 ) ( DIFFERENT ?auto_12106 ?auto_12107 ) ( AIRPLANE ?auto_12109 ) ( AIRPORT ?auto_12105 ) ( AIRPORT ?auto_12107 ) ( AT ?auto_12109 ?auto_12105 ) ( DIFFERENT ?auto_12107 ?auto_12105 ) ( LOCATION ?auto_12099 ) ( AT ?auto_12109 ?auto_12099 ) ( TRUCK ?auto_12104 ) ( LOCATION ?auto_12095 ) ( CITY ?auto_12102 ) ( IN-CITY ?auto_12095 ?auto_12102 ) ( IN-CITY ?auto_12099 ?auto_12102 ) ( DIFFERENT ?auto_12099 ?auto_12095 ) ( LOCATION ?auto_12103 ) ( CITY ?auto_12097 ) ( IN-CITY ?auto_12103 ?auto_12097 ) ( IN-CITY ?auto_12107 ?auto_12097 ) ( DIFFERENT ?auto_12107 ?auto_12103 ) ( IN ?auto_12093 ?auto_12104 ) ( LOCATION ?auto_12111 ) ( CITY ?auto_12100 ) ( AT ?auto_12104 ?auto_12111 ) ( IN-CITY ?auto_12111 ?auto_12100 ) ( IN-CITY ?auto_12095 ?auto_12100 ) ( DIFFERENT ?auto_12095 ?auto_12111 ) ( LOCATION ?auto_12114 ) ( CITY ?auto_12113 ) ( AT ?auto_12110 ?auto_12114 ) ( IN-CITY ?auto_12114 ?auto_12113 ) ( IN-CITY ?auto_12103 ?auto_12113 ) ( DIFFERENT ?auto_12103 ?auto_12114 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12110 ?auto_12114 ?auto_12103 ?auto_12113 )
      ( DELIVER-PKG ?auto_12093 ?auto_12094 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12116
      ?auto_12117
    )
    :vars
    (
      ?auto_12128
      ?auto_12123
      ?auto_12136
      ?auto_12133
      ?auto_12134
      ?auto_12127
      ?auto_12131
      ?auto_12135
      ?auto_12122
      ?auto_12118
      ?auto_12120
      ?auto_12121
      ?auto_12132
      ?auto_12129
      ?auto_12125
      ?auto_12126
      ?auto_12119
      ?auto_12138
    )
    :precondition
    ( and ( OBJ ?auto_12116 ) ( LOCATION ?auto_12117 ) ( TRUCK ?auto_12128 ) ( LOCATION ?auto_12123 ) ( CITY ?auto_12136 ) ( IN-CITY ?auto_12123 ?auto_12136 ) ( IN-CITY ?auto_12117 ?auto_12136 ) ( DIFFERENT ?auto_12117 ?auto_12123 ) ( LOCATION ?auto_12133 ) ( CITY ?auto_12134 ) ( IN-CITY ?auto_12133 ?auto_12134 ) ( IN-CITY ?auto_12123 ?auto_12134 ) ( DIFFERENT ?auto_12123 ?auto_12133 ) ( AIRPLANE ?auto_12127 ) ( AIRPORT ?auto_12131 ) ( AIRPORT ?auto_12133 ) ( AT ?auto_12127 ?auto_12131 ) ( DIFFERENT ?auto_12133 ?auto_12131 ) ( LOCATION ?auto_12135 ) ( AT ?auto_12127 ?auto_12135 ) ( TRUCK ?auto_12122 ) ( LOCATION ?auto_12118 ) ( CITY ?auto_12120 ) ( IN-CITY ?auto_12118 ?auto_12120 ) ( IN-CITY ?auto_12135 ?auto_12120 ) ( DIFFERENT ?auto_12135 ?auto_12118 ) ( LOCATION ?auto_12121 ) ( CITY ?auto_12132 ) ( IN-CITY ?auto_12121 ?auto_12132 ) ( IN-CITY ?auto_12133 ?auto_12132 ) ( DIFFERENT ?auto_12133 ?auto_12121 ) ( LOCATION ?auto_12129 ) ( CITY ?auto_12125 ) ( AT ?auto_12122 ?auto_12129 ) ( IN-CITY ?auto_12129 ?auto_12125 ) ( IN-CITY ?auto_12118 ?auto_12125 ) ( DIFFERENT ?auto_12118 ?auto_12129 ) ( LOCATION ?auto_12126 ) ( CITY ?auto_12119 ) ( AT ?auto_12128 ?auto_12126 ) ( IN-CITY ?auto_12126 ?auto_12119 ) ( IN-CITY ?auto_12121 ?auto_12119 ) ( DIFFERENT ?auto_12121 ?auto_12126 ) ( LOCATION ?auto_12138 ) ( AT ?auto_12122 ?auto_12138 ) ( AT ?auto_12116 ?auto_12138 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12116 ?auto_12122 ?auto_12138 )
      ( DELIVER-PKG ?auto_12116 ?auto_12117 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12162
      ?auto_12163
    )
    :vars
    (
      ?auto_12167
      ?auto_12183
      ?auto_12175
      ?auto_12169
      ?auto_12170
      ?auto_12168
      ?auto_12173
      ?auto_12174
      ?auto_12180
      ?auto_12177
      ?auto_12178
      ?auto_12182
      ?auto_12179
      ?auto_12171
      ?auto_12164
      ?auto_12172
      ?auto_12181
      ?auto_12186
      ?auto_12185
    )
    :precondition
    ( and ( OBJ ?auto_12162 ) ( LOCATION ?auto_12163 ) ( TRUCK ?auto_12167 ) ( LOCATION ?auto_12183 ) ( CITY ?auto_12175 ) ( IN-CITY ?auto_12183 ?auto_12175 ) ( IN-CITY ?auto_12163 ?auto_12175 ) ( DIFFERENT ?auto_12163 ?auto_12183 ) ( LOCATION ?auto_12169 ) ( CITY ?auto_12170 ) ( IN-CITY ?auto_12169 ?auto_12170 ) ( IN-CITY ?auto_12183 ?auto_12170 ) ( DIFFERENT ?auto_12183 ?auto_12169 ) ( AIRPLANE ?auto_12168 ) ( AIRPORT ?auto_12173 ) ( AIRPORT ?auto_12169 ) ( AT ?auto_12168 ?auto_12173 ) ( DIFFERENT ?auto_12169 ?auto_12173 ) ( LOCATION ?auto_12174 ) ( AT ?auto_12168 ?auto_12174 ) ( TRUCK ?auto_12180 ) ( LOCATION ?auto_12177 ) ( CITY ?auto_12178 ) ( IN-CITY ?auto_12177 ?auto_12178 ) ( IN-CITY ?auto_12174 ?auto_12178 ) ( DIFFERENT ?auto_12174 ?auto_12177 ) ( LOCATION ?auto_12182 ) ( CITY ?auto_12179 ) ( IN-CITY ?auto_12182 ?auto_12179 ) ( IN-CITY ?auto_12169 ?auto_12179 ) ( DIFFERENT ?auto_12169 ?auto_12182 ) ( LOCATION ?auto_12171 ) ( CITY ?auto_12164 ) ( IN-CITY ?auto_12171 ?auto_12164 ) ( IN-CITY ?auto_12177 ?auto_12164 ) ( DIFFERENT ?auto_12177 ?auto_12171 ) ( LOCATION ?auto_12172 ) ( CITY ?auto_12181 ) ( AT ?auto_12167 ?auto_12172 ) ( IN-CITY ?auto_12172 ?auto_12181 ) ( IN-CITY ?auto_12182 ?auto_12181 ) ( DIFFERENT ?auto_12182 ?auto_12172 ) ( AT ?auto_12162 ?auto_12171 ) ( LOCATION ?auto_12186 ) ( CITY ?auto_12185 ) ( AT ?auto_12180 ?auto_12186 ) ( IN-CITY ?auto_12186 ?auto_12185 ) ( IN-CITY ?auto_12171 ?auto_12185 ) ( DIFFERENT ?auto_12171 ?auto_12186 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12180 ?auto_12186 ?auto_12171 ?auto_12185 )
      ( DELIVER-PKG ?auto_12162 ?auto_12163 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12211
      ?auto_12212
    )
    :vars
    (
      ?auto_12217
      ?auto_12232
      ?auto_12220
      ?auto_12221
      ?auto_12214
      ?auto_12213
      ?auto_12218
      ?auto_12219
      ?auto_12228
      ?auto_12224
      ?auto_12225
      ?auto_12231
      ?auto_12226
      ?auto_12215
      ?auto_12222
      ?auto_12216
      ?auto_12230
      ?auto_12227
      ?auto_12229
      ?auto_12236
      ?auto_12235
    )
    :precondition
    ( and ( OBJ ?auto_12211 ) ( LOCATION ?auto_12212 ) ( TRUCK ?auto_12217 ) ( LOCATION ?auto_12232 ) ( CITY ?auto_12220 ) ( IN-CITY ?auto_12232 ?auto_12220 ) ( IN-CITY ?auto_12212 ?auto_12220 ) ( DIFFERENT ?auto_12212 ?auto_12232 ) ( LOCATION ?auto_12221 ) ( CITY ?auto_12214 ) ( IN-CITY ?auto_12221 ?auto_12214 ) ( IN-CITY ?auto_12232 ?auto_12214 ) ( DIFFERENT ?auto_12232 ?auto_12221 ) ( AIRPLANE ?auto_12213 ) ( AIRPORT ?auto_12218 ) ( AIRPORT ?auto_12221 ) ( AT ?auto_12213 ?auto_12218 ) ( DIFFERENT ?auto_12221 ?auto_12218 ) ( LOCATION ?auto_12219 ) ( AT ?auto_12213 ?auto_12219 ) ( TRUCK ?auto_12228 ) ( LOCATION ?auto_12224 ) ( CITY ?auto_12225 ) ( IN-CITY ?auto_12224 ?auto_12225 ) ( IN-CITY ?auto_12219 ?auto_12225 ) ( DIFFERENT ?auto_12219 ?auto_12224 ) ( LOCATION ?auto_12231 ) ( CITY ?auto_12226 ) ( IN-CITY ?auto_12231 ?auto_12226 ) ( IN-CITY ?auto_12221 ?auto_12226 ) ( DIFFERENT ?auto_12221 ?auto_12231 ) ( LOCATION ?auto_12215 ) ( CITY ?auto_12222 ) ( IN-CITY ?auto_12215 ?auto_12222 ) ( IN-CITY ?auto_12224 ?auto_12222 ) ( DIFFERENT ?auto_12224 ?auto_12215 ) ( LOCATION ?auto_12216 ) ( CITY ?auto_12230 ) ( IN-CITY ?auto_12216 ?auto_12230 ) ( IN-CITY ?auto_12231 ?auto_12230 ) ( DIFFERENT ?auto_12231 ?auto_12216 ) ( AT ?auto_12211 ?auto_12215 ) ( LOCATION ?auto_12227 ) ( CITY ?auto_12229 ) ( AT ?auto_12228 ?auto_12227 ) ( IN-CITY ?auto_12227 ?auto_12229 ) ( IN-CITY ?auto_12215 ?auto_12229 ) ( DIFFERENT ?auto_12215 ?auto_12227 ) ( LOCATION ?auto_12236 ) ( CITY ?auto_12235 ) ( AT ?auto_12217 ?auto_12236 ) ( IN-CITY ?auto_12236 ?auto_12235 ) ( IN-CITY ?auto_12216 ?auto_12235 ) ( DIFFERENT ?auto_12216 ?auto_12236 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12217 ?auto_12236 ?auto_12216 ?auto_12235 )
      ( DELIVER-PKG ?auto_12211 ?auto_12212 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13593
      ?auto_13594
    )
    :vars
    (
      ?auto_13599
      ?auto_13598
      ?auto_13597
      ?auto_13601
      ?auto_13600
      ?auto_13604
      ?auto_13603
    )
    :precondition
    ( and ( OBJ ?auto_13593 ) ( LOCATION ?auto_13594 ) ( TRUCK ?auto_13599 ) ( IN ?auto_13593 ?auto_13599 ) ( LOCATION ?auto_13598 ) ( CITY ?auto_13597 ) ( IN-CITY ?auto_13598 ?auto_13597 ) ( IN-CITY ?auto_13594 ?auto_13597 ) ( DIFFERENT ?auto_13594 ?auto_13598 ) ( LOCATION ?auto_13601 ) ( CITY ?auto_13600 ) ( IN-CITY ?auto_13601 ?auto_13600 ) ( IN-CITY ?auto_13598 ?auto_13600 ) ( DIFFERENT ?auto_13598 ?auto_13601 ) ( LOCATION ?auto_13604 ) ( CITY ?auto_13603 ) ( AT ?auto_13599 ?auto_13604 ) ( IN-CITY ?auto_13604 ?auto_13603 ) ( IN-CITY ?auto_13601 ?auto_13603 ) ( DIFFERENT ?auto_13601 ?auto_13604 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13599 ?auto_13604 ?auto_13601 ?auto_13603 )
      ( DELIVER-PKG ?auto_13593 ?auto_13594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13617
      ?auto_13618
    )
    :vars
    (
      ?auto_13623
      ?auto_13622
      ?auto_13621
      ?auto_13625
      ?auto_13624
      ?auto_13627
      ?auto_13626
      ?auto_13630
      ?auto_13629
    )
    :precondition
    ( and ( OBJ ?auto_13617 ) ( LOCATION ?auto_13618 ) ( TRUCK ?auto_13623 ) ( IN ?auto_13617 ?auto_13623 ) ( LOCATION ?auto_13622 ) ( CITY ?auto_13621 ) ( IN-CITY ?auto_13622 ?auto_13621 ) ( IN-CITY ?auto_13618 ?auto_13621 ) ( DIFFERENT ?auto_13618 ?auto_13622 ) ( LOCATION ?auto_13625 ) ( CITY ?auto_13624 ) ( IN-CITY ?auto_13625 ?auto_13624 ) ( IN-CITY ?auto_13622 ?auto_13624 ) ( DIFFERENT ?auto_13622 ?auto_13625 ) ( LOCATION ?auto_13627 ) ( CITY ?auto_13626 ) ( IN-CITY ?auto_13627 ?auto_13626 ) ( IN-CITY ?auto_13625 ?auto_13626 ) ( DIFFERENT ?auto_13625 ?auto_13627 ) ( LOCATION ?auto_13630 ) ( CITY ?auto_13629 ) ( AT ?auto_13623 ?auto_13630 ) ( IN-CITY ?auto_13630 ?auto_13629 ) ( IN-CITY ?auto_13627 ?auto_13629 ) ( DIFFERENT ?auto_13627 ?auto_13630 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13623 ?auto_13630 ?auto_13627 ?auto_13629 )
      ( DELIVER-PKG ?auto_13617 ?auto_13618 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13632
      ?auto_13633
    )
    :vars
    (
      ?auto_13641
      ?auto_13643
      ?auto_13638
      ?auto_13636
      ?auto_13635
      ?auto_13640
      ?auto_13639
      ?auto_13644
      ?auto_13637
      ?auto_13646
    )
    :precondition
    ( and ( OBJ ?auto_13632 ) ( LOCATION ?auto_13633 ) ( TRUCK ?auto_13641 ) ( LOCATION ?auto_13643 ) ( CITY ?auto_13638 ) ( IN-CITY ?auto_13643 ?auto_13638 ) ( IN-CITY ?auto_13633 ?auto_13638 ) ( DIFFERENT ?auto_13633 ?auto_13643 ) ( LOCATION ?auto_13636 ) ( CITY ?auto_13635 ) ( IN-CITY ?auto_13636 ?auto_13635 ) ( IN-CITY ?auto_13643 ?auto_13635 ) ( DIFFERENT ?auto_13643 ?auto_13636 ) ( LOCATION ?auto_13640 ) ( CITY ?auto_13639 ) ( IN-CITY ?auto_13640 ?auto_13639 ) ( IN-CITY ?auto_13636 ?auto_13639 ) ( DIFFERENT ?auto_13636 ?auto_13640 ) ( LOCATION ?auto_13644 ) ( CITY ?auto_13637 ) ( AT ?auto_13641 ?auto_13644 ) ( IN-CITY ?auto_13644 ?auto_13637 ) ( IN-CITY ?auto_13640 ?auto_13637 ) ( DIFFERENT ?auto_13640 ?auto_13644 ) ( LOCATION ?auto_13646 ) ( AT ?auto_13641 ?auto_13646 ) ( AT ?auto_13632 ?auto_13646 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13632 ?auto_13641 ?auto_13646 )
      ( DELIVER-PKG ?auto_13632 ?auto_13633 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13648
      ?auto_13649
    )
    :vars
    (
      ?auto_13659
      ?auto_13650
      ?auto_13657
      ?auto_13661
      ?auto_13658
      ?auto_13652
      ?auto_13651
      ?auto_13656
      ?auto_13660
      ?auto_13654
      ?auto_13664
    )
    :precondition
    ( and ( OBJ ?auto_13648 ) ( LOCATION ?auto_13649 ) ( TRUCK ?auto_13659 ) ( LOCATION ?auto_13650 ) ( CITY ?auto_13657 ) ( IN-CITY ?auto_13650 ?auto_13657 ) ( IN-CITY ?auto_13649 ?auto_13657 ) ( DIFFERENT ?auto_13649 ?auto_13650 ) ( LOCATION ?auto_13661 ) ( CITY ?auto_13658 ) ( IN-CITY ?auto_13661 ?auto_13658 ) ( IN-CITY ?auto_13650 ?auto_13658 ) ( DIFFERENT ?auto_13650 ?auto_13661 ) ( LOCATION ?auto_13652 ) ( CITY ?auto_13651 ) ( IN-CITY ?auto_13652 ?auto_13651 ) ( IN-CITY ?auto_13661 ?auto_13651 ) ( DIFFERENT ?auto_13661 ?auto_13652 ) ( LOCATION ?auto_13656 ) ( CITY ?auto_13660 ) ( AT ?auto_13659 ?auto_13656 ) ( IN-CITY ?auto_13656 ?auto_13660 ) ( IN-CITY ?auto_13652 ?auto_13660 ) ( DIFFERENT ?auto_13652 ?auto_13656 ) ( LOCATION ?auto_13654 ) ( AT ?auto_13659 ?auto_13654 ) ( AIRPLANE ?auto_13664 ) ( IN ?auto_13648 ?auto_13664 ) ( AT ?auto_13664 ?auto_13654 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13648 ?auto_13654 )
      ( DELIVER-PKG ?auto_13648 ?auto_13649 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13665
      ?auto_13666
    )
    :vars
    (
      ?auto_13674
      ?auto_13670
      ?auto_13678
      ?auto_13673
      ?auto_13679
      ?auto_13675
      ?auto_13676
      ?auto_13668
      ?auto_13667
      ?auto_13677
      ?auto_13672
      ?auto_13681
    )
    :precondition
    ( and ( OBJ ?auto_13665 ) ( LOCATION ?auto_13666 ) ( TRUCK ?auto_13674 ) ( LOCATION ?auto_13670 ) ( CITY ?auto_13678 ) ( IN-CITY ?auto_13670 ?auto_13678 ) ( IN-CITY ?auto_13666 ?auto_13678 ) ( DIFFERENT ?auto_13666 ?auto_13670 ) ( LOCATION ?auto_13673 ) ( CITY ?auto_13679 ) ( IN-CITY ?auto_13673 ?auto_13679 ) ( IN-CITY ?auto_13670 ?auto_13679 ) ( DIFFERENT ?auto_13670 ?auto_13673 ) ( LOCATION ?auto_13675 ) ( CITY ?auto_13676 ) ( IN-CITY ?auto_13675 ?auto_13676 ) ( IN-CITY ?auto_13673 ?auto_13676 ) ( DIFFERENT ?auto_13673 ?auto_13675 ) ( LOCATION ?auto_13668 ) ( CITY ?auto_13667 ) ( AT ?auto_13674 ?auto_13668 ) ( IN-CITY ?auto_13668 ?auto_13667 ) ( IN-CITY ?auto_13675 ?auto_13667 ) ( DIFFERENT ?auto_13675 ?auto_13668 ) ( LOCATION ?auto_13677 ) ( AT ?auto_13674 ?auto_13677 ) ( AIRPLANE ?auto_13672 ) ( IN ?auto_13665 ?auto_13672 ) ( AIRPORT ?auto_13681 ) ( AIRPORT ?auto_13677 ) ( AT ?auto_13672 ?auto_13681 ) ( DIFFERENT ?auto_13677 ?auto_13681 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13672 ?auto_13681 ?auto_13677 )
      ( DELIVER-PKG ?auto_13665 ?auto_13666 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13683
      ?auto_13684
    )
    :vars
    (
      ?auto_13695
      ?auto_13698
      ?auto_13690
      ?auto_13688
      ?auto_13697
      ?auto_13687
      ?auto_13685
      ?auto_13696
      ?auto_13689
      ?auto_13693
      ?auto_13691
      ?auto_13694
      ?auto_13700
    )
    :precondition
    ( and ( OBJ ?auto_13683 ) ( LOCATION ?auto_13684 ) ( TRUCK ?auto_13695 ) ( LOCATION ?auto_13698 ) ( CITY ?auto_13690 ) ( IN-CITY ?auto_13698 ?auto_13690 ) ( IN-CITY ?auto_13684 ?auto_13690 ) ( DIFFERENT ?auto_13684 ?auto_13698 ) ( LOCATION ?auto_13688 ) ( CITY ?auto_13697 ) ( IN-CITY ?auto_13688 ?auto_13697 ) ( IN-CITY ?auto_13698 ?auto_13697 ) ( DIFFERENT ?auto_13698 ?auto_13688 ) ( LOCATION ?auto_13687 ) ( CITY ?auto_13685 ) ( IN-CITY ?auto_13687 ?auto_13685 ) ( IN-CITY ?auto_13688 ?auto_13685 ) ( DIFFERENT ?auto_13688 ?auto_13687 ) ( LOCATION ?auto_13696 ) ( CITY ?auto_13689 ) ( AT ?auto_13695 ?auto_13696 ) ( IN-CITY ?auto_13696 ?auto_13689 ) ( IN-CITY ?auto_13687 ?auto_13689 ) ( DIFFERENT ?auto_13687 ?auto_13696 ) ( LOCATION ?auto_13693 ) ( AT ?auto_13695 ?auto_13693 ) ( AIRPLANE ?auto_13691 ) ( AIRPORT ?auto_13694 ) ( AIRPORT ?auto_13693 ) ( AT ?auto_13691 ?auto_13694 ) ( DIFFERENT ?auto_13693 ?auto_13694 ) ( LOCATION ?auto_13700 ) ( AT ?auto_13683 ?auto_13700 ) ( AT ?auto_13691 ?auto_13700 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_13683 ?auto_13691 ?auto_13700 )
      ( DELIVER-PKG ?auto_13683 ?auto_13684 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13702
      ?auto_13703
    )
    :vars
    (
      ?auto_13711
      ?auto_13705
      ?auto_13717
      ?auto_13714
      ?auto_13704
      ?auto_13715
      ?auto_13707
      ?auto_13706
      ?auto_13716
      ?auto_13710
      ?auto_13718
      ?auto_13713
      ?auto_13712
      ?auto_13721
    )
    :precondition
    ( and ( OBJ ?auto_13702 ) ( LOCATION ?auto_13703 ) ( TRUCK ?auto_13711 ) ( LOCATION ?auto_13705 ) ( CITY ?auto_13717 ) ( IN-CITY ?auto_13705 ?auto_13717 ) ( IN-CITY ?auto_13703 ?auto_13717 ) ( DIFFERENT ?auto_13703 ?auto_13705 ) ( LOCATION ?auto_13714 ) ( CITY ?auto_13704 ) ( IN-CITY ?auto_13714 ?auto_13704 ) ( IN-CITY ?auto_13705 ?auto_13704 ) ( DIFFERENT ?auto_13705 ?auto_13714 ) ( LOCATION ?auto_13715 ) ( CITY ?auto_13707 ) ( IN-CITY ?auto_13715 ?auto_13707 ) ( IN-CITY ?auto_13714 ?auto_13707 ) ( DIFFERENT ?auto_13714 ?auto_13715 ) ( LOCATION ?auto_13706 ) ( CITY ?auto_13716 ) ( AT ?auto_13711 ?auto_13706 ) ( IN-CITY ?auto_13706 ?auto_13716 ) ( IN-CITY ?auto_13715 ?auto_13716 ) ( DIFFERENT ?auto_13715 ?auto_13706 ) ( LOCATION ?auto_13710 ) ( AT ?auto_13711 ?auto_13710 ) ( AIRPLANE ?auto_13718 ) ( AIRPORT ?auto_13713 ) ( AIRPORT ?auto_13710 ) ( AT ?auto_13718 ?auto_13713 ) ( DIFFERENT ?auto_13710 ?auto_13713 ) ( LOCATION ?auto_13712 ) ( AT ?auto_13718 ?auto_13712 ) ( TRUCK ?auto_13721 ) ( AT ?auto_13721 ?auto_13712 ) ( IN ?auto_13702 ?auto_13721 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13702 ?auto_13712 )
      ( DELIVER-PKG ?auto_13702 ?auto_13703 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13722
      ?auto_13723
    )
    :vars
    (
      ?auto_13735
      ?auto_13733
      ?auto_13727
      ?auto_13730
      ?auto_13732
      ?auto_13737
      ?auto_13736
      ?auto_13734
      ?auto_13729
      ?auto_13739
      ?auto_13725
      ?auto_13731
      ?auto_13738
      ?auto_13724
      ?auto_13742
      ?auto_13741
    )
    :precondition
    ( and ( OBJ ?auto_13722 ) ( LOCATION ?auto_13723 ) ( TRUCK ?auto_13735 ) ( LOCATION ?auto_13733 ) ( CITY ?auto_13727 ) ( IN-CITY ?auto_13733 ?auto_13727 ) ( IN-CITY ?auto_13723 ?auto_13727 ) ( DIFFERENT ?auto_13723 ?auto_13733 ) ( LOCATION ?auto_13730 ) ( CITY ?auto_13732 ) ( IN-CITY ?auto_13730 ?auto_13732 ) ( IN-CITY ?auto_13733 ?auto_13732 ) ( DIFFERENT ?auto_13733 ?auto_13730 ) ( LOCATION ?auto_13737 ) ( CITY ?auto_13736 ) ( IN-CITY ?auto_13737 ?auto_13736 ) ( IN-CITY ?auto_13730 ?auto_13736 ) ( DIFFERENT ?auto_13730 ?auto_13737 ) ( LOCATION ?auto_13734 ) ( CITY ?auto_13729 ) ( AT ?auto_13735 ?auto_13734 ) ( IN-CITY ?auto_13734 ?auto_13729 ) ( IN-CITY ?auto_13737 ?auto_13729 ) ( DIFFERENT ?auto_13737 ?auto_13734 ) ( LOCATION ?auto_13739 ) ( AT ?auto_13735 ?auto_13739 ) ( AIRPLANE ?auto_13725 ) ( AIRPORT ?auto_13731 ) ( AIRPORT ?auto_13739 ) ( AT ?auto_13725 ?auto_13731 ) ( DIFFERENT ?auto_13739 ?auto_13731 ) ( LOCATION ?auto_13738 ) ( AT ?auto_13725 ?auto_13738 ) ( TRUCK ?auto_13724 ) ( IN ?auto_13722 ?auto_13724 ) ( LOCATION ?auto_13742 ) ( CITY ?auto_13741 ) ( AT ?auto_13724 ?auto_13742 ) ( IN-CITY ?auto_13742 ?auto_13741 ) ( IN-CITY ?auto_13738 ?auto_13741 ) ( DIFFERENT ?auto_13738 ?auto_13742 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13724 ?auto_13742 ?auto_13738 ?auto_13741 )
      ( DELIVER-PKG ?auto_13722 ?auto_13723 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13744
      ?auto_13745
    )
    :vars
    (
      ?auto_13748
      ?auto_13759
      ?auto_13762
      ?auto_13751
      ?auto_13750
      ?auto_13758
      ?auto_13752
      ?auto_13761
      ?auto_13763
      ?auto_13747
      ?auto_13760
      ?auto_13749
      ?auto_13746
      ?auto_13754
      ?auto_13756
      ?auto_13755
      ?auto_13766
      ?auto_13765
    )
    :precondition
    ( and ( OBJ ?auto_13744 ) ( LOCATION ?auto_13745 ) ( TRUCK ?auto_13748 ) ( LOCATION ?auto_13759 ) ( CITY ?auto_13762 ) ( IN-CITY ?auto_13759 ?auto_13762 ) ( IN-CITY ?auto_13745 ?auto_13762 ) ( DIFFERENT ?auto_13745 ?auto_13759 ) ( LOCATION ?auto_13751 ) ( CITY ?auto_13750 ) ( IN-CITY ?auto_13751 ?auto_13750 ) ( IN-CITY ?auto_13759 ?auto_13750 ) ( DIFFERENT ?auto_13759 ?auto_13751 ) ( LOCATION ?auto_13758 ) ( CITY ?auto_13752 ) ( IN-CITY ?auto_13758 ?auto_13752 ) ( IN-CITY ?auto_13751 ?auto_13752 ) ( DIFFERENT ?auto_13751 ?auto_13758 ) ( LOCATION ?auto_13761 ) ( CITY ?auto_13763 ) ( AT ?auto_13748 ?auto_13761 ) ( IN-CITY ?auto_13761 ?auto_13763 ) ( IN-CITY ?auto_13758 ?auto_13763 ) ( DIFFERENT ?auto_13758 ?auto_13761 ) ( LOCATION ?auto_13747 ) ( AT ?auto_13748 ?auto_13747 ) ( AIRPLANE ?auto_13760 ) ( AIRPORT ?auto_13749 ) ( AIRPORT ?auto_13747 ) ( AT ?auto_13760 ?auto_13749 ) ( DIFFERENT ?auto_13747 ?auto_13749 ) ( LOCATION ?auto_13746 ) ( AT ?auto_13760 ?auto_13746 ) ( TRUCK ?auto_13754 ) ( IN ?auto_13744 ?auto_13754 ) ( LOCATION ?auto_13756 ) ( CITY ?auto_13755 ) ( IN-CITY ?auto_13756 ?auto_13755 ) ( IN-CITY ?auto_13746 ?auto_13755 ) ( DIFFERENT ?auto_13746 ?auto_13756 ) ( LOCATION ?auto_13766 ) ( CITY ?auto_13765 ) ( AT ?auto_13754 ?auto_13766 ) ( IN-CITY ?auto_13766 ?auto_13765 ) ( IN-CITY ?auto_13756 ?auto_13765 ) ( DIFFERENT ?auto_13756 ?auto_13766 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13754 ?auto_13766 ?auto_13756 ?auto_13765 )
      ( DELIVER-PKG ?auto_13744 ?auto_13745 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13768
      ?auto_13769
    )
    :vars
    (
      ?auto_13784
      ?auto_13786
      ?auto_13780
      ?auto_13788
      ?auto_13785
      ?auto_13775
      ?auto_13778
      ?auto_13774
      ?auto_13782
      ?auto_13779
      ?auto_13773
      ?auto_13787
      ?auto_13777
      ?auto_13789
      ?auto_13783
      ?auto_13771
      ?auto_13776
      ?auto_13781
      ?auto_13791
    )
    :precondition
    ( and ( OBJ ?auto_13768 ) ( LOCATION ?auto_13769 ) ( TRUCK ?auto_13784 ) ( LOCATION ?auto_13786 ) ( CITY ?auto_13780 ) ( IN-CITY ?auto_13786 ?auto_13780 ) ( IN-CITY ?auto_13769 ?auto_13780 ) ( DIFFERENT ?auto_13769 ?auto_13786 ) ( LOCATION ?auto_13788 ) ( CITY ?auto_13785 ) ( IN-CITY ?auto_13788 ?auto_13785 ) ( IN-CITY ?auto_13786 ?auto_13785 ) ( DIFFERENT ?auto_13786 ?auto_13788 ) ( LOCATION ?auto_13775 ) ( CITY ?auto_13778 ) ( IN-CITY ?auto_13775 ?auto_13778 ) ( IN-CITY ?auto_13788 ?auto_13778 ) ( DIFFERENT ?auto_13788 ?auto_13775 ) ( LOCATION ?auto_13774 ) ( CITY ?auto_13782 ) ( AT ?auto_13784 ?auto_13774 ) ( IN-CITY ?auto_13774 ?auto_13782 ) ( IN-CITY ?auto_13775 ?auto_13782 ) ( DIFFERENT ?auto_13775 ?auto_13774 ) ( LOCATION ?auto_13779 ) ( AT ?auto_13784 ?auto_13779 ) ( AIRPLANE ?auto_13773 ) ( AIRPORT ?auto_13787 ) ( AIRPORT ?auto_13779 ) ( AT ?auto_13773 ?auto_13787 ) ( DIFFERENT ?auto_13779 ?auto_13787 ) ( LOCATION ?auto_13777 ) ( AT ?auto_13773 ?auto_13777 ) ( TRUCK ?auto_13789 ) ( LOCATION ?auto_13783 ) ( CITY ?auto_13771 ) ( IN-CITY ?auto_13783 ?auto_13771 ) ( IN-CITY ?auto_13777 ?auto_13771 ) ( DIFFERENT ?auto_13777 ?auto_13783 ) ( LOCATION ?auto_13776 ) ( CITY ?auto_13781 ) ( AT ?auto_13789 ?auto_13776 ) ( IN-CITY ?auto_13776 ?auto_13781 ) ( IN-CITY ?auto_13783 ?auto_13781 ) ( DIFFERENT ?auto_13783 ?auto_13776 ) ( LOCATION ?auto_13791 ) ( AT ?auto_13789 ?auto_13791 ) ( AT ?auto_13768 ?auto_13791 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13768 ?auto_13789 ?auto_13791 )
      ( DELIVER-PKG ?auto_13768 ?auto_13769 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13793
      ?auto_13794
    )
    :vars
    (
      ?auto_13800
      ?auto_13798
      ?auto_13815
      ?auto_13811
      ?auto_13797
      ?auto_13812
      ?auto_13795
      ?auto_13809
      ?auto_13799
      ?auto_13804
      ?auto_13810
      ?auto_13813
      ?auto_13796
      ?auto_13801
      ?auto_13808
      ?auto_13814
      ?auto_13807
      ?auto_13802
      ?auto_13817
    )
    :precondition
    ( and ( OBJ ?auto_13793 ) ( LOCATION ?auto_13794 ) ( TRUCK ?auto_13800 ) ( LOCATION ?auto_13798 ) ( CITY ?auto_13815 ) ( IN-CITY ?auto_13798 ?auto_13815 ) ( IN-CITY ?auto_13794 ?auto_13815 ) ( DIFFERENT ?auto_13794 ?auto_13798 ) ( LOCATION ?auto_13811 ) ( CITY ?auto_13797 ) ( IN-CITY ?auto_13811 ?auto_13797 ) ( IN-CITY ?auto_13798 ?auto_13797 ) ( DIFFERENT ?auto_13798 ?auto_13811 ) ( LOCATION ?auto_13812 ) ( CITY ?auto_13795 ) ( IN-CITY ?auto_13812 ?auto_13795 ) ( IN-CITY ?auto_13811 ?auto_13795 ) ( DIFFERENT ?auto_13811 ?auto_13812 ) ( LOCATION ?auto_13809 ) ( CITY ?auto_13799 ) ( AT ?auto_13800 ?auto_13809 ) ( IN-CITY ?auto_13809 ?auto_13799 ) ( IN-CITY ?auto_13812 ?auto_13799 ) ( DIFFERENT ?auto_13812 ?auto_13809 ) ( LOCATION ?auto_13804 ) ( AT ?auto_13800 ?auto_13804 ) ( AIRPLANE ?auto_13810 ) ( AIRPORT ?auto_13813 ) ( AIRPORT ?auto_13804 ) ( DIFFERENT ?auto_13804 ?auto_13813 ) ( LOCATION ?auto_13813 ) ( TRUCK ?auto_13796 ) ( LOCATION ?auto_13801 ) ( CITY ?auto_13808 ) ( IN-CITY ?auto_13801 ?auto_13808 ) ( IN-CITY ?auto_13813 ?auto_13808 ) ( DIFFERENT ?auto_13813 ?auto_13801 ) ( LOCATION ?auto_13814 ) ( CITY ?auto_13807 ) ( AT ?auto_13796 ?auto_13814 ) ( IN-CITY ?auto_13814 ?auto_13807 ) ( IN-CITY ?auto_13801 ?auto_13807 ) ( DIFFERENT ?auto_13801 ?auto_13814 ) ( LOCATION ?auto_13802 ) ( AT ?auto_13796 ?auto_13802 ) ( AT ?auto_13793 ?auto_13802 ) ( AIRPORT ?auto_13817 ) ( AT ?auto_13810 ?auto_13817 ) ( DIFFERENT ?auto_13813 ?auto_13817 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13810 ?auto_13817 ?auto_13813 )
      ( DELIVER-PKG ?auto_13793 ?auto_13794 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13819
      ?auto_13820
    )
    :vars
    (
      ?auto_13839
      ?auto_13834
      ?auto_13822
      ?auto_13837
      ?auto_13831
      ?auto_13826
      ?auto_13824
      ?auto_13821
      ?auto_13840
      ?auto_13828
      ?auto_13835
      ?auto_13827
      ?auto_13825
      ?auto_13838
      ?auto_13833
      ?auto_13841
      ?auto_13829
      ?auto_13836
      ?auto_13844
      ?auto_13843
    )
    :precondition
    ( and ( OBJ ?auto_13819 ) ( LOCATION ?auto_13820 ) ( TRUCK ?auto_13839 ) ( LOCATION ?auto_13834 ) ( CITY ?auto_13822 ) ( IN-CITY ?auto_13834 ?auto_13822 ) ( IN-CITY ?auto_13820 ?auto_13822 ) ( DIFFERENT ?auto_13820 ?auto_13834 ) ( LOCATION ?auto_13837 ) ( CITY ?auto_13831 ) ( IN-CITY ?auto_13837 ?auto_13831 ) ( IN-CITY ?auto_13834 ?auto_13831 ) ( DIFFERENT ?auto_13834 ?auto_13837 ) ( LOCATION ?auto_13826 ) ( CITY ?auto_13824 ) ( IN-CITY ?auto_13826 ?auto_13824 ) ( IN-CITY ?auto_13837 ?auto_13824 ) ( DIFFERENT ?auto_13837 ?auto_13826 ) ( LOCATION ?auto_13821 ) ( CITY ?auto_13840 ) ( AT ?auto_13839 ?auto_13821 ) ( IN-CITY ?auto_13821 ?auto_13840 ) ( IN-CITY ?auto_13826 ?auto_13840 ) ( DIFFERENT ?auto_13826 ?auto_13821 ) ( LOCATION ?auto_13828 ) ( AT ?auto_13839 ?auto_13828 ) ( AIRPLANE ?auto_13835 ) ( AIRPORT ?auto_13827 ) ( AIRPORT ?auto_13828 ) ( DIFFERENT ?auto_13828 ?auto_13827 ) ( LOCATION ?auto_13827 ) ( TRUCK ?auto_13825 ) ( LOCATION ?auto_13838 ) ( CITY ?auto_13833 ) ( IN-CITY ?auto_13838 ?auto_13833 ) ( IN-CITY ?auto_13827 ?auto_13833 ) ( DIFFERENT ?auto_13827 ?auto_13838 ) ( LOCATION ?auto_13841 ) ( CITY ?auto_13829 ) ( IN-CITY ?auto_13841 ?auto_13829 ) ( IN-CITY ?auto_13838 ?auto_13829 ) ( DIFFERENT ?auto_13838 ?auto_13841 ) ( AT ?auto_13819 ?auto_13841 ) ( AIRPORT ?auto_13836 ) ( AT ?auto_13835 ?auto_13836 ) ( DIFFERENT ?auto_13827 ?auto_13836 ) ( LOCATION ?auto_13844 ) ( CITY ?auto_13843 ) ( AT ?auto_13825 ?auto_13844 ) ( IN-CITY ?auto_13844 ?auto_13843 ) ( IN-CITY ?auto_13841 ?auto_13843 ) ( DIFFERENT ?auto_13841 ?auto_13844 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13825 ?auto_13844 ?auto_13841 ?auto_13843 )
      ( DELIVER-PKG ?auto_13819 ?auto_13820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14144
      ?auto_14145
    )
    :vars
    (
      ?auto_14153
      ?auto_14147
      ?auto_14157
      ?auto_14155
      ?auto_14156
      ?auto_14154
      ?auto_14146
      ?auto_14150
      ?auto_14149
      ?auto_14159
    )
    :precondition
    ( and ( OBJ ?auto_14144 ) ( LOCATION ?auto_14145 ) ( AIRPLANE ?auto_14153 ) ( AIRPORT ?auto_14147 ) ( AIRPORT ?auto_14145 ) ( DIFFERENT ?auto_14145 ?auto_14147 ) ( LOCATION ?auto_14147 ) ( TRUCK ?auto_14157 ) ( LOCATION ?auto_14155 ) ( CITY ?auto_14156 ) ( IN-CITY ?auto_14155 ?auto_14156 ) ( IN-CITY ?auto_14147 ?auto_14156 ) ( DIFFERENT ?auto_14147 ?auto_14155 ) ( LOCATION ?auto_14154 ) ( CITY ?auto_14146 ) ( IN-CITY ?auto_14154 ?auto_14146 ) ( IN-CITY ?auto_14155 ?auto_14146 ) ( DIFFERENT ?auto_14155 ?auto_14154 ) ( AT ?auto_14144 ?auto_14154 ) ( LOCATION ?auto_14150 ) ( CITY ?auto_14149 ) ( AT ?auto_14157 ?auto_14150 ) ( IN-CITY ?auto_14150 ?auto_14149 ) ( IN-CITY ?auto_14154 ?auto_14149 ) ( DIFFERENT ?auto_14154 ?auto_14150 ) ( AIRPORT ?auto_14159 ) ( AT ?auto_14153 ?auto_14159 ) ( DIFFERENT ?auto_14147 ?auto_14159 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14153 ?auto_14159 ?auto_14147 )
      ( DELIVER-PKG ?auto_14144 ?auto_14145 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14231
      ?auto_14232
    )
    :vars
    (
      ?auto_14240
      ?auto_14235
      ?auto_14244
      ?auto_14242
      ?auto_14243
      ?auto_14241
      ?auto_14233
      ?auto_14239
      ?auto_14238
      ?auto_14234
      ?auto_14246
    )
    :precondition
    ( and ( OBJ ?auto_14231 ) ( LOCATION ?auto_14232 ) ( AIRPLANE ?auto_14240 ) ( AIRPORT ?auto_14235 ) ( AIRPORT ?auto_14232 ) ( DIFFERENT ?auto_14232 ?auto_14235 ) ( LOCATION ?auto_14235 ) ( TRUCK ?auto_14244 ) ( LOCATION ?auto_14242 ) ( CITY ?auto_14243 ) ( IN-CITY ?auto_14242 ?auto_14243 ) ( IN-CITY ?auto_14235 ?auto_14243 ) ( DIFFERENT ?auto_14235 ?auto_14242 ) ( LOCATION ?auto_14241 ) ( CITY ?auto_14233 ) ( IN-CITY ?auto_14241 ?auto_14233 ) ( IN-CITY ?auto_14242 ?auto_14233 ) ( DIFFERENT ?auto_14242 ?auto_14241 ) ( AT ?auto_14231 ?auto_14241 ) ( LOCATION ?auto_14239 ) ( CITY ?auto_14238 ) ( AT ?auto_14244 ?auto_14239 ) ( IN-CITY ?auto_14239 ?auto_14238 ) ( IN-CITY ?auto_14241 ?auto_14238 ) ( DIFFERENT ?auto_14241 ?auto_14239 ) ( AIRPORT ?auto_14234 ) ( DIFFERENT ?auto_14235 ?auto_14234 ) ( AIRPORT ?auto_14246 ) ( AT ?auto_14240 ?auto_14246 ) ( DIFFERENT ?auto_14234 ?auto_14246 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14240 ?auto_14246 ?auto_14234 )
      ( DELIVER-PKG ?auto_14231 ?auto_14232 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14984
      ?auto_14985
    )
    :vars
    (
      ?auto_14989
      ?auto_14987
      ?auto_14988
      ?auto_14992
    )
    :precondition
    ( and ( OBJ ?auto_14984 ) ( LOCATION ?auto_14985 ) ( AIRPLANE ?auto_14989 ) ( AIRPORT ?auto_14987 ) ( AIRPORT ?auto_14985 ) ( DIFFERENT ?auto_14985 ?auto_14987 ) ( LOCATION ?auto_14987 ) ( AT ?auto_14984 ?auto_14987 ) ( AIRPORT ?auto_14988 ) ( DIFFERENT ?auto_14987 ?auto_14988 ) ( AIRPORT ?auto_14992 ) ( AT ?auto_14989 ?auto_14992 ) ( DIFFERENT ?auto_14988 ?auto_14992 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14989 ?auto_14992 ?auto_14988 )
      ( DELIVER-PKG ?auto_14984 ?auto_14985 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15553
      ?auto_15554
    )
    :vars
    (
      ?auto_15560
      ?auto_15555
      ?auto_15556
      ?auto_15559
      ?auto_15563
    )
    :precondition
    ( and ( OBJ ?auto_15553 ) ( LOCATION ?auto_15554 ) ( AIRPLANE ?auto_15560 ) ( AT ?auto_15560 ?auto_15554 ) ( LOCATION ?auto_15555 ) ( AT ?auto_15560 ?auto_15555 ) ( AIRPLANE ?auto_15556 ) ( AIRPORT ?auto_15559 ) ( AIRPORT ?auto_15555 ) ( DIFFERENT ?auto_15555 ?auto_15559 ) ( LOCATION ?auto_15559 ) ( AT ?auto_15553 ?auto_15559 ) ( AIRPORT ?auto_15563 ) ( AT ?auto_15556 ?auto_15563 ) ( DIFFERENT ?auto_15559 ?auto_15563 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15556 ?auto_15563 ?auto_15559 )
      ( DELIVER-PKG ?auto_15553 ?auto_15554 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15601
      ?auto_15602
    )
    :vars
    (
      ?auto_15608
      ?auto_15603
      ?auto_15604
      ?auto_15607
      ?auto_15609
      ?auto_15611
    )
    :precondition
    ( and ( OBJ ?auto_15601 ) ( LOCATION ?auto_15602 ) ( AIRPLANE ?auto_15608 ) ( AT ?auto_15608 ?auto_15602 ) ( LOCATION ?auto_15603 ) ( AT ?auto_15608 ?auto_15603 ) ( AIRPLANE ?auto_15604 ) ( AIRPORT ?auto_15607 ) ( AIRPORT ?auto_15603 ) ( DIFFERENT ?auto_15603 ?auto_15607 ) ( LOCATION ?auto_15607 ) ( AT ?auto_15601 ?auto_15607 ) ( AIRPORT ?auto_15609 ) ( DIFFERENT ?auto_15607 ?auto_15609 ) ( AIRPORT ?auto_15611 ) ( AT ?auto_15604 ?auto_15611 ) ( DIFFERENT ?auto_15609 ?auto_15611 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15604 ?auto_15611 ?auto_15609 )
      ( DELIVER-PKG ?auto_15601 ?auto_15602 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16070
      ?auto_16071
    )
    :vars
    (
      ?auto_16074
      ?auto_16076
      ?auto_16072
      ?auto_16078
      ?auto_16077
      ?auto_16081
      ?auto_16079
      ?auto_16083
    )
    :precondition
    ( and ( OBJ ?auto_16070 ) ( LOCATION ?auto_16071 ) ( AIRPLANE ?auto_16074 ) ( AIRPORT ?auto_16076 ) ( AIRPORT ?auto_16071 ) ( DIFFERENT ?auto_16071 ?auto_16076 ) ( LOCATION ?auto_16076 ) ( TRUCK ?auto_16072 ) ( LOCATION ?auto_16078 ) ( CITY ?auto_16077 ) ( IN-CITY ?auto_16078 ?auto_16077 ) ( IN-CITY ?auto_16076 ?auto_16077 ) ( DIFFERENT ?auto_16076 ?auto_16078 ) ( AT ?auto_16070 ?auto_16078 ) ( LOCATION ?auto_16081 ) ( CITY ?auto_16079 ) ( AT ?auto_16072 ?auto_16081 ) ( IN-CITY ?auto_16081 ?auto_16079 ) ( IN-CITY ?auto_16078 ?auto_16079 ) ( DIFFERENT ?auto_16078 ?auto_16081 ) ( AIRPORT ?auto_16083 ) ( AT ?auto_16074 ?auto_16083 ) ( DIFFERENT ?auto_16076 ?auto_16083 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16074 ?auto_16083 ?auto_16076 )
      ( DELIVER-PKG ?auto_16070 ?auto_16071 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16289
      ?auto_16290
    )
    :vars
    (
      ?auto_16291
      ?auto_16295
      ?auto_16294
      ?auto_16297
      ?auto_16296
      ?auto_16299
      ?auto_16298
      ?auto_16302
      ?auto_16301
    )
    :precondition
    ( and ( OBJ ?auto_16289 ) ( LOCATION ?auto_16290 ) ( TRUCK ?auto_16291 ) ( LOCATION ?auto_16295 ) ( CITY ?auto_16294 ) ( IN-CITY ?auto_16295 ?auto_16294 ) ( IN-CITY ?auto_16290 ?auto_16294 ) ( DIFFERENT ?auto_16290 ?auto_16295 ) ( AT ?auto_16289 ?auto_16295 ) ( LOCATION ?auto_16297 ) ( CITY ?auto_16296 ) ( IN-CITY ?auto_16297 ?auto_16296 ) ( IN-CITY ?auto_16295 ?auto_16296 ) ( DIFFERENT ?auto_16295 ?auto_16297 ) ( LOCATION ?auto_16299 ) ( CITY ?auto_16298 ) ( IN-CITY ?auto_16299 ?auto_16298 ) ( IN-CITY ?auto_16297 ?auto_16298 ) ( DIFFERENT ?auto_16297 ?auto_16299 ) ( LOCATION ?auto_16302 ) ( CITY ?auto_16301 ) ( AT ?auto_16291 ?auto_16302 ) ( IN-CITY ?auto_16302 ?auto_16301 ) ( IN-CITY ?auto_16299 ?auto_16301 ) ( DIFFERENT ?auto_16299 ?auto_16302 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16291 ?auto_16302 ?auto_16299 ?auto_16301 )
      ( DELIVER-PKG ?auto_16289 ?auto_16290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16817
      ?auto_16818
    )
    :vars
    (
      ?auto_16819
      ?auto_16821
      ?auto_16824
      ?auto_16825
      ?auto_16822
      ?auto_16823
      ?auto_16826
      ?auto_16830
      ?auto_16829
    )
    :precondition
    ( and ( OBJ ?auto_16817 ) ( LOCATION ?auto_16818 ) ( AIRPLANE ?auto_16819 ) ( AIRPORT ?auto_16821 ) ( AIRPORT ?auto_16818 ) ( DIFFERENT ?auto_16818 ?auto_16821 ) ( LOCATION ?auto_16821 ) ( AIRPORT ?auto_16824 ) ( DIFFERENT ?auto_16821 ?auto_16824 ) ( TRUCK ?auto_16825 ) ( IN ?auto_16817 ?auto_16825 ) ( AIRPORT ?auto_16822 ) ( AT ?auto_16819 ?auto_16822 ) ( DIFFERENT ?auto_16824 ?auto_16822 ) ( LOCATION ?auto_16823 ) ( CITY ?auto_16826 ) ( IN-CITY ?auto_16823 ?auto_16826 ) ( IN-CITY ?auto_16821 ?auto_16826 ) ( DIFFERENT ?auto_16821 ?auto_16823 ) ( LOCATION ?auto_16830 ) ( CITY ?auto_16829 ) ( AT ?auto_16825 ?auto_16830 ) ( IN-CITY ?auto_16830 ?auto_16829 ) ( IN-CITY ?auto_16823 ?auto_16829 ) ( DIFFERENT ?auto_16823 ?auto_16830 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16825 ?auto_16830 ?auto_16823 ?auto_16829 )
      ( DELIVER-PKG ?auto_16817 ?auto_16818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16832
      ?auto_16833
    )
    :vars
    (
      ?auto_16836
      ?auto_16834
      ?auto_16840
      ?auto_16841
      ?auto_16838
      ?auto_16839
      ?auto_16842
      ?auto_16844
      ?auto_16843
      ?auto_16846
    )
    :precondition
    ( and ( OBJ ?auto_16832 ) ( LOCATION ?auto_16833 ) ( AIRPLANE ?auto_16836 ) ( AIRPORT ?auto_16834 ) ( AIRPORT ?auto_16833 ) ( DIFFERENT ?auto_16833 ?auto_16834 ) ( LOCATION ?auto_16834 ) ( AIRPORT ?auto_16840 ) ( DIFFERENT ?auto_16834 ?auto_16840 ) ( TRUCK ?auto_16841 ) ( IN ?auto_16832 ?auto_16841 ) ( AIRPORT ?auto_16838 ) ( DIFFERENT ?auto_16840 ?auto_16838 ) ( LOCATION ?auto_16839 ) ( CITY ?auto_16842 ) ( IN-CITY ?auto_16839 ?auto_16842 ) ( IN-CITY ?auto_16834 ?auto_16842 ) ( DIFFERENT ?auto_16834 ?auto_16839 ) ( LOCATION ?auto_16844 ) ( CITY ?auto_16843 ) ( AT ?auto_16841 ?auto_16844 ) ( IN-CITY ?auto_16844 ?auto_16843 ) ( IN-CITY ?auto_16839 ?auto_16843 ) ( DIFFERENT ?auto_16839 ?auto_16844 ) ( AIRPORT ?auto_16846 ) ( AT ?auto_16836 ?auto_16846 ) ( DIFFERENT ?auto_16838 ?auto_16846 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16836 ?auto_16846 ?auto_16838 )
      ( DELIVER-PKG ?auto_16832 ?auto_16833 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16876
      ?auto_16877
    )
    :vars
    (
      ?auto_16889
      ?auto_16887
      ?auto_16884
      ?auto_16885
      ?auto_16880
      ?auto_16879
      ?auto_16883
      ?auto_16882
      ?auto_16881
      ?auto_16886
      ?auto_16891
    )
    :precondition
    ( and ( OBJ ?auto_16876 ) ( LOCATION ?auto_16877 ) ( AIRPLANE ?auto_16889 ) ( AIRPORT ?auto_16887 ) ( AIRPORT ?auto_16877 ) ( DIFFERENT ?auto_16877 ?auto_16887 ) ( LOCATION ?auto_16887 ) ( AIRPORT ?auto_16884 ) ( DIFFERENT ?auto_16887 ?auto_16884 ) ( TRUCK ?auto_16885 ) ( AIRPORT ?auto_16880 ) ( DIFFERENT ?auto_16884 ?auto_16880 ) ( LOCATION ?auto_16879 ) ( CITY ?auto_16883 ) ( IN-CITY ?auto_16879 ?auto_16883 ) ( IN-CITY ?auto_16887 ?auto_16883 ) ( DIFFERENT ?auto_16887 ?auto_16879 ) ( LOCATION ?auto_16882 ) ( CITY ?auto_16881 ) ( AT ?auto_16885 ?auto_16882 ) ( IN-CITY ?auto_16882 ?auto_16881 ) ( IN-CITY ?auto_16879 ?auto_16881 ) ( DIFFERENT ?auto_16879 ?auto_16882 ) ( AIRPORT ?auto_16886 ) ( AT ?auto_16889 ?auto_16886 ) ( DIFFERENT ?auto_16880 ?auto_16886 ) ( LOCATION ?auto_16891 ) ( AT ?auto_16885 ?auto_16891 ) ( AT ?auto_16876 ?auto_16891 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16876 ?auto_16885 ?auto_16891 )
      ( DELIVER-PKG ?auto_16876 ?auto_16877 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16908
      ?auto_16909
    )
    :vars
    (
      ?auto_16913
      ?auto_16912
      ?auto_16919
      ?auto_16920
      ?auto_16915
      ?auto_16914
      ?auto_16918
      ?auto_16917
      ?auto_16916
      ?auto_16911
      ?auto_16922
      ?auto_16924
    )
    :precondition
    ( and ( OBJ ?auto_16908 ) ( LOCATION ?auto_16909 ) ( AIRPLANE ?auto_16913 ) ( AIRPORT ?auto_16912 ) ( AIRPORT ?auto_16909 ) ( DIFFERENT ?auto_16909 ?auto_16912 ) ( LOCATION ?auto_16912 ) ( AIRPORT ?auto_16919 ) ( DIFFERENT ?auto_16912 ?auto_16919 ) ( TRUCK ?auto_16920 ) ( AIRPORT ?auto_16915 ) ( DIFFERENT ?auto_16919 ?auto_16915 ) ( LOCATION ?auto_16914 ) ( CITY ?auto_16918 ) ( IN-CITY ?auto_16914 ?auto_16918 ) ( IN-CITY ?auto_16912 ?auto_16918 ) ( DIFFERENT ?auto_16912 ?auto_16914 ) ( LOCATION ?auto_16917 ) ( CITY ?auto_16916 ) ( AT ?auto_16920 ?auto_16917 ) ( IN-CITY ?auto_16917 ?auto_16916 ) ( IN-CITY ?auto_16914 ?auto_16916 ) ( DIFFERENT ?auto_16914 ?auto_16917 ) ( AIRPORT ?auto_16911 ) ( DIFFERENT ?auto_16915 ?auto_16911 ) ( LOCATION ?auto_16922 ) ( AT ?auto_16920 ?auto_16922 ) ( AT ?auto_16908 ?auto_16922 ) ( AIRPORT ?auto_16924 ) ( AT ?auto_16913 ?auto_16924 ) ( DIFFERENT ?auto_16911 ?auto_16924 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16913 ?auto_16924 ?auto_16911 )
      ( DELIVER-PKG ?auto_16908 ?auto_16909 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17064
      ?auto_17065
    )
    :vars
    (
      ?auto_17066
      ?auto_17073
      ?auto_17067
      ?auto_17069
      ?auto_17074
      ?auto_17070
      ?auto_17077
      ?auto_17076
    )
    :precondition
    ( and ( OBJ ?auto_17064 ) ( LOCATION ?auto_17065 ) ( AIRPLANE ?auto_17066 ) ( AIRPORT ?auto_17073 ) ( AIRPORT ?auto_17065 ) ( DIFFERENT ?auto_17065 ?auto_17073 ) ( LOCATION ?auto_17073 ) ( TRUCK ?auto_17067 ) ( LOCATION ?auto_17069 ) ( CITY ?auto_17074 ) ( IN-CITY ?auto_17069 ?auto_17074 ) ( IN-CITY ?auto_17073 ?auto_17074 ) ( DIFFERENT ?auto_17073 ?auto_17069 ) ( AT ?auto_17064 ?auto_17069 ) ( AIRPORT ?auto_17070 ) ( AT ?auto_17066 ?auto_17070 ) ( DIFFERENT ?auto_17073 ?auto_17070 ) ( LOCATION ?auto_17077 ) ( CITY ?auto_17076 ) ( AT ?auto_17067 ?auto_17077 ) ( IN-CITY ?auto_17077 ?auto_17076 ) ( IN-CITY ?auto_17069 ?auto_17076 ) ( DIFFERENT ?auto_17069 ?auto_17077 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17067 ?auto_17077 ?auto_17069 ?auto_17076 )
      ( DELIVER-PKG ?auto_17064 ?auto_17065 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17115
      ?auto_17116
    )
    :vars
    (
      ?auto_17120
      ?auto_17124
      ?auto_17118
      ?auto_17125
      ?auto_17121
      ?auto_17126
      ?auto_17123
      ?auto_17122
      ?auto_17128
    )
    :precondition
    ( and ( OBJ ?auto_17115 ) ( LOCATION ?auto_17116 ) ( AIRPLANE ?auto_17120 ) ( AIRPORT ?auto_17124 ) ( AIRPORT ?auto_17116 ) ( DIFFERENT ?auto_17116 ?auto_17124 ) ( LOCATION ?auto_17124 ) ( TRUCK ?auto_17118 ) ( LOCATION ?auto_17125 ) ( CITY ?auto_17121 ) ( IN-CITY ?auto_17125 ?auto_17121 ) ( IN-CITY ?auto_17124 ?auto_17121 ) ( DIFFERENT ?auto_17124 ?auto_17125 ) ( AT ?auto_17115 ?auto_17125 ) ( AIRPORT ?auto_17126 ) ( DIFFERENT ?auto_17124 ?auto_17126 ) ( LOCATION ?auto_17123 ) ( CITY ?auto_17122 ) ( AT ?auto_17118 ?auto_17123 ) ( IN-CITY ?auto_17123 ?auto_17122 ) ( IN-CITY ?auto_17125 ?auto_17122 ) ( DIFFERENT ?auto_17125 ?auto_17123 ) ( AIRPORT ?auto_17128 ) ( AT ?auto_17120 ?auto_17128 ) ( DIFFERENT ?auto_17126 ?auto_17128 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17120 ?auto_17128 ?auto_17126 )
      ( DELIVER-PKG ?auto_17115 ?auto_17116 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17143
      ?auto_17144
    )
    :vars
    (
      ?auto_17148
      ?auto_17152
      ?auto_17147
      ?auto_17153
      ?auto_17149
      ?auto_17154
      ?auto_17151
      ?auto_17150
      ?auto_17155
      ?auto_17158
      ?auto_17157
    )
    :precondition
    ( and ( OBJ ?auto_17143 ) ( LOCATION ?auto_17144 ) ( AIRPLANE ?auto_17148 ) ( AIRPORT ?auto_17152 ) ( AIRPORT ?auto_17144 ) ( DIFFERENT ?auto_17144 ?auto_17152 ) ( LOCATION ?auto_17152 ) ( TRUCK ?auto_17147 ) ( LOCATION ?auto_17153 ) ( CITY ?auto_17149 ) ( IN-CITY ?auto_17153 ?auto_17149 ) ( IN-CITY ?auto_17152 ?auto_17149 ) ( DIFFERENT ?auto_17152 ?auto_17153 ) ( AT ?auto_17143 ?auto_17153 ) ( AIRPORT ?auto_17154 ) ( DIFFERENT ?auto_17152 ?auto_17154 ) ( LOCATION ?auto_17151 ) ( CITY ?auto_17150 ) ( IN-CITY ?auto_17151 ?auto_17150 ) ( IN-CITY ?auto_17153 ?auto_17150 ) ( DIFFERENT ?auto_17153 ?auto_17151 ) ( AIRPORT ?auto_17155 ) ( AT ?auto_17148 ?auto_17155 ) ( DIFFERENT ?auto_17154 ?auto_17155 ) ( LOCATION ?auto_17158 ) ( CITY ?auto_17157 ) ( AT ?auto_17147 ?auto_17158 ) ( IN-CITY ?auto_17158 ?auto_17157 ) ( IN-CITY ?auto_17151 ?auto_17157 ) ( DIFFERENT ?auto_17151 ?auto_17158 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17147 ?auto_17158 ?auto_17151 ?auto_17157 )
      ( DELIVER-PKG ?auto_17143 ?auto_17144 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17190
      ?auto_17191
    )
    :vars
    (
      ?auto_17195
      ?auto_17199
      ?auto_17194
      ?auto_17200
      ?auto_17196
      ?auto_17201
      ?auto_17198
      ?auto_17197
      ?auto_17202
      ?auto_17204
      ?auto_17203
      ?auto_17207
      ?auto_17206
    )
    :precondition
    ( and ( OBJ ?auto_17190 ) ( LOCATION ?auto_17191 ) ( AIRPLANE ?auto_17195 ) ( AIRPORT ?auto_17199 ) ( AIRPORT ?auto_17191 ) ( DIFFERENT ?auto_17191 ?auto_17199 ) ( LOCATION ?auto_17199 ) ( TRUCK ?auto_17194 ) ( LOCATION ?auto_17200 ) ( CITY ?auto_17196 ) ( IN-CITY ?auto_17200 ?auto_17196 ) ( IN-CITY ?auto_17199 ?auto_17196 ) ( DIFFERENT ?auto_17199 ?auto_17200 ) ( AT ?auto_17190 ?auto_17200 ) ( AIRPORT ?auto_17201 ) ( DIFFERENT ?auto_17199 ?auto_17201 ) ( LOCATION ?auto_17198 ) ( CITY ?auto_17197 ) ( IN-CITY ?auto_17198 ?auto_17197 ) ( IN-CITY ?auto_17200 ?auto_17197 ) ( DIFFERENT ?auto_17200 ?auto_17198 ) ( AIRPORT ?auto_17202 ) ( AT ?auto_17195 ?auto_17202 ) ( DIFFERENT ?auto_17201 ?auto_17202 ) ( LOCATION ?auto_17204 ) ( CITY ?auto_17203 ) ( IN-CITY ?auto_17204 ?auto_17203 ) ( IN-CITY ?auto_17198 ?auto_17203 ) ( DIFFERENT ?auto_17198 ?auto_17204 ) ( LOCATION ?auto_17207 ) ( CITY ?auto_17206 ) ( AT ?auto_17194 ?auto_17207 ) ( IN-CITY ?auto_17207 ?auto_17206 ) ( IN-CITY ?auto_17204 ?auto_17206 ) ( DIFFERENT ?auto_17204 ?auto_17207 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17194 ?auto_17207 ?auto_17204 ?auto_17206 )
      ( DELIVER-PKG ?auto_17190 ?auto_17191 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17209
      ?auto_17210
    )
    :vars
    (
      ?auto_17219
      ?auto_17215
      ?auto_17218
      ?auto_17216
      ?auto_17212
      ?auto_17217
      ?auto_17214
      ?auto_17213
      ?auto_17220
      ?auto_17222
      ?auto_17221
      ?auto_17225
      ?auto_17224
      ?auto_17227
    )
    :precondition
    ( and ( OBJ ?auto_17209 ) ( LOCATION ?auto_17210 ) ( AIRPLANE ?auto_17219 ) ( AIRPORT ?auto_17215 ) ( AIRPORT ?auto_17210 ) ( DIFFERENT ?auto_17210 ?auto_17215 ) ( LOCATION ?auto_17215 ) ( TRUCK ?auto_17218 ) ( LOCATION ?auto_17216 ) ( CITY ?auto_17212 ) ( IN-CITY ?auto_17216 ?auto_17212 ) ( IN-CITY ?auto_17215 ?auto_17212 ) ( DIFFERENT ?auto_17215 ?auto_17216 ) ( AT ?auto_17209 ?auto_17216 ) ( AIRPORT ?auto_17217 ) ( DIFFERENT ?auto_17215 ?auto_17217 ) ( LOCATION ?auto_17214 ) ( CITY ?auto_17213 ) ( IN-CITY ?auto_17214 ?auto_17213 ) ( IN-CITY ?auto_17216 ?auto_17213 ) ( DIFFERENT ?auto_17216 ?auto_17214 ) ( AIRPORT ?auto_17220 ) ( DIFFERENT ?auto_17217 ?auto_17220 ) ( LOCATION ?auto_17222 ) ( CITY ?auto_17221 ) ( IN-CITY ?auto_17222 ?auto_17221 ) ( IN-CITY ?auto_17214 ?auto_17221 ) ( DIFFERENT ?auto_17214 ?auto_17222 ) ( LOCATION ?auto_17225 ) ( CITY ?auto_17224 ) ( AT ?auto_17218 ?auto_17225 ) ( IN-CITY ?auto_17225 ?auto_17224 ) ( IN-CITY ?auto_17222 ?auto_17224 ) ( DIFFERENT ?auto_17222 ?auto_17225 ) ( AIRPORT ?auto_17227 ) ( AT ?auto_17219 ?auto_17227 ) ( DIFFERENT ?auto_17220 ?auto_17227 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17219 ?auto_17227 ?auto_17220 )
      ( DELIVER-PKG ?auto_17209 ?auto_17210 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17301
      ?auto_17302
    )
    :vars
    (
      ?auto_17312
      ?auto_17308
      ?auto_17311
      ?auto_17309
      ?auto_17305
      ?auto_17310
      ?auto_17307
      ?auto_17306
      ?auto_17313
      ?auto_17315
      ?auto_17314
      ?auto_17317
      ?auto_17316
      ?auto_17318
      ?auto_17320
    )
    :precondition
    ( and ( OBJ ?auto_17301 ) ( LOCATION ?auto_17302 ) ( AIRPLANE ?auto_17312 ) ( AIRPORT ?auto_17308 ) ( AIRPORT ?auto_17302 ) ( DIFFERENT ?auto_17302 ?auto_17308 ) ( LOCATION ?auto_17308 ) ( TRUCK ?auto_17311 ) ( LOCATION ?auto_17309 ) ( CITY ?auto_17305 ) ( IN-CITY ?auto_17309 ?auto_17305 ) ( IN-CITY ?auto_17308 ?auto_17305 ) ( DIFFERENT ?auto_17308 ?auto_17309 ) ( AT ?auto_17301 ?auto_17309 ) ( AIRPORT ?auto_17310 ) ( DIFFERENT ?auto_17308 ?auto_17310 ) ( LOCATION ?auto_17307 ) ( CITY ?auto_17306 ) ( IN-CITY ?auto_17307 ?auto_17306 ) ( IN-CITY ?auto_17309 ?auto_17306 ) ( DIFFERENT ?auto_17309 ?auto_17307 ) ( AIRPORT ?auto_17313 ) ( DIFFERENT ?auto_17310 ?auto_17313 ) ( LOCATION ?auto_17315 ) ( CITY ?auto_17314 ) ( IN-CITY ?auto_17315 ?auto_17314 ) ( IN-CITY ?auto_17307 ?auto_17314 ) ( DIFFERENT ?auto_17307 ?auto_17315 ) ( LOCATION ?auto_17317 ) ( CITY ?auto_17316 ) ( AT ?auto_17311 ?auto_17317 ) ( IN-CITY ?auto_17317 ?auto_17316 ) ( IN-CITY ?auto_17315 ?auto_17316 ) ( DIFFERENT ?auto_17315 ?auto_17317 ) ( AIRPORT ?auto_17318 ) ( DIFFERENT ?auto_17313 ?auto_17318 ) ( AIRPORT ?auto_17320 ) ( AT ?auto_17312 ?auto_17320 ) ( DIFFERENT ?auto_17318 ?auto_17320 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17312 ?auto_17320 ?auto_17318 )
      ( DELIVER-PKG ?auto_17301 ?auto_17302 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17763
      ?auto_17764
    )
    :vars
    (
      ?auto_17772
      ?auto_17767
      ?auto_17768
      ?auto_17769
      ?auto_17771
      ?auto_17773
      ?auto_17774
      ?auto_17770
      ?auto_17776
    )
    :precondition
    ( and ( OBJ ?auto_17763 ) ( LOCATION ?auto_17764 ) ( TRUCK ?auto_17772 ) ( LOCATION ?auto_17767 ) ( CITY ?auto_17768 ) ( AT ?auto_17772 ?auto_17767 ) ( IN-CITY ?auto_17767 ?auto_17768 ) ( IN-CITY ?auto_17764 ?auto_17768 ) ( DIFFERENT ?auto_17764 ?auto_17767 ) ( LOCATION ?auto_17769 ) ( AT ?auto_17772 ?auto_17769 ) ( AIRPLANE ?auto_17771 ) ( AIRPORT ?auto_17773 ) ( AIRPORT ?auto_17769 ) ( DIFFERENT ?auto_17769 ?auto_17773 ) ( LOCATION ?auto_17773 ) ( AIRPORT ?auto_17774 ) ( DIFFERENT ?auto_17773 ?auto_17774 ) ( TRUCK ?auto_17770 ) ( AT ?auto_17770 ?auto_17773 ) ( IN ?auto_17763 ?auto_17770 ) ( AIRPORT ?auto_17776 ) ( AT ?auto_17771 ?auto_17776 ) ( DIFFERENT ?auto_17774 ?auto_17776 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17771 ?auto_17776 ?auto_17774 )
      ( DELIVER-PKG ?auto_17763 ?auto_17764 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17791
      ?auto_17792
    )
    :vars
    (
      ?auto_17800
      ?auto_17794
      ?auto_17797
      ?auto_17795
      ?auto_17799
      ?auto_17801
      ?auto_17796
      ?auto_17803
      ?auto_17798
      ?auto_17806
      ?auto_17805
    )
    :precondition
    ( and ( OBJ ?auto_17791 ) ( LOCATION ?auto_17792 ) ( TRUCK ?auto_17800 ) ( LOCATION ?auto_17794 ) ( CITY ?auto_17797 ) ( AT ?auto_17800 ?auto_17794 ) ( IN-CITY ?auto_17794 ?auto_17797 ) ( IN-CITY ?auto_17792 ?auto_17797 ) ( DIFFERENT ?auto_17792 ?auto_17794 ) ( LOCATION ?auto_17795 ) ( AT ?auto_17800 ?auto_17795 ) ( AIRPLANE ?auto_17799 ) ( AIRPORT ?auto_17801 ) ( AIRPORT ?auto_17795 ) ( DIFFERENT ?auto_17795 ?auto_17801 ) ( LOCATION ?auto_17801 ) ( AIRPORT ?auto_17796 ) ( DIFFERENT ?auto_17801 ?auto_17796 ) ( TRUCK ?auto_17803 ) ( IN ?auto_17791 ?auto_17803 ) ( AIRPORT ?auto_17798 ) ( AT ?auto_17799 ?auto_17798 ) ( DIFFERENT ?auto_17796 ?auto_17798 ) ( LOCATION ?auto_17806 ) ( CITY ?auto_17805 ) ( AT ?auto_17803 ?auto_17806 ) ( IN-CITY ?auto_17806 ?auto_17805 ) ( IN-CITY ?auto_17801 ?auto_17805 ) ( DIFFERENT ?auto_17801 ?auto_17806 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17803 ?auto_17806 ?auto_17801 ?auto_17805 )
      ( DELIVER-PKG ?auto_17791 ?auto_17792 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17838
      ?auto_17839
    )
    :vars
    (
      ?auto_17841
      ?auto_17847
      ?auto_17845
      ?auto_17848
      ?auto_17840
      ?auto_17843
      ?auto_17842
      ?auto_17844
      ?auto_17846
      ?auto_17852
      ?auto_17851
      ?auto_17855
      ?auto_17854
    )
    :precondition
    ( and ( OBJ ?auto_17838 ) ( LOCATION ?auto_17839 ) ( TRUCK ?auto_17841 ) ( LOCATION ?auto_17847 ) ( CITY ?auto_17845 ) ( AT ?auto_17841 ?auto_17847 ) ( IN-CITY ?auto_17847 ?auto_17845 ) ( IN-CITY ?auto_17839 ?auto_17845 ) ( DIFFERENT ?auto_17839 ?auto_17847 ) ( LOCATION ?auto_17848 ) ( AT ?auto_17841 ?auto_17848 ) ( AIRPLANE ?auto_17840 ) ( AIRPORT ?auto_17843 ) ( AIRPORT ?auto_17848 ) ( DIFFERENT ?auto_17848 ?auto_17843 ) ( LOCATION ?auto_17843 ) ( AIRPORT ?auto_17842 ) ( DIFFERENT ?auto_17843 ?auto_17842 ) ( TRUCK ?auto_17844 ) ( IN ?auto_17838 ?auto_17844 ) ( AIRPORT ?auto_17846 ) ( AT ?auto_17840 ?auto_17846 ) ( DIFFERENT ?auto_17842 ?auto_17846 ) ( LOCATION ?auto_17852 ) ( CITY ?auto_17851 ) ( IN-CITY ?auto_17852 ?auto_17851 ) ( IN-CITY ?auto_17843 ?auto_17851 ) ( DIFFERENT ?auto_17843 ?auto_17852 ) ( LOCATION ?auto_17855 ) ( CITY ?auto_17854 ) ( AT ?auto_17844 ?auto_17855 ) ( IN-CITY ?auto_17855 ?auto_17854 ) ( IN-CITY ?auto_17852 ?auto_17854 ) ( DIFFERENT ?auto_17852 ?auto_17855 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17844 ?auto_17855 ?auto_17852 ?auto_17854 )
      ( DELIVER-PKG ?auto_17838 ?auto_17839 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17857
      ?auto_17858
    )
    :vars
    (
      ?auto_17864
      ?auto_17870
      ?auto_17868
      ?auto_17871
      ?auto_17859
      ?auto_17866
      ?auto_17860
      ?auto_17867
      ?auto_17869
      ?auto_17862
      ?auto_17861
      ?auto_17873
      ?auto_17872
      ?auto_17875
    )
    :precondition
    ( and ( OBJ ?auto_17857 ) ( LOCATION ?auto_17858 ) ( TRUCK ?auto_17864 ) ( LOCATION ?auto_17870 ) ( CITY ?auto_17868 ) ( AT ?auto_17864 ?auto_17870 ) ( IN-CITY ?auto_17870 ?auto_17868 ) ( IN-CITY ?auto_17858 ?auto_17868 ) ( DIFFERENT ?auto_17858 ?auto_17870 ) ( LOCATION ?auto_17871 ) ( AT ?auto_17864 ?auto_17871 ) ( AIRPLANE ?auto_17859 ) ( AIRPORT ?auto_17866 ) ( AIRPORT ?auto_17871 ) ( DIFFERENT ?auto_17871 ?auto_17866 ) ( LOCATION ?auto_17866 ) ( AIRPORT ?auto_17860 ) ( DIFFERENT ?auto_17866 ?auto_17860 ) ( TRUCK ?auto_17867 ) ( IN ?auto_17857 ?auto_17867 ) ( AIRPORT ?auto_17869 ) ( DIFFERENT ?auto_17860 ?auto_17869 ) ( LOCATION ?auto_17862 ) ( CITY ?auto_17861 ) ( IN-CITY ?auto_17862 ?auto_17861 ) ( IN-CITY ?auto_17866 ?auto_17861 ) ( DIFFERENT ?auto_17866 ?auto_17862 ) ( LOCATION ?auto_17873 ) ( CITY ?auto_17872 ) ( AT ?auto_17867 ?auto_17873 ) ( IN-CITY ?auto_17873 ?auto_17872 ) ( IN-CITY ?auto_17862 ?auto_17872 ) ( DIFFERENT ?auto_17862 ?auto_17873 ) ( AIRPORT ?auto_17875 ) ( AT ?auto_17859 ?auto_17875 ) ( DIFFERENT ?auto_17869 ?auto_17875 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17859 ?auto_17875 ?auto_17869 )
      ( DELIVER-PKG ?auto_17857 ?auto_17858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17913
      ?auto_17914
    )
    :vars
    (
      ?auto_17924
      ?auto_17920
      ?auto_17922
      ?auto_17921
      ?auto_17916
      ?auto_17918
      ?auto_17926
      ?auto_17919
      ?auto_17927
      ?auto_17929
      ?auto_17930
      ?auto_17923
      ?auto_17915
      ?auto_17928
      ?auto_17932
    )
    :precondition
    ( and ( OBJ ?auto_17913 ) ( LOCATION ?auto_17914 ) ( TRUCK ?auto_17924 ) ( LOCATION ?auto_17920 ) ( CITY ?auto_17922 ) ( AT ?auto_17924 ?auto_17920 ) ( IN-CITY ?auto_17920 ?auto_17922 ) ( IN-CITY ?auto_17914 ?auto_17922 ) ( DIFFERENT ?auto_17914 ?auto_17920 ) ( LOCATION ?auto_17921 ) ( AT ?auto_17924 ?auto_17921 ) ( AIRPLANE ?auto_17916 ) ( AIRPORT ?auto_17918 ) ( AIRPORT ?auto_17921 ) ( DIFFERENT ?auto_17921 ?auto_17918 ) ( LOCATION ?auto_17918 ) ( AIRPORT ?auto_17926 ) ( DIFFERENT ?auto_17918 ?auto_17926 ) ( TRUCK ?auto_17919 ) ( AIRPORT ?auto_17927 ) ( DIFFERENT ?auto_17926 ?auto_17927 ) ( LOCATION ?auto_17929 ) ( CITY ?auto_17930 ) ( IN-CITY ?auto_17929 ?auto_17930 ) ( IN-CITY ?auto_17918 ?auto_17930 ) ( DIFFERENT ?auto_17918 ?auto_17929 ) ( LOCATION ?auto_17923 ) ( CITY ?auto_17915 ) ( AT ?auto_17919 ?auto_17923 ) ( IN-CITY ?auto_17923 ?auto_17915 ) ( IN-CITY ?auto_17929 ?auto_17915 ) ( DIFFERENT ?auto_17929 ?auto_17923 ) ( AIRPORT ?auto_17928 ) ( AT ?auto_17916 ?auto_17928 ) ( DIFFERENT ?auto_17927 ?auto_17928 ) ( LOCATION ?auto_17932 ) ( AT ?auto_17919 ?auto_17932 ) ( AT ?auto_17913 ?auto_17932 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17913 ?auto_17919 ?auto_17932 )
      ( DELIVER-PKG ?auto_17913 ?auto_17914 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17934
      ?auto_17935
    )
    :vars
    (
      ?auto_17945
      ?auto_17942
      ?auto_17943
      ?auto_17940
      ?auto_17941
      ?auto_17946
      ?auto_17938
      ?auto_17947
      ?auto_17951
      ?auto_17952
      ?auto_17944
      ?auto_17936
      ?auto_17948
      ?auto_17937
      ?auto_17955
      ?auto_17954
    )
    :precondition
    ( and ( OBJ ?auto_17934 ) ( LOCATION ?auto_17935 ) ( TRUCK ?auto_17945 ) ( LOCATION ?auto_17942 ) ( CITY ?auto_17943 ) ( IN-CITY ?auto_17942 ?auto_17943 ) ( IN-CITY ?auto_17935 ?auto_17943 ) ( DIFFERENT ?auto_17935 ?auto_17942 ) ( AIRPLANE ?auto_17940 ) ( AIRPORT ?auto_17941 ) ( AIRPORT ?auto_17942 ) ( DIFFERENT ?auto_17942 ?auto_17941 ) ( LOCATION ?auto_17941 ) ( AIRPORT ?auto_17946 ) ( DIFFERENT ?auto_17941 ?auto_17946 ) ( TRUCK ?auto_17938 ) ( AIRPORT ?auto_17947 ) ( DIFFERENT ?auto_17946 ?auto_17947 ) ( LOCATION ?auto_17951 ) ( CITY ?auto_17952 ) ( IN-CITY ?auto_17951 ?auto_17952 ) ( IN-CITY ?auto_17941 ?auto_17952 ) ( DIFFERENT ?auto_17941 ?auto_17951 ) ( LOCATION ?auto_17944 ) ( CITY ?auto_17936 ) ( AT ?auto_17938 ?auto_17944 ) ( IN-CITY ?auto_17944 ?auto_17936 ) ( IN-CITY ?auto_17951 ?auto_17936 ) ( DIFFERENT ?auto_17951 ?auto_17944 ) ( AIRPORT ?auto_17948 ) ( AT ?auto_17940 ?auto_17948 ) ( DIFFERENT ?auto_17947 ?auto_17948 ) ( LOCATION ?auto_17937 ) ( AT ?auto_17938 ?auto_17937 ) ( AT ?auto_17934 ?auto_17937 ) ( LOCATION ?auto_17955 ) ( CITY ?auto_17954 ) ( AT ?auto_17945 ?auto_17955 ) ( IN-CITY ?auto_17955 ?auto_17954 ) ( IN-CITY ?auto_17942 ?auto_17954 ) ( DIFFERENT ?auto_17942 ?auto_17955 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17945 ?auto_17955 ?auto_17942 ?auto_17954 )
      ( DELIVER-PKG ?auto_17934 ?auto_17935 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17957
      ?auto_17958
    )
    :vars
    (
      ?auto_17960
      ?auto_17965
      ?auto_17962
      ?auto_17963
      ?auto_17968
      ?auto_17970
      ?auto_17976
      ?auto_17973
      ?auto_17966
      ?auto_17971
      ?auto_17961
      ?auto_17959
      ?auto_17969
      ?auto_17974
      ?auto_17972
      ?auto_17967
      ?auto_17978
    )
    :precondition
    ( and ( OBJ ?auto_17957 ) ( LOCATION ?auto_17958 ) ( TRUCK ?auto_17960 ) ( LOCATION ?auto_17965 ) ( CITY ?auto_17962 ) ( IN-CITY ?auto_17965 ?auto_17962 ) ( IN-CITY ?auto_17958 ?auto_17962 ) ( DIFFERENT ?auto_17958 ?auto_17965 ) ( AIRPLANE ?auto_17963 ) ( AIRPORT ?auto_17968 ) ( AIRPORT ?auto_17965 ) ( DIFFERENT ?auto_17965 ?auto_17968 ) ( LOCATION ?auto_17968 ) ( AIRPORT ?auto_17970 ) ( DIFFERENT ?auto_17968 ?auto_17970 ) ( TRUCK ?auto_17976 ) ( AIRPORT ?auto_17973 ) ( DIFFERENT ?auto_17970 ?auto_17973 ) ( LOCATION ?auto_17966 ) ( CITY ?auto_17971 ) ( IN-CITY ?auto_17966 ?auto_17971 ) ( IN-CITY ?auto_17968 ?auto_17971 ) ( DIFFERENT ?auto_17968 ?auto_17966 ) ( LOCATION ?auto_17961 ) ( CITY ?auto_17959 ) ( AT ?auto_17976 ?auto_17961 ) ( IN-CITY ?auto_17961 ?auto_17959 ) ( IN-CITY ?auto_17966 ?auto_17959 ) ( DIFFERENT ?auto_17966 ?auto_17961 ) ( AIRPORT ?auto_17969 ) ( DIFFERENT ?auto_17973 ?auto_17969 ) ( LOCATION ?auto_17974 ) ( AT ?auto_17976 ?auto_17974 ) ( AT ?auto_17957 ?auto_17974 ) ( LOCATION ?auto_17972 ) ( CITY ?auto_17967 ) ( AT ?auto_17960 ?auto_17972 ) ( IN-CITY ?auto_17972 ?auto_17967 ) ( IN-CITY ?auto_17965 ?auto_17967 ) ( DIFFERENT ?auto_17965 ?auto_17972 ) ( AIRPORT ?auto_17978 ) ( AT ?auto_17963 ?auto_17978 ) ( DIFFERENT ?auto_17969 ?auto_17978 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17963 ?auto_17978 ?auto_17969 )
      ( DELIVER-PKG ?auto_17957 ?auto_17958 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18556
      ?auto_18557
    )
    :vars
    (
      ?auto_18567
      ?auto_18568
      ?auto_18560
      ?auto_18569
      ?auto_18559
      ?auto_18565
      ?auto_18562
      ?auto_18572
      ?auto_18561
      ?auto_18564
      ?auto_18563
      ?auto_18570
      ?auto_18574
    )
    :precondition
    ( and ( OBJ ?auto_18556 ) ( LOCATION ?auto_18557 ) ( TRUCK ?auto_18567 ) ( LOCATION ?auto_18568 ) ( CITY ?auto_18560 ) ( IN-CITY ?auto_18568 ?auto_18560 ) ( IN-CITY ?auto_18557 ?auto_18560 ) ( DIFFERENT ?auto_18557 ?auto_18568 ) ( LOCATION ?auto_18569 ) ( CITY ?auto_18559 ) ( AT ?auto_18567 ?auto_18569 ) ( IN-CITY ?auto_18569 ?auto_18559 ) ( IN-CITY ?auto_18568 ?auto_18559 ) ( DIFFERENT ?auto_18568 ?auto_18569 ) ( LOCATION ?auto_18565 ) ( AT ?auto_18567 ?auto_18565 ) ( AIRPLANE ?auto_18562 ) ( AIRPORT ?auto_18572 ) ( AIRPORT ?auto_18565 ) ( DIFFERENT ?auto_18565 ?auto_18572 ) ( LOCATION ?auto_18572 ) ( TRUCK ?auto_18561 ) ( LOCATION ?auto_18564 ) ( CITY ?auto_18563 ) ( AT ?auto_18561 ?auto_18564 ) ( IN-CITY ?auto_18564 ?auto_18563 ) ( IN-CITY ?auto_18572 ?auto_18563 ) ( DIFFERENT ?auto_18572 ?auto_18564 ) ( LOCATION ?auto_18570 ) ( AT ?auto_18561 ?auto_18570 ) ( AT ?auto_18556 ?auto_18570 ) ( AIRPORT ?auto_18574 ) ( AT ?auto_18562 ?auto_18574 ) ( DIFFERENT ?auto_18572 ?auto_18574 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18562 ?auto_18574 ?auto_18572 )
      ( DELIVER-PKG ?auto_18556 ?auto_18557 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18610
      ?auto_18611
    )
    :vars
    (
      ?auto_18621
      ?auto_18620
      ?auto_18625
      ?auto_18618
      ?auto_18623
      ?auto_18613
      ?auto_18615
      ?auto_18617
      ?auto_18624
      ?auto_18616
      ?auto_18619
      ?auto_18614
      ?auto_18629
      ?auto_18628
    )
    :precondition
    ( and ( OBJ ?auto_18610 ) ( LOCATION ?auto_18611 ) ( TRUCK ?auto_18621 ) ( LOCATION ?auto_18620 ) ( CITY ?auto_18625 ) ( IN-CITY ?auto_18620 ?auto_18625 ) ( IN-CITY ?auto_18611 ?auto_18625 ) ( DIFFERENT ?auto_18611 ?auto_18620 ) ( LOCATION ?auto_18618 ) ( CITY ?auto_18623 ) ( AT ?auto_18621 ?auto_18618 ) ( IN-CITY ?auto_18618 ?auto_18623 ) ( IN-CITY ?auto_18620 ?auto_18623 ) ( DIFFERENT ?auto_18620 ?auto_18618 ) ( LOCATION ?auto_18613 ) ( AT ?auto_18621 ?auto_18613 ) ( AIRPLANE ?auto_18615 ) ( AIRPORT ?auto_18617 ) ( AIRPORT ?auto_18613 ) ( DIFFERENT ?auto_18613 ?auto_18617 ) ( LOCATION ?auto_18617 ) ( TRUCK ?auto_18624 ) ( LOCATION ?auto_18616 ) ( CITY ?auto_18619 ) ( IN-CITY ?auto_18616 ?auto_18619 ) ( IN-CITY ?auto_18617 ?auto_18619 ) ( DIFFERENT ?auto_18617 ?auto_18616 ) ( AT ?auto_18610 ?auto_18616 ) ( AIRPORT ?auto_18614 ) ( AT ?auto_18615 ?auto_18614 ) ( DIFFERENT ?auto_18617 ?auto_18614 ) ( LOCATION ?auto_18629 ) ( CITY ?auto_18628 ) ( AT ?auto_18624 ?auto_18629 ) ( IN-CITY ?auto_18629 ?auto_18628 ) ( IN-CITY ?auto_18616 ?auto_18628 ) ( DIFFERENT ?auto_18616 ?auto_18629 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18624 ?auto_18629 ?auto_18616 ?auto_18628 )
      ( DELIVER-PKG ?auto_18610 ?auto_18611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18685
      ?auto_18686
    )
    :vars
    (
      ?auto_18692
      ?auto_18691
      ?auto_18695
      ?auto_18700
      ?auto_18693
      ?auto_18688
      ?auto_18690
      ?auto_18699
      ?auto_18694
      ?auto_18698
      ?auto_18701
      ?auto_18689
      ?auto_18702
      ?auto_18687
      ?auto_18704
    )
    :precondition
    ( and ( OBJ ?auto_18685 ) ( LOCATION ?auto_18686 ) ( TRUCK ?auto_18692 ) ( LOCATION ?auto_18691 ) ( CITY ?auto_18695 ) ( IN-CITY ?auto_18691 ?auto_18695 ) ( IN-CITY ?auto_18686 ?auto_18695 ) ( DIFFERENT ?auto_18686 ?auto_18691 ) ( LOCATION ?auto_18700 ) ( CITY ?auto_18693 ) ( AT ?auto_18692 ?auto_18700 ) ( IN-CITY ?auto_18700 ?auto_18693 ) ( IN-CITY ?auto_18691 ?auto_18693 ) ( DIFFERENT ?auto_18691 ?auto_18700 ) ( LOCATION ?auto_18688 ) ( AT ?auto_18692 ?auto_18688 ) ( AIRPLANE ?auto_18690 ) ( AIRPORT ?auto_18699 ) ( AIRPORT ?auto_18688 ) ( DIFFERENT ?auto_18688 ?auto_18699 ) ( LOCATION ?auto_18699 ) ( TRUCK ?auto_18694 ) ( LOCATION ?auto_18698 ) ( CITY ?auto_18701 ) ( IN-CITY ?auto_18698 ?auto_18701 ) ( IN-CITY ?auto_18699 ?auto_18701 ) ( DIFFERENT ?auto_18699 ?auto_18698 ) ( AT ?auto_18685 ?auto_18698 ) ( AIRPORT ?auto_18689 ) ( DIFFERENT ?auto_18699 ?auto_18689 ) ( LOCATION ?auto_18702 ) ( CITY ?auto_18687 ) ( AT ?auto_18694 ?auto_18702 ) ( IN-CITY ?auto_18702 ?auto_18687 ) ( IN-CITY ?auto_18698 ?auto_18687 ) ( DIFFERENT ?auto_18698 ?auto_18702 ) ( AIRPORT ?auto_18704 ) ( AT ?auto_18690 ?auto_18704 ) ( DIFFERENT ?auto_18689 ?auto_18704 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18690 ?auto_18704 ?auto_18689 )
      ( DELIVER-PKG ?auto_18685 ?auto_18686 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18725
      ?auto_18726
    )
    :vars
    (
      ?auto_18735
      ?auto_18734
      ?auto_18738
      ?auto_18741
      ?auto_18736
      ?auto_18730
      ?auto_18733
      ?auto_18740
      ?auto_18737
      ?auto_18739
      ?auto_18742
      ?auto_18731
      ?auto_18743
      ?auto_18728
      ?auto_18729
      ?auto_18746
      ?auto_18745
    )
    :precondition
    ( and ( OBJ ?auto_18725 ) ( LOCATION ?auto_18726 ) ( TRUCK ?auto_18735 ) ( LOCATION ?auto_18734 ) ( CITY ?auto_18738 ) ( IN-CITY ?auto_18734 ?auto_18738 ) ( IN-CITY ?auto_18726 ?auto_18738 ) ( DIFFERENT ?auto_18726 ?auto_18734 ) ( LOCATION ?auto_18741 ) ( CITY ?auto_18736 ) ( AT ?auto_18735 ?auto_18741 ) ( IN-CITY ?auto_18741 ?auto_18736 ) ( IN-CITY ?auto_18734 ?auto_18736 ) ( DIFFERENT ?auto_18734 ?auto_18741 ) ( LOCATION ?auto_18730 ) ( AT ?auto_18735 ?auto_18730 ) ( AIRPLANE ?auto_18733 ) ( AIRPORT ?auto_18740 ) ( AIRPORT ?auto_18730 ) ( DIFFERENT ?auto_18730 ?auto_18740 ) ( LOCATION ?auto_18740 ) ( TRUCK ?auto_18737 ) ( LOCATION ?auto_18739 ) ( CITY ?auto_18742 ) ( IN-CITY ?auto_18739 ?auto_18742 ) ( IN-CITY ?auto_18740 ?auto_18742 ) ( DIFFERENT ?auto_18740 ?auto_18739 ) ( AT ?auto_18725 ?auto_18739 ) ( AIRPORT ?auto_18731 ) ( DIFFERENT ?auto_18740 ?auto_18731 ) ( LOCATION ?auto_18743 ) ( CITY ?auto_18728 ) ( IN-CITY ?auto_18743 ?auto_18728 ) ( IN-CITY ?auto_18739 ?auto_18728 ) ( DIFFERENT ?auto_18739 ?auto_18743 ) ( AIRPORT ?auto_18729 ) ( AT ?auto_18733 ?auto_18729 ) ( DIFFERENT ?auto_18731 ?auto_18729 ) ( LOCATION ?auto_18746 ) ( CITY ?auto_18745 ) ( AT ?auto_18737 ?auto_18746 ) ( IN-CITY ?auto_18746 ?auto_18745 ) ( IN-CITY ?auto_18743 ?auto_18745 ) ( DIFFERENT ?auto_18743 ?auto_18746 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18737 ?auto_18746 ?auto_18743 ?auto_18745 )
      ( DELIVER-PKG ?auto_18725 ?auto_18726 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18790
      ?auto_18791
    )
    :vars
    (
      ?auto_18803
      ?auto_18802
      ?auto_18806
      ?auto_18809
      ?auto_18804
      ?auto_18795
      ?auto_18801
      ?auto_18808
      ?auto_18805
      ?auto_18807
      ?auto_18797
      ?auto_18800
      ?auto_18798
      ?auto_18796
      ?auto_18793
      ?auto_18810
      ?auto_18799
      ?auto_18813
      ?auto_18812
    )
    :precondition
    ( and ( OBJ ?auto_18790 ) ( LOCATION ?auto_18791 ) ( TRUCK ?auto_18803 ) ( LOCATION ?auto_18802 ) ( CITY ?auto_18806 ) ( IN-CITY ?auto_18802 ?auto_18806 ) ( IN-CITY ?auto_18791 ?auto_18806 ) ( DIFFERENT ?auto_18791 ?auto_18802 ) ( LOCATION ?auto_18809 ) ( CITY ?auto_18804 ) ( AT ?auto_18803 ?auto_18809 ) ( IN-CITY ?auto_18809 ?auto_18804 ) ( IN-CITY ?auto_18802 ?auto_18804 ) ( DIFFERENT ?auto_18802 ?auto_18809 ) ( LOCATION ?auto_18795 ) ( AT ?auto_18803 ?auto_18795 ) ( AIRPLANE ?auto_18801 ) ( AIRPORT ?auto_18808 ) ( AIRPORT ?auto_18795 ) ( DIFFERENT ?auto_18795 ?auto_18808 ) ( LOCATION ?auto_18808 ) ( TRUCK ?auto_18805 ) ( LOCATION ?auto_18807 ) ( CITY ?auto_18797 ) ( IN-CITY ?auto_18807 ?auto_18797 ) ( IN-CITY ?auto_18808 ?auto_18797 ) ( DIFFERENT ?auto_18808 ?auto_18807 ) ( AT ?auto_18790 ?auto_18807 ) ( AIRPORT ?auto_18800 ) ( DIFFERENT ?auto_18808 ?auto_18800 ) ( LOCATION ?auto_18798 ) ( CITY ?auto_18796 ) ( IN-CITY ?auto_18798 ?auto_18796 ) ( IN-CITY ?auto_18807 ?auto_18796 ) ( DIFFERENT ?auto_18807 ?auto_18798 ) ( AIRPORT ?auto_18793 ) ( AT ?auto_18801 ?auto_18793 ) ( DIFFERENT ?auto_18800 ?auto_18793 ) ( LOCATION ?auto_18810 ) ( CITY ?auto_18799 ) ( IN-CITY ?auto_18810 ?auto_18799 ) ( IN-CITY ?auto_18798 ?auto_18799 ) ( DIFFERENT ?auto_18798 ?auto_18810 ) ( LOCATION ?auto_18813 ) ( CITY ?auto_18812 ) ( AT ?auto_18805 ?auto_18813 ) ( IN-CITY ?auto_18813 ?auto_18812 ) ( IN-CITY ?auto_18810 ?auto_18812 ) ( DIFFERENT ?auto_18810 ?auto_18813 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18805 ?auto_18813 ?auto_18810 ?auto_18812 )
      ( DELIVER-PKG ?auto_18790 ?auto_18791 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18815
      ?auto_18816
    )
    :vars
    (
      ?auto_18833
      ?auto_18832
      ?auto_18820
      ?auto_18835
      ?auto_18834
      ?auto_18825
      ?auto_18831
      ?auto_18822
      ?auto_18819
      ?auto_18821
      ?auto_18827
      ?auto_18830
      ?auto_18828
      ?auto_18826
      ?auto_18823
      ?auto_18836
      ?auto_18829
      ?auto_18837
      ?auto_18824
      ?auto_18839
    )
    :precondition
    ( and ( OBJ ?auto_18815 ) ( LOCATION ?auto_18816 ) ( TRUCK ?auto_18833 ) ( LOCATION ?auto_18832 ) ( CITY ?auto_18820 ) ( IN-CITY ?auto_18832 ?auto_18820 ) ( IN-CITY ?auto_18816 ?auto_18820 ) ( DIFFERENT ?auto_18816 ?auto_18832 ) ( LOCATION ?auto_18835 ) ( CITY ?auto_18834 ) ( AT ?auto_18833 ?auto_18835 ) ( IN-CITY ?auto_18835 ?auto_18834 ) ( IN-CITY ?auto_18832 ?auto_18834 ) ( DIFFERENT ?auto_18832 ?auto_18835 ) ( LOCATION ?auto_18825 ) ( AT ?auto_18833 ?auto_18825 ) ( AIRPLANE ?auto_18831 ) ( AIRPORT ?auto_18822 ) ( AIRPORT ?auto_18825 ) ( DIFFERENT ?auto_18825 ?auto_18822 ) ( LOCATION ?auto_18822 ) ( TRUCK ?auto_18819 ) ( LOCATION ?auto_18821 ) ( CITY ?auto_18827 ) ( IN-CITY ?auto_18821 ?auto_18827 ) ( IN-CITY ?auto_18822 ?auto_18827 ) ( DIFFERENT ?auto_18822 ?auto_18821 ) ( AT ?auto_18815 ?auto_18821 ) ( AIRPORT ?auto_18830 ) ( DIFFERENT ?auto_18822 ?auto_18830 ) ( LOCATION ?auto_18828 ) ( CITY ?auto_18826 ) ( IN-CITY ?auto_18828 ?auto_18826 ) ( IN-CITY ?auto_18821 ?auto_18826 ) ( DIFFERENT ?auto_18821 ?auto_18828 ) ( AIRPORT ?auto_18823 ) ( DIFFERENT ?auto_18830 ?auto_18823 ) ( LOCATION ?auto_18836 ) ( CITY ?auto_18829 ) ( IN-CITY ?auto_18836 ?auto_18829 ) ( IN-CITY ?auto_18828 ?auto_18829 ) ( DIFFERENT ?auto_18828 ?auto_18836 ) ( LOCATION ?auto_18837 ) ( CITY ?auto_18824 ) ( AT ?auto_18819 ?auto_18837 ) ( IN-CITY ?auto_18837 ?auto_18824 ) ( IN-CITY ?auto_18836 ?auto_18824 ) ( DIFFERENT ?auto_18836 ?auto_18837 ) ( AIRPORT ?auto_18839 ) ( AT ?auto_18831 ?auto_18839 ) ( DIFFERENT ?auto_18823 ?auto_18839 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18831 ?auto_18839 ?auto_18823 )
      ( DELIVER-PKG ?auto_18815 ?auto_18816 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18913
      ?auto_18914
    )
    :vars
    (
      ?auto_18931
      ?auto_18930
      ?auto_18934
      ?auto_18928
      ?auto_18921
      ?auto_18925
      ?auto_18935
      ?auto_18933
      ?auto_18936
      ?auto_18916
      ?auto_18929
      ?auto_18917
      ?auto_18920
      ?auto_18919
      ?auto_18923
      ?auto_18926
      ?auto_18927
      ?auto_18924
      ?auto_18932
      ?auto_18939
      ?auto_18938
    )
    :precondition
    ( and ( OBJ ?auto_18913 ) ( LOCATION ?auto_18914 ) ( TRUCK ?auto_18931 ) ( LOCATION ?auto_18930 ) ( CITY ?auto_18934 ) ( IN-CITY ?auto_18930 ?auto_18934 ) ( IN-CITY ?auto_18914 ?auto_18934 ) ( DIFFERENT ?auto_18914 ?auto_18930 ) ( LOCATION ?auto_18928 ) ( CITY ?auto_18921 ) ( IN-CITY ?auto_18928 ?auto_18921 ) ( IN-CITY ?auto_18930 ?auto_18921 ) ( DIFFERENT ?auto_18930 ?auto_18928 ) ( AIRPLANE ?auto_18925 ) ( AIRPORT ?auto_18935 ) ( AIRPORT ?auto_18928 ) ( DIFFERENT ?auto_18928 ?auto_18935 ) ( LOCATION ?auto_18935 ) ( TRUCK ?auto_18933 ) ( LOCATION ?auto_18936 ) ( CITY ?auto_18916 ) ( IN-CITY ?auto_18936 ?auto_18916 ) ( IN-CITY ?auto_18935 ?auto_18916 ) ( DIFFERENT ?auto_18935 ?auto_18936 ) ( AT ?auto_18913 ?auto_18936 ) ( AIRPORT ?auto_18929 ) ( DIFFERENT ?auto_18935 ?auto_18929 ) ( LOCATION ?auto_18917 ) ( CITY ?auto_18920 ) ( IN-CITY ?auto_18917 ?auto_18920 ) ( IN-CITY ?auto_18936 ?auto_18920 ) ( DIFFERENT ?auto_18936 ?auto_18917 ) ( AIRPORT ?auto_18919 ) ( DIFFERENT ?auto_18929 ?auto_18919 ) ( LOCATION ?auto_18923 ) ( CITY ?auto_18926 ) ( IN-CITY ?auto_18923 ?auto_18926 ) ( IN-CITY ?auto_18917 ?auto_18926 ) ( DIFFERENT ?auto_18917 ?auto_18923 ) ( LOCATION ?auto_18927 ) ( CITY ?auto_18924 ) ( AT ?auto_18933 ?auto_18927 ) ( IN-CITY ?auto_18927 ?auto_18924 ) ( IN-CITY ?auto_18923 ?auto_18924 ) ( DIFFERENT ?auto_18923 ?auto_18927 ) ( AIRPORT ?auto_18932 ) ( AT ?auto_18925 ?auto_18932 ) ( DIFFERENT ?auto_18919 ?auto_18932 ) ( LOCATION ?auto_18939 ) ( CITY ?auto_18938 ) ( AT ?auto_18931 ?auto_18939 ) ( IN-CITY ?auto_18939 ?auto_18938 ) ( IN-CITY ?auto_18928 ?auto_18938 ) ( DIFFERENT ?auto_18928 ?auto_18939 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18931 ?auto_18939 ?auto_18928 ?auto_18938 )
      ( DELIVER-PKG ?auto_18913 ?auto_18914 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18941
      ?auto_18942
    )
    :vars
    (
      ?auto_18960
      ?auto_18959
      ?auto_18963
      ?auto_18957
      ?auto_18951
      ?auto_18954
      ?auto_18964
      ?auto_18962
      ?auto_18965
      ?auto_18946
      ?auto_18958
      ?auto_18947
      ?auto_18949
      ?auto_18948
      ?auto_18952
      ?auto_18955
      ?auto_18956
      ?auto_18953
      ?auto_18961
      ?auto_18950
      ?auto_18945
      ?auto_18967
    )
    :precondition
    ( and ( OBJ ?auto_18941 ) ( LOCATION ?auto_18942 ) ( TRUCK ?auto_18960 ) ( LOCATION ?auto_18959 ) ( CITY ?auto_18963 ) ( IN-CITY ?auto_18959 ?auto_18963 ) ( IN-CITY ?auto_18942 ?auto_18963 ) ( DIFFERENT ?auto_18942 ?auto_18959 ) ( LOCATION ?auto_18957 ) ( CITY ?auto_18951 ) ( IN-CITY ?auto_18957 ?auto_18951 ) ( IN-CITY ?auto_18959 ?auto_18951 ) ( DIFFERENT ?auto_18959 ?auto_18957 ) ( AIRPLANE ?auto_18954 ) ( AIRPORT ?auto_18964 ) ( AIRPORT ?auto_18957 ) ( DIFFERENT ?auto_18957 ?auto_18964 ) ( LOCATION ?auto_18964 ) ( TRUCK ?auto_18962 ) ( LOCATION ?auto_18965 ) ( CITY ?auto_18946 ) ( IN-CITY ?auto_18965 ?auto_18946 ) ( IN-CITY ?auto_18964 ?auto_18946 ) ( DIFFERENT ?auto_18964 ?auto_18965 ) ( AT ?auto_18941 ?auto_18965 ) ( AIRPORT ?auto_18958 ) ( DIFFERENT ?auto_18964 ?auto_18958 ) ( LOCATION ?auto_18947 ) ( CITY ?auto_18949 ) ( IN-CITY ?auto_18947 ?auto_18949 ) ( IN-CITY ?auto_18965 ?auto_18949 ) ( DIFFERENT ?auto_18965 ?auto_18947 ) ( AIRPORT ?auto_18948 ) ( DIFFERENT ?auto_18958 ?auto_18948 ) ( LOCATION ?auto_18952 ) ( CITY ?auto_18955 ) ( IN-CITY ?auto_18952 ?auto_18955 ) ( IN-CITY ?auto_18947 ?auto_18955 ) ( DIFFERENT ?auto_18947 ?auto_18952 ) ( LOCATION ?auto_18956 ) ( CITY ?auto_18953 ) ( AT ?auto_18962 ?auto_18956 ) ( IN-CITY ?auto_18956 ?auto_18953 ) ( IN-CITY ?auto_18952 ?auto_18953 ) ( DIFFERENT ?auto_18952 ?auto_18956 ) ( AIRPORT ?auto_18961 ) ( DIFFERENT ?auto_18948 ?auto_18961 ) ( LOCATION ?auto_18950 ) ( CITY ?auto_18945 ) ( AT ?auto_18960 ?auto_18950 ) ( IN-CITY ?auto_18950 ?auto_18945 ) ( IN-CITY ?auto_18957 ?auto_18945 ) ( DIFFERENT ?auto_18957 ?auto_18950 ) ( AIRPORT ?auto_18967 ) ( AT ?auto_18954 ?auto_18967 ) ( DIFFERENT ?auto_18961 ?auto_18967 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18954 ?auto_18967 ?auto_18961 )
      ( DELIVER-PKG ?auto_18941 ?auto_18942 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19456
      ?auto_19457
    )
    :vars
    (
      ?auto_19458
      ?auto_19459
      ?auto_19463
      ?auto_19461
      ?auto_19465
    )
    :precondition
    ( and ( OBJ ?auto_19456 ) ( LOCATION ?auto_19457 ) ( AIRPLANE ?auto_19458 ) ( AIRPORT ?auto_19459 ) ( AIRPORT ?auto_19457 ) ( AT ?auto_19458 ?auto_19459 ) ( DIFFERENT ?auto_19457 ?auto_19459 ) ( LOCATION ?auto_19463 ) ( AT ?auto_19458 ?auto_19463 ) ( AIRPLANE ?auto_19461 ) ( IN ?auto_19456 ?auto_19461 ) ( AIRPORT ?auto_19465 ) ( AIRPORT ?auto_19463 ) ( AT ?auto_19461 ?auto_19465 ) ( DIFFERENT ?auto_19463 ?auto_19465 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19461 ?auto_19465 ?auto_19463 )
      ( DELIVER-PKG ?auto_19456 ?auto_19457 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19467
      ?auto_19468
    )
    :vars
    (
      ?auto_19473
      ?auto_19475
      ?auto_19471
      ?auto_19470
      ?auto_19472
      ?auto_19477
    )
    :precondition
    ( and ( OBJ ?auto_19467 ) ( LOCATION ?auto_19468 ) ( AIRPLANE ?auto_19473 ) ( AIRPORT ?auto_19475 ) ( AIRPORT ?auto_19468 ) ( AT ?auto_19473 ?auto_19475 ) ( DIFFERENT ?auto_19468 ?auto_19475 ) ( LOCATION ?auto_19471 ) ( AT ?auto_19473 ?auto_19471 ) ( AIRPLANE ?auto_19470 ) ( AIRPORT ?auto_19472 ) ( AIRPORT ?auto_19471 ) ( AT ?auto_19470 ?auto_19472 ) ( DIFFERENT ?auto_19471 ?auto_19472 ) ( LOCATION ?auto_19477 ) ( AT ?auto_19467 ?auto_19477 ) ( AT ?auto_19470 ?auto_19477 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_19467 ?auto_19470 ?auto_19477 )
      ( DELIVER-PKG ?auto_19467 ?auto_19468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19479
      ?auto_19480
    )
    :vars
    (
      ?auto_19488
      ?auto_19481
      ?auto_19486
      ?auto_19485
      ?auto_19482
      ?auto_19490
    )
    :precondition
    ( and ( OBJ ?auto_19479 ) ( LOCATION ?auto_19480 ) ( AIRPLANE ?auto_19488 ) ( AIRPORT ?auto_19481 ) ( AIRPORT ?auto_19480 ) ( AT ?auto_19488 ?auto_19481 ) ( DIFFERENT ?auto_19480 ?auto_19481 ) ( LOCATION ?auto_19486 ) ( AT ?auto_19488 ?auto_19486 ) ( AIRPLANE ?auto_19485 ) ( AIRPORT ?auto_19482 ) ( AIRPORT ?auto_19486 ) ( DIFFERENT ?auto_19486 ?auto_19482 ) ( LOCATION ?auto_19482 ) ( AT ?auto_19479 ?auto_19482 ) ( AIRPORT ?auto_19490 ) ( AT ?auto_19485 ?auto_19490 ) ( DIFFERENT ?auto_19482 ?auto_19490 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19485 ?auto_19490 ?auto_19482 )
      ( DELIVER-PKG ?auto_19479 ?auto_19480 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19512
      ?auto_19513
    )
    :vars
    (
      ?auto_19515
      ?auto_19519
      ?auto_19521
      ?auto_19520
      ?auto_19514
      ?auto_19523
    )
    :precondition
    ( and ( OBJ ?auto_19512 ) ( LOCATION ?auto_19513 ) ( AIRPLANE ?auto_19515 ) ( AIRPORT ?auto_19519 ) ( AIRPORT ?auto_19513 ) ( DIFFERENT ?auto_19513 ?auto_19519 ) ( LOCATION ?auto_19519 ) ( AIRPLANE ?auto_19521 ) ( AIRPORT ?auto_19520 ) ( DIFFERENT ?auto_19519 ?auto_19520 ) ( LOCATION ?auto_19520 ) ( AT ?auto_19512 ?auto_19520 ) ( AIRPORT ?auto_19514 ) ( AT ?auto_19521 ?auto_19514 ) ( DIFFERENT ?auto_19520 ?auto_19514 ) ( AIRPORT ?auto_19523 ) ( AT ?auto_19515 ?auto_19523 ) ( DIFFERENT ?auto_19519 ?auto_19523 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19515 ?auto_19523 ?auto_19519 )
      ( DELIVER-PKG ?auto_19512 ?auto_19513 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20114
      ?auto_20115
    )
    :vars
    (
      ?auto_20117
      ?auto_20124
      ?auto_20119
      ?auto_20122
      ?auto_20120
      ?auto_20123
      ?auto_20121
      ?auto_20126
    )
    :precondition
    ( and ( OBJ ?auto_20114 ) ( LOCATION ?auto_20115 ) ( TRUCK ?auto_20117 ) ( LOCATION ?auto_20124 ) ( CITY ?auto_20119 ) ( AT ?auto_20117 ?auto_20124 ) ( IN-CITY ?auto_20124 ?auto_20119 ) ( IN-CITY ?auto_20115 ?auto_20119 ) ( DIFFERENT ?auto_20115 ?auto_20124 ) ( LOCATION ?auto_20122 ) ( AT ?auto_20117 ?auto_20122 ) ( AIRPLANE ?auto_20120 ) ( IN ?auto_20114 ?auto_20120 ) ( AIRPORT ?auto_20123 ) ( AIRPORT ?auto_20122 ) ( DIFFERENT ?auto_20122 ?auto_20123 ) ( AIRPORT ?auto_20121 ) ( DIFFERENT ?auto_20123 ?auto_20121 ) ( AIRPORT ?auto_20126 ) ( AT ?auto_20120 ?auto_20126 ) ( DIFFERENT ?auto_20121 ?auto_20126 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20120 ?auto_20126 ?auto_20121 )
      ( DELIVER-PKG ?auto_20114 ?auto_20115 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20140
      ?auto_20141
    )
    :vars
    (
      ?auto_20150
      ?auto_20144
      ?auto_20148
      ?auto_20147
      ?auto_20145
      ?auto_20143
      ?auto_20151
      ?auto_20154
      ?auto_20153
    )
    :precondition
    ( and ( OBJ ?auto_20140 ) ( LOCATION ?auto_20141 ) ( TRUCK ?auto_20150 ) ( LOCATION ?auto_20144 ) ( CITY ?auto_20148 ) ( IN-CITY ?auto_20144 ?auto_20148 ) ( IN-CITY ?auto_20141 ?auto_20148 ) ( DIFFERENT ?auto_20141 ?auto_20144 ) ( AIRPLANE ?auto_20147 ) ( IN ?auto_20140 ?auto_20147 ) ( AIRPORT ?auto_20145 ) ( AIRPORT ?auto_20144 ) ( DIFFERENT ?auto_20144 ?auto_20145 ) ( AIRPORT ?auto_20143 ) ( DIFFERENT ?auto_20145 ?auto_20143 ) ( AIRPORT ?auto_20151 ) ( AT ?auto_20147 ?auto_20151 ) ( DIFFERENT ?auto_20143 ?auto_20151 ) ( LOCATION ?auto_20154 ) ( CITY ?auto_20153 ) ( AT ?auto_20150 ?auto_20154 ) ( IN-CITY ?auto_20154 ?auto_20153 ) ( IN-CITY ?auto_20144 ?auto_20153 ) ( DIFFERENT ?auto_20144 ?auto_20154 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20150 ?auto_20154 ?auto_20144 ?auto_20153 )
      ( DELIVER-PKG ?auto_20140 ?auto_20141 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20169
      ?auto_20170
    )
    :vars
    (
      ?auto_20176
      ?auto_20178
      ?auto_20173
      ?auto_20171
      ?auto_20174
      ?auto_20172
      ?auto_20177
      ?auto_20181
      ?auto_20180
      ?auto_20183
    )
    :precondition
    ( and ( OBJ ?auto_20169 ) ( LOCATION ?auto_20170 ) ( TRUCK ?auto_20176 ) ( LOCATION ?auto_20178 ) ( CITY ?auto_20173 ) ( IN-CITY ?auto_20178 ?auto_20173 ) ( IN-CITY ?auto_20170 ?auto_20173 ) ( DIFFERENT ?auto_20170 ?auto_20178 ) ( AIRPLANE ?auto_20171 ) ( AIRPORT ?auto_20174 ) ( AIRPORT ?auto_20178 ) ( DIFFERENT ?auto_20178 ?auto_20174 ) ( AIRPORT ?auto_20172 ) ( DIFFERENT ?auto_20174 ?auto_20172 ) ( AIRPORT ?auto_20177 ) ( AT ?auto_20171 ?auto_20177 ) ( DIFFERENT ?auto_20172 ?auto_20177 ) ( LOCATION ?auto_20181 ) ( CITY ?auto_20180 ) ( AT ?auto_20176 ?auto_20181 ) ( IN-CITY ?auto_20181 ?auto_20180 ) ( IN-CITY ?auto_20178 ?auto_20180 ) ( DIFFERENT ?auto_20178 ?auto_20181 ) ( LOCATION ?auto_20183 ) ( AT ?auto_20169 ?auto_20183 ) ( AT ?auto_20171 ?auto_20183 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_20169 ?auto_20171 ?auto_20183 )
      ( DELIVER-PKG ?auto_20169 ?auto_20170 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20743
      ?auto_20744
    )
    :vars
    (
      ?auto_20745
      ?auto_20753
      ?auto_20754
      ?auto_20749
      ?auto_20752
      ?auto_20746
      ?auto_20751
      ?auto_20747
      ?auto_20756
    )
    :precondition
    ( and ( OBJ ?auto_20743 ) ( LOCATION ?auto_20744 ) ( TRUCK ?auto_20745 ) ( LOCATION ?auto_20753 ) ( CITY ?auto_20754 ) ( AT ?auto_20745 ?auto_20753 ) ( IN-CITY ?auto_20753 ?auto_20754 ) ( IN-CITY ?auto_20744 ?auto_20754 ) ( DIFFERENT ?auto_20744 ?auto_20753 ) ( LOCATION ?auto_20749 ) ( AT ?auto_20745 ?auto_20749 ) ( AIRPLANE ?auto_20752 ) ( AIRPORT ?auto_20746 ) ( AIRPORT ?auto_20749 ) ( AT ?auto_20752 ?auto_20746 ) ( DIFFERENT ?auto_20749 ?auto_20746 ) ( LOCATION ?auto_20751 ) ( AT ?auto_20752 ?auto_20751 ) ( AIRPLANE ?auto_20747 ) ( IN ?auto_20743 ?auto_20747 ) ( AIRPORT ?auto_20756 ) ( AIRPORT ?auto_20751 ) ( AT ?auto_20747 ?auto_20756 ) ( DIFFERENT ?auto_20751 ?auto_20756 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20747 ?auto_20756 ?auto_20751 )
      ( DELIVER-PKG ?auto_20743 ?auto_20744 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20758
      ?auto_20759
    )
    :vars
    (
      ?auto_20763
      ?auto_20764
      ?auto_20765
      ?auto_20761
      ?auto_20768
      ?auto_20769
      ?auto_20766
      ?auto_20770
      ?auto_20760
      ?auto_20772
    )
    :precondition
    ( and ( OBJ ?auto_20758 ) ( LOCATION ?auto_20759 ) ( TRUCK ?auto_20763 ) ( LOCATION ?auto_20764 ) ( CITY ?auto_20765 ) ( AT ?auto_20763 ?auto_20764 ) ( IN-CITY ?auto_20764 ?auto_20765 ) ( IN-CITY ?auto_20759 ?auto_20765 ) ( DIFFERENT ?auto_20759 ?auto_20764 ) ( LOCATION ?auto_20761 ) ( AT ?auto_20763 ?auto_20761 ) ( AIRPLANE ?auto_20768 ) ( AIRPORT ?auto_20769 ) ( AIRPORT ?auto_20761 ) ( AT ?auto_20768 ?auto_20769 ) ( DIFFERENT ?auto_20761 ?auto_20769 ) ( LOCATION ?auto_20766 ) ( AT ?auto_20768 ?auto_20766 ) ( AIRPLANE ?auto_20770 ) ( AIRPORT ?auto_20760 ) ( AIRPORT ?auto_20766 ) ( AT ?auto_20770 ?auto_20760 ) ( DIFFERENT ?auto_20766 ?auto_20760 ) ( LOCATION ?auto_20772 ) ( AT ?auto_20758 ?auto_20772 ) ( AT ?auto_20770 ?auto_20772 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_20758 ?auto_20770 ?auto_20772 )
      ( DELIVER-PKG ?auto_20758 ?auto_20759 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20774
      ?auto_20775
    )
    :vars
    (
      ?auto_20787
      ?auto_20780
      ?auto_20784
      ?auto_20786
      ?auto_20778
      ?auto_20785
      ?auto_20777
      ?auto_20776
      ?auto_20781
      ?auto_20789
    )
    :precondition
    ( and ( OBJ ?auto_20774 ) ( LOCATION ?auto_20775 ) ( TRUCK ?auto_20787 ) ( LOCATION ?auto_20780 ) ( CITY ?auto_20784 ) ( AT ?auto_20787 ?auto_20780 ) ( IN-CITY ?auto_20780 ?auto_20784 ) ( IN-CITY ?auto_20775 ?auto_20784 ) ( DIFFERENT ?auto_20775 ?auto_20780 ) ( LOCATION ?auto_20786 ) ( AT ?auto_20787 ?auto_20786 ) ( AIRPLANE ?auto_20778 ) ( AIRPORT ?auto_20785 ) ( AIRPORT ?auto_20786 ) ( AT ?auto_20778 ?auto_20785 ) ( DIFFERENT ?auto_20786 ?auto_20785 ) ( LOCATION ?auto_20777 ) ( AT ?auto_20778 ?auto_20777 ) ( AIRPLANE ?auto_20776 ) ( AIRPORT ?auto_20781 ) ( AIRPORT ?auto_20777 ) ( DIFFERENT ?auto_20777 ?auto_20781 ) ( LOCATION ?auto_20781 ) ( AT ?auto_20774 ?auto_20781 ) ( AIRPORT ?auto_20789 ) ( AT ?auto_20776 ?auto_20789 ) ( DIFFERENT ?auto_20781 ?auto_20789 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20776 ?auto_20789 ?auto_20781 )
      ( DELIVER-PKG ?auto_20774 ?auto_20775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20791
      ?auto_20792
    )
    :vars
    (
      ?auto_20800
      ?auto_20793
      ?auto_20797
      ?auto_20803
      ?auto_20801
      ?auto_20802
      ?auto_20794
      ?auto_20795
      ?auto_20799
      ?auto_20807
      ?auto_20806
    )
    :precondition
    ( and ( OBJ ?auto_20791 ) ( LOCATION ?auto_20792 ) ( TRUCK ?auto_20800 ) ( LOCATION ?auto_20793 ) ( CITY ?auto_20797 ) ( IN-CITY ?auto_20793 ?auto_20797 ) ( IN-CITY ?auto_20792 ?auto_20797 ) ( DIFFERENT ?auto_20792 ?auto_20793 ) ( AIRPLANE ?auto_20803 ) ( AIRPORT ?auto_20801 ) ( AIRPORT ?auto_20793 ) ( AT ?auto_20803 ?auto_20801 ) ( DIFFERENT ?auto_20793 ?auto_20801 ) ( LOCATION ?auto_20802 ) ( AT ?auto_20803 ?auto_20802 ) ( AIRPLANE ?auto_20794 ) ( AIRPORT ?auto_20795 ) ( AIRPORT ?auto_20802 ) ( DIFFERENT ?auto_20802 ?auto_20795 ) ( LOCATION ?auto_20795 ) ( AT ?auto_20791 ?auto_20795 ) ( AIRPORT ?auto_20799 ) ( AT ?auto_20794 ?auto_20799 ) ( DIFFERENT ?auto_20795 ?auto_20799 ) ( LOCATION ?auto_20807 ) ( CITY ?auto_20806 ) ( AT ?auto_20800 ?auto_20807 ) ( IN-CITY ?auto_20807 ?auto_20806 ) ( IN-CITY ?auto_20793 ?auto_20806 ) ( DIFFERENT ?auto_20793 ?auto_20807 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20800 ?auto_20807 ?auto_20793 ?auto_20806 )
      ( DELIVER-PKG ?auto_20791 ?auto_20792 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20824
      ?auto_20825
    )
    :vars
    (
      ?auto_20832
      ?auto_20829
      ?auto_20837
      ?auto_20836
      ?auto_20834
      ?auto_20833
      ?auto_20835
      ?auto_20838
      ?auto_20826
      ?auto_20830
      ?auto_20840
    )
    :precondition
    ( and ( OBJ ?auto_20824 ) ( LOCATION ?auto_20825 ) ( TRUCK ?auto_20832 ) ( LOCATION ?auto_20829 ) ( CITY ?auto_20837 ) ( IN-CITY ?auto_20829 ?auto_20837 ) ( IN-CITY ?auto_20825 ?auto_20837 ) ( DIFFERENT ?auto_20825 ?auto_20829 ) ( AIRPLANE ?auto_20836 ) ( AIRPORT ?auto_20834 ) ( AIRPORT ?auto_20829 ) ( DIFFERENT ?auto_20829 ?auto_20834 ) ( LOCATION ?auto_20834 ) ( AIRPLANE ?auto_20833 ) ( AIRPORT ?auto_20835 ) ( DIFFERENT ?auto_20834 ?auto_20835 ) ( LOCATION ?auto_20835 ) ( AT ?auto_20824 ?auto_20835 ) ( AIRPORT ?auto_20838 ) ( AT ?auto_20833 ?auto_20838 ) ( DIFFERENT ?auto_20835 ?auto_20838 ) ( LOCATION ?auto_20826 ) ( CITY ?auto_20830 ) ( AT ?auto_20832 ?auto_20826 ) ( IN-CITY ?auto_20826 ?auto_20830 ) ( IN-CITY ?auto_20829 ?auto_20830 ) ( DIFFERENT ?auto_20829 ?auto_20826 ) ( AIRPORT ?auto_20840 ) ( AT ?auto_20836 ?auto_20840 ) ( DIFFERENT ?auto_20834 ?auto_20840 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20836 ?auto_20840 ?auto_20834 )
      ( DELIVER-PKG ?auto_20824 ?auto_20825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20963
      ?auto_20964
    )
    :vars
    (
      ?auto_20969
      ?auto_20965
      ?auto_20966
      ?auto_20968
      ?auto_20972
    )
    :precondition
    ( and ( OBJ ?auto_20963 ) ( LOCATION ?auto_20964 ) ( AIRPLANE ?auto_20969 ) ( AIRPORT ?auto_20965 ) ( AIRPORT ?auto_20964 ) ( DIFFERENT ?auto_20964 ?auto_20965 ) ( LOCATION ?auto_20965 ) ( AT ?auto_20963 ?auto_20965 ) ( AIRPORT ?auto_20966 ) ( DIFFERENT ?auto_20965 ?auto_20966 ) ( AIRPORT ?auto_20968 ) ( DIFFERENT ?auto_20966 ?auto_20968 ) ( AIRPORT ?auto_20972 ) ( AT ?auto_20969 ?auto_20972 ) ( DIFFERENT ?auto_20968 ?auto_20972 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20969 ?auto_20972 ?auto_20968 )
      ( DELIVER-PKG ?auto_20963 ?auto_20964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20992
      ?auto_20993
    )
    :vars
    (
      ?auto_20999
      ?auto_20995
      ?auto_20997
      ?auto_20998
      ?auto_21000
      ?auto_21002
    )
    :precondition
    ( and ( OBJ ?auto_20992 ) ( LOCATION ?auto_20993 ) ( AIRPLANE ?auto_20999 ) ( AIRPORT ?auto_20995 ) ( AIRPORT ?auto_20993 ) ( DIFFERENT ?auto_20993 ?auto_20995 ) ( LOCATION ?auto_20995 ) ( AT ?auto_20992 ?auto_20995 ) ( AIRPORT ?auto_20997 ) ( DIFFERENT ?auto_20995 ?auto_20997 ) ( AIRPORT ?auto_20998 ) ( DIFFERENT ?auto_20997 ?auto_20998 ) ( AIRPORT ?auto_21000 ) ( DIFFERENT ?auto_20998 ?auto_21000 ) ( AIRPORT ?auto_21002 ) ( AT ?auto_20999 ?auto_21002 ) ( DIFFERENT ?auto_21000 ?auto_21002 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20999 ?auto_21002 ?auto_21000 )
      ( DELIVER-PKG ?auto_20992 ?auto_20993 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21014
      ?auto_21015
    )
    :vars
    (
      ?auto_21021
      ?auto_21017
      ?auto_21019
      ?auto_21020
      ?auto_21022
      ?auto_21023
      ?auto_21025
    )
    :precondition
    ( and ( OBJ ?auto_21014 ) ( LOCATION ?auto_21015 ) ( AIRPLANE ?auto_21021 ) ( AIRPORT ?auto_21017 ) ( AIRPORT ?auto_21015 ) ( DIFFERENT ?auto_21015 ?auto_21017 ) ( LOCATION ?auto_21017 ) ( AT ?auto_21014 ?auto_21017 ) ( AIRPORT ?auto_21019 ) ( DIFFERENT ?auto_21017 ?auto_21019 ) ( AIRPORT ?auto_21020 ) ( DIFFERENT ?auto_21019 ?auto_21020 ) ( AIRPORT ?auto_21022 ) ( DIFFERENT ?auto_21020 ?auto_21022 ) ( AIRPORT ?auto_21023 ) ( DIFFERENT ?auto_21022 ?auto_21023 ) ( AIRPORT ?auto_21025 ) ( AT ?auto_21021 ?auto_21025 ) ( DIFFERENT ?auto_21023 ?auto_21025 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_21021 ?auto_21025 ?auto_21023 )
      ( DELIVER-PKG ?auto_21014 ?auto_21015 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21738
      ?auto_21739
    )
    :vars
    (
      ?auto_21744
      ?auto_21742
      ?auto_21745
      ?auto_21741
      ?auto_21743
      ?auto_21747
      ?auto_21751
      ?auto_21750
    )
    :precondition
    ( and ( OBJ ?auto_21738 ) ( LOCATION ?auto_21739 ) ( TRUCK ?auto_21744 ) ( LOCATION ?auto_21742 ) ( CITY ?auto_21745 ) ( IN-CITY ?auto_21742 ?auto_21745 ) ( IN-CITY ?auto_21739 ?auto_21745 ) ( DIFFERENT ?auto_21739 ?auto_21742 ) ( AIRPLANE ?auto_21741 ) ( AIRPORT ?auto_21743 ) ( AIRPORT ?auto_21742 ) ( AT ?auto_21741 ?auto_21743 ) ( DIFFERENT ?auto_21742 ?auto_21743 ) ( LOCATION ?auto_21747 ) ( AT ?auto_21738 ?auto_21747 ) ( AT ?auto_21741 ?auto_21747 ) ( LOCATION ?auto_21751 ) ( CITY ?auto_21750 ) ( AT ?auto_21744 ?auto_21751 ) ( IN-CITY ?auto_21751 ?auto_21750 ) ( IN-CITY ?auto_21742 ?auto_21750 ) ( DIFFERENT ?auto_21742 ?auto_21751 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21744 ?auto_21751 ?auto_21742 ?auto_21750 )
      ( DELIVER-PKG ?auto_21738 ?auto_21739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21765
      ?auto_21766
    )
    :vars
    (
      ?auto_21774
      ?auto_21767
      ?auto_21771
      ?auto_21768
      ?auto_21772
      ?auto_21770
      ?auto_21769
      ?auto_21778
    )
    :precondition
    ( and ( OBJ ?auto_21765 ) ( LOCATION ?auto_21766 ) ( TRUCK ?auto_21774 ) ( LOCATION ?auto_21767 ) ( CITY ?auto_21771 ) ( IN-CITY ?auto_21767 ?auto_21771 ) ( IN-CITY ?auto_21766 ?auto_21771 ) ( DIFFERENT ?auto_21766 ?auto_21767 ) ( AIRPLANE ?auto_21768 ) ( AIRPORT ?auto_21772 ) ( AIRPORT ?auto_21767 ) ( DIFFERENT ?auto_21767 ?auto_21772 ) ( LOCATION ?auto_21772 ) ( AT ?auto_21765 ?auto_21772 ) ( LOCATION ?auto_21770 ) ( CITY ?auto_21769 ) ( AT ?auto_21774 ?auto_21770 ) ( IN-CITY ?auto_21770 ?auto_21769 ) ( IN-CITY ?auto_21767 ?auto_21769 ) ( DIFFERENT ?auto_21767 ?auto_21770 ) ( AIRPORT ?auto_21778 ) ( AT ?auto_21768 ?auto_21778 ) ( DIFFERENT ?auto_21772 ?auto_21778 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_21768 ?auto_21778 ?auto_21772 )
      ( DELIVER-PKG ?auto_21765 ?auto_21766 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22064
      ?auto_22065
    )
    :vars
    (
      ?auto_22068
      ?auto_22070
      ?auto_22071
      ?auto_22072
      ?auto_22073
      ?auto_22074
      ?auto_22077
      ?auto_22076
    )
    :precondition
    ( and ( OBJ ?auto_22064 ) ( LOCATION ?auto_22065 ) ( TRUCK ?auto_22068 ) ( LOCATION ?auto_22070 ) ( CITY ?auto_22071 ) ( IN-CITY ?auto_22070 ?auto_22071 ) ( IN-CITY ?auto_22065 ?auto_22071 ) ( DIFFERENT ?auto_22065 ?auto_22070 ) ( AIRPLANE ?auto_22072 ) ( AIRPORT ?auto_22073 ) ( AIRPORT ?auto_22070 ) ( DIFFERENT ?auto_22070 ?auto_22073 ) ( LOCATION ?auto_22073 ) ( AT ?auto_22064 ?auto_22073 ) ( AIRPORT ?auto_22074 ) ( AT ?auto_22072 ?auto_22074 ) ( DIFFERENT ?auto_22073 ?auto_22074 ) ( LOCATION ?auto_22077 ) ( CITY ?auto_22076 ) ( AT ?auto_22068 ?auto_22077 ) ( IN-CITY ?auto_22077 ?auto_22076 ) ( IN-CITY ?auto_22070 ?auto_22076 ) ( DIFFERENT ?auto_22070 ?auto_22077 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22068 ?auto_22077 ?auto_22070 ?auto_22076 )
      ( DELIVER-PKG ?auto_22064 ?auto_22065 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22103
      ?auto_22104
    )
    :vars
    (
      ?auto_22107
      ?auto_22108
      ?auto_22109
      ?auto_22110
      ?auto_22111
      ?auto_22112
      ?auto_22114
      ?auto_22113
      ?auto_22116
    )
    :precondition
    ( and ( OBJ ?auto_22103 ) ( LOCATION ?auto_22104 ) ( TRUCK ?auto_22107 ) ( LOCATION ?auto_22108 ) ( CITY ?auto_22109 ) ( IN-CITY ?auto_22108 ?auto_22109 ) ( IN-CITY ?auto_22104 ?auto_22109 ) ( DIFFERENT ?auto_22104 ?auto_22108 ) ( AIRPLANE ?auto_22110 ) ( AIRPORT ?auto_22111 ) ( AIRPORT ?auto_22108 ) ( DIFFERENT ?auto_22108 ?auto_22111 ) ( LOCATION ?auto_22111 ) ( AT ?auto_22103 ?auto_22111 ) ( AIRPORT ?auto_22112 ) ( DIFFERENT ?auto_22111 ?auto_22112 ) ( LOCATION ?auto_22114 ) ( CITY ?auto_22113 ) ( AT ?auto_22107 ?auto_22114 ) ( IN-CITY ?auto_22114 ?auto_22113 ) ( IN-CITY ?auto_22108 ?auto_22113 ) ( DIFFERENT ?auto_22108 ?auto_22114 ) ( AIRPORT ?auto_22116 ) ( AT ?auto_22110 ?auto_22116 ) ( DIFFERENT ?auto_22112 ?auto_22116 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22110 ?auto_22116 ?auto_22112 )
      ( DELIVER-PKG ?auto_22103 ?auto_22104 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23108
      ?auto_23109
    )
    :vars
    (
      ?auto_23117
      ?auto_23115
      ?auto_23114
      ?auto_23111
      ?auto_23116
      ?auto_23113
      ?auto_23112
      ?auto_23120
      ?auto_23119
      ?auto_23123
      ?auto_23122
    )
    :precondition
    ( and ( OBJ ?auto_23108 ) ( LOCATION ?auto_23109 ) ( TRUCK ?auto_23117 ) ( IN ?auto_23108 ?auto_23117 ) ( LOCATION ?auto_23115 ) ( CITY ?auto_23114 ) ( IN-CITY ?auto_23115 ?auto_23114 ) ( IN-CITY ?auto_23109 ?auto_23114 ) ( DIFFERENT ?auto_23109 ?auto_23115 ) ( LOCATION ?auto_23111 ) ( CITY ?auto_23116 ) ( IN-CITY ?auto_23111 ?auto_23116 ) ( IN-CITY ?auto_23115 ?auto_23116 ) ( DIFFERENT ?auto_23115 ?auto_23111 ) ( LOCATION ?auto_23113 ) ( CITY ?auto_23112 ) ( IN-CITY ?auto_23113 ?auto_23112 ) ( IN-CITY ?auto_23111 ?auto_23112 ) ( DIFFERENT ?auto_23111 ?auto_23113 ) ( LOCATION ?auto_23120 ) ( CITY ?auto_23119 ) ( IN-CITY ?auto_23120 ?auto_23119 ) ( IN-CITY ?auto_23113 ?auto_23119 ) ( DIFFERENT ?auto_23113 ?auto_23120 ) ( LOCATION ?auto_23123 ) ( CITY ?auto_23122 ) ( AT ?auto_23117 ?auto_23123 ) ( IN-CITY ?auto_23123 ?auto_23122 ) ( IN-CITY ?auto_23120 ?auto_23122 ) ( DIFFERENT ?auto_23120 ?auto_23123 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23117 ?auto_23123 ?auto_23120 ?auto_23122 )
      ( DELIVER-PKG ?auto_23108 ?auto_23109 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23155
      ?auto_23156
    )
    :vars
    (
      ?auto_23159
      ?auto_23157
      ?auto_23167
      ?auto_23160
      ?auto_23158
      ?auto_23166
      ?auto_23168
      ?auto_23163
      ?auto_23162
      ?auto_23165
      ?auto_23164
      ?auto_23171
    )
    :precondition
    ( and ( OBJ ?auto_23155 ) ( LOCATION ?auto_23156 ) ( TRUCK ?auto_23159 ) ( LOCATION ?auto_23157 ) ( CITY ?auto_23167 ) ( IN-CITY ?auto_23157 ?auto_23167 ) ( IN-CITY ?auto_23156 ?auto_23167 ) ( DIFFERENT ?auto_23156 ?auto_23157 ) ( LOCATION ?auto_23160 ) ( CITY ?auto_23158 ) ( IN-CITY ?auto_23160 ?auto_23158 ) ( IN-CITY ?auto_23157 ?auto_23158 ) ( DIFFERENT ?auto_23157 ?auto_23160 ) ( LOCATION ?auto_23166 ) ( CITY ?auto_23168 ) ( IN-CITY ?auto_23166 ?auto_23168 ) ( IN-CITY ?auto_23160 ?auto_23168 ) ( DIFFERENT ?auto_23160 ?auto_23166 ) ( LOCATION ?auto_23163 ) ( CITY ?auto_23162 ) ( IN-CITY ?auto_23163 ?auto_23162 ) ( IN-CITY ?auto_23166 ?auto_23162 ) ( DIFFERENT ?auto_23166 ?auto_23163 ) ( LOCATION ?auto_23165 ) ( CITY ?auto_23164 ) ( AT ?auto_23159 ?auto_23165 ) ( IN-CITY ?auto_23165 ?auto_23164 ) ( IN-CITY ?auto_23163 ?auto_23164 ) ( DIFFERENT ?auto_23163 ?auto_23165 ) ( LOCATION ?auto_23171 ) ( AT ?auto_23159 ?auto_23171 ) ( AT ?auto_23155 ?auto_23171 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23155 ?auto_23159 ?auto_23171 )
      ( DELIVER-PKG ?auto_23155 ?auto_23156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23189
      ?auto_23190
    )
    :vars
    (
      ?auto_23198
      ?auto_23202
      ?auto_23196
      ?auto_23200
      ?auto_23197
      ?auto_23195
      ?auto_23203
      ?auto_23192
      ?auto_23201
      ?auto_23204
      ?auto_23193
      ?auto_23207
      ?auto_23206
    )
    :precondition
    ( and ( OBJ ?auto_23189 ) ( LOCATION ?auto_23190 ) ( TRUCK ?auto_23198 ) ( LOCATION ?auto_23202 ) ( CITY ?auto_23196 ) ( IN-CITY ?auto_23202 ?auto_23196 ) ( IN-CITY ?auto_23190 ?auto_23196 ) ( DIFFERENT ?auto_23190 ?auto_23202 ) ( LOCATION ?auto_23200 ) ( CITY ?auto_23197 ) ( IN-CITY ?auto_23200 ?auto_23197 ) ( IN-CITY ?auto_23202 ?auto_23197 ) ( DIFFERENT ?auto_23202 ?auto_23200 ) ( LOCATION ?auto_23195 ) ( CITY ?auto_23203 ) ( IN-CITY ?auto_23195 ?auto_23203 ) ( IN-CITY ?auto_23200 ?auto_23203 ) ( DIFFERENT ?auto_23200 ?auto_23195 ) ( LOCATION ?auto_23192 ) ( CITY ?auto_23201 ) ( IN-CITY ?auto_23192 ?auto_23201 ) ( IN-CITY ?auto_23195 ?auto_23201 ) ( DIFFERENT ?auto_23195 ?auto_23192 ) ( LOCATION ?auto_23204 ) ( CITY ?auto_23193 ) ( IN-CITY ?auto_23204 ?auto_23193 ) ( IN-CITY ?auto_23192 ?auto_23193 ) ( DIFFERENT ?auto_23192 ?auto_23204 ) ( AT ?auto_23189 ?auto_23204 ) ( LOCATION ?auto_23207 ) ( CITY ?auto_23206 ) ( AT ?auto_23198 ?auto_23207 ) ( IN-CITY ?auto_23207 ?auto_23206 ) ( IN-CITY ?auto_23204 ?auto_23206 ) ( DIFFERENT ?auto_23204 ?auto_23207 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23198 ?auto_23207 ?auto_23204 ?auto_23206 )
      ( DELIVER-PKG ?auto_23189 ?auto_23190 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23244
      ?auto_23245
    )
    :vars
    (
      ?auto_23248
      ?auto_23246
      ?auto_23251
      ?auto_23250
      ?auto_23249
      ?auto_23255
      ?auto_23254
    )
    :precondition
    ( and ( OBJ ?auto_23244 ) ( LOCATION ?auto_23245 ) ( AIRPLANE ?auto_23248 ) ( AT ?auto_23248 ?auto_23245 ) ( LOCATION ?auto_23246 ) ( AT ?auto_23248 ?auto_23246 ) ( TRUCK ?auto_23251 ) ( IN ?auto_23244 ?auto_23251 ) ( LOCATION ?auto_23250 ) ( CITY ?auto_23249 ) ( IN-CITY ?auto_23250 ?auto_23249 ) ( IN-CITY ?auto_23246 ?auto_23249 ) ( DIFFERENT ?auto_23246 ?auto_23250 ) ( LOCATION ?auto_23255 ) ( CITY ?auto_23254 ) ( AT ?auto_23251 ?auto_23255 ) ( IN-CITY ?auto_23255 ?auto_23254 ) ( IN-CITY ?auto_23250 ?auto_23254 ) ( DIFFERENT ?auto_23250 ?auto_23255 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23251 ?auto_23255 ?auto_23250 ?auto_23254 )
      ( DELIVER-PKG ?auto_23244 ?auto_23245 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23257
      ?auto_23258
    )
    :vars
    (
      ?auto_23266
      ?auto_23267
      ?auto_23264
      ?auto_23263
      ?auto_23261
      ?auto_23265
      ?auto_23260
      ?auto_23270
      ?auto_23269
    )
    :precondition
    ( and ( OBJ ?auto_23257 ) ( LOCATION ?auto_23258 ) ( AIRPLANE ?auto_23266 ) ( AT ?auto_23266 ?auto_23258 ) ( LOCATION ?auto_23267 ) ( AT ?auto_23266 ?auto_23267 ) ( TRUCK ?auto_23264 ) ( IN ?auto_23257 ?auto_23264 ) ( LOCATION ?auto_23263 ) ( CITY ?auto_23261 ) ( IN-CITY ?auto_23263 ?auto_23261 ) ( IN-CITY ?auto_23267 ?auto_23261 ) ( DIFFERENT ?auto_23267 ?auto_23263 ) ( LOCATION ?auto_23265 ) ( CITY ?auto_23260 ) ( IN-CITY ?auto_23265 ?auto_23260 ) ( IN-CITY ?auto_23263 ?auto_23260 ) ( DIFFERENT ?auto_23263 ?auto_23265 ) ( LOCATION ?auto_23270 ) ( CITY ?auto_23269 ) ( AT ?auto_23264 ?auto_23270 ) ( IN-CITY ?auto_23270 ?auto_23269 ) ( IN-CITY ?auto_23265 ?auto_23269 ) ( DIFFERENT ?auto_23265 ?auto_23270 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23264 ?auto_23270 ?auto_23265 ?auto_23269 )
      ( DELIVER-PKG ?auto_23257 ?auto_23258 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23298
      ?auto_23299
    )
    :vars
    (
      ?auto_23305
      ?auto_23308
      ?auto_23304
      ?auto_23307
      ?auto_23310
      ?auto_23300
      ?auto_23309
      ?auto_23303
      ?auto_23302
      ?auto_23313
      ?auto_23312
    )
    :precondition
    ( and ( OBJ ?auto_23298 ) ( LOCATION ?auto_23299 ) ( AIRPLANE ?auto_23305 ) ( AT ?auto_23305 ?auto_23299 ) ( LOCATION ?auto_23308 ) ( AT ?auto_23305 ?auto_23308 ) ( TRUCK ?auto_23304 ) ( IN ?auto_23298 ?auto_23304 ) ( LOCATION ?auto_23307 ) ( CITY ?auto_23310 ) ( IN-CITY ?auto_23307 ?auto_23310 ) ( IN-CITY ?auto_23308 ?auto_23310 ) ( DIFFERENT ?auto_23308 ?auto_23307 ) ( LOCATION ?auto_23300 ) ( CITY ?auto_23309 ) ( IN-CITY ?auto_23300 ?auto_23309 ) ( IN-CITY ?auto_23307 ?auto_23309 ) ( DIFFERENT ?auto_23307 ?auto_23300 ) ( LOCATION ?auto_23303 ) ( CITY ?auto_23302 ) ( IN-CITY ?auto_23303 ?auto_23302 ) ( IN-CITY ?auto_23300 ?auto_23302 ) ( DIFFERENT ?auto_23300 ?auto_23303 ) ( LOCATION ?auto_23313 ) ( CITY ?auto_23312 ) ( AT ?auto_23304 ?auto_23313 ) ( IN-CITY ?auto_23313 ?auto_23312 ) ( IN-CITY ?auto_23303 ?auto_23312 ) ( DIFFERENT ?auto_23303 ?auto_23313 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23304 ?auto_23313 ?auto_23303 ?auto_23312 )
      ( DELIVER-PKG ?auto_23298 ?auto_23299 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23330
      ?auto_23331
    )
    :vars
    (
      ?auto_23336
      ?auto_23338
      ?auto_23333
      ?auto_23337
      ?auto_23342
      ?auto_23340
      ?auto_23339
      ?auto_23332
      ?auto_23335
      ?auto_23344
      ?auto_23343
      ?auto_23347
      ?auto_23346
    )
    :precondition
    ( and ( OBJ ?auto_23330 ) ( LOCATION ?auto_23331 ) ( AIRPLANE ?auto_23336 ) ( AT ?auto_23336 ?auto_23331 ) ( LOCATION ?auto_23338 ) ( AT ?auto_23336 ?auto_23338 ) ( TRUCK ?auto_23333 ) ( IN ?auto_23330 ?auto_23333 ) ( LOCATION ?auto_23337 ) ( CITY ?auto_23342 ) ( IN-CITY ?auto_23337 ?auto_23342 ) ( IN-CITY ?auto_23338 ?auto_23342 ) ( DIFFERENT ?auto_23338 ?auto_23337 ) ( LOCATION ?auto_23340 ) ( CITY ?auto_23339 ) ( IN-CITY ?auto_23340 ?auto_23339 ) ( IN-CITY ?auto_23337 ?auto_23339 ) ( DIFFERENT ?auto_23337 ?auto_23340 ) ( LOCATION ?auto_23332 ) ( CITY ?auto_23335 ) ( IN-CITY ?auto_23332 ?auto_23335 ) ( IN-CITY ?auto_23340 ?auto_23335 ) ( DIFFERENT ?auto_23340 ?auto_23332 ) ( LOCATION ?auto_23344 ) ( CITY ?auto_23343 ) ( IN-CITY ?auto_23344 ?auto_23343 ) ( IN-CITY ?auto_23332 ?auto_23343 ) ( DIFFERENT ?auto_23332 ?auto_23344 ) ( LOCATION ?auto_23347 ) ( CITY ?auto_23346 ) ( AT ?auto_23333 ?auto_23347 ) ( IN-CITY ?auto_23347 ?auto_23346 ) ( IN-CITY ?auto_23344 ?auto_23346 ) ( DIFFERENT ?auto_23344 ?auto_23347 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23333 ?auto_23347 ?auto_23344 ?auto_23346 )
      ( DELIVER-PKG ?auto_23330 ?auto_23331 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23383
      ?auto_23384
    )
    :vars
    (
      ?auto_23388
      ?auto_23390
      ?auto_23386
      ?auto_23389
      ?auto_23393
      ?auto_23392
      ?auto_23391
      ?auto_23396
      ?auto_23387
      ?auto_23395
      ?auto_23394
      ?auto_23399
      ?auto_23398
      ?auto_23401
    )
    :precondition
    ( and ( OBJ ?auto_23383 ) ( LOCATION ?auto_23384 ) ( AIRPLANE ?auto_23388 ) ( AT ?auto_23388 ?auto_23384 ) ( LOCATION ?auto_23390 ) ( AT ?auto_23388 ?auto_23390 ) ( TRUCK ?auto_23386 ) ( LOCATION ?auto_23389 ) ( CITY ?auto_23393 ) ( IN-CITY ?auto_23389 ?auto_23393 ) ( IN-CITY ?auto_23390 ?auto_23393 ) ( DIFFERENT ?auto_23390 ?auto_23389 ) ( LOCATION ?auto_23392 ) ( CITY ?auto_23391 ) ( IN-CITY ?auto_23392 ?auto_23391 ) ( IN-CITY ?auto_23389 ?auto_23391 ) ( DIFFERENT ?auto_23389 ?auto_23392 ) ( LOCATION ?auto_23396 ) ( CITY ?auto_23387 ) ( IN-CITY ?auto_23396 ?auto_23387 ) ( IN-CITY ?auto_23392 ?auto_23387 ) ( DIFFERENT ?auto_23392 ?auto_23396 ) ( LOCATION ?auto_23395 ) ( CITY ?auto_23394 ) ( IN-CITY ?auto_23395 ?auto_23394 ) ( IN-CITY ?auto_23396 ?auto_23394 ) ( DIFFERENT ?auto_23396 ?auto_23395 ) ( LOCATION ?auto_23399 ) ( CITY ?auto_23398 ) ( AT ?auto_23386 ?auto_23399 ) ( IN-CITY ?auto_23399 ?auto_23398 ) ( IN-CITY ?auto_23395 ?auto_23398 ) ( DIFFERENT ?auto_23395 ?auto_23399 ) ( LOCATION ?auto_23401 ) ( AT ?auto_23386 ?auto_23401 ) ( AT ?auto_23383 ?auto_23401 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23383 ?auto_23386 ?auto_23401 )
      ( DELIVER-PKG ?auto_23383 ?auto_23384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23421
      ?auto_23422
    )
    :vars
    (
      ?auto_23431
      ?auto_23426
      ?auto_23429
      ?auto_23425
      ?auto_23433
      ?auto_23432
      ?auto_23427
      ?auto_23436
      ?auto_23430
      ?auto_23435
      ?auto_23434
      ?auto_23428
      ?auto_23437
      ?auto_23441
      ?auto_23440
    )
    :precondition
    ( and ( OBJ ?auto_23421 ) ( LOCATION ?auto_23422 ) ( AIRPLANE ?auto_23431 ) ( AT ?auto_23431 ?auto_23422 ) ( LOCATION ?auto_23426 ) ( AT ?auto_23431 ?auto_23426 ) ( TRUCK ?auto_23429 ) ( LOCATION ?auto_23425 ) ( CITY ?auto_23433 ) ( IN-CITY ?auto_23425 ?auto_23433 ) ( IN-CITY ?auto_23426 ?auto_23433 ) ( DIFFERENT ?auto_23426 ?auto_23425 ) ( LOCATION ?auto_23432 ) ( CITY ?auto_23427 ) ( IN-CITY ?auto_23432 ?auto_23427 ) ( IN-CITY ?auto_23425 ?auto_23427 ) ( DIFFERENT ?auto_23425 ?auto_23432 ) ( LOCATION ?auto_23436 ) ( CITY ?auto_23430 ) ( IN-CITY ?auto_23436 ?auto_23430 ) ( IN-CITY ?auto_23432 ?auto_23430 ) ( DIFFERENT ?auto_23432 ?auto_23436 ) ( LOCATION ?auto_23435 ) ( CITY ?auto_23434 ) ( IN-CITY ?auto_23435 ?auto_23434 ) ( IN-CITY ?auto_23436 ?auto_23434 ) ( DIFFERENT ?auto_23436 ?auto_23435 ) ( LOCATION ?auto_23428 ) ( CITY ?auto_23437 ) ( IN-CITY ?auto_23428 ?auto_23437 ) ( IN-CITY ?auto_23435 ?auto_23437 ) ( DIFFERENT ?auto_23435 ?auto_23428 ) ( AT ?auto_23421 ?auto_23428 ) ( LOCATION ?auto_23441 ) ( CITY ?auto_23440 ) ( AT ?auto_23429 ?auto_23441 ) ( IN-CITY ?auto_23441 ?auto_23440 ) ( IN-CITY ?auto_23428 ?auto_23440 ) ( DIFFERENT ?auto_23428 ?auto_23441 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23429 ?auto_23441 ?auto_23428 ?auto_23440 )
      ( DELIVER-PKG ?auto_23421 ?auto_23422 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23821
      ?auto_23822
    )
    :vars
    (
      ?auto_23823
      ?auto_23826
      ?auto_23824
      ?auto_23827
      ?auto_23830
      ?auto_23829
      ?auto_23832
    )
    :precondition
    ( and ( OBJ ?auto_23821 ) ( LOCATION ?auto_23822 ) ( AIRPLANE ?auto_23823 ) ( AIRPORT ?auto_23826 ) ( AIRPORT ?auto_23822 ) ( DIFFERENT ?auto_23822 ?auto_23826 ) ( LOCATION ?auto_23826 ) ( AIRPORT ?auto_23824 ) ( AT ?auto_23823 ?auto_23824 ) ( DIFFERENT ?auto_23826 ?auto_23824 ) ( TRUCK ?auto_23827 ) ( LOCATION ?auto_23830 ) ( CITY ?auto_23829 ) ( AT ?auto_23827 ?auto_23830 ) ( IN-CITY ?auto_23830 ?auto_23829 ) ( IN-CITY ?auto_23826 ?auto_23829 ) ( DIFFERENT ?auto_23826 ?auto_23830 ) ( LOCATION ?auto_23832 ) ( AT ?auto_23827 ?auto_23832 ) ( AT ?auto_23821 ?auto_23832 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23821 ?auto_23827 ?auto_23832 )
      ( DELIVER-PKG ?auto_23821 ?auto_23822 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23979
      ?auto_23980
    )
    :vars
    (
      ?auto_23991
      ?auto_23984
      ?auto_23987
      ?auto_23990
      ?auto_23983
      ?auto_23986
      ?auto_23989
      ?auto_23981
      ?auto_23985
      ?auto_23994
      ?auto_23993
    )
    :precondition
    ( and ( OBJ ?auto_23979 ) ( LOCATION ?auto_23980 ) ( AIRPLANE ?auto_23991 ) ( AIRPORT ?auto_23984 ) ( AIRPORT ?auto_23980 ) ( DIFFERENT ?auto_23980 ?auto_23984 ) ( AIRPORT ?auto_23987 ) ( AT ?auto_23991 ?auto_23987 ) ( DIFFERENT ?auto_23984 ?auto_23987 ) ( LOCATION ?auto_23990 ) ( AT ?auto_23991 ?auto_23990 ) ( AIRPLANE ?auto_23983 ) ( AT ?auto_23983 ?auto_23990 ) ( LOCATION ?auto_23986 ) ( AT ?auto_23983 ?auto_23986 ) ( TRUCK ?auto_23989 ) ( IN ?auto_23979 ?auto_23989 ) ( LOCATION ?auto_23981 ) ( CITY ?auto_23985 ) ( IN-CITY ?auto_23981 ?auto_23985 ) ( IN-CITY ?auto_23986 ?auto_23985 ) ( DIFFERENT ?auto_23986 ?auto_23981 ) ( LOCATION ?auto_23994 ) ( CITY ?auto_23993 ) ( AT ?auto_23989 ?auto_23994 ) ( IN-CITY ?auto_23994 ?auto_23993 ) ( IN-CITY ?auto_23981 ?auto_23993 ) ( DIFFERENT ?auto_23981 ?auto_23994 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23989 ?auto_23994 ?auto_23981 ?auto_23993 )
      ( DELIVER-PKG ?auto_23979 ?auto_23980 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23996
      ?auto_23997
    )
    :vars
    (
      ?auto_24002
      ?auto_24008
      ?auto_23999
      ?auto_24001
      ?auto_24007
      ?auto_24010
      ?auto_23998
      ?auto_24006
      ?auto_24009
      ?auto_24004
      ?auto_24003
      ?auto_24013
      ?auto_24012
    )
    :precondition
    ( and ( OBJ ?auto_23996 ) ( LOCATION ?auto_23997 ) ( AIRPLANE ?auto_24002 ) ( AIRPORT ?auto_24008 ) ( AIRPORT ?auto_23997 ) ( DIFFERENT ?auto_23997 ?auto_24008 ) ( AIRPORT ?auto_23999 ) ( AT ?auto_24002 ?auto_23999 ) ( DIFFERENT ?auto_24008 ?auto_23999 ) ( LOCATION ?auto_24001 ) ( AT ?auto_24002 ?auto_24001 ) ( AIRPLANE ?auto_24007 ) ( AT ?auto_24007 ?auto_24001 ) ( LOCATION ?auto_24010 ) ( AT ?auto_24007 ?auto_24010 ) ( TRUCK ?auto_23998 ) ( IN ?auto_23996 ?auto_23998 ) ( LOCATION ?auto_24006 ) ( CITY ?auto_24009 ) ( IN-CITY ?auto_24006 ?auto_24009 ) ( IN-CITY ?auto_24010 ?auto_24009 ) ( DIFFERENT ?auto_24010 ?auto_24006 ) ( LOCATION ?auto_24004 ) ( CITY ?auto_24003 ) ( IN-CITY ?auto_24004 ?auto_24003 ) ( IN-CITY ?auto_24006 ?auto_24003 ) ( DIFFERENT ?auto_24006 ?auto_24004 ) ( LOCATION ?auto_24013 ) ( CITY ?auto_24012 ) ( AT ?auto_23998 ?auto_24013 ) ( IN-CITY ?auto_24013 ?auto_24012 ) ( IN-CITY ?auto_24004 ?auto_24012 ) ( DIFFERENT ?auto_24004 ?auto_24013 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23998 ?auto_24013 ?auto_24004 ?auto_24012 )
      ( DELIVER-PKG ?auto_23996 ?auto_23997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24049
      ?auto_24050
    )
    :vars
    (
      ?auto_24062
      ?auto_24052
      ?auto_24058
      ?auto_24061
      ?auto_24054
      ?auto_24056
      ?auto_24055
      ?auto_24065
      ?auto_24051
      ?auto_24064
      ?auto_24063
      ?auto_24060
      ?auto_24059
      ?auto_24068
      ?auto_24067
    )
    :precondition
    ( and ( OBJ ?auto_24049 ) ( LOCATION ?auto_24050 ) ( AIRPLANE ?auto_24062 ) ( AIRPORT ?auto_24052 ) ( AIRPORT ?auto_24050 ) ( DIFFERENT ?auto_24050 ?auto_24052 ) ( AIRPORT ?auto_24058 ) ( AT ?auto_24062 ?auto_24058 ) ( DIFFERENT ?auto_24052 ?auto_24058 ) ( LOCATION ?auto_24061 ) ( AT ?auto_24062 ?auto_24061 ) ( AIRPLANE ?auto_24054 ) ( AT ?auto_24054 ?auto_24061 ) ( LOCATION ?auto_24056 ) ( AT ?auto_24054 ?auto_24056 ) ( TRUCK ?auto_24055 ) ( IN ?auto_24049 ?auto_24055 ) ( LOCATION ?auto_24065 ) ( CITY ?auto_24051 ) ( IN-CITY ?auto_24065 ?auto_24051 ) ( IN-CITY ?auto_24056 ?auto_24051 ) ( DIFFERENT ?auto_24056 ?auto_24065 ) ( LOCATION ?auto_24064 ) ( CITY ?auto_24063 ) ( IN-CITY ?auto_24064 ?auto_24063 ) ( IN-CITY ?auto_24065 ?auto_24063 ) ( DIFFERENT ?auto_24065 ?auto_24064 ) ( LOCATION ?auto_24060 ) ( CITY ?auto_24059 ) ( IN-CITY ?auto_24060 ?auto_24059 ) ( IN-CITY ?auto_24064 ?auto_24059 ) ( DIFFERENT ?auto_24064 ?auto_24060 ) ( LOCATION ?auto_24068 ) ( CITY ?auto_24067 ) ( AT ?auto_24055 ?auto_24068 ) ( IN-CITY ?auto_24068 ?auto_24067 ) ( IN-CITY ?auto_24060 ?auto_24067 ) ( DIFFERENT ?auto_24060 ?auto_24068 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24055 ?auto_24068 ?auto_24060 ?auto_24067 )
      ( DELIVER-PKG ?auto_24049 ?auto_24050 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24089
      ?auto_24090
    )
    :vars
    (
      ?auto_24104
      ?auto_24093
      ?auto_24103
      ?auto_24100
      ?auto_24094
      ?auto_24096
      ?auto_24095
      ?auto_24106
      ?auto_24092
      ?auto_24105
      ?auto_24098
      ?auto_24101
      ?auto_24102
      ?auto_24107
      ?auto_24099
      ?auto_24110
      ?auto_24109
    )
    :precondition
    ( and ( OBJ ?auto_24089 ) ( LOCATION ?auto_24090 ) ( AIRPLANE ?auto_24104 ) ( AIRPORT ?auto_24093 ) ( AIRPORT ?auto_24090 ) ( DIFFERENT ?auto_24090 ?auto_24093 ) ( AIRPORT ?auto_24103 ) ( AT ?auto_24104 ?auto_24103 ) ( DIFFERENT ?auto_24093 ?auto_24103 ) ( LOCATION ?auto_24100 ) ( AT ?auto_24104 ?auto_24100 ) ( AIRPLANE ?auto_24094 ) ( AT ?auto_24094 ?auto_24100 ) ( LOCATION ?auto_24096 ) ( AT ?auto_24094 ?auto_24096 ) ( TRUCK ?auto_24095 ) ( IN ?auto_24089 ?auto_24095 ) ( LOCATION ?auto_24106 ) ( CITY ?auto_24092 ) ( IN-CITY ?auto_24106 ?auto_24092 ) ( IN-CITY ?auto_24096 ?auto_24092 ) ( DIFFERENT ?auto_24096 ?auto_24106 ) ( LOCATION ?auto_24105 ) ( CITY ?auto_24098 ) ( IN-CITY ?auto_24105 ?auto_24098 ) ( IN-CITY ?auto_24106 ?auto_24098 ) ( DIFFERENT ?auto_24106 ?auto_24105 ) ( LOCATION ?auto_24101 ) ( CITY ?auto_24102 ) ( IN-CITY ?auto_24101 ?auto_24102 ) ( IN-CITY ?auto_24105 ?auto_24102 ) ( DIFFERENT ?auto_24105 ?auto_24101 ) ( LOCATION ?auto_24107 ) ( CITY ?auto_24099 ) ( IN-CITY ?auto_24107 ?auto_24099 ) ( IN-CITY ?auto_24101 ?auto_24099 ) ( DIFFERENT ?auto_24101 ?auto_24107 ) ( LOCATION ?auto_24110 ) ( CITY ?auto_24109 ) ( AT ?auto_24095 ?auto_24110 ) ( IN-CITY ?auto_24110 ?auto_24109 ) ( IN-CITY ?auto_24107 ?auto_24109 ) ( DIFFERENT ?auto_24107 ?auto_24110 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24095 ?auto_24110 ?auto_24107 ?auto_24109 )
      ( DELIVER-PKG ?auto_24089 ?auto_24090 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24154
      ?auto_24155
    )
    :vars
    (
      ?auto_24170
      ?auto_24164
      ?auto_24169
      ?auto_24166
      ?auto_24160
      ?auto_24157
      ?auto_24165
      ?auto_24172
      ?auto_24161
      ?auto_24171
      ?auto_24158
      ?auto_24167
      ?auto_24168
      ?auto_24173
      ?auto_24159
      ?auto_24174
      ?auto_24163
      ?auto_24176
    )
    :precondition
    ( and ( OBJ ?auto_24154 ) ( LOCATION ?auto_24155 ) ( AIRPLANE ?auto_24170 ) ( AIRPORT ?auto_24164 ) ( AIRPORT ?auto_24155 ) ( DIFFERENT ?auto_24155 ?auto_24164 ) ( AIRPORT ?auto_24169 ) ( AT ?auto_24170 ?auto_24169 ) ( DIFFERENT ?auto_24164 ?auto_24169 ) ( LOCATION ?auto_24166 ) ( AT ?auto_24170 ?auto_24166 ) ( AIRPLANE ?auto_24160 ) ( AT ?auto_24160 ?auto_24166 ) ( LOCATION ?auto_24157 ) ( AT ?auto_24160 ?auto_24157 ) ( TRUCK ?auto_24165 ) ( LOCATION ?auto_24172 ) ( CITY ?auto_24161 ) ( IN-CITY ?auto_24172 ?auto_24161 ) ( IN-CITY ?auto_24157 ?auto_24161 ) ( DIFFERENT ?auto_24157 ?auto_24172 ) ( LOCATION ?auto_24171 ) ( CITY ?auto_24158 ) ( IN-CITY ?auto_24171 ?auto_24158 ) ( IN-CITY ?auto_24172 ?auto_24158 ) ( DIFFERENT ?auto_24172 ?auto_24171 ) ( LOCATION ?auto_24167 ) ( CITY ?auto_24168 ) ( IN-CITY ?auto_24167 ?auto_24168 ) ( IN-CITY ?auto_24171 ?auto_24168 ) ( DIFFERENT ?auto_24171 ?auto_24167 ) ( LOCATION ?auto_24173 ) ( CITY ?auto_24159 ) ( IN-CITY ?auto_24173 ?auto_24159 ) ( IN-CITY ?auto_24167 ?auto_24159 ) ( DIFFERENT ?auto_24167 ?auto_24173 ) ( LOCATION ?auto_24174 ) ( CITY ?auto_24163 ) ( AT ?auto_24165 ?auto_24174 ) ( IN-CITY ?auto_24174 ?auto_24163 ) ( IN-CITY ?auto_24173 ?auto_24163 ) ( DIFFERENT ?auto_24173 ?auto_24174 ) ( LOCATION ?auto_24176 ) ( AT ?auto_24165 ?auto_24176 ) ( AT ?auto_24154 ?auto_24176 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24154 ?auto_24165 ?auto_24176 )
      ( DELIVER-PKG ?auto_24154 ?auto_24155 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24200
      ?auto_24201
    )
    :vars
    (
      ?auto_24207
      ?auto_24213
      ?auto_24206
      ?auto_24215
      ?auto_24216
      ?auto_24208
      ?auto_24214
      ?auto_24219
      ?auto_24211
      ?auto_24217
      ?auto_24209
      ?auto_24204
      ?auto_24205
      ?auto_24220
      ?auto_24210
      ?auto_24218
      ?auto_24212
      ?auto_24224
      ?auto_24223
    )
    :precondition
    ( and ( OBJ ?auto_24200 ) ( LOCATION ?auto_24201 ) ( AIRPLANE ?auto_24207 ) ( AIRPORT ?auto_24213 ) ( AIRPORT ?auto_24201 ) ( DIFFERENT ?auto_24201 ?auto_24213 ) ( AIRPORT ?auto_24206 ) ( AT ?auto_24207 ?auto_24206 ) ( DIFFERENT ?auto_24213 ?auto_24206 ) ( LOCATION ?auto_24215 ) ( AT ?auto_24207 ?auto_24215 ) ( AIRPLANE ?auto_24216 ) ( AT ?auto_24216 ?auto_24215 ) ( LOCATION ?auto_24208 ) ( AT ?auto_24216 ?auto_24208 ) ( TRUCK ?auto_24214 ) ( LOCATION ?auto_24219 ) ( CITY ?auto_24211 ) ( IN-CITY ?auto_24219 ?auto_24211 ) ( IN-CITY ?auto_24208 ?auto_24211 ) ( DIFFERENT ?auto_24208 ?auto_24219 ) ( LOCATION ?auto_24217 ) ( CITY ?auto_24209 ) ( IN-CITY ?auto_24217 ?auto_24209 ) ( IN-CITY ?auto_24219 ?auto_24209 ) ( DIFFERENT ?auto_24219 ?auto_24217 ) ( LOCATION ?auto_24204 ) ( CITY ?auto_24205 ) ( IN-CITY ?auto_24204 ?auto_24205 ) ( IN-CITY ?auto_24217 ?auto_24205 ) ( DIFFERENT ?auto_24217 ?auto_24204 ) ( LOCATION ?auto_24220 ) ( CITY ?auto_24210 ) ( IN-CITY ?auto_24220 ?auto_24210 ) ( IN-CITY ?auto_24204 ?auto_24210 ) ( DIFFERENT ?auto_24204 ?auto_24220 ) ( LOCATION ?auto_24218 ) ( CITY ?auto_24212 ) ( IN-CITY ?auto_24218 ?auto_24212 ) ( IN-CITY ?auto_24220 ?auto_24212 ) ( DIFFERENT ?auto_24220 ?auto_24218 ) ( AT ?auto_24200 ?auto_24218 ) ( LOCATION ?auto_24224 ) ( CITY ?auto_24223 ) ( AT ?auto_24214 ?auto_24224 ) ( IN-CITY ?auto_24224 ?auto_24223 ) ( IN-CITY ?auto_24218 ?auto_24223 ) ( DIFFERENT ?auto_24218 ?auto_24224 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24214 ?auto_24224 ?auto_24218 ?auto_24223 )
      ( DELIVER-PKG ?auto_24200 ?auto_24201 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25009
      ?auto_25010
    )
    :vars
    (
      ?auto_25011
      ?auto_25014
      ?auto_25016
      ?auto_25017
      ?auto_25015
      ?auto_25013
      ?auto_25012
      ?auto_25018
      ?auto_25020
      ?auto_25019
      ?auto_25024
    )
    :precondition
    ( and ( OBJ ?auto_25009 ) ( LOCATION ?auto_25010 ) ( TRUCK ?auto_25011 ) ( LOCATION ?auto_25014 ) ( CITY ?auto_25016 ) ( AT ?auto_25011 ?auto_25014 ) ( IN-CITY ?auto_25014 ?auto_25016 ) ( IN-CITY ?auto_25010 ?auto_25016 ) ( DIFFERENT ?auto_25010 ?auto_25014 ) ( LOCATION ?auto_25017 ) ( AT ?auto_25011 ?auto_25017 ) ( AIRPLANE ?auto_25015 ) ( AIRPORT ?auto_25013 ) ( AIRPORT ?auto_25017 ) ( DIFFERENT ?auto_25017 ?auto_25013 ) ( LOCATION ?auto_25013 ) ( AIRPORT ?auto_25012 ) ( AT ?auto_25015 ?auto_25012 ) ( DIFFERENT ?auto_25013 ?auto_25012 ) ( TRUCK ?auto_25018 ) ( LOCATION ?auto_25020 ) ( CITY ?auto_25019 ) ( AT ?auto_25018 ?auto_25020 ) ( IN-CITY ?auto_25020 ?auto_25019 ) ( IN-CITY ?auto_25013 ?auto_25019 ) ( DIFFERENT ?auto_25013 ?auto_25020 ) ( LOCATION ?auto_25024 ) ( AT ?auto_25018 ?auto_25024 ) ( AT ?auto_25009 ?auto_25024 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25009 ?auto_25018 ?auto_25024 )
      ( DELIVER-PKG ?auto_25009 ?auto_25010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25056
      ?auto_25057
    )
    :vars
    (
      ?auto_25068
      ?auto_25063
      ?auto_25065
      ?auto_25066
      ?auto_25064
      ?auto_25062
      ?auto_25059
      ?auto_25067
      ?auto_25070
      ?auto_25060
      ?auto_25073
      ?auto_25072
    )
    :precondition
    ( and ( OBJ ?auto_25056 ) ( LOCATION ?auto_25057 ) ( TRUCK ?auto_25068 ) ( LOCATION ?auto_25063 ) ( CITY ?auto_25065 ) ( AT ?auto_25068 ?auto_25063 ) ( IN-CITY ?auto_25063 ?auto_25065 ) ( IN-CITY ?auto_25057 ?auto_25065 ) ( DIFFERENT ?auto_25057 ?auto_25063 ) ( LOCATION ?auto_25066 ) ( AT ?auto_25068 ?auto_25066 ) ( AIRPLANE ?auto_25064 ) ( AIRPORT ?auto_25062 ) ( AIRPORT ?auto_25066 ) ( DIFFERENT ?auto_25066 ?auto_25062 ) ( LOCATION ?auto_25062 ) ( AIRPORT ?auto_25059 ) ( AT ?auto_25064 ?auto_25059 ) ( DIFFERENT ?auto_25062 ?auto_25059 ) ( TRUCK ?auto_25067 ) ( LOCATION ?auto_25070 ) ( CITY ?auto_25060 ) ( IN-CITY ?auto_25070 ?auto_25060 ) ( IN-CITY ?auto_25062 ?auto_25060 ) ( DIFFERENT ?auto_25062 ?auto_25070 ) ( AT ?auto_25056 ?auto_25070 ) ( LOCATION ?auto_25073 ) ( CITY ?auto_25072 ) ( AT ?auto_25067 ?auto_25073 ) ( IN-CITY ?auto_25073 ?auto_25072 ) ( IN-CITY ?auto_25070 ?auto_25072 ) ( DIFFERENT ?auto_25070 ?auto_25073 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25067 ?auto_25073 ?auto_25070 ?auto_25072 )
      ( DELIVER-PKG ?auto_25056 ?auto_25057 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25133
      ?auto_25134
    )
    :vars
    (
      ?auto_25141
      ?auto_25140
      ?auto_25138
      ?auto_25135
      ?auto_25137
      ?auto_25143
    )
    :precondition
    ( and ( OBJ ?auto_25133 ) ( LOCATION ?auto_25134 ) ( TRUCK ?auto_25141 ) ( LOCATION ?auto_25140 ) ( CITY ?auto_25138 ) ( AT ?auto_25141 ?auto_25140 ) ( IN-CITY ?auto_25140 ?auto_25138 ) ( IN-CITY ?auto_25134 ?auto_25138 ) ( DIFFERENT ?auto_25134 ?auto_25140 ) ( LOCATION ?auto_25135 ) ( AT ?auto_25141 ?auto_25135 ) ( AIRPLANE ?auto_25137 ) ( AT ?auto_25137 ?auto_25135 ) ( LOCATION ?auto_25143 ) ( AT ?auto_25133 ?auto_25143 ) ( AT ?auto_25137 ?auto_25143 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25133 ?auto_25137 ?auto_25143 )
      ( DELIVER-PKG ?auto_25133 ?auto_25134 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25297
      ?auto_25298
    )
    :vars
    (
      ?auto_25311
      ?auto_25313
      ?auto_25312
      ?auto_25299
      ?auto_25307
      ?auto_25301
      ?auto_25308
      ?auto_25310
      ?auto_25309
      ?auto_25300
      ?auto_25303
      ?auto_25305
      ?auto_25304
      ?auto_25316
      ?auto_25315
    )
    :precondition
    ( and ( OBJ ?auto_25297 ) ( LOCATION ?auto_25298 ) ( TRUCK ?auto_25311 ) ( LOCATION ?auto_25313 ) ( CITY ?auto_25312 ) ( AT ?auto_25311 ?auto_25313 ) ( IN-CITY ?auto_25313 ?auto_25312 ) ( IN-CITY ?auto_25298 ?auto_25312 ) ( DIFFERENT ?auto_25298 ?auto_25313 ) ( LOCATION ?auto_25299 ) ( AT ?auto_25311 ?auto_25299 ) ( AIRPLANE ?auto_25307 ) ( AIRPORT ?auto_25301 ) ( AIRPORT ?auto_25299 ) ( DIFFERENT ?auto_25299 ?auto_25301 ) ( AIRPORT ?auto_25308 ) ( AT ?auto_25307 ?auto_25308 ) ( DIFFERENT ?auto_25301 ?auto_25308 ) ( LOCATION ?auto_25310 ) ( AT ?auto_25307 ?auto_25310 ) ( AIRPLANE ?auto_25309 ) ( AT ?auto_25309 ?auto_25310 ) ( LOCATION ?auto_25300 ) ( AT ?auto_25309 ?auto_25300 ) ( TRUCK ?auto_25303 ) ( IN ?auto_25297 ?auto_25303 ) ( LOCATION ?auto_25305 ) ( CITY ?auto_25304 ) ( IN-CITY ?auto_25305 ?auto_25304 ) ( IN-CITY ?auto_25300 ?auto_25304 ) ( DIFFERENT ?auto_25300 ?auto_25305 ) ( LOCATION ?auto_25316 ) ( CITY ?auto_25315 ) ( AT ?auto_25303 ?auto_25316 ) ( IN-CITY ?auto_25316 ?auto_25315 ) ( IN-CITY ?auto_25305 ?auto_25315 ) ( DIFFERENT ?auto_25305 ?auto_25316 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25303 ?auto_25316 ?auto_25305 ?auto_25315 )
      ( DELIVER-PKG ?auto_25297 ?auto_25298 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25318
      ?auto_25319
    )
    :vars
    (
      ?auto_25324
      ?auto_25328
      ?auto_25333
      ?auto_25327
      ?auto_25322
      ?auto_25334
      ?auto_25325
      ?auto_25332
      ?auto_25323
      ?auto_25331
      ?auto_25336
      ?auto_25321
      ?auto_25335
      ?auto_25330
      ?auto_25329
      ?auto_25339
      ?auto_25338
    )
    :precondition
    ( and ( OBJ ?auto_25318 ) ( LOCATION ?auto_25319 ) ( TRUCK ?auto_25324 ) ( LOCATION ?auto_25328 ) ( CITY ?auto_25333 ) ( AT ?auto_25324 ?auto_25328 ) ( IN-CITY ?auto_25328 ?auto_25333 ) ( IN-CITY ?auto_25319 ?auto_25333 ) ( DIFFERENT ?auto_25319 ?auto_25328 ) ( LOCATION ?auto_25327 ) ( AT ?auto_25324 ?auto_25327 ) ( AIRPLANE ?auto_25322 ) ( AIRPORT ?auto_25334 ) ( AIRPORT ?auto_25327 ) ( DIFFERENT ?auto_25327 ?auto_25334 ) ( AIRPORT ?auto_25325 ) ( AT ?auto_25322 ?auto_25325 ) ( DIFFERENT ?auto_25334 ?auto_25325 ) ( LOCATION ?auto_25332 ) ( AT ?auto_25322 ?auto_25332 ) ( AIRPLANE ?auto_25323 ) ( AT ?auto_25323 ?auto_25332 ) ( LOCATION ?auto_25331 ) ( AT ?auto_25323 ?auto_25331 ) ( TRUCK ?auto_25336 ) ( IN ?auto_25318 ?auto_25336 ) ( LOCATION ?auto_25321 ) ( CITY ?auto_25335 ) ( IN-CITY ?auto_25321 ?auto_25335 ) ( IN-CITY ?auto_25331 ?auto_25335 ) ( DIFFERENT ?auto_25331 ?auto_25321 ) ( LOCATION ?auto_25330 ) ( CITY ?auto_25329 ) ( IN-CITY ?auto_25330 ?auto_25329 ) ( IN-CITY ?auto_25321 ?auto_25329 ) ( DIFFERENT ?auto_25321 ?auto_25330 ) ( LOCATION ?auto_25339 ) ( CITY ?auto_25338 ) ( AT ?auto_25336 ?auto_25339 ) ( IN-CITY ?auto_25339 ?auto_25338 ) ( IN-CITY ?auto_25330 ?auto_25338 ) ( DIFFERENT ?auto_25330 ?auto_25339 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25336 ?auto_25339 ?auto_25330 ?auto_25338 )
      ( DELIVER-PKG ?auto_25318 ?auto_25319 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25383
      ?auto_25384
    )
    :vars
    (
      ?auto_25390
      ?auto_25393
      ?auto_25398
      ?auto_25392
      ?auto_25387
      ?auto_25399
      ?auto_25391
      ?auto_25397
      ?auto_25389
      ?auto_25396
      ?auto_25402
      ?auto_25388
      ?auto_25400
      ?auto_25395
      ?auto_25394
      ?auto_25403
      ?auto_25401
      ?auto_25406
      ?auto_25405
    )
    :precondition
    ( and ( OBJ ?auto_25383 ) ( LOCATION ?auto_25384 ) ( TRUCK ?auto_25390 ) ( LOCATION ?auto_25393 ) ( CITY ?auto_25398 ) ( AT ?auto_25390 ?auto_25393 ) ( IN-CITY ?auto_25393 ?auto_25398 ) ( IN-CITY ?auto_25384 ?auto_25398 ) ( DIFFERENT ?auto_25384 ?auto_25393 ) ( LOCATION ?auto_25392 ) ( AT ?auto_25390 ?auto_25392 ) ( AIRPLANE ?auto_25387 ) ( AIRPORT ?auto_25399 ) ( AIRPORT ?auto_25392 ) ( DIFFERENT ?auto_25392 ?auto_25399 ) ( AIRPORT ?auto_25391 ) ( AT ?auto_25387 ?auto_25391 ) ( DIFFERENT ?auto_25399 ?auto_25391 ) ( LOCATION ?auto_25397 ) ( AT ?auto_25387 ?auto_25397 ) ( AIRPLANE ?auto_25389 ) ( AT ?auto_25389 ?auto_25397 ) ( LOCATION ?auto_25396 ) ( AT ?auto_25389 ?auto_25396 ) ( TRUCK ?auto_25402 ) ( IN ?auto_25383 ?auto_25402 ) ( LOCATION ?auto_25388 ) ( CITY ?auto_25400 ) ( IN-CITY ?auto_25388 ?auto_25400 ) ( IN-CITY ?auto_25396 ?auto_25400 ) ( DIFFERENT ?auto_25396 ?auto_25388 ) ( LOCATION ?auto_25395 ) ( CITY ?auto_25394 ) ( IN-CITY ?auto_25395 ?auto_25394 ) ( IN-CITY ?auto_25388 ?auto_25394 ) ( DIFFERENT ?auto_25388 ?auto_25395 ) ( LOCATION ?auto_25403 ) ( CITY ?auto_25401 ) ( IN-CITY ?auto_25403 ?auto_25401 ) ( IN-CITY ?auto_25395 ?auto_25401 ) ( DIFFERENT ?auto_25395 ?auto_25403 ) ( LOCATION ?auto_25406 ) ( CITY ?auto_25405 ) ( AT ?auto_25402 ?auto_25406 ) ( IN-CITY ?auto_25406 ?auto_25405 ) ( IN-CITY ?auto_25403 ?auto_25405 ) ( DIFFERENT ?auto_25403 ?auto_25406 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25402 ?auto_25406 ?auto_25403 ?auto_25405 )
      ( DELIVER-PKG ?auto_25383 ?auto_25384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25431
      ?auto_25432
    )
    :vars
    (
      ?auto_25446
      ?auto_25449
      ?auto_25436
      ?auto_25448
      ?auto_25439
      ?auto_25437
      ?auto_25447
      ?auto_25435
      ?auto_25442
      ?auto_25445
      ?auto_25451
      ?auto_25441
      ?auto_25438
      ?auto_25444
      ?auto_25443
      ?auto_25452
      ?auto_25450
      ?auto_25453
      ?auto_25440
      ?auto_25456
      ?auto_25455
    )
    :precondition
    ( and ( OBJ ?auto_25431 ) ( LOCATION ?auto_25432 ) ( TRUCK ?auto_25446 ) ( LOCATION ?auto_25449 ) ( CITY ?auto_25436 ) ( AT ?auto_25446 ?auto_25449 ) ( IN-CITY ?auto_25449 ?auto_25436 ) ( IN-CITY ?auto_25432 ?auto_25436 ) ( DIFFERENT ?auto_25432 ?auto_25449 ) ( LOCATION ?auto_25448 ) ( AT ?auto_25446 ?auto_25448 ) ( AIRPLANE ?auto_25439 ) ( AIRPORT ?auto_25437 ) ( AIRPORT ?auto_25448 ) ( DIFFERENT ?auto_25448 ?auto_25437 ) ( AIRPORT ?auto_25447 ) ( AT ?auto_25439 ?auto_25447 ) ( DIFFERENT ?auto_25437 ?auto_25447 ) ( LOCATION ?auto_25435 ) ( AT ?auto_25439 ?auto_25435 ) ( AIRPLANE ?auto_25442 ) ( AT ?auto_25442 ?auto_25435 ) ( LOCATION ?auto_25445 ) ( AT ?auto_25442 ?auto_25445 ) ( TRUCK ?auto_25451 ) ( IN ?auto_25431 ?auto_25451 ) ( LOCATION ?auto_25441 ) ( CITY ?auto_25438 ) ( IN-CITY ?auto_25441 ?auto_25438 ) ( IN-CITY ?auto_25445 ?auto_25438 ) ( DIFFERENT ?auto_25445 ?auto_25441 ) ( LOCATION ?auto_25444 ) ( CITY ?auto_25443 ) ( IN-CITY ?auto_25444 ?auto_25443 ) ( IN-CITY ?auto_25441 ?auto_25443 ) ( DIFFERENT ?auto_25441 ?auto_25444 ) ( LOCATION ?auto_25452 ) ( CITY ?auto_25450 ) ( IN-CITY ?auto_25452 ?auto_25450 ) ( IN-CITY ?auto_25444 ?auto_25450 ) ( DIFFERENT ?auto_25444 ?auto_25452 ) ( LOCATION ?auto_25453 ) ( CITY ?auto_25440 ) ( IN-CITY ?auto_25453 ?auto_25440 ) ( IN-CITY ?auto_25452 ?auto_25440 ) ( DIFFERENT ?auto_25452 ?auto_25453 ) ( LOCATION ?auto_25456 ) ( CITY ?auto_25455 ) ( AT ?auto_25451 ?auto_25456 ) ( IN-CITY ?auto_25456 ?auto_25455 ) ( IN-CITY ?auto_25453 ?auto_25455 ) ( DIFFERENT ?auto_25453 ?auto_25456 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25451 ?auto_25456 ?auto_25453 ?auto_25455 )
      ( DELIVER-PKG ?auto_25431 ?auto_25432 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25508
      ?auto_25509
    )
    :vars
    (
      ?auto_25526
      ?auto_25529
      ?auto_25512
      ?auto_25528
      ?auto_25519
      ?auto_25514
      ?auto_25527
      ?auto_25511
      ?auto_25522
      ?auto_25525
      ?auto_25515
      ?auto_25521
      ?auto_25531
      ?auto_25524
      ?auto_25523
      ?auto_25517
      ?auto_25530
      ?auto_25518
      ?auto_25520
      ?auto_25513
      ?auto_25516
      ?auto_25534
    )
    :precondition
    ( and ( OBJ ?auto_25508 ) ( LOCATION ?auto_25509 ) ( TRUCK ?auto_25526 ) ( LOCATION ?auto_25529 ) ( CITY ?auto_25512 ) ( AT ?auto_25526 ?auto_25529 ) ( IN-CITY ?auto_25529 ?auto_25512 ) ( IN-CITY ?auto_25509 ?auto_25512 ) ( DIFFERENT ?auto_25509 ?auto_25529 ) ( LOCATION ?auto_25528 ) ( AT ?auto_25526 ?auto_25528 ) ( AIRPLANE ?auto_25519 ) ( AIRPORT ?auto_25514 ) ( AIRPORT ?auto_25528 ) ( DIFFERENT ?auto_25528 ?auto_25514 ) ( AIRPORT ?auto_25527 ) ( AT ?auto_25519 ?auto_25527 ) ( DIFFERENT ?auto_25514 ?auto_25527 ) ( LOCATION ?auto_25511 ) ( AT ?auto_25519 ?auto_25511 ) ( AIRPLANE ?auto_25522 ) ( AT ?auto_25522 ?auto_25511 ) ( LOCATION ?auto_25525 ) ( AT ?auto_25522 ?auto_25525 ) ( TRUCK ?auto_25515 ) ( LOCATION ?auto_25521 ) ( CITY ?auto_25531 ) ( IN-CITY ?auto_25521 ?auto_25531 ) ( IN-CITY ?auto_25525 ?auto_25531 ) ( DIFFERENT ?auto_25525 ?auto_25521 ) ( LOCATION ?auto_25524 ) ( CITY ?auto_25523 ) ( IN-CITY ?auto_25524 ?auto_25523 ) ( IN-CITY ?auto_25521 ?auto_25523 ) ( DIFFERENT ?auto_25521 ?auto_25524 ) ( LOCATION ?auto_25517 ) ( CITY ?auto_25530 ) ( IN-CITY ?auto_25517 ?auto_25530 ) ( IN-CITY ?auto_25524 ?auto_25530 ) ( DIFFERENT ?auto_25524 ?auto_25517 ) ( LOCATION ?auto_25518 ) ( CITY ?auto_25520 ) ( IN-CITY ?auto_25518 ?auto_25520 ) ( IN-CITY ?auto_25517 ?auto_25520 ) ( DIFFERENT ?auto_25517 ?auto_25518 ) ( LOCATION ?auto_25513 ) ( CITY ?auto_25516 ) ( AT ?auto_25515 ?auto_25513 ) ( IN-CITY ?auto_25513 ?auto_25516 ) ( IN-CITY ?auto_25518 ?auto_25516 ) ( DIFFERENT ?auto_25518 ?auto_25513 ) ( LOCATION ?auto_25534 ) ( AT ?auto_25515 ?auto_25534 ) ( AT ?auto_25508 ?auto_25534 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25508 ?auto_25515 ?auto_25534 )
      ( DELIVER-PKG ?auto_25508 ?auto_25509 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25562
      ?auto_25563
    )
    :vars
    (
      ?auto_25569
      ?auto_25584
      ?auto_25571
      ?auto_25583
      ?auto_25577
      ?auto_25573
      ?auto_25570
      ?auto_25582
      ?auto_25580
      ?auto_25568
      ?auto_25574
      ?auto_25579
      ?auto_25587
      ?auto_25567
      ?auto_25581
      ?auto_25575
      ?auto_25586
      ?auto_25576
      ?auto_25578
      ?auto_25585
      ?auto_25566
      ?auto_25590
      ?auto_25589
    )
    :precondition
    ( and ( OBJ ?auto_25562 ) ( LOCATION ?auto_25563 ) ( TRUCK ?auto_25569 ) ( LOCATION ?auto_25584 ) ( CITY ?auto_25571 ) ( AT ?auto_25569 ?auto_25584 ) ( IN-CITY ?auto_25584 ?auto_25571 ) ( IN-CITY ?auto_25563 ?auto_25571 ) ( DIFFERENT ?auto_25563 ?auto_25584 ) ( LOCATION ?auto_25583 ) ( AT ?auto_25569 ?auto_25583 ) ( AIRPLANE ?auto_25577 ) ( AIRPORT ?auto_25573 ) ( AIRPORT ?auto_25583 ) ( DIFFERENT ?auto_25583 ?auto_25573 ) ( AIRPORT ?auto_25570 ) ( AT ?auto_25577 ?auto_25570 ) ( DIFFERENT ?auto_25573 ?auto_25570 ) ( LOCATION ?auto_25582 ) ( AT ?auto_25577 ?auto_25582 ) ( AIRPLANE ?auto_25580 ) ( AT ?auto_25580 ?auto_25582 ) ( LOCATION ?auto_25568 ) ( AT ?auto_25580 ?auto_25568 ) ( TRUCK ?auto_25574 ) ( LOCATION ?auto_25579 ) ( CITY ?auto_25587 ) ( IN-CITY ?auto_25579 ?auto_25587 ) ( IN-CITY ?auto_25568 ?auto_25587 ) ( DIFFERENT ?auto_25568 ?auto_25579 ) ( LOCATION ?auto_25567 ) ( CITY ?auto_25581 ) ( IN-CITY ?auto_25567 ?auto_25581 ) ( IN-CITY ?auto_25579 ?auto_25581 ) ( DIFFERENT ?auto_25579 ?auto_25567 ) ( LOCATION ?auto_25575 ) ( CITY ?auto_25586 ) ( IN-CITY ?auto_25575 ?auto_25586 ) ( IN-CITY ?auto_25567 ?auto_25586 ) ( DIFFERENT ?auto_25567 ?auto_25575 ) ( LOCATION ?auto_25576 ) ( CITY ?auto_25578 ) ( IN-CITY ?auto_25576 ?auto_25578 ) ( IN-CITY ?auto_25575 ?auto_25578 ) ( DIFFERENT ?auto_25575 ?auto_25576 ) ( LOCATION ?auto_25585 ) ( CITY ?auto_25566 ) ( IN-CITY ?auto_25585 ?auto_25566 ) ( IN-CITY ?auto_25576 ?auto_25566 ) ( DIFFERENT ?auto_25576 ?auto_25585 ) ( AT ?auto_25562 ?auto_25585 ) ( LOCATION ?auto_25590 ) ( CITY ?auto_25589 ) ( AT ?auto_25574 ?auto_25590 ) ( IN-CITY ?auto_25590 ?auto_25589 ) ( IN-CITY ?auto_25585 ?auto_25589 ) ( DIFFERENT ?auto_25585 ?auto_25590 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25574 ?auto_25590 ?auto_25585 ?auto_25589 )
      ( DELIVER-PKG ?auto_25562 ?auto_25563 ) )
  )

)

