( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_228
      ?auto_229
    )
    :vars
    (
      ?auto_232
    )
    :precondition
    ( and ( OBJ ?auto_228 ) ( LOCATION ?auto_229 ) ( AIRPLANE ?auto_232 ) ( IN ?auto_228 ?auto_232 ) ( AT ?auto_232 ?auto_229 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_228 ?auto_232 ?auto_229 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_248
      ?auto_249
    )
    :vars
    (
      ?auto_251
      ?auto_254
    )
    :precondition
    ( and ( OBJ ?auto_248 ) ( LOCATION ?auto_249 ) ( AIRPLANE ?auto_251 ) ( IN ?auto_248 ?auto_251 ) ( AIRPORT ?auto_254 ) ( AIRPORT ?auto_249 ) ( AT ?auto_251 ?auto_254 ) ( DIFFERENT ?auto_249 ?auto_254 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_251 ?auto_254 ?auto_249 )
      ( DELIVER-PKG ?auto_248 ?auto_249 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15497
      ?auto_15498
    )
    :vars
    (
      ?auto_15499
      ?auto_15502
      ?auto_15500
      ?auto_15503
      ?auto_15506
    )
    :precondition
    ( and ( OBJ ?auto_15497 ) ( LOCATION ?auto_15498 ) ( AIRPLANE ?auto_15499 ) ( AIRPORT ?auto_15502 ) ( AIRPORT ?auto_15498 ) ( AT ?auto_15499 ?auto_15502 ) ( DIFFERENT ?auto_15498 ?auto_15502 ) ( LOCATION ?auto_15500 ) ( AT ?auto_15499 ?auto_15500 ) ( AIRPLANE ?auto_15503 ) ( AT ?auto_15503 ?auto_15500 ) ( LOCATION ?auto_15506 ) ( AT ?auto_15497 ?auto_15506 ) ( AT ?auto_15503 ?auto_15506 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_15497 ?auto_15503 ?auto_15506 )
      ( DELIVER-PKG ?auto_15497 ?auto_15498 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_377
      ?auto_378
    )
    :vars
    (
      ?auto_381
    )
    :precondition
    ( and ( OBJ ?auto_377 ) ( LOCATION ?auto_378 ) ( TRUCK ?auto_381 ) ( AT ?auto_381 ?auto_378 ) ( IN ?auto_377 ?auto_381 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_377 ?auto_381 ?auto_378 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_397
      ?auto_398
    )
    :vars
    (
      ?auto_401
      ?auto_404
      ?auto_403
    )
    :precondition
    ( and ( OBJ ?auto_397 ) ( LOCATION ?auto_398 ) ( TRUCK ?auto_401 ) ( IN ?auto_397 ?auto_401 ) ( LOCATION ?auto_404 ) ( CITY ?auto_403 ) ( AT ?auto_401 ?auto_404 ) ( IN-CITY ?auto_404 ?auto_403 ) ( IN-CITY ?auto_398 ?auto_403 ) ( DIFFERENT ?auto_398 ?auto_404 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_401 ?auto_404 ?auto_398 ?auto_403 )
      ( DELIVER-PKG ?auto_397 ?auto_398 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24904
      ?auto_24905
    )
    :vars
    (
      ?auto_24908
      ?auto_24912
      ?auto_24910
      ?auto_24907
      ?auto_24911
      ?auto_24914
    )
    :precondition
    ( and ( OBJ ?auto_24904 ) ( LOCATION ?auto_24905 ) ( TRUCK ?auto_24908 ) ( LOCATION ?auto_24912 ) ( CITY ?auto_24910 ) ( AT ?auto_24908 ?auto_24912 ) ( IN-CITY ?auto_24912 ?auto_24910 ) ( IN-CITY ?auto_24905 ?auto_24910 ) ( DIFFERENT ?auto_24905 ?auto_24912 ) ( LOCATION ?auto_24907 ) ( AT ?auto_24908 ?auto_24907 ) ( TRUCK ?auto_24911 ) ( AT ?auto_24911 ?auto_24907 ) ( LOCATION ?auto_24914 ) ( AT ?auto_24911 ?auto_24914 ) ( AT ?auto_24904 ?auto_24914 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24904 ?auto_24911 ?auto_24914 )
      ( DELIVER-PKG ?auto_24904 ?auto_24905 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_555
      ?auto_556
    )
    :vars
    (
      ?auto_558
      ?auto_562
      ?auto_559
      ?auto_565
      ?auto_564
    )
    :precondition
    ( and ( OBJ ?auto_555 ) ( LOCATION ?auto_556 ) ( TRUCK ?auto_558 ) ( LOCATION ?auto_562 ) ( CITY ?auto_559 ) ( IN-CITY ?auto_562 ?auto_559 ) ( IN-CITY ?auto_556 ?auto_559 ) ( DIFFERENT ?auto_556 ?auto_562 ) ( AT ?auto_555 ?auto_562 ) ( LOCATION ?auto_565 ) ( CITY ?auto_564 ) ( AT ?auto_558 ?auto_565 ) ( IN-CITY ?auto_565 ?auto_564 ) ( IN-CITY ?auto_562 ?auto_564 ) ( DIFFERENT ?auto_562 ?auto_565 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_558 ?auto_565 ?auto_562 ?auto_564 )
      ( DELIVER-PKG ?auto_555 ?auto_556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_706
      ?auto_707
    )
    :vars
    (
      ?auto_710
      ?auto_712
    )
    :precondition
    ( and ( OBJ ?auto_706 ) ( LOCATION ?auto_707 ) ( TRUCK ?auto_710 ) ( AT ?auto_710 ?auto_707 ) ( LOCATION ?auto_712 ) ( AT ?auto_710 ?auto_712 ) ( AT ?auto_706 ?auto_712 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_706 ?auto_710 ?auto_712 )
      ( DELIVER-PKG ?auto_706 ?auto_707 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_732
      ?auto_733
    )
    :vars
    (
      ?auto_736
      ?auto_737
      ?auto_739
    )
    :precondition
    ( and ( OBJ ?auto_732 ) ( LOCATION ?auto_733 ) ( TRUCK ?auto_736 ) ( AT ?auto_736 ?auto_733 ) ( LOCATION ?auto_737 ) ( AT ?auto_736 ?auto_737 ) ( AIRPLANE ?auto_739 ) ( IN ?auto_732 ?auto_739 ) ( AT ?auto_739 ?auto_737 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_732 ?auto_737 )
      ( DELIVER-PKG ?auto_732 ?auto_733 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_741
      ?auto_746
    )
    :vars
    (
      ?auto_745
      ?auto_747
      ?auto_750
      ?auto_749
    )
    :precondition
    ( and ( OBJ ?auto_741 ) ( LOCATION ?auto_746 ) ( TRUCK ?auto_745 ) ( AIRPLANE ?auto_747 ) ( IN ?auto_741 ?auto_747 ) ( AT ?auto_747 ?auto_746 ) ( LOCATION ?auto_750 ) ( CITY ?auto_749 ) ( AT ?auto_745 ?auto_750 ) ( IN-CITY ?auto_750 ?auto_749 ) ( IN-CITY ?auto_746 ?auto_749 ) ( DIFFERENT ?auto_746 ?auto_750 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_745 ?auto_750 ?auto_746 ?auto_749 )
      ( DELIVER-PKG ?auto_741 ?auto_746 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_818
      ?auto_819
    )
    :vars
    (
      ?auto_824
      ?auto_826
      ?auto_825
      ?auto_822
      ?auto_823
      ?auto_827
      ?auto_830
      ?auto_829
    )
    :precondition
    ( and ( OBJ ?auto_818 ) ( LOCATION ?auto_819 ) ( TRUCK ?auto_824 ) ( AIRPLANE ?auto_826 ) ( LOCATION ?auto_825 ) ( CITY ?auto_822 ) ( IN-CITY ?auto_825 ?auto_822 ) ( IN-CITY ?auto_819 ?auto_822 ) ( DIFFERENT ?auto_819 ?auto_825 ) ( AIRPORT ?auto_823 ) ( AIRPORT ?auto_819 ) ( AT ?auto_826 ?auto_823 ) ( DIFFERENT ?auto_819 ?auto_823 ) ( LOCATION ?auto_827 ) ( AT ?auto_818 ?auto_827 ) ( AT ?auto_826 ?auto_827 ) ( LOCATION ?auto_830 ) ( CITY ?auto_829 ) ( AT ?auto_824 ?auto_830 ) ( IN-CITY ?auto_830 ?auto_829 ) ( IN-CITY ?auto_825 ?auto_829 ) ( DIFFERENT ?auto_825 ?auto_830 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_824 ?auto_830 ?auto_825 ?auto_829 )
      ( DELIVER-PKG ?auto_818 ?auto_819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2468
      ?auto_2469
    )
    :vars
    (
      ?auto_2472
      ?auto_2476
      ?auto_2470
      ?auto_2473
      ?auto_2471
      ?auto_2478
    )
    :precondition
    ( and ( OBJ ?auto_2468 ) ( LOCATION ?auto_2469 ) ( AIRPLANE ?auto_2472 ) ( AIRPORT ?auto_2476 ) ( AIRPORT ?auto_2469 ) ( AT ?auto_2472 ?auto_2476 ) ( DIFFERENT ?auto_2469 ?auto_2476 ) ( LOCATION ?auto_2470 ) ( AT ?auto_2472 ?auto_2470 ) ( TRUCK ?auto_2473 ) ( AT ?auto_2473 ?auto_2470 ) ( LOCATION ?auto_2471 ) ( AT ?auto_2473 ?auto_2471 ) ( TRUCK ?auto_2478 ) ( AT ?auto_2478 ?auto_2471 ) ( IN ?auto_2468 ?auto_2478 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2468 ?auto_2471 )
      ( DELIVER-PKG ?auto_2468 ?auto_2469 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1426
      ?auto_1427
    )
    :vars
    (
      ?auto_1430
      ?auto_1431
      ?auto_1432
      ?auto_1433
      ?auto_1436
      ?auto_1435
    )
    :precondition
    ( and ( OBJ ?auto_1426 ) ( LOCATION ?auto_1427 ) ( AIRPLANE ?auto_1430 ) ( AIRPORT ?auto_1431 ) ( AIRPORT ?auto_1427 ) ( AT ?auto_1430 ?auto_1431 ) ( DIFFERENT ?auto_1427 ?auto_1431 ) ( LOCATION ?auto_1432 ) ( AT ?auto_1430 ?auto_1432 ) ( TRUCK ?auto_1433 ) ( IN ?auto_1426 ?auto_1433 ) ( LOCATION ?auto_1436 ) ( CITY ?auto_1435 ) ( AT ?auto_1433 ?auto_1436 ) ( IN-CITY ?auto_1436 ?auto_1435 ) ( IN-CITY ?auto_1432 ?auto_1435 ) ( DIFFERENT ?auto_1432 ?auto_1436 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1433 ?auto_1436 ?auto_1432 ?auto_1435 )
      ( DELIVER-PKG ?auto_1426 ?auto_1427 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1468
      ?auto_1469
    )
    :vars
    (
      ?auto_1472
      ?auto_1473
      ?auto_1474
      ?auto_1475
      ?auto_1477
      ?auto_1476
      ?auto_1479
    )
    :precondition
    ( and ( OBJ ?auto_1468 ) ( LOCATION ?auto_1469 ) ( AIRPLANE ?auto_1472 ) ( AIRPORT ?auto_1473 ) ( AIRPORT ?auto_1469 ) ( AT ?auto_1472 ?auto_1473 ) ( DIFFERENT ?auto_1469 ?auto_1473 ) ( LOCATION ?auto_1474 ) ( AT ?auto_1472 ?auto_1474 ) ( TRUCK ?auto_1475 ) ( LOCATION ?auto_1477 ) ( CITY ?auto_1476 ) ( AT ?auto_1475 ?auto_1477 ) ( IN-CITY ?auto_1477 ?auto_1476 ) ( IN-CITY ?auto_1474 ?auto_1476 ) ( DIFFERENT ?auto_1474 ?auto_1477 ) ( LOCATION ?auto_1479 ) ( AT ?auto_1475 ?auto_1479 ) ( AT ?auto_1468 ?auto_1479 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1468 ?auto_1475 ?auto_1479 )
      ( DELIVER-PKG ?auto_1468 ?auto_1469 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1514
      ?auto_1515
    )
    :vars
    (
      ?auto_1517
      ?auto_1519
      ?auto_1520
      ?auto_1521
      ?auto_1524
      ?auto_1522
      ?auto_1527
      ?auto_1526
    )
    :precondition
    ( and ( OBJ ?auto_1514 ) ( LOCATION ?auto_1515 ) ( AIRPLANE ?auto_1517 ) ( AIRPORT ?auto_1519 ) ( AIRPORT ?auto_1515 ) ( AT ?auto_1517 ?auto_1519 ) ( DIFFERENT ?auto_1515 ?auto_1519 ) ( LOCATION ?auto_1520 ) ( AT ?auto_1517 ?auto_1520 ) ( TRUCK ?auto_1521 ) ( LOCATION ?auto_1524 ) ( CITY ?auto_1522 ) ( IN-CITY ?auto_1524 ?auto_1522 ) ( IN-CITY ?auto_1520 ?auto_1522 ) ( DIFFERENT ?auto_1520 ?auto_1524 ) ( AT ?auto_1514 ?auto_1524 ) ( LOCATION ?auto_1527 ) ( CITY ?auto_1526 ) ( AT ?auto_1521 ?auto_1527 ) ( IN-CITY ?auto_1527 ?auto_1526 ) ( IN-CITY ?auto_1524 ?auto_1526 ) ( DIFFERENT ?auto_1524 ?auto_1527 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1521 ?auto_1527 ?auto_1524 ?auto_1526 )
      ( DELIVER-PKG ?auto_1514 ?auto_1515 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1529
      ?auto_1530
    )
    :vars
    (
      ?auto_1533
      ?auto_1535
      ?auto_1536
      ?auto_1538
      ?auto_1537
      ?auto_1540
      ?auto_1539
      ?auto_1542
    )
    :precondition
    ( and ( OBJ ?auto_1529 ) ( LOCATION ?auto_1530 ) ( AIRPLANE ?auto_1533 ) ( AIRPORT ?auto_1535 ) ( AIRPORT ?auto_1530 ) ( DIFFERENT ?auto_1530 ?auto_1535 ) ( LOCATION ?auto_1535 ) ( TRUCK ?auto_1536 ) ( LOCATION ?auto_1538 ) ( CITY ?auto_1537 ) ( IN-CITY ?auto_1538 ?auto_1537 ) ( IN-CITY ?auto_1535 ?auto_1537 ) ( DIFFERENT ?auto_1535 ?auto_1538 ) ( AT ?auto_1529 ?auto_1538 ) ( LOCATION ?auto_1540 ) ( CITY ?auto_1539 ) ( AT ?auto_1536 ?auto_1540 ) ( IN-CITY ?auto_1540 ?auto_1539 ) ( IN-CITY ?auto_1538 ?auto_1539 ) ( DIFFERENT ?auto_1538 ?auto_1540 ) ( AIRPORT ?auto_1542 ) ( AT ?auto_1533 ?auto_1542 ) ( DIFFERENT ?auto_1535 ?auto_1542 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1533 ?auto_1542 ?auto_1535 )
      ( DELIVER-PKG ?auto_1529 ?auto_1530 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24916
      ?auto_24917
    )
    :vars
    (
      ?auto_24921
      ?auto_24919
      ?auto_24922
      ?auto_24920
      ?auto_24918
      ?auto_24924
      ?auto_24927
    )
    :precondition
    ( and ( OBJ ?auto_24916 ) ( LOCATION ?auto_24917 ) ( TRUCK ?auto_24921 ) ( LOCATION ?auto_24919 ) ( CITY ?auto_24922 ) ( AT ?auto_24921 ?auto_24919 ) ( IN-CITY ?auto_24919 ?auto_24922 ) ( IN-CITY ?auto_24917 ?auto_24922 ) ( DIFFERENT ?auto_24917 ?auto_24919 ) ( LOCATION ?auto_24920 ) ( AT ?auto_24921 ?auto_24920 ) ( TRUCK ?auto_24918 ) ( AT ?auto_24918 ?auto_24920 ) ( LOCATION ?auto_24924 ) ( AT ?auto_24918 ?auto_24924 ) ( AIRPLANE ?auto_24927 ) ( IN ?auto_24916 ?auto_24927 ) ( AT ?auto_24927 ?auto_24924 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24916 ?auto_24924 )
      ( DELIVER-PKG ?auto_24916 ?auto_24917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1659
      ?auto_1660
    )
    :vars
    (
      ?auto_1663
      ?auto_1666
      ?auto_1664
      ?auto_1667
      ?auto_1670
      ?auto_1669
    )
    :precondition
    ( and ( OBJ ?auto_1659 ) ( LOCATION ?auto_1660 ) ( TRUCK ?auto_1663 ) ( LOCATION ?auto_1666 ) ( CITY ?auto_1664 ) ( IN-CITY ?auto_1666 ?auto_1664 ) ( IN-CITY ?auto_1660 ?auto_1664 ) ( DIFFERENT ?auto_1660 ?auto_1666 ) ( AIRPLANE ?auto_1667 ) ( IN ?auto_1659 ?auto_1667 ) ( AT ?auto_1667 ?auto_1666 ) ( LOCATION ?auto_1670 ) ( CITY ?auto_1669 ) ( AT ?auto_1663 ?auto_1670 ) ( IN-CITY ?auto_1670 ?auto_1669 ) ( IN-CITY ?auto_1666 ?auto_1669 ) ( DIFFERENT ?auto_1666 ?auto_1670 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1663 ?auto_1670 ?auto_1666 ?auto_1669 )
      ( DELIVER-PKG ?auto_1659 ?auto_1660 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1682
      ?auto_1683
    )
    :vars
    (
      ?auto_1688
      ?auto_1686
      ?auto_1685
      ?auto_1687
      ?auto_1691
      ?auto_1690
      ?auto_1693
    )
    :precondition
    ( and ( OBJ ?auto_1682 ) ( LOCATION ?auto_1683 ) ( TRUCK ?auto_1688 ) ( LOCATION ?auto_1686 ) ( CITY ?auto_1685 ) ( IN-CITY ?auto_1686 ?auto_1685 ) ( IN-CITY ?auto_1683 ?auto_1685 ) ( DIFFERENT ?auto_1683 ?auto_1686 ) ( AIRPLANE ?auto_1687 ) ( IN ?auto_1682 ?auto_1687 ) ( LOCATION ?auto_1691 ) ( CITY ?auto_1690 ) ( AT ?auto_1688 ?auto_1691 ) ( IN-CITY ?auto_1691 ?auto_1690 ) ( IN-CITY ?auto_1686 ?auto_1690 ) ( DIFFERENT ?auto_1686 ?auto_1691 ) ( AIRPORT ?auto_1693 ) ( AIRPORT ?auto_1686 ) ( AT ?auto_1687 ?auto_1693 ) ( DIFFERENT ?auto_1686 ?auto_1693 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1687 ?auto_1693 ?auto_1686 )
      ( DELIVER-PKG ?auto_1682 ?auto_1683 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1728
      ?auto_1729
    )
    :vars
    (
      ?auto_1733
      ?auto_1737
      ?auto_1736
      ?auto_1731
      ?auto_1735
      ?auto_1734
      ?auto_1738
      ?auto_1740
    )
    :precondition
    ( and ( OBJ ?auto_1728 ) ( LOCATION ?auto_1729 ) ( TRUCK ?auto_1733 ) ( LOCATION ?auto_1737 ) ( CITY ?auto_1736 ) ( IN-CITY ?auto_1737 ?auto_1736 ) ( IN-CITY ?auto_1729 ?auto_1736 ) ( DIFFERENT ?auto_1729 ?auto_1737 ) ( AIRPLANE ?auto_1731 ) ( LOCATION ?auto_1735 ) ( CITY ?auto_1734 ) ( AT ?auto_1733 ?auto_1735 ) ( IN-CITY ?auto_1735 ?auto_1734 ) ( IN-CITY ?auto_1737 ?auto_1734 ) ( DIFFERENT ?auto_1737 ?auto_1735 ) ( AIRPORT ?auto_1738 ) ( AIRPORT ?auto_1737 ) ( AT ?auto_1731 ?auto_1738 ) ( DIFFERENT ?auto_1737 ?auto_1738 ) ( LOCATION ?auto_1740 ) ( AT ?auto_1728 ?auto_1740 ) ( AT ?auto_1731 ?auto_1740 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1728 ?auto_1731 ?auto_1740 )
      ( DELIVER-PKG ?auto_1728 ?auto_1729 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1754
      ?auto_1755
    )
    :vars
    (
      ?auto_1757
      ?auto_1763
      ?auto_1762
      ?auto_1756
      ?auto_1761
      ?auto_1760
      ?auto_1764
      ?auto_1765
      ?auto_1768
      ?auto_1767
    )
    :precondition
    ( and ( OBJ ?auto_1754 ) ( LOCATION ?auto_1755 ) ( TRUCK ?auto_1757 ) ( LOCATION ?auto_1763 ) ( CITY ?auto_1762 ) ( IN-CITY ?auto_1763 ?auto_1762 ) ( IN-CITY ?auto_1755 ?auto_1762 ) ( DIFFERENT ?auto_1755 ?auto_1763 ) ( AIRPLANE ?auto_1756 ) ( LOCATION ?auto_1761 ) ( CITY ?auto_1760 ) ( IN-CITY ?auto_1761 ?auto_1760 ) ( IN-CITY ?auto_1763 ?auto_1760 ) ( DIFFERENT ?auto_1763 ?auto_1761 ) ( AIRPORT ?auto_1764 ) ( AIRPORT ?auto_1763 ) ( AT ?auto_1756 ?auto_1764 ) ( DIFFERENT ?auto_1763 ?auto_1764 ) ( LOCATION ?auto_1765 ) ( AT ?auto_1754 ?auto_1765 ) ( AT ?auto_1756 ?auto_1765 ) ( LOCATION ?auto_1768 ) ( CITY ?auto_1767 ) ( AT ?auto_1757 ?auto_1768 ) ( IN-CITY ?auto_1768 ?auto_1767 ) ( IN-CITY ?auto_1761 ?auto_1767 ) ( DIFFERENT ?auto_1761 ?auto_1768 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1757 ?auto_1768 ?auto_1761 ?auto_1767 )
      ( DELIVER-PKG ?auto_1754 ?auto_1755 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1844
      ?auto_1845
    )
    :vars
    (
      ?auto_1848
      ?auto_1850
      ?auto_1852
    )
    :precondition
    ( and ( OBJ ?auto_1844 ) ( LOCATION ?auto_1845 ) ( AIRPLANE ?auto_1848 ) ( AIRPORT ?auto_1850 ) ( AIRPORT ?auto_1845 ) ( DIFFERENT ?auto_1845 ?auto_1850 ) ( LOCATION ?auto_1850 ) ( AT ?auto_1844 ?auto_1850 ) ( AIRPORT ?auto_1852 ) ( AT ?auto_1848 ?auto_1852 ) ( DIFFERENT ?auto_1850 ?auto_1852 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1848 ?auto_1852 ?auto_1850 )
      ( DELIVER-PKG ?auto_1844 ?auto_1845 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1875
      ?auto_1876
    )
    :vars
    (
      ?auto_1877
      ?auto_1878
      ?auto_1881
      ?auto_1884
    )
    :precondition
    ( and ( OBJ ?auto_1875 ) ( LOCATION ?auto_1876 ) ( AIRPLANE ?auto_1877 ) ( AIRPORT ?auto_1878 ) ( AIRPORT ?auto_1876 ) ( DIFFERENT ?auto_1876 ?auto_1878 ) ( LOCATION ?auto_1878 ) ( AIRPORT ?auto_1881 ) ( AT ?auto_1877 ?auto_1881 ) ( DIFFERENT ?auto_1878 ?auto_1881 ) ( TRUCK ?auto_1884 ) ( AT ?auto_1884 ?auto_1878 ) ( IN ?auto_1875 ?auto_1884 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1875 ?auto_1878 )
      ( DELIVER-PKG ?auto_1875 ?auto_1876 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1909
      ?auto_1910
    )
    :vars
    (
      ?auto_1913
      ?auto_1914
      ?auto_1915
      ?auto_1916
      ?auto_1919
      ?auto_1918
    )
    :precondition
    ( and ( OBJ ?auto_1909 ) ( LOCATION ?auto_1910 ) ( AIRPLANE ?auto_1913 ) ( AIRPORT ?auto_1914 ) ( AIRPORT ?auto_1910 ) ( DIFFERENT ?auto_1910 ?auto_1914 ) ( LOCATION ?auto_1914 ) ( AIRPORT ?auto_1915 ) ( AT ?auto_1913 ?auto_1915 ) ( DIFFERENT ?auto_1914 ?auto_1915 ) ( TRUCK ?auto_1916 ) ( IN ?auto_1909 ?auto_1916 ) ( LOCATION ?auto_1919 ) ( CITY ?auto_1918 ) ( AT ?auto_1916 ?auto_1919 ) ( IN-CITY ?auto_1919 ?auto_1918 ) ( IN-CITY ?auto_1914 ?auto_1918 ) ( DIFFERENT ?auto_1914 ?auto_1919 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1916 ?auto_1919 ?auto_1914 ?auto_1918 )
      ( DELIVER-PKG ?auto_1909 ?auto_1910 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1931
      ?auto_1932
    )
    :vars
    (
      ?auto_1934
      ?auto_1936
      ?auto_1937
      ?auto_1938
      ?auto_1940
      ?auto_1939
      ?auto_1942
    )
    :precondition
    ( and ( OBJ ?auto_1931 ) ( LOCATION ?auto_1932 ) ( AIRPLANE ?auto_1934 ) ( AIRPORT ?auto_1936 ) ( AIRPORT ?auto_1932 ) ( DIFFERENT ?auto_1932 ?auto_1936 ) ( LOCATION ?auto_1936 ) ( AIRPORT ?auto_1937 ) ( DIFFERENT ?auto_1936 ?auto_1937 ) ( TRUCK ?auto_1938 ) ( IN ?auto_1931 ?auto_1938 ) ( LOCATION ?auto_1940 ) ( CITY ?auto_1939 ) ( AT ?auto_1938 ?auto_1940 ) ( IN-CITY ?auto_1940 ?auto_1939 ) ( IN-CITY ?auto_1936 ?auto_1939 ) ( DIFFERENT ?auto_1936 ?auto_1940 ) ( AIRPORT ?auto_1942 ) ( AT ?auto_1934 ?auto_1942 ) ( DIFFERENT ?auto_1937 ?auto_1942 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1934 ?auto_1942 ?auto_1937 )
      ( DELIVER-PKG ?auto_1931 ?auto_1932 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1955
      ?auto_1956
    )
    :vars
    (
      ?auto_1957
      ?auto_1959
      ?auto_1958
      ?auto_1960
      ?auto_1962
      ?auto_1961
      ?auto_1965
      ?auto_1967
    )
    :precondition
    ( and ( OBJ ?auto_1955 ) ( LOCATION ?auto_1956 ) ( AIRPLANE ?auto_1957 ) ( AIRPORT ?auto_1959 ) ( AIRPORT ?auto_1956 ) ( DIFFERENT ?auto_1956 ?auto_1959 ) ( LOCATION ?auto_1959 ) ( AIRPORT ?auto_1958 ) ( DIFFERENT ?auto_1959 ?auto_1958 ) ( TRUCK ?auto_1960 ) ( LOCATION ?auto_1962 ) ( CITY ?auto_1961 ) ( AT ?auto_1960 ?auto_1962 ) ( IN-CITY ?auto_1962 ?auto_1961 ) ( IN-CITY ?auto_1959 ?auto_1961 ) ( DIFFERENT ?auto_1959 ?auto_1962 ) ( AIRPORT ?auto_1965 ) ( AT ?auto_1957 ?auto_1965 ) ( DIFFERENT ?auto_1958 ?auto_1965 ) ( LOCATION ?auto_1967 ) ( AT ?auto_1960 ?auto_1967 ) ( AT ?auto_1955 ?auto_1967 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1955 ?auto_1960 ?auto_1967 )
      ( DELIVER-PKG ?auto_1955 ?auto_1956 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2269
      ?auto_2270
    )
    :vars
    (
      ?auto_2272
      ?auto_2273
      ?auto_2276
    )
    :precondition
    ( and ( OBJ ?auto_2269 ) ( LOCATION ?auto_2270 ) ( TRUCK ?auto_2272 ) ( AT ?auto_2272 ?auto_2270 ) ( LOCATION ?auto_2273 ) ( AT ?auto_2272 ?auto_2273 ) ( TRUCK ?auto_2276 ) ( AT ?auto_2276 ?auto_2273 ) ( IN ?auto_2269 ?auto_2276 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2269 ?auto_2273 )
      ( DELIVER-PKG ?auto_2269 ?auto_2270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2448
      ?auto_2449
    )
    :vars
    (
      ?auto_2455
      ?auto_2450
      ?auto_2453
      ?auto_2452
      ?auto_2457
    )
    :precondition
    ( and ( OBJ ?auto_2448 ) ( LOCATION ?auto_2449 ) ( AIRPLANE ?auto_2455 ) ( AIRPORT ?auto_2450 ) ( AIRPORT ?auto_2449 ) ( AT ?auto_2455 ?auto_2450 ) ( DIFFERENT ?auto_2449 ?auto_2450 ) ( LOCATION ?auto_2453 ) ( AT ?auto_2455 ?auto_2453 ) ( TRUCK ?auto_2452 ) ( AT ?auto_2452 ?auto_2453 ) ( LOCATION ?auto_2457 ) ( AT ?auto_2452 ?auto_2457 ) ( AT ?auto_2448 ?auto_2457 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2448 ?auto_2452 ?auto_2457 )
      ( DELIVER-PKG ?auto_2448 ?auto_2449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2538
      ?auto_2539
    )
    :vars
    (
      ?auto_2543
      ?auto_2542
      ?auto_2541
      ?auto_2546
      ?auto_2544
      ?auto_2547
      ?auto_2550
    )
    :precondition
    ( and ( OBJ ?auto_2538 ) ( LOCATION ?auto_2539 ) ( AIRPLANE ?auto_2543 ) ( AIRPORT ?auto_2542 ) ( AIRPORT ?auto_2539 ) ( DIFFERENT ?auto_2539 ?auto_2542 ) ( LOCATION ?auto_2542 ) ( TRUCK ?auto_2541 ) ( LOCATION ?auto_2546 ) ( CITY ?auto_2544 ) ( AT ?auto_2541 ?auto_2546 ) ( IN-CITY ?auto_2546 ?auto_2544 ) ( IN-CITY ?auto_2542 ?auto_2544 ) ( DIFFERENT ?auto_2542 ?auto_2546 ) ( LOCATION ?auto_2547 ) ( AT ?auto_2541 ?auto_2547 ) ( AT ?auto_2538 ?auto_2547 ) ( AIRPORT ?auto_2550 ) ( AT ?auto_2543 ?auto_2550 ) ( DIFFERENT ?auto_2542 ?auto_2550 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2543 ?auto_2550 ?auto_2542 )
      ( DELIVER-PKG ?auto_2538 ?auto_2539 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2552
      ?auto_2553
    )
    :vars
    (
      ?auto_2556
      ?auto_2555
      ?auto_2561
      ?auto_2559
      ?auto_2557
      ?auto_2560
      ?auto_2565
      ?auto_2564
    )
    :precondition
    ( and ( OBJ ?auto_2552 ) ( LOCATION ?auto_2553 ) ( AIRPLANE ?auto_2556 ) ( AIRPORT ?auto_2555 ) ( AIRPORT ?auto_2553 ) ( DIFFERENT ?auto_2553 ?auto_2555 ) ( LOCATION ?auto_2555 ) ( TRUCK ?auto_2561 ) ( LOCATION ?auto_2559 ) ( CITY ?auto_2557 ) ( IN-CITY ?auto_2559 ?auto_2557 ) ( IN-CITY ?auto_2555 ?auto_2557 ) ( DIFFERENT ?auto_2555 ?auto_2559 ) ( AT ?auto_2552 ?auto_2559 ) ( AIRPORT ?auto_2560 ) ( AT ?auto_2556 ?auto_2560 ) ( DIFFERENT ?auto_2555 ?auto_2560 ) ( LOCATION ?auto_2565 ) ( CITY ?auto_2564 ) ( AT ?auto_2561 ?auto_2565 ) ( IN-CITY ?auto_2565 ?auto_2564 ) ( IN-CITY ?auto_2559 ?auto_2564 ) ( DIFFERENT ?auto_2559 ?auto_2565 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2561 ?auto_2565 ?auto_2559 ?auto_2564 )
      ( DELIVER-PKG ?auto_2552 ?auto_2553 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2927
      ?auto_2928
    )
    :vars
    (
      ?auto_2933
      ?auto_2931
      ?auto_2929
      ?auto_2935
    )
    :precondition
    ( and ( OBJ ?auto_2927 ) ( LOCATION ?auto_2928 ) ( AIRPLANE ?auto_2933 ) ( AIRPORT ?auto_2931 ) ( AIRPORT ?auto_2928 ) ( DIFFERENT ?auto_2928 ?auto_2931 ) ( LOCATION ?auto_2931 ) ( AT ?auto_2927 ?auto_2931 ) ( AIRPORT ?auto_2929 ) ( DIFFERENT ?auto_2931 ?auto_2929 ) ( AIRPORT ?auto_2935 ) ( AT ?auto_2933 ?auto_2935 ) ( DIFFERENT ?auto_2929 ?auto_2935 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2933 ?auto_2935 ?auto_2929 )
      ( DELIVER-PKG ?auto_2927 ?auto_2928 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2961
      ?auto_2962
    )
    :vars
    (
      ?auto_2968
      ?auto_2964
      ?auto_2965
      ?auto_2967
      ?auto_2969
    )
    :precondition
    ( and ( OBJ ?auto_2961 ) ( LOCATION ?auto_2962 ) ( AIRPLANE ?auto_2968 ) ( AIRPORT ?auto_2964 ) ( AIRPORT ?auto_2962 ) ( DIFFERENT ?auto_2962 ?auto_2964 ) ( LOCATION ?auto_2964 ) ( AIRPORT ?auto_2965 ) ( DIFFERENT ?auto_2964 ?auto_2965 ) ( AIRPORT ?auto_2967 ) ( AT ?auto_2968 ?auto_2967 ) ( DIFFERENT ?auto_2965 ?auto_2967 ) ( TRUCK ?auto_2969 ) ( AT ?auto_2969 ?auto_2964 ) ( IN ?auto_2961 ?auto_2969 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2961 ?auto_2964 )
      ( DELIVER-PKG ?auto_2961 ?auto_2962 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2981
      ?auto_2982
    )
    :vars
    (
      ?auto_2989
      ?auto_2985
      ?auto_2986
      ?auto_2988
      ?auto_2984
      ?auto_2992
      ?auto_2991
    )
    :precondition
    ( and ( OBJ ?auto_2981 ) ( LOCATION ?auto_2982 ) ( AIRPLANE ?auto_2989 ) ( AIRPORT ?auto_2985 ) ( AIRPORT ?auto_2982 ) ( DIFFERENT ?auto_2982 ?auto_2985 ) ( LOCATION ?auto_2985 ) ( AIRPORT ?auto_2986 ) ( DIFFERENT ?auto_2985 ?auto_2986 ) ( AIRPORT ?auto_2988 ) ( AT ?auto_2989 ?auto_2988 ) ( DIFFERENT ?auto_2986 ?auto_2988 ) ( TRUCK ?auto_2984 ) ( IN ?auto_2981 ?auto_2984 ) ( LOCATION ?auto_2992 ) ( CITY ?auto_2991 ) ( AT ?auto_2984 ?auto_2992 ) ( IN-CITY ?auto_2992 ?auto_2991 ) ( IN-CITY ?auto_2985 ?auto_2991 ) ( DIFFERENT ?auto_2985 ?auto_2992 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2984 ?auto_2992 ?auto_2985 ?auto_2991 )
      ( DELIVER-PKG ?auto_2981 ?auto_2982 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3031
      ?auto_3032
    )
    :vars
    (
      ?auto_3040
      ?auto_3035
      ?auto_3033
      ?auto_3036
      ?auto_3042
      ?auto_3038
      ?auto_3037
      ?auto_3045
      ?auto_3044
    )
    :precondition
    ( and ( OBJ ?auto_3031 ) ( LOCATION ?auto_3032 ) ( AIRPLANE ?auto_3040 ) ( AIRPORT ?auto_3035 ) ( AIRPORT ?auto_3032 ) ( DIFFERENT ?auto_3032 ?auto_3035 ) ( LOCATION ?auto_3035 ) ( AIRPORT ?auto_3033 ) ( DIFFERENT ?auto_3035 ?auto_3033 ) ( AIRPORT ?auto_3036 ) ( AT ?auto_3040 ?auto_3036 ) ( DIFFERENT ?auto_3033 ?auto_3036 ) ( TRUCK ?auto_3042 ) ( LOCATION ?auto_3038 ) ( CITY ?auto_3037 ) ( IN-CITY ?auto_3038 ?auto_3037 ) ( IN-CITY ?auto_3035 ?auto_3037 ) ( DIFFERENT ?auto_3035 ?auto_3038 ) ( AT ?auto_3031 ?auto_3038 ) ( LOCATION ?auto_3045 ) ( CITY ?auto_3044 ) ( AT ?auto_3042 ?auto_3045 ) ( IN-CITY ?auto_3045 ?auto_3044 ) ( IN-CITY ?auto_3038 ?auto_3044 ) ( DIFFERENT ?auto_3038 ?auto_3045 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3042 ?auto_3045 ?auto_3038 ?auto_3044 )
      ( DELIVER-PKG ?auto_3031 ?auto_3032 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3047
      ?auto_3048
    )
    :vars
    (
      ?auto_3054
      ?auto_3050
      ?auto_3058
      ?auto_3051
      ?auto_3055
      ?auto_3053
      ?auto_3052
      ?auto_3057
      ?auto_3056
      ?auto_3061
    )
    :precondition
    ( and ( OBJ ?auto_3047 ) ( LOCATION ?auto_3048 ) ( AIRPLANE ?auto_3054 ) ( AIRPORT ?auto_3050 ) ( AIRPORT ?auto_3048 ) ( DIFFERENT ?auto_3048 ?auto_3050 ) ( LOCATION ?auto_3050 ) ( AIRPORT ?auto_3058 ) ( DIFFERENT ?auto_3050 ?auto_3058 ) ( AIRPORT ?auto_3051 ) ( DIFFERENT ?auto_3058 ?auto_3051 ) ( TRUCK ?auto_3055 ) ( LOCATION ?auto_3053 ) ( CITY ?auto_3052 ) ( IN-CITY ?auto_3053 ?auto_3052 ) ( IN-CITY ?auto_3050 ?auto_3052 ) ( DIFFERENT ?auto_3050 ?auto_3053 ) ( AT ?auto_3047 ?auto_3053 ) ( LOCATION ?auto_3057 ) ( CITY ?auto_3056 ) ( AT ?auto_3055 ?auto_3057 ) ( IN-CITY ?auto_3057 ?auto_3056 ) ( IN-CITY ?auto_3053 ?auto_3056 ) ( DIFFERENT ?auto_3053 ?auto_3057 ) ( AIRPORT ?auto_3061 ) ( AT ?auto_3054 ?auto_3061 ) ( DIFFERENT ?auto_3051 ?auto_3061 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3054 ?auto_3061 ?auto_3051 )
      ( DELIVER-PKG ?auto_3047 ?auto_3048 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3525
      ?auto_3526
    )
    :vars
    (
      ?auto_3527
      ?auto_3530
      ?auto_3532
    )
    :precondition
    ( and ( OBJ ?auto_3525 ) ( LOCATION ?auto_3526 ) ( AIRPLANE ?auto_3527 ) ( IN ?auto_3525 ?auto_3527 ) ( AIRPORT ?auto_3530 ) ( AIRPORT ?auto_3526 ) ( DIFFERENT ?auto_3526 ?auto_3530 ) ( AIRPORT ?auto_3532 ) ( AT ?auto_3527 ?auto_3532 ) ( DIFFERENT ?auto_3530 ?auto_3532 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3527 ?auto_3532 ?auto_3530 )
      ( DELIVER-PKG ?auto_3525 ?auto_3526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3541
      ?auto_3542
    )
    :vars
    (
      ?auto_3545
      ?auto_3544
      ?auto_3547
      ?auto_3549
    )
    :precondition
    ( and ( OBJ ?auto_3541 ) ( LOCATION ?auto_3542 ) ( AIRPLANE ?auto_3545 ) ( IN ?auto_3541 ?auto_3545 ) ( AIRPORT ?auto_3544 ) ( AIRPORT ?auto_3542 ) ( DIFFERENT ?auto_3542 ?auto_3544 ) ( AIRPORT ?auto_3547 ) ( DIFFERENT ?auto_3544 ?auto_3547 ) ( AIRPORT ?auto_3549 ) ( AT ?auto_3545 ?auto_3549 ) ( DIFFERENT ?auto_3547 ?auto_3549 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3545 ?auto_3549 ?auto_3547 )
      ( DELIVER-PKG ?auto_3541 ?auto_3542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3551
      ?auto_3552
    )
    :vars
    (
      ?auto_3553
      ?auto_3556
      ?auto_3555
      ?auto_3558
      ?auto_3560
    )
    :precondition
    ( and ( OBJ ?auto_3551 ) ( LOCATION ?auto_3552 ) ( AIRPLANE ?auto_3553 ) ( AIRPORT ?auto_3556 ) ( AIRPORT ?auto_3552 ) ( DIFFERENT ?auto_3552 ?auto_3556 ) ( AIRPORT ?auto_3555 ) ( DIFFERENT ?auto_3556 ?auto_3555 ) ( AIRPORT ?auto_3558 ) ( AT ?auto_3553 ?auto_3558 ) ( DIFFERENT ?auto_3555 ?auto_3558 ) ( LOCATION ?auto_3560 ) ( AT ?auto_3551 ?auto_3560 ) ( AT ?auto_3553 ?auto_3560 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3551 ?auto_3553 ?auto_3560 )
      ( DELIVER-PKG ?auto_3551 ?auto_3552 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3562
      ?auto_3563
    )
    :vars
    (
      ?auto_3569
      ?auto_3566
      ?auto_3570
      ?auto_3565
      ?auto_3567
      ?auto_3573
    )
    :precondition
    ( and ( OBJ ?auto_3562 ) ( LOCATION ?auto_3563 ) ( AIRPLANE ?auto_3569 ) ( AIRPORT ?auto_3566 ) ( AIRPORT ?auto_3563 ) ( DIFFERENT ?auto_3563 ?auto_3566 ) ( AIRPORT ?auto_3570 ) ( DIFFERENT ?auto_3566 ?auto_3570 ) ( AIRPORT ?auto_3565 ) ( AT ?auto_3569 ?auto_3565 ) ( DIFFERENT ?auto_3570 ?auto_3565 ) ( LOCATION ?auto_3567 ) ( AT ?auto_3569 ?auto_3567 ) ( AIRPLANE ?auto_3573 ) ( IN ?auto_3562 ?auto_3573 ) ( AT ?auto_3573 ?auto_3567 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3562 ?auto_3567 )
      ( DELIVER-PKG ?auto_3562 ?auto_3563 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3574
      ?auto_3575
    )
    :vars
    (
      ?auto_3580
      ?auto_3579
      ?auto_3577
      ?auto_3576
      ?auto_3585
    )
    :precondition
    ( and ( OBJ ?auto_3574 ) ( LOCATION ?auto_3575 ) ( AIRPLANE ?auto_3580 ) ( AIRPORT ?auto_3579 ) ( AIRPORT ?auto_3575 ) ( DIFFERENT ?auto_3575 ?auto_3579 ) ( AIRPORT ?auto_3577 ) ( DIFFERENT ?auto_3579 ?auto_3577 ) ( AIRPORT ?auto_3576 ) ( DIFFERENT ?auto_3577 ?auto_3576 ) ( LOCATION ?auto_3576 ) ( IN ?auto_3574 ?auto_3580 ) ( AIRPORT ?auto_3585 ) ( AT ?auto_3580 ?auto_3585 ) ( DIFFERENT ?auto_3576 ?auto_3585 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3580 ?auto_3585 ?auto_3576 )
      ( DELIVER-PKG ?auto_3574 ?auto_3575 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3587
      ?auto_3588
    )
    :vars
    (
      ?auto_3589
      ?auto_3594
      ?auto_3595
      ?auto_3591
      ?auto_3590
      ?auto_3597
    )
    :precondition
    ( and ( OBJ ?auto_3587 ) ( LOCATION ?auto_3588 ) ( AIRPLANE ?auto_3589 ) ( AIRPORT ?auto_3594 ) ( AIRPORT ?auto_3588 ) ( DIFFERENT ?auto_3588 ?auto_3594 ) ( AIRPORT ?auto_3595 ) ( DIFFERENT ?auto_3594 ?auto_3595 ) ( AIRPORT ?auto_3591 ) ( DIFFERENT ?auto_3595 ?auto_3591 ) ( LOCATION ?auto_3591 ) ( AIRPORT ?auto_3590 ) ( AT ?auto_3589 ?auto_3590 ) ( DIFFERENT ?auto_3591 ?auto_3590 ) ( LOCATION ?auto_3597 ) ( AT ?auto_3587 ?auto_3597 ) ( AT ?auto_3589 ?auto_3597 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3587 ?auto_3589 ?auto_3597 )
      ( DELIVER-PKG ?auto_3587 ?auto_3588 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3638
      ?auto_3639
    )
    :vars
    (
      ?auto_3642
      ?auto_3649
      ?auto_3643
      ?auto_3646
      ?auto_3645
      ?auto_3648
      ?auto_3640
      ?auto_3644
      ?auto_3651
    )
    :precondition
    ( and ( OBJ ?auto_3638 ) ( LOCATION ?auto_3639 ) ( AIRPLANE ?auto_3642 ) ( AIRPORT ?auto_3649 ) ( AIRPORT ?auto_3639 ) ( DIFFERENT ?auto_3639 ?auto_3649 ) ( AIRPORT ?auto_3643 ) ( DIFFERENT ?auto_3649 ?auto_3643 ) ( AIRPORT ?auto_3646 ) ( DIFFERENT ?auto_3643 ?auto_3646 ) ( LOCATION ?auto_3646 ) ( AIRPORT ?auto_3645 ) ( AT ?auto_3642 ?auto_3645 ) ( DIFFERENT ?auto_3646 ?auto_3645 ) ( LOCATION ?auto_3648 ) ( AT ?auto_3642 ?auto_3648 ) ( TRUCK ?auto_3640 ) ( AT ?auto_3640 ?auto_3648 ) ( LOCATION ?auto_3644 ) ( AT ?auto_3640 ?auto_3644 ) ( TRUCK ?auto_3651 ) ( AT ?auto_3651 ?auto_3644 ) ( IN ?auto_3638 ?auto_3651 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3638 ?auto_3644 )
      ( DELIVER-PKG ?auto_3638 ?auto_3639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3612
      ?auto_3613
    )
    :vars
    (
      ?auto_3619
      ?auto_3617
      ?auto_3621
      ?auto_3622
      ?auto_3616
      ?auto_3615
      ?auto_3620
      ?auto_3624
    )
    :precondition
    ( and ( OBJ ?auto_3612 ) ( LOCATION ?auto_3613 ) ( AIRPLANE ?auto_3619 ) ( AIRPORT ?auto_3617 ) ( AIRPORT ?auto_3613 ) ( DIFFERENT ?auto_3613 ?auto_3617 ) ( AIRPORT ?auto_3621 ) ( DIFFERENT ?auto_3617 ?auto_3621 ) ( AIRPORT ?auto_3622 ) ( DIFFERENT ?auto_3621 ?auto_3622 ) ( LOCATION ?auto_3622 ) ( AIRPORT ?auto_3616 ) ( AT ?auto_3619 ?auto_3616 ) ( DIFFERENT ?auto_3622 ?auto_3616 ) ( LOCATION ?auto_3615 ) ( AT ?auto_3619 ?auto_3615 ) ( TRUCK ?auto_3620 ) ( AT ?auto_3620 ?auto_3615 ) ( LOCATION ?auto_3624 ) ( AT ?auto_3620 ?auto_3624 ) ( AT ?auto_3612 ?auto_3624 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3612 ?auto_3620 ?auto_3624 )
      ( DELIVER-PKG ?auto_3612 ?auto_3613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3666
      ?auto_3667
    )
    :vars
    (
      ?auto_3678
      ?auto_3674
      ?auto_3668
      ?auto_3673
      ?auto_3672
      ?auto_3669
      ?auto_3676
      ?auto_3681
      ?auto_3680
    )
    :precondition
    ( and ( OBJ ?auto_3666 ) ( LOCATION ?auto_3667 ) ( AIRPLANE ?auto_3678 ) ( AIRPORT ?auto_3674 ) ( AIRPORT ?auto_3667 ) ( DIFFERENT ?auto_3667 ?auto_3674 ) ( AIRPORT ?auto_3668 ) ( DIFFERENT ?auto_3674 ?auto_3668 ) ( AIRPORT ?auto_3673 ) ( DIFFERENT ?auto_3668 ?auto_3673 ) ( LOCATION ?auto_3673 ) ( AIRPORT ?auto_3672 ) ( AT ?auto_3678 ?auto_3672 ) ( DIFFERENT ?auto_3673 ?auto_3672 ) ( LOCATION ?auto_3669 ) ( AT ?auto_3678 ?auto_3669 ) ( TRUCK ?auto_3676 ) ( IN ?auto_3666 ?auto_3676 ) ( LOCATION ?auto_3681 ) ( CITY ?auto_3680 ) ( AT ?auto_3676 ?auto_3681 ) ( IN-CITY ?auto_3681 ?auto_3680 ) ( IN-CITY ?auto_3669 ?auto_3680 ) ( DIFFERENT ?auto_3669 ?auto_3681 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3676 ?auto_3681 ?auto_3669 ?auto_3680 )
      ( DELIVER-PKG ?auto_3666 ?auto_3667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3696
      ?auto_3697
    )
    :vars
    (
      ?auto_3704
      ?auto_3701
      ?auto_3707
      ?auto_3705
      ?auto_3703
      ?auto_3706
      ?auto_3702
      ?auto_3700
      ?auto_3699
      ?auto_3710
    )
    :precondition
    ( and ( OBJ ?auto_3696 ) ( LOCATION ?auto_3697 ) ( AIRPLANE ?auto_3704 ) ( AIRPORT ?auto_3701 ) ( AIRPORT ?auto_3697 ) ( DIFFERENT ?auto_3697 ?auto_3701 ) ( AIRPORT ?auto_3707 ) ( DIFFERENT ?auto_3701 ?auto_3707 ) ( AIRPORT ?auto_3705 ) ( DIFFERENT ?auto_3707 ?auto_3705 ) ( LOCATION ?auto_3705 ) ( AIRPORT ?auto_3703 ) ( AT ?auto_3704 ?auto_3703 ) ( DIFFERENT ?auto_3705 ?auto_3703 ) ( LOCATION ?auto_3706 ) ( AT ?auto_3704 ?auto_3706 ) ( TRUCK ?auto_3702 ) ( LOCATION ?auto_3700 ) ( CITY ?auto_3699 ) ( AT ?auto_3702 ?auto_3700 ) ( IN-CITY ?auto_3700 ?auto_3699 ) ( IN-CITY ?auto_3706 ?auto_3699 ) ( DIFFERENT ?auto_3706 ?auto_3700 ) ( LOCATION ?auto_3710 ) ( AT ?auto_3702 ?auto_3710 ) ( AT ?auto_3696 ?auto_3710 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3696 ?auto_3702 ?auto_3710 )
      ( DELIVER-PKG ?auto_3696 ?auto_3697 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3726
      ?auto_3727
    )
    :vars
    (
      ?auto_3732
      ?auto_3730
      ?auto_3728
      ?auto_3733
      ?auto_3734
      ?auto_3735
      ?auto_3731
      ?auto_3729
      ?auto_3739
      ?auto_3741
    )
    :precondition
    ( and ( OBJ ?auto_3726 ) ( LOCATION ?auto_3727 ) ( AIRPLANE ?auto_3732 ) ( AIRPORT ?auto_3730 ) ( AIRPORT ?auto_3727 ) ( DIFFERENT ?auto_3727 ?auto_3730 ) ( AIRPORT ?auto_3728 ) ( DIFFERENT ?auto_3730 ?auto_3728 ) ( AIRPORT ?auto_3733 ) ( DIFFERENT ?auto_3728 ?auto_3733 ) ( LOCATION ?auto_3733 ) ( AIRPORT ?auto_3734 ) ( DIFFERENT ?auto_3733 ?auto_3734 ) ( LOCATION ?auto_3734 ) ( TRUCK ?auto_3735 ) ( LOCATION ?auto_3731 ) ( CITY ?auto_3729 ) ( AT ?auto_3735 ?auto_3731 ) ( IN-CITY ?auto_3731 ?auto_3729 ) ( IN-CITY ?auto_3734 ?auto_3729 ) ( DIFFERENT ?auto_3734 ?auto_3731 ) ( LOCATION ?auto_3739 ) ( AT ?auto_3735 ?auto_3739 ) ( AT ?auto_3726 ?auto_3739 ) ( AIRPORT ?auto_3741 ) ( AT ?auto_3732 ?auto_3741 ) ( DIFFERENT ?auto_3734 ?auto_3741 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3732 ?auto_3741 ?auto_3734 )
      ( DELIVER-PKG ?auto_3726 ?auto_3727 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3743
      ?auto_3744
    )
    :vars
    (
      ?auto_3749
      ?auto_3754
      ?auto_3748
      ?auto_3750
      ?auto_3751
      ?auto_3746
      ?auto_3752
      ?auto_3747
      ?auto_3756
      ?auto_3759
      ?auto_3758
    )
    :precondition
    ( and ( OBJ ?auto_3743 ) ( LOCATION ?auto_3744 ) ( AIRPLANE ?auto_3749 ) ( AIRPORT ?auto_3754 ) ( AIRPORT ?auto_3744 ) ( DIFFERENT ?auto_3744 ?auto_3754 ) ( AIRPORT ?auto_3748 ) ( DIFFERENT ?auto_3754 ?auto_3748 ) ( AIRPORT ?auto_3750 ) ( DIFFERENT ?auto_3748 ?auto_3750 ) ( LOCATION ?auto_3750 ) ( AIRPORT ?auto_3751 ) ( DIFFERENT ?auto_3750 ?auto_3751 ) ( LOCATION ?auto_3751 ) ( TRUCK ?auto_3746 ) ( LOCATION ?auto_3752 ) ( CITY ?auto_3747 ) ( IN-CITY ?auto_3752 ?auto_3747 ) ( IN-CITY ?auto_3751 ?auto_3747 ) ( DIFFERENT ?auto_3751 ?auto_3752 ) ( AT ?auto_3743 ?auto_3752 ) ( AIRPORT ?auto_3756 ) ( AT ?auto_3749 ?auto_3756 ) ( DIFFERENT ?auto_3751 ?auto_3756 ) ( LOCATION ?auto_3759 ) ( CITY ?auto_3758 ) ( AT ?auto_3746 ?auto_3759 ) ( IN-CITY ?auto_3759 ?auto_3758 ) ( IN-CITY ?auto_3752 ?auto_3758 ) ( DIFFERENT ?auto_3752 ?auto_3759 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3746 ?auto_3759 ?auto_3752 ?auto_3758 )
      ( DELIVER-PKG ?auto_3743 ?auto_3744 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4873
      ?auto_4874
    )
    :vars
    (
      ?auto_4879
      ?auto_4877
      ?auto_4876
      ?auto_4882
      ?auto_4881
    )
    :precondition
    ( and ( OBJ ?auto_4873 ) ( LOCATION ?auto_4874 ) ( TRUCK ?auto_4879 ) ( IN ?auto_4873 ?auto_4879 ) ( LOCATION ?auto_4877 ) ( CITY ?auto_4876 ) ( IN-CITY ?auto_4877 ?auto_4876 ) ( IN-CITY ?auto_4874 ?auto_4876 ) ( DIFFERENT ?auto_4874 ?auto_4877 ) ( LOCATION ?auto_4882 ) ( CITY ?auto_4881 ) ( AT ?auto_4879 ?auto_4882 ) ( IN-CITY ?auto_4882 ?auto_4881 ) ( IN-CITY ?auto_4877 ?auto_4881 ) ( DIFFERENT ?auto_4877 ?auto_4882 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4879 ?auto_4882 ?auto_4877 ?auto_4881 )
      ( DELIVER-PKG ?auto_4873 ?auto_4874 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4884
      ?auto_4885
    )
    :vars
    (
      ?auto_4890
      ?auto_4887
      ?auto_4892
      ?auto_4889
      ?auto_4888
      ?auto_4895
      ?auto_4894
    )
    :precondition
    ( and ( OBJ ?auto_4884 ) ( LOCATION ?auto_4885 ) ( TRUCK ?auto_4890 ) ( IN ?auto_4884 ?auto_4890 ) ( LOCATION ?auto_4887 ) ( CITY ?auto_4892 ) ( IN-CITY ?auto_4887 ?auto_4892 ) ( IN-CITY ?auto_4885 ?auto_4892 ) ( DIFFERENT ?auto_4885 ?auto_4887 ) ( LOCATION ?auto_4889 ) ( CITY ?auto_4888 ) ( IN-CITY ?auto_4889 ?auto_4888 ) ( IN-CITY ?auto_4887 ?auto_4888 ) ( DIFFERENT ?auto_4887 ?auto_4889 ) ( LOCATION ?auto_4895 ) ( CITY ?auto_4894 ) ( AT ?auto_4890 ?auto_4895 ) ( IN-CITY ?auto_4895 ?auto_4894 ) ( IN-CITY ?auto_4889 ?auto_4894 ) ( DIFFERENT ?auto_4889 ?auto_4895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4890 ?auto_4895 ?auto_4889 ?auto_4894 )
      ( DELIVER-PKG ?auto_4884 ?auto_4885 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4908
      ?auto_4909
    )
    :vars
    (
      ?auto_4918
      ?auto_4916
      ?auto_4911
      ?auto_4914
      ?auto_4917
      ?auto_4912
      ?auto_4913
      ?auto_4921
      ?auto_4920
    )
    :precondition
    ( and ( OBJ ?auto_4908 ) ( LOCATION ?auto_4909 ) ( TRUCK ?auto_4918 ) ( IN ?auto_4908 ?auto_4918 ) ( LOCATION ?auto_4916 ) ( CITY ?auto_4911 ) ( IN-CITY ?auto_4916 ?auto_4911 ) ( IN-CITY ?auto_4909 ?auto_4911 ) ( DIFFERENT ?auto_4909 ?auto_4916 ) ( LOCATION ?auto_4914 ) ( CITY ?auto_4917 ) ( IN-CITY ?auto_4914 ?auto_4917 ) ( IN-CITY ?auto_4916 ?auto_4917 ) ( DIFFERENT ?auto_4916 ?auto_4914 ) ( LOCATION ?auto_4912 ) ( CITY ?auto_4913 ) ( IN-CITY ?auto_4912 ?auto_4913 ) ( IN-CITY ?auto_4914 ?auto_4913 ) ( DIFFERENT ?auto_4914 ?auto_4912 ) ( LOCATION ?auto_4921 ) ( CITY ?auto_4920 ) ( AT ?auto_4918 ?auto_4921 ) ( IN-CITY ?auto_4921 ?auto_4920 ) ( IN-CITY ?auto_4912 ?auto_4920 ) ( DIFFERENT ?auto_4912 ?auto_4921 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4918 ?auto_4921 ?auto_4912 ?auto_4920 )
      ( DELIVER-PKG ?auto_4908 ?auto_4909 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4936
      ?auto_4937
    )
    :vars
    (
      ?auto_4943
      ?auto_4940
      ?auto_4944
      ?auto_4942
      ?auto_4941
      ?auto_4945
      ?auto_4939
      ?auto_4948
      ?auto_4947
      ?auto_4950
    )
    :precondition
    ( and ( OBJ ?auto_4936 ) ( LOCATION ?auto_4937 ) ( TRUCK ?auto_4943 ) ( LOCATION ?auto_4940 ) ( CITY ?auto_4944 ) ( IN-CITY ?auto_4940 ?auto_4944 ) ( IN-CITY ?auto_4937 ?auto_4944 ) ( DIFFERENT ?auto_4937 ?auto_4940 ) ( LOCATION ?auto_4942 ) ( CITY ?auto_4941 ) ( IN-CITY ?auto_4942 ?auto_4941 ) ( IN-CITY ?auto_4940 ?auto_4941 ) ( DIFFERENT ?auto_4940 ?auto_4942 ) ( LOCATION ?auto_4945 ) ( CITY ?auto_4939 ) ( IN-CITY ?auto_4945 ?auto_4939 ) ( IN-CITY ?auto_4942 ?auto_4939 ) ( DIFFERENT ?auto_4942 ?auto_4945 ) ( LOCATION ?auto_4948 ) ( CITY ?auto_4947 ) ( AT ?auto_4943 ?auto_4948 ) ( IN-CITY ?auto_4948 ?auto_4947 ) ( IN-CITY ?auto_4945 ?auto_4947 ) ( DIFFERENT ?auto_4945 ?auto_4948 ) ( LOCATION ?auto_4950 ) ( AT ?auto_4943 ?auto_4950 ) ( AT ?auto_4936 ?auto_4950 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4936 ?auto_4943 ?auto_4950 )
      ( DELIVER-PKG ?auto_4936 ?auto_4937 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4952
      ?auto_4953
    )
    :vars
    (
      ?auto_4955
      ?auto_4958
      ?auto_4956
      ?auto_4963
      ?auto_4962
      ?auto_4959
      ?auto_4957
      ?auto_4961
      ?auto_4960
      ?auto_4965
      ?auto_4968
    )
    :precondition
    ( and ( OBJ ?auto_4952 ) ( LOCATION ?auto_4953 ) ( TRUCK ?auto_4955 ) ( LOCATION ?auto_4958 ) ( CITY ?auto_4956 ) ( IN-CITY ?auto_4958 ?auto_4956 ) ( IN-CITY ?auto_4953 ?auto_4956 ) ( DIFFERENT ?auto_4953 ?auto_4958 ) ( LOCATION ?auto_4963 ) ( CITY ?auto_4962 ) ( IN-CITY ?auto_4963 ?auto_4962 ) ( IN-CITY ?auto_4958 ?auto_4962 ) ( DIFFERENT ?auto_4958 ?auto_4963 ) ( LOCATION ?auto_4959 ) ( CITY ?auto_4957 ) ( IN-CITY ?auto_4959 ?auto_4957 ) ( IN-CITY ?auto_4963 ?auto_4957 ) ( DIFFERENT ?auto_4963 ?auto_4959 ) ( LOCATION ?auto_4961 ) ( CITY ?auto_4960 ) ( AT ?auto_4955 ?auto_4961 ) ( IN-CITY ?auto_4961 ?auto_4960 ) ( IN-CITY ?auto_4959 ?auto_4960 ) ( DIFFERENT ?auto_4959 ?auto_4961 ) ( LOCATION ?auto_4965 ) ( AT ?auto_4955 ?auto_4965 ) ( AIRPLANE ?auto_4968 ) ( IN ?auto_4952 ?auto_4968 ) ( AT ?auto_4968 ?auto_4965 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4952 ?auto_4965 )
      ( DELIVER-PKG ?auto_4952 ?auto_4953 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4969
      ?auto_4970
    )
    :vars
    (
      ?auto_4981
      ?auto_4980
      ?auto_4982
      ?auto_4979
      ?auto_4975
      ?auto_4974
      ?auto_4983
      ?auto_4976
      ?auto_4973
      ?auto_4978
      ?auto_4977
      ?auto_4985
    )
    :precondition
    ( and ( OBJ ?auto_4969 ) ( LOCATION ?auto_4970 ) ( TRUCK ?auto_4981 ) ( LOCATION ?auto_4980 ) ( CITY ?auto_4982 ) ( IN-CITY ?auto_4980 ?auto_4982 ) ( IN-CITY ?auto_4970 ?auto_4982 ) ( DIFFERENT ?auto_4970 ?auto_4980 ) ( LOCATION ?auto_4979 ) ( CITY ?auto_4975 ) ( IN-CITY ?auto_4979 ?auto_4975 ) ( IN-CITY ?auto_4980 ?auto_4975 ) ( DIFFERENT ?auto_4980 ?auto_4979 ) ( LOCATION ?auto_4974 ) ( CITY ?auto_4983 ) ( IN-CITY ?auto_4974 ?auto_4983 ) ( IN-CITY ?auto_4979 ?auto_4983 ) ( DIFFERENT ?auto_4979 ?auto_4974 ) ( LOCATION ?auto_4976 ) ( CITY ?auto_4973 ) ( AT ?auto_4981 ?auto_4976 ) ( IN-CITY ?auto_4976 ?auto_4973 ) ( IN-CITY ?auto_4974 ?auto_4973 ) ( DIFFERENT ?auto_4974 ?auto_4976 ) ( LOCATION ?auto_4978 ) ( AT ?auto_4981 ?auto_4978 ) ( AIRPLANE ?auto_4977 ) ( IN ?auto_4969 ?auto_4977 ) ( AIRPORT ?auto_4985 ) ( AIRPORT ?auto_4978 ) ( AT ?auto_4977 ?auto_4985 ) ( DIFFERENT ?auto_4978 ?auto_4985 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4977 ?auto_4985 ?auto_4978 )
      ( DELIVER-PKG ?auto_4969 ?auto_4970 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4987
      ?auto_4988
    )
    :vars
    (
      ?auto_4990
      ?auto_5000
      ?auto_4994
      ?auto_4993
      ?auto_4989
      ?auto_5001
      ?auto_4991
      ?auto_4992
      ?auto_4999
      ?auto_4995
      ?auto_5002
      ?auto_4998
      ?auto_5004
    )
    :precondition
    ( and ( OBJ ?auto_4987 ) ( LOCATION ?auto_4988 ) ( TRUCK ?auto_4990 ) ( LOCATION ?auto_5000 ) ( CITY ?auto_4994 ) ( IN-CITY ?auto_5000 ?auto_4994 ) ( IN-CITY ?auto_4988 ?auto_4994 ) ( DIFFERENT ?auto_4988 ?auto_5000 ) ( LOCATION ?auto_4993 ) ( CITY ?auto_4989 ) ( IN-CITY ?auto_4993 ?auto_4989 ) ( IN-CITY ?auto_5000 ?auto_4989 ) ( DIFFERENT ?auto_5000 ?auto_4993 ) ( LOCATION ?auto_5001 ) ( CITY ?auto_4991 ) ( IN-CITY ?auto_5001 ?auto_4991 ) ( IN-CITY ?auto_4993 ?auto_4991 ) ( DIFFERENT ?auto_4993 ?auto_5001 ) ( LOCATION ?auto_4992 ) ( CITY ?auto_4999 ) ( AT ?auto_4990 ?auto_4992 ) ( IN-CITY ?auto_4992 ?auto_4999 ) ( IN-CITY ?auto_5001 ?auto_4999 ) ( DIFFERENT ?auto_5001 ?auto_4992 ) ( LOCATION ?auto_4995 ) ( AT ?auto_4990 ?auto_4995 ) ( AIRPLANE ?auto_5002 ) ( AIRPORT ?auto_4998 ) ( AIRPORT ?auto_4995 ) ( AT ?auto_5002 ?auto_4998 ) ( DIFFERENT ?auto_4995 ?auto_4998 ) ( LOCATION ?auto_5004 ) ( AT ?auto_4987 ?auto_5004 ) ( AT ?auto_5002 ?auto_5004 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4987 ?auto_5002 ?auto_5004 )
      ( DELIVER-PKG ?auto_4987 ?auto_4988 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5006
      ?auto_5007
    )
    :vars
    (
      ?auto_5019
      ?auto_5009
      ?auto_5012
      ?auto_5022
      ?auto_5013
      ?auto_5014
      ?auto_5018
      ?auto_5021
      ?auto_5020
      ?auto_5017
      ?auto_5015
      ?auto_5010
      ?auto_5024
    )
    :precondition
    ( and ( OBJ ?auto_5006 ) ( LOCATION ?auto_5007 ) ( TRUCK ?auto_5019 ) ( LOCATION ?auto_5009 ) ( CITY ?auto_5012 ) ( IN-CITY ?auto_5009 ?auto_5012 ) ( IN-CITY ?auto_5007 ?auto_5012 ) ( DIFFERENT ?auto_5007 ?auto_5009 ) ( LOCATION ?auto_5022 ) ( CITY ?auto_5013 ) ( IN-CITY ?auto_5022 ?auto_5013 ) ( IN-CITY ?auto_5009 ?auto_5013 ) ( DIFFERENT ?auto_5009 ?auto_5022 ) ( LOCATION ?auto_5014 ) ( CITY ?auto_5018 ) ( IN-CITY ?auto_5014 ?auto_5018 ) ( IN-CITY ?auto_5022 ?auto_5018 ) ( DIFFERENT ?auto_5022 ?auto_5014 ) ( LOCATION ?auto_5021 ) ( CITY ?auto_5020 ) ( AT ?auto_5019 ?auto_5021 ) ( IN-CITY ?auto_5021 ?auto_5020 ) ( IN-CITY ?auto_5014 ?auto_5020 ) ( DIFFERENT ?auto_5014 ?auto_5021 ) ( LOCATION ?auto_5017 ) ( AT ?auto_5019 ?auto_5017 ) ( AIRPLANE ?auto_5015 ) ( AIRPORT ?auto_5010 ) ( AIRPORT ?auto_5017 ) ( DIFFERENT ?auto_5017 ?auto_5010 ) ( LOCATION ?auto_5010 ) ( AT ?auto_5006 ?auto_5010 ) ( AIRPORT ?auto_5024 ) ( AT ?auto_5015 ?auto_5024 ) ( DIFFERENT ?auto_5010 ?auto_5024 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5015 ?auto_5024 ?auto_5010 )
      ( DELIVER-PKG ?auto_5006 ?auto_5007 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5060
      ?auto_5061
    )
    :vars
    (
      ?auto_5062
      ?auto_5071
      ?auto_5075
      ?auto_5070
      ?auto_5066
      ?auto_5064
      ?auto_5073
      ?auto_5069
      ?auto_5063
      ?auto_5065
      ?auto_5076
      ?auto_5072
      ?auto_5074
      ?auto_5078
    )
    :precondition
    ( and ( OBJ ?auto_5060 ) ( LOCATION ?auto_5061 ) ( TRUCK ?auto_5062 ) ( LOCATION ?auto_5071 ) ( CITY ?auto_5075 ) ( IN-CITY ?auto_5071 ?auto_5075 ) ( IN-CITY ?auto_5061 ?auto_5075 ) ( DIFFERENT ?auto_5061 ?auto_5071 ) ( LOCATION ?auto_5070 ) ( CITY ?auto_5066 ) ( IN-CITY ?auto_5070 ?auto_5066 ) ( IN-CITY ?auto_5071 ?auto_5066 ) ( DIFFERENT ?auto_5071 ?auto_5070 ) ( LOCATION ?auto_5064 ) ( CITY ?auto_5073 ) ( IN-CITY ?auto_5064 ?auto_5073 ) ( IN-CITY ?auto_5070 ?auto_5073 ) ( DIFFERENT ?auto_5070 ?auto_5064 ) ( LOCATION ?auto_5069 ) ( CITY ?auto_5063 ) ( AT ?auto_5062 ?auto_5069 ) ( IN-CITY ?auto_5069 ?auto_5063 ) ( IN-CITY ?auto_5064 ?auto_5063 ) ( DIFFERENT ?auto_5064 ?auto_5069 ) ( LOCATION ?auto_5065 ) ( AT ?auto_5062 ?auto_5065 ) ( AIRPLANE ?auto_5076 ) ( AIRPORT ?auto_5072 ) ( AIRPORT ?auto_5065 ) ( DIFFERENT ?auto_5065 ?auto_5072 ) ( LOCATION ?auto_5072 ) ( AT ?auto_5060 ?auto_5072 ) ( AIRPORT ?auto_5074 ) ( DIFFERENT ?auto_5072 ?auto_5074 ) ( AIRPORT ?auto_5078 ) ( AT ?auto_5076 ?auto_5078 ) ( DIFFERENT ?auto_5074 ?auto_5078 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5076 ?auto_5078 ?auto_5074 )
      ( DELIVER-PKG ?auto_5060 ?auto_5061 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5134
      ?auto_5135
    )
    :vars
    (
      ?auto_5140
      ?auto_5147
      ?auto_5149
      ?auto_5146
      ?auto_5139
      ?auto_5144
      ?auto_5137
      ?auto_5145
      ?auto_5143
      ?auto_5142
      ?auto_5150
      ?auto_5136
      ?auto_5138
      ?auto_5151
      ?auto_5152
    )
    :precondition
    ( and ( OBJ ?auto_5134 ) ( LOCATION ?auto_5135 ) ( TRUCK ?auto_5140 ) ( LOCATION ?auto_5147 ) ( CITY ?auto_5149 ) ( IN-CITY ?auto_5147 ?auto_5149 ) ( IN-CITY ?auto_5135 ?auto_5149 ) ( DIFFERENT ?auto_5135 ?auto_5147 ) ( LOCATION ?auto_5146 ) ( CITY ?auto_5139 ) ( IN-CITY ?auto_5146 ?auto_5139 ) ( IN-CITY ?auto_5147 ?auto_5139 ) ( DIFFERENT ?auto_5147 ?auto_5146 ) ( LOCATION ?auto_5144 ) ( CITY ?auto_5137 ) ( IN-CITY ?auto_5144 ?auto_5137 ) ( IN-CITY ?auto_5146 ?auto_5137 ) ( DIFFERENT ?auto_5146 ?auto_5144 ) ( LOCATION ?auto_5145 ) ( CITY ?auto_5143 ) ( AT ?auto_5140 ?auto_5145 ) ( IN-CITY ?auto_5145 ?auto_5143 ) ( IN-CITY ?auto_5144 ?auto_5143 ) ( DIFFERENT ?auto_5144 ?auto_5145 ) ( LOCATION ?auto_5142 ) ( AT ?auto_5140 ?auto_5142 ) ( AIRPLANE ?auto_5150 ) ( AIRPORT ?auto_5136 ) ( AIRPORT ?auto_5142 ) ( DIFFERENT ?auto_5142 ?auto_5136 ) ( LOCATION ?auto_5136 ) ( AIRPORT ?auto_5138 ) ( DIFFERENT ?auto_5136 ?auto_5138 ) ( AIRPORT ?auto_5151 ) ( AT ?auto_5150 ?auto_5151 ) ( DIFFERENT ?auto_5138 ?auto_5151 ) ( TRUCK ?auto_5152 ) ( AT ?auto_5152 ?auto_5136 ) ( IN ?auto_5134 ?auto_5152 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5134 ?auto_5136 )
      ( DELIVER-PKG ?auto_5134 ?auto_5135 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5174
      ?auto_5175
    )
    :vars
    (
      ?auto_5182
      ?auto_5189
      ?auto_5190
      ?auto_5188
      ?auto_5181
      ?auto_5186
      ?auto_5177
      ?auto_5187
      ?auto_5184
      ?auto_5183
      ?auto_5191
      ?auto_5176
      ?auto_5180
      ?auto_5192
      ?auto_5185
      ?auto_5195
      ?auto_5194
    )
    :precondition
    ( and ( OBJ ?auto_5174 ) ( LOCATION ?auto_5175 ) ( TRUCK ?auto_5182 ) ( LOCATION ?auto_5189 ) ( CITY ?auto_5190 ) ( IN-CITY ?auto_5189 ?auto_5190 ) ( IN-CITY ?auto_5175 ?auto_5190 ) ( DIFFERENT ?auto_5175 ?auto_5189 ) ( LOCATION ?auto_5188 ) ( CITY ?auto_5181 ) ( IN-CITY ?auto_5188 ?auto_5181 ) ( IN-CITY ?auto_5189 ?auto_5181 ) ( DIFFERENT ?auto_5189 ?auto_5188 ) ( LOCATION ?auto_5186 ) ( CITY ?auto_5177 ) ( IN-CITY ?auto_5186 ?auto_5177 ) ( IN-CITY ?auto_5188 ?auto_5177 ) ( DIFFERENT ?auto_5188 ?auto_5186 ) ( LOCATION ?auto_5187 ) ( CITY ?auto_5184 ) ( AT ?auto_5182 ?auto_5187 ) ( IN-CITY ?auto_5187 ?auto_5184 ) ( IN-CITY ?auto_5186 ?auto_5184 ) ( DIFFERENT ?auto_5186 ?auto_5187 ) ( LOCATION ?auto_5183 ) ( AT ?auto_5182 ?auto_5183 ) ( AIRPLANE ?auto_5191 ) ( AIRPORT ?auto_5176 ) ( AIRPORT ?auto_5183 ) ( DIFFERENT ?auto_5183 ?auto_5176 ) ( LOCATION ?auto_5176 ) ( AIRPORT ?auto_5180 ) ( DIFFERENT ?auto_5176 ?auto_5180 ) ( AIRPORT ?auto_5192 ) ( AT ?auto_5191 ?auto_5192 ) ( DIFFERENT ?auto_5180 ?auto_5192 ) ( TRUCK ?auto_5185 ) ( IN ?auto_5174 ?auto_5185 ) ( LOCATION ?auto_5195 ) ( CITY ?auto_5194 ) ( AT ?auto_5185 ?auto_5195 ) ( IN-CITY ?auto_5195 ?auto_5194 ) ( IN-CITY ?auto_5176 ?auto_5194 ) ( DIFFERENT ?auto_5176 ?auto_5195 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5185 ?auto_5195 ?auto_5176 ?auto_5194 )
      ( DELIVER-PKG ?auto_5174 ?auto_5175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5197
      ?auto_5198
    )
    :vars
    (
      ?auto_5200
      ?auto_5210
      ?auto_5211
      ?auto_5209
      ?auto_5214
      ?auto_5207
      ?auto_5202
      ?auto_5201
      ?auto_5205
      ?auto_5212
      ?auto_5216
      ?auto_5213
      ?auto_5204
      ?auto_5206
      ?auto_5217
      ?auto_5199
      ?auto_5220
      ?auto_5219
    )
    :precondition
    ( and ( OBJ ?auto_5197 ) ( LOCATION ?auto_5198 ) ( TRUCK ?auto_5200 ) ( LOCATION ?auto_5210 ) ( CITY ?auto_5211 ) ( IN-CITY ?auto_5210 ?auto_5211 ) ( IN-CITY ?auto_5198 ?auto_5211 ) ( DIFFERENT ?auto_5198 ?auto_5210 ) ( LOCATION ?auto_5209 ) ( CITY ?auto_5214 ) ( IN-CITY ?auto_5209 ?auto_5214 ) ( IN-CITY ?auto_5210 ?auto_5214 ) ( DIFFERENT ?auto_5210 ?auto_5209 ) ( LOCATION ?auto_5207 ) ( CITY ?auto_5202 ) ( IN-CITY ?auto_5207 ?auto_5202 ) ( IN-CITY ?auto_5209 ?auto_5202 ) ( DIFFERENT ?auto_5209 ?auto_5207 ) ( LOCATION ?auto_5201 ) ( CITY ?auto_5205 ) ( IN-CITY ?auto_5201 ?auto_5205 ) ( IN-CITY ?auto_5207 ?auto_5205 ) ( DIFFERENT ?auto_5207 ?auto_5201 ) ( AIRPLANE ?auto_5212 ) ( AIRPORT ?auto_5216 ) ( AIRPORT ?auto_5201 ) ( DIFFERENT ?auto_5201 ?auto_5216 ) ( LOCATION ?auto_5216 ) ( AIRPORT ?auto_5213 ) ( DIFFERENT ?auto_5216 ?auto_5213 ) ( AIRPORT ?auto_5204 ) ( AT ?auto_5212 ?auto_5204 ) ( DIFFERENT ?auto_5213 ?auto_5204 ) ( TRUCK ?auto_5206 ) ( IN ?auto_5197 ?auto_5206 ) ( LOCATION ?auto_5217 ) ( CITY ?auto_5199 ) ( AT ?auto_5206 ?auto_5217 ) ( IN-CITY ?auto_5217 ?auto_5199 ) ( IN-CITY ?auto_5216 ?auto_5199 ) ( DIFFERENT ?auto_5216 ?auto_5217 ) ( LOCATION ?auto_5220 ) ( CITY ?auto_5219 ) ( AT ?auto_5200 ?auto_5220 ) ( IN-CITY ?auto_5220 ?auto_5219 ) ( IN-CITY ?auto_5201 ?auto_5219 ) ( DIFFERENT ?auto_5201 ?auto_5220 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5200 ?auto_5220 ?auto_5201 ?auto_5219 )
      ( DELIVER-PKG ?auto_5197 ?auto_5198 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5222
      ?auto_5223
    )
    :vars
    (
      ?auto_5240
      ?auto_5236
      ?auto_5237
      ?auto_5226
      ?auto_5233
      ?auto_5224
      ?auto_5241
      ?auto_5238
      ?auto_5242
      ?auto_5227
      ?auto_5235
      ?auto_5239
      ?auto_5228
      ?auto_5243
      ?auto_5225
      ?auto_5231
      ?auto_5232
      ?auto_5234
      ?auto_5245
    )
    :precondition
    ( and ( OBJ ?auto_5222 ) ( LOCATION ?auto_5223 ) ( TRUCK ?auto_5240 ) ( LOCATION ?auto_5236 ) ( CITY ?auto_5237 ) ( IN-CITY ?auto_5236 ?auto_5237 ) ( IN-CITY ?auto_5223 ?auto_5237 ) ( DIFFERENT ?auto_5223 ?auto_5236 ) ( LOCATION ?auto_5226 ) ( CITY ?auto_5233 ) ( IN-CITY ?auto_5226 ?auto_5233 ) ( IN-CITY ?auto_5236 ?auto_5233 ) ( DIFFERENT ?auto_5236 ?auto_5226 ) ( LOCATION ?auto_5224 ) ( CITY ?auto_5241 ) ( IN-CITY ?auto_5224 ?auto_5241 ) ( IN-CITY ?auto_5226 ?auto_5241 ) ( DIFFERENT ?auto_5226 ?auto_5224 ) ( LOCATION ?auto_5238 ) ( CITY ?auto_5242 ) ( IN-CITY ?auto_5238 ?auto_5242 ) ( IN-CITY ?auto_5224 ?auto_5242 ) ( DIFFERENT ?auto_5224 ?auto_5238 ) ( AIRPLANE ?auto_5227 ) ( AIRPORT ?auto_5235 ) ( AIRPORT ?auto_5238 ) ( DIFFERENT ?auto_5238 ?auto_5235 ) ( LOCATION ?auto_5235 ) ( AIRPORT ?auto_5239 ) ( DIFFERENT ?auto_5235 ?auto_5239 ) ( AIRPORT ?auto_5228 ) ( AT ?auto_5227 ?auto_5228 ) ( DIFFERENT ?auto_5239 ?auto_5228 ) ( TRUCK ?auto_5243 ) ( LOCATION ?auto_5225 ) ( CITY ?auto_5231 ) ( AT ?auto_5243 ?auto_5225 ) ( IN-CITY ?auto_5225 ?auto_5231 ) ( IN-CITY ?auto_5235 ?auto_5231 ) ( DIFFERENT ?auto_5235 ?auto_5225 ) ( LOCATION ?auto_5232 ) ( CITY ?auto_5234 ) ( AT ?auto_5240 ?auto_5232 ) ( IN-CITY ?auto_5232 ?auto_5234 ) ( IN-CITY ?auto_5238 ?auto_5234 ) ( DIFFERENT ?auto_5238 ?auto_5232 ) ( LOCATION ?auto_5245 ) ( AT ?auto_5243 ?auto_5245 ) ( AT ?auto_5222 ?auto_5245 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5222 ?auto_5243 ?auto_5245 )
      ( DELIVER-PKG ?auto_5222 ?auto_5223 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5270
      ?auto_5271
    )
    :vars
    (
      ?auto_5288
      ?auto_5286
      ?auto_5284
      ?auto_5285
      ?auto_5281
      ?auto_5273
      ?auto_5289
      ?auto_5276
      ?auto_5278
      ?auto_5287
      ?auto_5277
      ?auto_5282
      ?auto_5290
      ?auto_5279
      ?auto_5283
      ?auto_5291
      ?auto_5292
      ?auto_5280
      ?auto_5295
      ?auto_5294
    )
    :precondition
    ( and ( OBJ ?auto_5270 ) ( LOCATION ?auto_5271 ) ( TRUCK ?auto_5288 ) ( LOCATION ?auto_5286 ) ( CITY ?auto_5284 ) ( IN-CITY ?auto_5286 ?auto_5284 ) ( IN-CITY ?auto_5271 ?auto_5284 ) ( DIFFERENT ?auto_5271 ?auto_5286 ) ( LOCATION ?auto_5285 ) ( CITY ?auto_5281 ) ( IN-CITY ?auto_5285 ?auto_5281 ) ( IN-CITY ?auto_5286 ?auto_5281 ) ( DIFFERENT ?auto_5286 ?auto_5285 ) ( LOCATION ?auto_5273 ) ( CITY ?auto_5289 ) ( IN-CITY ?auto_5273 ?auto_5289 ) ( IN-CITY ?auto_5285 ?auto_5289 ) ( DIFFERENT ?auto_5285 ?auto_5273 ) ( LOCATION ?auto_5276 ) ( CITY ?auto_5278 ) ( IN-CITY ?auto_5276 ?auto_5278 ) ( IN-CITY ?auto_5273 ?auto_5278 ) ( DIFFERENT ?auto_5273 ?auto_5276 ) ( AIRPLANE ?auto_5287 ) ( AIRPORT ?auto_5277 ) ( AIRPORT ?auto_5276 ) ( DIFFERENT ?auto_5276 ?auto_5277 ) ( LOCATION ?auto_5277 ) ( AIRPORT ?auto_5282 ) ( DIFFERENT ?auto_5277 ?auto_5282 ) ( AIRPORT ?auto_5290 ) ( AT ?auto_5287 ?auto_5290 ) ( DIFFERENT ?auto_5282 ?auto_5290 ) ( TRUCK ?auto_5279 ) ( LOCATION ?auto_5283 ) ( CITY ?auto_5291 ) ( IN-CITY ?auto_5283 ?auto_5291 ) ( IN-CITY ?auto_5277 ?auto_5291 ) ( DIFFERENT ?auto_5277 ?auto_5283 ) ( LOCATION ?auto_5292 ) ( CITY ?auto_5280 ) ( AT ?auto_5288 ?auto_5292 ) ( IN-CITY ?auto_5292 ?auto_5280 ) ( IN-CITY ?auto_5276 ?auto_5280 ) ( DIFFERENT ?auto_5276 ?auto_5292 ) ( AT ?auto_5270 ?auto_5283 ) ( LOCATION ?auto_5295 ) ( CITY ?auto_5294 ) ( AT ?auto_5279 ?auto_5295 ) ( IN-CITY ?auto_5295 ?auto_5294 ) ( IN-CITY ?auto_5283 ?auto_5294 ) ( DIFFERENT ?auto_5283 ?auto_5295 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5279 ?auto_5295 ?auto_5283 ?auto_5294 )
      ( DELIVER-PKG ?auto_5270 ?auto_5271 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5297
      ?auto_5298
    )
    :vars
    (
      ?auto_5317
      ?auto_5315
      ?auto_5313
      ?auto_5314
      ?auto_5309
      ?auto_5312
      ?auto_5318
      ?auto_5306
      ?auto_5303
      ?auto_5316
      ?auto_5300
      ?auto_5310
      ?auto_5320
      ?auto_5304
      ?auto_5311
      ?auto_5301
      ?auto_5302
      ?auto_5308
      ?auto_5307
      ?auto_5319
      ?auto_5322
    )
    :precondition
    ( and ( OBJ ?auto_5297 ) ( LOCATION ?auto_5298 ) ( TRUCK ?auto_5317 ) ( LOCATION ?auto_5315 ) ( CITY ?auto_5313 ) ( IN-CITY ?auto_5315 ?auto_5313 ) ( IN-CITY ?auto_5298 ?auto_5313 ) ( DIFFERENT ?auto_5298 ?auto_5315 ) ( LOCATION ?auto_5314 ) ( CITY ?auto_5309 ) ( IN-CITY ?auto_5314 ?auto_5309 ) ( IN-CITY ?auto_5315 ?auto_5309 ) ( DIFFERENT ?auto_5315 ?auto_5314 ) ( LOCATION ?auto_5312 ) ( CITY ?auto_5318 ) ( IN-CITY ?auto_5312 ?auto_5318 ) ( IN-CITY ?auto_5314 ?auto_5318 ) ( DIFFERENT ?auto_5314 ?auto_5312 ) ( LOCATION ?auto_5306 ) ( CITY ?auto_5303 ) ( IN-CITY ?auto_5306 ?auto_5303 ) ( IN-CITY ?auto_5312 ?auto_5303 ) ( DIFFERENT ?auto_5312 ?auto_5306 ) ( AIRPLANE ?auto_5316 ) ( AIRPORT ?auto_5300 ) ( AIRPORT ?auto_5306 ) ( DIFFERENT ?auto_5306 ?auto_5300 ) ( LOCATION ?auto_5300 ) ( AIRPORT ?auto_5310 ) ( DIFFERENT ?auto_5300 ?auto_5310 ) ( AIRPORT ?auto_5320 ) ( DIFFERENT ?auto_5310 ?auto_5320 ) ( TRUCK ?auto_5304 ) ( LOCATION ?auto_5311 ) ( CITY ?auto_5301 ) ( IN-CITY ?auto_5311 ?auto_5301 ) ( IN-CITY ?auto_5300 ?auto_5301 ) ( DIFFERENT ?auto_5300 ?auto_5311 ) ( LOCATION ?auto_5302 ) ( CITY ?auto_5308 ) ( AT ?auto_5317 ?auto_5302 ) ( IN-CITY ?auto_5302 ?auto_5308 ) ( IN-CITY ?auto_5306 ?auto_5308 ) ( DIFFERENT ?auto_5306 ?auto_5302 ) ( AT ?auto_5297 ?auto_5311 ) ( LOCATION ?auto_5307 ) ( CITY ?auto_5319 ) ( AT ?auto_5304 ?auto_5307 ) ( IN-CITY ?auto_5307 ?auto_5319 ) ( IN-CITY ?auto_5311 ?auto_5319 ) ( DIFFERENT ?auto_5311 ?auto_5307 ) ( AIRPORT ?auto_5322 ) ( AT ?auto_5316 ?auto_5322 ) ( DIFFERENT ?auto_5320 ?auto_5322 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5316 ?auto_5322 ?auto_5320 )
      ( DELIVER-PKG ?auto_5297 ?auto_5298 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5324
      ?auto_5325
    )
    :vars
    (
      ?auto_5343
      ?auto_5337
      ?auto_5338
      ?auto_5339
      ?auto_5348
      ?auto_5335
      ?auto_5332
      ?auto_5346
      ?auto_5340
      ?auto_5342
      ?auto_5328
      ?auto_5329
      ?auto_5334
      ?auto_5344
      ?auto_5330
      ?auto_5345
      ?auto_5341
      ?auto_5347
      ?auto_5326
      ?auto_5333
      ?auto_5336
      ?auto_5351
      ?auto_5350
    )
    :precondition
    ( and ( OBJ ?auto_5324 ) ( LOCATION ?auto_5325 ) ( TRUCK ?auto_5343 ) ( LOCATION ?auto_5337 ) ( CITY ?auto_5338 ) ( IN-CITY ?auto_5337 ?auto_5338 ) ( IN-CITY ?auto_5325 ?auto_5338 ) ( DIFFERENT ?auto_5325 ?auto_5337 ) ( LOCATION ?auto_5339 ) ( CITY ?auto_5348 ) ( IN-CITY ?auto_5339 ?auto_5348 ) ( IN-CITY ?auto_5337 ?auto_5348 ) ( DIFFERENT ?auto_5337 ?auto_5339 ) ( LOCATION ?auto_5335 ) ( CITY ?auto_5332 ) ( IN-CITY ?auto_5335 ?auto_5332 ) ( IN-CITY ?auto_5339 ?auto_5332 ) ( DIFFERENT ?auto_5339 ?auto_5335 ) ( LOCATION ?auto_5346 ) ( CITY ?auto_5340 ) ( IN-CITY ?auto_5346 ?auto_5340 ) ( IN-CITY ?auto_5335 ?auto_5340 ) ( DIFFERENT ?auto_5335 ?auto_5346 ) ( AIRPLANE ?auto_5342 ) ( AIRPORT ?auto_5328 ) ( AIRPORT ?auto_5346 ) ( DIFFERENT ?auto_5346 ?auto_5328 ) ( LOCATION ?auto_5328 ) ( AIRPORT ?auto_5329 ) ( DIFFERENT ?auto_5328 ?auto_5329 ) ( AIRPORT ?auto_5334 ) ( DIFFERENT ?auto_5329 ?auto_5334 ) ( TRUCK ?auto_5344 ) ( LOCATION ?auto_5330 ) ( CITY ?auto_5345 ) ( IN-CITY ?auto_5330 ?auto_5345 ) ( IN-CITY ?auto_5328 ?auto_5345 ) ( DIFFERENT ?auto_5328 ?auto_5330 ) ( LOCATION ?auto_5341 ) ( CITY ?auto_5347 ) ( IN-CITY ?auto_5341 ?auto_5347 ) ( IN-CITY ?auto_5346 ?auto_5347 ) ( DIFFERENT ?auto_5346 ?auto_5341 ) ( AT ?auto_5324 ?auto_5330 ) ( LOCATION ?auto_5326 ) ( CITY ?auto_5333 ) ( AT ?auto_5344 ?auto_5326 ) ( IN-CITY ?auto_5326 ?auto_5333 ) ( IN-CITY ?auto_5330 ?auto_5333 ) ( DIFFERENT ?auto_5330 ?auto_5326 ) ( AIRPORT ?auto_5336 ) ( AT ?auto_5342 ?auto_5336 ) ( DIFFERENT ?auto_5334 ?auto_5336 ) ( LOCATION ?auto_5351 ) ( CITY ?auto_5350 ) ( AT ?auto_5343 ?auto_5351 ) ( IN-CITY ?auto_5351 ?auto_5350 ) ( IN-CITY ?auto_5341 ?auto_5350 ) ( DIFFERENT ?auto_5341 ?auto_5351 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5343 ?auto_5351 ?auto_5341 ?auto_5350 )
      ( DELIVER-PKG ?auto_5324 ?auto_5325 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24929
      ?auto_24930
    )
    :vars
    (
      ?auto_24939
      ?auto_24938
      ?auto_24933
      ?auto_24937
      ?auto_24931
      ?auto_24932
      ?auto_24934
      ?auto_24941
    )
    :precondition
    ( and ( OBJ ?auto_24929 ) ( LOCATION ?auto_24930 ) ( TRUCK ?auto_24939 ) ( LOCATION ?auto_24938 ) ( CITY ?auto_24933 ) ( AT ?auto_24939 ?auto_24938 ) ( IN-CITY ?auto_24938 ?auto_24933 ) ( IN-CITY ?auto_24930 ?auto_24933 ) ( DIFFERENT ?auto_24930 ?auto_24938 ) ( LOCATION ?auto_24937 ) ( AT ?auto_24939 ?auto_24937 ) ( TRUCK ?auto_24931 ) ( AT ?auto_24931 ?auto_24937 ) ( LOCATION ?auto_24932 ) ( AT ?auto_24931 ?auto_24932 ) ( AIRPLANE ?auto_24934 ) ( IN ?auto_24929 ?auto_24934 ) ( AIRPORT ?auto_24941 ) ( AIRPORT ?auto_24932 ) ( AT ?auto_24934 ?auto_24941 ) ( DIFFERENT ?auto_24932 ?auto_24941 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24934 ?auto_24941 ?auto_24932 )
      ( DELIVER-PKG ?auto_24929 ?auto_24930 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24955
      ?auto_24956
    )
    :vars
    (
      ?auto_24965
      ?auto_24957
      ?auto_24966
      ?auto_24960
      ?auto_24959
      ?auto_24964
      ?auto_24958
      ?auto_24962
      ?auto_24968
    )
    :precondition
    ( and ( OBJ ?auto_24955 ) ( LOCATION ?auto_24956 ) ( TRUCK ?auto_24965 ) ( LOCATION ?auto_24957 ) ( CITY ?auto_24966 ) ( AT ?auto_24965 ?auto_24957 ) ( IN-CITY ?auto_24957 ?auto_24966 ) ( IN-CITY ?auto_24956 ?auto_24966 ) ( DIFFERENT ?auto_24956 ?auto_24957 ) ( LOCATION ?auto_24960 ) ( AT ?auto_24965 ?auto_24960 ) ( TRUCK ?auto_24959 ) ( AT ?auto_24959 ?auto_24960 ) ( LOCATION ?auto_24964 ) ( AT ?auto_24959 ?auto_24964 ) ( AIRPLANE ?auto_24958 ) ( AIRPORT ?auto_24962 ) ( AIRPORT ?auto_24964 ) ( AT ?auto_24958 ?auto_24962 ) ( DIFFERENT ?auto_24964 ?auto_24962 ) ( LOCATION ?auto_24968 ) ( AT ?auto_24955 ?auto_24968 ) ( AT ?auto_24958 ?auto_24968 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_24955 ?auto_24958 ?auto_24968 )
      ( DELIVER-PKG ?auto_24955 ?auto_24956 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5891
      ?auto_5892
    )
    :vars
    (
      ?auto_5901
      ?auto_5899
      ?auto_5900
      ?auto_5893
      ?auto_5898
      ?auto_5897
      ?auto_5895
      ?auto_5904
    )
    :precondition
    ( and ( OBJ ?auto_5891 ) ( LOCATION ?auto_5892 ) ( TRUCK ?auto_5901 ) ( LOCATION ?auto_5899 ) ( CITY ?auto_5900 ) ( AT ?auto_5901 ?auto_5899 ) ( IN-CITY ?auto_5899 ?auto_5900 ) ( IN-CITY ?auto_5892 ?auto_5900 ) ( DIFFERENT ?auto_5892 ?auto_5899 ) ( LOCATION ?auto_5893 ) ( AT ?auto_5901 ?auto_5893 ) ( AIRPLANE ?auto_5898 ) ( AIRPORT ?auto_5897 ) ( AIRPORT ?auto_5893 ) ( AT ?auto_5898 ?auto_5897 ) ( DIFFERENT ?auto_5893 ?auto_5897 ) ( LOCATION ?auto_5895 ) ( AT ?auto_5898 ?auto_5895 ) ( TRUCK ?auto_5904 ) ( AT ?auto_5904 ?auto_5895 ) ( IN ?auto_5891 ?auto_5904 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5891 ?auto_5895 )
      ( DELIVER-PKG ?auto_5891 ?auto_5892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5917
      ?auto_5918
    )
    :vars
    (
      ?auto_5925
      ?auto_5924
      ?auto_5922
      ?auto_5928
      ?auto_5921
      ?auto_5926
      ?auto_5927
      ?auto_5923
      ?auto_5931
      ?auto_5930
    )
    :precondition
    ( and ( OBJ ?auto_5917 ) ( LOCATION ?auto_5918 ) ( TRUCK ?auto_5925 ) ( LOCATION ?auto_5924 ) ( CITY ?auto_5922 ) ( AT ?auto_5925 ?auto_5924 ) ( IN-CITY ?auto_5924 ?auto_5922 ) ( IN-CITY ?auto_5918 ?auto_5922 ) ( DIFFERENT ?auto_5918 ?auto_5924 ) ( LOCATION ?auto_5928 ) ( AT ?auto_5925 ?auto_5928 ) ( AIRPLANE ?auto_5921 ) ( AIRPORT ?auto_5926 ) ( AIRPORT ?auto_5928 ) ( AT ?auto_5921 ?auto_5926 ) ( DIFFERENT ?auto_5928 ?auto_5926 ) ( LOCATION ?auto_5927 ) ( AT ?auto_5921 ?auto_5927 ) ( TRUCK ?auto_5923 ) ( IN ?auto_5917 ?auto_5923 ) ( LOCATION ?auto_5931 ) ( CITY ?auto_5930 ) ( AT ?auto_5923 ?auto_5931 ) ( IN-CITY ?auto_5931 ?auto_5930 ) ( IN-CITY ?auto_5927 ?auto_5930 ) ( DIFFERENT ?auto_5927 ?auto_5931 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5923 ?auto_5931 ?auto_5927 ?auto_5930 )
      ( DELIVER-PKG ?auto_5917 ?auto_5918 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5947
      ?auto_5948
    )
    :vars
    (
      ?auto_5951
      ?auto_5950
      ?auto_5949
      ?auto_5956
      ?auto_5958
      ?auto_5954
      ?auto_5955
      ?auto_5952
      ?auto_5960
      ?auto_5957
      ?auto_5962
    )
    :precondition
    ( and ( OBJ ?auto_5947 ) ( LOCATION ?auto_5948 ) ( TRUCK ?auto_5951 ) ( LOCATION ?auto_5950 ) ( CITY ?auto_5949 ) ( AT ?auto_5951 ?auto_5950 ) ( IN-CITY ?auto_5950 ?auto_5949 ) ( IN-CITY ?auto_5948 ?auto_5949 ) ( DIFFERENT ?auto_5948 ?auto_5950 ) ( LOCATION ?auto_5956 ) ( AT ?auto_5951 ?auto_5956 ) ( AIRPLANE ?auto_5958 ) ( AIRPORT ?auto_5954 ) ( AIRPORT ?auto_5956 ) ( AT ?auto_5958 ?auto_5954 ) ( DIFFERENT ?auto_5956 ?auto_5954 ) ( LOCATION ?auto_5955 ) ( AT ?auto_5958 ?auto_5955 ) ( TRUCK ?auto_5952 ) ( LOCATION ?auto_5960 ) ( CITY ?auto_5957 ) ( AT ?auto_5952 ?auto_5960 ) ( IN-CITY ?auto_5960 ?auto_5957 ) ( IN-CITY ?auto_5955 ?auto_5957 ) ( DIFFERENT ?auto_5955 ?auto_5960 ) ( LOCATION ?auto_5962 ) ( AT ?auto_5952 ?auto_5962 ) ( AT ?auto_5947 ?auto_5962 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5947 ?auto_5952 ?auto_5962 )
      ( DELIVER-PKG ?auto_5947 ?auto_5948 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5964
      ?auto_5965
    )
    :vars
    (
      ?auto_5977
      ?auto_5970
      ?auto_5971
      ?auto_5972
      ?auto_5974
      ?auto_5969
      ?auto_5967
      ?auto_5975
      ?auto_5973
      ?auto_5976
      ?auto_5980
    )
    :precondition
    ( and ( OBJ ?auto_5964 ) ( LOCATION ?auto_5965 ) ( TRUCK ?auto_5977 ) ( LOCATION ?auto_5970 ) ( CITY ?auto_5971 ) ( AT ?auto_5977 ?auto_5970 ) ( IN-CITY ?auto_5970 ?auto_5971 ) ( IN-CITY ?auto_5965 ?auto_5971 ) ( DIFFERENT ?auto_5965 ?auto_5970 ) ( LOCATION ?auto_5972 ) ( AT ?auto_5977 ?auto_5972 ) ( AIRPLANE ?auto_5974 ) ( AIRPORT ?auto_5969 ) ( AIRPORT ?auto_5972 ) ( DIFFERENT ?auto_5972 ?auto_5969 ) ( LOCATION ?auto_5969 ) ( TRUCK ?auto_5967 ) ( LOCATION ?auto_5975 ) ( CITY ?auto_5973 ) ( AT ?auto_5967 ?auto_5975 ) ( IN-CITY ?auto_5975 ?auto_5973 ) ( IN-CITY ?auto_5969 ?auto_5973 ) ( DIFFERENT ?auto_5969 ?auto_5975 ) ( LOCATION ?auto_5976 ) ( AT ?auto_5967 ?auto_5976 ) ( AT ?auto_5964 ?auto_5976 ) ( AIRPORT ?auto_5980 ) ( AT ?auto_5974 ?auto_5980 ) ( DIFFERENT ?auto_5969 ?auto_5980 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5974 ?auto_5980 ?auto_5969 )
      ( DELIVER-PKG ?auto_5964 ?auto_5965 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6203
      ?auto_6204
    )
    :vars
    (
      ?auto_6206
      ?auto_6208
      ?auto_6205
      ?auto_6210
      ?auto_6209
      ?auto_6213
    )
    :precondition
    ( and ( OBJ ?auto_6203 ) ( LOCATION ?auto_6204 ) ( TRUCK ?auto_6206 ) ( LOCATION ?auto_6208 ) ( CITY ?auto_6205 ) ( IN-CITY ?auto_6208 ?auto_6205 ) ( IN-CITY ?auto_6204 ?auto_6205 ) ( DIFFERENT ?auto_6204 ?auto_6208 ) ( LOCATION ?auto_6210 ) ( CITY ?auto_6209 ) ( AT ?auto_6206 ?auto_6210 ) ( IN-CITY ?auto_6210 ?auto_6209 ) ( IN-CITY ?auto_6208 ?auto_6209 ) ( DIFFERENT ?auto_6208 ?auto_6210 ) ( LOCATION ?auto_6213 ) ( AT ?auto_6206 ?auto_6213 ) ( AT ?auto_6203 ?auto_6213 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6203 ?auto_6206 ?auto_6213 )
      ( DELIVER-PKG ?auto_6203 ?auto_6204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18289
      ?auto_18290
    )
    :vars
    (
      ?auto_18295
      ?auto_18296
      ?auto_18291
      ?auto_18293
      ?auto_18298
      ?auto_18294
      ?auto_18300
      ?auto_18292
      ?auto_18302
    )
    :precondition
    ( and ( OBJ ?auto_18289 ) ( LOCATION ?auto_18290 ) ( TRUCK ?auto_18295 ) ( LOCATION ?auto_18296 ) ( CITY ?auto_18291 ) ( IN-CITY ?auto_18296 ?auto_18291 ) ( IN-CITY ?auto_18290 ?auto_18291 ) ( DIFFERENT ?auto_18290 ?auto_18296 ) ( LOCATION ?auto_18293 ) ( CITY ?auto_18298 ) ( AT ?auto_18295 ?auto_18293 ) ( IN-CITY ?auto_18293 ?auto_18298 ) ( IN-CITY ?auto_18296 ?auto_18298 ) ( DIFFERENT ?auto_18296 ?auto_18293 ) ( LOCATION ?auto_18294 ) ( AT ?auto_18295 ?auto_18294 ) ( AIRPLANE ?auto_18300 ) ( AT ?auto_18300 ?auto_18294 ) ( LOCATION ?auto_18292 ) ( AT ?auto_18300 ?auto_18292 ) ( AIRPLANE ?auto_18302 ) ( IN ?auto_18289 ?auto_18302 ) ( AT ?auto_18302 ?auto_18292 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18289 ?auto_18292 )
      ( DELIVER-PKG ?auto_18289 ?auto_18290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6259
      ?auto_6260
    )
    :vars
    (
      ?auto_6262
      ?auto_6263
      ?auto_6261
      ?auto_6265
      ?auto_6264
      ?auto_6266
      ?auto_6269
      ?auto_6271
    )
    :precondition
    ( and ( OBJ ?auto_6259 ) ( LOCATION ?auto_6260 ) ( TRUCK ?auto_6262 ) ( LOCATION ?auto_6263 ) ( CITY ?auto_6261 ) ( IN-CITY ?auto_6263 ?auto_6261 ) ( IN-CITY ?auto_6260 ?auto_6261 ) ( DIFFERENT ?auto_6260 ?auto_6263 ) ( LOCATION ?auto_6265 ) ( CITY ?auto_6264 ) ( AT ?auto_6262 ?auto_6265 ) ( IN-CITY ?auto_6265 ?auto_6264 ) ( IN-CITY ?auto_6263 ?auto_6264 ) ( DIFFERENT ?auto_6263 ?auto_6265 ) ( LOCATION ?auto_6266 ) ( AT ?auto_6262 ?auto_6266 ) ( AIRPLANE ?auto_6269 ) ( IN ?auto_6259 ?auto_6269 ) ( AIRPORT ?auto_6271 ) ( AIRPORT ?auto_6266 ) ( AT ?auto_6269 ?auto_6271 ) ( DIFFERENT ?auto_6266 ?auto_6271 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6269 ?auto_6271 ?auto_6266 )
      ( DELIVER-PKG ?auto_6259 ?auto_6260 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6285
      ?auto_6286
    )
    :vars
    (
      ?auto_6294
      ?auto_6287
      ?auto_6292
      ?auto_6288
      ?auto_6291
      ?auto_6290
      ?auto_6289
      ?auto_6296
      ?auto_6298
    )
    :precondition
    ( and ( OBJ ?auto_6285 ) ( LOCATION ?auto_6286 ) ( TRUCK ?auto_6294 ) ( LOCATION ?auto_6287 ) ( CITY ?auto_6292 ) ( IN-CITY ?auto_6287 ?auto_6292 ) ( IN-CITY ?auto_6286 ?auto_6292 ) ( DIFFERENT ?auto_6286 ?auto_6287 ) ( LOCATION ?auto_6288 ) ( CITY ?auto_6291 ) ( AT ?auto_6294 ?auto_6288 ) ( IN-CITY ?auto_6288 ?auto_6291 ) ( IN-CITY ?auto_6287 ?auto_6291 ) ( DIFFERENT ?auto_6287 ?auto_6288 ) ( LOCATION ?auto_6290 ) ( AT ?auto_6294 ?auto_6290 ) ( AIRPLANE ?auto_6289 ) ( AIRPORT ?auto_6296 ) ( AIRPORT ?auto_6290 ) ( AT ?auto_6289 ?auto_6296 ) ( DIFFERENT ?auto_6290 ?auto_6296 ) ( LOCATION ?auto_6298 ) ( AT ?auto_6285 ?auto_6298 ) ( AT ?auto_6289 ?auto_6298 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6285 ?auto_6289 ?auto_6298 )
      ( DELIVER-PKG ?auto_6285 ?auto_6286 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6326
      ?auto_6327
    )
    :vars
    (
      ?auto_6335
      ?auto_6337
      ?auto_6330
      ?auto_6328
      ?auto_6329
      ?auto_6334
      ?auto_6336
      ?auto_6331
      ?auto_6340
    )
    :precondition
    ( and ( OBJ ?auto_6326 ) ( LOCATION ?auto_6327 ) ( TRUCK ?auto_6335 ) ( LOCATION ?auto_6337 ) ( CITY ?auto_6330 ) ( IN-CITY ?auto_6337 ?auto_6330 ) ( IN-CITY ?auto_6327 ?auto_6330 ) ( DIFFERENT ?auto_6327 ?auto_6337 ) ( LOCATION ?auto_6328 ) ( CITY ?auto_6329 ) ( AT ?auto_6335 ?auto_6328 ) ( IN-CITY ?auto_6328 ?auto_6329 ) ( IN-CITY ?auto_6337 ?auto_6329 ) ( DIFFERENT ?auto_6337 ?auto_6328 ) ( LOCATION ?auto_6334 ) ( AT ?auto_6335 ?auto_6334 ) ( AIRPLANE ?auto_6336 ) ( AIRPORT ?auto_6331 ) ( AIRPORT ?auto_6334 ) ( DIFFERENT ?auto_6334 ?auto_6331 ) ( LOCATION ?auto_6331 ) ( AT ?auto_6326 ?auto_6331 ) ( AIRPORT ?auto_6340 ) ( AT ?auto_6336 ?auto_6340 ) ( DIFFERENT ?auto_6331 ?auto_6340 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6336 ?auto_6340 ?auto_6331 )
      ( DELIVER-PKG ?auto_6326 ?auto_6327 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8545
      ?auto_8546
    )
    :vars
    (
      ?auto_8549
      ?auto_8550
      ?auto_8551
      ?auto_8552
      ?auto_8554
    )
    :precondition
    ( and ( OBJ ?auto_8545 ) ( LOCATION ?auto_8546 ) ( AIRPLANE ?auto_8549 ) ( AIRPORT ?auto_8550 ) ( AIRPORT ?auto_8546 ) ( DIFFERENT ?auto_8546 ?auto_8550 ) ( LOCATION ?auto_8550 ) ( AIRPORT ?auto_8551 ) ( DIFFERENT ?auto_8550 ?auto_8551 ) ( TRUCK ?auto_8552 ) ( AT ?auto_8552 ?auto_8550 ) ( IN ?auto_8545 ?auto_8552 ) ( AIRPORT ?auto_8554 ) ( AT ?auto_8549 ?auto_8554 ) ( DIFFERENT ?auto_8551 ?auto_8554 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8549 ?auto_8554 ?auto_8551 )
      ( DELIVER-PKG ?auto_8545 ?auto_8546 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8625
      ?auto_8626
    )
    :vars
    (
      ?auto_8629
      ?auto_8631
      ?auto_8633
      ?auto_8630
      ?auto_8632
      ?auto_8635
      ?auto_8634
      ?auto_8636
      ?auto_8638
    )
    :precondition
    ( and ( OBJ ?auto_8625 ) ( LOCATION ?auto_8626 ) ( AIRPLANE ?auto_8629 ) ( AIRPORT ?auto_8631 ) ( AIRPORT ?auto_8626 ) ( DIFFERENT ?auto_8626 ?auto_8631 ) ( LOCATION ?auto_8631 ) ( AIRPORT ?auto_8633 ) ( DIFFERENT ?auto_8631 ?auto_8633 ) ( TRUCK ?auto_8630 ) ( AIRPORT ?auto_8632 ) ( DIFFERENT ?auto_8633 ?auto_8632 ) ( LOCATION ?auto_8635 ) ( CITY ?auto_8634 ) ( AT ?auto_8630 ?auto_8635 ) ( IN-CITY ?auto_8635 ?auto_8634 ) ( IN-CITY ?auto_8631 ?auto_8634 ) ( DIFFERENT ?auto_8631 ?auto_8635 ) ( LOCATION ?auto_8636 ) ( AT ?auto_8630 ?auto_8636 ) ( AT ?auto_8625 ?auto_8636 ) ( AIRPORT ?auto_8638 ) ( AT ?auto_8629 ?auto_8638 ) ( DIFFERENT ?auto_8632 ?auto_8638 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8629 ?auto_8638 ?auto_8632 )
      ( DELIVER-PKG ?auto_8625 ?auto_8626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8749
      ?auto_8750
    )
    :vars
    (
      ?auto_8755
      ?auto_8752
      ?auto_8754
      ?auto_8758
      ?auto_8756
      ?auto_8761
      ?auto_8760
    )
    :precondition
    ( and ( OBJ ?auto_8749 ) ( LOCATION ?auto_8750 ) ( TRUCK ?auto_8755 ) ( LOCATION ?auto_8752 ) ( CITY ?auto_8754 ) ( IN-CITY ?auto_8752 ?auto_8754 ) ( IN-CITY ?auto_8750 ?auto_8754 ) ( DIFFERENT ?auto_8750 ?auto_8752 ) ( LOCATION ?auto_8758 ) ( CITY ?auto_8756 ) ( IN-CITY ?auto_8758 ?auto_8756 ) ( IN-CITY ?auto_8752 ?auto_8756 ) ( DIFFERENT ?auto_8752 ?auto_8758 ) ( AT ?auto_8749 ?auto_8758 ) ( LOCATION ?auto_8761 ) ( CITY ?auto_8760 ) ( AT ?auto_8755 ?auto_8761 ) ( IN-CITY ?auto_8761 ?auto_8760 ) ( IN-CITY ?auto_8758 ?auto_8760 ) ( DIFFERENT ?auto_8758 ?auto_8761 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8755 ?auto_8761 ?auto_8758 ?auto_8760 )
      ( DELIVER-PKG ?auto_8749 ?auto_8750 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8774
      ?auto_8775
    )
    :vars
    (
      ?auto_8778
      ?auto_8776
      ?auto_8777
      ?auto_8782
      ?auto_8779
      ?auto_8784
      ?auto_8783
      ?auto_8787
      ?auto_8786
    )
    :precondition
    ( and ( OBJ ?auto_8774 ) ( LOCATION ?auto_8775 ) ( TRUCK ?auto_8778 ) ( LOCATION ?auto_8776 ) ( CITY ?auto_8777 ) ( IN-CITY ?auto_8776 ?auto_8777 ) ( IN-CITY ?auto_8775 ?auto_8777 ) ( DIFFERENT ?auto_8775 ?auto_8776 ) ( LOCATION ?auto_8782 ) ( CITY ?auto_8779 ) ( IN-CITY ?auto_8782 ?auto_8779 ) ( IN-CITY ?auto_8776 ?auto_8779 ) ( DIFFERENT ?auto_8776 ?auto_8782 ) ( AT ?auto_8774 ?auto_8782 ) ( LOCATION ?auto_8784 ) ( CITY ?auto_8783 ) ( IN-CITY ?auto_8784 ?auto_8783 ) ( IN-CITY ?auto_8782 ?auto_8783 ) ( DIFFERENT ?auto_8782 ?auto_8784 ) ( LOCATION ?auto_8787 ) ( CITY ?auto_8786 ) ( AT ?auto_8778 ?auto_8787 ) ( IN-CITY ?auto_8787 ?auto_8786 ) ( IN-CITY ?auto_8784 ?auto_8786 ) ( DIFFERENT ?auto_8784 ?auto_8787 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8778 ?auto_8787 ?auto_8784 ?auto_8786 )
      ( DELIVER-PKG ?auto_8774 ?auto_8775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8854
      ?auto_8855
    )
    :vars
    (
      ?auto_8861
      ?auto_8856
      ?auto_8863
      ?auto_8857
      ?auto_8862
      ?auto_8859
      ?auto_8858
      ?auto_8866
      ?auto_8865
      ?auto_8869
      ?auto_8868
    )
    :precondition
    ( and ( OBJ ?auto_8854 ) ( LOCATION ?auto_8855 ) ( TRUCK ?auto_8861 ) ( LOCATION ?auto_8856 ) ( CITY ?auto_8863 ) ( IN-CITY ?auto_8856 ?auto_8863 ) ( IN-CITY ?auto_8855 ?auto_8863 ) ( DIFFERENT ?auto_8855 ?auto_8856 ) ( LOCATION ?auto_8857 ) ( CITY ?auto_8862 ) ( IN-CITY ?auto_8857 ?auto_8862 ) ( IN-CITY ?auto_8856 ?auto_8862 ) ( DIFFERENT ?auto_8856 ?auto_8857 ) ( AT ?auto_8854 ?auto_8857 ) ( LOCATION ?auto_8859 ) ( CITY ?auto_8858 ) ( IN-CITY ?auto_8859 ?auto_8858 ) ( IN-CITY ?auto_8857 ?auto_8858 ) ( DIFFERENT ?auto_8857 ?auto_8859 ) ( LOCATION ?auto_8866 ) ( CITY ?auto_8865 ) ( IN-CITY ?auto_8866 ?auto_8865 ) ( IN-CITY ?auto_8859 ?auto_8865 ) ( DIFFERENT ?auto_8859 ?auto_8866 ) ( LOCATION ?auto_8869 ) ( CITY ?auto_8868 ) ( AT ?auto_8861 ?auto_8869 ) ( IN-CITY ?auto_8869 ?auto_8868 ) ( IN-CITY ?auto_8866 ?auto_8868 ) ( DIFFERENT ?auto_8866 ?auto_8869 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8861 ?auto_8869 ?auto_8866 ?auto_8868 )
      ( DELIVER-PKG ?auto_8854 ?auto_8855 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9189
      ?auto_9190
    )
    :vars
    (
      ?auto_9192
      ?auto_9193
      ?auto_9195
      ?auto_9191
      ?auto_9197
      ?auto_9196
      ?auto_9201
      ?auto_9200
    )
    :precondition
    ( and ( OBJ ?auto_9189 ) ( LOCATION ?auto_9190 ) ( AIRPLANE ?auto_9192 ) ( AIRPORT ?auto_9193 ) ( AIRPORT ?auto_9190 ) ( AT ?auto_9192 ?auto_9193 ) ( DIFFERENT ?auto_9190 ?auto_9193 ) ( LOCATION ?auto_9195 ) ( AT ?auto_9192 ?auto_9195 ) ( TRUCK ?auto_9191 ) ( IN ?auto_9189 ?auto_9191 ) ( LOCATION ?auto_9197 ) ( CITY ?auto_9196 ) ( IN-CITY ?auto_9197 ?auto_9196 ) ( IN-CITY ?auto_9195 ?auto_9196 ) ( DIFFERENT ?auto_9195 ?auto_9197 ) ( LOCATION ?auto_9201 ) ( CITY ?auto_9200 ) ( AT ?auto_9191 ?auto_9201 ) ( IN-CITY ?auto_9201 ?auto_9200 ) ( IN-CITY ?auto_9197 ?auto_9200 ) ( DIFFERENT ?auto_9197 ?auto_9201 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9191 ?auto_9201 ?auto_9197 ?auto_9200 )
      ( DELIVER-PKG ?auto_9189 ?auto_9190 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9227
      ?auto_9228
    )
    :vars
    (
      ?auto_9231
      ?auto_9232
      ?auto_9235
      ?auto_9230
      ?auto_9237
      ?auto_9236
      ?auto_9238
      ?auto_9234
      ?auto_9240
    )
    :precondition
    ( and ( OBJ ?auto_9227 ) ( LOCATION ?auto_9228 ) ( AIRPLANE ?auto_9231 ) ( AIRPORT ?auto_9232 ) ( AIRPORT ?auto_9228 ) ( AT ?auto_9231 ?auto_9232 ) ( DIFFERENT ?auto_9228 ?auto_9232 ) ( LOCATION ?auto_9235 ) ( AT ?auto_9231 ?auto_9235 ) ( TRUCK ?auto_9230 ) ( LOCATION ?auto_9237 ) ( CITY ?auto_9236 ) ( IN-CITY ?auto_9237 ?auto_9236 ) ( IN-CITY ?auto_9235 ?auto_9236 ) ( DIFFERENT ?auto_9235 ?auto_9237 ) ( LOCATION ?auto_9238 ) ( CITY ?auto_9234 ) ( AT ?auto_9230 ?auto_9238 ) ( IN-CITY ?auto_9238 ?auto_9234 ) ( IN-CITY ?auto_9237 ?auto_9234 ) ( DIFFERENT ?auto_9237 ?auto_9238 ) ( LOCATION ?auto_9240 ) ( AT ?auto_9230 ?auto_9240 ) ( AT ?auto_9227 ?auto_9240 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9227 ?auto_9230 ?auto_9240 )
      ( DELIVER-PKG ?auto_9227 ?auto_9228 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9268
      ?auto_9269
    )
    :vars
    (
      ?auto_9273
      ?auto_9274
      ?auto_9276
      ?auto_9278
      ?auto_9270
      ?auto_9277
      ?auto_9280
      ?auto_9275
      ?auto_9283
      ?auto_9282
    )
    :precondition
    ( and ( OBJ ?auto_9268 ) ( LOCATION ?auto_9269 ) ( AIRPLANE ?auto_9273 ) ( AIRPORT ?auto_9274 ) ( AIRPORT ?auto_9269 ) ( AT ?auto_9273 ?auto_9274 ) ( DIFFERENT ?auto_9269 ?auto_9274 ) ( LOCATION ?auto_9276 ) ( AT ?auto_9273 ?auto_9276 ) ( TRUCK ?auto_9278 ) ( LOCATION ?auto_9270 ) ( CITY ?auto_9277 ) ( IN-CITY ?auto_9270 ?auto_9277 ) ( IN-CITY ?auto_9276 ?auto_9277 ) ( DIFFERENT ?auto_9276 ?auto_9270 ) ( LOCATION ?auto_9280 ) ( CITY ?auto_9275 ) ( IN-CITY ?auto_9280 ?auto_9275 ) ( IN-CITY ?auto_9270 ?auto_9275 ) ( DIFFERENT ?auto_9270 ?auto_9280 ) ( AT ?auto_9268 ?auto_9280 ) ( LOCATION ?auto_9283 ) ( CITY ?auto_9282 ) ( AT ?auto_9278 ?auto_9283 ) ( IN-CITY ?auto_9283 ?auto_9282 ) ( IN-CITY ?auto_9280 ?auto_9282 ) ( DIFFERENT ?auto_9280 ?auto_9283 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9278 ?auto_9283 ?auto_9280 ?auto_9282 )
      ( DELIVER-PKG ?auto_9268 ?auto_9269 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9299
      ?auto_9300
    )
    :vars
    (
      ?auto_9306
      ?auto_9307
      ?auto_9309
      ?auto_9301
      ?auto_9304
      ?auto_9310
      ?auto_9302
      ?auto_9308
      ?auto_9312
      ?auto_9311
      ?auto_9315
      ?auto_9314
    )
    :precondition
    ( and ( OBJ ?auto_9299 ) ( LOCATION ?auto_9300 ) ( AIRPLANE ?auto_9306 ) ( AIRPORT ?auto_9307 ) ( AIRPORT ?auto_9300 ) ( AT ?auto_9306 ?auto_9307 ) ( DIFFERENT ?auto_9300 ?auto_9307 ) ( LOCATION ?auto_9309 ) ( AT ?auto_9306 ?auto_9309 ) ( TRUCK ?auto_9301 ) ( LOCATION ?auto_9304 ) ( CITY ?auto_9310 ) ( IN-CITY ?auto_9304 ?auto_9310 ) ( IN-CITY ?auto_9309 ?auto_9310 ) ( DIFFERENT ?auto_9309 ?auto_9304 ) ( LOCATION ?auto_9302 ) ( CITY ?auto_9308 ) ( IN-CITY ?auto_9302 ?auto_9308 ) ( IN-CITY ?auto_9304 ?auto_9308 ) ( DIFFERENT ?auto_9304 ?auto_9302 ) ( AT ?auto_9299 ?auto_9302 ) ( LOCATION ?auto_9312 ) ( CITY ?auto_9311 ) ( IN-CITY ?auto_9312 ?auto_9311 ) ( IN-CITY ?auto_9302 ?auto_9311 ) ( DIFFERENT ?auto_9302 ?auto_9312 ) ( LOCATION ?auto_9315 ) ( CITY ?auto_9314 ) ( AT ?auto_9301 ?auto_9315 ) ( IN-CITY ?auto_9315 ?auto_9314 ) ( IN-CITY ?auto_9312 ?auto_9314 ) ( DIFFERENT ?auto_9312 ?auto_9315 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9301 ?auto_9315 ?auto_9312 ?auto_9314 )
      ( DELIVER-PKG ?auto_9299 ?auto_9300 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9397
      ?auto_9398
    )
    :vars
    (
      ?auto_9401
      ?auto_9402
      ?auto_9405
      ?auto_9399
      ?auto_9400
      ?auto_9406
      ?auto_9404
      ?auto_9403
      ?auto_9408
      ?auto_9407
      ?auto_9412
      ?auto_9411
      ?auto_9415
      ?auto_9414
    )
    :precondition
    ( and ( OBJ ?auto_9397 ) ( LOCATION ?auto_9398 ) ( AIRPLANE ?auto_9401 ) ( AIRPORT ?auto_9402 ) ( AIRPORT ?auto_9398 ) ( AT ?auto_9401 ?auto_9402 ) ( DIFFERENT ?auto_9398 ?auto_9402 ) ( LOCATION ?auto_9405 ) ( AT ?auto_9401 ?auto_9405 ) ( TRUCK ?auto_9399 ) ( LOCATION ?auto_9400 ) ( CITY ?auto_9406 ) ( IN-CITY ?auto_9400 ?auto_9406 ) ( IN-CITY ?auto_9405 ?auto_9406 ) ( DIFFERENT ?auto_9405 ?auto_9400 ) ( LOCATION ?auto_9404 ) ( CITY ?auto_9403 ) ( IN-CITY ?auto_9404 ?auto_9403 ) ( IN-CITY ?auto_9400 ?auto_9403 ) ( DIFFERENT ?auto_9400 ?auto_9404 ) ( AT ?auto_9397 ?auto_9404 ) ( LOCATION ?auto_9408 ) ( CITY ?auto_9407 ) ( IN-CITY ?auto_9408 ?auto_9407 ) ( IN-CITY ?auto_9404 ?auto_9407 ) ( DIFFERENT ?auto_9404 ?auto_9408 ) ( LOCATION ?auto_9412 ) ( CITY ?auto_9411 ) ( IN-CITY ?auto_9412 ?auto_9411 ) ( IN-CITY ?auto_9408 ?auto_9411 ) ( DIFFERENT ?auto_9408 ?auto_9412 ) ( LOCATION ?auto_9415 ) ( CITY ?auto_9414 ) ( AT ?auto_9399 ?auto_9415 ) ( IN-CITY ?auto_9415 ?auto_9414 ) ( IN-CITY ?auto_9412 ?auto_9414 ) ( DIFFERENT ?auto_9412 ?auto_9415 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9399 ?auto_9415 ?auto_9412 ?auto_9414 )
      ( DELIVER-PKG ?auto_9397 ?auto_9398 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9866
      ?auto_9867
    )
    :vars
    (
      ?auto_9877
      ?auto_9869
      ?auto_9875
      ?auto_9872
      ?auto_9868
      ?auto_9871
      ?auto_9874
      ?auto_9873
      ?auto_9876
      ?auto_9870
      ?auto_9882
      ?auto_9881
    )
    :precondition
    ( and ( OBJ ?auto_9866 ) ( LOCATION ?auto_9867 ) ( TRUCK ?auto_9877 ) ( LOCATION ?auto_9869 ) ( CITY ?auto_9875 ) ( AT ?auto_9877 ?auto_9869 ) ( IN-CITY ?auto_9869 ?auto_9875 ) ( IN-CITY ?auto_9867 ?auto_9875 ) ( DIFFERENT ?auto_9867 ?auto_9869 ) ( LOCATION ?auto_9872 ) ( AT ?auto_9877 ?auto_9872 ) ( AIRPLANE ?auto_9868 ) ( AIRPORT ?auto_9871 ) ( AIRPORT ?auto_9872 ) ( AT ?auto_9868 ?auto_9871 ) ( DIFFERENT ?auto_9872 ?auto_9871 ) ( LOCATION ?auto_9874 ) ( AT ?auto_9868 ?auto_9874 ) ( TRUCK ?auto_9873 ) ( IN ?auto_9866 ?auto_9873 ) ( LOCATION ?auto_9876 ) ( CITY ?auto_9870 ) ( IN-CITY ?auto_9876 ?auto_9870 ) ( IN-CITY ?auto_9874 ?auto_9870 ) ( DIFFERENT ?auto_9874 ?auto_9876 ) ( LOCATION ?auto_9882 ) ( CITY ?auto_9881 ) ( AT ?auto_9873 ?auto_9882 ) ( IN-CITY ?auto_9882 ?auto_9881 ) ( IN-CITY ?auto_9876 ?auto_9881 ) ( DIFFERENT ?auto_9876 ?auto_9882 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9873 ?auto_9882 ?auto_9876 ?auto_9881 )
      ( DELIVER-PKG ?auto_9866 ?auto_9867 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9916
      ?auto_9917
    )
    :vars
    (
      ?auto_9929
      ?auto_9926
      ?auto_9927
      ?auto_9918
      ?auto_9925
      ?auto_9923
      ?auto_9920
      ?auto_9919
      ?auto_9928
      ?auto_9922
      ?auto_9931
      ?auto_9930
      ?auto_9933
    )
    :precondition
    ( and ( OBJ ?auto_9916 ) ( LOCATION ?auto_9917 ) ( TRUCK ?auto_9929 ) ( LOCATION ?auto_9926 ) ( CITY ?auto_9927 ) ( AT ?auto_9929 ?auto_9926 ) ( IN-CITY ?auto_9926 ?auto_9927 ) ( IN-CITY ?auto_9917 ?auto_9927 ) ( DIFFERENT ?auto_9917 ?auto_9926 ) ( LOCATION ?auto_9918 ) ( AT ?auto_9929 ?auto_9918 ) ( AIRPLANE ?auto_9925 ) ( AIRPORT ?auto_9923 ) ( AIRPORT ?auto_9918 ) ( AT ?auto_9925 ?auto_9923 ) ( DIFFERENT ?auto_9918 ?auto_9923 ) ( LOCATION ?auto_9920 ) ( AT ?auto_9925 ?auto_9920 ) ( TRUCK ?auto_9919 ) ( LOCATION ?auto_9928 ) ( CITY ?auto_9922 ) ( IN-CITY ?auto_9928 ?auto_9922 ) ( IN-CITY ?auto_9920 ?auto_9922 ) ( DIFFERENT ?auto_9920 ?auto_9928 ) ( LOCATION ?auto_9931 ) ( CITY ?auto_9930 ) ( AT ?auto_9919 ?auto_9931 ) ( IN-CITY ?auto_9931 ?auto_9930 ) ( IN-CITY ?auto_9928 ?auto_9930 ) ( DIFFERENT ?auto_9928 ?auto_9931 ) ( LOCATION ?auto_9933 ) ( AT ?auto_9919 ?auto_9933 ) ( AT ?auto_9916 ?auto_9933 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9916 ?auto_9919 ?auto_9933 )
      ( DELIVER-PKG ?auto_9916 ?auto_9917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9969
      ?auto_9970
    )
    :vars
    (
      ?auto_9982
      ?auto_9979
      ?auto_9980
      ?auto_9972
      ?auto_9978
      ?auto_9977
      ?auto_9974
      ?auto_9973
      ?auto_9981
      ?auto_9975
      ?auto_9985
      ?auto_9983
      ?auto_9988
      ?auto_9987
    )
    :precondition
    ( and ( OBJ ?auto_9969 ) ( LOCATION ?auto_9970 ) ( TRUCK ?auto_9982 ) ( LOCATION ?auto_9979 ) ( CITY ?auto_9980 ) ( AT ?auto_9982 ?auto_9979 ) ( IN-CITY ?auto_9979 ?auto_9980 ) ( IN-CITY ?auto_9970 ?auto_9980 ) ( DIFFERENT ?auto_9970 ?auto_9979 ) ( LOCATION ?auto_9972 ) ( AT ?auto_9982 ?auto_9972 ) ( AIRPLANE ?auto_9978 ) ( AIRPORT ?auto_9977 ) ( AIRPORT ?auto_9972 ) ( AT ?auto_9978 ?auto_9977 ) ( DIFFERENT ?auto_9972 ?auto_9977 ) ( LOCATION ?auto_9974 ) ( AT ?auto_9978 ?auto_9974 ) ( TRUCK ?auto_9973 ) ( LOCATION ?auto_9981 ) ( CITY ?auto_9975 ) ( IN-CITY ?auto_9981 ?auto_9975 ) ( IN-CITY ?auto_9974 ?auto_9975 ) ( DIFFERENT ?auto_9974 ?auto_9981 ) ( LOCATION ?auto_9985 ) ( CITY ?auto_9983 ) ( IN-CITY ?auto_9985 ?auto_9983 ) ( IN-CITY ?auto_9981 ?auto_9983 ) ( DIFFERENT ?auto_9981 ?auto_9985 ) ( AT ?auto_9969 ?auto_9985 ) ( LOCATION ?auto_9988 ) ( CITY ?auto_9987 ) ( AT ?auto_9973 ?auto_9988 ) ( IN-CITY ?auto_9988 ?auto_9987 ) ( IN-CITY ?auto_9985 ?auto_9987 ) ( DIFFERENT ?auto_9985 ?auto_9988 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9973 ?auto_9988 ?auto_9985 ?auto_9987 )
      ( DELIVER-PKG ?auto_9969 ?auto_9970 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10008
      ?auto_10009
    )
    :vars
    (
      ?auto_10015
      ?auto_10012
      ?auto_10013
      ?auto_10017
      ?auto_10022
      ?auto_10021
      ?auto_10016
      ?auto_10019
      ?auto_10014
      ?auto_10020
      ?auto_10024
      ?auto_10023
      ?auto_10025
      ?auto_10018
      ?auto_10028
      ?auto_10027
    )
    :precondition
    ( and ( OBJ ?auto_10008 ) ( LOCATION ?auto_10009 ) ( TRUCK ?auto_10015 ) ( LOCATION ?auto_10012 ) ( CITY ?auto_10013 ) ( AT ?auto_10015 ?auto_10012 ) ( IN-CITY ?auto_10012 ?auto_10013 ) ( IN-CITY ?auto_10009 ?auto_10013 ) ( DIFFERENT ?auto_10009 ?auto_10012 ) ( LOCATION ?auto_10017 ) ( AT ?auto_10015 ?auto_10017 ) ( AIRPLANE ?auto_10022 ) ( AIRPORT ?auto_10021 ) ( AIRPORT ?auto_10017 ) ( AT ?auto_10022 ?auto_10021 ) ( DIFFERENT ?auto_10017 ?auto_10021 ) ( LOCATION ?auto_10016 ) ( AT ?auto_10022 ?auto_10016 ) ( TRUCK ?auto_10019 ) ( LOCATION ?auto_10014 ) ( CITY ?auto_10020 ) ( IN-CITY ?auto_10014 ?auto_10020 ) ( IN-CITY ?auto_10016 ?auto_10020 ) ( DIFFERENT ?auto_10016 ?auto_10014 ) ( LOCATION ?auto_10024 ) ( CITY ?auto_10023 ) ( IN-CITY ?auto_10024 ?auto_10023 ) ( IN-CITY ?auto_10014 ?auto_10023 ) ( DIFFERENT ?auto_10014 ?auto_10024 ) ( AT ?auto_10008 ?auto_10024 ) ( LOCATION ?auto_10025 ) ( CITY ?auto_10018 ) ( IN-CITY ?auto_10025 ?auto_10018 ) ( IN-CITY ?auto_10024 ?auto_10018 ) ( DIFFERENT ?auto_10024 ?auto_10025 ) ( LOCATION ?auto_10028 ) ( CITY ?auto_10027 ) ( AT ?auto_10019 ?auto_10028 ) ( IN-CITY ?auto_10028 ?auto_10027 ) ( IN-CITY ?auto_10025 ?auto_10027 ) ( DIFFERENT ?auto_10025 ?auto_10028 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10019 ?auto_10028 ?auto_10025 ?auto_10027 )
      ( DELIVER-PKG ?auto_10008 ?auto_10009 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10130
      ?auto_10131
    )
    :vars
    (
      ?auto_10140
      ?auto_10146
      ?auto_10145
      ?auto_10142
      ?auto_10134
      ?auto_10133
      ?auto_10141
      ?auto_10144
      ?auto_10139
      ?auto_10132
      ?auto_10136
      ?auto_10135
      ?auto_10137
      ?auto_10143
      ?auto_10149
      ?auto_10138
      ?auto_10152
      ?auto_10151
    )
    :precondition
    ( and ( OBJ ?auto_10130 ) ( LOCATION ?auto_10131 ) ( TRUCK ?auto_10140 ) ( LOCATION ?auto_10146 ) ( CITY ?auto_10145 ) ( AT ?auto_10140 ?auto_10146 ) ( IN-CITY ?auto_10146 ?auto_10145 ) ( IN-CITY ?auto_10131 ?auto_10145 ) ( DIFFERENT ?auto_10131 ?auto_10146 ) ( LOCATION ?auto_10142 ) ( AT ?auto_10140 ?auto_10142 ) ( AIRPLANE ?auto_10134 ) ( AIRPORT ?auto_10133 ) ( AIRPORT ?auto_10142 ) ( AT ?auto_10134 ?auto_10133 ) ( DIFFERENT ?auto_10142 ?auto_10133 ) ( LOCATION ?auto_10141 ) ( AT ?auto_10134 ?auto_10141 ) ( TRUCK ?auto_10144 ) ( LOCATION ?auto_10139 ) ( CITY ?auto_10132 ) ( IN-CITY ?auto_10139 ?auto_10132 ) ( IN-CITY ?auto_10141 ?auto_10132 ) ( DIFFERENT ?auto_10141 ?auto_10139 ) ( LOCATION ?auto_10136 ) ( CITY ?auto_10135 ) ( IN-CITY ?auto_10136 ?auto_10135 ) ( IN-CITY ?auto_10139 ?auto_10135 ) ( DIFFERENT ?auto_10139 ?auto_10136 ) ( AT ?auto_10130 ?auto_10136 ) ( LOCATION ?auto_10137 ) ( CITY ?auto_10143 ) ( IN-CITY ?auto_10137 ?auto_10143 ) ( IN-CITY ?auto_10136 ?auto_10143 ) ( DIFFERENT ?auto_10136 ?auto_10137 ) ( LOCATION ?auto_10149 ) ( CITY ?auto_10138 ) ( IN-CITY ?auto_10149 ?auto_10138 ) ( IN-CITY ?auto_10137 ?auto_10138 ) ( DIFFERENT ?auto_10137 ?auto_10149 ) ( LOCATION ?auto_10152 ) ( CITY ?auto_10151 ) ( AT ?auto_10144 ?auto_10152 ) ( IN-CITY ?auto_10152 ?auto_10151 ) ( IN-CITY ?auto_10149 ?auto_10151 ) ( DIFFERENT ?auto_10149 ?auto_10152 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10144 ?auto_10152 ?auto_10149 ?auto_10151 )
      ( DELIVER-PKG ?auto_10130 ?auto_10131 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10264
      ?auto_10265
    )
    :vars
    (
      ?auto_10277
      ?auto_10279
      ?auto_10282
      ?auto_10270
      ?auto_10269
      ?auto_10278
      ?auto_10281
      ?auto_10276
      ?auto_10267
      ?auto_10273
      ?auto_10272
      ?auto_10274
      ?auto_10280
      ?auto_10284
      ?auto_10275
      ?auto_10285
      ?auto_10271
      ?auto_10288
      ?auto_10287
    )
    :precondition
    ( and ( OBJ ?auto_10264 ) ( LOCATION ?auto_10265 ) ( TRUCK ?auto_10277 ) ( LOCATION ?auto_10279 ) ( CITY ?auto_10282 ) ( IN-CITY ?auto_10279 ?auto_10282 ) ( IN-CITY ?auto_10265 ?auto_10282 ) ( DIFFERENT ?auto_10265 ?auto_10279 ) ( AIRPLANE ?auto_10270 ) ( AIRPORT ?auto_10269 ) ( AIRPORT ?auto_10279 ) ( AT ?auto_10270 ?auto_10269 ) ( DIFFERENT ?auto_10279 ?auto_10269 ) ( LOCATION ?auto_10278 ) ( AT ?auto_10270 ?auto_10278 ) ( TRUCK ?auto_10281 ) ( LOCATION ?auto_10276 ) ( CITY ?auto_10267 ) ( IN-CITY ?auto_10276 ?auto_10267 ) ( IN-CITY ?auto_10278 ?auto_10267 ) ( DIFFERENT ?auto_10278 ?auto_10276 ) ( LOCATION ?auto_10273 ) ( CITY ?auto_10272 ) ( IN-CITY ?auto_10273 ?auto_10272 ) ( IN-CITY ?auto_10276 ?auto_10272 ) ( DIFFERENT ?auto_10276 ?auto_10273 ) ( AT ?auto_10264 ?auto_10273 ) ( LOCATION ?auto_10274 ) ( CITY ?auto_10280 ) ( IN-CITY ?auto_10274 ?auto_10280 ) ( IN-CITY ?auto_10273 ?auto_10280 ) ( DIFFERENT ?auto_10273 ?auto_10274 ) ( LOCATION ?auto_10284 ) ( CITY ?auto_10275 ) ( IN-CITY ?auto_10284 ?auto_10275 ) ( IN-CITY ?auto_10274 ?auto_10275 ) ( DIFFERENT ?auto_10274 ?auto_10284 ) ( LOCATION ?auto_10285 ) ( CITY ?auto_10271 ) ( AT ?auto_10281 ?auto_10285 ) ( IN-CITY ?auto_10285 ?auto_10271 ) ( IN-CITY ?auto_10284 ?auto_10271 ) ( DIFFERENT ?auto_10284 ?auto_10285 ) ( LOCATION ?auto_10288 ) ( CITY ?auto_10287 ) ( AT ?auto_10277 ?auto_10288 ) ( IN-CITY ?auto_10288 ?auto_10287 ) ( IN-CITY ?auto_10279 ?auto_10287 ) ( DIFFERENT ?auto_10279 ?auto_10288 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10277 ?auto_10288 ?auto_10279 ?auto_10287 )
      ( DELIVER-PKG ?auto_10264 ?auto_10265 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10915
      ?auto_10916
    )
    :vars
    (
      ?auto_10920
      ?auto_10921
      ?auto_10919
      ?auto_10923
      ?auto_10922
      ?auto_10924
      ?auto_10925
      ?auto_10926
      ?auto_10927
      ?auto_10930
    )
    :precondition
    ( and ( OBJ ?auto_10915 ) ( LOCATION ?auto_10916 ) ( TRUCK ?auto_10920 ) ( LOCATION ?auto_10921 ) ( CITY ?auto_10919 ) ( IN-CITY ?auto_10921 ?auto_10919 ) ( IN-CITY ?auto_10916 ?auto_10919 ) ( DIFFERENT ?auto_10916 ?auto_10921 ) ( LOCATION ?auto_10923 ) ( CITY ?auto_10922 ) ( AT ?auto_10920 ?auto_10923 ) ( IN-CITY ?auto_10923 ?auto_10922 ) ( IN-CITY ?auto_10921 ?auto_10922 ) ( DIFFERENT ?auto_10921 ?auto_10923 ) ( LOCATION ?auto_10924 ) ( AT ?auto_10920 ?auto_10924 ) ( AIRPLANE ?auto_10925 ) ( AIRPORT ?auto_10926 ) ( AIRPORT ?auto_10924 ) ( DIFFERENT ?auto_10924 ?auto_10926 ) ( LOCATION ?auto_10926 ) ( AIRPORT ?auto_10927 ) ( AT ?auto_10925 ?auto_10927 ) ( DIFFERENT ?auto_10926 ?auto_10927 ) ( TRUCK ?auto_10930 ) ( AT ?auto_10930 ?auto_10926 ) ( IN ?auto_10915 ?auto_10930 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10915 ?auto_10926 )
      ( DELIVER-PKG ?auto_10915 ?auto_10916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10931
      ?auto_10932
    )
    :vars
    (
      ?auto_10936
      ?auto_10937
      ?auto_10935
      ?auto_10939
      ?auto_10938
      ?auto_10940
      ?auto_10941
      ?auto_10942
      ?auto_10943
      ?auto_10944
      ?auto_10946
    )
    :precondition
    ( and ( OBJ ?auto_10931 ) ( LOCATION ?auto_10932 ) ( TRUCK ?auto_10936 ) ( LOCATION ?auto_10937 ) ( CITY ?auto_10935 ) ( IN-CITY ?auto_10937 ?auto_10935 ) ( IN-CITY ?auto_10932 ?auto_10935 ) ( DIFFERENT ?auto_10932 ?auto_10937 ) ( LOCATION ?auto_10939 ) ( CITY ?auto_10938 ) ( AT ?auto_10936 ?auto_10939 ) ( IN-CITY ?auto_10939 ?auto_10938 ) ( IN-CITY ?auto_10937 ?auto_10938 ) ( DIFFERENT ?auto_10937 ?auto_10939 ) ( LOCATION ?auto_10940 ) ( AT ?auto_10936 ?auto_10940 ) ( AIRPLANE ?auto_10941 ) ( AIRPORT ?auto_10942 ) ( AIRPORT ?auto_10940 ) ( DIFFERENT ?auto_10940 ?auto_10942 ) ( LOCATION ?auto_10942 ) ( AIRPORT ?auto_10943 ) ( DIFFERENT ?auto_10942 ?auto_10943 ) ( TRUCK ?auto_10944 ) ( AT ?auto_10944 ?auto_10942 ) ( IN ?auto_10931 ?auto_10944 ) ( AIRPORT ?auto_10946 ) ( AT ?auto_10941 ?auto_10946 ) ( DIFFERENT ?auto_10943 ?auto_10946 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10941 ?auto_10946 ?auto_10943 )
      ( DELIVER-PKG ?auto_10931 ?auto_10932 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10963
      ?auto_10964
    )
    :vars
    (
      ?auto_10967
      ?auto_10968
      ?auto_10977
      ?auto_10974
      ?auto_10965
      ?auto_10975
      ?auto_10971
      ?auto_10972
      ?auto_10969
      ?auto_10970
      ?auto_10973
      ?auto_10980
      ?auto_10979
    )
    :precondition
    ( and ( OBJ ?auto_10963 ) ( LOCATION ?auto_10964 ) ( TRUCK ?auto_10967 ) ( LOCATION ?auto_10968 ) ( CITY ?auto_10977 ) ( IN-CITY ?auto_10968 ?auto_10977 ) ( IN-CITY ?auto_10964 ?auto_10977 ) ( DIFFERENT ?auto_10964 ?auto_10968 ) ( LOCATION ?auto_10974 ) ( CITY ?auto_10965 ) ( AT ?auto_10967 ?auto_10974 ) ( IN-CITY ?auto_10974 ?auto_10965 ) ( IN-CITY ?auto_10968 ?auto_10965 ) ( DIFFERENT ?auto_10968 ?auto_10974 ) ( LOCATION ?auto_10975 ) ( AT ?auto_10967 ?auto_10975 ) ( AIRPLANE ?auto_10971 ) ( AIRPORT ?auto_10972 ) ( AIRPORT ?auto_10975 ) ( DIFFERENT ?auto_10975 ?auto_10972 ) ( LOCATION ?auto_10972 ) ( AIRPORT ?auto_10969 ) ( DIFFERENT ?auto_10972 ?auto_10969 ) ( TRUCK ?auto_10970 ) ( IN ?auto_10963 ?auto_10970 ) ( AIRPORT ?auto_10973 ) ( AT ?auto_10971 ?auto_10973 ) ( DIFFERENT ?auto_10969 ?auto_10973 ) ( LOCATION ?auto_10980 ) ( CITY ?auto_10979 ) ( AT ?auto_10970 ?auto_10980 ) ( IN-CITY ?auto_10980 ?auto_10979 ) ( IN-CITY ?auto_10972 ?auto_10979 ) ( DIFFERENT ?auto_10972 ?auto_10980 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10970 ?auto_10980 ?auto_10972 ?auto_10979 )
      ( DELIVER-PKG ?auto_10963 ?auto_10964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11033
      ?auto_11034
    )
    :vars
    (
      ?auto_11038
      ?auto_11039
      ?auto_11047
      ?auto_11045
      ?auto_11035
      ?auto_11046
      ?auto_11042
      ?auto_11043
      ?auto_11040
      ?auto_11041
      ?auto_11044
      ?auto_11049
      ?auto_11048
      ?auto_11051
    )
    :precondition
    ( and ( OBJ ?auto_11033 ) ( LOCATION ?auto_11034 ) ( TRUCK ?auto_11038 ) ( LOCATION ?auto_11039 ) ( CITY ?auto_11047 ) ( IN-CITY ?auto_11039 ?auto_11047 ) ( IN-CITY ?auto_11034 ?auto_11047 ) ( DIFFERENT ?auto_11034 ?auto_11039 ) ( LOCATION ?auto_11045 ) ( CITY ?auto_11035 ) ( AT ?auto_11038 ?auto_11045 ) ( IN-CITY ?auto_11045 ?auto_11035 ) ( IN-CITY ?auto_11039 ?auto_11035 ) ( DIFFERENT ?auto_11039 ?auto_11045 ) ( LOCATION ?auto_11046 ) ( AT ?auto_11038 ?auto_11046 ) ( AIRPLANE ?auto_11042 ) ( AIRPORT ?auto_11043 ) ( AIRPORT ?auto_11046 ) ( DIFFERENT ?auto_11046 ?auto_11043 ) ( LOCATION ?auto_11043 ) ( AIRPORT ?auto_11040 ) ( DIFFERENT ?auto_11043 ?auto_11040 ) ( TRUCK ?auto_11041 ) ( AIRPORT ?auto_11044 ) ( AT ?auto_11042 ?auto_11044 ) ( DIFFERENT ?auto_11040 ?auto_11044 ) ( LOCATION ?auto_11049 ) ( CITY ?auto_11048 ) ( AT ?auto_11041 ?auto_11049 ) ( IN-CITY ?auto_11049 ?auto_11048 ) ( IN-CITY ?auto_11043 ?auto_11048 ) ( DIFFERENT ?auto_11043 ?auto_11049 ) ( LOCATION ?auto_11051 ) ( AT ?auto_11041 ?auto_11051 ) ( AT ?auto_11033 ?auto_11051 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11033 ?auto_11041 ?auto_11051 )
      ( DELIVER-PKG ?auto_11033 ?auto_11034 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11053
      ?auto_11054
    )
    :vars
    (
      ?auto_11058
      ?auto_11060
      ?auto_11068
      ?auto_11066
      ?auto_11055
      ?auto_11067
      ?auto_11063
      ?auto_11064
      ?auto_11061
      ?auto_11062
      ?auto_11065
      ?auto_11070
      ?auto_11069
      ?auto_11057
      ?auto_11072
    )
    :precondition
    ( and ( OBJ ?auto_11053 ) ( LOCATION ?auto_11054 ) ( TRUCK ?auto_11058 ) ( LOCATION ?auto_11060 ) ( CITY ?auto_11068 ) ( IN-CITY ?auto_11060 ?auto_11068 ) ( IN-CITY ?auto_11054 ?auto_11068 ) ( DIFFERENT ?auto_11054 ?auto_11060 ) ( LOCATION ?auto_11066 ) ( CITY ?auto_11055 ) ( AT ?auto_11058 ?auto_11066 ) ( IN-CITY ?auto_11066 ?auto_11055 ) ( IN-CITY ?auto_11060 ?auto_11055 ) ( DIFFERENT ?auto_11060 ?auto_11066 ) ( LOCATION ?auto_11067 ) ( AT ?auto_11058 ?auto_11067 ) ( AIRPLANE ?auto_11063 ) ( AIRPORT ?auto_11064 ) ( AIRPORT ?auto_11067 ) ( DIFFERENT ?auto_11067 ?auto_11064 ) ( LOCATION ?auto_11064 ) ( AIRPORT ?auto_11061 ) ( DIFFERENT ?auto_11064 ?auto_11061 ) ( TRUCK ?auto_11062 ) ( AIRPORT ?auto_11065 ) ( DIFFERENT ?auto_11061 ?auto_11065 ) ( LOCATION ?auto_11070 ) ( CITY ?auto_11069 ) ( AT ?auto_11062 ?auto_11070 ) ( IN-CITY ?auto_11070 ?auto_11069 ) ( IN-CITY ?auto_11064 ?auto_11069 ) ( DIFFERENT ?auto_11064 ?auto_11070 ) ( LOCATION ?auto_11057 ) ( AT ?auto_11062 ?auto_11057 ) ( AT ?auto_11053 ?auto_11057 ) ( AIRPORT ?auto_11072 ) ( AT ?auto_11063 ?auto_11072 ) ( DIFFERENT ?auto_11065 ?auto_11072 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11063 ?auto_11072 ?auto_11065 )
      ( DELIVER-PKG ?auto_11053 ?auto_11054 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11074
      ?auto_11075
    )
    :vars
    (
      ?auto_11092
      ?auto_11079
      ?auto_11085
      ?auto_11088
      ?auto_11091
      ?auto_11078
      ?auto_11080
      ?auto_11081
      ?auto_11077
      ?auto_11082
      ?auto_11083
      ?auto_11086
      ?auto_11090
      ?auto_11084
      ?auto_11095
      ?auto_11094
    )
    :precondition
    ( and ( OBJ ?auto_11074 ) ( LOCATION ?auto_11075 ) ( TRUCK ?auto_11092 ) ( LOCATION ?auto_11079 ) ( CITY ?auto_11085 ) ( IN-CITY ?auto_11079 ?auto_11085 ) ( IN-CITY ?auto_11075 ?auto_11085 ) ( DIFFERENT ?auto_11075 ?auto_11079 ) ( LOCATION ?auto_11088 ) ( CITY ?auto_11091 ) ( IN-CITY ?auto_11088 ?auto_11091 ) ( IN-CITY ?auto_11079 ?auto_11091 ) ( DIFFERENT ?auto_11079 ?auto_11088 ) ( AIRPLANE ?auto_11078 ) ( AIRPORT ?auto_11080 ) ( AIRPORT ?auto_11088 ) ( DIFFERENT ?auto_11088 ?auto_11080 ) ( LOCATION ?auto_11080 ) ( AIRPORT ?auto_11081 ) ( DIFFERENT ?auto_11080 ?auto_11081 ) ( TRUCK ?auto_11077 ) ( AIRPORT ?auto_11082 ) ( DIFFERENT ?auto_11081 ?auto_11082 ) ( LOCATION ?auto_11083 ) ( CITY ?auto_11086 ) ( AT ?auto_11077 ?auto_11083 ) ( IN-CITY ?auto_11083 ?auto_11086 ) ( IN-CITY ?auto_11080 ?auto_11086 ) ( DIFFERENT ?auto_11080 ?auto_11083 ) ( LOCATION ?auto_11090 ) ( AT ?auto_11077 ?auto_11090 ) ( AT ?auto_11074 ?auto_11090 ) ( AIRPORT ?auto_11084 ) ( AT ?auto_11078 ?auto_11084 ) ( DIFFERENT ?auto_11082 ?auto_11084 ) ( LOCATION ?auto_11095 ) ( CITY ?auto_11094 ) ( AT ?auto_11092 ?auto_11095 ) ( IN-CITY ?auto_11095 ?auto_11094 ) ( IN-CITY ?auto_11088 ?auto_11094 ) ( DIFFERENT ?auto_11088 ?auto_11095 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11092 ?auto_11095 ?auto_11088 ?auto_11094 )
      ( DELIVER-PKG ?auto_11074 ?auto_11075 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21178
      ?auto_21179
    )
    :vars
    (
      ?auto_21183
      ?auto_21185
      ?auto_21182
      ?auto_21184
      ?auto_21186
      ?auto_21188
    )
    :precondition
    ( and ( OBJ ?auto_21178 ) ( LOCATION ?auto_21179 ) ( AIRPLANE ?auto_21183 ) ( AT ?auto_21183 ?auto_21179 ) ( LOCATION ?auto_21185 ) ( AT ?auto_21183 ?auto_21185 ) ( AIRPLANE ?auto_21182 ) ( AT ?auto_21182 ?auto_21185 ) ( LOCATION ?auto_21184 ) ( AT ?auto_21182 ?auto_21184 ) ( AIRPLANE ?auto_21186 ) ( AT ?auto_21186 ?auto_21184 ) ( LOCATION ?auto_21188 ) ( AT ?auto_21178 ?auto_21188 ) ( AT ?auto_21186 ?auto_21188 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_21178 ?auto_21186 ?auto_21188 )
      ( DELIVER-PKG ?auto_21178 ?auto_21179 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21200
      ?auto_21201
    )
    :vars
    (
      ?auto_21207
      ?auto_21202
      ?auto_21203
      ?auto_21205
      ?auto_21204
      ?auto_21206
      ?auto_21210
    )
    :precondition
    ( and ( OBJ ?auto_21200 ) ( LOCATION ?auto_21201 ) ( AIRPLANE ?auto_21207 ) ( AT ?auto_21207 ?auto_21201 ) ( LOCATION ?auto_21202 ) ( AT ?auto_21207 ?auto_21202 ) ( AIRPLANE ?auto_21203 ) ( AT ?auto_21203 ?auto_21202 ) ( LOCATION ?auto_21205 ) ( AT ?auto_21203 ?auto_21205 ) ( AIRPLANE ?auto_21204 ) ( AT ?auto_21204 ?auto_21205 ) ( LOCATION ?auto_21206 ) ( AT ?auto_21204 ?auto_21206 ) ( AIRPLANE ?auto_21210 ) ( IN ?auto_21200 ?auto_21210 ) ( AT ?auto_21210 ?auto_21206 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21200 ?auto_21206 )
      ( DELIVER-PKG ?auto_21200 ?auto_21201 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12209
      ?auto_12210
    )
    :vars
    (
      ?auto_12213
      ?auto_12211
      ?auto_12215
      ?auto_12217
    )
    :precondition
    ( and ( OBJ ?auto_12209 ) ( LOCATION ?auto_12210 ) ( AIRPLANE ?auto_12213 ) ( AT ?auto_12213 ?auto_12210 ) ( LOCATION ?auto_12211 ) ( AT ?auto_12213 ?auto_12211 ) ( AIRPLANE ?auto_12215 ) ( IN ?auto_12209 ?auto_12215 ) ( AIRPORT ?auto_12217 ) ( AIRPORT ?auto_12211 ) ( AT ?auto_12215 ?auto_12217 ) ( DIFFERENT ?auto_12211 ?auto_12217 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12215 ?auto_12217 ?auto_12211 )
      ( DELIVER-PKG ?auto_12209 ?auto_12210 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12243
      ?auto_12244
    )
    :vars
    (
      ?auto_12245
      ?auto_12248
      ?auto_12246
      ?auto_12250
      ?auto_12252
    )
    :precondition
    ( and ( OBJ ?auto_12243 ) ( LOCATION ?auto_12244 ) ( AIRPLANE ?auto_12245 ) ( AT ?auto_12245 ?auto_12244 ) ( LOCATION ?auto_12248 ) ( AT ?auto_12245 ?auto_12248 ) ( AIRPLANE ?auto_12246 ) ( AIRPORT ?auto_12250 ) ( AIRPORT ?auto_12248 ) ( AT ?auto_12246 ?auto_12250 ) ( DIFFERENT ?auto_12248 ?auto_12250 ) ( LOCATION ?auto_12252 ) ( AT ?auto_12243 ?auto_12252 ) ( AT ?auto_12246 ?auto_12252 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12243 ?auto_12246 ?auto_12252 )
      ( DELIVER-PKG ?auto_12243 ?auto_12244 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12272
      ?auto_12273
    )
    :vars
    (
      ?auto_12274
      ?auto_12276
      ?auto_12275
      ?auto_12280
      ?auto_12282
    )
    :precondition
    ( and ( OBJ ?auto_12272 ) ( LOCATION ?auto_12273 ) ( AIRPLANE ?auto_12274 ) ( AT ?auto_12274 ?auto_12273 ) ( LOCATION ?auto_12276 ) ( AT ?auto_12274 ?auto_12276 ) ( AIRPLANE ?auto_12275 ) ( AIRPORT ?auto_12280 ) ( AIRPORT ?auto_12276 ) ( DIFFERENT ?auto_12276 ?auto_12280 ) ( LOCATION ?auto_12280 ) ( AT ?auto_12272 ?auto_12280 ) ( AIRPORT ?auto_12282 ) ( AT ?auto_12275 ?auto_12282 ) ( DIFFERENT ?auto_12280 ?auto_12282 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12275 ?auto_12282 ?auto_12280 )
      ( DELIVER-PKG ?auto_12272 ?auto_12273 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12302
      ?auto_12303
    )
    :vars
    (
      ?auto_12304
      ?auto_12308
      ?auto_12307
      ?auto_12309
      ?auto_12310
      ?auto_12312
    )
    :precondition
    ( and ( OBJ ?auto_12302 ) ( LOCATION ?auto_12303 ) ( AIRPLANE ?auto_12304 ) ( AT ?auto_12304 ?auto_12303 ) ( LOCATION ?auto_12308 ) ( AT ?auto_12304 ?auto_12308 ) ( AIRPLANE ?auto_12307 ) ( AIRPORT ?auto_12309 ) ( AIRPORT ?auto_12308 ) ( DIFFERENT ?auto_12308 ?auto_12309 ) ( LOCATION ?auto_12309 ) ( AT ?auto_12302 ?auto_12309 ) ( AIRPORT ?auto_12310 ) ( DIFFERENT ?auto_12309 ?auto_12310 ) ( AIRPORT ?auto_12312 ) ( AT ?auto_12307 ?auto_12312 ) ( DIFFERENT ?auto_12310 ?auto_12312 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12307 ?auto_12312 ?auto_12310 )
      ( DELIVER-PKG ?auto_12302 ?auto_12303 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12419
      ?auto_12420
    )
    :vars
    (
      ?auto_12421
      ?auto_12424
      ?auto_12422
      ?auto_12426
      ?auto_12425
      ?auto_12430
      ?auto_12429
    )
    :precondition
    ( and ( OBJ ?auto_12419 ) ( LOCATION ?auto_12420 ) ( TRUCK ?auto_12421 ) ( LOCATION ?auto_12424 ) ( CITY ?auto_12422 ) ( IN-CITY ?auto_12424 ?auto_12422 ) ( IN-CITY ?auto_12420 ?auto_12422 ) ( DIFFERENT ?auto_12420 ?auto_12424 ) ( AT ?auto_12419 ?auto_12424 ) ( LOCATION ?auto_12426 ) ( CITY ?auto_12425 ) ( IN-CITY ?auto_12426 ?auto_12425 ) ( IN-CITY ?auto_12424 ?auto_12425 ) ( DIFFERENT ?auto_12424 ?auto_12426 ) ( LOCATION ?auto_12430 ) ( CITY ?auto_12429 ) ( AT ?auto_12421 ?auto_12430 ) ( IN-CITY ?auto_12430 ?auto_12429 ) ( IN-CITY ?auto_12426 ?auto_12429 ) ( DIFFERENT ?auto_12426 ?auto_12430 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12421 ?auto_12430 ?auto_12426 ?auto_12429 )
      ( DELIVER-PKG ?auto_12419 ?auto_12420 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12487
      ?auto_12488
    )
    :vars
    (
      ?auto_12493
      ?auto_12495
      ?auto_12494
      ?auto_12490
      ?auto_12489
      ?auto_12497
      ?auto_12496
      ?auto_12500
      ?auto_12499
    )
    :precondition
    ( and ( OBJ ?auto_12487 ) ( LOCATION ?auto_12488 ) ( TRUCK ?auto_12493 ) ( LOCATION ?auto_12495 ) ( CITY ?auto_12494 ) ( IN-CITY ?auto_12495 ?auto_12494 ) ( IN-CITY ?auto_12488 ?auto_12494 ) ( DIFFERENT ?auto_12488 ?auto_12495 ) ( AT ?auto_12487 ?auto_12495 ) ( LOCATION ?auto_12490 ) ( CITY ?auto_12489 ) ( IN-CITY ?auto_12490 ?auto_12489 ) ( IN-CITY ?auto_12495 ?auto_12489 ) ( DIFFERENT ?auto_12495 ?auto_12490 ) ( LOCATION ?auto_12497 ) ( CITY ?auto_12496 ) ( IN-CITY ?auto_12497 ?auto_12496 ) ( IN-CITY ?auto_12490 ?auto_12496 ) ( DIFFERENT ?auto_12490 ?auto_12497 ) ( LOCATION ?auto_12500 ) ( CITY ?auto_12499 ) ( AT ?auto_12493 ?auto_12500 ) ( IN-CITY ?auto_12500 ?auto_12499 ) ( IN-CITY ?auto_12497 ?auto_12499 ) ( DIFFERENT ?auto_12497 ?auto_12500 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12493 ?auto_12500 ?auto_12497 ?auto_12499 )
      ( DELIVER-PKG ?auto_12487 ?auto_12488 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12810
      ?auto_12811
    )
    :vars
    (
      ?auto_12815
      ?auto_12814
      ?auto_12813
      ?auto_12816
      ?auto_12817
      ?auto_12821
      ?auto_12820
      ?auto_12819
      ?auto_12824
      ?auto_12823
    )
    :precondition
    ( and ( OBJ ?auto_12810 ) ( LOCATION ?auto_12811 ) ( AIRPLANE ?auto_12815 ) ( AIRPORT ?auto_12814 ) ( AIRPORT ?auto_12811 ) ( AT ?auto_12815 ?auto_12814 ) ( DIFFERENT ?auto_12811 ?auto_12814 ) ( LOCATION ?auto_12813 ) ( AT ?auto_12815 ?auto_12813 ) ( TRUCK ?auto_12816 ) ( LOCATION ?auto_12817 ) ( CITY ?auto_12821 ) ( IN-CITY ?auto_12817 ?auto_12821 ) ( IN-CITY ?auto_12813 ?auto_12821 ) ( DIFFERENT ?auto_12813 ?auto_12817 ) ( AT ?auto_12810 ?auto_12817 ) ( LOCATION ?auto_12820 ) ( CITY ?auto_12819 ) ( IN-CITY ?auto_12820 ?auto_12819 ) ( IN-CITY ?auto_12817 ?auto_12819 ) ( DIFFERENT ?auto_12817 ?auto_12820 ) ( LOCATION ?auto_12824 ) ( CITY ?auto_12823 ) ( AT ?auto_12816 ?auto_12824 ) ( IN-CITY ?auto_12824 ?auto_12823 ) ( IN-CITY ?auto_12820 ?auto_12823 ) ( DIFFERENT ?auto_12820 ?auto_12824 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12816 ?auto_12824 ?auto_12820 ?auto_12823 )
      ( DELIVER-PKG ?auto_12810 ?auto_12811 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12896
      ?auto_12897
    )
    :vars
    (
      ?auto_12902
      ?auto_12901
      ?auto_12900
      ?auto_12903
      ?auto_12904
      ?auto_12907
      ?auto_12906
      ?auto_12905
      ?auto_12909
      ?auto_12908
      ?auto_12912
      ?auto_12911
    )
    :precondition
    ( and ( OBJ ?auto_12896 ) ( LOCATION ?auto_12897 ) ( AIRPLANE ?auto_12902 ) ( AIRPORT ?auto_12901 ) ( AIRPORT ?auto_12897 ) ( AT ?auto_12902 ?auto_12901 ) ( DIFFERENT ?auto_12897 ?auto_12901 ) ( LOCATION ?auto_12900 ) ( AT ?auto_12902 ?auto_12900 ) ( TRUCK ?auto_12903 ) ( LOCATION ?auto_12904 ) ( CITY ?auto_12907 ) ( IN-CITY ?auto_12904 ?auto_12907 ) ( IN-CITY ?auto_12900 ?auto_12907 ) ( DIFFERENT ?auto_12900 ?auto_12904 ) ( AT ?auto_12896 ?auto_12904 ) ( LOCATION ?auto_12906 ) ( CITY ?auto_12905 ) ( IN-CITY ?auto_12906 ?auto_12905 ) ( IN-CITY ?auto_12904 ?auto_12905 ) ( DIFFERENT ?auto_12904 ?auto_12906 ) ( LOCATION ?auto_12909 ) ( CITY ?auto_12908 ) ( IN-CITY ?auto_12909 ?auto_12908 ) ( IN-CITY ?auto_12906 ?auto_12908 ) ( DIFFERENT ?auto_12906 ?auto_12909 ) ( LOCATION ?auto_12912 ) ( CITY ?auto_12911 ) ( AT ?auto_12903 ?auto_12912 ) ( IN-CITY ?auto_12912 ?auto_12911 ) ( IN-CITY ?auto_12909 ?auto_12911 ) ( DIFFERENT ?auto_12909 ?auto_12912 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12903 ?auto_12912 ?auto_12909 ?auto_12911 )
      ( DELIVER-PKG ?auto_12896 ?auto_12897 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13738
      ?auto_13739
    )
    :vars
    (
      ?auto_13747
      ?auto_13744
      ?auto_13741
      ?auto_13749
      ?auto_13742
      ?auto_13748
      ?auto_13752
      ?auto_13743
      ?auto_13751
      ?auto_13745
      ?auto_13755
      ?auto_13754
    )
    :precondition
    ( and ( OBJ ?auto_13738 ) ( LOCATION ?auto_13739 ) ( TRUCK ?auto_13747 ) ( LOCATION ?auto_13744 ) ( CITY ?auto_13741 ) ( AT ?auto_13747 ?auto_13744 ) ( IN-CITY ?auto_13744 ?auto_13741 ) ( IN-CITY ?auto_13739 ?auto_13741 ) ( DIFFERENT ?auto_13739 ?auto_13744 ) ( LOCATION ?auto_13749 ) ( AT ?auto_13747 ?auto_13749 ) ( AIRPLANE ?auto_13742 ) ( AIRPORT ?auto_13748 ) ( AIRPORT ?auto_13749 ) ( AT ?auto_13742 ?auto_13748 ) ( DIFFERENT ?auto_13749 ?auto_13748 ) ( LOCATION ?auto_13752 ) ( AT ?auto_13742 ?auto_13752 ) ( TRUCK ?auto_13743 ) ( LOCATION ?auto_13751 ) ( CITY ?auto_13745 ) ( IN-CITY ?auto_13751 ?auto_13745 ) ( IN-CITY ?auto_13752 ?auto_13745 ) ( DIFFERENT ?auto_13752 ?auto_13751 ) ( AT ?auto_13738 ?auto_13751 ) ( LOCATION ?auto_13755 ) ( CITY ?auto_13754 ) ( AT ?auto_13743 ?auto_13755 ) ( IN-CITY ?auto_13755 ?auto_13754 ) ( IN-CITY ?auto_13751 ?auto_13754 ) ( DIFFERENT ?auto_13751 ?auto_13755 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13743 ?auto_13755 ?auto_13751 ?auto_13754 )
      ( DELIVER-PKG ?auto_13738 ?auto_13739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13805
      ?auto_13806
    )
    :vars
    (
      ?auto_13813
      ?auto_13810
      ?auto_13808
      ?auto_13815
      ?auto_13807
      ?auto_13814
      ?auto_13812
      ?auto_13809
      ?auto_13816
      ?auto_13811
      ?auto_13818
      ?auto_13817
      ?auto_13823
      ?auto_13822
    )
    :precondition
    ( and ( OBJ ?auto_13805 ) ( LOCATION ?auto_13806 ) ( TRUCK ?auto_13813 ) ( LOCATION ?auto_13810 ) ( CITY ?auto_13808 ) ( AT ?auto_13813 ?auto_13810 ) ( IN-CITY ?auto_13810 ?auto_13808 ) ( IN-CITY ?auto_13806 ?auto_13808 ) ( DIFFERENT ?auto_13806 ?auto_13810 ) ( LOCATION ?auto_13815 ) ( AT ?auto_13813 ?auto_13815 ) ( AIRPLANE ?auto_13807 ) ( AIRPORT ?auto_13814 ) ( AIRPORT ?auto_13815 ) ( AT ?auto_13807 ?auto_13814 ) ( DIFFERENT ?auto_13815 ?auto_13814 ) ( LOCATION ?auto_13812 ) ( AT ?auto_13807 ?auto_13812 ) ( TRUCK ?auto_13809 ) ( LOCATION ?auto_13816 ) ( CITY ?auto_13811 ) ( IN-CITY ?auto_13816 ?auto_13811 ) ( IN-CITY ?auto_13812 ?auto_13811 ) ( DIFFERENT ?auto_13812 ?auto_13816 ) ( AT ?auto_13805 ?auto_13816 ) ( LOCATION ?auto_13818 ) ( CITY ?auto_13817 ) ( IN-CITY ?auto_13818 ?auto_13817 ) ( IN-CITY ?auto_13816 ?auto_13817 ) ( DIFFERENT ?auto_13816 ?auto_13818 ) ( LOCATION ?auto_13823 ) ( CITY ?auto_13822 ) ( AT ?auto_13809 ?auto_13823 ) ( IN-CITY ?auto_13823 ?auto_13822 ) ( IN-CITY ?auto_13818 ?auto_13822 ) ( DIFFERENT ?auto_13818 ?auto_13823 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13809 ?auto_13823 ?auto_13818 ?auto_13822 )
      ( DELIVER-PKG ?auto_13805 ?auto_13806 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13915
      ?auto_13916
    )
    :vars
    (
      ?auto_13925
      ?auto_13918
      ?auto_13921
      ?auto_13927
      ?auto_13917
      ?auto_13926
      ?auto_13924
      ?auto_13922
      ?auto_13928
      ?auto_13919
      ?auto_13931
      ?auto_13929
      ?auto_13932
      ?auto_13930
      ?auto_13935
      ?auto_13934
    )
    :precondition
    ( and ( OBJ ?auto_13915 ) ( LOCATION ?auto_13916 ) ( TRUCK ?auto_13925 ) ( LOCATION ?auto_13918 ) ( CITY ?auto_13921 ) ( AT ?auto_13925 ?auto_13918 ) ( IN-CITY ?auto_13918 ?auto_13921 ) ( IN-CITY ?auto_13916 ?auto_13921 ) ( DIFFERENT ?auto_13916 ?auto_13918 ) ( LOCATION ?auto_13927 ) ( AT ?auto_13925 ?auto_13927 ) ( AIRPLANE ?auto_13917 ) ( AIRPORT ?auto_13926 ) ( AIRPORT ?auto_13927 ) ( AT ?auto_13917 ?auto_13926 ) ( DIFFERENT ?auto_13927 ?auto_13926 ) ( LOCATION ?auto_13924 ) ( AT ?auto_13917 ?auto_13924 ) ( TRUCK ?auto_13922 ) ( LOCATION ?auto_13928 ) ( CITY ?auto_13919 ) ( IN-CITY ?auto_13928 ?auto_13919 ) ( IN-CITY ?auto_13924 ?auto_13919 ) ( DIFFERENT ?auto_13924 ?auto_13928 ) ( AT ?auto_13915 ?auto_13928 ) ( LOCATION ?auto_13931 ) ( CITY ?auto_13929 ) ( IN-CITY ?auto_13931 ?auto_13929 ) ( IN-CITY ?auto_13928 ?auto_13929 ) ( DIFFERENT ?auto_13928 ?auto_13931 ) ( LOCATION ?auto_13932 ) ( CITY ?auto_13930 ) ( IN-CITY ?auto_13932 ?auto_13930 ) ( IN-CITY ?auto_13931 ?auto_13930 ) ( DIFFERENT ?auto_13931 ?auto_13932 ) ( LOCATION ?auto_13935 ) ( CITY ?auto_13934 ) ( AT ?auto_13922 ?auto_13935 ) ( IN-CITY ?auto_13935 ?auto_13934 ) ( IN-CITY ?auto_13932 ?auto_13934 ) ( DIFFERENT ?auto_13932 ?auto_13935 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13922 ?auto_13935 ?auto_13932 ?auto_13934 )
      ( DELIVER-PKG ?auto_13915 ?auto_13916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13997
      ?auto_13998
    )
    :vars
    (
      ?auto_14008
      ?auto_14010
      ?auto_14005
      ?auto_14002
      ?auto_14009
      ?auto_14007
      ?auto_14006
      ?auto_14011
      ?auto_14004
      ?auto_14014
      ?auto_14012
      ?auto_14015
      ?auto_14013
      ?auto_14016
      ?auto_14001
      ?auto_14019
      ?auto_14018
    )
    :precondition
    ( and ( OBJ ?auto_13997 ) ( LOCATION ?auto_13998 ) ( TRUCK ?auto_14008 ) ( LOCATION ?auto_14010 ) ( CITY ?auto_14005 ) ( IN-CITY ?auto_14010 ?auto_14005 ) ( IN-CITY ?auto_13998 ?auto_14005 ) ( DIFFERENT ?auto_13998 ?auto_14010 ) ( AIRPLANE ?auto_14002 ) ( AIRPORT ?auto_14009 ) ( AIRPORT ?auto_14010 ) ( AT ?auto_14002 ?auto_14009 ) ( DIFFERENT ?auto_14010 ?auto_14009 ) ( LOCATION ?auto_14007 ) ( AT ?auto_14002 ?auto_14007 ) ( TRUCK ?auto_14006 ) ( LOCATION ?auto_14011 ) ( CITY ?auto_14004 ) ( IN-CITY ?auto_14011 ?auto_14004 ) ( IN-CITY ?auto_14007 ?auto_14004 ) ( DIFFERENT ?auto_14007 ?auto_14011 ) ( AT ?auto_13997 ?auto_14011 ) ( LOCATION ?auto_14014 ) ( CITY ?auto_14012 ) ( IN-CITY ?auto_14014 ?auto_14012 ) ( IN-CITY ?auto_14011 ?auto_14012 ) ( DIFFERENT ?auto_14011 ?auto_14014 ) ( LOCATION ?auto_14015 ) ( CITY ?auto_14013 ) ( IN-CITY ?auto_14015 ?auto_14013 ) ( IN-CITY ?auto_14014 ?auto_14013 ) ( DIFFERENT ?auto_14014 ?auto_14015 ) ( LOCATION ?auto_14016 ) ( CITY ?auto_14001 ) ( AT ?auto_14006 ?auto_14016 ) ( IN-CITY ?auto_14016 ?auto_14001 ) ( IN-CITY ?auto_14015 ?auto_14001 ) ( DIFFERENT ?auto_14015 ?auto_14016 ) ( LOCATION ?auto_14019 ) ( CITY ?auto_14018 ) ( AT ?auto_14008 ?auto_14019 ) ( IN-CITY ?auto_14019 ?auto_14018 ) ( IN-CITY ?auto_14010 ?auto_14018 ) ( DIFFERENT ?auto_14010 ?auto_14019 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14008 ?auto_14019 ?auto_14010 ?auto_14018 )
      ( DELIVER-PKG ?auto_13997 ?auto_13998 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14200
      ?auto_14202
    )
    :vars
    (
      ?auto_14203
      ?auto_14207
      ?auto_14210
      ?auto_14214
    )
    :precondition
    ( and ( OBJ ?auto_14200 ) ( LOCATION ?auto_14202 ) ( AIRPLANE ?auto_14203 ) ( AIRPORT ?auto_14207 ) ( AIRPORT ?auto_14202 ) ( DIFFERENT ?auto_14202 ?auto_14207 ) ( AIRPORT ?auto_14210 ) ( AT ?auto_14203 ?auto_14210 ) ( DIFFERENT ?auto_14207 ?auto_14210 ) ( TRUCK ?auto_14214 ) ( AT ?auto_14214 ?auto_14202 ) ( IN ?auto_14200 ?auto_14214 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14200 ?auto_14202 )
      ( FLY-AIRPLANE ?auto_14203 ?auto_14210 ?auto_14207 )
      ( FLY-AIRPLANE ?auto_14203 ?auto_14207 ?auto_14202 )
      ( DELIVER-PKG ?auto_14200 ?auto_14202 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14973
      ?auto_14974
    )
    :vars
    (
      ?auto_14982
      ?auto_14984
      ?auto_14976
      ?auto_14980
      ?auto_14979
      ?auto_14978
      ?auto_14981
      ?auto_14983
      ?auto_14985
      ?auto_14988
    )
    :precondition
    ( and ( OBJ ?auto_14973 ) ( LOCATION ?auto_14974 ) ( TRUCK ?auto_14982 ) ( LOCATION ?auto_14984 ) ( CITY ?auto_14976 ) ( IN-CITY ?auto_14984 ?auto_14976 ) ( IN-CITY ?auto_14974 ?auto_14976 ) ( DIFFERENT ?auto_14974 ?auto_14984 ) ( LOCATION ?auto_14980 ) ( CITY ?auto_14979 ) ( AT ?auto_14982 ?auto_14980 ) ( IN-CITY ?auto_14980 ?auto_14979 ) ( IN-CITY ?auto_14984 ?auto_14979 ) ( DIFFERENT ?auto_14984 ?auto_14980 ) ( LOCATION ?auto_14978 ) ( AT ?auto_14982 ?auto_14978 ) ( AIRPLANE ?auto_14981 ) ( AIRPORT ?auto_14983 ) ( AIRPORT ?auto_14978 ) ( AT ?auto_14981 ?auto_14983 ) ( DIFFERENT ?auto_14978 ?auto_14983 ) ( LOCATION ?auto_14985 ) ( AT ?auto_14981 ?auto_14985 ) ( TRUCK ?auto_14988 ) ( AT ?auto_14988 ?auto_14985 ) ( IN ?auto_14973 ?auto_14988 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14973 ?auto_14985 )
      ( DELIVER-PKG ?auto_14973 ?auto_14974 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15017
      ?auto_15018
    )
    :vars
    (
      ?auto_15023
      ?auto_15025
      ?auto_15021
      ?auto_15029
      ?auto_15028
      ?auto_15027
      ?auto_15022
      ?auto_15024
      ?auto_15026
      ?auto_15030
      ?auto_15033
      ?auto_15032
    )
    :precondition
    ( and ( OBJ ?auto_15017 ) ( LOCATION ?auto_15018 ) ( TRUCK ?auto_15023 ) ( LOCATION ?auto_15025 ) ( CITY ?auto_15021 ) ( IN-CITY ?auto_15025 ?auto_15021 ) ( IN-CITY ?auto_15018 ?auto_15021 ) ( DIFFERENT ?auto_15018 ?auto_15025 ) ( LOCATION ?auto_15029 ) ( CITY ?auto_15028 ) ( AT ?auto_15023 ?auto_15029 ) ( IN-CITY ?auto_15029 ?auto_15028 ) ( IN-CITY ?auto_15025 ?auto_15028 ) ( DIFFERENT ?auto_15025 ?auto_15029 ) ( LOCATION ?auto_15027 ) ( AT ?auto_15023 ?auto_15027 ) ( AIRPLANE ?auto_15022 ) ( AIRPORT ?auto_15024 ) ( AIRPORT ?auto_15027 ) ( AT ?auto_15022 ?auto_15024 ) ( DIFFERENT ?auto_15027 ?auto_15024 ) ( LOCATION ?auto_15026 ) ( AT ?auto_15022 ?auto_15026 ) ( TRUCK ?auto_15030 ) ( IN ?auto_15017 ?auto_15030 ) ( LOCATION ?auto_15033 ) ( CITY ?auto_15032 ) ( AT ?auto_15030 ?auto_15033 ) ( IN-CITY ?auto_15033 ?auto_15032 ) ( IN-CITY ?auto_15026 ?auto_15032 ) ( DIFFERENT ?auto_15026 ?auto_15033 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15030 ?auto_15033 ?auto_15026 ?auto_15032 )
      ( DELIVER-PKG ?auto_15017 ?auto_15018 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15067
      ?auto_15068
    )
    :vars
    (
      ?auto_15078
      ?auto_15071
      ?auto_15069
      ?auto_15075
      ?auto_15074
      ?auto_15073
      ?auto_15077
      ?auto_15070
      ?auto_15072
      ?auto_15080
      ?auto_15082
      ?auto_15081
      ?auto_15084
    )
    :precondition
    ( and ( OBJ ?auto_15067 ) ( LOCATION ?auto_15068 ) ( TRUCK ?auto_15078 ) ( LOCATION ?auto_15071 ) ( CITY ?auto_15069 ) ( IN-CITY ?auto_15071 ?auto_15069 ) ( IN-CITY ?auto_15068 ?auto_15069 ) ( DIFFERENT ?auto_15068 ?auto_15071 ) ( LOCATION ?auto_15075 ) ( CITY ?auto_15074 ) ( AT ?auto_15078 ?auto_15075 ) ( IN-CITY ?auto_15075 ?auto_15074 ) ( IN-CITY ?auto_15071 ?auto_15074 ) ( DIFFERENT ?auto_15071 ?auto_15075 ) ( LOCATION ?auto_15073 ) ( AT ?auto_15078 ?auto_15073 ) ( AIRPLANE ?auto_15077 ) ( AIRPORT ?auto_15070 ) ( AIRPORT ?auto_15073 ) ( AT ?auto_15077 ?auto_15070 ) ( DIFFERENT ?auto_15073 ?auto_15070 ) ( LOCATION ?auto_15072 ) ( AT ?auto_15077 ?auto_15072 ) ( TRUCK ?auto_15080 ) ( LOCATION ?auto_15082 ) ( CITY ?auto_15081 ) ( AT ?auto_15080 ?auto_15082 ) ( IN-CITY ?auto_15082 ?auto_15081 ) ( IN-CITY ?auto_15072 ?auto_15081 ) ( DIFFERENT ?auto_15072 ?auto_15082 ) ( LOCATION ?auto_15084 ) ( AT ?auto_15080 ?auto_15084 ) ( AT ?auto_15067 ?auto_15084 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15067 ?auto_15080 ?auto_15084 )
      ( DELIVER-PKG ?auto_15067 ?auto_15068 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15086
      ?auto_15087
    )
    :vars
    (
      ?auto_15093
      ?auto_15091
      ?auto_15088
      ?auto_15097
      ?auto_15098
      ?auto_15092
      ?auto_15089
      ?auto_15100
      ?auto_15094
      ?auto_15096
      ?auto_15095
      ?auto_15102
      ?auto_15105
      ?auto_15104
    )
    :precondition
    ( and ( OBJ ?auto_15086 ) ( LOCATION ?auto_15087 ) ( TRUCK ?auto_15093 ) ( LOCATION ?auto_15091 ) ( CITY ?auto_15088 ) ( IN-CITY ?auto_15091 ?auto_15088 ) ( IN-CITY ?auto_15087 ?auto_15088 ) ( DIFFERENT ?auto_15087 ?auto_15091 ) ( LOCATION ?auto_15097 ) ( CITY ?auto_15098 ) ( IN-CITY ?auto_15097 ?auto_15098 ) ( IN-CITY ?auto_15091 ?auto_15098 ) ( DIFFERENT ?auto_15091 ?auto_15097 ) ( AIRPLANE ?auto_15092 ) ( AIRPORT ?auto_15089 ) ( AIRPORT ?auto_15097 ) ( AT ?auto_15092 ?auto_15089 ) ( DIFFERENT ?auto_15097 ?auto_15089 ) ( LOCATION ?auto_15100 ) ( AT ?auto_15092 ?auto_15100 ) ( TRUCK ?auto_15094 ) ( LOCATION ?auto_15096 ) ( CITY ?auto_15095 ) ( AT ?auto_15094 ?auto_15096 ) ( IN-CITY ?auto_15096 ?auto_15095 ) ( IN-CITY ?auto_15100 ?auto_15095 ) ( DIFFERENT ?auto_15100 ?auto_15096 ) ( LOCATION ?auto_15102 ) ( AT ?auto_15094 ?auto_15102 ) ( AT ?auto_15086 ?auto_15102 ) ( LOCATION ?auto_15105 ) ( CITY ?auto_15104 ) ( AT ?auto_15093 ?auto_15105 ) ( IN-CITY ?auto_15105 ?auto_15104 ) ( IN-CITY ?auto_15097 ?auto_15104 ) ( DIFFERENT ?auto_15097 ?auto_15105 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15093 ?auto_15105 ?auto_15097 ?auto_15104 )
      ( DELIVER-PKG ?auto_15086 ?auto_15087 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15479
      ?auto_15480
    )
    :vars
    (
      ?auto_15483
      ?auto_15481
      ?auto_15484
      ?auto_15486
    )
    :precondition
    ( and ( OBJ ?auto_15479 ) ( LOCATION ?auto_15480 ) ( AIRPLANE ?auto_15483 ) ( AIRPORT ?auto_15481 ) ( AIRPORT ?auto_15480 ) ( AT ?auto_15483 ?auto_15481 ) ( DIFFERENT ?auto_15480 ?auto_15481 ) ( LOCATION ?auto_15484 ) ( AT ?auto_15483 ?auto_15484 ) ( AIRPLANE ?auto_15486 ) ( IN ?auto_15479 ?auto_15486 ) ( AT ?auto_15486 ?auto_15484 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15479 ?auto_15484 )
      ( DELIVER-PKG ?auto_15479 ?auto_15480 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22243
      ?auto_22244
    )
    :vars
    (
      ?auto_22246
      ?auto_22245
      ?auto_22248
      ?auto_22250
      ?auto_22249
      ?auto_22251
      ?auto_22247
      ?auto_22252
      ?auto_22255
      ?auto_22257
    )
    :precondition
    ( and ( OBJ ?auto_22243 ) ( LOCATION ?auto_22244 ) ( AIRPLANE ?auto_22246 ) ( AIRPORT ?auto_22245 ) ( AIRPORT ?auto_22244 ) ( DIFFERENT ?auto_22244 ?auto_22245 ) ( AIRPORT ?auto_22248 ) ( AT ?auto_22246 ?auto_22248 ) ( DIFFERENT ?auto_22245 ?auto_22248 ) ( LOCATION ?auto_22250 ) ( AT ?auto_22246 ?auto_22250 ) ( AIRPLANE ?auto_22249 ) ( AT ?auto_22249 ?auto_22250 ) ( LOCATION ?auto_22251 ) ( AT ?auto_22249 ?auto_22251 ) ( AIRPLANE ?auto_22247 ) ( AT ?auto_22247 ?auto_22251 ) ( LOCATION ?auto_22252 ) ( AT ?auto_22247 ?auto_22252 ) ( AIRPLANE ?auto_22255 ) ( AT ?auto_22255 ?auto_22252 ) ( LOCATION ?auto_22257 ) ( AT ?auto_22243 ?auto_22257 ) ( AT ?auto_22255 ?auto_22257 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_22243 ?auto_22255 ?auto_22257 )
      ( DELIVER-PKG ?auto_22243 ?auto_22244 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22273
      ?auto_22274
    )
    :vars
    (
      ?auto_22286
      ?auto_22279
      ?auto_22275
      ?auto_22281
      ?auto_22276
      ?auto_22283
      ?auto_22285
      ?auto_22280
      ?auto_22277
      ?auto_22282
      ?auto_22287
    )
    :precondition
    ( and ( OBJ ?auto_22273 ) ( LOCATION ?auto_22274 ) ( AIRPLANE ?auto_22286 ) ( AIRPORT ?auto_22279 ) ( AIRPORT ?auto_22274 ) ( DIFFERENT ?auto_22274 ?auto_22279 ) ( AIRPORT ?auto_22275 ) ( AT ?auto_22286 ?auto_22275 ) ( DIFFERENT ?auto_22279 ?auto_22275 ) ( LOCATION ?auto_22281 ) ( AT ?auto_22286 ?auto_22281 ) ( AIRPLANE ?auto_22276 ) ( AT ?auto_22276 ?auto_22281 ) ( LOCATION ?auto_22283 ) ( AT ?auto_22276 ?auto_22283 ) ( AIRPLANE ?auto_22285 ) ( AT ?auto_22285 ?auto_22283 ) ( LOCATION ?auto_22280 ) ( AT ?auto_22285 ?auto_22280 ) ( AIRPLANE ?auto_22277 ) ( AT ?auto_22277 ?auto_22280 ) ( LOCATION ?auto_22282 ) ( AT ?auto_22277 ?auto_22282 ) ( AIRPLANE ?auto_22287 ) ( IN ?auto_22273 ?auto_22287 ) ( AT ?auto_22287 ?auto_22282 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22273 ?auto_22282 )
      ( DELIVER-PKG ?auto_22273 ?auto_22274 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16372
      ?auto_16373
    )
    :vars
    (
      ?auto_16380
      ?auto_16379
      ?auto_16374
      ?auto_16376
      ?auto_16382
    )
    :precondition
    ( and ( OBJ ?auto_16372 ) ( LOCATION ?auto_16373 ) ( AIRPLANE ?auto_16380 ) ( AIRPORT ?auto_16379 ) ( AIRPORT ?auto_16373 ) ( DIFFERENT ?auto_16373 ?auto_16379 ) ( AIRPORT ?auto_16374 ) ( DIFFERENT ?auto_16379 ?auto_16374 ) ( LOCATION ?auto_16374 ) ( AIRPORT ?auto_16376 ) ( DIFFERENT ?auto_16374 ?auto_16376 ) ( LOCATION ?auto_16376 ) ( AT ?auto_16372 ?auto_16376 ) ( AIRPORT ?auto_16382 ) ( AT ?auto_16380 ?auto_16382 ) ( DIFFERENT ?auto_16376 ?auto_16382 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16380 ?auto_16382 ?auto_16376 )
      ( DELIVER-PKG ?auto_16372 ?auto_16373 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16402
      ?auto_16403
    )
    :vars
    (
      ?auto_16404
      ?auto_16406
      ?auto_16407
      ?auto_16410
      ?auto_16409
      ?auto_16413
    )
    :precondition
    ( and ( OBJ ?auto_16402 ) ( LOCATION ?auto_16403 ) ( AIRPLANE ?auto_16404 ) ( AIRPORT ?auto_16406 ) ( AIRPORT ?auto_16403 ) ( DIFFERENT ?auto_16403 ?auto_16406 ) ( AIRPORT ?auto_16407 ) ( DIFFERENT ?auto_16406 ?auto_16407 ) ( LOCATION ?auto_16407 ) ( AIRPORT ?auto_16410 ) ( DIFFERENT ?auto_16407 ?auto_16410 ) ( LOCATION ?auto_16410 ) ( AIRPORT ?auto_16409 ) ( AT ?auto_16404 ?auto_16409 ) ( DIFFERENT ?auto_16410 ?auto_16409 ) ( TRUCK ?auto_16413 ) ( AT ?auto_16413 ?auto_16410 ) ( IN ?auto_16402 ?auto_16413 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16402 ?auto_16410 )
      ( DELIVER-PKG ?auto_16402 ?auto_16403 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16414
      ?auto_16415
    )
    :vars
    (
      ?auto_16420
      ?auto_16422
      ?auto_16421
      ?auto_16419
      ?auto_16418
      ?auto_16423
      ?auto_16425
    )
    :precondition
    ( and ( OBJ ?auto_16414 ) ( LOCATION ?auto_16415 ) ( AIRPLANE ?auto_16420 ) ( AIRPORT ?auto_16422 ) ( AIRPORT ?auto_16415 ) ( DIFFERENT ?auto_16415 ?auto_16422 ) ( AIRPORT ?auto_16421 ) ( DIFFERENT ?auto_16422 ?auto_16421 ) ( LOCATION ?auto_16421 ) ( AIRPORT ?auto_16419 ) ( DIFFERENT ?auto_16421 ?auto_16419 ) ( LOCATION ?auto_16419 ) ( AIRPORT ?auto_16418 ) ( DIFFERENT ?auto_16419 ?auto_16418 ) ( TRUCK ?auto_16423 ) ( AT ?auto_16423 ?auto_16419 ) ( IN ?auto_16414 ?auto_16423 ) ( AIRPORT ?auto_16425 ) ( AT ?auto_16420 ?auto_16425 ) ( DIFFERENT ?auto_16418 ?auto_16425 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16420 ?auto_16425 ?auto_16418 )
      ( DELIVER-PKG ?auto_16414 ?auto_16415 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16427
      ?auto_16428
    )
    :vars
    (
      ?auto_16433
      ?auto_16435
      ?auto_16434
      ?auto_16432
      ?auto_16431
      ?auto_16436
      ?auto_16437
      ?auto_16440
      ?auto_16439
    )
    :precondition
    ( and ( OBJ ?auto_16427 ) ( LOCATION ?auto_16428 ) ( AIRPLANE ?auto_16433 ) ( AIRPORT ?auto_16435 ) ( AIRPORT ?auto_16428 ) ( DIFFERENT ?auto_16428 ?auto_16435 ) ( AIRPORT ?auto_16434 ) ( DIFFERENT ?auto_16435 ?auto_16434 ) ( LOCATION ?auto_16434 ) ( AIRPORT ?auto_16432 ) ( DIFFERENT ?auto_16434 ?auto_16432 ) ( LOCATION ?auto_16432 ) ( AIRPORT ?auto_16431 ) ( DIFFERENT ?auto_16432 ?auto_16431 ) ( TRUCK ?auto_16436 ) ( IN ?auto_16427 ?auto_16436 ) ( AIRPORT ?auto_16437 ) ( AT ?auto_16433 ?auto_16437 ) ( DIFFERENT ?auto_16431 ?auto_16437 ) ( LOCATION ?auto_16440 ) ( CITY ?auto_16439 ) ( AT ?auto_16436 ?auto_16440 ) ( IN-CITY ?auto_16440 ?auto_16439 ) ( IN-CITY ?auto_16432 ?auto_16439 ) ( DIFFERENT ?auto_16432 ?auto_16440 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16436 ?auto_16440 ?auto_16432 ?auto_16439 )
      ( DELIVER-PKG ?auto_16427 ?auto_16428 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16455
      ?auto_16456
    )
    :vars
    (
      ?auto_16458
      ?auto_16465
      ?auto_16460
      ?auto_16459
      ?auto_16467
      ?auto_16461
      ?auto_16457
      ?auto_16463
      ?auto_16462
      ?auto_16469
    )
    :precondition
    ( and ( OBJ ?auto_16455 ) ( LOCATION ?auto_16456 ) ( AIRPLANE ?auto_16458 ) ( AIRPORT ?auto_16465 ) ( AIRPORT ?auto_16456 ) ( DIFFERENT ?auto_16456 ?auto_16465 ) ( AIRPORT ?auto_16460 ) ( DIFFERENT ?auto_16465 ?auto_16460 ) ( LOCATION ?auto_16460 ) ( AIRPORT ?auto_16459 ) ( DIFFERENT ?auto_16460 ?auto_16459 ) ( LOCATION ?auto_16459 ) ( AIRPORT ?auto_16467 ) ( DIFFERENT ?auto_16459 ?auto_16467 ) ( TRUCK ?auto_16461 ) ( AIRPORT ?auto_16457 ) ( AT ?auto_16458 ?auto_16457 ) ( DIFFERENT ?auto_16467 ?auto_16457 ) ( LOCATION ?auto_16463 ) ( CITY ?auto_16462 ) ( AT ?auto_16461 ?auto_16463 ) ( IN-CITY ?auto_16463 ?auto_16462 ) ( IN-CITY ?auto_16459 ?auto_16462 ) ( DIFFERENT ?auto_16459 ?auto_16463 ) ( LOCATION ?auto_16469 ) ( AT ?auto_16461 ?auto_16469 ) ( AT ?auto_16455 ?auto_16469 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16455 ?auto_16461 ?auto_16469 )
      ( DELIVER-PKG ?auto_16455 ?auto_16456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16471
      ?auto_16472
    )
    :vars
    (
      ?auto_16473
      ?auto_16474
      ?auto_16480
      ?auto_16479
      ?auto_16475
      ?auto_16481
      ?auto_16478
      ?auto_16477
      ?auto_16476
      ?auto_16484
      ?auto_16486
    )
    :precondition
    ( and ( OBJ ?auto_16471 ) ( LOCATION ?auto_16472 ) ( AIRPLANE ?auto_16473 ) ( AIRPORT ?auto_16474 ) ( AIRPORT ?auto_16472 ) ( DIFFERENT ?auto_16472 ?auto_16474 ) ( AIRPORT ?auto_16480 ) ( DIFFERENT ?auto_16474 ?auto_16480 ) ( LOCATION ?auto_16480 ) ( AIRPORT ?auto_16479 ) ( DIFFERENT ?auto_16480 ?auto_16479 ) ( LOCATION ?auto_16479 ) ( AIRPORT ?auto_16475 ) ( DIFFERENT ?auto_16479 ?auto_16475 ) ( TRUCK ?auto_16481 ) ( AIRPORT ?auto_16478 ) ( DIFFERENT ?auto_16475 ?auto_16478 ) ( LOCATION ?auto_16477 ) ( CITY ?auto_16476 ) ( AT ?auto_16481 ?auto_16477 ) ( IN-CITY ?auto_16477 ?auto_16476 ) ( IN-CITY ?auto_16479 ?auto_16476 ) ( DIFFERENT ?auto_16479 ?auto_16477 ) ( LOCATION ?auto_16484 ) ( AT ?auto_16481 ?auto_16484 ) ( AT ?auto_16471 ?auto_16484 ) ( AIRPORT ?auto_16486 ) ( AT ?auto_16473 ?auto_16486 ) ( DIFFERENT ?auto_16478 ?auto_16486 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16473 ?auto_16486 ?auto_16478 )
      ( DELIVER-PKG ?auto_16471 ?auto_16472 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16753
      ?auto_16754
    )
    :vars
    (
      ?auto_16756
      ?auto_16757
      ?auto_16755
      ?auto_16758
      ?auto_16760
      ?auto_16761
      ?auto_16765
    )
    :precondition
    ( and ( OBJ ?auto_16753 ) ( LOCATION ?auto_16754 ) ( TRUCK ?auto_16756 ) ( LOCATION ?auto_16757 ) ( CITY ?auto_16755 ) ( AT ?auto_16756 ?auto_16757 ) ( IN-CITY ?auto_16757 ?auto_16755 ) ( IN-CITY ?auto_16754 ?auto_16755 ) ( DIFFERENT ?auto_16754 ?auto_16757 ) ( LOCATION ?auto_16758 ) ( AT ?auto_16756 ?auto_16758 ) ( AIRPLANE ?auto_16760 ) ( AIRPORT ?auto_16761 ) ( AIRPORT ?auto_16758 ) ( DIFFERENT ?auto_16758 ?auto_16761 ) ( LOCATION ?auto_16761 ) ( AT ?auto_16753 ?auto_16761 ) ( AIRPORT ?auto_16765 ) ( AT ?auto_16760 ?auto_16765 ) ( DIFFERENT ?auto_16761 ?auto_16765 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16760 ?auto_16765 ?auto_16761 )
      ( DELIVER-PKG ?auto_16753 ?auto_16754 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17034
      ?auto_17035
    )
    :vars
    (
      ?auto_17036
      ?auto_17045
      ?auto_17039
      ?auto_17041
      ?auto_17044
      ?auto_17042
      ?auto_17040
      ?auto_17037
      ?auto_17047
    )
    :precondition
    ( and ( OBJ ?auto_17034 ) ( LOCATION ?auto_17035 ) ( TRUCK ?auto_17036 ) ( LOCATION ?auto_17045 ) ( CITY ?auto_17039 ) ( IN-CITY ?auto_17045 ?auto_17039 ) ( IN-CITY ?auto_17035 ?auto_17039 ) ( DIFFERENT ?auto_17035 ?auto_17045 ) ( LOCATION ?auto_17041 ) ( CITY ?auto_17044 ) ( AT ?auto_17036 ?auto_17041 ) ( IN-CITY ?auto_17041 ?auto_17044 ) ( IN-CITY ?auto_17045 ?auto_17044 ) ( DIFFERENT ?auto_17045 ?auto_17041 ) ( LOCATION ?auto_17042 ) ( AT ?auto_17036 ?auto_17042 ) ( AIRPLANE ?auto_17040 ) ( IN ?auto_17034 ?auto_17040 ) ( AIRPORT ?auto_17037 ) ( AIRPORT ?auto_17042 ) ( DIFFERENT ?auto_17042 ?auto_17037 ) ( AIRPORT ?auto_17047 ) ( AT ?auto_17040 ?auto_17047 ) ( DIFFERENT ?auto_17037 ?auto_17047 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17040 ?auto_17047 ?auto_17037 )
      ( DELIVER-PKG ?auto_17034 ?auto_17035 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17049
      ?auto_17050
    )
    :vars
    (
      ?auto_17055
      ?auto_17051
      ?auto_17060
      ?auto_17056
      ?auto_17053
      ?auto_17052
      ?auto_17061
      ?auto_17059
      ?auto_17054
      ?auto_17063
    )
    :precondition
    ( and ( OBJ ?auto_17049 ) ( LOCATION ?auto_17050 ) ( TRUCK ?auto_17055 ) ( LOCATION ?auto_17051 ) ( CITY ?auto_17060 ) ( IN-CITY ?auto_17051 ?auto_17060 ) ( IN-CITY ?auto_17050 ?auto_17060 ) ( DIFFERENT ?auto_17050 ?auto_17051 ) ( LOCATION ?auto_17056 ) ( CITY ?auto_17053 ) ( AT ?auto_17055 ?auto_17056 ) ( IN-CITY ?auto_17056 ?auto_17053 ) ( IN-CITY ?auto_17051 ?auto_17053 ) ( DIFFERENT ?auto_17051 ?auto_17056 ) ( LOCATION ?auto_17052 ) ( AT ?auto_17055 ?auto_17052 ) ( AIRPLANE ?auto_17061 ) ( AIRPORT ?auto_17059 ) ( AIRPORT ?auto_17052 ) ( DIFFERENT ?auto_17052 ?auto_17059 ) ( AIRPORT ?auto_17054 ) ( AT ?auto_17061 ?auto_17054 ) ( DIFFERENT ?auto_17059 ?auto_17054 ) ( LOCATION ?auto_17063 ) ( AT ?auto_17049 ?auto_17063 ) ( AT ?auto_17061 ?auto_17063 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_17049 ?auto_17061 ?auto_17063 )
      ( DELIVER-PKG ?auto_17049 ?auto_17050 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17065
      ?auto_17066
    )
    :vars
    (
      ?auto_17068
      ?auto_17071
      ?auto_17073
      ?auto_17077
      ?auto_17076
      ?auto_17074
      ?auto_17067
      ?auto_17075
      ?auto_17078
      ?auto_17070
      ?auto_17079
    )
    :precondition
    ( and ( OBJ ?auto_17065 ) ( LOCATION ?auto_17066 ) ( TRUCK ?auto_17068 ) ( LOCATION ?auto_17071 ) ( CITY ?auto_17073 ) ( IN-CITY ?auto_17071 ?auto_17073 ) ( IN-CITY ?auto_17066 ?auto_17073 ) ( DIFFERENT ?auto_17066 ?auto_17071 ) ( LOCATION ?auto_17077 ) ( CITY ?auto_17076 ) ( AT ?auto_17068 ?auto_17077 ) ( IN-CITY ?auto_17077 ?auto_17076 ) ( IN-CITY ?auto_17071 ?auto_17076 ) ( DIFFERENT ?auto_17071 ?auto_17077 ) ( LOCATION ?auto_17074 ) ( AT ?auto_17068 ?auto_17074 ) ( AIRPLANE ?auto_17067 ) ( AIRPORT ?auto_17075 ) ( AIRPORT ?auto_17074 ) ( DIFFERENT ?auto_17074 ?auto_17075 ) ( AIRPORT ?auto_17078 ) ( AT ?auto_17067 ?auto_17078 ) ( DIFFERENT ?auto_17075 ?auto_17078 ) ( LOCATION ?auto_17070 ) ( AT ?auto_17067 ?auto_17070 ) ( AIRPLANE ?auto_17079 ) ( IN ?auto_17065 ?auto_17079 ) ( AT ?auto_17079 ?auto_17070 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17065 ?auto_17070 )
      ( DELIVER-PKG ?auto_17065 ?auto_17066 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17082
      ?auto_17083
    )
    :vars
    (
      ?auto_17094
      ?auto_17093
      ?auto_17084
      ?auto_17085
      ?auto_17095
      ?auto_17090
      ?auto_17092
      ?auto_17087
      ?auto_17096
      ?auto_17098
    )
    :precondition
    ( and ( OBJ ?auto_17082 ) ( LOCATION ?auto_17083 ) ( TRUCK ?auto_17094 ) ( LOCATION ?auto_17093 ) ( CITY ?auto_17084 ) ( IN-CITY ?auto_17093 ?auto_17084 ) ( IN-CITY ?auto_17083 ?auto_17084 ) ( DIFFERENT ?auto_17083 ?auto_17093 ) ( LOCATION ?auto_17085 ) ( CITY ?auto_17095 ) ( AT ?auto_17094 ?auto_17085 ) ( IN-CITY ?auto_17085 ?auto_17095 ) ( IN-CITY ?auto_17093 ?auto_17095 ) ( DIFFERENT ?auto_17093 ?auto_17085 ) ( LOCATION ?auto_17090 ) ( AT ?auto_17094 ?auto_17090 ) ( AIRPLANE ?auto_17092 ) ( AIRPORT ?auto_17087 ) ( AIRPORT ?auto_17090 ) ( DIFFERENT ?auto_17090 ?auto_17087 ) ( AIRPORT ?auto_17096 ) ( DIFFERENT ?auto_17087 ?auto_17096 ) ( LOCATION ?auto_17096 ) ( IN ?auto_17082 ?auto_17092 ) ( AIRPORT ?auto_17098 ) ( AT ?auto_17092 ?auto_17098 ) ( DIFFERENT ?auto_17096 ?auto_17098 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17092 ?auto_17098 ?auto_17096 )
      ( DELIVER-PKG ?auto_17082 ?auto_17083 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17100
      ?auto_17101
    )
    :vars
    (
      ?auto_17103
      ?auto_17111
      ?auto_17105
      ?auto_17112
      ?auto_17106
      ?auto_17110
      ?auto_17109
      ?auto_17113
      ?auto_17102
      ?auto_17107
      ?auto_17115
    )
    :precondition
    ( and ( OBJ ?auto_17100 ) ( LOCATION ?auto_17101 ) ( TRUCK ?auto_17103 ) ( LOCATION ?auto_17111 ) ( CITY ?auto_17105 ) ( IN-CITY ?auto_17111 ?auto_17105 ) ( IN-CITY ?auto_17101 ?auto_17105 ) ( DIFFERENT ?auto_17101 ?auto_17111 ) ( LOCATION ?auto_17112 ) ( CITY ?auto_17106 ) ( AT ?auto_17103 ?auto_17112 ) ( IN-CITY ?auto_17112 ?auto_17106 ) ( IN-CITY ?auto_17111 ?auto_17106 ) ( DIFFERENT ?auto_17111 ?auto_17112 ) ( LOCATION ?auto_17110 ) ( AT ?auto_17103 ?auto_17110 ) ( AIRPLANE ?auto_17109 ) ( AIRPORT ?auto_17113 ) ( AIRPORT ?auto_17110 ) ( DIFFERENT ?auto_17110 ?auto_17113 ) ( AIRPORT ?auto_17102 ) ( DIFFERENT ?auto_17113 ?auto_17102 ) ( LOCATION ?auto_17102 ) ( AIRPORT ?auto_17107 ) ( AT ?auto_17109 ?auto_17107 ) ( DIFFERENT ?auto_17102 ?auto_17107 ) ( LOCATION ?auto_17115 ) ( AT ?auto_17100 ?auto_17115 ) ( AT ?auto_17109 ?auto_17115 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_17100 ?auto_17109 ?auto_17115 )
      ( DELIVER-PKG ?auto_17100 ?auto_17101 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17117
      ?auto_17118
    )
    :vars
    (
      ?auto_17130
      ?auto_17122
      ?auto_17129
      ?auto_17126
      ?auto_17131
      ?auto_17128
      ?auto_17121
      ?auto_17124
      ?auto_17127
      ?auto_17123
      ?auto_17133
    )
    :precondition
    ( and ( OBJ ?auto_17117 ) ( LOCATION ?auto_17118 ) ( TRUCK ?auto_17130 ) ( LOCATION ?auto_17122 ) ( CITY ?auto_17129 ) ( IN-CITY ?auto_17122 ?auto_17129 ) ( IN-CITY ?auto_17118 ?auto_17129 ) ( DIFFERENT ?auto_17118 ?auto_17122 ) ( LOCATION ?auto_17126 ) ( CITY ?auto_17131 ) ( AT ?auto_17130 ?auto_17126 ) ( IN-CITY ?auto_17126 ?auto_17131 ) ( IN-CITY ?auto_17122 ?auto_17131 ) ( DIFFERENT ?auto_17122 ?auto_17126 ) ( LOCATION ?auto_17128 ) ( AT ?auto_17130 ?auto_17128 ) ( AIRPLANE ?auto_17121 ) ( AIRPORT ?auto_17124 ) ( AIRPORT ?auto_17128 ) ( DIFFERENT ?auto_17128 ?auto_17124 ) ( AIRPORT ?auto_17127 ) ( DIFFERENT ?auto_17124 ?auto_17127 ) ( LOCATION ?auto_17127 ) ( AIRPORT ?auto_17123 ) ( DIFFERENT ?auto_17127 ?auto_17123 ) ( LOCATION ?auto_17123 ) ( AT ?auto_17117 ?auto_17123 ) ( AIRPORT ?auto_17133 ) ( AT ?auto_17121 ?auto_17133 ) ( DIFFERENT ?auto_17123 ?auto_17133 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17121 ?auto_17133 ?auto_17123 )
      ( DELIVER-PKG ?auto_17117 ?auto_17118 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17165
      ?auto_17166
    )
    :vars
    (
      ?auto_17176
      ?auto_17179
      ?auto_17167
      ?auto_17173
      ?auto_17168
      ?auto_17169
      ?auto_17177
      ?auto_17172
      ?auto_17170
      ?auto_17178
      ?auto_17175
      ?auto_17182
    )
    :precondition
    ( and ( OBJ ?auto_17165 ) ( LOCATION ?auto_17166 ) ( TRUCK ?auto_17176 ) ( LOCATION ?auto_17179 ) ( CITY ?auto_17167 ) ( IN-CITY ?auto_17179 ?auto_17167 ) ( IN-CITY ?auto_17166 ?auto_17167 ) ( DIFFERENT ?auto_17166 ?auto_17179 ) ( LOCATION ?auto_17173 ) ( CITY ?auto_17168 ) ( AT ?auto_17176 ?auto_17173 ) ( IN-CITY ?auto_17173 ?auto_17168 ) ( IN-CITY ?auto_17179 ?auto_17168 ) ( DIFFERENT ?auto_17179 ?auto_17173 ) ( LOCATION ?auto_17169 ) ( AT ?auto_17176 ?auto_17169 ) ( AIRPLANE ?auto_17177 ) ( AIRPORT ?auto_17172 ) ( AIRPORT ?auto_17169 ) ( DIFFERENT ?auto_17169 ?auto_17172 ) ( AIRPORT ?auto_17170 ) ( DIFFERENT ?auto_17172 ?auto_17170 ) ( LOCATION ?auto_17170 ) ( AIRPORT ?auto_17178 ) ( DIFFERENT ?auto_17170 ?auto_17178 ) ( LOCATION ?auto_17178 ) ( AIRPORT ?auto_17175 ) ( AT ?auto_17177 ?auto_17175 ) ( DIFFERENT ?auto_17178 ?auto_17175 ) ( TRUCK ?auto_17182 ) ( AT ?auto_17182 ?auto_17178 ) ( IN ?auto_17165 ?auto_17182 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17165 ?auto_17178 )
      ( DELIVER-PKG ?auto_17165 ?auto_17166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17183
      ?auto_17184
    )
    :vars
    (
      ?auto_17191
      ?auto_17196
      ?auto_17190
      ?auto_17186
      ?auto_17194
      ?auto_17189
      ?auto_17192
      ?auto_17185
      ?auto_17188
      ?auto_17193
      ?auto_17187
      ?auto_17198
      ?auto_17200
    )
    :precondition
    ( and ( OBJ ?auto_17183 ) ( LOCATION ?auto_17184 ) ( TRUCK ?auto_17191 ) ( LOCATION ?auto_17196 ) ( CITY ?auto_17190 ) ( IN-CITY ?auto_17196 ?auto_17190 ) ( IN-CITY ?auto_17184 ?auto_17190 ) ( DIFFERENT ?auto_17184 ?auto_17196 ) ( LOCATION ?auto_17186 ) ( CITY ?auto_17194 ) ( AT ?auto_17191 ?auto_17186 ) ( IN-CITY ?auto_17186 ?auto_17194 ) ( IN-CITY ?auto_17196 ?auto_17194 ) ( DIFFERENT ?auto_17196 ?auto_17186 ) ( LOCATION ?auto_17189 ) ( AT ?auto_17191 ?auto_17189 ) ( AIRPLANE ?auto_17192 ) ( AIRPORT ?auto_17185 ) ( AIRPORT ?auto_17189 ) ( DIFFERENT ?auto_17189 ?auto_17185 ) ( AIRPORT ?auto_17188 ) ( DIFFERENT ?auto_17185 ?auto_17188 ) ( LOCATION ?auto_17188 ) ( AIRPORT ?auto_17193 ) ( DIFFERENT ?auto_17188 ?auto_17193 ) ( LOCATION ?auto_17193 ) ( AIRPORT ?auto_17187 ) ( DIFFERENT ?auto_17193 ?auto_17187 ) ( TRUCK ?auto_17198 ) ( AT ?auto_17198 ?auto_17193 ) ( IN ?auto_17183 ?auto_17198 ) ( AIRPORT ?auto_17200 ) ( AT ?auto_17192 ?auto_17200 ) ( DIFFERENT ?auto_17187 ?auto_17200 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17192 ?auto_17200 ?auto_17187 )
      ( DELIVER-PKG ?auto_17183 ?auto_17184 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17202
      ?auto_17203
    )
    :vars
    (
      ?auto_17205
      ?auto_17210
      ?auto_17207
      ?auto_17216
      ?auto_17209
      ?auto_17206
      ?auto_17214
      ?auto_17204
      ?auto_17218
      ?auto_17215
      ?auto_17217
      ?auto_17213
      ?auto_17211
      ?auto_17221
      ?auto_17220
    )
    :precondition
    ( and ( OBJ ?auto_17202 ) ( LOCATION ?auto_17203 ) ( TRUCK ?auto_17205 ) ( LOCATION ?auto_17210 ) ( CITY ?auto_17207 ) ( IN-CITY ?auto_17210 ?auto_17207 ) ( IN-CITY ?auto_17203 ?auto_17207 ) ( DIFFERENT ?auto_17203 ?auto_17210 ) ( LOCATION ?auto_17216 ) ( CITY ?auto_17209 ) ( AT ?auto_17205 ?auto_17216 ) ( IN-CITY ?auto_17216 ?auto_17209 ) ( IN-CITY ?auto_17210 ?auto_17209 ) ( DIFFERENT ?auto_17210 ?auto_17216 ) ( LOCATION ?auto_17206 ) ( AT ?auto_17205 ?auto_17206 ) ( AIRPLANE ?auto_17214 ) ( AIRPORT ?auto_17204 ) ( AIRPORT ?auto_17206 ) ( DIFFERENT ?auto_17206 ?auto_17204 ) ( AIRPORT ?auto_17218 ) ( DIFFERENT ?auto_17204 ?auto_17218 ) ( LOCATION ?auto_17218 ) ( AIRPORT ?auto_17215 ) ( DIFFERENT ?auto_17218 ?auto_17215 ) ( LOCATION ?auto_17215 ) ( AIRPORT ?auto_17217 ) ( DIFFERENT ?auto_17215 ?auto_17217 ) ( TRUCK ?auto_17213 ) ( IN ?auto_17202 ?auto_17213 ) ( AIRPORT ?auto_17211 ) ( AT ?auto_17214 ?auto_17211 ) ( DIFFERENT ?auto_17217 ?auto_17211 ) ( LOCATION ?auto_17221 ) ( CITY ?auto_17220 ) ( AT ?auto_17213 ?auto_17221 ) ( IN-CITY ?auto_17221 ?auto_17220 ) ( IN-CITY ?auto_17215 ?auto_17220 ) ( DIFFERENT ?auto_17215 ?auto_17221 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17213 ?auto_17221 ?auto_17215 ?auto_17220 )
      ( DELIVER-PKG ?auto_17202 ?auto_17203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17242
      ?auto_17243
    )
    :vars
    (
      ?auto_17259
      ?auto_17252
      ?auto_17260
      ?auto_17253
      ?auto_17244
      ?auto_17257
      ?auto_17256
      ?auto_17245
      ?auto_17249
      ?auto_17250
      ?auto_17248
      ?auto_17258
      ?auto_17247
      ?auto_17255
      ?auto_17251
      ?auto_17262
    )
    :precondition
    ( and ( OBJ ?auto_17242 ) ( LOCATION ?auto_17243 ) ( TRUCK ?auto_17259 ) ( LOCATION ?auto_17252 ) ( CITY ?auto_17260 ) ( IN-CITY ?auto_17252 ?auto_17260 ) ( IN-CITY ?auto_17243 ?auto_17260 ) ( DIFFERENT ?auto_17243 ?auto_17252 ) ( LOCATION ?auto_17253 ) ( CITY ?auto_17244 ) ( AT ?auto_17259 ?auto_17253 ) ( IN-CITY ?auto_17253 ?auto_17244 ) ( IN-CITY ?auto_17252 ?auto_17244 ) ( DIFFERENT ?auto_17252 ?auto_17253 ) ( LOCATION ?auto_17257 ) ( AT ?auto_17259 ?auto_17257 ) ( AIRPLANE ?auto_17256 ) ( AIRPORT ?auto_17245 ) ( AIRPORT ?auto_17257 ) ( DIFFERENT ?auto_17257 ?auto_17245 ) ( AIRPORT ?auto_17249 ) ( DIFFERENT ?auto_17245 ?auto_17249 ) ( LOCATION ?auto_17249 ) ( AIRPORT ?auto_17250 ) ( DIFFERENT ?auto_17249 ?auto_17250 ) ( LOCATION ?auto_17250 ) ( AIRPORT ?auto_17248 ) ( DIFFERENT ?auto_17250 ?auto_17248 ) ( TRUCK ?auto_17258 ) ( AIRPORT ?auto_17247 ) ( AT ?auto_17256 ?auto_17247 ) ( DIFFERENT ?auto_17248 ?auto_17247 ) ( LOCATION ?auto_17255 ) ( CITY ?auto_17251 ) ( AT ?auto_17258 ?auto_17255 ) ( IN-CITY ?auto_17255 ?auto_17251 ) ( IN-CITY ?auto_17250 ?auto_17251 ) ( DIFFERENT ?auto_17250 ?auto_17255 ) ( LOCATION ?auto_17262 ) ( AT ?auto_17258 ?auto_17262 ) ( AT ?auto_17242 ?auto_17262 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17242 ?auto_17258 ?auto_17262 )
      ( DELIVER-PKG ?auto_17242 ?auto_17243 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17264
      ?auto_17265
    )
    :vars
    (
      ?auto_17266
      ?auto_17277
      ?auto_17268
      ?auto_17278
      ?auto_17275
      ?auto_17271
      ?auto_17280
      ?auto_17283
      ?auto_17269
      ?auto_17282
      ?auto_17270
      ?auto_17272
      ?auto_17274
      ?auto_17279
      ?auto_17276
      ?auto_17267
      ?auto_17285
    )
    :precondition
    ( and ( OBJ ?auto_17264 ) ( LOCATION ?auto_17265 ) ( TRUCK ?auto_17266 ) ( LOCATION ?auto_17277 ) ( CITY ?auto_17268 ) ( IN-CITY ?auto_17277 ?auto_17268 ) ( IN-CITY ?auto_17265 ?auto_17268 ) ( DIFFERENT ?auto_17265 ?auto_17277 ) ( LOCATION ?auto_17278 ) ( CITY ?auto_17275 ) ( AT ?auto_17266 ?auto_17278 ) ( IN-CITY ?auto_17278 ?auto_17275 ) ( IN-CITY ?auto_17277 ?auto_17275 ) ( DIFFERENT ?auto_17277 ?auto_17278 ) ( LOCATION ?auto_17271 ) ( AT ?auto_17266 ?auto_17271 ) ( AIRPLANE ?auto_17280 ) ( AIRPORT ?auto_17283 ) ( AIRPORT ?auto_17271 ) ( DIFFERENT ?auto_17271 ?auto_17283 ) ( AIRPORT ?auto_17269 ) ( DIFFERENT ?auto_17283 ?auto_17269 ) ( LOCATION ?auto_17269 ) ( AIRPORT ?auto_17282 ) ( DIFFERENT ?auto_17269 ?auto_17282 ) ( LOCATION ?auto_17282 ) ( AIRPORT ?auto_17270 ) ( DIFFERENT ?auto_17282 ?auto_17270 ) ( TRUCK ?auto_17272 ) ( AIRPORT ?auto_17274 ) ( DIFFERENT ?auto_17270 ?auto_17274 ) ( LOCATION ?auto_17279 ) ( CITY ?auto_17276 ) ( AT ?auto_17272 ?auto_17279 ) ( IN-CITY ?auto_17279 ?auto_17276 ) ( IN-CITY ?auto_17282 ?auto_17276 ) ( DIFFERENT ?auto_17282 ?auto_17279 ) ( LOCATION ?auto_17267 ) ( AT ?auto_17272 ?auto_17267 ) ( AT ?auto_17264 ?auto_17267 ) ( AIRPORT ?auto_17285 ) ( AT ?auto_17280 ?auto_17285 ) ( DIFFERENT ?auto_17274 ?auto_17285 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17280 ?auto_17285 ?auto_17274 )
      ( DELIVER-PKG ?auto_17264 ?auto_17265 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17627
      ?auto_17628
    )
    :vars
    (
      ?auto_17631
      ?auto_17636
      ?auto_17638
      ?auto_17637
      ?auto_17635
      ?auto_17634
      ?auto_17629
      ?auto_17630
      ?auto_17641
    )
    :precondition
    ( and ( OBJ ?auto_17627 ) ( LOCATION ?auto_17628 ) ( AIRPLANE ?auto_17631 ) ( AIRPORT ?auto_17636 ) ( AIRPORT ?auto_17628 ) ( DIFFERENT ?auto_17628 ?auto_17636 ) ( LOCATION ?auto_17636 ) ( TRUCK ?auto_17638 ) ( LOCATION ?auto_17637 ) ( CITY ?auto_17635 ) ( IN-CITY ?auto_17637 ?auto_17635 ) ( IN-CITY ?auto_17636 ?auto_17635 ) ( DIFFERENT ?auto_17636 ?auto_17637 ) ( LOCATION ?auto_17634 ) ( CITY ?auto_17629 ) ( AT ?auto_17638 ?auto_17634 ) ( IN-CITY ?auto_17634 ?auto_17629 ) ( IN-CITY ?auto_17637 ?auto_17629 ) ( DIFFERENT ?auto_17637 ?auto_17634 ) ( LOCATION ?auto_17630 ) ( AT ?auto_17638 ?auto_17630 ) ( AT ?auto_17627 ?auto_17630 ) ( AIRPORT ?auto_17641 ) ( AT ?auto_17631 ?auto_17641 ) ( DIFFERENT ?auto_17636 ?auto_17641 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17631 ?auto_17641 ?auto_17636 )
      ( DELIVER-PKG ?auto_17627 ?auto_17628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17701
      ?auto_17702
    )
    :vars
    (
      ?auto_17703
      ?auto_17709
      ?auto_17708
      ?auto_17704
      ?auto_17705
      ?auto_17711
    )
    :precondition
    ( and ( OBJ ?auto_17701 ) ( LOCATION ?auto_17702 ) ( AIRPLANE ?auto_17703 ) ( AT ?auto_17703 ?auto_17702 ) ( LOCATION ?auto_17709 ) ( AT ?auto_17703 ?auto_17709 ) ( AIRPLANE ?auto_17708 ) ( AIRPORT ?auto_17704 ) ( AIRPORT ?auto_17709 ) ( AT ?auto_17708 ?auto_17704 ) ( DIFFERENT ?auto_17709 ?auto_17704 ) ( LOCATION ?auto_17705 ) ( AT ?auto_17708 ?auto_17705 ) ( TRUCK ?auto_17711 ) ( AT ?auto_17711 ?auto_17705 ) ( IN ?auto_17701 ?auto_17711 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17701 ?auto_17705 )
      ( DELIVER-PKG ?auto_17701 ?auto_17702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17713
      ?auto_17714
    )
    :vars
    (
      ?auto_17719
      ?auto_17716
      ?auto_17715
      ?auto_17721
      ?auto_17722
      ?auto_17718
      ?auto_17725
      ?auto_17724
    )
    :precondition
    ( and ( OBJ ?auto_17713 ) ( LOCATION ?auto_17714 ) ( AIRPLANE ?auto_17719 ) ( AT ?auto_17719 ?auto_17714 ) ( LOCATION ?auto_17716 ) ( AT ?auto_17719 ?auto_17716 ) ( AIRPLANE ?auto_17715 ) ( AIRPORT ?auto_17721 ) ( AIRPORT ?auto_17716 ) ( AT ?auto_17715 ?auto_17721 ) ( DIFFERENT ?auto_17716 ?auto_17721 ) ( LOCATION ?auto_17722 ) ( AT ?auto_17715 ?auto_17722 ) ( TRUCK ?auto_17718 ) ( IN ?auto_17713 ?auto_17718 ) ( LOCATION ?auto_17725 ) ( CITY ?auto_17724 ) ( AT ?auto_17718 ?auto_17725 ) ( IN-CITY ?auto_17725 ?auto_17724 ) ( IN-CITY ?auto_17722 ?auto_17724 ) ( DIFFERENT ?auto_17722 ?auto_17725 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17718 ?auto_17725 ?auto_17722 ?auto_17724 )
      ( DELIVER-PKG ?auto_17713 ?auto_17714 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17727
      ?auto_17728
    )
    :vars
    (
      ?auto_17730
      ?auto_17738
      ?auto_17734
      ?auto_17737
      ?auto_17731
      ?auto_17729
      ?auto_17733
      ?auto_17732
      ?auto_17741
      ?auto_17740
    )
    :precondition
    ( and ( OBJ ?auto_17727 ) ( LOCATION ?auto_17728 ) ( AIRPLANE ?auto_17730 ) ( AT ?auto_17730 ?auto_17728 ) ( LOCATION ?auto_17738 ) ( AT ?auto_17730 ?auto_17738 ) ( AIRPLANE ?auto_17734 ) ( AIRPORT ?auto_17737 ) ( AIRPORT ?auto_17738 ) ( AT ?auto_17734 ?auto_17737 ) ( DIFFERENT ?auto_17738 ?auto_17737 ) ( LOCATION ?auto_17731 ) ( AT ?auto_17734 ?auto_17731 ) ( TRUCK ?auto_17729 ) ( IN ?auto_17727 ?auto_17729 ) ( LOCATION ?auto_17733 ) ( CITY ?auto_17732 ) ( IN-CITY ?auto_17733 ?auto_17732 ) ( IN-CITY ?auto_17731 ?auto_17732 ) ( DIFFERENT ?auto_17731 ?auto_17733 ) ( LOCATION ?auto_17741 ) ( CITY ?auto_17740 ) ( AT ?auto_17729 ?auto_17741 ) ( IN-CITY ?auto_17741 ?auto_17740 ) ( IN-CITY ?auto_17733 ?auto_17740 ) ( DIFFERENT ?auto_17733 ?auto_17741 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17729 ?auto_17741 ?auto_17733 ?auto_17740 )
      ( DELIVER-PKG ?auto_17727 ?auto_17728 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17757
      ?auto_17758
    )
    :vars
    (
      ?auto_17762
      ?auto_17768
      ?auto_17766
      ?auto_17767
      ?auto_17763
      ?auto_17761
      ?auto_17765
      ?auto_17764
      ?auto_17770
      ?auto_17769
      ?auto_17772
    )
    :precondition
    ( and ( OBJ ?auto_17757 ) ( LOCATION ?auto_17758 ) ( AIRPLANE ?auto_17762 ) ( AT ?auto_17762 ?auto_17758 ) ( LOCATION ?auto_17768 ) ( AT ?auto_17762 ?auto_17768 ) ( AIRPLANE ?auto_17766 ) ( AIRPORT ?auto_17767 ) ( AIRPORT ?auto_17768 ) ( AT ?auto_17766 ?auto_17767 ) ( DIFFERENT ?auto_17768 ?auto_17767 ) ( LOCATION ?auto_17763 ) ( AT ?auto_17766 ?auto_17763 ) ( TRUCK ?auto_17761 ) ( LOCATION ?auto_17765 ) ( CITY ?auto_17764 ) ( IN-CITY ?auto_17765 ?auto_17764 ) ( IN-CITY ?auto_17763 ?auto_17764 ) ( DIFFERENT ?auto_17763 ?auto_17765 ) ( LOCATION ?auto_17770 ) ( CITY ?auto_17769 ) ( AT ?auto_17761 ?auto_17770 ) ( IN-CITY ?auto_17770 ?auto_17769 ) ( IN-CITY ?auto_17765 ?auto_17769 ) ( DIFFERENT ?auto_17765 ?auto_17770 ) ( LOCATION ?auto_17772 ) ( AT ?auto_17761 ?auto_17772 ) ( AT ?auto_17757 ?auto_17772 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17757 ?auto_17761 ?auto_17772 )
      ( DELIVER-PKG ?auto_17757 ?auto_17758 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17774
      ?auto_17775
    )
    :vars
    (
      ?auto_17779
      ?auto_17785
      ?auto_17783
      ?auto_17780
      ?auto_17778
      ?auto_17782
      ?auto_17781
      ?auto_17787
      ?auto_17786
      ?auto_17788
      ?auto_17790
    )
    :precondition
    ( and ( OBJ ?auto_17774 ) ( LOCATION ?auto_17775 ) ( AIRPLANE ?auto_17779 ) ( AT ?auto_17779 ?auto_17775 ) ( LOCATION ?auto_17785 ) ( AT ?auto_17779 ?auto_17785 ) ( AIRPLANE ?auto_17783 ) ( AIRPORT ?auto_17780 ) ( AIRPORT ?auto_17785 ) ( DIFFERENT ?auto_17785 ?auto_17780 ) ( LOCATION ?auto_17780 ) ( TRUCK ?auto_17778 ) ( LOCATION ?auto_17782 ) ( CITY ?auto_17781 ) ( IN-CITY ?auto_17782 ?auto_17781 ) ( IN-CITY ?auto_17780 ?auto_17781 ) ( DIFFERENT ?auto_17780 ?auto_17782 ) ( LOCATION ?auto_17787 ) ( CITY ?auto_17786 ) ( AT ?auto_17778 ?auto_17787 ) ( IN-CITY ?auto_17787 ?auto_17786 ) ( IN-CITY ?auto_17782 ?auto_17786 ) ( DIFFERENT ?auto_17782 ?auto_17787 ) ( LOCATION ?auto_17788 ) ( AT ?auto_17778 ?auto_17788 ) ( AT ?auto_17774 ?auto_17788 ) ( AIRPORT ?auto_17790 ) ( AT ?auto_17783 ?auto_17790 ) ( DIFFERENT ?auto_17780 ?auto_17790 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17783 ?auto_17790 ?auto_17780 )
      ( DELIVER-PKG ?auto_17774 ?auto_17775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18263
      ?auto_18264
    )
    :vars
    (
      ?auto_18273
      ?auto_18270
      ?auto_18269
      ?auto_18266
      ?auto_18268
      ?auto_18272
      ?auto_18267
      ?auto_18275
    )
    :precondition
    ( and ( OBJ ?auto_18263 ) ( LOCATION ?auto_18264 ) ( TRUCK ?auto_18273 ) ( LOCATION ?auto_18270 ) ( CITY ?auto_18269 ) ( IN-CITY ?auto_18270 ?auto_18269 ) ( IN-CITY ?auto_18264 ?auto_18269 ) ( DIFFERENT ?auto_18264 ?auto_18270 ) ( LOCATION ?auto_18266 ) ( CITY ?auto_18268 ) ( AT ?auto_18273 ?auto_18266 ) ( IN-CITY ?auto_18266 ?auto_18268 ) ( IN-CITY ?auto_18270 ?auto_18268 ) ( DIFFERENT ?auto_18270 ?auto_18266 ) ( LOCATION ?auto_18272 ) ( AT ?auto_18273 ?auto_18272 ) ( AIRPLANE ?auto_18267 ) ( AT ?auto_18267 ?auto_18272 ) ( LOCATION ?auto_18275 ) ( AT ?auto_18263 ?auto_18275 ) ( AT ?auto_18267 ?auto_18275 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_18263 ?auto_18267 ?auto_18275 )
      ( DELIVER-PKG ?auto_18263 ?auto_18264 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18317
      ?auto_18318
    )
    :vars
    (
      ?auto_18327
      ?auto_18328
      ?auto_18325
      ?auto_18321
      ?auto_18322
      ?auto_18323
      ?auto_18320
      ?auto_18326
      ?auto_18319
      ?auto_18331
    )
    :precondition
    ( and ( OBJ ?auto_18317 ) ( LOCATION ?auto_18318 ) ( TRUCK ?auto_18327 ) ( LOCATION ?auto_18328 ) ( CITY ?auto_18325 ) ( IN-CITY ?auto_18328 ?auto_18325 ) ( IN-CITY ?auto_18318 ?auto_18325 ) ( DIFFERENT ?auto_18318 ?auto_18328 ) ( LOCATION ?auto_18321 ) ( CITY ?auto_18322 ) ( AT ?auto_18327 ?auto_18321 ) ( IN-CITY ?auto_18321 ?auto_18322 ) ( IN-CITY ?auto_18328 ?auto_18322 ) ( DIFFERENT ?auto_18328 ?auto_18321 ) ( LOCATION ?auto_18323 ) ( AT ?auto_18327 ?auto_18323 ) ( AIRPLANE ?auto_18320 ) ( AT ?auto_18320 ?auto_18323 ) ( LOCATION ?auto_18326 ) ( AT ?auto_18320 ?auto_18326 ) ( AIRPLANE ?auto_18319 ) ( IN ?auto_18317 ?auto_18319 ) ( AIRPORT ?auto_18331 ) ( AIRPORT ?auto_18326 ) ( AT ?auto_18319 ?auto_18331 ) ( DIFFERENT ?auto_18326 ?auto_18331 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18319 ?auto_18331 ?auto_18326 )
      ( DELIVER-PKG ?auto_18317 ?auto_18318 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18333
      ?auto_18334
    )
    :vars
    (
      ?auto_18340
      ?auto_18341
      ?auto_18344
      ?auto_18336
      ?auto_18342
      ?auto_18343
      ?auto_18335
      ?auto_18339
      ?auto_18338
      ?auto_18346
      ?auto_18348
    )
    :precondition
    ( and ( OBJ ?auto_18333 ) ( LOCATION ?auto_18334 ) ( TRUCK ?auto_18340 ) ( LOCATION ?auto_18341 ) ( CITY ?auto_18344 ) ( IN-CITY ?auto_18341 ?auto_18344 ) ( IN-CITY ?auto_18334 ?auto_18344 ) ( DIFFERENT ?auto_18334 ?auto_18341 ) ( LOCATION ?auto_18336 ) ( CITY ?auto_18342 ) ( AT ?auto_18340 ?auto_18336 ) ( IN-CITY ?auto_18336 ?auto_18342 ) ( IN-CITY ?auto_18341 ?auto_18342 ) ( DIFFERENT ?auto_18341 ?auto_18336 ) ( LOCATION ?auto_18343 ) ( AT ?auto_18340 ?auto_18343 ) ( AIRPLANE ?auto_18335 ) ( AT ?auto_18335 ?auto_18343 ) ( LOCATION ?auto_18339 ) ( AT ?auto_18335 ?auto_18339 ) ( AIRPLANE ?auto_18338 ) ( AIRPORT ?auto_18346 ) ( AIRPORT ?auto_18339 ) ( AT ?auto_18338 ?auto_18346 ) ( DIFFERENT ?auto_18339 ?auto_18346 ) ( LOCATION ?auto_18348 ) ( AT ?auto_18333 ?auto_18348 ) ( AT ?auto_18338 ?auto_18348 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_18333 ?auto_18338 ?auto_18348 )
      ( DELIVER-PKG ?auto_18333 ?auto_18334 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18350
      ?auto_18351
    )
    :vars
    (
      ?auto_18353
      ?auto_18352
      ?auto_18360
      ?auto_18362
      ?auto_18358
      ?auto_18354
      ?auto_18361
      ?auto_18364
      ?auto_18363
      ?auto_18355
      ?auto_18359
      ?auto_18366
    )
    :precondition
    ( and ( OBJ ?auto_18350 ) ( LOCATION ?auto_18351 ) ( TRUCK ?auto_18353 ) ( LOCATION ?auto_18352 ) ( CITY ?auto_18360 ) ( IN-CITY ?auto_18352 ?auto_18360 ) ( IN-CITY ?auto_18351 ?auto_18360 ) ( DIFFERENT ?auto_18351 ?auto_18352 ) ( LOCATION ?auto_18362 ) ( CITY ?auto_18358 ) ( AT ?auto_18353 ?auto_18362 ) ( IN-CITY ?auto_18362 ?auto_18358 ) ( IN-CITY ?auto_18352 ?auto_18358 ) ( DIFFERENT ?auto_18352 ?auto_18362 ) ( LOCATION ?auto_18354 ) ( AT ?auto_18353 ?auto_18354 ) ( AIRPLANE ?auto_18361 ) ( AT ?auto_18361 ?auto_18354 ) ( LOCATION ?auto_18364 ) ( AT ?auto_18361 ?auto_18364 ) ( AIRPLANE ?auto_18363 ) ( AIRPORT ?auto_18355 ) ( AIRPORT ?auto_18364 ) ( AT ?auto_18363 ?auto_18355 ) ( DIFFERENT ?auto_18364 ?auto_18355 ) ( LOCATION ?auto_18359 ) ( AT ?auto_18363 ?auto_18359 ) ( TRUCK ?auto_18366 ) ( AT ?auto_18366 ?auto_18359 ) ( IN ?auto_18350 ?auto_18366 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18350 ?auto_18359 )
      ( DELIVER-PKG ?auto_18350 ?auto_18351 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18368
      ?auto_18369
    )
    :vars
    (
      ?auto_18380
      ?auto_18371
      ?auto_18379
      ?auto_18377
      ?auto_18382
      ?auto_18381
      ?auto_18372
      ?auto_18374
      ?auto_18373
      ?auto_18383
      ?auto_18375
      ?auto_18376
      ?auto_18386
      ?auto_18385
    )
    :precondition
    ( and ( OBJ ?auto_18368 ) ( LOCATION ?auto_18369 ) ( TRUCK ?auto_18380 ) ( LOCATION ?auto_18371 ) ( CITY ?auto_18379 ) ( IN-CITY ?auto_18371 ?auto_18379 ) ( IN-CITY ?auto_18369 ?auto_18379 ) ( DIFFERENT ?auto_18369 ?auto_18371 ) ( LOCATION ?auto_18377 ) ( CITY ?auto_18382 ) ( AT ?auto_18380 ?auto_18377 ) ( IN-CITY ?auto_18377 ?auto_18382 ) ( IN-CITY ?auto_18371 ?auto_18382 ) ( DIFFERENT ?auto_18371 ?auto_18377 ) ( LOCATION ?auto_18381 ) ( AT ?auto_18380 ?auto_18381 ) ( AIRPLANE ?auto_18372 ) ( AT ?auto_18372 ?auto_18381 ) ( LOCATION ?auto_18374 ) ( AT ?auto_18372 ?auto_18374 ) ( AIRPLANE ?auto_18373 ) ( AIRPORT ?auto_18383 ) ( AIRPORT ?auto_18374 ) ( AT ?auto_18373 ?auto_18383 ) ( DIFFERENT ?auto_18374 ?auto_18383 ) ( LOCATION ?auto_18375 ) ( AT ?auto_18373 ?auto_18375 ) ( TRUCK ?auto_18376 ) ( IN ?auto_18368 ?auto_18376 ) ( LOCATION ?auto_18386 ) ( CITY ?auto_18385 ) ( AT ?auto_18376 ?auto_18386 ) ( IN-CITY ?auto_18386 ?auto_18385 ) ( IN-CITY ?auto_18375 ?auto_18385 ) ( DIFFERENT ?auto_18375 ?auto_18386 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18376 ?auto_18386 ?auto_18375 ?auto_18385 )
      ( DELIVER-PKG ?auto_18368 ?auto_18369 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18388
      ?auto_18389
    )
    :vars
    (
      ?auto_18394
      ?auto_18404
      ?auto_18393
      ?auto_18403
      ?auto_18396
      ?auto_18401
      ?auto_18402
      ?auto_18400
      ?auto_18405
      ?auto_18392
      ?auto_18399
      ?auto_18390
      ?auto_18395
      ?auto_18397
      ?auto_18408
      ?auto_18407
    )
    :precondition
    ( and ( OBJ ?auto_18388 ) ( LOCATION ?auto_18389 ) ( TRUCK ?auto_18394 ) ( LOCATION ?auto_18404 ) ( CITY ?auto_18393 ) ( IN-CITY ?auto_18404 ?auto_18393 ) ( IN-CITY ?auto_18389 ?auto_18393 ) ( DIFFERENT ?auto_18389 ?auto_18404 ) ( LOCATION ?auto_18403 ) ( CITY ?auto_18396 ) ( AT ?auto_18394 ?auto_18403 ) ( IN-CITY ?auto_18403 ?auto_18396 ) ( IN-CITY ?auto_18404 ?auto_18396 ) ( DIFFERENT ?auto_18404 ?auto_18403 ) ( LOCATION ?auto_18401 ) ( AT ?auto_18394 ?auto_18401 ) ( AIRPLANE ?auto_18402 ) ( AT ?auto_18402 ?auto_18401 ) ( LOCATION ?auto_18400 ) ( AT ?auto_18402 ?auto_18400 ) ( AIRPLANE ?auto_18405 ) ( AIRPORT ?auto_18392 ) ( AIRPORT ?auto_18400 ) ( AT ?auto_18405 ?auto_18392 ) ( DIFFERENT ?auto_18400 ?auto_18392 ) ( LOCATION ?auto_18399 ) ( AT ?auto_18405 ?auto_18399 ) ( TRUCK ?auto_18390 ) ( IN ?auto_18388 ?auto_18390 ) ( LOCATION ?auto_18395 ) ( CITY ?auto_18397 ) ( IN-CITY ?auto_18395 ?auto_18397 ) ( IN-CITY ?auto_18399 ?auto_18397 ) ( DIFFERENT ?auto_18399 ?auto_18395 ) ( LOCATION ?auto_18408 ) ( CITY ?auto_18407 ) ( AT ?auto_18390 ?auto_18408 ) ( IN-CITY ?auto_18408 ?auto_18407 ) ( IN-CITY ?auto_18395 ?auto_18407 ) ( DIFFERENT ?auto_18395 ?auto_18408 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18390 ?auto_18408 ?auto_18395 ?auto_18407 )
      ( DELIVER-PKG ?auto_18388 ?auto_18389 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18430
      ?auto_18431
    )
    :vars
    (
      ?auto_18449
      ?auto_18439
      ?auto_18446
      ?auto_18440
      ?auto_18448
      ?auto_18433
      ?auto_18434
      ?auto_18445
      ?auto_18432
      ?auto_18447
      ?auto_18444
      ?auto_18443
      ?auto_18435
      ?auto_18436
      ?auto_18438
      ?auto_18437
      ?auto_18451
    )
    :precondition
    ( and ( OBJ ?auto_18430 ) ( LOCATION ?auto_18431 ) ( TRUCK ?auto_18449 ) ( LOCATION ?auto_18439 ) ( CITY ?auto_18446 ) ( IN-CITY ?auto_18439 ?auto_18446 ) ( IN-CITY ?auto_18431 ?auto_18446 ) ( DIFFERENT ?auto_18431 ?auto_18439 ) ( LOCATION ?auto_18440 ) ( CITY ?auto_18448 ) ( AT ?auto_18449 ?auto_18440 ) ( IN-CITY ?auto_18440 ?auto_18448 ) ( IN-CITY ?auto_18439 ?auto_18448 ) ( DIFFERENT ?auto_18439 ?auto_18440 ) ( LOCATION ?auto_18433 ) ( AT ?auto_18449 ?auto_18433 ) ( AIRPLANE ?auto_18434 ) ( AT ?auto_18434 ?auto_18433 ) ( LOCATION ?auto_18445 ) ( AT ?auto_18434 ?auto_18445 ) ( AIRPLANE ?auto_18432 ) ( AIRPORT ?auto_18447 ) ( AIRPORT ?auto_18445 ) ( AT ?auto_18432 ?auto_18447 ) ( DIFFERENT ?auto_18445 ?auto_18447 ) ( LOCATION ?auto_18444 ) ( AT ?auto_18432 ?auto_18444 ) ( TRUCK ?auto_18443 ) ( LOCATION ?auto_18435 ) ( CITY ?auto_18436 ) ( IN-CITY ?auto_18435 ?auto_18436 ) ( IN-CITY ?auto_18444 ?auto_18436 ) ( DIFFERENT ?auto_18444 ?auto_18435 ) ( LOCATION ?auto_18438 ) ( CITY ?auto_18437 ) ( AT ?auto_18443 ?auto_18438 ) ( IN-CITY ?auto_18438 ?auto_18437 ) ( IN-CITY ?auto_18435 ?auto_18437 ) ( DIFFERENT ?auto_18435 ?auto_18438 ) ( LOCATION ?auto_18451 ) ( AT ?auto_18443 ?auto_18451 ) ( AT ?auto_18430 ?auto_18451 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18430 ?auto_18443 ?auto_18451 )
      ( DELIVER-PKG ?auto_18430 ?auto_18431 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18453
      ?auto_18454
    )
    :vars
    (
      ?auto_18470
      ?auto_18459
      ?auto_18467
      ?auto_18460
      ?auto_18469
      ?auto_18463
      ?auto_18458
      ?auto_18466
      ?auto_18471
      ?auto_18465
      ?auto_18464
      ?auto_18455
      ?auto_18473
      ?auto_18457
      ?auto_18456
      ?auto_18461
      ?auto_18475
    )
    :precondition
    ( and ( OBJ ?auto_18453 ) ( LOCATION ?auto_18454 ) ( TRUCK ?auto_18470 ) ( LOCATION ?auto_18459 ) ( CITY ?auto_18467 ) ( IN-CITY ?auto_18459 ?auto_18467 ) ( IN-CITY ?auto_18454 ?auto_18467 ) ( DIFFERENT ?auto_18454 ?auto_18459 ) ( LOCATION ?auto_18460 ) ( CITY ?auto_18469 ) ( AT ?auto_18470 ?auto_18460 ) ( IN-CITY ?auto_18460 ?auto_18469 ) ( IN-CITY ?auto_18459 ?auto_18469 ) ( DIFFERENT ?auto_18459 ?auto_18460 ) ( LOCATION ?auto_18463 ) ( AT ?auto_18470 ?auto_18463 ) ( AIRPLANE ?auto_18458 ) ( AT ?auto_18458 ?auto_18463 ) ( LOCATION ?auto_18466 ) ( AT ?auto_18458 ?auto_18466 ) ( AIRPLANE ?auto_18471 ) ( AIRPORT ?auto_18465 ) ( AIRPORT ?auto_18466 ) ( DIFFERENT ?auto_18466 ?auto_18465 ) ( LOCATION ?auto_18465 ) ( TRUCK ?auto_18464 ) ( LOCATION ?auto_18455 ) ( CITY ?auto_18473 ) ( IN-CITY ?auto_18455 ?auto_18473 ) ( IN-CITY ?auto_18465 ?auto_18473 ) ( DIFFERENT ?auto_18465 ?auto_18455 ) ( LOCATION ?auto_18457 ) ( CITY ?auto_18456 ) ( AT ?auto_18464 ?auto_18457 ) ( IN-CITY ?auto_18457 ?auto_18456 ) ( IN-CITY ?auto_18455 ?auto_18456 ) ( DIFFERENT ?auto_18455 ?auto_18457 ) ( LOCATION ?auto_18461 ) ( AT ?auto_18464 ?auto_18461 ) ( AT ?auto_18453 ?auto_18461 ) ( AIRPORT ?auto_18475 ) ( AT ?auto_18471 ?auto_18475 ) ( DIFFERENT ?auto_18465 ?auto_18475 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18471 ?auto_18475 ?auto_18465 )
      ( DELIVER-PKG ?auto_18453 ?auto_18454 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19506
      ?auto_19507
    )
    :vars
    (
      ?auto_19513
      ?auto_19509
      ?auto_19511
      ?auto_19514
      ?auto_19510
      ?auto_19515
      ?auto_19512
      ?auto_19517
      ?auto_19516
      ?auto_19521
      ?auto_19520
    )
    :precondition
    ( and ( OBJ ?auto_19506 ) ( LOCATION ?auto_19507 ) ( AIRPLANE ?auto_19513 ) ( AIRPORT ?auto_19509 ) ( AIRPORT ?auto_19507 ) ( DIFFERENT ?auto_19507 ?auto_19509 ) ( LOCATION ?auto_19509 ) ( AIRPORT ?auto_19511 ) ( DIFFERENT ?auto_19509 ?auto_19511 ) ( AIRPORT ?auto_19514 ) ( AT ?auto_19513 ?auto_19514 ) ( DIFFERENT ?auto_19511 ?auto_19514 ) ( TRUCK ?auto_19510 ) ( LOCATION ?auto_19515 ) ( CITY ?auto_19512 ) ( IN-CITY ?auto_19515 ?auto_19512 ) ( IN-CITY ?auto_19509 ?auto_19512 ) ( DIFFERENT ?auto_19509 ?auto_19515 ) ( AT ?auto_19506 ?auto_19515 ) ( LOCATION ?auto_19517 ) ( CITY ?auto_19516 ) ( IN-CITY ?auto_19517 ?auto_19516 ) ( IN-CITY ?auto_19515 ?auto_19516 ) ( DIFFERENT ?auto_19515 ?auto_19517 ) ( LOCATION ?auto_19521 ) ( CITY ?auto_19520 ) ( AT ?auto_19510 ?auto_19521 ) ( IN-CITY ?auto_19521 ?auto_19520 ) ( IN-CITY ?auto_19517 ?auto_19520 ) ( DIFFERENT ?auto_19517 ?auto_19521 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19510 ?auto_19521 ?auto_19517 ?auto_19520 )
      ( DELIVER-PKG ?auto_19506 ?auto_19507 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19523
      ?auto_19524
    )
    :vars
    (
      ?auto_19530
      ?auto_19526
      ?auto_19528
      ?auto_19531
      ?auto_19527
      ?auto_19532
      ?auto_19529
      ?auto_19534
      ?auto_19533
      ?auto_19536
      ?auto_19535
      ?auto_19539
    )
    :precondition
    ( and ( OBJ ?auto_19523 ) ( LOCATION ?auto_19524 ) ( AIRPLANE ?auto_19530 ) ( AIRPORT ?auto_19526 ) ( AIRPORT ?auto_19524 ) ( DIFFERENT ?auto_19524 ?auto_19526 ) ( LOCATION ?auto_19526 ) ( AIRPORT ?auto_19528 ) ( DIFFERENT ?auto_19526 ?auto_19528 ) ( AIRPORT ?auto_19531 ) ( DIFFERENT ?auto_19528 ?auto_19531 ) ( TRUCK ?auto_19527 ) ( LOCATION ?auto_19532 ) ( CITY ?auto_19529 ) ( IN-CITY ?auto_19532 ?auto_19529 ) ( IN-CITY ?auto_19526 ?auto_19529 ) ( DIFFERENT ?auto_19526 ?auto_19532 ) ( AT ?auto_19523 ?auto_19532 ) ( LOCATION ?auto_19534 ) ( CITY ?auto_19533 ) ( IN-CITY ?auto_19534 ?auto_19533 ) ( IN-CITY ?auto_19532 ?auto_19533 ) ( DIFFERENT ?auto_19532 ?auto_19534 ) ( LOCATION ?auto_19536 ) ( CITY ?auto_19535 ) ( AT ?auto_19527 ?auto_19536 ) ( IN-CITY ?auto_19536 ?auto_19535 ) ( IN-CITY ?auto_19534 ?auto_19535 ) ( DIFFERENT ?auto_19534 ?auto_19536 ) ( AIRPORT ?auto_19539 ) ( AT ?auto_19530 ?auto_19539 ) ( DIFFERENT ?auto_19531 ?auto_19539 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19530 ?auto_19539 ?auto_19531 )
      ( DELIVER-PKG ?auto_19523 ?auto_19524 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19653
      ?auto_19654
    )
    :vars
    (
      ?auto_19657
      ?auto_19656
      ?auto_19660
      ?auto_19655
      ?auto_19659
      ?auto_19664
    )
    :precondition
    ( and ( OBJ ?auto_19653 ) ( LOCATION ?auto_19654 ) ( AIRPLANE ?auto_19657 ) ( AIRPORT ?auto_19656 ) ( AIRPORT ?auto_19654 ) ( DIFFERENT ?auto_19654 ?auto_19656 ) ( AIRPORT ?auto_19660 ) ( DIFFERENT ?auto_19656 ?auto_19660 ) ( LOCATION ?auto_19660 ) ( AIRPORT ?auto_19655 ) ( AT ?auto_19657 ?auto_19655 ) ( DIFFERENT ?auto_19660 ?auto_19655 ) ( LOCATION ?auto_19659 ) ( AT ?auto_19657 ?auto_19659 ) ( TRUCK ?auto_19664 ) ( AT ?auto_19664 ?auto_19659 ) ( IN ?auto_19653 ?auto_19664 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_19653 ?auto_19659 )
      ( DELIVER-PKG ?auto_19653 ?auto_19654 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19675
      ?auto_19676
    )
    :vars
    (
      ?auto_19682
      ?auto_19681
      ?auto_19678
      ?auto_19680
      ?auto_19677
      ?auto_19683
      ?auto_19687
      ?auto_19686
    )
    :precondition
    ( and ( OBJ ?auto_19675 ) ( LOCATION ?auto_19676 ) ( AIRPLANE ?auto_19682 ) ( AIRPORT ?auto_19681 ) ( AIRPORT ?auto_19676 ) ( DIFFERENT ?auto_19676 ?auto_19681 ) ( AIRPORT ?auto_19678 ) ( DIFFERENT ?auto_19681 ?auto_19678 ) ( LOCATION ?auto_19678 ) ( AIRPORT ?auto_19680 ) ( AT ?auto_19682 ?auto_19680 ) ( DIFFERENT ?auto_19678 ?auto_19680 ) ( LOCATION ?auto_19677 ) ( AT ?auto_19682 ?auto_19677 ) ( TRUCK ?auto_19683 ) ( IN ?auto_19675 ?auto_19683 ) ( LOCATION ?auto_19687 ) ( CITY ?auto_19686 ) ( AT ?auto_19683 ?auto_19687 ) ( IN-CITY ?auto_19687 ?auto_19686 ) ( IN-CITY ?auto_19677 ?auto_19686 ) ( DIFFERENT ?auto_19677 ?auto_19687 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19683 ?auto_19687 ?auto_19677 ?auto_19686 )
      ( DELIVER-PKG ?auto_19675 ?auto_19676 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19701
      ?auto_19702
    )
    :vars
    (
      ?auto_19705
      ?auto_19703
      ?auto_19707
      ?auto_19708
      ?auto_19711
      ?auto_19706
      ?auto_19712
      ?auto_19709
      ?auto_19714
    )
    :precondition
    ( and ( OBJ ?auto_19701 ) ( LOCATION ?auto_19702 ) ( AIRPLANE ?auto_19705 ) ( AIRPORT ?auto_19703 ) ( AIRPORT ?auto_19702 ) ( DIFFERENT ?auto_19702 ?auto_19703 ) ( AIRPORT ?auto_19707 ) ( DIFFERENT ?auto_19703 ?auto_19707 ) ( LOCATION ?auto_19707 ) ( AIRPORT ?auto_19708 ) ( AT ?auto_19705 ?auto_19708 ) ( DIFFERENT ?auto_19707 ?auto_19708 ) ( LOCATION ?auto_19711 ) ( AT ?auto_19705 ?auto_19711 ) ( TRUCK ?auto_19706 ) ( LOCATION ?auto_19712 ) ( CITY ?auto_19709 ) ( AT ?auto_19706 ?auto_19712 ) ( IN-CITY ?auto_19712 ?auto_19709 ) ( IN-CITY ?auto_19711 ?auto_19709 ) ( DIFFERENT ?auto_19711 ?auto_19712 ) ( LOCATION ?auto_19714 ) ( AT ?auto_19706 ?auto_19714 ) ( AT ?auto_19701 ?auto_19714 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_19701 ?auto_19706 ?auto_19714 )
      ( DELIVER-PKG ?auto_19701 ?auto_19702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19729
      ?auto_19730
    )
    :vars
    (
      ?auto_19731
      ?auto_19732
      ?auto_19733
      ?auto_19736
      ?auto_19738
      ?auto_19737
      ?auto_19735
      ?auto_19741
      ?auto_19743
    )
    :precondition
    ( and ( OBJ ?auto_19729 ) ( LOCATION ?auto_19730 ) ( AIRPLANE ?auto_19731 ) ( AIRPORT ?auto_19732 ) ( AIRPORT ?auto_19730 ) ( DIFFERENT ?auto_19730 ?auto_19732 ) ( AIRPORT ?auto_19733 ) ( DIFFERENT ?auto_19732 ?auto_19733 ) ( LOCATION ?auto_19733 ) ( AIRPORT ?auto_19736 ) ( DIFFERENT ?auto_19733 ?auto_19736 ) ( LOCATION ?auto_19736 ) ( TRUCK ?auto_19738 ) ( LOCATION ?auto_19737 ) ( CITY ?auto_19735 ) ( AT ?auto_19738 ?auto_19737 ) ( IN-CITY ?auto_19737 ?auto_19735 ) ( IN-CITY ?auto_19736 ?auto_19735 ) ( DIFFERENT ?auto_19736 ?auto_19737 ) ( LOCATION ?auto_19741 ) ( AT ?auto_19738 ?auto_19741 ) ( AT ?auto_19729 ?auto_19741 ) ( AIRPORT ?auto_19743 ) ( AT ?auto_19731 ?auto_19743 ) ( DIFFERENT ?auto_19736 ?auto_19743 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19731 ?auto_19743 ?auto_19736 )
      ( DELIVER-PKG ?auto_19729 ?auto_19730 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19745
      ?auto_19746
    )
    :vars
    (
      ?auto_19748
      ?auto_19747
      ?auto_19751
      ?auto_19755
      ?auto_19750
      ?auto_19752
      ?auto_19754
      ?auto_19757
      ?auto_19760
      ?auto_19759
    )
    :precondition
    ( and ( OBJ ?auto_19745 ) ( LOCATION ?auto_19746 ) ( AIRPLANE ?auto_19748 ) ( AIRPORT ?auto_19747 ) ( AIRPORT ?auto_19746 ) ( DIFFERENT ?auto_19746 ?auto_19747 ) ( AIRPORT ?auto_19751 ) ( DIFFERENT ?auto_19747 ?auto_19751 ) ( LOCATION ?auto_19751 ) ( AIRPORT ?auto_19755 ) ( DIFFERENT ?auto_19751 ?auto_19755 ) ( LOCATION ?auto_19755 ) ( TRUCK ?auto_19750 ) ( LOCATION ?auto_19752 ) ( CITY ?auto_19754 ) ( IN-CITY ?auto_19752 ?auto_19754 ) ( IN-CITY ?auto_19755 ?auto_19754 ) ( DIFFERENT ?auto_19755 ?auto_19752 ) ( AT ?auto_19745 ?auto_19752 ) ( AIRPORT ?auto_19757 ) ( AT ?auto_19748 ?auto_19757 ) ( DIFFERENT ?auto_19755 ?auto_19757 ) ( LOCATION ?auto_19760 ) ( CITY ?auto_19759 ) ( AT ?auto_19750 ?auto_19760 ) ( IN-CITY ?auto_19760 ?auto_19759 ) ( IN-CITY ?auto_19752 ?auto_19759 ) ( DIFFERENT ?auto_19752 ?auto_19760 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19750 ?auto_19760 ?auto_19752 ?auto_19759 )
      ( DELIVER-PKG ?auto_19745 ?auto_19746 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20867
      ?auto_20868
    )
    :vars
    (
      ?auto_20874
      ?auto_20875
      ?auto_20873
      ?auto_20879
      ?auto_20872
      ?auto_20878
      ?auto_20870
      ?auto_20877
      ?auto_20876
      ?auto_20881
    )
    :precondition
    ( and ( OBJ ?auto_20867 ) ( LOCATION ?auto_20868 ) ( TRUCK ?auto_20874 ) ( LOCATION ?auto_20875 ) ( CITY ?auto_20873 ) ( IN-CITY ?auto_20875 ?auto_20873 ) ( IN-CITY ?auto_20868 ?auto_20873 ) ( DIFFERENT ?auto_20868 ?auto_20875 ) ( LOCATION ?auto_20879 ) ( CITY ?auto_20872 ) ( AT ?auto_20874 ?auto_20879 ) ( IN-CITY ?auto_20879 ?auto_20872 ) ( IN-CITY ?auto_20875 ?auto_20872 ) ( DIFFERENT ?auto_20875 ?auto_20879 ) ( LOCATION ?auto_20878 ) ( AT ?auto_20874 ?auto_20878 ) ( AIRPLANE ?auto_20870 ) ( AIRPORT ?auto_20877 ) ( AIRPORT ?auto_20878 ) ( DIFFERENT ?auto_20878 ?auto_20877 ) ( LOCATION ?auto_20877 ) ( AT ?auto_20867 ?auto_20877 ) ( AIRPORT ?auto_20876 ) ( DIFFERENT ?auto_20877 ?auto_20876 ) ( AIRPORT ?auto_20881 ) ( AT ?auto_20870 ?auto_20881 ) ( DIFFERENT ?auto_20876 ?auto_20881 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20870 ?auto_20881 ?auto_20876 )
      ( DELIVER-PKG ?auto_20867 ?auto_20868 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20883
      ?auto_20884
    )
    :vars
    (
      ?auto_20893
      ?auto_20894
      ?auto_20892
      ?auto_20890
      ?auto_20891
      ?auto_20889
      ?auto_20886
      ?auto_20896
      ?auto_20895
      ?auto_20887
      ?auto_20898
    )
    :precondition
    ( and ( OBJ ?auto_20883 ) ( LOCATION ?auto_20884 ) ( TRUCK ?auto_20893 ) ( LOCATION ?auto_20894 ) ( CITY ?auto_20892 ) ( IN-CITY ?auto_20894 ?auto_20892 ) ( IN-CITY ?auto_20884 ?auto_20892 ) ( DIFFERENT ?auto_20884 ?auto_20894 ) ( LOCATION ?auto_20890 ) ( CITY ?auto_20891 ) ( AT ?auto_20893 ?auto_20890 ) ( IN-CITY ?auto_20890 ?auto_20891 ) ( IN-CITY ?auto_20894 ?auto_20891 ) ( DIFFERENT ?auto_20894 ?auto_20890 ) ( LOCATION ?auto_20889 ) ( AT ?auto_20893 ?auto_20889 ) ( AIRPLANE ?auto_20886 ) ( AIRPORT ?auto_20896 ) ( AIRPORT ?auto_20889 ) ( DIFFERENT ?auto_20889 ?auto_20896 ) ( LOCATION ?auto_20896 ) ( AIRPORT ?auto_20895 ) ( DIFFERENT ?auto_20896 ?auto_20895 ) ( AIRPORT ?auto_20887 ) ( AT ?auto_20886 ?auto_20887 ) ( DIFFERENT ?auto_20895 ?auto_20887 ) ( TRUCK ?auto_20898 ) ( AT ?auto_20898 ?auto_20896 ) ( IN ?auto_20883 ?auto_20898 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20883 ?auto_20896 )
      ( DELIVER-PKG ?auto_20883 ?auto_20884 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20971
      ?auto_20972
    )
    :vars
    (
      ?auto_20985
      ?auto_20979
      ?auto_20976
      ?auto_20981
      ?auto_20988
      ?auto_20977
      ?auto_20973
      ?auto_20975
      ?auto_20980
      ?auto_20974
      ?auto_20984
      ?auto_20982
      ?auto_20986
      ?auto_20991
      ?auto_20990
    )
    :precondition
    ( and ( OBJ ?auto_20971 ) ( LOCATION ?auto_20972 ) ( TRUCK ?auto_20985 ) ( LOCATION ?auto_20979 ) ( CITY ?auto_20976 ) ( IN-CITY ?auto_20979 ?auto_20976 ) ( IN-CITY ?auto_20972 ?auto_20976 ) ( DIFFERENT ?auto_20972 ?auto_20979 ) ( LOCATION ?auto_20981 ) ( CITY ?auto_20988 ) ( IN-CITY ?auto_20981 ?auto_20988 ) ( IN-CITY ?auto_20979 ?auto_20988 ) ( DIFFERENT ?auto_20979 ?auto_20981 ) ( AIRPLANE ?auto_20977 ) ( AIRPORT ?auto_20973 ) ( AIRPORT ?auto_20981 ) ( DIFFERENT ?auto_20981 ?auto_20973 ) ( LOCATION ?auto_20973 ) ( AIRPORT ?auto_20975 ) ( DIFFERENT ?auto_20973 ?auto_20975 ) ( AIRPORT ?auto_20980 ) ( AT ?auto_20977 ?auto_20980 ) ( DIFFERENT ?auto_20975 ?auto_20980 ) ( TRUCK ?auto_20974 ) ( LOCATION ?auto_20984 ) ( CITY ?auto_20982 ) ( AT ?auto_20974 ?auto_20984 ) ( IN-CITY ?auto_20984 ?auto_20982 ) ( IN-CITY ?auto_20973 ?auto_20982 ) ( DIFFERENT ?auto_20973 ?auto_20984 ) ( LOCATION ?auto_20986 ) ( AT ?auto_20974 ?auto_20986 ) ( AT ?auto_20971 ?auto_20986 ) ( LOCATION ?auto_20991 ) ( CITY ?auto_20990 ) ( AT ?auto_20985 ?auto_20991 ) ( IN-CITY ?auto_20991 ?auto_20990 ) ( IN-CITY ?auto_20981 ?auto_20990 ) ( DIFFERENT ?auto_20981 ?auto_20991 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20985 ?auto_20991 ?auto_20981 ?auto_20990 )
      ( DELIVER-PKG ?auto_20971 ?auto_20972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20993
      ?auto_20994
    )
    :vars
    (
      ?auto_21001
      ?auto_20998
      ?auto_21010
      ?auto_21004
      ?auto_21003
      ?auto_20996
      ?auto_21007
      ?auto_21011
      ?auto_20997
      ?auto_21009
      ?auto_21002
      ?auto_21008
      ?auto_20999
      ?auto_20995
      ?auto_21014
      ?auto_21013
    )
    :precondition
    ( and ( OBJ ?auto_20993 ) ( LOCATION ?auto_20994 ) ( TRUCK ?auto_21001 ) ( LOCATION ?auto_20998 ) ( CITY ?auto_21010 ) ( IN-CITY ?auto_20998 ?auto_21010 ) ( IN-CITY ?auto_20994 ?auto_21010 ) ( DIFFERENT ?auto_20994 ?auto_20998 ) ( LOCATION ?auto_21004 ) ( CITY ?auto_21003 ) ( IN-CITY ?auto_21004 ?auto_21003 ) ( IN-CITY ?auto_20998 ?auto_21003 ) ( DIFFERENT ?auto_20998 ?auto_21004 ) ( AIRPLANE ?auto_20996 ) ( AIRPORT ?auto_21007 ) ( AIRPORT ?auto_21004 ) ( DIFFERENT ?auto_21004 ?auto_21007 ) ( LOCATION ?auto_21007 ) ( AIRPORT ?auto_21011 ) ( DIFFERENT ?auto_21007 ?auto_21011 ) ( AIRPORT ?auto_20997 ) ( AT ?auto_20996 ?auto_20997 ) ( DIFFERENT ?auto_21011 ?auto_20997 ) ( TRUCK ?auto_21009 ) ( LOCATION ?auto_21002 ) ( CITY ?auto_21008 ) ( IN-CITY ?auto_21002 ?auto_21008 ) ( IN-CITY ?auto_21007 ?auto_21008 ) ( DIFFERENT ?auto_21007 ?auto_21002 ) ( AT ?auto_20993 ?auto_21002 ) ( LOCATION ?auto_20999 ) ( CITY ?auto_20995 ) ( AT ?auto_21001 ?auto_20999 ) ( IN-CITY ?auto_20999 ?auto_20995 ) ( IN-CITY ?auto_21004 ?auto_20995 ) ( DIFFERENT ?auto_21004 ?auto_20999 ) ( LOCATION ?auto_21014 ) ( CITY ?auto_21013 ) ( AT ?auto_21009 ?auto_21014 ) ( IN-CITY ?auto_21014 ?auto_21013 ) ( IN-CITY ?auto_21002 ?auto_21013 ) ( DIFFERENT ?auto_21002 ?auto_21014 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21009 ?auto_21014 ?auto_21002 ?auto_21013 )
      ( DELIVER-PKG ?auto_20993 ?auto_20994 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21036
      ?auto_21037
    )
    :vars
    (
      ?auto_21048
      ?auto_21054
      ?auto_21045
      ?auto_21040
      ?auto_21042
      ?auto_21050
      ?auto_21047
      ?auto_21043
      ?auto_21052
      ?auto_21044
      ?auto_21055
      ?auto_21051
      ?auto_21053
      ?auto_21049
      ?auto_21039
      ?auto_21046
      ?auto_21058
      ?auto_21057
    )
    :precondition
    ( and ( OBJ ?auto_21036 ) ( LOCATION ?auto_21037 ) ( TRUCK ?auto_21048 ) ( LOCATION ?auto_21054 ) ( CITY ?auto_21045 ) ( IN-CITY ?auto_21054 ?auto_21045 ) ( IN-CITY ?auto_21037 ?auto_21045 ) ( DIFFERENT ?auto_21037 ?auto_21054 ) ( LOCATION ?auto_21040 ) ( CITY ?auto_21042 ) ( IN-CITY ?auto_21040 ?auto_21042 ) ( IN-CITY ?auto_21054 ?auto_21042 ) ( DIFFERENT ?auto_21054 ?auto_21040 ) ( AIRPLANE ?auto_21050 ) ( AIRPORT ?auto_21047 ) ( AIRPORT ?auto_21040 ) ( DIFFERENT ?auto_21040 ?auto_21047 ) ( LOCATION ?auto_21047 ) ( AIRPORT ?auto_21043 ) ( DIFFERENT ?auto_21047 ?auto_21043 ) ( AIRPORT ?auto_21052 ) ( AT ?auto_21050 ?auto_21052 ) ( DIFFERENT ?auto_21043 ?auto_21052 ) ( TRUCK ?auto_21044 ) ( LOCATION ?auto_21055 ) ( CITY ?auto_21051 ) ( IN-CITY ?auto_21055 ?auto_21051 ) ( IN-CITY ?auto_21047 ?auto_21051 ) ( DIFFERENT ?auto_21047 ?auto_21055 ) ( AT ?auto_21036 ?auto_21055 ) ( LOCATION ?auto_21053 ) ( CITY ?auto_21049 ) ( AT ?auto_21048 ?auto_21053 ) ( IN-CITY ?auto_21053 ?auto_21049 ) ( IN-CITY ?auto_21040 ?auto_21049 ) ( DIFFERENT ?auto_21040 ?auto_21053 ) ( LOCATION ?auto_21039 ) ( CITY ?auto_21046 ) ( IN-CITY ?auto_21039 ?auto_21046 ) ( IN-CITY ?auto_21055 ?auto_21046 ) ( DIFFERENT ?auto_21055 ?auto_21039 ) ( LOCATION ?auto_21058 ) ( CITY ?auto_21057 ) ( AT ?auto_21044 ?auto_21058 ) ( IN-CITY ?auto_21058 ?auto_21057 ) ( IN-CITY ?auto_21039 ?auto_21057 ) ( DIFFERENT ?auto_21039 ?auto_21058 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21044 ?auto_21058 ?auto_21039 ?auto_21057 )
      ( DELIVER-PKG ?auto_21036 ?auto_21037 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21060
      ?auto_21061
    )
    :vars
    (
      ?auto_21072
      ?auto_21068
      ?auto_21075
      ?auto_21070
      ?auto_21077
      ?auto_21063
      ?auto_21071
      ?auto_21073
      ?auto_21065
      ?auto_21074
      ?auto_21069
      ?auto_21064
      ?auto_21066
      ?auto_21062
      ?auto_21080
      ?auto_21076
      ?auto_21081
      ?auto_21067
      ?auto_21083
    )
    :precondition
    ( and ( OBJ ?auto_21060 ) ( LOCATION ?auto_21061 ) ( TRUCK ?auto_21072 ) ( LOCATION ?auto_21068 ) ( CITY ?auto_21075 ) ( IN-CITY ?auto_21068 ?auto_21075 ) ( IN-CITY ?auto_21061 ?auto_21075 ) ( DIFFERENT ?auto_21061 ?auto_21068 ) ( LOCATION ?auto_21070 ) ( CITY ?auto_21077 ) ( IN-CITY ?auto_21070 ?auto_21077 ) ( IN-CITY ?auto_21068 ?auto_21077 ) ( DIFFERENT ?auto_21068 ?auto_21070 ) ( AIRPLANE ?auto_21063 ) ( AIRPORT ?auto_21071 ) ( AIRPORT ?auto_21070 ) ( DIFFERENT ?auto_21070 ?auto_21071 ) ( LOCATION ?auto_21071 ) ( AIRPORT ?auto_21073 ) ( DIFFERENT ?auto_21071 ?auto_21073 ) ( AIRPORT ?auto_21065 ) ( DIFFERENT ?auto_21073 ?auto_21065 ) ( TRUCK ?auto_21074 ) ( LOCATION ?auto_21069 ) ( CITY ?auto_21064 ) ( IN-CITY ?auto_21069 ?auto_21064 ) ( IN-CITY ?auto_21071 ?auto_21064 ) ( DIFFERENT ?auto_21071 ?auto_21069 ) ( AT ?auto_21060 ?auto_21069 ) ( LOCATION ?auto_21066 ) ( CITY ?auto_21062 ) ( AT ?auto_21072 ?auto_21066 ) ( IN-CITY ?auto_21066 ?auto_21062 ) ( IN-CITY ?auto_21070 ?auto_21062 ) ( DIFFERENT ?auto_21070 ?auto_21066 ) ( LOCATION ?auto_21080 ) ( CITY ?auto_21076 ) ( IN-CITY ?auto_21080 ?auto_21076 ) ( IN-CITY ?auto_21069 ?auto_21076 ) ( DIFFERENT ?auto_21069 ?auto_21080 ) ( LOCATION ?auto_21081 ) ( CITY ?auto_21067 ) ( AT ?auto_21074 ?auto_21081 ) ( IN-CITY ?auto_21081 ?auto_21067 ) ( IN-CITY ?auto_21080 ?auto_21067 ) ( DIFFERENT ?auto_21080 ?auto_21081 ) ( AIRPORT ?auto_21083 ) ( AT ?auto_21063 ?auto_21083 ) ( DIFFERENT ?auto_21065 ?auto_21083 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_21063 ?auto_21083 ?auto_21065 )
      ( DELIVER-PKG ?auto_21060 ?auto_21061 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21085
      ?auto_21086
    )
    :vars
    (
      ?auto_21091
      ?auto_21106
      ?auto_21097
      ?auto_21103
      ?auto_21092
      ?auto_21102
      ?auto_21107
      ?auto_21089
      ?auto_21100
      ?auto_21096
      ?auto_21087
      ?auto_21099
      ?auto_21104
      ?auto_21095
      ?auto_21093
      ?auto_21098
      ?auto_21094
      ?auto_21105
      ?auto_21101
      ?auto_21110
      ?auto_21109
    )
    :precondition
    ( and ( OBJ ?auto_21085 ) ( LOCATION ?auto_21086 ) ( TRUCK ?auto_21091 ) ( LOCATION ?auto_21106 ) ( CITY ?auto_21097 ) ( IN-CITY ?auto_21106 ?auto_21097 ) ( IN-CITY ?auto_21086 ?auto_21097 ) ( DIFFERENT ?auto_21086 ?auto_21106 ) ( LOCATION ?auto_21103 ) ( CITY ?auto_21092 ) ( IN-CITY ?auto_21103 ?auto_21092 ) ( IN-CITY ?auto_21106 ?auto_21092 ) ( DIFFERENT ?auto_21106 ?auto_21103 ) ( AIRPLANE ?auto_21102 ) ( AIRPORT ?auto_21107 ) ( AIRPORT ?auto_21103 ) ( DIFFERENT ?auto_21103 ?auto_21107 ) ( LOCATION ?auto_21107 ) ( AIRPORT ?auto_21089 ) ( DIFFERENT ?auto_21107 ?auto_21089 ) ( AIRPORT ?auto_21100 ) ( DIFFERENT ?auto_21089 ?auto_21100 ) ( TRUCK ?auto_21096 ) ( LOCATION ?auto_21087 ) ( CITY ?auto_21099 ) ( IN-CITY ?auto_21087 ?auto_21099 ) ( IN-CITY ?auto_21107 ?auto_21099 ) ( DIFFERENT ?auto_21107 ?auto_21087 ) ( AT ?auto_21085 ?auto_21087 ) ( LOCATION ?auto_21104 ) ( CITY ?auto_21095 ) ( IN-CITY ?auto_21104 ?auto_21095 ) ( IN-CITY ?auto_21103 ?auto_21095 ) ( DIFFERENT ?auto_21103 ?auto_21104 ) ( LOCATION ?auto_21093 ) ( CITY ?auto_21098 ) ( IN-CITY ?auto_21093 ?auto_21098 ) ( IN-CITY ?auto_21087 ?auto_21098 ) ( DIFFERENT ?auto_21087 ?auto_21093 ) ( LOCATION ?auto_21094 ) ( CITY ?auto_21105 ) ( AT ?auto_21096 ?auto_21094 ) ( IN-CITY ?auto_21094 ?auto_21105 ) ( IN-CITY ?auto_21093 ?auto_21105 ) ( DIFFERENT ?auto_21093 ?auto_21094 ) ( AIRPORT ?auto_21101 ) ( AT ?auto_21102 ?auto_21101 ) ( DIFFERENT ?auto_21100 ?auto_21101 ) ( LOCATION ?auto_21110 ) ( CITY ?auto_21109 ) ( AT ?auto_21091 ?auto_21110 ) ( IN-CITY ?auto_21110 ?auto_21109 ) ( IN-CITY ?auto_21104 ?auto_21109 ) ( DIFFERENT ?auto_21104 ?auto_21110 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21091 ?auto_21110 ?auto_21104 ?auto_21109 )
      ( DELIVER-PKG ?auto_21085 ?auto_21086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22331
      ?auto_22332
    )
    :vars
    (
      ?auto_22336
      ?auto_22334
      ?auto_22335
      ?auto_22338
      ?auto_22340
    )
    :precondition
    ( and ( OBJ ?auto_22331 ) ( LOCATION ?auto_22332 ) ( AIRPLANE ?auto_22336 ) ( AIRPORT ?auto_22334 ) ( AIRPORT ?auto_22332 ) ( DIFFERENT ?auto_22332 ?auto_22334 ) ( AIRPORT ?auto_22335 ) ( DIFFERENT ?auto_22334 ?auto_22335 ) ( LOCATION ?auto_22335 ) ( IN ?auto_22331 ?auto_22336 ) ( AIRPORT ?auto_22338 ) ( DIFFERENT ?auto_22335 ?auto_22338 ) ( AIRPORT ?auto_22340 ) ( AT ?auto_22336 ?auto_22340 ) ( DIFFERENT ?auto_22338 ?auto_22340 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22336 ?auto_22340 ?auto_22338 )
      ( DELIVER-PKG ?auto_22331 ?auto_22332 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22342
      ?auto_22343
    )
    :vars
    (
      ?auto_22346
      ?auto_22349
      ?auto_22348
      ?auto_22347
      ?auto_22350
      ?auto_22352
    )
    :precondition
    ( and ( OBJ ?auto_22342 ) ( LOCATION ?auto_22343 ) ( AIRPLANE ?auto_22346 ) ( AIRPORT ?auto_22349 ) ( AIRPORT ?auto_22343 ) ( DIFFERENT ?auto_22343 ?auto_22349 ) ( AIRPORT ?auto_22348 ) ( DIFFERENT ?auto_22349 ?auto_22348 ) ( LOCATION ?auto_22348 ) ( AIRPORT ?auto_22347 ) ( DIFFERENT ?auto_22348 ?auto_22347 ) ( AIRPORT ?auto_22350 ) ( AT ?auto_22346 ?auto_22350 ) ( DIFFERENT ?auto_22347 ?auto_22350 ) ( LOCATION ?auto_22352 ) ( AT ?auto_22342 ?auto_22352 ) ( AT ?auto_22346 ?auto_22352 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_22342 ?auto_22346 ?auto_22352 )
      ( DELIVER-PKG ?auto_22342 ?auto_22343 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22354
      ?auto_22355
    )
    :vars
    (
      ?auto_22359
      ?auto_22361
      ?auto_22360
      ?auto_22356
      ?auto_22362
      ?auto_22363
      ?auto_22366
    )
    :precondition
    ( and ( OBJ ?auto_22354 ) ( LOCATION ?auto_22355 ) ( AIRPLANE ?auto_22359 ) ( AIRPORT ?auto_22361 ) ( AIRPORT ?auto_22355 ) ( DIFFERENT ?auto_22355 ?auto_22361 ) ( AIRPORT ?auto_22360 ) ( DIFFERENT ?auto_22361 ?auto_22360 ) ( LOCATION ?auto_22360 ) ( AIRPORT ?auto_22356 ) ( DIFFERENT ?auto_22360 ?auto_22356 ) ( AIRPORT ?auto_22362 ) ( AT ?auto_22359 ?auto_22362 ) ( DIFFERENT ?auto_22356 ?auto_22362 ) ( LOCATION ?auto_22363 ) ( AT ?auto_22359 ?auto_22363 ) ( AIRPLANE ?auto_22366 ) ( IN ?auto_22354 ?auto_22366 ) ( AT ?auto_22366 ?auto_22363 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22354 ?auto_22363 )
      ( DELIVER-PKG ?auto_22354 ?auto_22355 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22367
      ?auto_22368
    )
    :vars
    (
      ?auto_22377
      ?auto_22374
      ?auto_22373
      ?auto_22371
      ?auto_22376
      ?auto_22379
    )
    :precondition
    ( and ( OBJ ?auto_22367 ) ( LOCATION ?auto_22368 ) ( AIRPLANE ?auto_22377 ) ( AIRPORT ?auto_22374 ) ( AIRPORT ?auto_22368 ) ( DIFFERENT ?auto_22368 ?auto_22374 ) ( AIRPORT ?auto_22373 ) ( DIFFERENT ?auto_22374 ?auto_22373 ) ( LOCATION ?auto_22373 ) ( AIRPORT ?auto_22371 ) ( DIFFERENT ?auto_22373 ?auto_22371 ) ( AIRPORT ?auto_22376 ) ( DIFFERENT ?auto_22371 ?auto_22376 ) ( LOCATION ?auto_22376 ) ( IN ?auto_22367 ?auto_22377 ) ( AIRPORT ?auto_22379 ) ( AT ?auto_22377 ?auto_22379 ) ( DIFFERENT ?auto_22376 ?auto_22379 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22377 ?auto_22379 ?auto_22376 )
      ( DELIVER-PKG ?auto_22367 ?auto_22368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22391
      ?auto_22392
    )
    :vars
    (
      ?auto_22396
      ?auto_22394
      ?auto_22397
      ?auto_22400
      ?auto_22399
      ?auto_22393
      ?auto_22402
    )
    :precondition
    ( and ( OBJ ?auto_22391 ) ( LOCATION ?auto_22392 ) ( AIRPLANE ?auto_22396 ) ( AIRPORT ?auto_22394 ) ( AIRPORT ?auto_22392 ) ( DIFFERENT ?auto_22392 ?auto_22394 ) ( AIRPORT ?auto_22397 ) ( DIFFERENT ?auto_22394 ?auto_22397 ) ( LOCATION ?auto_22397 ) ( AIRPORT ?auto_22400 ) ( DIFFERENT ?auto_22397 ?auto_22400 ) ( AIRPORT ?auto_22399 ) ( DIFFERENT ?auto_22400 ?auto_22399 ) ( LOCATION ?auto_22399 ) ( AIRPORT ?auto_22393 ) ( AT ?auto_22396 ?auto_22393 ) ( DIFFERENT ?auto_22399 ?auto_22393 ) ( LOCATION ?auto_22402 ) ( AT ?auto_22391 ?auto_22402 ) ( AT ?auto_22396 ?auto_22402 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_22391 ?auto_22396 ?auto_22402 )
      ( DELIVER-PKG ?auto_22391 ?auto_22392 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22415
      ?auto_22416
    )
    :vars
    (
      ?auto_22420
      ?auto_22419
      ?auto_22421
      ?auto_22418
      ?auto_22417
      ?auto_22424
      ?auto_22425
      ?auto_22428
    )
    :precondition
    ( and ( OBJ ?auto_22415 ) ( LOCATION ?auto_22416 ) ( AIRPLANE ?auto_22420 ) ( AIRPORT ?auto_22419 ) ( AIRPORT ?auto_22416 ) ( DIFFERENT ?auto_22416 ?auto_22419 ) ( AIRPORT ?auto_22421 ) ( DIFFERENT ?auto_22419 ?auto_22421 ) ( LOCATION ?auto_22421 ) ( AIRPORT ?auto_22418 ) ( DIFFERENT ?auto_22421 ?auto_22418 ) ( AIRPORT ?auto_22417 ) ( DIFFERENT ?auto_22418 ?auto_22417 ) ( LOCATION ?auto_22417 ) ( AIRPORT ?auto_22424 ) ( AT ?auto_22420 ?auto_22424 ) ( DIFFERENT ?auto_22417 ?auto_22424 ) ( LOCATION ?auto_22425 ) ( AT ?auto_22420 ?auto_22425 ) ( TRUCK ?auto_22428 ) ( AT ?auto_22428 ?auto_22425 ) ( IN ?auto_22415 ?auto_22428 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22415 ?auto_22425 )
      ( DELIVER-PKG ?auto_22415 ?auto_22416 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22441
      ?auto_22442
    )
    :vars
    (
      ?auto_22445
      ?auto_22444
      ?auto_22446
      ?auto_22451
      ?auto_22443
      ?auto_22449
      ?auto_22450
      ?auto_22452
      ?auto_22455
      ?auto_22454
    )
    :precondition
    ( and ( OBJ ?auto_22441 ) ( LOCATION ?auto_22442 ) ( AIRPLANE ?auto_22445 ) ( AIRPORT ?auto_22444 ) ( AIRPORT ?auto_22442 ) ( DIFFERENT ?auto_22442 ?auto_22444 ) ( AIRPORT ?auto_22446 ) ( DIFFERENT ?auto_22444 ?auto_22446 ) ( LOCATION ?auto_22446 ) ( AIRPORT ?auto_22451 ) ( DIFFERENT ?auto_22446 ?auto_22451 ) ( AIRPORT ?auto_22443 ) ( DIFFERENT ?auto_22451 ?auto_22443 ) ( LOCATION ?auto_22443 ) ( AIRPORT ?auto_22449 ) ( AT ?auto_22445 ?auto_22449 ) ( DIFFERENT ?auto_22443 ?auto_22449 ) ( LOCATION ?auto_22450 ) ( AT ?auto_22445 ?auto_22450 ) ( TRUCK ?auto_22452 ) ( IN ?auto_22441 ?auto_22452 ) ( LOCATION ?auto_22455 ) ( CITY ?auto_22454 ) ( AT ?auto_22452 ?auto_22455 ) ( IN-CITY ?auto_22455 ?auto_22454 ) ( IN-CITY ?auto_22450 ?auto_22454 ) ( DIFFERENT ?auto_22450 ?auto_22455 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22452 ?auto_22455 ?auto_22450 ?auto_22454 )
      ( DELIVER-PKG ?auto_22441 ?auto_22442 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22471
      ?auto_22472
    )
    :vars
    (
      ?auto_22474
      ?auto_22481
      ?auto_22475
      ?auto_22477
      ?auto_22479
      ?auto_22473
      ?auto_22476
      ?auto_22478
      ?auto_22484
      ?auto_22483
      ?auto_22486
    )
    :precondition
    ( and ( OBJ ?auto_22471 ) ( LOCATION ?auto_22472 ) ( AIRPLANE ?auto_22474 ) ( AIRPORT ?auto_22481 ) ( AIRPORT ?auto_22472 ) ( DIFFERENT ?auto_22472 ?auto_22481 ) ( AIRPORT ?auto_22475 ) ( DIFFERENT ?auto_22481 ?auto_22475 ) ( LOCATION ?auto_22475 ) ( AIRPORT ?auto_22477 ) ( DIFFERENT ?auto_22475 ?auto_22477 ) ( AIRPORT ?auto_22479 ) ( DIFFERENT ?auto_22477 ?auto_22479 ) ( LOCATION ?auto_22479 ) ( AIRPORT ?auto_22473 ) ( AT ?auto_22474 ?auto_22473 ) ( DIFFERENT ?auto_22479 ?auto_22473 ) ( LOCATION ?auto_22476 ) ( AT ?auto_22474 ?auto_22476 ) ( TRUCK ?auto_22478 ) ( LOCATION ?auto_22484 ) ( CITY ?auto_22483 ) ( AT ?auto_22478 ?auto_22484 ) ( IN-CITY ?auto_22484 ?auto_22483 ) ( IN-CITY ?auto_22476 ?auto_22483 ) ( DIFFERENT ?auto_22476 ?auto_22484 ) ( LOCATION ?auto_22486 ) ( AT ?auto_22478 ?auto_22486 ) ( AT ?auto_22471 ?auto_22486 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22471 ?auto_22478 ?auto_22486 )
      ( DELIVER-PKG ?auto_22471 ?auto_22472 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22503
      ?auto_22504
    )
    :vars
    (
      ?auto_22515
      ?auto_22513
      ?auto_22505
      ?auto_22507
      ?auto_22508
      ?auto_22506
      ?auto_22509
      ?auto_22511
      ?auto_22510
      ?auto_22512
      ?auto_22519
    )
    :precondition
    ( and ( OBJ ?auto_22503 ) ( LOCATION ?auto_22504 ) ( AIRPLANE ?auto_22515 ) ( AIRPORT ?auto_22513 ) ( AIRPORT ?auto_22504 ) ( DIFFERENT ?auto_22504 ?auto_22513 ) ( AIRPORT ?auto_22505 ) ( DIFFERENT ?auto_22513 ?auto_22505 ) ( LOCATION ?auto_22505 ) ( AIRPORT ?auto_22507 ) ( DIFFERENT ?auto_22505 ?auto_22507 ) ( AIRPORT ?auto_22508 ) ( DIFFERENT ?auto_22507 ?auto_22508 ) ( LOCATION ?auto_22508 ) ( AIRPORT ?auto_22506 ) ( DIFFERENT ?auto_22508 ?auto_22506 ) ( LOCATION ?auto_22506 ) ( TRUCK ?auto_22509 ) ( LOCATION ?auto_22511 ) ( CITY ?auto_22510 ) ( AT ?auto_22509 ?auto_22511 ) ( IN-CITY ?auto_22511 ?auto_22510 ) ( IN-CITY ?auto_22506 ?auto_22510 ) ( DIFFERENT ?auto_22506 ?auto_22511 ) ( LOCATION ?auto_22512 ) ( AT ?auto_22509 ?auto_22512 ) ( AT ?auto_22503 ?auto_22512 ) ( AIRPORT ?auto_22519 ) ( AT ?auto_22515 ?auto_22519 ) ( DIFFERENT ?auto_22506 ?auto_22519 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22515 ?auto_22519 ?auto_22506 )
      ( DELIVER-PKG ?auto_22503 ?auto_22504 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22521
      ?auto_22522
    )
    :vars
    (
      ?auto_22531
      ?auto_22528
      ?auto_22533
      ?auto_22532
      ?auto_22529
      ?auto_22523
      ?auto_22530
      ?auto_22527
      ?auto_22524
      ?auto_22535
      ?auto_22538
      ?auto_22537
    )
    :precondition
    ( and ( OBJ ?auto_22521 ) ( LOCATION ?auto_22522 ) ( AIRPLANE ?auto_22531 ) ( AIRPORT ?auto_22528 ) ( AIRPORT ?auto_22522 ) ( DIFFERENT ?auto_22522 ?auto_22528 ) ( AIRPORT ?auto_22533 ) ( DIFFERENT ?auto_22528 ?auto_22533 ) ( LOCATION ?auto_22533 ) ( AIRPORT ?auto_22532 ) ( DIFFERENT ?auto_22533 ?auto_22532 ) ( AIRPORT ?auto_22529 ) ( DIFFERENT ?auto_22532 ?auto_22529 ) ( LOCATION ?auto_22529 ) ( AIRPORT ?auto_22523 ) ( DIFFERENT ?auto_22529 ?auto_22523 ) ( LOCATION ?auto_22523 ) ( TRUCK ?auto_22530 ) ( LOCATION ?auto_22527 ) ( CITY ?auto_22524 ) ( IN-CITY ?auto_22527 ?auto_22524 ) ( IN-CITY ?auto_22523 ?auto_22524 ) ( DIFFERENT ?auto_22523 ?auto_22527 ) ( AT ?auto_22521 ?auto_22527 ) ( AIRPORT ?auto_22535 ) ( AT ?auto_22531 ?auto_22535 ) ( DIFFERENT ?auto_22523 ?auto_22535 ) ( LOCATION ?auto_22538 ) ( CITY ?auto_22537 ) ( AT ?auto_22530 ?auto_22538 ) ( IN-CITY ?auto_22538 ?auto_22537 ) ( IN-CITY ?auto_22527 ?auto_22537 ) ( DIFFERENT ?auto_22527 ?auto_22538 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22530 ?auto_22538 ?auto_22527 ?auto_22537 )
      ( DELIVER-PKG ?auto_22521 ?auto_22522 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23268
      ?auto_23269
    )
    :vars
    (
      ?auto_23272
      ?auto_23271
      ?auto_23270
      ?auto_23274
      ?auto_23278
    )
    :precondition
    ( and ( OBJ ?auto_23268 ) ( LOCATION ?auto_23269 ) ( TRUCK ?auto_23272 ) ( LOCATION ?auto_23271 ) ( CITY ?auto_23270 ) ( AT ?auto_23272 ?auto_23271 ) ( IN-CITY ?auto_23271 ?auto_23270 ) ( IN-CITY ?auto_23269 ?auto_23270 ) ( DIFFERENT ?auto_23269 ?auto_23271 ) ( LOCATION ?auto_23274 ) ( AT ?auto_23272 ?auto_23274 ) ( TRUCK ?auto_23278 ) ( AT ?auto_23278 ?auto_23274 ) ( IN ?auto_23268 ?auto_23278 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23268 ?auto_23274 )
      ( DELIVER-PKG ?auto_23268 ?auto_23269 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36016
      ?auto_36017
    )
    :vars
    (
      ?auto_36024
      ?auto_36019
      ?auto_36025
      ?auto_36018
      ?auto_36021
      ?auto_36020
      ?auto_36026
    )
    :precondition
    ( and ( OBJ ?auto_36016 ) ( LOCATION ?auto_36017 ) ( AIRPLANE ?auto_36024 ) ( AIRPORT ?auto_36019 ) ( AIRPORT ?auto_36017 ) ( DIFFERENT ?auto_36017 ?auto_36019 ) ( AIRPORT ?auto_36025 ) ( AT ?auto_36024 ?auto_36025 ) ( DIFFERENT ?auto_36019 ?auto_36025 ) ( LOCATION ?auto_36018 ) ( AT ?auto_36024 ?auto_36018 ) ( AIRPLANE ?auto_36021 ) ( AT ?auto_36021 ?auto_36018 ) ( LOCATION ?auto_36020 ) ( AT ?auto_36021 ?auto_36020 ) ( TRUCK ?auto_36026 ) ( AT ?auto_36026 ?auto_36020 ) ( IN ?auto_36016 ?auto_36026 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_36016 ?auto_36020 )
      ( DELIVER-PKG ?auto_36016 ?auto_36017 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36029
      ?auto_36030
    )
    :vars
    (
      ?auto_36032
      ?auto_36038
      ?auto_36037
      ?auto_36033
      ?auto_36035
      ?auto_36039
      ?auto_36036
      ?auto_36042
      ?auto_36041
    )
    :precondition
    ( and ( OBJ ?auto_36029 ) ( LOCATION ?auto_36030 ) ( AIRPLANE ?auto_36032 ) ( AIRPORT ?auto_36038 ) ( AIRPORT ?auto_36030 ) ( DIFFERENT ?auto_36030 ?auto_36038 ) ( AIRPORT ?auto_36037 ) ( AT ?auto_36032 ?auto_36037 ) ( DIFFERENT ?auto_36038 ?auto_36037 ) ( LOCATION ?auto_36033 ) ( AT ?auto_36032 ?auto_36033 ) ( AIRPLANE ?auto_36035 ) ( AT ?auto_36035 ?auto_36033 ) ( LOCATION ?auto_36039 ) ( AT ?auto_36035 ?auto_36039 ) ( TRUCK ?auto_36036 ) ( IN ?auto_36029 ?auto_36036 ) ( LOCATION ?auto_36042 ) ( CITY ?auto_36041 ) ( AT ?auto_36036 ?auto_36042 ) ( IN-CITY ?auto_36042 ?auto_36041 ) ( IN-CITY ?auto_36039 ?auto_36041 ) ( DIFFERENT ?auto_36039 ?auto_36042 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36036 ?auto_36042 ?auto_36039 ?auto_36041 )
      ( DELIVER-PKG ?auto_36029 ?auto_36030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23655
      ?auto_23656
    )
    :vars
    (
      ?auto_23657
      ?auto_23661
      ?auto_23658
      ?auto_23663
      ?auto_23662
      ?auto_23665
      ?auto_23664
      ?auto_23667
    )
    :precondition
    ( and ( OBJ ?auto_23655 ) ( LOCATION ?auto_23656 ) ( AIRPLANE ?auto_23657 ) ( AIRPORT ?auto_23661 ) ( AIRPORT ?auto_23656 ) ( DIFFERENT ?auto_23656 ?auto_23661 ) ( LOCATION ?auto_23661 ) ( AIRPORT ?auto_23658 ) ( AT ?auto_23657 ?auto_23658 ) ( DIFFERENT ?auto_23661 ?auto_23658 ) ( LOCATION ?auto_23663 ) ( AT ?auto_23657 ?auto_23663 ) ( TRUCK ?auto_23662 ) ( LOCATION ?auto_23665 ) ( CITY ?auto_23664 ) ( AT ?auto_23662 ?auto_23665 ) ( IN-CITY ?auto_23665 ?auto_23664 ) ( IN-CITY ?auto_23663 ?auto_23664 ) ( DIFFERENT ?auto_23663 ?auto_23665 ) ( LOCATION ?auto_23667 ) ( AT ?auto_23662 ?auto_23667 ) ( AT ?auto_23655 ?auto_23667 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23655 ?auto_23662 ?auto_23667 )
      ( DELIVER-PKG ?auto_23655 ?auto_23656 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23693
      ?auto_23694
    )
    :vars
    (
      ?auto_23703
      ?auto_23697
      ?auto_23699
      ?auto_23698
      ?auto_23696
      ?auto_23695
      ?auto_23704
      ?auto_23706
    )
    :precondition
    ( and ( OBJ ?auto_23693 ) ( LOCATION ?auto_23694 ) ( AIRPLANE ?auto_23703 ) ( AIRPORT ?auto_23697 ) ( AIRPORT ?auto_23694 ) ( DIFFERENT ?auto_23694 ?auto_23697 ) ( LOCATION ?auto_23697 ) ( AIRPORT ?auto_23699 ) ( DIFFERENT ?auto_23697 ?auto_23699 ) ( LOCATION ?auto_23699 ) ( TRUCK ?auto_23698 ) ( LOCATION ?auto_23696 ) ( CITY ?auto_23695 ) ( AT ?auto_23698 ?auto_23696 ) ( IN-CITY ?auto_23696 ?auto_23695 ) ( IN-CITY ?auto_23699 ?auto_23695 ) ( DIFFERENT ?auto_23699 ?auto_23696 ) ( LOCATION ?auto_23704 ) ( AT ?auto_23698 ?auto_23704 ) ( AT ?auto_23693 ?auto_23704 ) ( AIRPORT ?auto_23706 ) ( AT ?auto_23703 ?auto_23706 ) ( DIFFERENT ?auto_23699 ?auto_23706 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23703 ?auto_23706 ?auto_23699 )
      ( DELIVER-PKG ?auto_23693 ?auto_23694 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23708
      ?auto_23709
    )
    :vars
    (
      ?auto_23717
      ?auto_23714
      ?auto_23716
      ?auto_23715
      ?auto_23718
      ?auto_23711
      ?auto_23719
      ?auto_23722
      ?auto_23721
    )
    :precondition
    ( and ( OBJ ?auto_23708 ) ( LOCATION ?auto_23709 ) ( AIRPLANE ?auto_23717 ) ( AIRPORT ?auto_23714 ) ( AIRPORT ?auto_23709 ) ( DIFFERENT ?auto_23709 ?auto_23714 ) ( LOCATION ?auto_23714 ) ( AIRPORT ?auto_23716 ) ( DIFFERENT ?auto_23714 ?auto_23716 ) ( LOCATION ?auto_23716 ) ( TRUCK ?auto_23715 ) ( LOCATION ?auto_23718 ) ( CITY ?auto_23711 ) ( IN-CITY ?auto_23718 ?auto_23711 ) ( IN-CITY ?auto_23716 ?auto_23711 ) ( DIFFERENT ?auto_23716 ?auto_23718 ) ( AT ?auto_23708 ?auto_23718 ) ( AIRPORT ?auto_23719 ) ( AT ?auto_23717 ?auto_23719 ) ( DIFFERENT ?auto_23716 ?auto_23719 ) ( LOCATION ?auto_23722 ) ( CITY ?auto_23721 ) ( AT ?auto_23715 ?auto_23722 ) ( IN-CITY ?auto_23722 ?auto_23721 ) ( IN-CITY ?auto_23718 ?auto_23721 ) ( DIFFERENT ?auto_23718 ?auto_23722 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23715 ?auto_23722 ?auto_23718 ?auto_23721 )
      ( DELIVER-PKG ?auto_23708 ?auto_23709 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23967
      ?auto_23968
    )
    :vars
    (
      ?auto_23971
      ?auto_23970
      ?auto_23972
      ?auto_23975
    )
    :precondition
    ( and ( OBJ ?auto_23967 ) ( LOCATION ?auto_23968 ) ( TRUCK ?auto_23971 ) ( AT ?auto_23971 ?auto_23968 ) ( LOCATION ?auto_23970 ) ( AT ?auto_23971 ?auto_23970 ) ( AIRPLANE ?auto_23972 ) ( IN ?auto_23967 ?auto_23972 ) ( AIRPORT ?auto_23975 ) ( AIRPORT ?auto_23970 ) ( AT ?auto_23972 ?auto_23975 ) ( DIFFERENT ?auto_23970 ?auto_23975 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23972 ?auto_23975 ?auto_23970 )
      ( DELIVER-PKG ?auto_23967 ?auto_23968 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23985
      ?auto_23986
    )
    :vars
    (
      ?auto_23990
      ?auto_23987
      ?auto_23988
      ?auto_23989
      ?auto_23994
    )
    :precondition
    ( and ( OBJ ?auto_23985 ) ( LOCATION ?auto_23986 ) ( TRUCK ?auto_23990 ) ( AT ?auto_23990 ?auto_23986 ) ( LOCATION ?auto_23987 ) ( AT ?auto_23990 ?auto_23987 ) ( AIRPLANE ?auto_23988 ) ( AIRPORT ?auto_23989 ) ( AIRPORT ?auto_23987 ) ( AT ?auto_23988 ?auto_23989 ) ( DIFFERENT ?auto_23987 ?auto_23989 ) ( LOCATION ?auto_23994 ) ( AT ?auto_23985 ?auto_23994 ) ( AT ?auto_23988 ?auto_23994 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_23985 ?auto_23988 ?auto_23994 )
      ( DELIVER-PKG ?auto_23985 ?auto_23986 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24005
      ?auto_24006
    )
    :vars
    (
      ?auto_24008
      ?auto_24007
      ?auto_24011
      ?auto_24010
      ?auto_24013
      ?auto_24016
    )
    :precondition
    ( and ( OBJ ?auto_24005 ) ( LOCATION ?auto_24006 ) ( TRUCK ?auto_24008 ) ( AT ?auto_24008 ?auto_24006 ) ( LOCATION ?auto_24007 ) ( AT ?auto_24008 ?auto_24007 ) ( AIRPLANE ?auto_24011 ) ( AIRPORT ?auto_24010 ) ( AIRPORT ?auto_24007 ) ( AT ?auto_24011 ?auto_24010 ) ( DIFFERENT ?auto_24007 ?auto_24010 ) ( LOCATION ?auto_24013 ) ( AT ?auto_24011 ?auto_24013 ) ( AIRPLANE ?auto_24016 ) ( IN ?auto_24005 ?auto_24016 ) ( AT ?auto_24016 ?auto_24013 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24005 ?auto_24013 )
      ( DELIVER-PKG ?auto_24005 ?auto_24006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24027
      ?auto_24028
    )
    :vars
    (
      ?auto_24030
      ?auto_24035
      ?auto_24036
      ?auto_24029
      ?auto_24038
    )
    :precondition
    ( and ( OBJ ?auto_24027 ) ( LOCATION ?auto_24028 ) ( TRUCK ?auto_24030 ) ( AT ?auto_24030 ?auto_24028 ) ( LOCATION ?auto_24035 ) ( AT ?auto_24030 ?auto_24035 ) ( AIRPLANE ?auto_24036 ) ( AIRPORT ?auto_24029 ) ( AIRPORT ?auto_24035 ) ( DIFFERENT ?auto_24035 ?auto_24029 ) ( LOCATION ?auto_24029 ) ( IN ?auto_24027 ?auto_24036 ) ( AIRPORT ?auto_24038 ) ( AT ?auto_24036 ?auto_24038 ) ( DIFFERENT ?auto_24029 ?auto_24038 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24036 ?auto_24038 ?auto_24029 )
      ( DELIVER-PKG ?auto_24027 ?auto_24028 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24049
      ?auto_24050
    )
    :vars
    (
      ?auto_24055
      ?auto_24052
      ?auto_24053
      ?auto_24051
      ?auto_24057
      ?auto_24059
    )
    :precondition
    ( and ( OBJ ?auto_24049 ) ( LOCATION ?auto_24050 ) ( TRUCK ?auto_24055 ) ( AT ?auto_24055 ?auto_24050 ) ( LOCATION ?auto_24052 ) ( AT ?auto_24055 ?auto_24052 ) ( AIRPLANE ?auto_24053 ) ( AIRPORT ?auto_24051 ) ( AIRPORT ?auto_24052 ) ( DIFFERENT ?auto_24052 ?auto_24051 ) ( LOCATION ?auto_24051 ) ( AIRPORT ?auto_24057 ) ( AT ?auto_24053 ?auto_24057 ) ( DIFFERENT ?auto_24051 ?auto_24057 ) ( LOCATION ?auto_24059 ) ( AT ?auto_24049 ?auto_24059 ) ( AT ?auto_24053 ?auto_24059 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_24049 ?auto_24053 ?auto_24059 )
      ( DELIVER-PKG ?auto_24049 ?auto_24050 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24071
      ?auto_24072
    )
    :vars
    (
      ?auto_24073
      ?auto_24074
      ?auto_24079
      ?auto_24077
      ?auto_24075
      ?auto_24080
      ?auto_24082
    )
    :precondition
    ( and ( OBJ ?auto_24071 ) ( LOCATION ?auto_24072 ) ( TRUCK ?auto_24073 ) ( AT ?auto_24073 ?auto_24072 ) ( LOCATION ?auto_24074 ) ( AT ?auto_24073 ?auto_24074 ) ( AIRPLANE ?auto_24079 ) ( AIRPORT ?auto_24077 ) ( AIRPORT ?auto_24074 ) ( DIFFERENT ?auto_24074 ?auto_24077 ) ( LOCATION ?auto_24077 ) ( AIRPORT ?auto_24075 ) ( AT ?auto_24079 ?auto_24075 ) ( DIFFERENT ?auto_24077 ?auto_24075 ) ( LOCATION ?auto_24080 ) ( AT ?auto_24079 ?auto_24080 ) ( TRUCK ?auto_24082 ) ( AT ?auto_24082 ?auto_24080 ) ( IN ?auto_24071 ?auto_24082 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24071 ?auto_24080 )
      ( DELIVER-PKG ?auto_24071 ?auto_24072 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24095
      ?auto_24096
    )
    :vars
    (
      ?auto_24099
      ?auto_24105
      ?auto_24100
      ?auto_24103
      ?auto_24102
      ?auto_24101
      ?auto_24104
      ?auto_24108
      ?auto_24107
    )
    :precondition
    ( and ( OBJ ?auto_24095 ) ( LOCATION ?auto_24096 ) ( TRUCK ?auto_24099 ) ( AT ?auto_24099 ?auto_24096 ) ( LOCATION ?auto_24105 ) ( AT ?auto_24099 ?auto_24105 ) ( AIRPLANE ?auto_24100 ) ( AIRPORT ?auto_24103 ) ( AIRPORT ?auto_24105 ) ( DIFFERENT ?auto_24105 ?auto_24103 ) ( LOCATION ?auto_24103 ) ( AIRPORT ?auto_24102 ) ( AT ?auto_24100 ?auto_24102 ) ( DIFFERENT ?auto_24103 ?auto_24102 ) ( LOCATION ?auto_24101 ) ( AT ?auto_24100 ?auto_24101 ) ( TRUCK ?auto_24104 ) ( IN ?auto_24095 ?auto_24104 ) ( LOCATION ?auto_24108 ) ( CITY ?auto_24107 ) ( AT ?auto_24104 ?auto_24108 ) ( IN-CITY ?auto_24108 ?auto_24107 ) ( IN-CITY ?auto_24101 ?auto_24107 ) ( DIFFERENT ?auto_24101 ?auto_24108 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24104 ?auto_24108 ?auto_24101 ?auto_24107 )
      ( DELIVER-PKG ?auto_24095 ?auto_24096 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24123
      ?auto_24124
    )
    :vars
    (
      ?auto_24129
      ?auto_24127
      ?auto_24130
      ?auto_24132
      ?auto_24131
      ?auto_24128
      ?auto_24133
      ?auto_24135
      ?auto_24134
      ?auto_24137
    )
    :precondition
    ( and ( OBJ ?auto_24123 ) ( LOCATION ?auto_24124 ) ( TRUCK ?auto_24129 ) ( AT ?auto_24129 ?auto_24124 ) ( LOCATION ?auto_24127 ) ( AT ?auto_24129 ?auto_24127 ) ( AIRPLANE ?auto_24130 ) ( AIRPORT ?auto_24132 ) ( AIRPORT ?auto_24127 ) ( DIFFERENT ?auto_24127 ?auto_24132 ) ( LOCATION ?auto_24132 ) ( AIRPORT ?auto_24131 ) ( AT ?auto_24130 ?auto_24131 ) ( DIFFERENT ?auto_24132 ?auto_24131 ) ( LOCATION ?auto_24128 ) ( AT ?auto_24130 ?auto_24128 ) ( TRUCK ?auto_24133 ) ( LOCATION ?auto_24135 ) ( CITY ?auto_24134 ) ( AT ?auto_24133 ?auto_24135 ) ( IN-CITY ?auto_24135 ?auto_24134 ) ( IN-CITY ?auto_24128 ?auto_24134 ) ( DIFFERENT ?auto_24128 ?auto_24135 ) ( LOCATION ?auto_24137 ) ( AT ?auto_24133 ?auto_24137 ) ( AT ?auto_24123 ?auto_24137 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24123 ?auto_24133 ?auto_24137 )
      ( DELIVER-PKG ?auto_24123 ?auto_24124 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24167
      ?auto_24168
    )
    :vars
    (
      ?auto_24170
      ?auto_24171
      ?auto_24173
      ?auto_24175
      ?auto_24169
      ?auto_24176
      ?auto_24178
      ?auto_24177
      ?auto_24180
      ?auto_24182
    )
    :precondition
    ( and ( OBJ ?auto_24167 ) ( LOCATION ?auto_24168 ) ( TRUCK ?auto_24170 ) ( AT ?auto_24170 ?auto_24168 ) ( LOCATION ?auto_24171 ) ( AT ?auto_24170 ?auto_24171 ) ( AIRPLANE ?auto_24173 ) ( AIRPORT ?auto_24175 ) ( AIRPORT ?auto_24171 ) ( DIFFERENT ?auto_24171 ?auto_24175 ) ( LOCATION ?auto_24175 ) ( AIRPORT ?auto_24169 ) ( DIFFERENT ?auto_24175 ?auto_24169 ) ( LOCATION ?auto_24169 ) ( TRUCK ?auto_24176 ) ( LOCATION ?auto_24178 ) ( CITY ?auto_24177 ) ( AT ?auto_24176 ?auto_24178 ) ( IN-CITY ?auto_24178 ?auto_24177 ) ( IN-CITY ?auto_24169 ?auto_24177 ) ( DIFFERENT ?auto_24169 ?auto_24178 ) ( LOCATION ?auto_24180 ) ( AT ?auto_24176 ?auto_24180 ) ( AT ?auto_24167 ?auto_24180 ) ( AIRPORT ?auto_24182 ) ( AT ?auto_24173 ?auto_24182 ) ( DIFFERENT ?auto_24169 ?auto_24182 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24173 ?auto_24182 ?auto_24169 )
      ( DELIVER-PKG ?auto_24167 ?auto_24168 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24184
      ?auto_24185
    )
    :vars
    (
      ?auto_24193
      ?auto_24194
      ?auto_24187
      ?auto_24188
      ?auto_24196
      ?auto_24189
      ?auto_24192
      ?auto_24190
      ?auto_24197
      ?auto_24200
      ?auto_24199
    )
    :precondition
    ( and ( OBJ ?auto_24184 ) ( LOCATION ?auto_24185 ) ( TRUCK ?auto_24193 ) ( AT ?auto_24193 ?auto_24185 ) ( LOCATION ?auto_24194 ) ( AT ?auto_24193 ?auto_24194 ) ( AIRPLANE ?auto_24187 ) ( AIRPORT ?auto_24188 ) ( AIRPORT ?auto_24194 ) ( DIFFERENT ?auto_24194 ?auto_24188 ) ( LOCATION ?auto_24188 ) ( AIRPORT ?auto_24196 ) ( DIFFERENT ?auto_24188 ?auto_24196 ) ( LOCATION ?auto_24196 ) ( TRUCK ?auto_24189 ) ( LOCATION ?auto_24192 ) ( CITY ?auto_24190 ) ( IN-CITY ?auto_24192 ?auto_24190 ) ( IN-CITY ?auto_24196 ?auto_24190 ) ( DIFFERENT ?auto_24196 ?auto_24192 ) ( AT ?auto_24184 ?auto_24192 ) ( AIRPORT ?auto_24197 ) ( AT ?auto_24187 ?auto_24197 ) ( DIFFERENT ?auto_24196 ?auto_24197 ) ( LOCATION ?auto_24200 ) ( CITY ?auto_24199 ) ( AT ?auto_24189 ?auto_24200 ) ( IN-CITY ?auto_24200 ?auto_24199 ) ( IN-CITY ?auto_24192 ?auto_24199 ) ( DIFFERENT ?auto_24192 ?auto_24200 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24189 ?auto_24200 ?auto_24192 ?auto_24199 )
      ( DELIVER-PKG ?auto_24184 ?auto_24185 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24294
      ?auto_24295
    )
    :vars
    (
      ?auto_24301
      ?auto_24296
      ?auto_24297
      ?auto_24300
      ?auto_24304
      ?auto_24303
      ?auto_24306
    )
    :precondition
    ( and ( OBJ ?auto_24294 ) ( LOCATION ?auto_24295 ) ( AIRPLANE ?auto_24301 ) ( AIRPORT ?auto_24296 ) ( AIRPORT ?auto_24295 ) ( DIFFERENT ?auto_24295 ?auto_24296 ) ( AIRPORT ?auto_24297 ) ( DIFFERENT ?auto_24296 ?auto_24297 ) ( LOCATION ?auto_24297 ) ( TRUCK ?auto_24300 ) ( IN ?auto_24294 ?auto_24300 ) ( LOCATION ?auto_24304 ) ( CITY ?auto_24303 ) ( AT ?auto_24300 ?auto_24304 ) ( IN-CITY ?auto_24304 ?auto_24303 ) ( IN-CITY ?auto_24297 ?auto_24303 ) ( DIFFERENT ?auto_24297 ?auto_24304 ) ( AIRPORT ?auto_24306 ) ( AT ?auto_24301 ?auto_24306 ) ( DIFFERENT ?auto_24297 ?auto_24306 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24301 ?auto_24306 ?auto_24297 )
      ( DELIVER-PKG ?auto_24294 ?auto_24295 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24308
      ?auto_24309
    )
    :vars
    (
      ?auto_24313
      ?auto_24311
      ?auto_24317
      ?auto_24318
      ?auto_24316
      ?auto_24314
      ?auto_24312
      ?auto_24320
    )
    :precondition
    ( and ( OBJ ?auto_24308 ) ( LOCATION ?auto_24309 ) ( AIRPLANE ?auto_24313 ) ( AIRPORT ?auto_24311 ) ( AIRPORT ?auto_24309 ) ( DIFFERENT ?auto_24309 ?auto_24311 ) ( AIRPORT ?auto_24317 ) ( DIFFERENT ?auto_24311 ?auto_24317 ) ( LOCATION ?auto_24317 ) ( TRUCK ?auto_24318 ) ( LOCATION ?auto_24316 ) ( CITY ?auto_24314 ) ( AT ?auto_24318 ?auto_24316 ) ( IN-CITY ?auto_24316 ?auto_24314 ) ( IN-CITY ?auto_24317 ?auto_24314 ) ( DIFFERENT ?auto_24317 ?auto_24316 ) ( AIRPORT ?auto_24312 ) ( AT ?auto_24313 ?auto_24312 ) ( DIFFERENT ?auto_24317 ?auto_24312 ) ( LOCATION ?auto_24320 ) ( AT ?auto_24318 ?auto_24320 ) ( AT ?auto_24308 ?auto_24320 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24308 ?auto_24318 ?auto_24320 )
      ( DELIVER-PKG ?auto_24308 ?auto_24309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24334
      ?auto_24335
    )
    :vars
    (
      ?auto_24344
      ?auto_24343
      ?auto_24337
      ?auto_24342
      ?auto_24336
      ?auto_24338
      ?auto_24345
      ?auto_24339
      ?auto_24348
    )
    :precondition
    ( and ( OBJ ?auto_24334 ) ( LOCATION ?auto_24335 ) ( AIRPLANE ?auto_24344 ) ( AIRPORT ?auto_24343 ) ( AIRPORT ?auto_24335 ) ( DIFFERENT ?auto_24335 ?auto_24343 ) ( AIRPORT ?auto_24337 ) ( DIFFERENT ?auto_24343 ?auto_24337 ) ( LOCATION ?auto_24337 ) ( TRUCK ?auto_24342 ) ( LOCATION ?auto_24336 ) ( CITY ?auto_24338 ) ( AT ?auto_24342 ?auto_24336 ) ( IN-CITY ?auto_24336 ?auto_24338 ) ( IN-CITY ?auto_24337 ?auto_24338 ) ( DIFFERENT ?auto_24337 ?auto_24336 ) ( AIRPORT ?auto_24345 ) ( AT ?auto_24344 ?auto_24345 ) ( DIFFERENT ?auto_24337 ?auto_24345 ) ( LOCATION ?auto_24339 ) ( AT ?auto_24342 ?auto_24339 ) ( TRUCK ?auto_24348 ) ( AT ?auto_24348 ?auto_24339 ) ( IN ?auto_24334 ?auto_24348 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24334 ?auto_24339 )
      ( DELIVER-PKG ?auto_24334 ?auto_24335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24362
      ?auto_24363
    )
    :vars
    (
      ?auto_24368
      ?auto_24366
      ?auto_24371
      ?auto_24374
      ?auto_24370
      ?auto_24369
      ?auto_24364
      ?auto_24377
      ?auto_24376
    )
    :precondition
    ( and ( OBJ ?auto_24362 ) ( LOCATION ?auto_24363 ) ( AIRPLANE ?auto_24368 ) ( AIRPORT ?auto_24366 ) ( AIRPORT ?auto_24363 ) ( DIFFERENT ?auto_24363 ?auto_24366 ) ( AIRPORT ?auto_24371 ) ( DIFFERENT ?auto_24366 ?auto_24371 ) ( LOCATION ?auto_24371 ) ( TRUCK ?auto_24374 ) ( LOCATION ?auto_24370 ) ( CITY ?auto_24369 ) ( IN-CITY ?auto_24370 ?auto_24369 ) ( IN-CITY ?auto_24371 ?auto_24369 ) ( DIFFERENT ?auto_24371 ?auto_24370 ) ( AIRPORT ?auto_24364 ) ( AT ?auto_24368 ?auto_24364 ) ( DIFFERENT ?auto_24371 ?auto_24364 ) ( IN ?auto_24362 ?auto_24374 ) ( LOCATION ?auto_24377 ) ( CITY ?auto_24376 ) ( AT ?auto_24374 ?auto_24377 ) ( IN-CITY ?auto_24377 ?auto_24376 ) ( IN-CITY ?auto_24370 ?auto_24376 ) ( DIFFERENT ?auto_24370 ?auto_24377 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24374 ?auto_24377 ?auto_24370 ?auto_24376 )
      ( DELIVER-PKG ?auto_24362 ?auto_24363 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24392
      ?auto_24393
    )
    :vars
    (
      ?auto_24395
      ?auto_24401
      ?auto_24399
      ?auto_24400
      ?auto_24398
      ?auto_24397
      ?auto_24396
      ?auto_24404
      ?auto_24403
      ?auto_24406
    )
    :precondition
    ( and ( OBJ ?auto_24392 ) ( LOCATION ?auto_24393 ) ( AIRPLANE ?auto_24395 ) ( AIRPORT ?auto_24401 ) ( AIRPORT ?auto_24393 ) ( DIFFERENT ?auto_24393 ?auto_24401 ) ( AIRPORT ?auto_24399 ) ( DIFFERENT ?auto_24401 ?auto_24399 ) ( LOCATION ?auto_24399 ) ( TRUCK ?auto_24400 ) ( LOCATION ?auto_24398 ) ( CITY ?auto_24397 ) ( IN-CITY ?auto_24398 ?auto_24397 ) ( IN-CITY ?auto_24399 ?auto_24397 ) ( DIFFERENT ?auto_24399 ?auto_24398 ) ( AIRPORT ?auto_24396 ) ( AT ?auto_24395 ?auto_24396 ) ( DIFFERENT ?auto_24399 ?auto_24396 ) ( LOCATION ?auto_24404 ) ( CITY ?auto_24403 ) ( AT ?auto_24400 ?auto_24404 ) ( IN-CITY ?auto_24404 ?auto_24403 ) ( IN-CITY ?auto_24398 ?auto_24403 ) ( DIFFERENT ?auto_24398 ?auto_24404 ) ( LOCATION ?auto_24406 ) ( AT ?auto_24400 ?auto_24406 ) ( AT ?auto_24392 ?auto_24406 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24392 ?auto_24400 ?auto_24406 )
      ( DELIVER-PKG ?auto_24392 ?auto_24393 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24436
      ?auto_24437
    )
    :vars
    (
      ?auto_24446
      ?auto_24440
      ?auto_24441
      ?auto_24442
      ?auto_24443
      ?auto_24447
      ?auto_24444
      ?auto_24449
      ?auto_24438
      ?auto_24452
      ?auto_24451
    )
    :precondition
    ( and ( OBJ ?auto_24436 ) ( LOCATION ?auto_24437 ) ( AIRPLANE ?auto_24446 ) ( AIRPORT ?auto_24440 ) ( AIRPORT ?auto_24437 ) ( DIFFERENT ?auto_24437 ?auto_24440 ) ( AIRPORT ?auto_24441 ) ( DIFFERENT ?auto_24440 ?auto_24441 ) ( LOCATION ?auto_24441 ) ( TRUCK ?auto_24442 ) ( LOCATION ?auto_24443 ) ( CITY ?auto_24447 ) ( IN-CITY ?auto_24443 ?auto_24447 ) ( IN-CITY ?auto_24441 ?auto_24447 ) ( DIFFERENT ?auto_24441 ?auto_24443 ) ( AIRPORT ?auto_24444 ) ( AT ?auto_24446 ?auto_24444 ) ( DIFFERENT ?auto_24441 ?auto_24444 ) ( LOCATION ?auto_24449 ) ( CITY ?auto_24438 ) ( IN-CITY ?auto_24449 ?auto_24438 ) ( IN-CITY ?auto_24443 ?auto_24438 ) ( DIFFERENT ?auto_24443 ?auto_24449 ) ( AT ?auto_24436 ?auto_24449 ) ( LOCATION ?auto_24452 ) ( CITY ?auto_24451 ) ( AT ?auto_24442 ?auto_24452 ) ( IN-CITY ?auto_24452 ?auto_24451 ) ( IN-CITY ?auto_24449 ?auto_24451 ) ( DIFFERENT ?auto_24449 ?auto_24452 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24442 ?auto_24452 ?auto_24449 ?auto_24451 )
      ( DELIVER-PKG ?auto_24436 ?auto_24437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24454
      ?auto_24455
    )
    :vars
    (
      ?auto_24462
      ?auto_24461
      ?auto_24457
      ?auto_24458
      ?auto_24459
      ?auto_24463
      ?auto_24460
      ?auto_24464
      ?auto_24456
      ?auto_24468
      ?auto_24467
      ?auto_24470
    )
    :precondition
    ( and ( OBJ ?auto_24454 ) ( LOCATION ?auto_24455 ) ( AIRPLANE ?auto_24462 ) ( AIRPORT ?auto_24461 ) ( AIRPORT ?auto_24455 ) ( DIFFERENT ?auto_24455 ?auto_24461 ) ( AIRPORT ?auto_24457 ) ( DIFFERENT ?auto_24461 ?auto_24457 ) ( LOCATION ?auto_24457 ) ( TRUCK ?auto_24458 ) ( LOCATION ?auto_24459 ) ( CITY ?auto_24463 ) ( IN-CITY ?auto_24459 ?auto_24463 ) ( IN-CITY ?auto_24457 ?auto_24463 ) ( DIFFERENT ?auto_24457 ?auto_24459 ) ( AIRPORT ?auto_24460 ) ( DIFFERENT ?auto_24457 ?auto_24460 ) ( LOCATION ?auto_24464 ) ( CITY ?auto_24456 ) ( IN-CITY ?auto_24464 ?auto_24456 ) ( IN-CITY ?auto_24459 ?auto_24456 ) ( DIFFERENT ?auto_24459 ?auto_24464 ) ( AT ?auto_24454 ?auto_24464 ) ( LOCATION ?auto_24468 ) ( CITY ?auto_24467 ) ( AT ?auto_24458 ?auto_24468 ) ( IN-CITY ?auto_24468 ?auto_24467 ) ( IN-CITY ?auto_24464 ?auto_24467 ) ( DIFFERENT ?auto_24464 ?auto_24468 ) ( AIRPORT ?auto_24470 ) ( AT ?auto_24462 ?auto_24470 ) ( DIFFERENT ?auto_24460 ?auto_24470 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24462 ?auto_24470 ?auto_24460 )
      ( DELIVER-PKG ?auto_24454 ?auto_24455 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24983
      ?auto_24984
    )
    :vars
    (
      ?auto_24988
      ?auto_24993
      ?auto_24989
      ?auto_24994
      ?auto_24990
      ?auto_24987
      ?auto_24991
      ?auto_24985
      ?auto_24995
      ?auto_24998
    )
    :precondition
    ( and ( OBJ ?auto_24983 ) ( LOCATION ?auto_24984 ) ( TRUCK ?auto_24988 ) ( LOCATION ?auto_24993 ) ( CITY ?auto_24989 ) ( AT ?auto_24988 ?auto_24993 ) ( IN-CITY ?auto_24993 ?auto_24989 ) ( IN-CITY ?auto_24984 ?auto_24989 ) ( DIFFERENT ?auto_24984 ?auto_24993 ) ( LOCATION ?auto_24994 ) ( AT ?auto_24988 ?auto_24994 ) ( TRUCK ?auto_24990 ) ( AT ?auto_24990 ?auto_24994 ) ( LOCATION ?auto_24987 ) ( AT ?auto_24990 ?auto_24987 ) ( AIRPLANE ?auto_24991 ) ( AIRPORT ?auto_24985 ) ( AIRPORT ?auto_24987 ) ( AT ?auto_24991 ?auto_24985 ) ( DIFFERENT ?auto_24987 ?auto_24985 ) ( LOCATION ?auto_24995 ) ( AT ?auto_24991 ?auto_24995 ) ( AIRPLANE ?auto_24998 ) ( IN ?auto_24983 ?auto_24998 ) ( AT ?auto_24998 ?auto_24995 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24983 ?auto_24995 )
      ( DELIVER-PKG ?auto_24983 ?auto_24984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25013
      ?auto_25014
    )
    :vars
    (
      ?auto_25016
      ?auto_25021
      ?auto_25017
      ?auto_25022
      ?auto_25018
      ?auto_25020
      ?auto_25026
      ?auto_25023
      ?auto_25028
    )
    :precondition
    ( and ( OBJ ?auto_25013 ) ( LOCATION ?auto_25014 ) ( TRUCK ?auto_25016 ) ( LOCATION ?auto_25021 ) ( CITY ?auto_25017 ) ( AT ?auto_25016 ?auto_25021 ) ( IN-CITY ?auto_25021 ?auto_25017 ) ( IN-CITY ?auto_25014 ?auto_25017 ) ( DIFFERENT ?auto_25014 ?auto_25021 ) ( LOCATION ?auto_25022 ) ( AT ?auto_25016 ?auto_25022 ) ( TRUCK ?auto_25018 ) ( AT ?auto_25018 ?auto_25022 ) ( LOCATION ?auto_25020 ) ( AT ?auto_25018 ?auto_25020 ) ( AIRPLANE ?auto_25026 ) ( AIRPORT ?auto_25023 ) ( AIRPORT ?auto_25020 ) ( DIFFERENT ?auto_25020 ?auto_25023 ) ( LOCATION ?auto_25023 ) ( IN ?auto_25013 ?auto_25026 ) ( AIRPORT ?auto_25028 ) ( AT ?auto_25026 ?auto_25028 ) ( DIFFERENT ?auto_25023 ?auto_25028 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25026 ?auto_25028 ?auto_25023 )
      ( DELIVER-PKG ?auto_25013 ?auto_25014 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25043
      ?auto_25044
    )
    :vars
    (
      ?auto_25046
      ?auto_25049
      ?auto_25047
      ?auto_25050
      ?auto_25052
      ?auto_25048
      ?auto_25053
      ?auto_25051
      ?auto_25055
      ?auto_25057
    )
    :precondition
    ( and ( OBJ ?auto_25043 ) ( LOCATION ?auto_25044 ) ( TRUCK ?auto_25046 ) ( LOCATION ?auto_25049 ) ( CITY ?auto_25047 ) ( AT ?auto_25046 ?auto_25049 ) ( IN-CITY ?auto_25049 ?auto_25047 ) ( IN-CITY ?auto_25044 ?auto_25047 ) ( DIFFERENT ?auto_25044 ?auto_25049 ) ( LOCATION ?auto_25050 ) ( AT ?auto_25046 ?auto_25050 ) ( TRUCK ?auto_25052 ) ( AT ?auto_25052 ?auto_25050 ) ( LOCATION ?auto_25048 ) ( AT ?auto_25052 ?auto_25048 ) ( AIRPLANE ?auto_25053 ) ( AIRPORT ?auto_25051 ) ( AIRPORT ?auto_25048 ) ( DIFFERENT ?auto_25048 ?auto_25051 ) ( LOCATION ?auto_25051 ) ( AIRPORT ?auto_25055 ) ( AT ?auto_25053 ?auto_25055 ) ( DIFFERENT ?auto_25051 ?auto_25055 ) ( LOCATION ?auto_25057 ) ( AT ?auto_25043 ?auto_25057 ) ( AT ?auto_25053 ?auto_25057 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25043 ?auto_25053 ?auto_25057 )
      ( DELIVER-PKG ?auto_25043 ?auto_25044 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25073
      ?auto_25074
    )
    :vars
    (
      ?auto_25075
      ?auto_25079
      ?auto_25084
      ?auto_25083
      ?auto_25081
      ?auto_25078
      ?auto_25082
      ?auto_25080
      ?auto_25085
      ?auto_25086
      ?auto_25088
    )
    :precondition
    ( and ( OBJ ?auto_25073 ) ( LOCATION ?auto_25074 ) ( TRUCK ?auto_25075 ) ( LOCATION ?auto_25079 ) ( CITY ?auto_25084 ) ( AT ?auto_25075 ?auto_25079 ) ( IN-CITY ?auto_25079 ?auto_25084 ) ( IN-CITY ?auto_25074 ?auto_25084 ) ( DIFFERENT ?auto_25074 ?auto_25079 ) ( LOCATION ?auto_25083 ) ( AT ?auto_25075 ?auto_25083 ) ( TRUCK ?auto_25081 ) ( AT ?auto_25081 ?auto_25083 ) ( LOCATION ?auto_25078 ) ( AT ?auto_25081 ?auto_25078 ) ( AIRPLANE ?auto_25082 ) ( AIRPORT ?auto_25080 ) ( AIRPORT ?auto_25078 ) ( DIFFERENT ?auto_25078 ?auto_25080 ) ( LOCATION ?auto_25080 ) ( AIRPORT ?auto_25085 ) ( AT ?auto_25082 ?auto_25085 ) ( DIFFERENT ?auto_25080 ?auto_25085 ) ( LOCATION ?auto_25086 ) ( AT ?auto_25082 ?auto_25086 ) ( TRUCK ?auto_25088 ) ( AT ?auto_25088 ?auto_25086 ) ( IN ?auto_25073 ?auto_25088 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25073 ?auto_25086 )
      ( DELIVER-PKG ?auto_25073 ?auto_25074 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25105
      ?auto_25106
    )
    :vars
    (
      ?auto_25114
      ?auto_25108
      ?auto_25115
      ?auto_25110
      ?auto_25113
      ?auto_25107
      ?auto_25109
      ?auto_25112
      ?auto_25116
      ?auto_25118
      ?auto_25117
      ?auto_25122
      ?auto_25121
    )
    :precondition
    ( and ( OBJ ?auto_25105 ) ( LOCATION ?auto_25106 ) ( TRUCK ?auto_25114 ) ( LOCATION ?auto_25108 ) ( CITY ?auto_25115 ) ( AT ?auto_25114 ?auto_25108 ) ( IN-CITY ?auto_25108 ?auto_25115 ) ( IN-CITY ?auto_25106 ?auto_25115 ) ( DIFFERENT ?auto_25106 ?auto_25108 ) ( LOCATION ?auto_25110 ) ( AT ?auto_25114 ?auto_25110 ) ( TRUCK ?auto_25113 ) ( AT ?auto_25113 ?auto_25110 ) ( LOCATION ?auto_25107 ) ( AT ?auto_25113 ?auto_25107 ) ( AIRPLANE ?auto_25109 ) ( AIRPORT ?auto_25112 ) ( AIRPORT ?auto_25107 ) ( DIFFERENT ?auto_25107 ?auto_25112 ) ( LOCATION ?auto_25112 ) ( AIRPORT ?auto_25116 ) ( AT ?auto_25109 ?auto_25116 ) ( DIFFERENT ?auto_25112 ?auto_25116 ) ( LOCATION ?auto_25118 ) ( AT ?auto_25109 ?auto_25118 ) ( TRUCK ?auto_25117 ) ( IN ?auto_25105 ?auto_25117 ) ( LOCATION ?auto_25122 ) ( CITY ?auto_25121 ) ( AT ?auto_25117 ?auto_25122 ) ( IN-CITY ?auto_25122 ?auto_25121 ) ( IN-CITY ?auto_25118 ?auto_25121 ) ( DIFFERENT ?auto_25118 ?auto_25122 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25117 ?auto_25122 ?auto_25118 ?auto_25121 )
      ( DELIVER-PKG ?auto_25105 ?auto_25106 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25141
      ?auto_25142
    )
    :vars
    (
      ?auto_25147
      ?auto_25151
      ?auto_25148
      ?auto_25152
      ?auto_25146
      ?auto_25154
      ?auto_25153
      ?auto_25149
      ?auto_25143
      ?auto_25145
      ?auto_25144
      ?auto_25157
      ?auto_25156
      ?auto_25159
    )
    :precondition
    ( and ( OBJ ?auto_25141 ) ( LOCATION ?auto_25142 ) ( TRUCK ?auto_25147 ) ( LOCATION ?auto_25151 ) ( CITY ?auto_25148 ) ( AT ?auto_25147 ?auto_25151 ) ( IN-CITY ?auto_25151 ?auto_25148 ) ( IN-CITY ?auto_25142 ?auto_25148 ) ( DIFFERENT ?auto_25142 ?auto_25151 ) ( LOCATION ?auto_25152 ) ( AT ?auto_25147 ?auto_25152 ) ( TRUCK ?auto_25146 ) ( AT ?auto_25146 ?auto_25152 ) ( LOCATION ?auto_25154 ) ( AT ?auto_25146 ?auto_25154 ) ( AIRPLANE ?auto_25153 ) ( AIRPORT ?auto_25149 ) ( AIRPORT ?auto_25154 ) ( DIFFERENT ?auto_25154 ?auto_25149 ) ( LOCATION ?auto_25149 ) ( AIRPORT ?auto_25143 ) ( AT ?auto_25153 ?auto_25143 ) ( DIFFERENT ?auto_25149 ?auto_25143 ) ( LOCATION ?auto_25145 ) ( AT ?auto_25153 ?auto_25145 ) ( TRUCK ?auto_25144 ) ( LOCATION ?auto_25157 ) ( CITY ?auto_25156 ) ( AT ?auto_25144 ?auto_25157 ) ( IN-CITY ?auto_25157 ?auto_25156 ) ( IN-CITY ?auto_25145 ?auto_25156 ) ( DIFFERENT ?auto_25145 ?auto_25157 ) ( LOCATION ?auto_25159 ) ( AT ?auto_25144 ?auto_25159 ) ( AT ?auto_25141 ?auto_25159 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25141 ?auto_25144 ?auto_25159 )
      ( DELIVER-PKG ?auto_25141 ?auto_25142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25197
      ?auto_25198
    )
    :vars
    (
      ?auto_25210
      ?auto_25202
      ?auto_25200
      ?auto_25203
      ?auto_25205
      ?auto_25206
      ?auto_25204
      ?auto_25201
      ?auto_25199
      ?auto_25211
      ?auto_25208
      ?auto_25207
      ?auto_25209
      ?auto_25216
    )
    :precondition
    ( and ( OBJ ?auto_25197 ) ( LOCATION ?auto_25198 ) ( TRUCK ?auto_25210 ) ( LOCATION ?auto_25202 ) ( CITY ?auto_25200 ) ( AT ?auto_25210 ?auto_25202 ) ( IN-CITY ?auto_25202 ?auto_25200 ) ( IN-CITY ?auto_25198 ?auto_25200 ) ( DIFFERENT ?auto_25198 ?auto_25202 ) ( LOCATION ?auto_25203 ) ( AT ?auto_25210 ?auto_25203 ) ( TRUCK ?auto_25205 ) ( AT ?auto_25205 ?auto_25203 ) ( LOCATION ?auto_25206 ) ( AT ?auto_25205 ?auto_25206 ) ( AIRPLANE ?auto_25204 ) ( AIRPORT ?auto_25201 ) ( AIRPORT ?auto_25206 ) ( DIFFERENT ?auto_25206 ?auto_25201 ) ( LOCATION ?auto_25201 ) ( AIRPORT ?auto_25199 ) ( DIFFERENT ?auto_25201 ?auto_25199 ) ( LOCATION ?auto_25199 ) ( TRUCK ?auto_25211 ) ( LOCATION ?auto_25208 ) ( CITY ?auto_25207 ) ( AT ?auto_25211 ?auto_25208 ) ( IN-CITY ?auto_25208 ?auto_25207 ) ( IN-CITY ?auto_25199 ?auto_25207 ) ( DIFFERENT ?auto_25199 ?auto_25208 ) ( LOCATION ?auto_25209 ) ( AT ?auto_25211 ?auto_25209 ) ( AT ?auto_25197 ?auto_25209 ) ( AIRPORT ?auto_25216 ) ( AT ?auto_25204 ?auto_25216 ) ( DIFFERENT ?auto_25199 ?auto_25216 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25204 ?auto_25216 ?auto_25199 )
      ( DELIVER-PKG ?auto_25197 ?auto_25198 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25218
      ?auto_25219
    )
    :vars
    (
      ?auto_25233
      ?auto_25226
      ?auto_25223
      ?auto_25220
      ?auto_25228
      ?auto_25229
      ?auto_25221
      ?auto_25224
      ?auto_25235
      ?auto_25234
      ?auto_25232
      ?auto_25230
      ?auto_25225
      ?auto_25238
      ?auto_25237
    )
    :precondition
    ( and ( OBJ ?auto_25218 ) ( LOCATION ?auto_25219 ) ( TRUCK ?auto_25233 ) ( LOCATION ?auto_25226 ) ( CITY ?auto_25223 ) ( AT ?auto_25233 ?auto_25226 ) ( IN-CITY ?auto_25226 ?auto_25223 ) ( IN-CITY ?auto_25219 ?auto_25223 ) ( DIFFERENT ?auto_25219 ?auto_25226 ) ( LOCATION ?auto_25220 ) ( AT ?auto_25233 ?auto_25220 ) ( TRUCK ?auto_25228 ) ( AT ?auto_25228 ?auto_25220 ) ( LOCATION ?auto_25229 ) ( AT ?auto_25228 ?auto_25229 ) ( AIRPLANE ?auto_25221 ) ( AIRPORT ?auto_25224 ) ( AIRPORT ?auto_25229 ) ( DIFFERENT ?auto_25229 ?auto_25224 ) ( LOCATION ?auto_25224 ) ( AIRPORT ?auto_25235 ) ( DIFFERENT ?auto_25224 ?auto_25235 ) ( LOCATION ?auto_25235 ) ( TRUCK ?auto_25234 ) ( LOCATION ?auto_25232 ) ( CITY ?auto_25230 ) ( IN-CITY ?auto_25232 ?auto_25230 ) ( IN-CITY ?auto_25235 ?auto_25230 ) ( DIFFERENT ?auto_25235 ?auto_25232 ) ( AT ?auto_25218 ?auto_25232 ) ( AIRPORT ?auto_25225 ) ( AT ?auto_25221 ?auto_25225 ) ( DIFFERENT ?auto_25235 ?auto_25225 ) ( LOCATION ?auto_25238 ) ( CITY ?auto_25237 ) ( AT ?auto_25234 ?auto_25238 ) ( IN-CITY ?auto_25238 ?auto_25237 ) ( IN-CITY ?auto_25232 ?auto_25237 ) ( DIFFERENT ?auto_25232 ?auto_25238 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25234 ?auto_25238 ?auto_25232 ?auto_25237 )
      ( DELIVER-PKG ?auto_25218 ?auto_25219 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25338
      ?auto_25339
    )
    :vars
    (
      ?auto_25343
      ?auto_25341
      ?auto_25344
      ?auto_25340
      ?auto_25342
      ?auto_25346
      ?auto_25349
    )
    :precondition
    ( and ( OBJ ?auto_25338 ) ( LOCATION ?auto_25339 ) ( TRUCK ?auto_25343 ) ( LOCATION ?auto_25341 ) ( CITY ?auto_25344 ) ( AT ?auto_25343 ?auto_25341 ) ( IN-CITY ?auto_25341 ?auto_25344 ) ( IN-CITY ?auto_25339 ?auto_25344 ) ( DIFFERENT ?auto_25339 ?auto_25341 ) ( LOCATION ?auto_25340 ) ( AT ?auto_25343 ?auto_25340 ) ( AIRPLANE ?auto_25342 ) ( IN ?auto_25338 ?auto_25342 ) ( AIRPORT ?auto_25346 ) ( AIRPORT ?auto_25340 ) ( DIFFERENT ?auto_25340 ?auto_25346 ) ( AIRPORT ?auto_25349 ) ( AT ?auto_25342 ?auto_25349 ) ( DIFFERENT ?auto_25346 ?auto_25349 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25342 ?auto_25349 ?auto_25346 )
      ( DELIVER-PKG ?auto_25338 ?auto_25339 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37310
      ?auto_37311
    )
    :vars
    (
      ?auto_37322
      ?auto_37315
      ?auto_37317
      ?auto_37316
      ?auto_37312
      ?auto_37321
      ?auto_37314
      ?auto_37313
      ?auto_37320
      ?auto_37324
    )
    :precondition
    ( and ( OBJ ?auto_37310 ) ( LOCATION ?auto_37311 ) ( TRUCK ?auto_37322 ) ( LOCATION ?auto_37315 ) ( CITY ?auto_37317 ) ( AT ?auto_37322 ?auto_37315 ) ( IN-CITY ?auto_37315 ?auto_37317 ) ( IN-CITY ?auto_37311 ?auto_37317 ) ( DIFFERENT ?auto_37311 ?auto_37315 ) ( LOCATION ?auto_37316 ) ( AT ?auto_37322 ?auto_37316 ) ( AIRPLANE ?auto_37312 ) ( AIRPORT ?auto_37321 ) ( AIRPORT ?auto_37316 ) ( DIFFERENT ?auto_37316 ?auto_37321 ) ( AIRPORT ?auto_37314 ) ( AT ?auto_37312 ?auto_37314 ) ( DIFFERENT ?auto_37321 ?auto_37314 ) ( LOCATION ?auto_37313 ) ( AT ?auto_37312 ?auto_37313 ) ( AIRPLANE ?auto_37320 ) ( AT ?auto_37320 ?auto_37313 ) ( LOCATION ?auto_37324 ) ( AT ?auto_37310 ?auto_37324 ) ( AT ?auto_37320 ?auto_37324 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_37310 ?auto_37320 ?auto_37324 )
      ( DELIVER-PKG ?auto_37310 ?auto_37311 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37326
      ?auto_37327
    )
    :vars
    (
      ?auto_37336
      ?auto_37334
      ?auto_37328
      ?auto_37329
      ?auto_37332
      ?auto_37331
      ?auto_37339
      ?auto_37338
      ?auto_37330
      ?auto_37333
      ?auto_37340
    )
    :precondition
    ( and ( OBJ ?auto_37326 ) ( LOCATION ?auto_37327 ) ( TRUCK ?auto_37336 ) ( LOCATION ?auto_37334 ) ( CITY ?auto_37328 ) ( AT ?auto_37336 ?auto_37334 ) ( IN-CITY ?auto_37334 ?auto_37328 ) ( IN-CITY ?auto_37327 ?auto_37328 ) ( DIFFERENT ?auto_37327 ?auto_37334 ) ( LOCATION ?auto_37329 ) ( AT ?auto_37336 ?auto_37329 ) ( AIRPLANE ?auto_37332 ) ( AIRPORT ?auto_37331 ) ( AIRPORT ?auto_37329 ) ( DIFFERENT ?auto_37329 ?auto_37331 ) ( AIRPORT ?auto_37339 ) ( AT ?auto_37332 ?auto_37339 ) ( DIFFERENT ?auto_37331 ?auto_37339 ) ( LOCATION ?auto_37338 ) ( AT ?auto_37332 ?auto_37338 ) ( AIRPLANE ?auto_37330 ) ( AT ?auto_37330 ?auto_37338 ) ( LOCATION ?auto_37333 ) ( AT ?auto_37330 ?auto_37333 ) ( TRUCK ?auto_37340 ) ( AT ?auto_37340 ?auto_37333 ) ( IN ?auto_37326 ?auto_37340 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_37326 ?auto_37333 )
      ( DELIVER-PKG ?auto_37326 ?auto_37327 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37343
      ?auto_37344
    )
    :vars
    (
      ?auto_37355
      ?auto_37350
      ?auto_37352
      ?auto_37354
      ?auto_37345
      ?auto_37356
      ?auto_37346
      ?auto_37348
      ?auto_37353
      ?auto_37357
      ?auto_37351
      ?auto_37360
      ?auto_37359
    )
    :precondition
    ( and ( OBJ ?auto_37343 ) ( LOCATION ?auto_37344 ) ( TRUCK ?auto_37355 ) ( LOCATION ?auto_37350 ) ( CITY ?auto_37352 ) ( AT ?auto_37355 ?auto_37350 ) ( IN-CITY ?auto_37350 ?auto_37352 ) ( IN-CITY ?auto_37344 ?auto_37352 ) ( DIFFERENT ?auto_37344 ?auto_37350 ) ( LOCATION ?auto_37354 ) ( AT ?auto_37355 ?auto_37354 ) ( AIRPLANE ?auto_37345 ) ( AIRPORT ?auto_37356 ) ( AIRPORT ?auto_37354 ) ( DIFFERENT ?auto_37354 ?auto_37356 ) ( AIRPORT ?auto_37346 ) ( AT ?auto_37345 ?auto_37346 ) ( DIFFERENT ?auto_37356 ?auto_37346 ) ( LOCATION ?auto_37348 ) ( AT ?auto_37345 ?auto_37348 ) ( AIRPLANE ?auto_37353 ) ( AT ?auto_37353 ?auto_37348 ) ( LOCATION ?auto_37357 ) ( AT ?auto_37353 ?auto_37357 ) ( TRUCK ?auto_37351 ) ( IN ?auto_37343 ?auto_37351 ) ( LOCATION ?auto_37360 ) ( CITY ?auto_37359 ) ( AT ?auto_37351 ?auto_37360 ) ( IN-CITY ?auto_37360 ?auto_37359 ) ( IN-CITY ?auto_37357 ?auto_37359 ) ( DIFFERENT ?auto_37357 ?auto_37360 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37351 ?auto_37360 ?auto_37357 ?auto_37359 )
      ( DELIVER-PKG ?auto_37343 ?auto_37344 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25422
      ?auto_25423
    )
    :vars
    (
      ?auto_25427
      ?auto_25432
      ?auto_25426
      ?auto_25428
      ?auto_25430
      ?auto_25424
      ?auto_25429
      ?auto_25431
      ?auto_25436
      ?auto_25435
      ?auto_25438
    )
    :precondition
    ( and ( OBJ ?auto_25422 ) ( LOCATION ?auto_25423 ) ( TRUCK ?auto_25427 ) ( LOCATION ?auto_25432 ) ( CITY ?auto_25426 ) ( AT ?auto_25427 ?auto_25432 ) ( IN-CITY ?auto_25432 ?auto_25426 ) ( IN-CITY ?auto_25423 ?auto_25426 ) ( DIFFERENT ?auto_25423 ?auto_25432 ) ( LOCATION ?auto_25428 ) ( AT ?auto_25427 ?auto_25428 ) ( AIRPLANE ?auto_25430 ) ( AIRPORT ?auto_25424 ) ( AIRPORT ?auto_25428 ) ( DIFFERENT ?auto_25428 ?auto_25424 ) ( AIRPORT ?auto_25429 ) ( DIFFERENT ?auto_25424 ?auto_25429 ) ( LOCATION ?auto_25429 ) ( TRUCK ?auto_25431 ) ( IN ?auto_25422 ?auto_25431 ) ( LOCATION ?auto_25436 ) ( CITY ?auto_25435 ) ( AT ?auto_25431 ?auto_25436 ) ( IN-CITY ?auto_25436 ?auto_25435 ) ( IN-CITY ?auto_25429 ?auto_25435 ) ( DIFFERENT ?auto_25429 ?auto_25436 ) ( AIRPORT ?auto_25438 ) ( AT ?auto_25430 ?auto_25438 ) ( DIFFERENT ?auto_25429 ?auto_25438 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25430 ?auto_25438 ?auto_25429 )
      ( DELIVER-PKG ?auto_25422 ?auto_25423 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25440
      ?auto_25441
    )
    :vars
    (
      ?auto_25454
      ?auto_25449
      ?auto_25452
      ?auto_25453
      ?auto_25446
      ?auto_25448
      ?auto_25445
      ?auto_25447
      ?auto_25442
      ?auto_25451
      ?auto_25450
      ?auto_25456
    )
    :precondition
    ( and ( OBJ ?auto_25440 ) ( LOCATION ?auto_25441 ) ( TRUCK ?auto_25454 ) ( LOCATION ?auto_25449 ) ( CITY ?auto_25452 ) ( AT ?auto_25454 ?auto_25449 ) ( IN-CITY ?auto_25449 ?auto_25452 ) ( IN-CITY ?auto_25441 ?auto_25452 ) ( DIFFERENT ?auto_25441 ?auto_25449 ) ( LOCATION ?auto_25453 ) ( AT ?auto_25454 ?auto_25453 ) ( AIRPLANE ?auto_25446 ) ( AIRPORT ?auto_25448 ) ( AIRPORT ?auto_25453 ) ( DIFFERENT ?auto_25453 ?auto_25448 ) ( AIRPORT ?auto_25445 ) ( DIFFERENT ?auto_25448 ?auto_25445 ) ( LOCATION ?auto_25445 ) ( TRUCK ?auto_25447 ) ( LOCATION ?auto_25442 ) ( CITY ?auto_25451 ) ( AT ?auto_25447 ?auto_25442 ) ( IN-CITY ?auto_25442 ?auto_25451 ) ( IN-CITY ?auto_25445 ?auto_25451 ) ( DIFFERENT ?auto_25445 ?auto_25442 ) ( AIRPORT ?auto_25450 ) ( AT ?auto_25446 ?auto_25450 ) ( DIFFERENT ?auto_25445 ?auto_25450 ) ( LOCATION ?auto_25456 ) ( AT ?auto_25447 ?auto_25456 ) ( AT ?auto_25440 ?auto_25456 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25440 ?auto_25447 ?auto_25456 )
      ( DELIVER-PKG ?auto_25440 ?auto_25441 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25474
      ?auto_25475
    )
    :vars
    (
      ?auto_25482
      ?auto_25483
      ?auto_25487
      ?auto_25485
      ?auto_25488
      ?auto_25489
      ?auto_25486
      ?auto_25480
      ?auto_25477
      ?auto_25481
      ?auto_25476
      ?auto_25478
      ?auto_25492
    )
    :precondition
    ( and ( OBJ ?auto_25474 ) ( LOCATION ?auto_25475 ) ( TRUCK ?auto_25482 ) ( LOCATION ?auto_25483 ) ( CITY ?auto_25487 ) ( AT ?auto_25482 ?auto_25483 ) ( IN-CITY ?auto_25483 ?auto_25487 ) ( IN-CITY ?auto_25475 ?auto_25487 ) ( DIFFERENT ?auto_25475 ?auto_25483 ) ( LOCATION ?auto_25485 ) ( AT ?auto_25482 ?auto_25485 ) ( AIRPLANE ?auto_25488 ) ( AIRPORT ?auto_25489 ) ( AIRPORT ?auto_25485 ) ( DIFFERENT ?auto_25485 ?auto_25489 ) ( AIRPORT ?auto_25486 ) ( DIFFERENT ?auto_25489 ?auto_25486 ) ( LOCATION ?auto_25486 ) ( TRUCK ?auto_25480 ) ( LOCATION ?auto_25477 ) ( CITY ?auto_25481 ) ( AT ?auto_25480 ?auto_25477 ) ( IN-CITY ?auto_25477 ?auto_25481 ) ( IN-CITY ?auto_25486 ?auto_25481 ) ( DIFFERENT ?auto_25486 ?auto_25477 ) ( AIRPORT ?auto_25476 ) ( AT ?auto_25488 ?auto_25476 ) ( DIFFERENT ?auto_25486 ?auto_25476 ) ( LOCATION ?auto_25478 ) ( AT ?auto_25480 ?auto_25478 ) ( TRUCK ?auto_25492 ) ( AT ?auto_25492 ?auto_25478 ) ( IN ?auto_25474 ?auto_25492 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25474 ?auto_25478 )
      ( DELIVER-PKG ?auto_25474 ?auto_25475 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25510
      ?auto_25511
    )
    :vars
    (
      ?auto_25514
      ?auto_25522
      ?auto_25521
      ?auto_25523
      ?auto_25515
      ?auto_25516
      ?auto_25520
      ?auto_25526
      ?auto_25517
      ?auto_25513
      ?auto_25524
      ?auto_25529
      ?auto_25528
    )
    :precondition
    ( and ( OBJ ?auto_25510 ) ( LOCATION ?auto_25511 ) ( TRUCK ?auto_25514 ) ( LOCATION ?auto_25522 ) ( CITY ?auto_25521 ) ( AT ?auto_25514 ?auto_25522 ) ( IN-CITY ?auto_25522 ?auto_25521 ) ( IN-CITY ?auto_25511 ?auto_25521 ) ( DIFFERENT ?auto_25511 ?auto_25522 ) ( LOCATION ?auto_25523 ) ( AT ?auto_25514 ?auto_25523 ) ( AIRPLANE ?auto_25515 ) ( AIRPORT ?auto_25516 ) ( AIRPORT ?auto_25523 ) ( DIFFERENT ?auto_25523 ?auto_25516 ) ( AIRPORT ?auto_25520 ) ( DIFFERENT ?auto_25516 ?auto_25520 ) ( LOCATION ?auto_25520 ) ( TRUCK ?auto_25526 ) ( LOCATION ?auto_25517 ) ( CITY ?auto_25513 ) ( IN-CITY ?auto_25517 ?auto_25513 ) ( IN-CITY ?auto_25520 ?auto_25513 ) ( DIFFERENT ?auto_25520 ?auto_25517 ) ( AIRPORT ?auto_25524 ) ( AT ?auto_25515 ?auto_25524 ) ( DIFFERENT ?auto_25520 ?auto_25524 ) ( IN ?auto_25510 ?auto_25526 ) ( LOCATION ?auto_25529 ) ( CITY ?auto_25528 ) ( AT ?auto_25526 ?auto_25529 ) ( IN-CITY ?auto_25529 ?auto_25528 ) ( IN-CITY ?auto_25517 ?auto_25528 ) ( DIFFERENT ?auto_25517 ?auto_25529 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25526 ?auto_25529 ?auto_25517 ?auto_25528 )
      ( DELIVER-PKG ?auto_25510 ?auto_25511 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25548
      ?auto_25549
    )
    :vars
    (
      ?auto_25560
      ?auto_25553
      ?auto_25559
      ?auto_25555
      ?auto_25561
      ?auto_25552
      ?auto_25558
      ?auto_25557
      ?auto_25551
      ?auto_25550
      ?auto_25556
      ?auto_25564
      ?auto_25554
      ?auto_25566
    )
    :precondition
    ( and ( OBJ ?auto_25548 ) ( LOCATION ?auto_25549 ) ( TRUCK ?auto_25560 ) ( LOCATION ?auto_25553 ) ( CITY ?auto_25559 ) ( AT ?auto_25560 ?auto_25553 ) ( IN-CITY ?auto_25553 ?auto_25559 ) ( IN-CITY ?auto_25549 ?auto_25559 ) ( DIFFERENT ?auto_25549 ?auto_25553 ) ( LOCATION ?auto_25555 ) ( AT ?auto_25560 ?auto_25555 ) ( AIRPLANE ?auto_25561 ) ( AIRPORT ?auto_25552 ) ( AIRPORT ?auto_25555 ) ( DIFFERENT ?auto_25555 ?auto_25552 ) ( AIRPORT ?auto_25558 ) ( DIFFERENT ?auto_25552 ?auto_25558 ) ( LOCATION ?auto_25558 ) ( TRUCK ?auto_25557 ) ( LOCATION ?auto_25551 ) ( CITY ?auto_25550 ) ( IN-CITY ?auto_25551 ?auto_25550 ) ( IN-CITY ?auto_25558 ?auto_25550 ) ( DIFFERENT ?auto_25558 ?auto_25551 ) ( AIRPORT ?auto_25556 ) ( AT ?auto_25561 ?auto_25556 ) ( DIFFERENT ?auto_25558 ?auto_25556 ) ( LOCATION ?auto_25564 ) ( CITY ?auto_25554 ) ( AT ?auto_25557 ?auto_25564 ) ( IN-CITY ?auto_25564 ?auto_25554 ) ( IN-CITY ?auto_25551 ?auto_25554 ) ( DIFFERENT ?auto_25551 ?auto_25564 ) ( LOCATION ?auto_25566 ) ( AT ?auto_25557 ?auto_25566 ) ( AT ?auto_25548 ?auto_25566 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25548 ?auto_25557 ?auto_25566 )
      ( DELIVER-PKG ?auto_25548 ?auto_25549 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25586
      ?auto_25587
    )
    :vars
    (
      ?auto_25601
      ?auto_25596
      ?auto_25600
      ?auto_25602
      ?auto_25592
      ?auto_25599
      ?auto_25598
      ?auto_25591
      ?auto_25590
      ?auto_25597
      ?auto_25603
      ?auto_25595
      ?auto_25593
      ?auto_25606
      ?auto_25605
    )
    :precondition
    ( and ( OBJ ?auto_25586 ) ( LOCATION ?auto_25587 ) ( TRUCK ?auto_25601 ) ( LOCATION ?auto_25596 ) ( CITY ?auto_25600 ) ( IN-CITY ?auto_25596 ?auto_25600 ) ( IN-CITY ?auto_25587 ?auto_25600 ) ( DIFFERENT ?auto_25587 ?auto_25596 ) ( AIRPLANE ?auto_25602 ) ( AIRPORT ?auto_25592 ) ( AIRPORT ?auto_25596 ) ( DIFFERENT ?auto_25596 ?auto_25592 ) ( AIRPORT ?auto_25599 ) ( DIFFERENT ?auto_25592 ?auto_25599 ) ( LOCATION ?auto_25599 ) ( TRUCK ?auto_25598 ) ( LOCATION ?auto_25591 ) ( CITY ?auto_25590 ) ( IN-CITY ?auto_25591 ?auto_25590 ) ( IN-CITY ?auto_25599 ?auto_25590 ) ( DIFFERENT ?auto_25599 ?auto_25591 ) ( AIRPORT ?auto_25597 ) ( AT ?auto_25602 ?auto_25597 ) ( DIFFERENT ?auto_25599 ?auto_25597 ) ( LOCATION ?auto_25603 ) ( CITY ?auto_25595 ) ( AT ?auto_25598 ?auto_25603 ) ( IN-CITY ?auto_25603 ?auto_25595 ) ( IN-CITY ?auto_25591 ?auto_25595 ) ( DIFFERENT ?auto_25591 ?auto_25603 ) ( LOCATION ?auto_25593 ) ( AT ?auto_25598 ?auto_25593 ) ( AT ?auto_25586 ?auto_25593 ) ( LOCATION ?auto_25606 ) ( CITY ?auto_25605 ) ( AT ?auto_25601 ?auto_25606 ) ( IN-CITY ?auto_25606 ?auto_25605 ) ( IN-CITY ?auto_25596 ?auto_25605 ) ( DIFFERENT ?auto_25596 ?auto_25606 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25601 ?auto_25606 ?auto_25596 ?auto_25605 )
      ( DELIVER-PKG ?auto_25586 ?auto_25587 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25608
      ?auto_25609
    )
    :vars
    (
      ?auto_25622
      ?auto_25617
      ?auto_25621
      ?auto_25611
      ?auto_25614
      ?auto_25620
      ?auto_25619
      ?auto_25623
      ?auto_25610
      ?auto_25618
      ?auto_25615
      ?auto_25616
      ?auto_25626
      ?auto_25613
      ?auto_25629
      ?auto_25628
    )
    :precondition
    ( and ( OBJ ?auto_25608 ) ( LOCATION ?auto_25609 ) ( TRUCK ?auto_25622 ) ( LOCATION ?auto_25617 ) ( CITY ?auto_25621 ) ( IN-CITY ?auto_25617 ?auto_25621 ) ( IN-CITY ?auto_25609 ?auto_25621 ) ( DIFFERENT ?auto_25609 ?auto_25617 ) ( AIRPLANE ?auto_25611 ) ( AIRPORT ?auto_25614 ) ( AIRPORT ?auto_25617 ) ( DIFFERENT ?auto_25617 ?auto_25614 ) ( AIRPORT ?auto_25620 ) ( DIFFERENT ?auto_25614 ?auto_25620 ) ( LOCATION ?auto_25620 ) ( TRUCK ?auto_25619 ) ( LOCATION ?auto_25623 ) ( CITY ?auto_25610 ) ( IN-CITY ?auto_25623 ?auto_25610 ) ( IN-CITY ?auto_25620 ?auto_25610 ) ( DIFFERENT ?auto_25620 ?auto_25623 ) ( AIRPORT ?auto_25618 ) ( AT ?auto_25611 ?auto_25618 ) ( DIFFERENT ?auto_25620 ?auto_25618 ) ( LOCATION ?auto_25615 ) ( CITY ?auto_25616 ) ( IN-CITY ?auto_25615 ?auto_25616 ) ( IN-CITY ?auto_25623 ?auto_25616 ) ( DIFFERENT ?auto_25623 ?auto_25615 ) ( AT ?auto_25608 ?auto_25615 ) ( LOCATION ?auto_25626 ) ( CITY ?auto_25613 ) ( AT ?auto_25622 ?auto_25626 ) ( IN-CITY ?auto_25626 ?auto_25613 ) ( IN-CITY ?auto_25617 ?auto_25613 ) ( DIFFERENT ?auto_25617 ?auto_25626 ) ( LOCATION ?auto_25629 ) ( CITY ?auto_25628 ) ( AT ?auto_25619 ?auto_25629 ) ( IN-CITY ?auto_25629 ?auto_25628 ) ( IN-CITY ?auto_25615 ?auto_25628 ) ( DIFFERENT ?auto_25615 ?auto_25629 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25619 ?auto_25629 ?auto_25615 ?auto_25628 )
      ( DELIVER-PKG ?auto_25608 ?auto_25609 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25631
      ?auto_25632
    )
    :vars
    (
      ?auto_25644
      ?auto_25638
      ?auto_25643
      ?auto_25647
      ?auto_25650
      ?auto_25642
      ?auto_25639
      ?auto_25646
      ?auto_25640
      ?auto_25637
      ?auto_25635
      ?auto_25649
      ?auto_25636
      ?auto_25648
      ?auto_25641
      ?auto_25645
      ?auto_25652
    )
    :precondition
    ( and ( OBJ ?auto_25631 ) ( LOCATION ?auto_25632 ) ( TRUCK ?auto_25644 ) ( LOCATION ?auto_25638 ) ( CITY ?auto_25643 ) ( IN-CITY ?auto_25638 ?auto_25643 ) ( IN-CITY ?auto_25632 ?auto_25643 ) ( DIFFERENT ?auto_25632 ?auto_25638 ) ( AIRPLANE ?auto_25647 ) ( AIRPORT ?auto_25650 ) ( AIRPORT ?auto_25638 ) ( DIFFERENT ?auto_25638 ?auto_25650 ) ( AIRPORT ?auto_25642 ) ( DIFFERENT ?auto_25650 ?auto_25642 ) ( LOCATION ?auto_25642 ) ( TRUCK ?auto_25639 ) ( LOCATION ?auto_25646 ) ( CITY ?auto_25640 ) ( IN-CITY ?auto_25646 ?auto_25640 ) ( IN-CITY ?auto_25642 ?auto_25640 ) ( DIFFERENT ?auto_25642 ?auto_25646 ) ( AIRPORT ?auto_25637 ) ( DIFFERENT ?auto_25642 ?auto_25637 ) ( LOCATION ?auto_25635 ) ( CITY ?auto_25649 ) ( IN-CITY ?auto_25635 ?auto_25649 ) ( IN-CITY ?auto_25646 ?auto_25649 ) ( DIFFERENT ?auto_25646 ?auto_25635 ) ( AT ?auto_25631 ?auto_25635 ) ( LOCATION ?auto_25636 ) ( CITY ?auto_25648 ) ( AT ?auto_25644 ?auto_25636 ) ( IN-CITY ?auto_25636 ?auto_25648 ) ( IN-CITY ?auto_25638 ?auto_25648 ) ( DIFFERENT ?auto_25638 ?auto_25636 ) ( LOCATION ?auto_25641 ) ( CITY ?auto_25645 ) ( AT ?auto_25639 ?auto_25641 ) ( IN-CITY ?auto_25641 ?auto_25645 ) ( IN-CITY ?auto_25635 ?auto_25645 ) ( DIFFERENT ?auto_25635 ?auto_25641 ) ( AIRPORT ?auto_25652 ) ( AT ?auto_25647 ?auto_25652 ) ( DIFFERENT ?auto_25637 ?auto_25652 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25647 ?auto_25652 ?auto_25637 )
      ( DELIVER-PKG ?auto_25631 ?auto_25632 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26403
      ?auto_26404
    )
    :vars
    (
      ?auto_26412
      ?auto_26410
      ?auto_26408
      ?auto_26406
      ?auto_26407
      ?auto_26405
      ?auto_26414
      ?auto_26413
      ?auto_26418
      ?auto_26417
    )
    :precondition
    ( and ( OBJ ?auto_26403 ) ( LOCATION ?auto_26404 ) ( AIRPLANE ?auto_26412 ) ( AIRPORT ?auto_26410 ) ( AIRPORT ?auto_26404 ) ( DIFFERENT ?auto_26404 ?auto_26410 ) ( LOCATION ?auto_26410 ) ( TRUCK ?auto_26408 ) ( LOCATION ?auto_26406 ) ( CITY ?auto_26407 ) ( IN-CITY ?auto_26406 ?auto_26407 ) ( IN-CITY ?auto_26410 ?auto_26407 ) ( DIFFERENT ?auto_26410 ?auto_26406 ) ( LOCATION ?auto_26405 ) ( CITY ?auto_26414 ) ( IN-CITY ?auto_26405 ?auto_26414 ) ( IN-CITY ?auto_26406 ?auto_26414 ) ( DIFFERENT ?auto_26406 ?auto_26405 ) ( AT ?auto_26403 ?auto_26405 ) ( AIRPORT ?auto_26413 ) ( AT ?auto_26412 ?auto_26413 ) ( DIFFERENT ?auto_26410 ?auto_26413 ) ( LOCATION ?auto_26418 ) ( CITY ?auto_26417 ) ( AT ?auto_26408 ?auto_26418 ) ( IN-CITY ?auto_26418 ?auto_26417 ) ( IN-CITY ?auto_26405 ?auto_26417 ) ( DIFFERENT ?auto_26405 ?auto_26418 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26408 ?auto_26418 ?auto_26405 ?auto_26417 )
      ( DELIVER-PKG ?auto_26403 ?auto_26404 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26764
      ?auto_26765
    )
    :vars
    (
      ?auto_26775
      ?auto_26766
      ?auto_26773
      ?auto_26774
      ?auto_26776
      ?auto_26767
      ?auto_26770
      ?auto_26781
      ?auto_26769
      ?auto_26778
      ?auto_26779
      ?auto_26780
      ?auto_26768
      ?auto_26784
      ?auto_26783
    )
    :precondition
    ( and ( OBJ ?auto_26764 ) ( LOCATION ?auto_26765 ) ( TRUCK ?auto_26775 ) ( LOCATION ?auto_26766 ) ( CITY ?auto_26773 ) ( IN-CITY ?auto_26766 ?auto_26773 ) ( IN-CITY ?auto_26765 ?auto_26773 ) ( DIFFERENT ?auto_26765 ?auto_26766 ) ( AIRPLANE ?auto_26774 ) ( AIRPORT ?auto_26776 ) ( AIRPORT ?auto_26766 ) ( AT ?auto_26774 ?auto_26776 ) ( DIFFERENT ?auto_26766 ?auto_26776 ) ( LOCATION ?auto_26767 ) ( AT ?auto_26774 ?auto_26767 ) ( TRUCK ?auto_26770 ) ( LOCATION ?auto_26781 ) ( CITY ?auto_26769 ) ( IN-CITY ?auto_26781 ?auto_26769 ) ( IN-CITY ?auto_26767 ?auto_26769 ) ( DIFFERENT ?auto_26767 ?auto_26781 ) ( LOCATION ?auto_26778 ) ( CITY ?auto_26779 ) ( IN-CITY ?auto_26778 ?auto_26779 ) ( IN-CITY ?auto_26781 ?auto_26779 ) ( DIFFERENT ?auto_26781 ?auto_26778 ) ( AT ?auto_26764 ?auto_26778 ) ( LOCATION ?auto_26780 ) ( CITY ?auto_26768 ) ( AT ?auto_26770 ?auto_26780 ) ( IN-CITY ?auto_26780 ?auto_26768 ) ( IN-CITY ?auto_26778 ?auto_26768 ) ( DIFFERENT ?auto_26778 ?auto_26780 ) ( LOCATION ?auto_26784 ) ( CITY ?auto_26783 ) ( AT ?auto_26775 ?auto_26784 ) ( IN-CITY ?auto_26784 ?auto_26783 ) ( IN-CITY ?auto_26766 ?auto_26783 ) ( DIFFERENT ?auto_26766 ?auto_26784 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26775 ?auto_26784 ?auto_26766 ?auto_26783 )
      ( DELIVER-PKG ?auto_26764 ?auto_26765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27165
      ?auto_27166
    )
    :vars
    (
      ?auto_27169
      ?auto_27172
      ?auto_27173
      ?auto_27176
      ?auto_27175
      ?auto_27168
      ?auto_27174
      ?auto_27170
      ?auto_27167
      ?auto_27171
      ?auto_27179
      ?auto_27178
      ?auto_27183
      ?auto_27182
    )
    :precondition
    ( and ( OBJ ?auto_27165 ) ( LOCATION ?auto_27166 ) ( TRUCK ?auto_27169 ) ( LOCATION ?auto_27172 ) ( CITY ?auto_27173 ) ( IN-CITY ?auto_27172 ?auto_27173 ) ( IN-CITY ?auto_27166 ?auto_27173 ) ( DIFFERENT ?auto_27166 ?auto_27172 ) ( LOCATION ?auto_27176 ) ( CITY ?auto_27175 ) ( AT ?auto_27169 ?auto_27176 ) ( IN-CITY ?auto_27176 ?auto_27175 ) ( IN-CITY ?auto_27172 ?auto_27175 ) ( DIFFERENT ?auto_27172 ?auto_27176 ) ( LOCATION ?auto_27168 ) ( AT ?auto_27169 ?auto_27168 ) ( AIRPLANE ?auto_27174 ) ( AIRPORT ?auto_27170 ) ( AIRPORT ?auto_27168 ) ( AT ?auto_27174 ?auto_27170 ) ( DIFFERENT ?auto_27168 ?auto_27170 ) ( LOCATION ?auto_27167 ) ( AT ?auto_27174 ?auto_27167 ) ( TRUCK ?auto_27171 ) ( IN ?auto_27165 ?auto_27171 ) ( LOCATION ?auto_27179 ) ( CITY ?auto_27178 ) ( IN-CITY ?auto_27179 ?auto_27178 ) ( IN-CITY ?auto_27167 ?auto_27178 ) ( DIFFERENT ?auto_27167 ?auto_27179 ) ( LOCATION ?auto_27183 ) ( CITY ?auto_27182 ) ( AT ?auto_27171 ?auto_27183 ) ( IN-CITY ?auto_27183 ?auto_27182 ) ( IN-CITY ?auto_27179 ?auto_27182 ) ( DIFFERENT ?auto_27179 ?auto_27183 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27171 ?auto_27183 ?auto_27179 ?auto_27182 )
      ( DELIVER-PKG ?auto_27165 ?auto_27166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27203
      ?auto_27204
    )
    :vars
    (
      ?auto_27220
      ?auto_27206
      ?auto_27208
      ?auto_27212
      ?auto_27217
      ?auto_27219
      ?auto_27210
      ?auto_27205
      ?auto_27215
      ?auto_27209
      ?auto_27214
      ?auto_27213
      ?auto_27216
      ?auto_27211
      ?auto_27222
    )
    :precondition
    ( and ( OBJ ?auto_27203 ) ( LOCATION ?auto_27204 ) ( TRUCK ?auto_27220 ) ( LOCATION ?auto_27206 ) ( CITY ?auto_27208 ) ( IN-CITY ?auto_27206 ?auto_27208 ) ( IN-CITY ?auto_27204 ?auto_27208 ) ( DIFFERENT ?auto_27204 ?auto_27206 ) ( LOCATION ?auto_27212 ) ( CITY ?auto_27217 ) ( AT ?auto_27220 ?auto_27212 ) ( IN-CITY ?auto_27212 ?auto_27217 ) ( IN-CITY ?auto_27206 ?auto_27217 ) ( DIFFERENT ?auto_27206 ?auto_27212 ) ( LOCATION ?auto_27219 ) ( AT ?auto_27220 ?auto_27219 ) ( AIRPLANE ?auto_27210 ) ( AIRPORT ?auto_27205 ) ( AIRPORT ?auto_27219 ) ( AT ?auto_27210 ?auto_27205 ) ( DIFFERENT ?auto_27219 ?auto_27205 ) ( LOCATION ?auto_27215 ) ( AT ?auto_27210 ?auto_27215 ) ( TRUCK ?auto_27209 ) ( LOCATION ?auto_27214 ) ( CITY ?auto_27213 ) ( IN-CITY ?auto_27214 ?auto_27213 ) ( IN-CITY ?auto_27215 ?auto_27213 ) ( DIFFERENT ?auto_27215 ?auto_27214 ) ( LOCATION ?auto_27216 ) ( CITY ?auto_27211 ) ( AT ?auto_27209 ?auto_27216 ) ( IN-CITY ?auto_27216 ?auto_27211 ) ( IN-CITY ?auto_27214 ?auto_27211 ) ( DIFFERENT ?auto_27214 ?auto_27216 ) ( LOCATION ?auto_27222 ) ( AT ?auto_27209 ?auto_27222 ) ( AT ?auto_27203 ?auto_27222 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27203 ?auto_27209 ?auto_27222 )
      ( DELIVER-PKG ?auto_27203 ?auto_27204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27243
      ?auto_27244
    )
    :vars
    (
      ?auto_27246
      ?auto_27245
      ?auto_27248
      ?auto_27252
      ?auto_27257
      ?auto_27258
      ?auto_27250
      ?auto_27260
      ?auto_27255
      ?auto_27259
      ?auto_27254
      ?auto_27253
      ?auto_27247
      ?auto_27251
      ?auto_27264
      ?auto_27263
    )
    :precondition
    ( and ( OBJ ?auto_27243 ) ( LOCATION ?auto_27244 ) ( TRUCK ?auto_27246 ) ( LOCATION ?auto_27245 ) ( CITY ?auto_27248 ) ( IN-CITY ?auto_27245 ?auto_27248 ) ( IN-CITY ?auto_27244 ?auto_27248 ) ( DIFFERENT ?auto_27244 ?auto_27245 ) ( LOCATION ?auto_27252 ) ( CITY ?auto_27257 ) ( AT ?auto_27246 ?auto_27252 ) ( IN-CITY ?auto_27252 ?auto_27257 ) ( IN-CITY ?auto_27245 ?auto_27257 ) ( DIFFERENT ?auto_27245 ?auto_27252 ) ( LOCATION ?auto_27258 ) ( AT ?auto_27246 ?auto_27258 ) ( AIRPLANE ?auto_27250 ) ( AIRPORT ?auto_27260 ) ( AIRPORT ?auto_27258 ) ( AT ?auto_27250 ?auto_27260 ) ( DIFFERENT ?auto_27258 ?auto_27260 ) ( LOCATION ?auto_27255 ) ( AT ?auto_27250 ?auto_27255 ) ( TRUCK ?auto_27259 ) ( LOCATION ?auto_27254 ) ( CITY ?auto_27253 ) ( IN-CITY ?auto_27254 ?auto_27253 ) ( IN-CITY ?auto_27255 ?auto_27253 ) ( DIFFERENT ?auto_27255 ?auto_27254 ) ( LOCATION ?auto_27247 ) ( CITY ?auto_27251 ) ( IN-CITY ?auto_27247 ?auto_27251 ) ( IN-CITY ?auto_27254 ?auto_27251 ) ( DIFFERENT ?auto_27254 ?auto_27247 ) ( AT ?auto_27243 ?auto_27247 ) ( LOCATION ?auto_27264 ) ( CITY ?auto_27263 ) ( AT ?auto_27259 ?auto_27264 ) ( IN-CITY ?auto_27264 ?auto_27263 ) ( IN-CITY ?auto_27247 ?auto_27263 ) ( DIFFERENT ?auto_27247 ?auto_27264 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27259 ?auto_27264 ?auto_27247 ?auto_27263 )
      ( DELIVER-PKG ?auto_27243 ?auto_27244 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27266
      ?auto_27267
    )
    :vars
    (
      ?auto_27268
      ?auto_27275
      ?auto_27283
      ?auto_27270
      ?auto_27269
      ?auto_27277
      ?auto_27272
      ?auto_27282
      ?auto_27271
      ?auto_27281
      ?auto_27280
      ?auto_27276
      ?auto_27278
      ?auto_27285
      ?auto_27274
      ?auto_27288
      ?auto_27287
    )
    :precondition
    ( and ( OBJ ?auto_27266 ) ( LOCATION ?auto_27267 ) ( TRUCK ?auto_27268 ) ( LOCATION ?auto_27275 ) ( CITY ?auto_27283 ) ( IN-CITY ?auto_27275 ?auto_27283 ) ( IN-CITY ?auto_27267 ?auto_27283 ) ( DIFFERENT ?auto_27267 ?auto_27275 ) ( LOCATION ?auto_27270 ) ( CITY ?auto_27269 ) ( IN-CITY ?auto_27270 ?auto_27269 ) ( IN-CITY ?auto_27275 ?auto_27269 ) ( DIFFERENT ?auto_27275 ?auto_27270 ) ( AIRPLANE ?auto_27277 ) ( AIRPORT ?auto_27272 ) ( AIRPORT ?auto_27270 ) ( AT ?auto_27277 ?auto_27272 ) ( DIFFERENT ?auto_27270 ?auto_27272 ) ( LOCATION ?auto_27282 ) ( AT ?auto_27277 ?auto_27282 ) ( TRUCK ?auto_27271 ) ( LOCATION ?auto_27281 ) ( CITY ?auto_27280 ) ( IN-CITY ?auto_27281 ?auto_27280 ) ( IN-CITY ?auto_27282 ?auto_27280 ) ( DIFFERENT ?auto_27282 ?auto_27281 ) ( LOCATION ?auto_27276 ) ( CITY ?auto_27278 ) ( IN-CITY ?auto_27276 ?auto_27278 ) ( IN-CITY ?auto_27281 ?auto_27278 ) ( DIFFERENT ?auto_27281 ?auto_27276 ) ( AT ?auto_27266 ?auto_27276 ) ( LOCATION ?auto_27285 ) ( CITY ?auto_27274 ) ( AT ?auto_27271 ?auto_27285 ) ( IN-CITY ?auto_27285 ?auto_27274 ) ( IN-CITY ?auto_27276 ?auto_27274 ) ( DIFFERENT ?auto_27276 ?auto_27285 ) ( LOCATION ?auto_27288 ) ( CITY ?auto_27287 ) ( AT ?auto_27268 ?auto_27288 ) ( IN-CITY ?auto_27288 ?auto_27287 ) ( IN-CITY ?auto_27270 ?auto_27287 ) ( DIFFERENT ?auto_27270 ?auto_27288 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27268 ?auto_27288 ?auto_27270 ?auto_27287 )
      ( DELIVER-PKG ?auto_27266 ?auto_27267 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28072
      ?auto_28073
    )
    :vars
    (
      ?auto_28079
      ?auto_28083
      ?auto_28077
      ?auto_28078
      ?auto_28076
      ?auto_28081
      ?auto_28080
      ?auto_28084
      ?auto_28082
      ?auto_28087
    )
    :precondition
    ( and ( OBJ ?auto_28072 ) ( LOCATION ?auto_28073 ) ( TRUCK ?auto_28079 ) ( LOCATION ?auto_28083 ) ( CITY ?auto_28077 ) ( IN-CITY ?auto_28083 ?auto_28077 ) ( IN-CITY ?auto_28073 ?auto_28077 ) ( DIFFERENT ?auto_28073 ?auto_28083 ) ( LOCATION ?auto_28078 ) ( CITY ?auto_28076 ) ( IN-CITY ?auto_28078 ?auto_28076 ) ( IN-CITY ?auto_28083 ?auto_28076 ) ( DIFFERENT ?auto_28083 ?auto_28078 ) ( LOCATION ?auto_28081 ) ( CITY ?auto_28080 ) ( IN-CITY ?auto_28081 ?auto_28080 ) ( IN-CITY ?auto_28078 ?auto_28080 ) ( DIFFERENT ?auto_28078 ?auto_28081 ) ( LOCATION ?auto_28084 ) ( CITY ?auto_28082 ) ( AT ?auto_28079 ?auto_28084 ) ( IN-CITY ?auto_28084 ?auto_28082 ) ( IN-CITY ?auto_28081 ?auto_28082 ) ( DIFFERENT ?auto_28081 ?auto_28084 ) ( AIRPLANE ?auto_28087 ) ( IN ?auto_28072 ?auto_28087 ) ( AT ?auto_28087 ?auto_28083 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_28072 ?auto_28083 )
      ( DELIVER-PKG ?auto_28072 ?auto_28073 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28102
      ?auto_28103
    )
    :vars
    (
      ?auto_28108
      ?auto_28112
      ?auto_28106
      ?auto_28107
      ?auto_28105
      ?auto_28110
      ?auto_28109
      ?auto_28114
      ?auto_28111
      ?auto_28115
      ?auto_28117
    )
    :precondition
    ( and ( OBJ ?auto_28102 ) ( LOCATION ?auto_28103 ) ( TRUCK ?auto_28108 ) ( LOCATION ?auto_28112 ) ( CITY ?auto_28106 ) ( IN-CITY ?auto_28112 ?auto_28106 ) ( IN-CITY ?auto_28103 ?auto_28106 ) ( DIFFERENT ?auto_28103 ?auto_28112 ) ( LOCATION ?auto_28107 ) ( CITY ?auto_28105 ) ( IN-CITY ?auto_28107 ?auto_28105 ) ( IN-CITY ?auto_28112 ?auto_28105 ) ( DIFFERENT ?auto_28112 ?auto_28107 ) ( LOCATION ?auto_28110 ) ( CITY ?auto_28109 ) ( IN-CITY ?auto_28110 ?auto_28109 ) ( IN-CITY ?auto_28107 ?auto_28109 ) ( DIFFERENT ?auto_28107 ?auto_28110 ) ( LOCATION ?auto_28114 ) ( CITY ?auto_28111 ) ( AT ?auto_28108 ?auto_28114 ) ( IN-CITY ?auto_28114 ?auto_28111 ) ( IN-CITY ?auto_28110 ?auto_28111 ) ( DIFFERENT ?auto_28110 ?auto_28114 ) ( AIRPLANE ?auto_28115 ) ( IN ?auto_28102 ?auto_28115 ) ( AIRPORT ?auto_28117 ) ( AIRPORT ?auto_28112 ) ( AT ?auto_28115 ?auto_28117 ) ( DIFFERENT ?auto_28112 ?auto_28117 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28115 ?auto_28117 ?auto_28112 )
      ( DELIVER-PKG ?auto_28102 ?auto_28103 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28134
      ?auto_28135
    )
    :vars
    (
      ?auto_28143
      ?auto_28138
      ?auto_28137
      ?auto_28142
      ?auto_28147
      ?auto_28145
      ?auto_28144
      ?auto_28139
      ?auto_28146
      ?auto_28140
      ?auto_28148
      ?auto_28150
    )
    :precondition
    ( and ( OBJ ?auto_28134 ) ( LOCATION ?auto_28135 ) ( TRUCK ?auto_28143 ) ( LOCATION ?auto_28138 ) ( CITY ?auto_28137 ) ( IN-CITY ?auto_28138 ?auto_28137 ) ( IN-CITY ?auto_28135 ?auto_28137 ) ( DIFFERENT ?auto_28135 ?auto_28138 ) ( LOCATION ?auto_28142 ) ( CITY ?auto_28147 ) ( IN-CITY ?auto_28142 ?auto_28147 ) ( IN-CITY ?auto_28138 ?auto_28147 ) ( DIFFERENT ?auto_28138 ?auto_28142 ) ( LOCATION ?auto_28145 ) ( CITY ?auto_28144 ) ( IN-CITY ?auto_28145 ?auto_28144 ) ( IN-CITY ?auto_28142 ?auto_28144 ) ( DIFFERENT ?auto_28142 ?auto_28145 ) ( LOCATION ?auto_28139 ) ( CITY ?auto_28146 ) ( AT ?auto_28143 ?auto_28139 ) ( IN-CITY ?auto_28139 ?auto_28146 ) ( IN-CITY ?auto_28145 ?auto_28146 ) ( DIFFERENT ?auto_28145 ?auto_28139 ) ( AIRPLANE ?auto_28140 ) ( AIRPORT ?auto_28148 ) ( AIRPORT ?auto_28138 ) ( AT ?auto_28140 ?auto_28148 ) ( DIFFERENT ?auto_28138 ?auto_28148 ) ( LOCATION ?auto_28150 ) ( AT ?auto_28134 ?auto_28150 ) ( AT ?auto_28140 ?auto_28150 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_28134 ?auto_28140 ?auto_28150 )
      ( DELIVER-PKG ?auto_28134 ?auto_28135 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28184
      ?auto_28185
    )
    :vars
    (
      ?auto_28186
      ?auto_28198
      ?auto_28190
      ?auto_28193
      ?auto_28194
      ?auto_28188
      ?auto_28187
      ?auto_28191
      ?auto_28189
      ?auto_28192
      ?auto_28195
      ?auto_28199
      ?auto_28200
    )
    :precondition
    ( and ( OBJ ?auto_28184 ) ( LOCATION ?auto_28185 ) ( TRUCK ?auto_28186 ) ( LOCATION ?auto_28198 ) ( CITY ?auto_28190 ) ( IN-CITY ?auto_28198 ?auto_28190 ) ( IN-CITY ?auto_28185 ?auto_28190 ) ( DIFFERENT ?auto_28185 ?auto_28198 ) ( LOCATION ?auto_28193 ) ( CITY ?auto_28194 ) ( IN-CITY ?auto_28193 ?auto_28194 ) ( IN-CITY ?auto_28198 ?auto_28194 ) ( DIFFERENT ?auto_28198 ?auto_28193 ) ( LOCATION ?auto_28188 ) ( CITY ?auto_28187 ) ( IN-CITY ?auto_28188 ?auto_28187 ) ( IN-CITY ?auto_28193 ?auto_28187 ) ( DIFFERENT ?auto_28193 ?auto_28188 ) ( LOCATION ?auto_28191 ) ( CITY ?auto_28189 ) ( AT ?auto_28186 ?auto_28191 ) ( IN-CITY ?auto_28191 ?auto_28189 ) ( IN-CITY ?auto_28188 ?auto_28189 ) ( DIFFERENT ?auto_28188 ?auto_28191 ) ( AIRPLANE ?auto_28192 ) ( AIRPORT ?auto_28195 ) ( AIRPORT ?auto_28198 ) ( AT ?auto_28192 ?auto_28195 ) ( DIFFERENT ?auto_28198 ?auto_28195 ) ( LOCATION ?auto_28199 ) ( AT ?auto_28192 ?auto_28199 ) ( TRUCK ?auto_28200 ) ( AT ?auto_28200 ?auto_28199 ) ( IN ?auto_28184 ?auto_28200 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_28184 ?auto_28199 )
      ( DELIVER-PKG ?auto_28184 ?auto_28185 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28203
      ?auto_28204
    )
    :vars
    (
      ?auto_28209
      ?auto_28218
      ?auto_28211
      ?auto_28215
      ?auto_28216
      ?auto_28208
      ?auto_28207
      ?auto_28213
      ?auto_28210
      ?auto_28214
      ?auto_28217
      ?auto_28219
      ?auto_28212
      ?auto_28222
      ?auto_28221
    )
    :precondition
    ( and ( OBJ ?auto_28203 ) ( LOCATION ?auto_28204 ) ( TRUCK ?auto_28209 ) ( LOCATION ?auto_28218 ) ( CITY ?auto_28211 ) ( IN-CITY ?auto_28218 ?auto_28211 ) ( IN-CITY ?auto_28204 ?auto_28211 ) ( DIFFERENT ?auto_28204 ?auto_28218 ) ( LOCATION ?auto_28215 ) ( CITY ?auto_28216 ) ( IN-CITY ?auto_28215 ?auto_28216 ) ( IN-CITY ?auto_28218 ?auto_28216 ) ( DIFFERENT ?auto_28218 ?auto_28215 ) ( LOCATION ?auto_28208 ) ( CITY ?auto_28207 ) ( IN-CITY ?auto_28208 ?auto_28207 ) ( IN-CITY ?auto_28215 ?auto_28207 ) ( DIFFERENT ?auto_28215 ?auto_28208 ) ( LOCATION ?auto_28213 ) ( CITY ?auto_28210 ) ( AT ?auto_28209 ?auto_28213 ) ( IN-CITY ?auto_28213 ?auto_28210 ) ( IN-CITY ?auto_28208 ?auto_28210 ) ( DIFFERENT ?auto_28208 ?auto_28213 ) ( AIRPLANE ?auto_28214 ) ( AIRPORT ?auto_28217 ) ( AIRPORT ?auto_28218 ) ( AT ?auto_28214 ?auto_28217 ) ( DIFFERENT ?auto_28218 ?auto_28217 ) ( LOCATION ?auto_28219 ) ( AT ?auto_28214 ?auto_28219 ) ( TRUCK ?auto_28212 ) ( IN ?auto_28203 ?auto_28212 ) ( LOCATION ?auto_28222 ) ( CITY ?auto_28221 ) ( AT ?auto_28212 ?auto_28222 ) ( IN-CITY ?auto_28222 ?auto_28221 ) ( IN-CITY ?auto_28219 ?auto_28221 ) ( DIFFERENT ?auto_28219 ?auto_28222 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28212 ?auto_28222 ?auto_28219 ?auto_28221 )
      ( DELIVER-PKG ?auto_28203 ?auto_28204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28224
      ?auto_28225
    )
    :vars
    (
      ?auto_28230
      ?auto_28239
      ?auto_28232
      ?auto_28236
      ?auto_28237
      ?auto_28229
      ?auto_28226
      ?auto_28234
      ?auto_28231
      ?auto_28235
      ?auto_28238
      ?auto_28240
      ?auto_28233
      ?auto_28242
      ?auto_28241
      ?auto_28245
      ?auto_28244
    )
    :precondition
    ( and ( OBJ ?auto_28224 ) ( LOCATION ?auto_28225 ) ( TRUCK ?auto_28230 ) ( LOCATION ?auto_28239 ) ( CITY ?auto_28232 ) ( IN-CITY ?auto_28239 ?auto_28232 ) ( IN-CITY ?auto_28225 ?auto_28232 ) ( DIFFERENT ?auto_28225 ?auto_28239 ) ( LOCATION ?auto_28236 ) ( CITY ?auto_28237 ) ( IN-CITY ?auto_28236 ?auto_28237 ) ( IN-CITY ?auto_28239 ?auto_28237 ) ( DIFFERENT ?auto_28239 ?auto_28236 ) ( LOCATION ?auto_28229 ) ( CITY ?auto_28226 ) ( IN-CITY ?auto_28229 ?auto_28226 ) ( IN-CITY ?auto_28236 ?auto_28226 ) ( DIFFERENT ?auto_28236 ?auto_28229 ) ( LOCATION ?auto_28234 ) ( CITY ?auto_28231 ) ( AT ?auto_28230 ?auto_28234 ) ( IN-CITY ?auto_28234 ?auto_28231 ) ( IN-CITY ?auto_28229 ?auto_28231 ) ( DIFFERENT ?auto_28229 ?auto_28234 ) ( AIRPLANE ?auto_28235 ) ( AIRPORT ?auto_28238 ) ( AIRPORT ?auto_28239 ) ( AT ?auto_28235 ?auto_28238 ) ( DIFFERENT ?auto_28239 ?auto_28238 ) ( LOCATION ?auto_28240 ) ( AT ?auto_28235 ?auto_28240 ) ( TRUCK ?auto_28233 ) ( IN ?auto_28224 ?auto_28233 ) ( LOCATION ?auto_28242 ) ( CITY ?auto_28241 ) ( IN-CITY ?auto_28242 ?auto_28241 ) ( IN-CITY ?auto_28240 ?auto_28241 ) ( DIFFERENT ?auto_28240 ?auto_28242 ) ( LOCATION ?auto_28245 ) ( CITY ?auto_28244 ) ( AT ?auto_28233 ?auto_28245 ) ( IN-CITY ?auto_28245 ?auto_28244 ) ( IN-CITY ?auto_28242 ?auto_28244 ) ( DIFFERENT ?auto_28242 ?auto_28245 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28233 ?auto_28245 ?auto_28242 ?auto_28244 )
      ( DELIVER-PKG ?auto_28224 ?auto_28225 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28247
      ?auto_28248
    )
    :vars
    (
      ?auto_28264
      ?auto_28256
      ?auto_28254
      ?auto_28258
      ?auto_28261
      ?auto_28266
      ?auto_28262
      ?auto_28251
      ?auto_28265
      ?auto_28252
      ?auto_28255
      ?auto_28253
      ?auto_28267
      ?auto_28260
      ?auto_28263
      ?auto_28257
      ?auto_28259
      ?auto_28269
    )
    :precondition
    ( and ( OBJ ?auto_28247 ) ( LOCATION ?auto_28248 ) ( TRUCK ?auto_28264 ) ( LOCATION ?auto_28256 ) ( CITY ?auto_28254 ) ( IN-CITY ?auto_28256 ?auto_28254 ) ( IN-CITY ?auto_28248 ?auto_28254 ) ( DIFFERENT ?auto_28248 ?auto_28256 ) ( LOCATION ?auto_28258 ) ( CITY ?auto_28261 ) ( IN-CITY ?auto_28258 ?auto_28261 ) ( IN-CITY ?auto_28256 ?auto_28261 ) ( DIFFERENT ?auto_28256 ?auto_28258 ) ( LOCATION ?auto_28266 ) ( CITY ?auto_28262 ) ( IN-CITY ?auto_28266 ?auto_28262 ) ( IN-CITY ?auto_28258 ?auto_28262 ) ( DIFFERENT ?auto_28258 ?auto_28266 ) ( LOCATION ?auto_28251 ) ( CITY ?auto_28265 ) ( AT ?auto_28264 ?auto_28251 ) ( IN-CITY ?auto_28251 ?auto_28265 ) ( IN-CITY ?auto_28266 ?auto_28265 ) ( DIFFERENT ?auto_28266 ?auto_28251 ) ( AIRPLANE ?auto_28252 ) ( AIRPORT ?auto_28255 ) ( AIRPORT ?auto_28256 ) ( AT ?auto_28252 ?auto_28255 ) ( DIFFERENT ?auto_28256 ?auto_28255 ) ( LOCATION ?auto_28253 ) ( AT ?auto_28252 ?auto_28253 ) ( TRUCK ?auto_28267 ) ( LOCATION ?auto_28260 ) ( CITY ?auto_28263 ) ( IN-CITY ?auto_28260 ?auto_28263 ) ( IN-CITY ?auto_28253 ?auto_28263 ) ( DIFFERENT ?auto_28253 ?auto_28260 ) ( LOCATION ?auto_28257 ) ( CITY ?auto_28259 ) ( AT ?auto_28267 ?auto_28257 ) ( IN-CITY ?auto_28257 ?auto_28259 ) ( IN-CITY ?auto_28260 ?auto_28259 ) ( DIFFERENT ?auto_28260 ?auto_28257 ) ( LOCATION ?auto_28269 ) ( AT ?auto_28267 ?auto_28269 ) ( AT ?auto_28247 ?auto_28269 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_28247 ?auto_28267 ?auto_28269 )
      ( DELIVER-PKG ?auto_28247 ?auto_28248 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28293
      ?auto_28294
    )
    :vars
    (
      ?auto_28310
      ?auto_28297
      ?auto_28313
      ?auto_28312
      ?auto_28306
      ?auto_28300
      ?auto_28303
      ?auto_28311
      ?auto_28299
      ?auto_28308
      ?auto_28307
      ?auto_28302
      ?auto_28304
      ?auto_28309
      ?auto_28305
      ?auto_28301
      ?auto_28298
      ?auto_28316
    )
    :precondition
    ( and ( OBJ ?auto_28293 ) ( LOCATION ?auto_28294 ) ( TRUCK ?auto_28310 ) ( LOCATION ?auto_28297 ) ( CITY ?auto_28313 ) ( IN-CITY ?auto_28297 ?auto_28313 ) ( IN-CITY ?auto_28294 ?auto_28313 ) ( DIFFERENT ?auto_28294 ?auto_28297 ) ( LOCATION ?auto_28312 ) ( CITY ?auto_28306 ) ( IN-CITY ?auto_28312 ?auto_28306 ) ( IN-CITY ?auto_28297 ?auto_28306 ) ( DIFFERENT ?auto_28297 ?auto_28312 ) ( LOCATION ?auto_28300 ) ( CITY ?auto_28303 ) ( IN-CITY ?auto_28300 ?auto_28303 ) ( IN-CITY ?auto_28312 ?auto_28303 ) ( DIFFERENT ?auto_28312 ?auto_28300 ) ( LOCATION ?auto_28311 ) ( CITY ?auto_28299 ) ( AT ?auto_28310 ?auto_28311 ) ( IN-CITY ?auto_28311 ?auto_28299 ) ( IN-CITY ?auto_28300 ?auto_28299 ) ( DIFFERENT ?auto_28300 ?auto_28311 ) ( AIRPLANE ?auto_28308 ) ( AIRPORT ?auto_28307 ) ( AIRPORT ?auto_28297 ) ( DIFFERENT ?auto_28297 ?auto_28307 ) ( LOCATION ?auto_28307 ) ( TRUCK ?auto_28302 ) ( LOCATION ?auto_28304 ) ( CITY ?auto_28309 ) ( IN-CITY ?auto_28304 ?auto_28309 ) ( IN-CITY ?auto_28307 ?auto_28309 ) ( DIFFERENT ?auto_28307 ?auto_28304 ) ( LOCATION ?auto_28305 ) ( CITY ?auto_28301 ) ( AT ?auto_28302 ?auto_28305 ) ( IN-CITY ?auto_28305 ?auto_28301 ) ( IN-CITY ?auto_28304 ?auto_28301 ) ( DIFFERENT ?auto_28304 ?auto_28305 ) ( LOCATION ?auto_28298 ) ( AT ?auto_28302 ?auto_28298 ) ( AT ?auto_28293 ?auto_28298 ) ( AIRPORT ?auto_28316 ) ( AT ?auto_28308 ?auto_28316 ) ( DIFFERENT ?auto_28307 ?auto_28316 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28308 ?auto_28316 ?auto_28307 )
      ( DELIVER-PKG ?auto_28293 ?auto_28294 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28318
      ?auto_28319
    )
    :vars
    (
      ?auto_28333
      ?auto_28320
      ?auto_28337
      ?auto_28336
      ?auto_28327
      ?auto_28323
      ?auto_28322
      ?auto_28335
      ?auto_28338
      ?auto_28331
      ?auto_28328
      ?auto_28321
      ?auto_28325
      ?auto_28332
      ?auto_28330
      ?auto_28324
      ?auto_28334
      ?auto_28342
      ?auto_28341
    )
    :precondition
    ( and ( OBJ ?auto_28318 ) ( LOCATION ?auto_28319 ) ( TRUCK ?auto_28333 ) ( LOCATION ?auto_28320 ) ( CITY ?auto_28337 ) ( IN-CITY ?auto_28320 ?auto_28337 ) ( IN-CITY ?auto_28319 ?auto_28337 ) ( DIFFERENT ?auto_28319 ?auto_28320 ) ( LOCATION ?auto_28336 ) ( CITY ?auto_28327 ) ( IN-CITY ?auto_28336 ?auto_28327 ) ( IN-CITY ?auto_28320 ?auto_28327 ) ( DIFFERENT ?auto_28320 ?auto_28336 ) ( LOCATION ?auto_28323 ) ( CITY ?auto_28322 ) ( IN-CITY ?auto_28323 ?auto_28322 ) ( IN-CITY ?auto_28336 ?auto_28322 ) ( DIFFERENT ?auto_28336 ?auto_28323 ) ( LOCATION ?auto_28335 ) ( CITY ?auto_28338 ) ( AT ?auto_28333 ?auto_28335 ) ( IN-CITY ?auto_28335 ?auto_28338 ) ( IN-CITY ?auto_28323 ?auto_28338 ) ( DIFFERENT ?auto_28323 ?auto_28335 ) ( AIRPLANE ?auto_28331 ) ( AIRPORT ?auto_28328 ) ( AIRPORT ?auto_28320 ) ( DIFFERENT ?auto_28320 ?auto_28328 ) ( LOCATION ?auto_28328 ) ( TRUCK ?auto_28321 ) ( LOCATION ?auto_28325 ) ( CITY ?auto_28332 ) ( IN-CITY ?auto_28325 ?auto_28332 ) ( IN-CITY ?auto_28328 ?auto_28332 ) ( DIFFERENT ?auto_28328 ?auto_28325 ) ( LOCATION ?auto_28330 ) ( CITY ?auto_28324 ) ( IN-CITY ?auto_28330 ?auto_28324 ) ( IN-CITY ?auto_28325 ?auto_28324 ) ( DIFFERENT ?auto_28325 ?auto_28330 ) ( AT ?auto_28318 ?auto_28330 ) ( AIRPORT ?auto_28334 ) ( AT ?auto_28331 ?auto_28334 ) ( DIFFERENT ?auto_28328 ?auto_28334 ) ( LOCATION ?auto_28342 ) ( CITY ?auto_28341 ) ( AT ?auto_28321 ?auto_28342 ) ( IN-CITY ?auto_28342 ?auto_28341 ) ( IN-CITY ?auto_28330 ?auto_28341 ) ( DIFFERENT ?auto_28330 ?auto_28342 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28321 ?auto_28342 ?auto_28330 ?auto_28341 )
      ( DELIVER-PKG ?auto_28318 ?auto_28319 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28344
      ?auto_28345
    )
    :vars
    (
      ?auto_28355
      ?auto_28353
      ?auto_28349
      ?auto_28348
      ?auto_28357
      ?auto_28364
      ?auto_28361
      ?auto_28362
      ?auto_28350
      ?auto_28354
      ?auto_28366
      ?auto_28352
      ?auto_28360
      ?auto_28359
      ?auto_28351
      ?auto_28365
      ?auto_28356
      ?auto_28358
      ?auto_28363
      ?auto_28369
      ?auto_28368
    )
    :precondition
    ( and ( OBJ ?auto_28344 ) ( LOCATION ?auto_28345 ) ( TRUCK ?auto_28355 ) ( LOCATION ?auto_28353 ) ( CITY ?auto_28349 ) ( IN-CITY ?auto_28353 ?auto_28349 ) ( IN-CITY ?auto_28345 ?auto_28349 ) ( DIFFERENT ?auto_28345 ?auto_28353 ) ( LOCATION ?auto_28348 ) ( CITY ?auto_28357 ) ( IN-CITY ?auto_28348 ?auto_28357 ) ( IN-CITY ?auto_28353 ?auto_28357 ) ( DIFFERENT ?auto_28353 ?auto_28348 ) ( LOCATION ?auto_28364 ) ( CITY ?auto_28361 ) ( IN-CITY ?auto_28364 ?auto_28361 ) ( IN-CITY ?auto_28348 ?auto_28361 ) ( DIFFERENT ?auto_28348 ?auto_28364 ) ( LOCATION ?auto_28362 ) ( CITY ?auto_28350 ) ( IN-CITY ?auto_28362 ?auto_28350 ) ( IN-CITY ?auto_28364 ?auto_28350 ) ( DIFFERENT ?auto_28364 ?auto_28362 ) ( AIRPLANE ?auto_28354 ) ( AIRPORT ?auto_28366 ) ( AIRPORT ?auto_28353 ) ( DIFFERENT ?auto_28353 ?auto_28366 ) ( LOCATION ?auto_28366 ) ( TRUCK ?auto_28352 ) ( LOCATION ?auto_28360 ) ( CITY ?auto_28359 ) ( IN-CITY ?auto_28360 ?auto_28359 ) ( IN-CITY ?auto_28366 ?auto_28359 ) ( DIFFERENT ?auto_28366 ?auto_28360 ) ( LOCATION ?auto_28351 ) ( CITY ?auto_28365 ) ( IN-CITY ?auto_28351 ?auto_28365 ) ( IN-CITY ?auto_28360 ?auto_28365 ) ( DIFFERENT ?auto_28360 ?auto_28351 ) ( AT ?auto_28344 ?auto_28351 ) ( AIRPORT ?auto_28356 ) ( AT ?auto_28354 ?auto_28356 ) ( DIFFERENT ?auto_28366 ?auto_28356 ) ( LOCATION ?auto_28358 ) ( CITY ?auto_28363 ) ( AT ?auto_28352 ?auto_28358 ) ( IN-CITY ?auto_28358 ?auto_28363 ) ( IN-CITY ?auto_28351 ?auto_28363 ) ( DIFFERENT ?auto_28351 ?auto_28358 ) ( LOCATION ?auto_28369 ) ( CITY ?auto_28368 ) ( AT ?auto_28355 ?auto_28369 ) ( IN-CITY ?auto_28369 ?auto_28368 ) ( IN-CITY ?auto_28362 ?auto_28368 ) ( DIFFERENT ?auto_28362 ?auto_28369 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28355 ?auto_28369 ?auto_28362 ?auto_28368 )
      ( DELIVER-PKG ?auto_28344 ?auto_28345 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29082
      ?auto_29083
    )
    :vars
    (
      ?auto_29086
      ?auto_29089
      ?auto_29084
      ?auto_29092
      ?auto_29088
      ?auto_29091
      ?auto_29095
      ?auto_29094
    )
    :precondition
    ( and ( OBJ ?auto_29082 ) ( LOCATION ?auto_29083 ) ( TRUCK ?auto_29086 ) ( LOCATION ?auto_29089 ) ( CITY ?auto_29084 ) ( IN-CITY ?auto_29089 ?auto_29084 ) ( IN-CITY ?auto_29083 ?auto_29084 ) ( DIFFERENT ?auto_29083 ?auto_29089 ) ( AIRPLANE ?auto_29092 ) ( AIRPORT ?auto_29088 ) ( AIRPORT ?auto_29089 ) ( AT ?auto_29092 ?auto_29088 ) ( DIFFERENT ?auto_29089 ?auto_29088 ) ( LOCATION ?auto_29091 ) ( AT ?auto_29082 ?auto_29091 ) ( AT ?auto_29092 ?auto_29091 ) ( LOCATION ?auto_29095 ) ( CITY ?auto_29094 ) ( AT ?auto_29086 ?auto_29095 ) ( IN-CITY ?auto_29095 ?auto_29094 ) ( IN-CITY ?auto_29089 ?auto_29094 ) ( DIFFERENT ?auto_29089 ?auto_29095 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_29086 ?auto_29095 ?auto_29089 ?auto_29094 )
      ( DELIVER-PKG ?auto_29082 ?auto_29083 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29109
      ?auto_29110
    )
    :vars
    (
      ?auto_29116
      ?auto_29118
      ?auto_29111
      ?auto_29115
      ?auto_29119
      ?auto_29114
      ?auto_29113
      ?auto_29122
    )
    :precondition
    ( and ( OBJ ?auto_29109 ) ( LOCATION ?auto_29110 ) ( TRUCK ?auto_29116 ) ( LOCATION ?auto_29118 ) ( CITY ?auto_29111 ) ( IN-CITY ?auto_29118 ?auto_29111 ) ( IN-CITY ?auto_29110 ?auto_29111 ) ( DIFFERENT ?auto_29110 ?auto_29118 ) ( AIRPLANE ?auto_29115 ) ( AIRPORT ?auto_29119 ) ( AIRPORT ?auto_29118 ) ( DIFFERENT ?auto_29118 ?auto_29119 ) ( LOCATION ?auto_29119 ) ( AT ?auto_29109 ?auto_29119 ) ( LOCATION ?auto_29114 ) ( CITY ?auto_29113 ) ( AT ?auto_29116 ?auto_29114 ) ( IN-CITY ?auto_29114 ?auto_29113 ) ( IN-CITY ?auto_29118 ?auto_29113 ) ( DIFFERENT ?auto_29118 ?auto_29114 ) ( AIRPORT ?auto_29122 ) ( AT ?auto_29115 ?auto_29122 ) ( DIFFERENT ?auto_29119 ?auto_29122 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_29115 ?auto_29122 ?auto_29119 )
      ( DELIVER-PKG ?auto_29109 ?auto_29110 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29408
      ?auto_29409
    )
    :vars
    (
      ?auto_29412
      ?auto_29415
      ?auto_29410
      ?auto_29417
      ?auto_29416
      ?auto_29418
      ?auto_29421
      ?auto_29420
    )
    :precondition
    ( and ( OBJ ?auto_29408 ) ( LOCATION ?auto_29409 ) ( TRUCK ?auto_29412 ) ( LOCATION ?auto_29415 ) ( CITY ?auto_29410 ) ( IN-CITY ?auto_29415 ?auto_29410 ) ( IN-CITY ?auto_29409 ?auto_29410 ) ( DIFFERENT ?auto_29409 ?auto_29415 ) ( AIRPLANE ?auto_29417 ) ( AIRPORT ?auto_29416 ) ( AIRPORT ?auto_29415 ) ( DIFFERENT ?auto_29415 ?auto_29416 ) ( LOCATION ?auto_29416 ) ( AT ?auto_29408 ?auto_29416 ) ( AIRPORT ?auto_29418 ) ( AT ?auto_29417 ?auto_29418 ) ( DIFFERENT ?auto_29416 ?auto_29418 ) ( LOCATION ?auto_29421 ) ( CITY ?auto_29420 ) ( AT ?auto_29412 ?auto_29421 ) ( IN-CITY ?auto_29421 ?auto_29420 ) ( IN-CITY ?auto_29415 ?auto_29420 ) ( DIFFERENT ?auto_29415 ?auto_29421 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_29412 ?auto_29421 ?auto_29415 ?auto_29420 )
      ( DELIVER-PKG ?auto_29408 ?auto_29409 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29447
      ?auto_29448
    )
    :vars
    (
      ?auto_29451
      ?auto_29452
      ?auto_29450
      ?auto_29454
      ?auto_29453
      ?auto_29455
      ?auto_29457
      ?auto_29456
      ?auto_29460
    )
    :precondition
    ( and ( OBJ ?auto_29447 ) ( LOCATION ?auto_29448 ) ( TRUCK ?auto_29451 ) ( LOCATION ?auto_29452 ) ( CITY ?auto_29450 ) ( IN-CITY ?auto_29452 ?auto_29450 ) ( IN-CITY ?auto_29448 ?auto_29450 ) ( DIFFERENT ?auto_29448 ?auto_29452 ) ( AIRPLANE ?auto_29454 ) ( AIRPORT ?auto_29453 ) ( AIRPORT ?auto_29452 ) ( DIFFERENT ?auto_29452 ?auto_29453 ) ( LOCATION ?auto_29453 ) ( AT ?auto_29447 ?auto_29453 ) ( AIRPORT ?auto_29455 ) ( DIFFERENT ?auto_29453 ?auto_29455 ) ( LOCATION ?auto_29457 ) ( CITY ?auto_29456 ) ( AT ?auto_29451 ?auto_29457 ) ( IN-CITY ?auto_29457 ?auto_29456 ) ( IN-CITY ?auto_29452 ?auto_29456 ) ( DIFFERENT ?auto_29452 ?auto_29457 ) ( AIRPORT ?auto_29460 ) ( AT ?auto_29454 ?auto_29460 ) ( DIFFERENT ?auto_29455 ?auto_29460 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_29454 ?auto_29460 ?auto_29455 )
      ( DELIVER-PKG ?auto_29447 ?auto_29448 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32031
      ?auto_32032
    )
    :vars
    (
      ?auto_32038
      ?auto_32033
      ?auto_32035
      ?auto_32037
      ?auto_32034
      ?auto_32040
      ?auto_32039
      ?auto_32044
      ?auto_32043
    )
    :precondition
    ( and ( OBJ ?auto_32031 ) ( LOCATION ?auto_32032 ) ( AIRPLANE ?auto_32038 ) ( AIRPORT ?auto_32033 ) ( AIRPORT ?auto_32032 ) ( DIFFERENT ?auto_32032 ?auto_32033 ) ( LOCATION ?auto_32033 ) ( AIRPORT ?auto_32035 ) ( DIFFERENT ?auto_32033 ?auto_32035 ) ( TRUCK ?auto_32037 ) ( IN ?auto_32031 ?auto_32037 ) ( AIRPORT ?auto_32034 ) ( AT ?auto_32038 ?auto_32034 ) ( DIFFERENT ?auto_32035 ?auto_32034 ) ( LOCATION ?auto_32040 ) ( CITY ?auto_32039 ) ( IN-CITY ?auto_32040 ?auto_32039 ) ( IN-CITY ?auto_32033 ?auto_32039 ) ( DIFFERENT ?auto_32033 ?auto_32040 ) ( LOCATION ?auto_32044 ) ( CITY ?auto_32043 ) ( AT ?auto_32037 ?auto_32044 ) ( IN-CITY ?auto_32044 ?auto_32043 ) ( IN-CITY ?auto_32040 ?auto_32043 ) ( DIFFERENT ?auto_32040 ?auto_32044 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32037 ?auto_32044 ?auto_32040 ?auto_32043 )
      ( DELIVER-PKG ?auto_32031 ?auto_32032 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32046
      ?auto_32047
    )
    :vars
    (
      ?auto_32054
      ?auto_32051
      ?auto_32049
      ?auto_32053
      ?auto_32048
      ?auto_32056
      ?auto_32055
      ?auto_32058
      ?auto_32057
      ?auto_32060
    )
    :precondition
    ( and ( OBJ ?auto_32046 ) ( LOCATION ?auto_32047 ) ( AIRPLANE ?auto_32054 ) ( AIRPORT ?auto_32051 ) ( AIRPORT ?auto_32047 ) ( DIFFERENT ?auto_32047 ?auto_32051 ) ( LOCATION ?auto_32051 ) ( AIRPORT ?auto_32049 ) ( DIFFERENT ?auto_32051 ?auto_32049 ) ( TRUCK ?auto_32053 ) ( IN ?auto_32046 ?auto_32053 ) ( AIRPORT ?auto_32048 ) ( DIFFERENT ?auto_32049 ?auto_32048 ) ( LOCATION ?auto_32056 ) ( CITY ?auto_32055 ) ( IN-CITY ?auto_32056 ?auto_32055 ) ( IN-CITY ?auto_32051 ?auto_32055 ) ( DIFFERENT ?auto_32051 ?auto_32056 ) ( LOCATION ?auto_32058 ) ( CITY ?auto_32057 ) ( AT ?auto_32053 ?auto_32058 ) ( IN-CITY ?auto_32058 ?auto_32057 ) ( IN-CITY ?auto_32056 ?auto_32057 ) ( DIFFERENT ?auto_32056 ?auto_32058 ) ( AIRPORT ?auto_32060 ) ( AT ?auto_32054 ?auto_32060 ) ( DIFFERENT ?auto_32048 ?auto_32060 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32054 ?auto_32060 ?auto_32048 )
      ( DELIVER-PKG ?auto_32046 ?auto_32047 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32090
      ?auto_32091
    )
    :vars
    (
      ?auto_32096
      ?auto_32103
      ?auto_32102
      ?auto_32092
      ?auto_32100
      ?auto_32095
      ?auto_32101
      ?auto_32094
      ?auto_32093
      ?auto_32098
      ?auto_32105
    )
    :precondition
    ( and ( OBJ ?auto_32090 ) ( LOCATION ?auto_32091 ) ( AIRPLANE ?auto_32096 ) ( AIRPORT ?auto_32103 ) ( AIRPORT ?auto_32091 ) ( DIFFERENT ?auto_32091 ?auto_32103 ) ( LOCATION ?auto_32103 ) ( AIRPORT ?auto_32102 ) ( DIFFERENT ?auto_32103 ?auto_32102 ) ( TRUCK ?auto_32092 ) ( AIRPORT ?auto_32100 ) ( DIFFERENT ?auto_32102 ?auto_32100 ) ( LOCATION ?auto_32095 ) ( CITY ?auto_32101 ) ( IN-CITY ?auto_32095 ?auto_32101 ) ( IN-CITY ?auto_32103 ?auto_32101 ) ( DIFFERENT ?auto_32103 ?auto_32095 ) ( LOCATION ?auto_32094 ) ( CITY ?auto_32093 ) ( AT ?auto_32092 ?auto_32094 ) ( IN-CITY ?auto_32094 ?auto_32093 ) ( IN-CITY ?auto_32095 ?auto_32093 ) ( DIFFERENT ?auto_32095 ?auto_32094 ) ( AIRPORT ?auto_32098 ) ( AT ?auto_32096 ?auto_32098 ) ( DIFFERENT ?auto_32100 ?auto_32098 ) ( LOCATION ?auto_32105 ) ( AT ?auto_32092 ?auto_32105 ) ( AT ?auto_32090 ?auto_32105 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_32090 ?auto_32092 ?auto_32105 )
      ( DELIVER-PKG ?auto_32090 ?auto_32091 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32122
      ?auto_32123
    )
    :vars
    (
      ?auto_32134
      ?auto_32130
      ?auto_32129
      ?auto_32125
      ?auto_32127
      ?auto_32133
      ?auto_32128
      ?auto_32126
      ?auto_32132
      ?auto_32135
      ?auto_32136
      ?auto_32138
    )
    :precondition
    ( and ( OBJ ?auto_32122 ) ( LOCATION ?auto_32123 ) ( AIRPLANE ?auto_32134 ) ( AIRPORT ?auto_32130 ) ( AIRPORT ?auto_32123 ) ( DIFFERENT ?auto_32123 ?auto_32130 ) ( LOCATION ?auto_32130 ) ( AIRPORT ?auto_32129 ) ( DIFFERENT ?auto_32130 ?auto_32129 ) ( TRUCK ?auto_32125 ) ( AIRPORT ?auto_32127 ) ( DIFFERENT ?auto_32129 ?auto_32127 ) ( LOCATION ?auto_32133 ) ( CITY ?auto_32128 ) ( IN-CITY ?auto_32133 ?auto_32128 ) ( IN-CITY ?auto_32130 ?auto_32128 ) ( DIFFERENT ?auto_32130 ?auto_32133 ) ( LOCATION ?auto_32126 ) ( CITY ?auto_32132 ) ( AT ?auto_32125 ?auto_32126 ) ( IN-CITY ?auto_32126 ?auto_32132 ) ( IN-CITY ?auto_32133 ?auto_32132 ) ( DIFFERENT ?auto_32133 ?auto_32126 ) ( AIRPORT ?auto_32135 ) ( DIFFERENT ?auto_32127 ?auto_32135 ) ( LOCATION ?auto_32136 ) ( AT ?auto_32125 ?auto_32136 ) ( AT ?auto_32122 ?auto_32136 ) ( AIRPORT ?auto_32138 ) ( AT ?auto_32134 ?auto_32138 ) ( DIFFERENT ?auto_32135 ?auto_32138 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32134 ?auto_32138 ?auto_32135 )
      ( DELIVER-PKG ?auto_32122 ?auto_32123 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32329
      ?auto_32330
    )
    :vars
    (
      ?auto_32332
      ?auto_32340
      ?auto_32331
      ?auto_32339
      ?auto_32338
      ?auto_32337
      ?auto_32334
      ?auto_32333
      ?auto_32342
    )
    :precondition
    ( and ( OBJ ?auto_32329 ) ( LOCATION ?auto_32330 ) ( AIRPLANE ?auto_32332 ) ( AIRPORT ?auto_32340 ) ( AIRPORT ?auto_32330 ) ( DIFFERENT ?auto_32330 ?auto_32340 ) ( LOCATION ?auto_32340 ) ( TRUCK ?auto_32331 ) ( LOCATION ?auto_32339 ) ( CITY ?auto_32338 ) ( IN-CITY ?auto_32339 ?auto_32338 ) ( IN-CITY ?auto_32340 ?auto_32338 ) ( DIFFERENT ?auto_32340 ?auto_32339 ) ( AT ?auto_32329 ?auto_32339 ) ( AIRPORT ?auto_32337 ) ( DIFFERENT ?auto_32340 ?auto_32337 ) ( LOCATION ?auto_32334 ) ( CITY ?auto_32333 ) ( AT ?auto_32331 ?auto_32334 ) ( IN-CITY ?auto_32334 ?auto_32333 ) ( IN-CITY ?auto_32339 ?auto_32333 ) ( DIFFERENT ?auto_32339 ?auto_32334 ) ( AIRPORT ?auto_32342 ) ( AT ?auto_32332 ?auto_32342 ) ( DIFFERENT ?auto_32337 ?auto_32342 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32332 ?auto_32342 ?auto_32337 )
      ( DELIVER-PKG ?auto_32329 ?auto_32330 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32404
      ?auto_32405
    )
    :vars
    (
      ?auto_32409
      ?auto_32413
      ?auto_32415
      ?auto_32412
      ?auto_32411
      ?auto_32410
      ?auto_32408
      ?auto_32407
      ?auto_32414
      ?auto_32418
      ?auto_32417
      ?auto_32421
      ?auto_32420
    )
    :precondition
    ( and ( OBJ ?auto_32404 ) ( LOCATION ?auto_32405 ) ( AIRPLANE ?auto_32409 ) ( AIRPORT ?auto_32413 ) ( AIRPORT ?auto_32405 ) ( DIFFERENT ?auto_32405 ?auto_32413 ) ( LOCATION ?auto_32413 ) ( TRUCK ?auto_32415 ) ( LOCATION ?auto_32412 ) ( CITY ?auto_32411 ) ( IN-CITY ?auto_32412 ?auto_32411 ) ( IN-CITY ?auto_32413 ?auto_32411 ) ( DIFFERENT ?auto_32413 ?auto_32412 ) ( AT ?auto_32404 ?auto_32412 ) ( AIRPORT ?auto_32410 ) ( DIFFERENT ?auto_32413 ?auto_32410 ) ( LOCATION ?auto_32408 ) ( CITY ?auto_32407 ) ( IN-CITY ?auto_32408 ?auto_32407 ) ( IN-CITY ?auto_32412 ?auto_32407 ) ( DIFFERENT ?auto_32412 ?auto_32408 ) ( AIRPORT ?auto_32414 ) ( AT ?auto_32409 ?auto_32414 ) ( DIFFERENT ?auto_32410 ?auto_32414 ) ( LOCATION ?auto_32418 ) ( CITY ?auto_32417 ) ( IN-CITY ?auto_32418 ?auto_32417 ) ( IN-CITY ?auto_32408 ?auto_32417 ) ( DIFFERENT ?auto_32408 ?auto_32418 ) ( LOCATION ?auto_32421 ) ( CITY ?auto_32420 ) ( AT ?auto_32415 ?auto_32421 ) ( IN-CITY ?auto_32421 ?auto_32420 ) ( IN-CITY ?auto_32418 ?auto_32420 ) ( DIFFERENT ?auto_32418 ?auto_32421 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32415 ?auto_32421 ?auto_32418 ?auto_32420 )
      ( DELIVER-PKG ?auto_32404 ?auto_32405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32423
      ?auto_32424
    )
    :vars
    (
      ?auto_32427
      ?auto_32433
      ?auto_32435
      ?auto_32432
      ?auto_32431
      ?auto_32430
      ?auto_32429
      ?auto_32426
      ?auto_32434
      ?auto_32437
      ?auto_32436
      ?auto_32439
      ?auto_32438
      ?auto_32441
    )
    :precondition
    ( and ( OBJ ?auto_32423 ) ( LOCATION ?auto_32424 ) ( AIRPLANE ?auto_32427 ) ( AIRPORT ?auto_32433 ) ( AIRPORT ?auto_32424 ) ( DIFFERENT ?auto_32424 ?auto_32433 ) ( LOCATION ?auto_32433 ) ( TRUCK ?auto_32435 ) ( LOCATION ?auto_32432 ) ( CITY ?auto_32431 ) ( IN-CITY ?auto_32432 ?auto_32431 ) ( IN-CITY ?auto_32433 ?auto_32431 ) ( DIFFERENT ?auto_32433 ?auto_32432 ) ( AT ?auto_32423 ?auto_32432 ) ( AIRPORT ?auto_32430 ) ( DIFFERENT ?auto_32433 ?auto_32430 ) ( LOCATION ?auto_32429 ) ( CITY ?auto_32426 ) ( IN-CITY ?auto_32429 ?auto_32426 ) ( IN-CITY ?auto_32432 ?auto_32426 ) ( DIFFERENT ?auto_32432 ?auto_32429 ) ( AIRPORT ?auto_32434 ) ( DIFFERENT ?auto_32430 ?auto_32434 ) ( LOCATION ?auto_32437 ) ( CITY ?auto_32436 ) ( IN-CITY ?auto_32437 ?auto_32436 ) ( IN-CITY ?auto_32429 ?auto_32436 ) ( DIFFERENT ?auto_32429 ?auto_32437 ) ( LOCATION ?auto_32439 ) ( CITY ?auto_32438 ) ( AT ?auto_32435 ?auto_32439 ) ( IN-CITY ?auto_32439 ?auto_32438 ) ( IN-CITY ?auto_32437 ?auto_32438 ) ( DIFFERENT ?auto_32437 ?auto_32439 ) ( AIRPORT ?auto_32441 ) ( AT ?auto_32427 ?auto_32441 ) ( DIFFERENT ?auto_32434 ?auto_32441 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32427 ?auto_32441 ?auto_32434 )
      ( DELIVER-PKG ?auto_32423 ?auto_32424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32515
      ?auto_32516
    )
    :vars
    (
      ?auto_32531
      ?auto_32523
      ?auto_32528
      ?auto_32518
      ?auto_32519
      ?auto_32532
      ?auto_32530
      ?auto_32527
      ?auto_32526
      ?auto_32524
      ?auto_32521
      ?auto_32520
      ?auto_32525
      ?auto_32522
      ?auto_32534
    )
    :precondition
    ( and ( OBJ ?auto_32515 ) ( LOCATION ?auto_32516 ) ( AIRPLANE ?auto_32531 ) ( AIRPORT ?auto_32523 ) ( AIRPORT ?auto_32516 ) ( DIFFERENT ?auto_32516 ?auto_32523 ) ( LOCATION ?auto_32523 ) ( TRUCK ?auto_32528 ) ( LOCATION ?auto_32518 ) ( CITY ?auto_32519 ) ( IN-CITY ?auto_32518 ?auto_32519 ) ( IN-CITY ?auto_32523 ?auto_32519 ) ( DIFFERENT ?auto_32523 ?auto_32518 ) ( AT ?auto_32515 ?auto_32518 ) ( AIRPORT ?auto_32532 ) ( DIFFERENT ?auto_32523 ?auto_32532 ) ( LOCATION ?auto_32530 ) ( CITY ?auto_32527 ) ( IN-CITY ?auto_32530 ?auto_32527 ) ( IN-CITY ?auto_32518 ?auto_32527 ) ( DIFFERENT ?auto_32518 ?auto_32530 ) ( AIRPORT ?auto_32526 ) ( DIFFERENT ?auto_32532 ?auto_32526 ) ( LOCATION ?auto_32524 ) ( CITY ?auto_32521 ) ( IN-CITY ?auto_32524 ?auto_32521 ) ( IN-CITY ?auto_32530 ?auto_32521 ) ( DIFFERENT ?auto_32530 ?auto_32524 ) ( LOCATION ?auto_32520 ) ( CITY ?auto_32525 ) ( AT ?auto_32528 ?auto_32520 ) ( IN-CITY ?auto_32520 ?auto_32525 ) ( IN-CITY ?auto_32524 ?auto_32525 ) ( DIFFERENT ?auto_32524 ?auto_32520 ) ( AIRPORT ?auto_32522 ) ( DIFFERENT ?auto_32526 ?auto_32522 ) ( AIRPORT ?auto_32534 ) ( AT ?auto_32531 ?auto_32534 ) ( DIFFERENT ?auto_32522 ?auto_32534 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32531 ?auto_32534 ?auto_32522 )
      ( DELIVER-PKG ?auto_32515 ?auto_32516 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32963
      ?auto_32964
    )
    :vars
    (
      ?auto_32968
      ?auto_32969
      ?auto_32970
      ?auto_32966
      ?auto_32967
      ?auto_32971
      ?auto_32973
      ?auto_32975
    )
    :precondition
    ( and ( OBJ ?auto_32963 ) ( LOCATION ?auto_32964 ) ( TRUCK ?auto_32968 ) ( LOCATION ?auto_32969 ) ( CITY ?auto_32970 ) ( AT ?auto_32968 ?auto_32969 ) ( IN-CITY ?auto_32969 ?auto_32970 ) ( IN-CITY ?auto_32964 ?auto_32970 ) ( DIFFERENT ?auto_32964 ?auto_32969 ) ( LOCATION ?auto_32966 ) ( AT ?auto_32968 ?auto_32966 ) ( AIRPLANE ?auto_32967 ) ( AIRPORT ?auto_32971 ) ( AIRPORT ?auto_32966 ) ( DIFFERENT ?auto_32966 ?auto_32971 ) ( LOCATION ?auto_32971 ) ( AIRPORT ?auto_32973 ) ( AT ?auto_32967 ?auto_32973 ) ( DIFFERENT ?auto_32971 ?auto_32973 ) ( TRUCK ?auto_32975 ) ( AT ?auto_32975 ?auto_32971 ) ( IN ?auto_32963 ?auto_32975 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32963 ?auto_32971 )
      ( DELIVER-PKG ?auto_32963 ?auto_32964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32977
      ?auto_32978
    )
    :vars
    (
      ?auto_32984
      ?auto_32985
      ?auto_32986
      ?auto_32982
      ?auto_32983
      ?auto_32987
      ?auto_32988
      ?auto_32980
      ?auto_32990
    )
    :precondition
    ( and ( OBJ ?auto_32977 ) ( LOCATION ?auto_32978 ) ( TRUCK ?auto_32984 ) ( LOCATION ?auto_32985 ) ( CITY ?auto_32986 ) ( AT ?auto_32984 ?auto_32985 ) ( IN-CITY ?auto_32985 ?auto_32986 ) ( IN-CITY ?auto_32978 ?auto_32986 ) ( DIFFERENT ?auto_32978 ?auto_32985 ) ( LOCATION ?auto_32982 ) ( AT ?auto_32984 ?auto_32982 ) ( AIRPLANE ?auto_32983 ) ( AIRPORT ?auto_32987 ) ( AIRPORT ?auto_32982 ) ( DIFFERENT ?auto_32982 ?auto_32987 ) ( LOCATION ?auto_32987 ) ( AIRPORT ?auto_32988 ) ( DIFFERENT ?auto_32987 ?auto_32988 ) ( TRUCK ?auto_32980 ) ( AT ?auto_32980 ?auto_32987 ) ( IN ?auto_32977 ?auto_32980 ) ( AIRPORT ?auto_32990 ) ( AT ?auto_32983 ?auto_32990 ) ( DIFFERENT ?auto_32988 ?auto_32990 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32983 ?auto_32990 ?auto_32988 )
      ( DELIVER-PKG ?auto_32977 ?auto_32978 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33005
      ?auto_33006
    )
    :vars
    (
      ?auto_33012
      ?auto_33010
      ?auto_33015
      ?auto_33009
      ?auto_33014
      ?auto_33007
      ?auto_33008
      ?auto_33017
      ?auto_33011
      ?auto_33020
      ?auto_33019
    )
    :precondition
    ( and ( OBJ ?auto_33005 ) ( LOCATION ?auto_33006 ) ( TRUCK ?auto_33012 ) ( LOCATION ?auto_33010 ) ( CITY ?auto_33015 ) ( AT ?auto_33012 ?auto_33010 ) ( IN-CITY ?auto_33010 ?auto_33015 ) ( IN-CITY ?auto_33006 ?auto_33015 ) ( DIFFERENT ?auto_33006 ?auto_33010 ) ( LOCATION ?auto_33009 ) ( AT ?auto_33012 ?auto_33009 ) ( AIRPLANE ?auto_33014 ) ( AIRPORT ?auto_33007 ) ( AIRPORT ?auto_33009 ) ( DIFFERENT ?auto_33009 ?auto_33007 ) ( LOCATION ?auto_33007 ) ( AIRPORT ?auto_33008 ) ( DIFFERENT ?auto_33007 ?auto_33008 ) ( TRUCK ?auto_33017 ) ( IN ?auto_33005 ?auto_33017 ) ( AIRPORT ?auto_33011 ) ( AT ?auto_33014 ?auto_33011 ) ( DIFFERENT ?auto_33008 ?auto_33011 ) ( LOCATION ?auto_33020 ) ( CITY ?auto_33019 ) ( AT ?auto_33017 ?auto_33020 ) ( IN-CITY ?auto_33020 ?auto_33019 ) ( IN-CITY ?auto_33007 ?auto_33019 ) ( DIFFERENT ?auto_33007 ?auto_33020 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33017 ?auto_33020 ?auto_33007 ?auto_33019 )
      ( DELIVER-PKG ?auto_33005 ?auto_33006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33052
      ?auto_33053
    )
    :vars
    (
      ?auto_33056
      ?auto_33055
      ?auto_33054
      ?auto_33063
      ?auto_33057
      ?auto_33060
      ?auto_33061
      ?auto_33059
      ?auto_33058
      ?auto_33066
      ?auto_33065
      ?auto_33069
      ?auto_33068
    )
    :precondition
    ( and ( OBJ ?auto_33052 ) ( LOCATION ?auto_33053 ) ( TRUCK ?auto_33056 ) ( LOCATION ?auto_33055 ) ( CITY ?auto_33054 ) ( AT ?auto_33056 ?auto_33055 ) ( IN-CITY ?auto_33055 ?auto_33054 ) ( IN-CITY ?auto_33053 ?auto_33054 ) ( DIFFERENT ?auto_33053 ?auto_33055 ) ( LOCATION ?auto_33063 ) ( AT ?auto_33056 ?auto_33063 ) ( AIRPLANE ?auto_33057 ) ( AIRPORT ?auto_33060 ) ( AIRPORT ?auto_33063 ) ( DIFFERENT ?auto_33063 ?auto_33060 ) ( LOCATION ?auto_33060 ) ( AIRPORT ?auto_33061 ) ( DIFFERENT ?auto_33060 ?auto_33061 ) ( TRUCK ?auto_33059 ) ( IN ?auto_33052 ?auto_33059 ) ( AIRPORT ?auto_33058 ) ( AT ?auto_33057 ?auto_33058 ) ( DIFFERENT ?auto_33061 ?auto_33058 ) ( LOCATION ?auto_33066 ) ( CITY ?auto_33065 ) ( IN-CITY ?auto_33066 ?auto_33065 ) ( IN-CITY ?auto_33060 ?auto_33065 ) ( DIFFERENT ?auto_33060 ?auto_33066 ) ( LOCATION ?auto_33069 ) ( CITY ?auto_33068 ) ( AT ?auto_33059 ?auto_33069 ) ( IN-CITY ?auto_33069 ?auto_33068 ) ( IN-CITY ?auto_33066 ?auto_33068 ) ( DIFFERENT ?auto_33066 ?auto_33069 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33059 ?auto_33069 ?auto_33066 ?auto_33068 )
      ( DELIVER-PKG ?auto_33052 ?auto_33053 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33071
      ?auto_33072
    )
    :vars
    (
      ?auto_33077
      ?auto_33076
      ?auto_33073
      ?auto_33084
      ?auto_33079
      ?auto_33082
      ?auto_33083
      ?auto_33081
      ?auto_33080
      ?auto_33075
      ?auto_33074
      ?auto_33087
      ?auto_33086
      ?auto_33089
    )
    :precondition
    ( and ( OBJ ?auto_33071 ) ( LOCATION ?auto_33072 ) ( TRUCK ?auto_33077 ) ( LOCATION ?auto_33076 ) ( CITY ?auto_33073 ) ( AT ?auto_33077 ?auto_33076 ) ( IN-CITY ?auto_33076 ?auto_33073 ) ( IN-CITY ?auto_33072 ?auto_33073 ) ( DIFFERENT ?auto_33072 ?auto_33076 ) ( LOCATION ?auto_33084 ) ( AT ?auto_33077 ?auto_33084 ) ( AIRPLANE ?auto_33079 ) ( AIRPORT ?auto_33082 ) ( AIRPORT ?auto_33084 ) ( DIFFERENT ?auto_33084 ?auto_33082 ) ( LOCATION ?auto_33082 ) ( AIRPORT ?auto_33083 ) ( DIFFERENT ?auto_33082 ?auto_33083 ) ( TRUCK ?auto_33081 ) ( IN ?auto_33071 ?auto_33081 ) ( AIRPORT ?auto_33080 ) ( DIFFERENT ?auto_33083 ?auto_33080 ) ( LOCATION ?auto_33075 ) ( CITY ?auto_33074 ) ( IN-CITY ?auto_33075 ?auto_33074 ) ( IN-CITY ?auto_33082 ?auto_33074 ) ( DIFFERENT ?auto_33082 ?auto_33075 ) ( LOCATION ?auto_33087 ) ( CITY ?auto_33086 ) ( AT ?auto_33081 ?auto_33087 ) ( IN-CITY ?auto_33087 ?auto_33086 ) ( IN-CITY ?auto_33075 ?auto_33086 ) ( DIFFERENT ?auto_33075 ?auto_33087 ) ( AIRPORT ?auto_33089 ) ( AT ?auto_33079 ?auto_33089 ) ( DIFFERENT ?auto_33080 ?auto_33089 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33079 ?auto_33089 ?auto_33080 )
      ( DELIVER-PKG ?auto_33071 ?auto_33072 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33127
      ?auto_33128
    )
    :vars
    (
      ?auto_33129
      ?auto_33144
      ?auto_33142
      ?auto_33135
      ?auto_33134
      ?auto_33137
      ?auto_33140
      ?auto_33133
      ?auto_33132
      ?auto_33143
      ?auto_33141
      ?auto_33139
      ?auto_33130
      ?auto_33136
      ?auto_33146
    )
    :precondition
    ( and ( OBJ ?auto_33127 ) ( LOCATION ?auto_33128 ) ( TRUCK ?auto_33129 ) ( LOCATION ?auto_33144 ) ( CITY ?auto_33142 ) ( AT ?auto_33129 ?auto_33144 ) ( IN-CITY ?auto_33144 ?auto_33142 ) ( IN-CITY ?auto_33128 ?auto_33142 ) ( DIFFERENT ?auto_33128 ?auto_33144 ) ( LOCATION ?auto_33135 ) ( AT ?auto_33129 ?auto_33135 ) ( AIRPLANE ?auto_33134 ) ( AIRPORT ?auto_33137 ) ( AIRPORT ?auto_33135 ) ( DIFFERENT ?auto_33135 ?auto_33137 ) ( LOCATION ?auto_33137 ) ( AIRPORT ?auto_33140 ) ( DIFFERENT ?auto_33137 ?auto_33140 ) ( TRUCK ?auto_33133 ) ( AIRPORT ?auto_33132 ) ( DIFFERENT ?auto_33140 ?auto_33132 ) ( LOCATION ?auto_33143 ) ( CITY ?auto_33141 ) ( IN-CITY ?auto_33143 ?auto_33141 ) ( IN-CITY ?auto_33137 ?auto_33141 ) ( DIFFERENT ?auto_33137 ?auto_33143 ) ( LOCATION ?auto_33139 ) ( CITY ?auto_33130 ) ( AT ?auto_33133 ?auto_33139 ) ( IN-CITY ?auto_33139 ?auto_33130 ) ( IN-CITY ?auto_33143 ?auto_33130 ) ( DIFFERENT ?auto_33143 ?auto_33139 ) ( AIRPORT ?auto_33136 ) ( AT ?auto_33134 ?auto_33136 ) ( DIFFERENT ?auto_33132 ?auto_33136 ) ( LOCATION ?auto_33146 ) ( AT ?auto_33133 ?auto_33146 ) ( AT ?auto_33127 ?auto_33146 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_33127 ?auto_33133 ?auto_33146 )
      ( DELIVER-PKG ?auto_33127 ?auto_33128 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33148
      ?auto_33149
    )
    :vars
    (
      ?auto_33150
      ?auto_33154
      ?auto_33161
      ?auto_33153
      ?auto_33157
      ?auto_33159
      ?auto_33152
      ?auto_33155
      ?auto_33164
      ?auto_33160
      ?auto_33158
      ?auto_33151
      ?auto_33156
      ?auto_33166
      ?auto_33169
      ?auto_33168
    )
    :precondition
    ( and ( OBJ ?auto_33148 ) ( LOCATION ?auto_33149 ) ( TRUCK ?auto_33150 ) ( LOCATION ?auto_33154 ) ( CITY ?auto_33161 ) ( IN-CITY ?auto_33154 ?auto_33161 ) ( IN-CITY ?auto_33149 ?auto_33161 ) ( DIFFERENT ?auto_33149 ?auto_33154 ) ( AIRPLANE ?auto_33153 ) ( AIRPORT ?auto_33157 ) ( AIRPORT ?auto_33154 ) ( DIFFERENT ?auto_33154 ?auto_33157 ) ( LOCATION ?auto_33157 ) ( AIRPORT ?auto_33159 ) ( DIFFERENT ?auto_33157 ?auto_33159 ) ( TRUCK ?auto_33152 ) ( AIRPORT ?auto_33155 ) ( DIFFERENT ?auto_33159 ?auto_33155 ) ( LOCATION ?auto_33164 ) ( CITY ?auto_33160 ) ( IN-CITY ?auto_33164 ?auto_33160 ) ( IN-CITY ?auto_33157 ?auto_33160 ) ( DIFFERENT ?auto_33157 ?auto_33164 ) ( LOCATION ?auto_33158 ) ( CITY ?auto_33151 ) ( AT ?auto_33152 ?auto_33158 ) ( IN-CITY ?auto_33158 ?auto_33151 ) ( IN-CITY ?auto_33164 ?auto_33151 ) ( DIFFERENT ?auto_33164 ?auto_33158 ) ( AIRPORT ?auto_33156 ) ( AT ?auto_33153 ?auto_33156 ) ( DIFFERENT ?auto_33155 ?auto_33156 ) ( LOCATION ?auto_33166 ) ( AT ?auto_33152 ?auto_33166 ) ( AT ?auto_33148 ?auto_33166 ) ( LOCATION ?auto_33169 ) ( CITY ?auto_33168 ) ( AT ?auto_33150 ?auto_33169 ) ( IN-CITY ?auto_33169 ?auto_33168 ) ( IN-CITY ?auto_33154 ?auto_33168 ) ( DIFFERENT ?auto_33154 ?auto_33169 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33150 ?auto_33169 ?auto_33154 ?auto_33168 )
      ( DELIVER-PKG ?auto_33148 ?auto_33149 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33171
      ?auto_33172
    )
    :vars
    (
      ?auto_33173
      ?auto_33177
      ?auto_33185
      ?auto_33190
      ?auto_33174
      ?auto_33176
      ?auto_33187
      ?auto_33180
      ?auto_33188
      ?auto_33181
      ?auto_33175
      ?auto_33189
      ?auto_33182
      ?auto_33183
      ?auto_33184
      ?auto_33179
      ?auto_33192
    )
    :precondition
    ( and ( OBJ ?auto_33171 ) ( LOCATION ?auto_33172 ) ( TRUCK ?auto_33173 ) ( LOCATION ?auto_33177 ) ( CITY ?auto_33185 ) ( IN-CITY ?auto_33177 ?auto_33185 ) ( IN-CITY ?auto_33172 ?auto_33185 ) ( DIFFERENT ?auto_33172 ?auto_33177 ) ( AIRPLANE ?auto_33190 ) ( AIRPORT ?auto_33174 ) ( AIRPORT ?auto_33177 ) ( DIFFERENT ?auto_33177 ?auto_33174 ) ( LOCATION ?auto_33174 ) ( AIRPORT ?auto_33176 ) ( DIFFERENT ?auto_33174 ?auto_33176 ) ( TRUCK ?auto_33187 ) ( AIRPORT ?auto_33180 ) ( DIFFERENT ?auto_33176 ?auto_33180 ) ( LOCATION ?auto_33188 ) ( CITY ?auto_33181 ) ( IN-CITY ?auto_33188 ?auto_33181 ) ( IN-CITY ?auto_33174 ?auto_33181 ) ( DIFFERENT ?auto_33174 ?auto_33188 ) ( LOCATION ?auto_33175 ) ( CITY ?auto_33189 ) ( AT ?auto_33187 ?auto_33175 ) ( IN-CITY ?auto_33175 ?auto_33189 ) ( IN-CITY ?auto_33188 ?auto_33189 ) ( DIFFERENT ?auto_33188 ?auto_33175 ) ( AIRPORT ?auto_33182 ) ( DIFFERENT ?auto_33180 ?auto_33182 ) ( LOCATION ?auto_33183 ) ( AT ?auto_33187 ?auto_33183 ) ( AT ?auto_33171 ?auto_33183 ) ( LOCATION ?auto_33184 ) ( CITY ?auto_33179 ) ( AT ?auto_33173 ?auto_33184 ) ( IN-CITY ?auto_33184 ?auto_33179 ) ( IN-CITY ?auto_33177 ?auto_33179 ) ( DIFFERENT ?auto_33177 ?auto_33184 ) ( AIRPORT ?auto_33192 ) ( AT ?auto_33190 ?auto_33192 ) ( DIFFERENT ?auto_33182 ?auto_33192 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33190 ?auto_33192 ?auto_33182 )
      ( DELIVER-PKG ?auto_33171 ?auto_33172 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33770
      ?auto_33771
    )
    :vars
    (
      ?auto_33783
      ?auto_33777
      ?auto_33782
      ?auto_33784
      ?auto_33785
      ?auto_33781
      ?auto_33775
      ?auto_33776
      ?auto_33773
      ?auto_33780
      ?auto_33779
      ?auto_33786
      ?auto_33788
    )
    :precondition
    ( and ( OBJ ?auto_33770 ) ( LOCATION ?auto_33771 ) ( TRUCK ?auto_33783 ) ( LOCATION ?auto_33777 ) ( CITY ?auto_33782 ) ( IN-CITY ?auto_33777 ?auto_33782 ) ( IN-CITY ?auto_33771 ?auto_33782 ) ( DIFFERENT ?auto_33771 ?auto_33777 ) ( LOCATION ?auto_33784 ) ( CITY ?auto_33785 ) ( AT ?auto_33783 ?auto_33784 ) ( IN-CITY ?auto_33784 ?auto_33785 ) ( IN-CITY ?auto_33777 ?auto_33785 ) ( DIFFERENT ?auto_33777 ?auto_33784 ) ( LOCATION ?auto_33781 ) ( AT ?auto_33783 ?auto_33781 ) ( AIRPLANE ?auto_33775 ) ( AIRPORT ?auto_33776 ) ( AIRPORT ?auto_33781 ) ( DIFFERENT ?auto_33781 ?auto_33776 ) ( LOCATION ?auto_33776 ) ( TRUCK ?auto_33773 ) ( LOCATION ?auto_33780 ) ( CITY ?auto_33779 ) ( AT ?auto_33773 ?auto_33780 ) ( IN-CITY ?auto_33780 ?auto_33779 ) ( IN-CITY ?auto_33776 ?auto_33779 ) ( DIFFERENT ?auto_33776 ?auto_33780 ) ( LOCATION ?auto_33786 ) ( AT ?auto_33773 ?auto_33786 ) ( AT ?auto_33770 ?auto_33786 ) ( AIRPORT ?auto_33788 ) ( AT ?auto_33775 ?auto_33788 ) ( DIFFERENT ?auto_33776 ?auto_33788 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33775 ?auto_33788 ?auto_33776 )
      ( DELIVER-PKG ?auto_33770 ?auto_33771 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33824
      ?auto_33825
    )
    :vars
    (
      ?auto_33835
      ?auto_33840
      ?auto_33834
      ?auto_33829
      ?auto_33830
      ?auto_33836
      ?auto_33839
      ?auto_33828
      ?auto_33838
      ?auto_33831
      ?auto_33827
      ?auto_33833
      ?auto_33843
      ?auto_33842
    )
    :precondition
    ( and ( OBJ ?auto_33824 ) ( LOCATION ?auto_33825 ) ( TRUCK ?auto_33835 ) ( LOCATION ?auto_33840 ) ( CITY ?auto_33834 ) ( IN-CITY ?auto_33840 ?auto_33834 ) ( IN-CITY ?auto_33825 ?auto_33834 ) ( DIFFERENT ?auto_33825 ?auto_33840 ) ( LOCATION ?auto_33829 ) ( CITY ?auto_33830 ) ( AT ?auto_33835 ?auto_33829 ) ( IN-CITY ?auto_33829 ?auto_33830 ) ( IN-CITY ?auto_33840 ?auto_33830 ) ( DIFFERENT ?auto_33840 ?auto_33829 ) ( LOCATION ?auto_33836 ) ( AT ?auto_33835 ?auto_33836 ) ( AIRPLANE ?auto_33839 ) ( AIRPORT ?auto_33828 ) ( AIRPORT ?auto_33836 ) ( DIFFERENT ?auto_33836 ?auto_33828 ) ( LOCATION ?auto_33828 ) ( TRUCK ?auto_33838 ) ( LOCATION ?auto_33831 ) ( CITY ?auto_33827 ) ( IN-CITY ?auto_33831 ?auto_33827 ) ( IN-CITY ?auto_33828 ?auto_33827 ) ( DIFFERENT ?auto_33828 ?auto_33831 ) ( AT ?auto_33824 ?auto_33831 ) ( AIRPORT ?auto_33833 ) ( AT ?auto_33839 ?auto_33833 ) ( DIFFERENT ?auto_33828 ?auto_33833 ) ( LOCATION ?auto_33843 ) ( CITY ?auto_33842 ) ( AT ?auto_33838 ?auto_33843 ) ( IN-CITY ?auto_33843 ?auto_33842 ) ( IN-CITY ?auto_33831 ?auto_33842 ) ( DIFFERENT ?auto_33831 ?auto_33843 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33838 ?auto_33843 ?auto_33831 ?auto_33842 )
      ( DELIVER-PKG ?auto_33824 ?auto_33825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33899
      ?auto_33900
    )
    :vars
    (
      ?auto_33906
      ?auto_33915
      ?auto_33905
      ?auto_33904
      ?auto_33912
      ?auto_33907
      ?auto_33909
      ?auto_33911
      ?auto_33908
      ?auto_33913
      ?auto_33902
      ?auto_33914
      ?auto_33916
      ?auto_33901
      ?auto_33918
    )
    :precondition
    ( and ( OBJ ?auto_33899 ) ( LOCATION ?auto_33900 ) ( TRUCK ?auto_33906 ) ( LOCATION ?auto_33915 ) ( CITY ?auto_33905 ) ( IN-CITY ?auto_33915 ?auto_33905 ) ( IN-CITY ?auto_33900 ?auto_33905 ) ( DIFFERENT ?auto_33900 ?auto_33915 ) ( LOCATION ?auto_33904 ) ( CITY ?auto_33912 ) ( AT ?auto_33906 ?auto_33904 ) ( IN-CITY ?auto_33904 ?auto_33912 ) ( IN-CITY ?auto_33915 ?auto_33912 ) ( DIFFERENT ?auto_33915 ?auto_33904 ) ( LOCATION ?auto_33907 ) ( AT ?auto_33906 ?auto_33907 ) ( AIRPLANE ?auto_33909 ) ( AIRPORT ?auto_33911 ) ( AIRPORT ?auto_33907 ) ( DIFFERENT ?auto_33907 ?auto_33911 ) ( LOCATION ?auto_33911 ) ( TRUCK ?auto_33908 ) ( LOCATION ?auto_33913 ) ( CITY ?auto_33902 ) ( IN-CITY ?auto_33913 ?auto_33902 ) ( IN-CITY ?auto_33911 ?auto_33902 ) ( DIFFERENT ?auto_33911 ?auto_33913 ) ( AT ?auto_33899 ?auto_33913 ) ( AIRPORT ?auto_33914 ) ( DIFFERENT ?auto_33911 ?auto_33914 ) ( LOCATION ?auto_33916 ) ( CITY ?auto_33901 ) ( AT ?auto_33908 ?auto_33916 ) ( IN-CITY ?auto_33916 ?auto_33901 ) ( IN-CITY ?auto_33913 ?auto_33901 ) ( DIFFERENT ?auto_33913 ?auto_33916 ) ( AIRPORT ?auto_33918 ) ( AT ?auto_33909 ?auto_33918 ) ( DIFFERENT ?auto_33914 ?auto_33918 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33909 ?auto_33918 ?auto_33914 )
      ( DELIVER-PKG ?auto_33899 ?auto_33900 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33939
      ?auto_33940
    )
    :vars
    (
      ?auto_33948
      ?auto_33956
      ?auto_33947
      ?auto_33945
      ?auto_33953
      ?auto_33949
      ?auto_33951
      ?auto_33952
      ?auto_33950
      ?auto_33954
      ?auto_33942
      ?auto_33955
      ?auto_33957
      ?auto_33946
      ?auto_33943
      ?auto_33960
      ?auto_33959
    )
    :precondition
    ( and ( OBJ ?auto_33939 ) ( LOCATION ?auto_33940 ) ( TRUCK ?auto_33948 ) ( LOCATION ?auto_33956 ) ( CITY ?auto_33947 ) ( IN-CITY ?auto_33956 ?auto_33947 ) ( IN-CITY ?auto_33940 ?auto_33947 ) ( DIFFERENT ?auto_33940 ?auto_33956 ) ( LOCATION ?auto_33945 ) ( CITY ?auto_33953 ) ( AT ?auto_33948 ?auto_33945 ) ( IN-CITY ?auto_33945 ?auto_33953 ) ( IN-CITY ?auto_33956 ?auto_33953 ) ( DIFFERENT ?auto_33956 ?auto_33945 ) ( LOCATION ?auto_33949 ) ( AT ?auto_33948 ?auto_33949 ) ( AIRPLANE ?auto_33951 ) ( AIRPORT ?auto_33952 ) ( AIRPORT ?auto_33949 ) ( DIFFERENT ?auto_33949 ?auto_33952 ) ( LOCATION ?auto_33952 ) ( TRUCK ?auto_33950 ) ( LOCATION ?auto_33954 ) ( CITY ?auto_33942 ) ( IN-CITY ?auto_33954 ?auto_33942 ) ( IN-CITY ?auto_33952 ?auto_33942 ) ( DIFFERENT ?auto_33952 ?auto_33954 ) ( AT ?auto_33939 ?auto_33954 ) ( AIRPORT ?auto_33955 ) ( DIFFERENT ?auto_33952 ?auto_33955 ) ( LOCATION ?auto_33957 ) ( CITY ?auto_33946 ) ( IN-CITY ?auto_33957 ?auto_33946 ) ( IN-CITY ?auto_33954 ?auto_33946 ) ( DIFFERENT ?auto_33954 ?auto_33957 ) ( AIRPORT ?auto_33943 ) ( AT ?auto_33951 ?auto_33943 ) ( DIFFERENT ?auto_33955 ?auto_33943 ) ( LOCATION ?auto_33960 ) ( CITY ?auto_33959 ) ( AT ?auto_33950 ?auto_33960 ) ( IN-CITY ?auto_33960 ?auto_33959 ) ( IN-CITY ?auto_33957 ?auto_33959 ) ( DIFFERENT ?auto_33957 ?auto_33960 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33950 ?auto_33960 ?auto_33957 ?auto_33959 )
      ( DELIVER-PKG ?auto_33939 ?auto_33940 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34004
      ?auto_34005
    )
    :vars
    (
      ?auto_34014
      ?auto_34022
      ?auto_34013
      ?auto_34011
      ?auto_34019
      ?auto_34015
      ?auto_34017
      ?auto_34018
      ?auto_34016
      ?auto_34020
      ?auto_34006
      ?auto_34021
      ?auto_34009
      ?auto_34012
      ?auto_34007
      ?auto_34024
      ?auto_34010
      ?auto_34027
      ?auto_34026
    )
    :precondition
    ( and ( OBJ ?auto_34004 ) ( LOCATION ?auto_34005 ) ( TRUCK ?auto_34014 ) ( LOCATION ?auto_34022 ) ( CITY ?auto_34013 ) ( IN-CITY ?auto_34022 ?auto_34013 ) ( IN-CITY ?auto_34005 ?auto_34013 ) ( DIFFERENT ?auto_34005 ?auto_34022 ) ( LOCATION ?auto_34011 ) ( CITY ?auto_34019 ) ( AT ?auto_34014 ?auto_34011 ) ( IN-CITY ?auto_34011 ?auto_34019 ) ( IN-CITY ?auto_34022 ?auto_34019 ) ( DIFFERENT ?auto_34022 ?auto_34011 ) ( LOCATION ?auto_34015 ) ( AT ?auto_34014 ?auto_34015 ) ( AIRPLANE ?auto_34017 ) ( AIRPORT ?auto_34018 ) ( AIRPORT ?auto_34015 ) ( DIFFERENT ?auto_34015 ?auto_34018 ) ( LOCATION ?auto_34018 ) ( TRUCK ?auto_34016 ) ( LOCATION ?auto_34020 ) ( CITY ?auto_34006 ) ( IN-CITY ?auto_34020 ?auto_34006 ) ( IN-CITY ?auto_34018 ?auto_34006 ) ( DIFFERENT ?auto_34018 ?auto_34020 ) ( AT ?auto_34004 ?auto_34020 ) ( AIRPORT ?auto_34021 ) ( DIFFERENT ?auto_34018 ?auto_34021 ) ( LOCATION ?auto_34009 ) ( CITY ?auto_34012 ) ( IN-CITY ?auto_34009 ?auto_34012 ) ( IN-CITY ?auto_34020 ?auto_34012 ) ( DIFFERENT ?auto_34020 ?auto_34009 ) ( AIRPORT ?auto_34007 ) ( AT ?auto_34017 ?auto_34007 ) ( DIFFERENT ?auto_34021 ?auto_34007 ) ( LOCATION ?auto_34024 ) ( CITY ?auto_34010 ) ( IN-CITY ?auto_34024 ?auto_34010 ) ( IN-CITY ?auto_34009 ?auto_34010 ) ( DIFFERENT ?auto_34009 ?auto_34024 ) ( LOCATION ?auto_34027 ) ( CITY ?auto_34026 ) ( AT ?auto_34016 ?auto_34027 ) ( IN-CITY ?auto_34027 ?auto_34026 ) ( IN-CITY ?auto_34024 ?auto_34026 ) ( DIFFERENT ?auto_34024 ?auto_34027 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34016 ?auto_34027 ?auto_34024 ?auto_34026 )
      ( DELIVER-PKG ?auto_34004 ?auto_34005 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34029
      ?auto_34030
    )
    :vars
    (
      ?auto_34040
      ?auto_34048
      ?auto_34039
      ?auto_34037
      ?auto_34045
      ?auto_34041
      ?auto_34043
      ?auto_34044
      ?auto_34042
      ?auto_34046
      ?auto_34033
      ?auto_34047
      ?auto_34035
      ?auto_34038
      ?auto_34034
      ?auto_34050
      ?auto_34036
      ?auto_34051
      ?auto_34049
      ?auto_34053
    )
    :precondition
    ( and ( OBJ ?auto_34029 ) ( LOCATION ?auto_34030 ) ( TRUCK ?auto_34040 ) ( LOCATION ?auto_34048 ) ( CITY ?auto_34039 ) ( IN-CITY ?auto_34048 ?auto_34039 ) ( IN-CITY ?auto_34030 ?auto_34039 ) ( DIFFERENT ?auto_34030 ?auto_34048 ) ( LOCATION ?auto_34037 ) ( CITY ?auto_34045 ) ( AT ?auto_34040 ?auto_34037 ) ( IN-CITY ?auto_34037 ?auto_34045 ) ( IN-CITY ?auto_34048 ?auto_34045 ) ( DIFFERENT ?auto_34048 ?auto_34037 ) ( LOCATION ?auto_34041 ) ( AT ?auto_34040 ?auto_34041 ) ( AIRPLANE ?auto_34043 ) ( AIRPORT ?auto_34044 ) ( AIRPORT ?auto_34041 ) ( DIFFERENT ?auto_34041 ?auto_34044 ) ( LOCATION ?auto_34044 ) ( TRUCK ?auto_34042 ) ( LOCATION ?auto_34046 ) ( CITY ?auto_34033 ) ( IN-CITY ?auto_34046 ?auto_34033 ) ( IN-CITY ?auto_34044 ?auto_34033 ) ( DIFFERENT ?auto_34044 ?auto_34046 ) ( AT ?auto_34029 ?auto_34046 ) ( AIRPORT ?auto_34047 ) ( DIFFERENT ?auto_34044 ?auto_34047 ) ( LOCATION ?auto_34035 ) ( CITY ?auto_34038 ) ( IN-CITY ?auto_34035 ?auto_34038 ) ( IN-CITY ?auto_34046 ?auto_34038 ) ( DIFFERENT ?auto_34046 ?auto_34035 ) ( AIRPORT ?auto_34034 ) ( DIFFERENT ?auto_34047 ?auto_34034 ) ( LOCATION ?auto_34050 ) ( CITY ?auto_34036 ) ( IN-CITY ?auto_34050 ?auto_34036 ) ( IN-CITY ?auto_34035 ?auto_34036 ) ( DIFFERENT ?auto_34035 ?auto_34050 ) ( LOCATION ?auto_34051 ) ( CITY ?auto_34049 ) ( AT ?auto_34042 ?auto_34051 ) ( IN-CITY ?auto_34051 ?auto_34049 ) ( IN-CITY ?auto_34050 ?auto_34049 ) ( DIFFERENT ?auto_34050 ?auto_34051 ) ( AIRPORT ?auto_34053 ) ( AT ?auto_34043 ?auto_34053 ) ( DIFFERENT ?auto_34034 ?auto_34053 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_34043 ?auto_34053 ?auto_34034 )
      ( DELIVER-PKG ?auto_34029 ?auto_34030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34127
      ?auto_34128
    )
    :vars
    (
      ?auto_34131
      ?auto_34134
      ?auto_34150
      ?auto_34129
      ?auto_34136
      ?auto_34138
      ?auto_34142
      ?auto_34133
      ?auto_34143
      ?auto_34146
      ?auto_34144
      ?auto_34147
      ?auto_34137
      ?auto_34149
      ?auto_34139
      ?auto_34148
      ?auto_34140
      ?auto_34135
      ?auto_34145
      ?auto_34153
      ?auto_34152
    )
    :precondition
    ( and ( OBJ ?auto_34127 ) ( LOCATION ?auto_34128 ) ( TRUCK ?auto_34131 ) ( LOCATION ?auto_34134 ) ( CITY ?auto_34150 ) ( IN-CITY ?auto_34134 ?auto_34150 ) ( IN-CITY ?auto_34128 ?auto_34150 ) ( DIFFERENT ?auto_34128 ?auto_34134 ) ( LOCATION ?auto_34129 ) ( CITY ?auto_34136 ) ( IN-CITY ?auto_34129 ?auto_34136 ) ( IN-CITY ?auto_34134 ?auto_34136 ) ( DIFFERENT ?auto_34134 ?auto_34129 ) ( AIRPLANE ?auto_34138 ) ( AIRPORT ?auto_34142 ) ( AIRPORT ?auto_34129 ) ( DIFFERENT ?auto_34129 ?auto_34142 ) ( LOCATION ?auto_34142 ) ( TRUCK ?auto_34133 ) ( LOCATION ?auto_34143 ) ( CITY ?auto_34146 ) ( IN-CITY ?auto_34143 ?auto_34146 ) ( IN-CITY ?auto_34142 ?auto_34146 ) ( DIFFERENT ?auto_34142 ?auto_34143 ) ( AT ?auto_34127 ?auto_34143 ) ( AIRPORT ?auto_34144 ) ( DIFFERENT ?auto_34142 ?auto_34144 ) ( LOCATION ?auto_34147 ) ( CITY ?auto_34137 ) ( IN-CITY ?auto_34147 ?auto_34137 ) ( IN-CITY ?auto_34143 ?auto_34137 ) ( DIFFERENT ?auto_34143 ?auto_34147 ) ( AIRPORT ?auto_34149 ) ( DIFFERENT ?auto_34144 ?auto_34149 ) ( LOCATION ?auto_34139 ) ( CITY ?auto_34148 ) ( IN-CITY ?auto_34139 ?auto_34148 ) ( IN-CITY ?auto_34147 ?auto_34148 ) ( DIFFERENT ?auto_34147 ?auto_34139 ) ( LOCATION ?auto_34140 ) ( CITY ?auto_34135 ) ( AT ?auto_34133 ?auto_34140 ) ( IN-CITY ?auto_34140 ?auto_34135 ) ( IN-CITY ?auto_34139 ?auto_34135 ) ( DIFFERENT ?auto_34139 ?auto_34140 ) ( AIRPORT ?auto_34145 ) ( AT ?auto_34138 ?auto_34145 ) ( DIFFERENT ?auto_34149 ?auto_34145 ) ( LOCATION ?auto_34153 ) ( CITY ?auto_34152 ) ( AT ?auto_34131 ?auto_34153 ) ( IN-CITY ?auto_34153 ?auto_34152 ) ( IN-CITY ?auto_34129 ?auto_34152 ) ( DIFFERENT ?auto_34129 ?auto_34153 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34131 ?auto_34153 ?auto_34129 ?auto_34152 )
      ( DELIVER-PKG ?auto_34127 ?auto_34128 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34155
      ?auto_34156
    )
    :vars
    (
      ?auto_34163
      ?auto_34157
      ?auto_34179
      ?auto_34158
      ?auto_34165
      ?auto_34167
      ?auto_34170
      ?auto_34161
      ?auto_34171
      ?auto_34174
      ?auto_34172
      ?auto_34175
      ?auto_34166
      ?auto_34178
      ?auto_34168
      ?auto_34176
      ?auto_34169
      ?auto_34164
      ?auto_34173
      ?auto_34160
      ?auto_34177
      ?auto_34181
    )
    :precondition
    ( and ( OBJ ?auto_34155 ) ( LOCATION ?auto_34156 ) ( TRUCK ?auto_34163 ) ( LOCATION ?auto_34157 ) ( CITY ?auto_34179 ) ( IN-CITY ?auto_34157 ?auto_34179 ) ( IN-CITY ?auto_34156 ?auto_34179 ) ( DIFFERENT ?auto_34156 ?auto_34157 ) ( LOCATION ?auto_34158 ) ( CITY ?auto_34165 ) ( IN-CITY ?auto_34158 ?auto_34165 ) ( IN-CITY ?auto_34157 ?auto_34165 ) ( DIFFERENT ?auto_34157 ?auto_34158 ) ( AIRPLANE ?auto_34167 ) ( AIRPORT ?auto_34170 ) ( AIRPORT ?auto_34158 ) ( DIFFERENT ?auto_34158 ?auto_34170 ) ( LOCATION ?auto_34170 ) ( TRUCK ?auto_34161 ) ( LOCATION ?auto_34171 ) ( CITY ?auto_34174 ) ( IN-CITY ?auto_34171 ?auto_34174 ) ( IN-CITY ?auto_34170 ?auto_34174 ) ( DIFFERENT ?auto_34170 ?auto_34171 ) ( AT ?auto_34155 ?auto_34171 ) ( AIRPORT ?auto_34172 ) ( DIFFERENT ?auto_34170 ?auto_34172 ) ( LOCATION ?auto_34175 ) ( CITY ?auto_34166 ) ( IN-CITY ?auto_34175 ?auto_34166 ) ( IN-CITY ?auto_34171 ?auto_34166 ) ( DIFFERENT ?auto_34171 ?auto_34175 ) ( AIRPORT ?auto_34178 ) ( DIFFERENT ?auto_34172 ?auto_34178 ) ( LOCATION ?auto_34168 ) ( CITY ?auto_34176 ) ( IN-CITY ?auto_34168 ?auto_34176 ) ( IN-CITY ?auto_34175 ?auto_34176 ) ( DIFFERENT ?auto_34175 ?auto_34168 ) ( LOCATION ?auto_34169 ) ( CITY ?auto_34164 ) ( AT ?auto_34161 ?auto_34169 ) ( IN-CITY ?auto_34169 ?auto_34164 ) ( IN-CITY ?auto_34168 ?auto_34164 ) ( DIFFERENT ?auto_34168 ?auto_34169 ) ( AIRPORT ?auto_34173 ) ( DIFFERENT ?auto_34178 ?auto_34173 ) ( LOCATION ?auto_34160 ) ( CITY ?auto_34177 ) ( AT ?auto_34163 ?auto_34160 ) ( IN-CITY ?auto_34160 ?auto_34177 ) ( IN-CITY ?auto_34158 ?auto_34177 ) ( DIFFERENT ?auto_34158 ?auto_34160 ) ( AIRPORT ?auto_34181 ) ( AT ?auto_34167 ?auto_34181 ) ( DIFFERENT ?auto_34173 ?auto_34181 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_34167 ?auto_34181 ?auto_34173 )
      ( DELIVER-PKG ?auto_34155 ?auto_34156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35173
      ?auto_35174
    )
    :vars
    (
      ?auto_35178
      ?auto_35180
      ?auto_35183
      ?auto_35181
      ?auto_35179
      ?auto_35182
      ?auto_35177
      ?auto_35185
      ?auto_35184
      ?auto_35188
      ?auto_35187
    )
    :precondition
    ( and ( OBJ ?auto_35173 ) ( LOCATION ?auto_35174 ) ( TRUCK ?auto_35178 ) ( IN ?auto_35173 ?auto_35178 ) ( LOCATION ?auto_35180 ) ( CITY ?auto_35183 ) ( IN-CITY ?auto_35180 ?auto_35183 ) ( IN-CITY ?auto_35174 ?auto_35183 ) ( DIFFERENT ?auto_35174 ?auto_35180 ) ( LOCATION ?auto_35181 ) ( CITY ?auto_35179 ) ( IN-CITY ?auto_35181 ?auto_35179 ) ( IN-CITY ?auto_35180 ?auto_35179 ) ( DIFFERENT ?auto_35180 ?auto_35181 ) ( LOCATION ?auto_35182 ) ( CITY ?auto_35177 ) ( IN-CITY ?auto_35182 ?auto_35177 ) ( IN-CITY ?auto_35181 ?auto_35177 ) ( DIFFERENT ?auto_35181 ?auto_35182 ) ( LOCATION ?auto_35185 ) ( CITY ?auto_35184 ) ( IN-CITY ?auto_35185 ?auto_35184 ) ( IN-CITY ?auto_35182 ?auto_35184 ) ( DIFFERENT ?auto_35182 ?auto_35185 ) ( LOCATION ?auto_35188 ) ( CITY ?auto_35187 ) ( AT ?auto_35178 ?auto_35188 ) ( IN-CITY ?auto_35188 ?auto_35187 ) ( IN-CITY ?auto_35185 ?auto_35187 ) ( DIFFERENT ?auto_35185 ?auto_35188 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35178 ?auto_35188 ?auto_35185 ?auto_35187 )
      ( DELIVER-PKG ?auto_35173 ?auto_35174 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35220
      ?auto_35221
    )
    :vars
    (
      ?auto_35232
      ?auto_35223
      ?auto_35229
      ?auto_35224
      ?auto_35233
      ?auto_35228
      ?auto_35227
      ?auto_35226
      ?auto_35225
      ?auto_35231
      ?auto_35230
      ?auto_35236
    )
    :precondition
    ( and ( OBJ ?auto_35220 ) ( LOCATION ?auto_35221 ) ( TRUCK ?auto_35232 ) ( LOCATION ?auto_35223 ) ( CITY ?auto_35229 ) ( IN-CITY ?auto_35223 ?auto_35229 ) ( IN-CITY ?auto_35221 ?auto_35229 ) ( DIFFERENT ?auto_35221 ?auto_35223 ) ( LOCATION ?auto_35224 ) ( CITY ?auto_35233 ) ( IN-CITY ?auto_35224 ?auto_35233 ) ( IN-CITY ?auto_35223 ?auto_35233 ) ( DIFFERENT ?auto_35223 ?auto_35224 ) ( LOCATION ?auto_35228 ) ( CITY ?auto_35227 ) ( IN-CITY ?auto_35228 ?auto_35227 ) ( IN-CITY ?auto_35224 ?auto_35227 ) ( DIFFERENT ?auto_35224 ?auto_35228 ) ( LOCATION ?auto_35226 ) ( CITY ?auto_35225 ) ( IN-CITY ?auto_35226 ?auto_35225 ) ( IN-CITY ?auto_35228 ?auto_35225 ) ( DIFFERENT ?auto_35228 ?auto_35226 ) ( LOCATION ?auto_35231 ) ( CITY ?auto_35230 ) ( AT ?auto_35232 ?auto_35231 ) ( IN-CITY ?auto_35231 ?auto_35230 ) ( IN-CITY ?auto_35226 ?auto_35230 ) ( DIFFERENT ?auto_35226 ?auto_35231 ) ( LOCATION ?auto_35236 ) ( AT ?auto_35232 ?auto_35236 ) ( AT ?auto_35220 ?auto_35236 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_35220 ?auto_35232 ?auto_35236 )
      ( DELIVER-PKG ?auto_35220 ?auto_35221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35254
      ?auto_35255
    )
    :vars
    (
      ?auto_35266
      ?auto_35263
      ?auto_35260
      ?auto_35262
      ?auto_35267
      ?auto_35259
      ?auto_35258
      ?auto_35257
      ?auto_35264
      ?auto_35269
      ?auto_35261
      ?auto_35272
      ?auto_35271
    )
    :precondition
    ( and ( OBJ ?auto_35254 ) ( LOCATION ?auto_35255 ) ( TRUCK ?auto_35266 ) ( LOCATION ?auto_35263 ) ( CITY ?auto_35260 ) ( IN-CITY ?auto_35263 ?auto_35260 ) ( IN-CITY ?auto_35255 ?auto_35260 ) ( DIFFERENT ?auto_35255 ?auto_35263 ) ( LOCATION ?auto_35262 ) ( CITY ?auto_35267 ) ( IN-CITY ?auto_35262 ?auto_35267 ) ( IN-CITY ?auto_35263 ?auto_35267 ) ( DIFFERENT ?auto_35263 ?auto_35262 ) ( LOCATION ?auto_35259 ) ( CITY ?auto_35258 ) ( IN-CITY ?auto_35259 ?auto_35258 ) ( IN-CITY ?auto_35262 ?auto_35258 ) ( DIFFERENT ?auto_35262 ?auto_35259 ) ( LOCATION ?auto_35257 ) ( CITY ?auto_35264 ) ( IN-CITY ?auto_35257 ?auto_35264 ) ( IN-CITY ?auto_35259 ?auto_35264 ) ( DIFFERENT ?auto_35259 ?auto_35257 ) ( LOCATION ?auto_35269 ) ( CITY ?auto_35261 ) ( IN-CITY ?auto_35269 ?auto_35261 ) ( IN-CITY ?auto_35257 ?auto_35261 ) ( DIFFERENT ?auto_35257 ?auto_35269 ) ( AT ?auto_35254 ?auto_35269 ) ( LOCATION ?auto_35272 ) ( CITY ?auto_35271 ) ( AT ?auto_35266 ?auto_35272 ) ( IN-CITY ?auto_35272 ?auto_35271 ) ( IN-CITY ?auto_35269 ?auto_35271 ) ( DIFFERENT ?auto_35269 ?auto_35272 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35266 ?auto_35272 ?auto_35269 ?auto_35271 )
      ( DELIVER-PKG ?auto_35254 ?auto_35255 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35289
      ?auto_35290
    )
    :vars
    (
      ?auto_35291
      ?auto_35293
      ?auto_35295
    )
    :precondition
    ( and ( OBJ ?auto_35289 ) ( LOCATION ?auto_35290 ) ( AIRPLANE ?auto_35291 ) ( AT ?auto_35291 ?auto_35290 ) ( LOCATION ?auto_35293 ) ( AT ?auto_35291 ?auto_35293 ) ( TRUCK ?auto_35295 ) ( AT ?auto_35295 ?auto_35293 ) ( IN ?auto_35289 ?auto_35295 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35289 ?auto_35293 )
      ( DELIVER-PKG ?auto_35289 ?auto_35290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35298
      ?auto_35299
    )
    :vars
    (
      ?auto_35300
      ?auto_35303
      ?auto_35301
      ?auto_35307
      ?auto_35306
    )
    :precondition
    ( and ( OBJ ?auto_35298 ) ( LOCATION ?auto_35299 ) ( AIRPLANE ?auto_35300 ) ( AT ?auto_35300 ?auto_35299 ) ( LOCATION ?auto_35303 ) ( AT ?auto_35300 ?auto_35303 ) ( TRUCK ?auto_35301 ) ( IN ?auto_35298 ?auto_35301 ) ( LOCATION ?auto_35307 ) ( CITY ?auto_35306 ) ( AT ?auto_35301 ?auto_35307 ) ( IN-CITY ?auto_35307 ?auto_35306 ) ( IN-CITY ?auto_35303 ?auto_35306 ) ( DIFFERENT ?auto_35303 ?auto_35307 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35301 ?auto_35307 ?auto_35303 ?auto_35306 )
      ( DELIVER-PKG ?auto_35298 ?auto_35299 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35309
      ?auto_35310
    )
    :vars
    (
      ?auto_35314
      ?auto_35311
      ?auto_35317
      ?auto_35313
      ?auto_35312
      ?auto_35320
      ?auto_35319
    )
    :precondition
    ( and ( OBJ ?auto_35309 ) ( LOCATION ?auto_35310 ) ( AIRPLANE ?auto_35314 ) ( AT ?auto_35314 ?auto_35310 ) ( LOCATION ?auto_35311 ) ( AT ?auto_35314 ?auto_35311 ) ( TRUCK ?auto_35317 ) ( IN ?auto_35309 ?auto_35317 ) ( LOCATION ?auto_35313 ) ( CITY ?auto_35312 ) ( IN-CITY ?auto_35313 ?auto_35312 ) ( IN-CITY ?auto_35311 ?auto_35312 ) ( DIFFERENT ?auto_35311 ?auto_35313 ) ( LOCATION ?auto_35320 ) ( CITY ?auto_35319 ) ( AT ?auto_35317 ?auto_35320 ) ( IN-CITY ?auto_35320 ?auto_35319 ) ( IN-CITY ?auto_35313 ?auto_35319 ) ( DIFFERENT ?auto_35313 ?auto_35320 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35317 ?auto_35320 ?auto_35313 ?auto_35319 )
      ( DELIVER-PKG ?auto_35309 ?auto_35310 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35322
      ?auto_35323
    )
    :vars
    (
      ?auto_35329
      ?auto_35330
      ?auto_35327
      ?auto_35331
      ?auto_35332
      ?auto_35328
      ?auto_35325
      ?auto_35335
      ?auto_35334
    )
    :precondition
    ( and ( OBJ ?auto_35322 ) ( LOCATION ?auto_35323 ) ( AIRPLANE ?auto_35329 ) ( AT ?auto_35329 ?auto_35323 ) ( LOCATION ?auto_35330 ) ( AT ?auto_35329 ?auto_35330 ) ( TRUCK ?auto_35327 ) ( IN ?auto_35322 ?auto_35327 ) ( LOCATION ?auto_35331 ) ( CITY ?auto_35332 ) ( IN-CITY ?auto_35331 ?auto_35332 ) ( IN-CITY ?auto_35330 ?auto_35332 ) ( DIFFERENT ?auto_35330 ?auto_35331 ) ( LOCATION ?auto_35328 ) ( CITY ?auto_35325 ) ( IN-CITY ?auto_35328 ?auto_35325 ) ( IN-CITY ?auto_35331 ?auto_35325 ) ( DIFFERENT ?auto_35331 ?auto_35328 ) ( LOCATION ?auto_35335 ) ( CITY ?auto_35334 ) ( AT ?auto_35327 ?auto_35335 ) ( IN-CITY ?auto_35335 ?auto_35334 ) ( IN-CITY ?auto_35328 ?auto_35334 ) ( DIFFERENT ?auto_35328 ?auto_35335 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35327 ?auto_35335 ?auto_35328 ?auto_35334 )
      ( DELIVER-PKG ?auto_35322 ?auto_35323 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35363
      ?auto_35364
    )
    :vars
    (
      ?auto_35367
      ?auto_35371
      ?auto_35365
      ?auto_35366
      ?auto_35368
      ?auto_35370
      ?auto_35375
      ?auto_35374
      ?auto_35373
      ?auto_35378
      ?auto_35377
    )
    :precondition
    ( and ( OBJ ?auto_35363 ) ( LOCATION ?auto_35364 ) ( AIRPLANE ?auto_35367 ) ( AT ?auto_35367 ?auto_35364 ) ( LOCATION ?auto_35371 ) ( AT ?auto_35367 ?auto_35371 ) ( TRUCK ?auto_35365 ) ( IN ?auto_35363 ?auto_35365 ) ( LOCATION ?auto_35366 ) ( CITY ?auto_35368 ) ( IN-CITY ?auto_35366 ?auto_35368 ) ( IN-CITY ?auto_35371 ?auto_35368 ) ( DIFFERENT ?auto_35371 ?auto_35366 ) ( LOCATION ?auto_35370 ) ( CITY ?auto_35375 ) ( IN-CITY ?auto_35370 ?auto_35375 ) ( IN-CITY ?auto_35366 ?auto_35375 ) ( DIFFERENT ?auto_35366 ?auto_35370 ) ( LOCATION ?auto_35374 ) ( CITY ?auto_35373 ) ( IN-CITY ?auto_35374 ?auto_35373 ) ( IN-CITY ?auto_35370 ?auto_35373 ) ( DIFFERENT ?auto_35370 ?auto_35374 ) ( LOCATION ?auto_35378 ) ( CITY ?auto_35377 ) ( AT ?auto_35365 ?auto_35378 ) ( IN-CITY ?auto_35378 ?auto_35377 ) ( IN-CITY ?auto_35374 ?auto_35377 ) ( DIFFERENT ?auto_35374 ?auto_35378 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35365 ?auto_35378 ?auto_35374 ?auto_35377 )
      ( DELIVER-PKG ?auto_35363 ?auto_35364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35395
      ?auto_35396
    )
    :vars
    (
      ?auto_35399
      ?auto_35403
      ?auto_35406
      ?auto_35397
      ?auto_35400
      ?auto_35402
      ?auto_35407
      ?auto_35405
      ?auto_35404
      ?auto_35409
      ?auto_35408
      ?auto_35412
      ?auto_35411
    )
    :precondition
    ( and ( OBJ ?auto_35395 ) ( LOCATION ?auto_35396 ) ( AIRPLANE ?auto_35399 ) ( AT ?auto_35399 ?auto_35396 ) ( LOCATION ?auto_35403 ) ( AT ?auto_35399 ?auto_35403 ) ( TRUCK ?auto_35406 ) ( IN ?auto_35395 ?auto_35406 ) ( LOCATION ?auto_35397 ) ( CITY ?auto_35400 ) ( IN-CITY ?auto_35397 ?auto_35400 ) ( IN-CITY ?auto_35403 ?auto_35400 ) ( DIFFERENT ?auto_35403 ?auto_35397 ) ( LOCATION ?auto_35402 ) ( CITY ?auto_35407 ) ( IN-CITY ?auto_35402 ?auto_35407 ) ( IN-CITY ?auto_35397 ?auto_35407 ) ( DIFFERENT ?auto_35397 ?auto_35402 ) ( LOCATION ?auto_35405 ) ( CITY ?auto_35404 ) ( IN-CITY ?auto_35405 ?auto_35404 ) ( IN-CITY ?auto_35402 ?auto_35404 ) ( DIFFERENT ?auto_35402 ?auto_35405 ) ( LOCATION ?auto_35409 ) ( CITY ?auto_35408 ) ( IN-CITY ?auto_35409 ?auto_35408 ) ( IN-CITY ?auto_35405 ?auto_35408 ) ( DIFFERENT ?auto_35405 ?auto_35409 ) ( LOCATION ?auto_35412 ) ( CITY ?auto_35411 ) ( AT ?auto_35406 ?auto_35412 ) ( IN-CITY ?auto_35412 ?auto_35411 ) ( IN-CITY ?auto_35409 ?auto_35411 ) ( DIFFERENT ?auto_35409 ?auto_35412 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35406 ?auto_35412 ?auto_35409 ?auto_35411 )
      ( DELIVER-PKG ?auto_35395 ?auto_35396 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35448
      ?auto_35449
    )
    :vars
    (
      ?auto_35460
      ?auto_35453
      ?auto_35456
      ?auto_35450
      ?auto_35451
      ?auto_35452
      ?auto_35457
      ?auto_35455
      ?auto_35454
      ?auto_35459
      ?auto_35458
      ?auto_35464
      ?auto_35463
      ?auto_35466
    )
    :precondition
    ( and ( OBJ ?auto_35448 ) ( LOCATION ?auto_35449 ) ( AIRPLANE ?auto_35460 ) ( AT ?auto_35460 ?auto_35449 ) ( LOCATION ?auto_35453 ) ( AT ?auto_35460 ?auto_35453 ) ( TRUCK ?auto_35456 ) ( LOCATION ?auto_35450 ) ( CITY ?auto_35451 ) ( IN-CITY ?auto_35450 ?auto_35451 ) ( IN-CITY ?auto_35453 ?auto_35451 ) ( DIFFERENT ?auto_35453 ?auto_35450 ) ( LOCATION ?auto_35452 ) ( CITY ?auto_35457 ) ( IN-CITY ?auto_35452 ?auto_35457 ) ( IN-CITY ?auto_35450 ?auto_35457 ) ( DIFFERENT ?auto_35450 ?auto_35452 ) ( LOCATION ?auto_35455 ) ( CITY ?auto_35454 ) ( IN-CITY ?auto_35455 ?auto_35454 ) ( IN-CITY ?auto_35452 ?auto_35454 ) ( DIFFERENT ?auto_35452 ?auto_35455 ) ( LOCATION ?auto_35459 ) ( CITY ?auto_35458 ) ( IN-CITY ?auto_35459 ?auto_35458 ) ( IN-CITY ?auto_35455 ?auto_35458 ) ( DIFFERENT ?auto_35455 ?auto_35459 ) ( LOCATION ?auto_35464 ) ( CITY ?auto_35463 ) ( AT ?auto_35456 ?auto_35464 ) ( IN-CITY ?auto_35464 ?auto_35463 ) ( IN-CITY ?auto_35459 ?auto_35463 ) ( DIFFERENT ?auto_35459 ?auto_35464 ) ( LOCATION ?auto_35466 ) ( AT ?auto_35456 ?auto_35466 ) ( AT ?auto_35448 ?auto_35466 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_35448 ?auto_35456 ?auto_35466 )
      ( DELIVER-PKG ?auto_35448 ?auto_35449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35486
      ?auto_35487
    )
    :vars
    (
      ?auto_35500
      ?auto_35495
      ?auto_35492
      ?auto_35488
      ?auto_35493
      ?auto_35494
      ?auto_35497
      ?auto_35491
      ?auto_35490
      ?auto_35499
      ?auto_35498
      ?auto_35496
      ?auto_35502
      ?auto_35506
      ?auto_35505
    )
    :precondition
    ( and ( OBJ ?auto_35486 ) ( LOCATION ?auto_35487 ) ( AIRPLANE ?auto_35500 ) ( AT ?auto_35500 ?auto_35487 ) ( LOCATION ?auto_35495 ) ( AT ?auto_35500 ?auto_35495 ) ( TRUCK ?auto_35492 ) ( LOCATION ?auto_35488 ) ( CITY ?auto_35493 ) ( IN-CITY ?auto_35488 ?auto_35493 ) ( IN-CITY ?auto_35495 ?auto_35493 ) ( DIFFERENT ?auto_35495 ?auto_35488 ) ( LOCATION ?auto_35494 ) ( CITY ?auto_35497 ) ( IN-CITY ?auto_35494 ?auto_35497 ) ( IN-CITY ?auto_35488 ?auto_35497 ) ( DIFFERENT ?auto_35488 ?auto_35494 ) ( LOCATION ?auto_35491 ) ( CITY ?auto_35490 ) ( IN-CITY ?auto_35491 ?auto_35490 ) ( IN-CITY ?auto_35494 ?auto_35490 ) ( DIFFERENT ?auto_35494 ?auto_35491 ) ( LOCATION ?auto_35499 ) ( CITY ?auto_35498 ) ( IN-CITY ?auto_35499 ?auto_35498 ) ( IN-CITY ?auto_35491 ?auto_35498 ) ( DIFFERENT ?auto_35491 ?auto_35499 ) ( LOCATION ?auto_35496 ) ( CITY ?auto_35502 ) ( IN-CITY ?auto_35496 ?auto_35502 ) ( IN-CITY ?auto_35499 ?auto_35502 ) ( DIFFERENT ?auto_35499 ?auto_35496 ) ( AT ?auto_35486 ?auto_35496 ) ( LOCATION ?auto_35506 ) ( CITY ?auto_35505 ) ( AT ?auto_35492 ?auto_35506 ) ( IN-CITY ?auto_35506 ?auto_35505 ) ( IN-CITY ?auto_35496 ?auto_35505 ) ( DIFFERENT ?auto_35496 ?auto_35506 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35492 ?auto_35506 ?auto_35496 ?auto_35505 )
      ( DELIVER-PKG ?auto_35486 ?auto_35487 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35886
      ?auto_35887
    )
    :vars
    (
      ?auto_35891
      ?auto_35889
      ?auto_35890
      ?auto_35892
      ?auto_35895
      ?auto_35894
      ?auto_35897
    )
    :precondition
    ( and ( OBJ ?auto_35886 ) ( LOCATION ?auto_35887 ) ( AIRPLANE ?auto_35891 ) ( AIRPORT ?auto_35889 ) ( AIRPORT ?auto_35887 ) ( DIFFERENT ?auto_35887 ?auto_35889 ) ( LOCATION ?auto_35889 ) ( AIRPORT ?auto_35890 ) ( AT ?auto_35891 ?auto_35890 ) ( DIFFERENT ?auto_35889 ?auto_35890 ) ( TRUCK ?auto_35892 ) ( LOCATION ?auto_35895 ) ( CITY ?auto_35894 ) ( AT ?auto_35892 ?auto_35895 ) ( IN-CITY ?auto_35895 ?auto_35894 ) ( IN-CITY ?auto_35889 ?auto_35894 ) ( DIFFERENT ?auto_35889 ?auto_35895 ) ( LOCATION ?auto_35897 ) ( AT ?auto_35892 ?auto_35897 ) ( AT ?auto_35886 ?auto_35897 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_35886 ?auto_35892 ?auto_35897 )
      ( DELIVER-PKG ?auto_35886 ?auto_35887 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36044
      ?auto_36045
    )
    :vars
    (
      ?auto_36055
      ?auto_36056
      ?auto_36051
      ?auto_36053
      ?auto_36054
      ?auto_36046
      ?auto_36047
      ?auto_36049
      ?auto_36048
      ?auto_36059
      ?auto_36058
    )
    :precondition
    ( and ( OBJ ?auto_36044 ) ( LOCATION ?auto_36045 ) ( AIRPLANE ?auto_36055 ) ( AIRPORT ?auto_36056 ) ( AIRPORT ?auto_36045 ) ( DIFFERENT ?auto_36045 ?auto_36056 ) ( AIRPORT ?auto_36051 ) ( AT ?auto_36055 ?auto_36051 ) ( DIFFERENT ?auto_36056 ?auto_36051 ) ( LOCATION ?auto_36053 ) ( AT ?auto_36055 ?auto_36053 ) ( AIRPLANE ?auto_36054 ) ( AT ?auto_36054 ?auto_36053 ) ( LOCATION ?auto_36046 ) ( AT ?auto_36054 ?auto_36046 ) ( TRUCK ?auto_36047 ) ( IN ?auto_36044 ?auto_36047 ) ( LOCATION ?auto_36049 ) ( CITY ?auto_36048 ) ( IN-CITY ?auto_36049 ?auto_36048 ) ( IN-CITY ?auto_36046 ?auto_36048 ) ( DIFFERENT ?auto_36046 ?auto_36049 ) ( LOCATION ?auto_36059 ) ( CITY ?auto_36058 ) ( AT ?auto_36047 ?auto_36059 ) ( IN-CITY ?auto_36059 ?auto_36058 ) ( IN-CITY ?auto_36049 ?auto_36058 ) ( DIFFERENT ?auto_36049 ?auto_36059 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36047 ?auto_36059 ?auto_36049 ?auto_36058 )
      ( DELIVER-PKG ?auto_36044 ?auto_36045 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36061
      ?auto_36062
    )
    :vars
    (
      ?auto_36064
      ?auto_36067
      ?auto_36063
      ?auto_36065
      ?auto_36066
      ?auto_36073
      ?auto_36072
      ?auto_36075
      ?auto_36074
      ?auto_36071
      ?auto_36070
      ?auto_36078
      ?auto_36077
    )
    :precondition
    ( and ( OBJ ?auto_36061 ) ( LOCATION ?auto_36062 ) ( AIRPLANE ?auto_36064 ) ( AIRPORT ?auto_36067 ) ( AIRPORT ?auto_36062 ) ( DIFFERENT ?auto_36062 ?auto_36067 ) ( AIRPORT ?auto_36063 ) ( AT ?auto_36064 ?auto_36063 ) ( DIFFERENT ?auto_36067 ?auto_36063 ) ( LOCATION ?auto_36065 ) ( AT ?auto_36064 ?auto_36065 ) ( AIRPLANE ?auto_36066 ) ( AT ?auto_36066 ?auto_36065 ) ( LOCATION ?auto_36073 ) ( AT ?auto_36066 ?auto_36073 ) ( TRUCK ?auto_36072 ) ( IN ?auto_36061 ?auto_36072 ) ( LOCATION ?auto_36075 ) ( CITY ?auto_36074 ) ( IN-CITY ?auto_36075 ?auto_36074 ) ( IN-CITY ?auto_36073 ?auto_36074 ) ( DIFFERENT ?auto_36073 ?auto_36075 ) ( LOCATION ?auto_36071 ) ( CITY ?auto_36070 ) ( IN-CITY ?auto_36071 ?auto_36070 ) ( IN-CITY ?auto_36075 ?auto_36070 ) ( DIFFERENT ?auto_36075 ?auto_36071 ) ( LOCATION ?auto_36078 ) ( CITY ?auto_36077 ) ( AT ?auto_36072 ?auto_36078 ) ( IN-CITY ?auto_36078 ?auto_36077 ) ( IN-CITY ?auto_36071 ?auto_36077 ) ( DIFFERENT ?auto_36071 ?auto_36078 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36072 ?auto_36078 ?auto_36071 ?auto_36077 )
      ( DELIVER-PKG ?auto_36061 ?auto_36062 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36114
      ?auto_36115
    )
    :vars
    (
      ?auto_36125
      ?auto_36130
      ?auto_36119
      ?auto_36127
      ?auto_36128
      ?auto_36120
      ?auto_36126
      ?auto_36129
      ?auto_36124
      ?auto_36118
      ?auto_36116
      ?auto_36123
      ?auto_36122
      ?auto_36133
      ?auto_36132
    )
    :precondition
    ( and ( OBJ ?auto_36114 ) ( LOCATION ?auto_36115 ) ( AIRPLANE ?auto_36125 ) ( AIRPORT ?auto_36130 ) ( AIRPORT ?auto_36115 ) ( DIFFERENT ?auto_36115 ?auto_36130 ) ( AIRPORT ?auto_36119 ) ( AT ?auto_36125 ?auto_36119 ) ( DIFFERENT ?auto_36130 ?auto_36119 ) ( LOCATION ?auto_36127 ) ( AT ?auto_36125 ?auto_36127 ) ( AIRPLANE ?auto_36128 ) ( AT ?auto_36128 ?auto_36127 ) ( LOCATION ?auto_36120 ) ( AT ?auto_36128 ?auto_36120 ) ( TRUCK ?auto_36126 ) ( IN ?auto_36114 ?auto_36126 ) ( LOCATION ?auto_36129 ) ( CITY ?auto_36124 ) ( IN-CITY ?auto_36129 ?auto_36124 ) ( IN-CITY ?auto_36120 ?auto_36124 ) ( DIFFERENT ?auto_36120 ?auto_36129 ) ( LOCATION ?auto_36118 ) ( CITY ?auto_36116 ) ( IN-CITY ?auto_36118 ?auto_36116 ) ( IN-CITY ?auto_36129 ?auto_36116 ) ( DIFFERENT ?auto_36129 ?auto_36118 ) ( LOCATION ?auto_36123 ) ( CITY ?auto_36122 ) ( IN-CITY ?auto_36123 ?auto_36122 ) ( IN-CITY ?auto_36118 ?auto_36122 ) ( DIFFERENT ?auto_36118 ?auto_36123 ) ( LOCATION ?auto_36133 ) ( CITY ?auto_36132 ) ( AT ?auto_36126 ?auto_36133 ) ( IN-CITY ?auto_36133 ?auto_36132 ) ( IN-CITY ?auto_36123 ?auto_36132 ) ( DIFFERENT ?auto_36123 ?auto_36133 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36126 ?auto_36133 ?auto_36123 ?auto_36132 )
      ( DELIVER-PKG ?auto_36114 ?auto_36115 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36154
      ?auto_36155
    )
    :vars
    (
      ?auto_36159
      ?auto_36170
      ?auto_36167
      ?auto_36161
      ?auto_36168
      ?auto_36163
      ?auto_36160
      ?auto_36169
      ?auto_36166
      ?auto_36162
      ?auto_36157
      ?auto_36165
      ?auto_36164
      ?auto_36172
      ?auto_36171
      ?auto_36175
      ?auto_36174
    )
    :precondition
    ( and ( OBJ ?auto_36154 ) ( LOCATION ?auto_36155 ) ( AIRPLANE ?auto_36159 ) ( AIRPORT ?auto_36170 ) ( AIRPORT ?auto_36155 ) ( DIFFERENT ?auto_36155 ?auto_36170 ) ( AIRPORT ?auto_36167 ) ( AT ?auto_36159 ?auto_36167 ) ( DIFFERENT ?auto_36170 ?auto_36167 ) ( LOCATION ?auto_36161 ) ( AT ?auto_36159 ?auto_36161 ) ( AIRPLANE ?auto_36168 ) ( AT ?auto_36168 ?auto_36161 ) ( LOCATION ?auto_36163 ) ( AT ?auto_36168 ?auto_36163 ) ( TRUCK ?auto_36160 ) ( IN ?auto_36154 ?auto_36160 ) ( LOCATION ?auto_36169 ) ( CITY ?auto_36166 ) ( IN-CITY ?auto_36169 ?auto_36166 ) ( IN-CITY ?auto_36163 ?auto_36166 ) ( DIFFERENT ?auto_36163 ?auto_36169 ) ( LOCATION ?auto_36162 ) ( CITY ?auto_36157 ) ( IN-CITY ?auto_36162 ?auto_36157 ) ( IN-CITY ?auto_36169 ?auto_36157 ) ( DIFFERENT ?auto_36169 ?auto_36162 ) ( LOCATION ?auto_36165 ) ( CITY ?auto_36164 ) ( IN-CITY ?auto_36165 ?auto_36164 ) ( IN-CITY ?auto_36162 ?auto_36164 ) ( DIFFERENT ?auto_36162 ?auto_36165 ) ( LOCATION ?auto_36172 ) ( CITY ?auto_36171 ) ( IN-CITY ?auto_36172 ?auto_36171 ) ( IN-CITY ?auto_36165 ?auto_36171 ) ( DIFFERENT ?auto_36165 ?auto_36172 ) ( LOCATION ?auto_36175 ) ( CITY ?auto_36174 ) ( AT ?auto_36160 ?auto_36175 ) ( IN-CITY ?auto_36175 ?auto_36174 ) ( IN-CITY ?auto_36172 ?auto_36174 ) ( DIFFERENT ?auto_36172 ?auto_36175 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36160 ?auto_36175 ?auto_36172 ?auto_36174 )
      ( DELIVER-PKG ?auto_36154 ?auto_36155 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36219
      ?auto_36220
    )
    :vars
    (
      ?auto_36223
      ?auto_36224
      ?auto_36234
      ?auto_36228
      ?auto_36235
      ?auto_36230
      ?auto_36237
      ?auto_36236
      ?auto_36233
      ?auto_36229
      ?auto_36221
      ?auto_36232
      ?auto_36231
      ?auto_36226
      ?auto_36225
      ?auto_36239
      ?auto_36227
      ?auto_36241
    )
    :precondition
    ( and ( OBJ ?auto_36219 ) ( LOCATION ?auto_36220 ) ( AIRPLANE ?auto_36223 ) ( AIRPORT ?auto_36224 ) ( AIRPORT ?auto_36220 ) ( DIFFERENT ?auto_36220 ?auto_36224 ) ( AIRPORT ?auto_36234 ) ( AT ?auto_36223 ?auto_36234 ) ( DIFFERENT ?auto_36224 ?auto_36234 ) ( LOCATION ?auto_36228 ) ( AT ?auto_36223 ?auto_36228 ) ( AIRPLANE ?auto_36235 ) ( AT ?auto_36235 ?auto_36228 ) ( LOCATION ?auto_36230 ) ( AT ?auto_36235 ?auto_36230 ) ( TRUCK ?auto_36237 ) ( LOCATION ?auto_36236 ) ( CITY ?auto_36233 ) ( IN-CITY ?auto_36236 ?auto_36233 ) ( IN-CITY ?auto_36230 ?auto_36233 ) ( DIFFERENT ?auto_36230 ?auto_36236 ) ( LOCATION ?auto_36229 ) ( CITY ?auto_36221 ) ( IN-CITY ?auto_36229 ?auto_36221 ) ( IN-CITY ?auto_36236 ?auto_36221 ) ( DIFFERENT ?auto_36236 ?auto_36229 ) ( LOCATION ?auto_36232 ) ( CITY ?auto_36231 ) ( IN-CITY ?auto_36232 ?auto_36231 ) ( IN-CITY ?auto_36229 ?auto_36231 ) ( DIFFERENT ?auto_36229 ?auto_36232 ) ( LOCATION ?auto_36226 ) ( CITY ?auto_36225 ) ( IN-CITY ?auto_36226 ?auto_36225 ) ( IN-CITY ?auto_36232 ?auto_36225 ) ( DIFFERENT ?auto_36232 ?auto_36226 ) ( LOCATION ?auto_36239 ) ( CITY ?auto_36227 ) ( AT ?auto_36237 ?auto_36239 ) ( IN-CITY ?auto_36239 ?auto_36227 ) ( IN-CITY ?auto_36226 ?auto_36227 ) ( DIFFERENT ?auto_36226 ?auto_36239 ) ( LOCATION ?auto_36241 ) ( AT ?auto_36237 ?auto_36241 ) ( AT ?auto_36219 ?auto_36241 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_36219 ?auto_36237 ?auto_36241 )
      ( DELIVER-PKG ?auto_36219 ?auto_36220 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36265
      ?auto_36266
    )
    :vars
    (
      ?auto_36275
      ?auto_36276
      ?auto_36271
      ?auto_36279
      ?auto_36272
      ?auto_36281
      ?auto_36285
      ?auto_36273
      ?auto_36270
      ?auto_36280
      ?auto_36267
      ?auto_36269
      ?auto_36282
      ?auto_36277
      ?auto_36283
      ?auto_36274
      ?auto_36278
      ?auto_36289
      ?auto_36288
    )
    :precondition
    ( and ( OBJ ?auto_36265 ) ( LOCATION ?auto_36266 ) ( AIRPLANE ?auto_36275 ) ( AIRPORT ?auto_36276 ) ( AIRPORT ?auto_36266 ) ( DIFFERENT ?auto_36266 ?auto_36276 ) ( AIRPORT ?auto_36271 ) ( AT ?auto_36275 ?auto_36271 ) ( DIFFERENT ?auto_36276 ?auto_36271 ) ( LOCATION ?auto_36279 ) ( AT ?auto_36275 ?auto_36279 ) ( AIRPLANE ?auto_36272 ) ( AT ?auto_36272 ?auto_36279 ) ( LOCATION ?auto_36281 ) ( AT ?auto_36272 ?auto_36281 ) ( TRUCK ?auto_36285 ) ( LOCATION ?auto_36273 ) ( CITY ?auto_36270 ) ( IN-CITY ?auto_36273 ?auto_36270 ) ( IN-CITY ?auto_36281 ?auto_36270 ) ( DIFFERENT ?auto_36281 ?auto_36273 ) ( LOCATION ?auto_36280 ) ( CITY ?auto_36267 ) ( IN-CITY ?auto_36280 ?auto_36267 ) ( IN-CITY ?auto_36273 ?auto_36267 ) ( DIFFERENT ?auto_36273 ?auto_36280 ) ( LOCATION ?auto_36269 ) ( CITY ?auto_36282 ) ( IN-CITY ?auto_36269 ?auto_36282 ) ( IN-CITY ?auto_36280 ?auto_36282 ) ( DIFFERENT ?auto_36280 ?auto_36269 ) ( LOCATION ?auto_36277 ) ( CITY ?auto_36283 ) ( IN-CITY ?auto_36277 ?auto_36283 ) ( IN-CITY ?auto_36269 ?auto_36283 ) ( DIFFERENT ?auto_36269 ?auto_36277 ) ( LOCATION ?auto_36274 ) ( CITY ?auto_36278 ) ( IN-CITY ?auto_36274 ?auto_36278 ) ( IN-CITY ?auto_36277 ?auto_36278 ) ( DIFFERENT ?auto_36277 ?auto_36274 ) ( AT ?auto_36265 ?auto_36274 ) ( LOCATION ?auto_36289 ) ( CITY ?auto_36288 ) ( AT ?auto_36285 ?auto_36289 ) ( IN-CITY ?auto_36289 ?auto_36288 ) ( IN-CITY ?auto_36274 ?auto_36288 ) ( DIFFERENT ?auto_36274 ?auto_36289 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36285 ?auto_36289 ?auto_36274 ?auto_36288 )
      ( DELIVER-PKG ?auto_36265 ?auto_36266 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37044
      ?auto_37045
    )
    :vars
    (
      ?auto_37049
      ?auto_37051
      ?auto_37052
      ?auto_37054
      ?auto_37053
      ?auto_37050
      ?auto_37047
      ?auto_37055
      ?auto_37058
      ?auto_37057
    )
    :precondition
    ( and ( OBJ ?auto_37044 ) ( LOCATION ?auto_37045 ) ( TRUCK ?auto_37049 ) ( LOCATION ?auto_37051 ) ( CITY ?auto_37052 ) ( AT ?auto_37049 ?auto_37051 ) ( IN-CITY ?auto_37051 ?auto_37052 ) ( IN-CITY ?auto_37045 ?auto_37052 ) ( DIFFERENT ?auto_37045 ?auto_37051 ) ( LOCATION ?auto_37054 ) ( AT ?auto_37049 ?auto_37054 ) ( AIRPLANE ?auto_37053 ) ( AIRPORT ?auto_37050 ) ( AIRPORT ?auto_37054 ) ( DIFFERENT ?auto_37054 ?auto_37050 ) ( LOCATION ?auto_37050 ) ( AIRPORT ?auto_37047 ) ( AT ?auto_37053 ?auto_37047 ) ( DIFFERENT ?auto_37050 ?auto_37047 ) ( TRUCK ?auto_37055 ) ( IN ?auto_37044 ?auto_37055 ) ( LOCATION ?auto_37058 ) ( CITY ?auto_37057 ) ( AT ?auto_37055 ?auto_37058 ) ( IN-CITY ?auto_37058 ?auto_37057 ) ( IN-CITY ?auto_37050 ?auto_37057 ) ( DIFFERENT ?auto_37050 ?auto_37058 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37055 ?auto_37058 ?auto_37050 ?auto_37057 )
      ( DELIVER-PKG ?auto_37044 ?auto_37045 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37074
      ?auto_37075
    )
    :vars
    (
      ?auto_37076
      ?auto_37078
      ?auto_37079
      ?auto_37081
      ?auto_37080
      ?auto_37077
      ?auto_37085
      ?auto_37082
      ?auto_37084
      ?auto_37083
      ?auto_37089
    )
    :precondition
    ( and ( OBJ ?auto_37074 ) ( LOCATION ?auto_37075 ) ( TRUCK ?auto_37076 ) ( LOCATION ?auto_37078 ) ( CITY ?auto_37079 ) ( AT ?auto_37076 ?auto_37078 ) ( IN-CITY ?auto_37078 ?auto_37079 ) ( IN-CITY ?auto_37075 ?auto_37079 ) ( DIFFERENT ?auto_37075 ?auto_37078 ) ( LOCATION ?auto_37081 ) ( AT ?auto_37076 ?auto_37081 ) ( AIRPLANE ?auto_37080 ) ( AIRPORT ?auto_37077 ) ( AIRPORT ?auto_37081 ) ( DIFFERENT ?auto_37081 ?auto_37077 ) ( LOCATION ?auto_37077 ) ( AIRPORT ?auto_37085 ) ( AT ?auto_37080 ?auto_37085 ) ( DIFFERENT ?auto_37077 ?auto_37085 ) ( TRUCK ?auto_37082 ) ( LOCATION ?auto_37084 ) ( CITY ?auto_37083 ) ( AT ?auto_37082 ?auto_37084 ) ( IN-CITY ?auto_37084 ?auto_37083 ) ( IN-CITY ?auto_37077 ?auto_37083 ) ( DIFFERENT ?auto_37077 ?auto_37084 ) ( LOCATION ?auto_37089 ) ( AT ?auto_37082 ?auto_37089 ) ( AT ?auto_37074 ?auto_37089 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_37074 ?auto_37082 ?auto_37089 )
      ( DELIVER-PKG ?auto_37074 ?auto_37075 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37121
      ?auto_37122
    )
    :vars
    (
      ?auto_37133
      ?auto_37123
      ?auto_37135
      ?auto_37125
      ?auto_37127
      ?auto_37128
      ?auto_37130
      ?auto_37126
      ?auto_37132
      ?auto_37131
      ?auto_37138
      ?auto_37137
    )
    :precondition
    ( and ( OBJ ?auto_37121 ) ( LOCATION ?auto_37122 ) ( TRUCK ?auto_37133 ) ( LOCATION ?auto_37123 ) ( CITY ?auto_37135 ) ( AT ?auto_37133 ?auto_37123 ) ( IN-CITY ?auto_37123 ?auto_37135 ) ( IN-CITY ?auto_37122 ?auto_37135 ) ( DIFFERENT ?auto_37122 ?auto_37123 ) ( LOCATION ?auto_37125 ) ( AT ?auto_37133 ?auto_37125 ) ( AIRPLANE ?auto_37127 ) ( AIRPORT ?auto_37128 ) ( AIRPORT ?auto_37125 ) ( DIFFERENT ?auto_37125 ?auto_37128 ) ( LOCATION ?auto_37128 ) ( AIRPORT ?auto_37130 ) ( AT ?auto_37127 ?auto_37130 ) ( DIFFERENT ?auto_37128 ?auto_37130 ) ( TRUCK ?auto_37126 ) ( LOCATION ?auto_37132 ) ( CITY ?auto_37131 ) ( IN-CITY ?auto_37132 ?auto_37131 ) ( IN-CITY ?auto_37128 ?auto_37131 ) ( DIFFERENT ?auto_37128 ?auto_37132 ) ( AT ?auto_37121 ?auto_37132 ) ( LOCATION ?auto_37138 ) ( CITY ?auto_37137 ) ( AT ?auto_37126 ?auto_37138 ) ( IN-CITY ?auto_37138 ?auto_37137 ) ( IN-CITY ?auto_37132 ?auto_37137 ) ( DIFFERENT ?auto_37132 ?auto_37138 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37126 ?auto_37138 ?auto_37132 ?auto_37137 )
      ( DELIVER-PKG ?auto_37121 ?auto_37122 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37198
      ?auto_37199
    )
    :vars
    (
      ?auto_37204
      ?auto_37206
      ?auto_37201
      ?auto_37203
      ?auto_37205
      ?auto_37208
    )
    :precondition
    ( and ( OBJ ?auto_37198 ) ( LOCATION ?auto_37199 ) ( TRUCK ?auto_37204 ) ( LOCATION ?auto_37206 ) ( CITY ?auto_37201 ) ( AT ?auto_37204 ?auto_37206 ) ( IN-CITY ?auto_37206 ?auto_37201 ) ( IN-CITY ?auto_37199 ?auto_37201 ) ( DIFFERENT ?auto_37199 ?auto_37206 ) ( LOCATION ?auto_37203 ) ( AT ?auto_37204 ?auto_37203 ) ( AIRPLANE ?auto_37205 ) ( AT ?auto_37205 ?auto_37203 ) ( LOCATION ?auto_37208 ) ( AT ?auto_37198 ?auto_37208 ) ( AT ?auto_37205 ?auto_37208 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_37198 ?auto_37205 ?auto_37208 )
      ( DELIVER-PKG ?auto_37198 ?auto_37199 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37220
      ?auto_37221
    )
    :vars
    (
      ?auto_37228
      ?auto_37223
      ?auto_37229
      ?auto_37225
      ?auto_37222
      ?auto_37226
      ?auto_37232
    )
    :precondition
    ( and ( OBJ ?auto_37220 ) ( LOCATION ?auto_37221 ) ( TRUCK ?auto_37228 ) ( LOCATION ?auto_37223 ) ( CITY ?auto_37229 ) ( AT ?auto_37228 ?auto_37223 ) ( IN-CITY ?auto_37223 ?auto_37229 ) ( IN-CITY ?auto_37221 ?auto_37229 ) ( DIFFERENT ?auto_37221 ?auto_37223 ) ( LOCATION ?auto_37225 ) ( AT ?auto_37228 ?auto_37225 ) ( AIRPLANE ?auto_37222 ) ( AT ?auto_37222 ?auto_37225 ) ( LOCATION ?auto_37226 ) ( AT ?auto_37222 ?auto_37226 ) ( AIRPLANE ?auto_37232 ) ( IN ?auto_37220 ?auto_37232 ) ( AT ?auto_37232 ?auto_37226 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_37220 ?auto_37226 )
      ( DELIVER-PKG ?auto_37220 ?auto_37221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37295
      ?auto_37296
    )
    :vars
    (
      ?auto_37300
      ?auto_37305
      ?auto_37306
      ?auto_37302
      ?auto_37297
      ?auto_37299
      ?auto_37304
      ?auto_37301
      ?auto_37309
    )
    :precondition
    ( and ( OBJ ?auto_37295 ) ( LOCATION ?auto_37296 ) ( TRUCK ?auto_37300 ) ( LOCATION ?auto_37305 ) ( CITY ?auto_37306 ) ( AT ?auto_37300 ?auto_37305 ) ( IN-CITY ?auto_37305 ?auto_37306 ) ( IN-CITY ?auto_37296 ?auto_37306 ) ( DIFFERENT ?auto_37296 ?auto_37305 ) ( LOCATION ?auto_37302 ) ( AT ?auto_37300 ?auto_37302 ) ( AIRPLANE ?auto_37297 ) ( AIRPORT ?auto_37299 ) ( AIRPORT ?auto_37302 ) ( DIFFERENT ?auto_37302 ?auto_37299 ) ( AIRPORT ?auto_37304 ) ( AT ?auto_37297 ?auto_37304 ) ( DIFFERENT ?auto_37299 ?auto_37304 ) ( LOCATION ?auto_37301 ) ( AT ?auto_37297 ?auto_37301 ) ( AIRPLANE ?auto_37309 ) ( IN ?auto_37295 ?auto_37309 ) ( AT ?auto_37309 ?auto_37301 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_37295 ?auto_37301 )
      ( DELIVER-PKG ?auto_37295 ?auto_37296 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37362
      ?auto_37363
    )
    :vars
    (
      ?auto_37365
      ?auto_37370
      ?auto_37375
      ?auto_37368
      ?auto_37366
      ?auto_37374
      ?auto_37377
      ?auto_37378
      ?auto_37376
      ?auto_37369
      ?auto_37364
      ?auto_37373
      ?auto_37372
      ?auto_37381
      ?auto_37380
    )
    :precondition
    ( and ( OBJ ?auto_37362 ) ( LOCATION ?auto_37363 ) ( TRUCK ?auto_37365 ) ( LOCATION ?auto_37370 ) ( CITY ?auto_37375 ) ( AT ?auto_37365 ?auto_37370 ) ( IN-CITY ?auto_37370 ?auto_37375 ) ( IN-CITY ?auto_37363 ?auto_37375 ) ( DIFFERENT ?auto_37363 ?auto_37370 ) ( LOCATION ?auto_37368 ) ( AT ?auto_37365 ?auto_37368 ) ( AIRPLANE ?auto_37366 ) ( AIRPORT ?auto_37374 ) ( AIRPORT ?auto_37368 ) ( DIFFERENT ?auto_37368 ?auto_37374 ) ( AIRPORT ?auto_37377 ) ( AT ?auto_37366 ?auto_37377 ) ( DIFFERENT ?auto_37374 ?auto_37377 ) ( LOCATION ?auto_37378 ) ( AT ?auto_37366 ?auto_37378 ) ( AIRPLANE ?auto_37376 ) ( AT ?auto_37376 ?auto_37378 ) ( LOCATION ?auto_37369 ) ( AT ?auto_37376 ?auto_37369 ) ( TRUCK ?auto_37364 ) ( IN ?auto_37362 ?auto_37364 ) ( LOCATION ?auto_37373 ) ( CITY ?auto_37372 ) ( IN-CITY ?auto_37373 ?auto_37372 ) ( IN-CITY ?auto_37369 ?auto_37372 ) ( DIFFERENT ?auto_37369 ?auto_37373 ) ( LOCATION ?auto_37381 ) ( CITY ?auto_37380 ) ( AT ?auto_37364 ?auto_37381 ) ( IN-CITY ?auto_37381 ?auto_37380 ) ( IN-CITY ?auto_37373 ?auto_37380 ) ( DIFFERENT ?auto_37373 ?auto_37381 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37364 ?auto_37381 ?auto_37373 ?auto_37380 )
      ( DELIVER-PKG ?auto_37362 ?auto_37363 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37383
      ?auto_37384
    )
    :vars
    (
      ?auto_37397
      ?auto_37400
      ?auto_37390
      ?auto_37401
      ?auto_37399
      ?auto_37396
      ?auto_37387
      ?auto_37385
      ?auto_37398
      ?auto_37391
      ?auto_37388
      ?auto_37386
      ?auto_37389
      ?auto_37392
      ?auto_37393
      ?auto_37404
      ?auto_37403
    )
    :precondition
    ( and ( OBJ ?auto_37383 ) ( LOCATION ?auto_37384 ) ( TRUCK ?auto_37397 ) ( LOCATION ?auto_37400 ) ( CITY ?auto_37390 ) ( AT ?auto_37397 ?auto_37400 ) ( IN-CITY ?auto_37400 ?auto_37390 ) ( IN-CITY ?auto_37384 ?auto_37390 ) ( DIFFERENT ?auto_37384 ?auto_37400 ) ( LOCATION ?auto_37401 ) ( AT ?auto_37397 ?auto_37401 ) ( AIRPLANE ?auto_37399 ) ( AIRPORT ?auto_37396 ) ( AIRPORT ?auto_37401 ) ( DIFFERENT ?auto_37401 ?auto_37396 ) ( AIRPORT ?auto_37387 ) ( AT ?auto_37399 ?auto_37387 ) ( DIFFERENT ?auto_37396 ?auto_37387 ) ( LOCATION ?auto_37385 ) ( AT ?auto_37399 ?auto_37385 ) ( AIRPLANE ?auto_37398 ) ( AT ?auto_37398 ?auto_37385 ) ( LOCATION ?auto_37391 ) ( AT ?auto_37398 ?auto_37391 ) ( TRUCK ?auto_37388 ) ( IN ?auto_37383 ?auto_37388 ) ( LOCATION ?auto_37386 ) ( CITY ?auto_37389 ) ( IN-CITY ?auto_37386 ?auto_37389 ) ( IN-CITY ?auto_37391 ?auto_37389 ) ( DIFFERENT ?auto_37391 ?auto_37386 ) ( LOCATION ?auto_37392 ) ( CITY ?auto_37393 ) ( IN-CITY ?auto_37392 ?auto_37393 ) ( IN-CITY ?auto_37386 ?auto_37393 ) ( DIFFERENT ?auto_37386 ?auto_37392 ) ( LOCATION ?auto_37404 ) ( CITY ?auto_37403 ) ( AT ?auto_37388 ?auto_37404 ) ( IN-CITY ?auto_37404 ?auto_37403 ) ( IN-CITY ?auto_37392 ?auto_37403 ) ( DIFFERENT ?auto_37392 ?auto_37404 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37388 ?auto_37404 ?auto_37392 ?auto_37403 )
      ( DELIVER-PKG ?auto_37383 ?auto_37384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37448
      ?auto_37449
    )
    :vars
    (
      ?auto_37453
      ?auto_37463
      ?auto_37462
      ?auto_37465
      ?auto_37452
      ?auto_37460
      ?auto_37455
      ?auto_37451
      ?auto_37457
      ?auto_37468
      ?auto_37466
      ?auto_37458
      ?auto_37461
      ?auto_37450
      ?auto_37467
      ?auto_37459
      ?auto_37464
      ?auto_37471
      ?auto_37470
    )
    :precondition
    ( and ( OBJ ?auto_37448 ) ( LOCATION ?auto_37449 ) ( TRUCK ?auto_37453 ) ( LOCATION ?auto_37463 ) ( CITY ?auto_37462 ) ( AT ?auto_37453 ?auto_37463 ) ( IN-CITY ?auto_37463 ?auto_37462 ) ( IN-CITY ?auto_37449 ?auto_37462 ) ( DIFFERENT ?auto_37449 ?auto_37463 ) ( LOCATION ?auto_37465 ) ( AT ?auto_37453 ?auto_37465 ) ( AIRPLANE ?auto_37452 ) ( AIRPORT ?auto_37460 ) ( AIRPORT ?auto_37465 ) ( DIFFERENT ?auto_37465 ?auto_37460 ) ( AIRPORT ?auto_37455 ) ( AT ?auto_37452 ?auto_37455 ) ( DIFFERENT ?auto_37460 ?auto_37455 ) ( LOCATION ?auto_37451 ) ( AT ?auto_37452 ?auto_37451 ) ( AIRPLANE ?auto_37457 ) ( AT ?auto_37457 ?auto_37451 ) ( LOCATION ?auto_37468 ) ( AT ?auto_37457 ?auto_37468 ) ( TRUCK ?auto_37466 ) ( IN ?auto_37448 ?auto_37466 ) ( LOCATION ?auto_37458 ) ( CITY ?auto_37461 ) ( IN-CITY ?auto_37458 ?auto_37461 ) ( IN-CITY ?auto_37468 ?auto_37461 ) ( DIFFERENT ?auto_37468 ?auto_37458 ) ( LOCATION ?auto_37450 ) ( CITY ?auto_37467 ) ( IN-CITY ?auto_37450 ?auto_37467 ) ( IN-CITY ?auto_37458 ?auto_37467 ) ( DIFFERENT ?auto_37458 ?auto_37450 ) ( LOCATION ?auto_37459 ) ( CITY ?auto_37464 ) ( IN-CITY ?auto_37459 ?auto_37464 ) ( IN-CITY ?auto_37450 ?auto_37464 ) ( DIFFERENT ?auto_37450 ?auto_37459 ) ( LOCATION ?auto_37471 ) ( CITY ?auto_37470 ) ( AT ?auto_37466 ?auto_37471 ) ( IN-CITY ?auto_37471 ?auto_37470 ) ( IN-CITY ?auto_37459 ?auto_37470 ) ( DIFFERENT ?auto_37459 ?auto_37471 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37466 ?auto_37471 ?auto_37459 ?auto_37470 )
      ( DELIVER-PKG ?auto_37448 ?auto_37449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37496
      ?auto_37497
    )
    :vars
    (
      ?auto_37503
      ?auto_37512
      ?auto_37511
      ?auto_37514
      ?auto_37502
      ?auto_37509
      ?auto_37505
      ?auto_37501
      ?auto_37506
      ?auto_37517
      ?auto_37515
      ?auto_37507
      ?auto_37510
      ?auto_37499
      ?auto_37516
      ?auto_37508
      ?auto_37513
      ?auto_37518
      ?auto_37504
      ?auto_37521
      ?auto_37520
    )
    :precondition
    ( and ( OBJ ?auto_37496 ) ( LOCATION ?auto_37497 ) ( TRUCK ?auto_37503 ) ( LOCATION ?auto_37512 ) ( CITY ?auto_37511 ) ( AT ?auto_37503 ?auto_37512 ) ( IN-CITY ?auto_37512 ?auto_37511 ) ( IN-CITY ?auto_37497 ?auto_37511 ) ( DIFFERENT ?auto_37497 ?auto_37512 ) ( LOCATION ?auto_37514 ) ( AT ?auto_37503 ?auto_37514 ) ( AIRPLANE ?auto_37502 ) ( AIRPORT ?auto_37509 ) ( AIRPORT ?auto_37514 ) ( DIFFERENT ?auto_37514 ?auto_37509 ) ( AIRPORT ?auto_37505 ) ( AT ?auto_37502 ?auto_37505 ) ( DIFFERENT ?auto_37509 ?auto_37505 ) ( LOCATION ?auto_37501 ) ( AT ?auto_37502 ?auto_37501 ) ( AIRPLANE ?auto_37506 ) ( AT ?auto_37506 ?auto_37501 ) ( LOCATION ?auto_37517 ) ( AT ?auto_37506 ?auto_37517 ) ( TRUCK ?auto_37515 ) ( IN ?auto_37496 ?auto_37515 ) ( LOCATION ?auto_37507 ) ( CITY ?auto_37510 ) ( IN-CITY ?auto_37507 ?auto_37510 ) ( IN-CITY ?auto_37517 ?auto_37510 ) ( DIFFERENT ?auto_37517 ?auto_37507 ) ( LOCATION ?auto_37499 ) ( CITY ?auto_37516 ) ( IN-CITY ?auto_37499 ?auto_37516 ) ( IN-CITY ?auto_37507 ?auto_37516 ) ( DIFFERENT ?auto_37507 ?auto_37499 ) ( LOCATION ?auto_37508 ) ( CITY ?auto_37513 ) ( IN-CITY ?auto_37508 ?auto_37513 ) ( IN-CITY ?auto_37499 ?auto_37513 ) ( DIFFERENT ?auto_37499 ?auto_37508 ) ( LOCATION ?auto_37518 ) ( CITY ?auto_37504 ) ( IN-CITY ?auto_37518 ?auto_37504 ) ( IN-CITY ?auto_37508 ?auto_37504 ) ( DIFFERENT ?auto_37508 ?auto_37518 ) ( LOCATION ?auto_37521 ) ( CITY ?auto_37520 ) ( AT ?auto_37515 ?auto_37521 ) ( IN-CITY ?auto_37521 ?auto_37520 ) ( IN-CITY ?auto_37518 ?auto_37520 ) ( DIFFERENT ?auto_37518 ?auto_37521 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37515 ?auto_37521 ?auto_37518 ?auto_37520 )
      ( DELIVER-PKG ?auto_37496 ?auto_37497 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37573
      ?auto_37574
    )
    :vars
    (
      ?auto_37576
      ?auto_37592
      ?auto_37591
      ?auto_37594
      ?auto_37596
      ?auto_37589
      ?auto_37585
      ?auto_37577
      ?auto_37586
      ?auto_37582
      ?auto_37595
      ?auto_37587
      ?auto_37590
      ?auto_37579
      ?auto_37580
      ?auto_37588
      ?auto_37593
      ?auto_37583
      ?auto_37584
      ?auto_37578
      ?auto_37581
      ?auto_37599
    )
    :precondition
    ( and ( OBJ ?auto_37573 ) ( LOCATION ?auto_37574 ) ( TRUCK ?auto_37576 ) ( LOCATION ?auto_37592 ) ( CITY ?auto_37591 ) ( AT ?auto_37576 ?auto_37592 ) ( IN-CITY ?auto_37592 ?auto_37591 ) ( IN-CITY ?auto_37574 ?auto_37591 ) ( DIFFERENT ?auto_37574 ?auto_37592 ) ( LOCATION ?auto_37594 ) ( AT ?auto_37576 ?auto_37594 ) ( AIRPLANE ?auto_37596 ) ( AIRPORT ?auto_37589 ) ( AIRPORT ?auto_37594 ) ( DIFFERENT ?auto_37594 ?auto_37589 ) ( AIRPORT ?auto_37585 ) ( AT ?auto_37596 ?auto_37585 ) ( DIFFERENT ?auto_37589 ?auto_37585 ) ( LOCATION ?auto_37577 ) ( AT ?auto_37596 ?auto_37577 ) ( AIRPLANE ?auto_37586 ) ( AT ?auto_37586 ?auto_37577 ) ( LOCATION ?auto_37582 ) ( AT ?auto_37586 ?auto_37582 ) ( TRUCK ?auto_37595 ) ( LOCATION ?auto_37587 ) ( CITY ?auto_37590 ) ( IN-CITY ?auto_37587 ?auto_37590 ) ( IN-CITY ?auto_37582 ?auto_37590 ) ( DIFFERENT ?auto_37582 ?auto_37587 ) ( LOCATION ?auto_37579 ) ( CITY ?auto_37580 ) ( IN-CITY ?auto_37579 ?auto_37580 ) ( IN-CITY ?auto_37587 ?auto_37580 ) ( DIFFERENT ?auto_37587 ?auto_37579 ) ( LOCATION ?auto_37588 ) ( CITY ?auto_37593 ) ( IN-CITY ?auto_37588 ?auto_37593 ) ( IN-CITY ?auto_37579 ?auto_37593 ) ( DIFFERENT ?auto_37579 ?auto_37588 ) ( LOCATION ?auto_37583 ) ( CITY ?auto_37584 ) ( IN-CITY ?auto_37583 ?auto_37584 ) ( IN-CITY ?auto_37588 ?auto_37584 ) ( DIFFERENT ?auto_37588 ?auto_37583 ) ( LOCATION ?auto_37578 ) ( CITY ?auto_37581 ) ( AT ?auto_37595 ?auto_37578 ) ( IN-CITY ?auto_37578 ?auto_37581 ) ( IN-CITY ?auto_37583 ?auto_37581 ) ( DIFFERENT ?auto_37583 ?auto_37578 ) ( LOCATION ?auto_37599 ) ( AT ?auto_37595 ?auto_37599 ) ( AT ?auto_37573 ?auto_37599 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_37573 ?auto_37595 ?auto_37599 )
      ( DELIVER-PKG ?auto_37573 ?auto_37574 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37627
      ?auto_37628
    )
    :vars
    (
      ?auto_37636
      ?auto_37634
      ?auto_37633
      ?auto_37649
      ?auto_37652
      ?auto_37631
      ?auto_37644
      ?auto_37637
      ?auto_37645
      ?auto_37641
      ?auto_37650
      ?auto_37646
      ?auto_37632
      ?auto_37639
      ?auto_37640
      ?auto_37647
      ?auto_37648
      ?auto_37642
      ?auto_37643
      ?auto_37651
      ?auto_37630
      ?auto_37655
      ?auto_37654
    )
    :precondition
    ( and ( OBJ ?auto_37627 ) ( LOCATION ?auto_37628 ) ( TRUCK ?auto_37636 ) ( LOCATION ?auto_37634 ) ( CITY ?auto_37633 ) ( AT ?auto_37636 ?auto_37634 ) ( IN-CITY ?auto_37634 ?auto_37633 ) ( IN-CITY ?auto_37628 ?auto_37633 ) ( DIFFERENT ?auto_37628 ?auto_37634 ) ( LOCATION ?auto_37649 ) ( AT ?auto_37636 ?auto_37649 ) ( AIRPLANE ?auto_37652 ) ( AIRPORT ?auto_37631 ) ( AIRPORT ?auto_37649 ) ( DIFFERENT ?auto_37649 ?auto_37631 ) ( AIRPORT ?auto_37644 ) ( AT ?auto_37652 ?auto_37644 ) ( DIFFERENT ?auto_37631 ?auto_37644 ) ( LOCATION ?auto_37637 ) ( AT ?auto_37652 ?auto_37637 ) ( AIRPLANE ?auto_37645 ) ( AT ?auto_37645 ?auto_37637 ) ( LOCATION ?auto_37641 ) ( AT ?auto_37645 ?auto_37641 ) ( TRUCK ?auto_37650 ) ( LOCATION ?auto_37646 ) ( CITY ?auto_37632 ) ( IN-CITY ?auto_37646 ?auto_37632 ) ( IN-CITY ?auto_37641 ?auto_37632 ) ( DIFFERENT ?auto_37641 ?auto_37646 ) ( LOCATION ?auto_37639 ) ( CITY ?auto_37640 ) ( IN-CITY ?auto_37639 ?auto_37640 ) ( IN-CITY ?auto_37646 ?auto_37640 ) ( DIFFERENT ?auto_37646 ?auto_37639 ) ( LOCATION ?auto_37647 ) ( CITY ?auto_37648 ) ( IN-CITY ?auto_37647 ?auto_37648 ) ( IN-CITY ?auto_37639 ?auto_37648 ) ( DIFFERENT ?auto_37639 ?auto_37647 ) ( LOCATION ?auto_37642 ) ( CITY ?auto_37643 ) ( IN-CITY ?auto_37642 ?auto_37643 ) ( IN-CITY ?auto_37647 ?auto_37643 ) ( DIFFERENT ?auto_37647 ?auto_37642 ) ( LOCATION ?auto_37651 ) ( CITY ?auto_37630 ) ( IN-CITY ?auto_37651 ?auto_37630 ) ( IN-CITY ?auto_37642 ?auto_37630 ) ( DIFFERENT ?auto_37642 ?auto_37651 ) ( AT ?auto_37627 ?auto_37651 ) ( LOCATION ?auto_37655 ) ( CITY ?auto_37654 ) ( AT ?auto_37650 ?auto_37655 ) ( IN-CITY ?auto_37655 ?auto_37654 ) ( IN-CITY ?auto_37651 ?auto_37654 ) ( DIFFERENT ?auto_37651 ?auto_37655 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37650 ?auto_37655 ?auto_37651 ?auto_37654 )
      ( DELIVER-PKG ?auto_37627 ?auto_37628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40135
      ?auto_40136
    )
    :vars
    (
      ?auto_40139
      ?auto_40142
      ?auto_40138
      ?auto_40141
      ?auto_40137
      ?auto_40143
      ?auto_40144
      ?auto_40148
    )
    :precondition
    ( and ( OBJ ?auto_40135 ) ( LOCATION ?auto_40136 ) ( AIRPLANE ?auto_40139 ) ( AIRPORT ?auto_40142 ) ( AIRPORT ?auto_40136 ) ( AT ?auto_40139 ?auto_40142 ) ( DIFFERENT ?auto_40136 ?auto_40142 ) ( LOCATION ?auto_40138 ) ( AT ?auto_40139 ?auto_40138 ) ( TRUCK ?auto_40141 ) ( LOCATION ?auto_40137 ) ( CITY ?auto_40143 ) ( AT ?auto_40141 ?auto_40137 ) ( IN-CITY ?auto_40137 ?auto_40143 ) ( IN-CITY ?auto_40138 ?auto_40143 ) ( DIFFERENT ?auto_40138 ?auto_40137 ) ( LOCATION ?auto_40144 ) ( AT ?auto_40141 ?auto_40144 ) ( TRUCK ?auto_40148 ) ( AT ?auto_40148 ?auto_40144 ) ( IN ?auto_40135 ?auto_40148 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_40135 ?auto_40144 )
      ( DELIVER-PKG ?auto_40135 ?auto_40136 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40389
      ?auto_40390
    )
    :vars
    (
      ?auto_40400
      ?auto_40393
      ?auto_40397
      ?auto_40396
      ?auto_40395
      ?auto_40399
      ?auto_40398
      ?auto_40402
      ?auto_40401
      ?auto_40404
      ?auto_40403
      ?auto_40406
    )
    :precondition
    ( and ( OBJ ?auto_40389 ) ( LOCATION ?auto_40390 ) ( AIRPLANE ?auto_40400 ) ( AIRPORT ?auto_40393 ) ( AIRPORT ?auto_40390 ) ( DIFFERENT ?auto_40390 ?auto_40393 ) ( LOCATION ?auto_40393 ) ( TRUCK ?auto_40397 ) ( LOCATION ?auto_40396 ) ( CITY ?auto_40395 ) ( IN-CITY ?auto_40396 ?auto_40395 ) ( IN-CITY ?auto_40393 ?auto_40395 ) ( DIFFERENT ?auto_40393 ?auto_40396 ) ( LOCATION ?auto_40399 ) ( CITY ?auto_40398 ) ( IN-CITY ?auto_40399 ?auto_40398 ) ( IN-CITY ?auto_40396 ?auto_40398 ) ( DIFFERENT ?auto_40396 ?auto_40399 ) ( AT ?auto_40389 ?auto_40399 ) ( LOCATION ?auto_40402 ) ( CITY ?auto_40401 ) ( IN-CITY ?auto_40402 ?auto_40401 ) ( IN-CITY ?auto_40399 ?auto_40401 ) ( DIFFERENT ?auto_40399 ?auto_40402 ) ( LOCATION ?auto_40404 ) ( CITY ?auto_40403 ) ( AT ?auto_40397 ?auto_40404 ) ( IN-CITY ?auto_40404 ?auto_40403 ) ( IN-CITY ?auto_40402 ?auto_40403 ) ( DIFFERENT ?auto_40402 ?auto_40404 ) ( AIRPORT ?auto_40406 ) ( AT ?auto_40400 ?auto_40406 ) ( DIFFERENT ?auto_40393 ?auto_40406 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_40400 ?auto_40406 ?auto_40393 )
      ( DELIVER-PKG ?auto_40389 ?auto_40390 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40938
      ?auto_40939
    )
    :vars
    (
      ?auto_40942
      ?auto_40943
      ?auto_40950
      ?auto_40944
      ?auto_40947
      ?auto_40945
      ?auto_40946
      ?auto_40949
      ?auto_40948
      ?auto_40954
      ?auto_40953
    )
    :precondition
    ( and ( OBJ ?auto_40938 ) ( LOCATION ?auto_40939 ) ( TRUCK ?auto_40942 ) ( LOCATION ?auto_40943 ) ( CITY ?auto_40950 ) ( IN-CITY ?auto_40943 ?auto_40950 ) ( IN-CITY ?auto_40939 ?auto_40950 ) ( DIFFERENT ?auto_40939 ?auto_40943 ) ( AIRPLANE ?auto_40944 ) ( AIRPORT ?auto_40947 ) ( AIRPORT ?auto_40943 ) ( AT ?auto_40944 ?auto_40947 ) ( DIFFERENT ?auto_40943 ?auto_40947 ) ( LOCATION ?auto_40945 ) ( AT ?auto_40944 ?auto_40945 ) ( TRUCK ?auto_40946 ) ( IN ?auto_40938 ?auto_40946 ) ( LOCATION ?auto_40949 ) ( CITY ?auto_40948 ) ( AT ?auto_40946 ?auto_40949 ) ( IN-CITY ?auto_40949 ?auto_40948 ) ( IN-CITY ?auto_40945 ?auto_40948 ) ( DIFFERENT ?auto_40945 ?auto_40949 ) ( LOCATION ?auto_40954 ) ( CITY ?auto_40953 ) ( AT ?auto_40942 ?auto_40954 ) ( IN-CITY ?auto_40954 ?auto_40953 ) ( IN-CITY ?auto_40943 ?auto_40953 ) ( DIFFERENT ?auto_40943 ?auto_40954 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40942 ?auto_40954 ?auto_40943 ?auto_40953 )
      ( DELIVER-PKG ?auto_40938 ?auto_40939 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40956
      ?auto_40957
    )
    :vars
    (
      ?auto_40960
      ?auto_40961
      ?auto_40968
      ?auto_40962
      ?auto_40965
      ?auto_40963
      ?auto_40964
      ?auto_40967
      ?auto_40966
      ?auto_40970
      ?auto_40969
      ?auto_40972
    )
    :precondition
    ( and ( OBJ ?auto_40956 ) ( LOCATION ?auto_40957 ) ( TRUCK ?auto_40960 ) ( LOCATION ?auto_40961 ) ( CITY ?auto_40968 ) ( IN-CITY ?auto_40961 ?auto_40968 ) ( IN-CITY ?auto_40957 ?auto_40968 ) ( DIFFERENT ?auto_40957 ?auto_40961 ) ( AIRPLANE ?auto_40962 ) ( AIRPORT ?auto_40965 ) ( AIRPORT ?auto_40961 ) ( AT ?auto_40962 ?auto_40965 ) ( DIFFERENT ?auto_40961 ?auto_40965 ) ( LOCATION ?auto_40963 ) ( AT ?auto_40962 ?auto_40963 ) ( TRUCK ?auto_40964 ) ( LOCATION ?auto_40967 ) ( CITY ?auto_40966 ) ( AT ?auto_40964 ?auto_40967 ) ( IN-CITY ?auto_40967 ?auto_40966 ) ( IN-CITY ?auto_40963 ?auto_40966 ) ( DIFFERENT ?auto_40963 ?auto_40967 ) ( LOCATION ?auto_40970 ) ( CITY ?auto_40969 ) ( AT ?auto_40960 ?auto_40970 ) ( IN-CITY ?auto_40970 ?auto_40969 ) ( IN-CITY ?auto_40961 ?auto_40969 ) ( DIFFERENT ?auto_40961 ?auto_40970 ) ( LOCATION ?auto_40972 ) ( AT ?auto_40964 ?auto_40972 ) ( AT ?auto_40956 ?auto_40972 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_40956 ?auto_40964 ?auto_40972 )
      ( DELIVER-PKG ?auto_40956 ?auto_40957 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41507
      ?auto_41508
    )
    :vars
    (
      ?auto_41515
      ?auto_41517
      ?auto_41518
      ?auto_41514
      ?auto_41516
      ?auto_41513
      ?auto_41519
      ?auto_41520
      ?auto_41511
      ?auto_41512
      ?auto_41510
      ?auto_41523
      ?auto_41522
      ?auto_41526
    )
    :precondition
    ( and ( OBJ ?auto_41507 ) ( LOCATION ?auto_41508 ) ( TRUCK ?auto_41515 ) ( LOCATION ?auto_41517 ) ( CITY ?auto_41518 ) ( IN-CITY ?auto_41517 ?auto_41518 ) ( IN-CITY ?auto_41508 ?auto_41518 ) ( DIFFERENT ?auto_41508 ?auto_41517 ) ( LOCATION ?auto_41514 ) ( CITY ?auto_41516 ) ( AT ?auto_41515 ?auto_41514 ) ( IN-CITY ?auto_41514 ?auto_41516 ) ( IN-CITY ?auto_41517 ?auto_41516 ) ( DIFFERENT ?auto_41517 ?auto_41514 ) ( LOCATION ?auto_41513 ) ( AT ?auto_41515 ?auto_41513 ) ( AIRPLANE ?auto_41519 ) ( AIRPORT ?auto_41520 ) ( AIRPORT ?auto_41513 ) ( AT ?auto_41519 ?auto_41520 ) ( DIFFERENT ?auto_41513 ?auto_41520 ) ( LOCATION ?auto_41511 ) ( AT ?auto_41519 ?auto_41511 ) ( TRUCK ?auto_41512 ) ( LOCATION ?auto_41510 ) ( CITY ?auto_41523 ) ( AT ?auto_41512 ?auto_41510 ) ( IN-CITY ?auto_41510 ?auto_41523 ) ( IN-CITY ?auto_41511 ?auto_41523 ) ( DIFFERENT ?auto_41511 ?auto_41510 ) ( LOCATION ?auto_41522 ) ( AT ?auto_41512 ?auto_41522 ) ( TRUCK ?auto_41526 ) ( AT ?auto_41526 ?auto_41522 ) ( IN ?auto_41507 ?auto_41526 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41507 ?auto_41522 )
      ( DELIVER-PKG ?auto_41507 ?auto_41508 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41801
      ?auto_41802
    )
    :vars
    (
      ?auto_41804
      ?auto_41808
      ?auto_41809
      ?auto_41816
      ?auto_41807
      ?auto_41818
      ?auto_41810
      ?auto_41811
      ?auto_41806
      ?auto_41815
      ?auto_41813
      ?auto_41814
      ?auto_41812
      ?auto_41803
      ?auto_41820
      ?auto_41805
      ?auto_41823
      ?auto_41822
    )
    :precondition
    ( and ( OBJ ?auto_41801 ) ( LOCATION ?auto_41802 ) ( TRUCK ?auto_41804 ) ( LOCATION ?auto_41808 ) ( CITY ?auto_41809 ) ( IN-CITY ?auto_41808 ?auto_41809 ) ( IN-CITY ?auto_41802 ?auto_41809 ) ( DIFFERENT ?auto_41802 ?auto_41808 ) ( LOCATION ?auto_41816 ) ( CITY ?auto_41807 ) ( AT ?auto_41804 ?auto_41816 ) ( IN-CITY ?auto_41816 ?auto_41807 ) ( IN-CITY ?auto_41808 ?auto_41807 ) ( DIFFERENT ?auto_41808 ?auto_41816 ) ( LOCATION ?auto_41818 ) ( AT ?auto_41804 ?auto_41818 ) ( AIRPLANE ?auto_41810 ) ( AIRPORT ?auto_41811 ) ( AIRPORT ?auto_41818 ) ( AT ?auto_41810 ?auto_41811 ) ( DIFFERENT ?auto_41818 ?auto_41811 ) ( LOCATION ?auto_41806 ) ( AT ?auto_41810 ?auto_41806 ) ( TRUCK ?auto_41815 ) ( LOCATION ?auto_41813 ) ( CITY ?auto_41814 ) ( IN-CITY ?auto_41813 ?auto_41814 ) ( IN-CITY ?auto_41806 ?auto_41814 ) ( DIFFERENT ?auto_41806 ?auto_41813 ) ( LOCATION ?auto_41812 ) ( CITY ?auto_41803 ) ( IN-CITY ?auto_41812 ?auto_41803 ) ( IN-CITY ?auto_41813 ?auto_41803 ) ( DIFFERENT ?auto_41813 ?auto_41812 ) ( AT ?auto_41801 ?auto_41812 ) ( LOCATION ?auto_41820 ) ( CITY ?auto_41805 ) ( IN-CITY ?auto_41820 ?auto_41805 ) ( IN-CITY ?auto_41812 ?auto_41805 ) ( DIFFERENT ?auto_41812 ?auto_41820 ) ( LOCATION ?auto_41823 ) ( CITY ?auto_41822 ) ( AT ?auto_41815 ?auto_41823 ) ( IN-CITY ?auto_41823 ?auto_41822 ) ( IN-CITY ?auto_41820 ?auto_41822 ) ( DIFFERENT ?auto_41820 ?auto_41823 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41815 ?auto_41823 ?auto_41820 ?auto_41822 )
      ( DELIVER-PKG ?auto_41801 ?auto_41802 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41869
      ?auto_41870
    )
    :vars
    (
      ?auto_41873
      ?auto_41879
      ?auto_41880
      ?auto_41887
      ?auto_41877
      ?auto_41888
      ?auto_41881
      ?auto_41876
      ?auto_41886
      ?auto_41884
      ?auto_41885
      ?auto_41883
      ?auto_41872
      ?auto_41889
      ?auto_41874
      ?auto_41890
      ?auto_41875
      ?auto_41892
    )
    :precondition
    ( and ( OBJ ?auto_41869 ) ( LOCATION ?auto_41870 ) ( TRUCK ?auto_41873 ) ( LOCATION ?auto_41879 ) ( CITY ?auto_41880 ) ( IN-CITY ?auto_41879 ?auto_41880 ) ( IN-CITY ?auto_41870 ?auto_41880 ) ( DIFFERENT ?auto_41870 ?auto_41879 ) ( LOCATION ?auto_41887 ) ( CITY ?auto_41877 ) ( AT ?auto_41873 ?auto_41887 ) ( IN-CITY ?auto_41887 ?auto_41877 ) ( IN-CITY ?auto_41879 ?auto_41877 ) ( DIFFERENT ?auto_41879 ?auto_41887 ) ( LOCATION ?auto_41888 ) ( AT ?auto_41873 ?auto_41888 ) ( AIRPLANE ?auto_41881 ) ( AIRPORT ?auto_41876 ) ( AIRPORT ?auto_41888 ) ( DIFFERENT ?auto_41888 ?auto_41876 ) ( LOCATION ?auto_41876 ) ( TRUCK ?auto_41886 ) ( LOCATION ?auto_41884 ) ( CITY ?auto_41885 ) ( IN-CITY ?auto_41884 ?auto_41885 ) ( IN-CITY ?auto_41876 ?auto_41885 ) ( DIFFERENT ?auto_41876 ?auto_41884 ) ( LOCATION ?auto_41883 ) ( CITY ?auto_41872 ) ( IN-CITY ?auto_41883 ?auto_41872 ) ( IN-CITY ?auto_41884 ?auto_41872 ) ( DIFFERENT ?auto_41884 ?auto_41883 ) ( AT ?auto_41869 ?auto_41883 ) ( LOCATION ?auto_41889 ) ( CITY ?auto_41874 ) ( IN-CITY ?auto_41889 ?auto_41874 ) ( IN-CITY ?auto_41883 ?auto_41874 ) ( DIFFERENT ?auto_41883 ?auto_41889 ) ( LOCATION ?auto_41890 ) ( CITY ?auto_41875 ) ( AT ?auto_41886 ?auto_41890 ) ( IN-CITY ?auto_41890 ?auto_41875 ) ( IN-CITY ?auto_41889 ?auto_41875 ) ( DIFFERENT ?auto_41889 ?auto_41890 ) ( AIRPORT ?auto_41892 ) ( AT ?auto_41881 ?auto_41892 ) ( DIFFERENT ?auto_41876 ?auto_41892 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41881 ?auto_41892 ?auto_41876 )
      ( DELIVER-PKG ?auto_41869 ?auto_41870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41894
      ?auto_41895
    )
    :vars
    (
      ?auto_41902
      ?auto_41907
      ?auto_41908
      ?auto_41913
      ?auto_41906
      ?auto_41909
      ?auto_41911
      ?auto_41900
      ?auto_41898
      ?auto_41899
      ?auto_41910
      ?auto_41901
      ?auto_41914
      ?auto_41904
      ?auto_41915
      ?auto_41905
      ?auto_41903
      ?auto_41918
      ?auto_41917
    )
    :precondition
    ( and ( OBJ ?auto_41894 ) ( LOCATION ?auto_41895 ) ( TRUCK ?auto_41902 ) ( LOCATION ?auto_41907 ) ( CITY ?auto_41908 ) ( IN-CITY ?auto_41907 ?auto_41908 ) ( IN-CITY ?auto_41895 ?auto_41908 ) ( DIFFERENT ?auto_41895 ?auto_41907 ) ( LOCATION ?auto_41913 ) ( CITY ?auto_41906 ) ( IN-CITY ?auto_41913 ?auto_41906 ) ( IN-CITY ?auto_41907 ?auto_41906 ) ( DIFFERENT ?auto_41907 ?auto_41913 ) ( AIRPLANE ?auto_41909 ) ( AIRPORT ?auto_41911 ) ( AIRPORT ?auto_41913 ) ( DIFFERENT ?auto_41913 ?auto_41911 ) ( LOCATION ?auto_41911 ) ( TRUCK ?auto_41900 ) ( LOCATION ?auto_41898 ) ( CITY ?auto_41899 ) ( IN-CITY ?auto_41898 ?auto_41899 ) ( IN-CITY ?auto_41911 ?auto_41899 ) ( DIFFERENT ?auto_41911 ?auto_41898 ) ( LOCATION ?auto_41910 ) ( CITY ?auto_41901 ) ( IN-CITY ?auto_41910 ?auto_41901 ) ( IN-CITY ?auto_41898 ?auto_41901 ) ( DIFFERENT ?auto_41898 ?auto_41910 ) ( AT ?auto_41894 ?auto_41910 ) ( LOCATION ?auto_41914 ) ( CITY ?auto_41904 ) ( IN-CITY ?auto_41914 ?auto_41904 ) ( IN-CITY ?auto_41910 ?auto_41904 ) ( DIFFERENT ?auto_41910 ?auto_41914 ) ( LOCATION ?auto_41915 ) ( CITY ?auto_41905 ) ( AT ?auto_41900 ?auto_41915 ) ( IN-CITY ?auto_41915 ?auto_41905 ) ( IN-CITY ?auto_41914 ?auto_41905 ) ( DIFFERENT ?auto_41914 ?auto_41915 ) ( AIRPORT ?auto_41903 ) ( AT ?auto_41909 ?auto_41903 ) ( DIFFERENT ?auto_41911 ?auto_41903 ) ( LOCATION ?auto_41918 ) ( CITY ?auto_41917 ) ( AT ?auto_41902 ?auto_41918 ) ( IN-CITY ?auto_41918 ?auto_41917 ) ( IN-CITY ?auto_41913 ?auto_41917 ) ( DIFFERENT ?auto_41913 ?auto_41918 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41902 ?auto_41918 ?auto_41913 ?auto_41917 )
      ( DELIVER-PKG ?auto_41894 ?auto_41895 ) )
  )

)

