( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_417
      ?auto_418
    )
    :vars
    (
      ?auto_421
    )
    :precondition
    ( and ( OBJ ?auto_417 ) ( LOCATION ?auto_418 ) ( TRUCK ?auto_421 ) ( AT ?auto_421 ?auto_418 ) ( IN ?auto_417 ?auto_421 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_417 ?auto_421 ?auto_418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_432
      ?auto_433
    )
    :vars
    (
      ?auto_435
      ?auto_439
      ?auto_438
    )
    :precondition
    ( and ( OBJ ?auto_432 ) ( LOCATION ?auto_433 ) ( TRUCK ?auto_435 ) ( IN ?auto_432 ?auto_435 ) ( LOCATION ?auto_439 ) ( CITY ?auto_438 ) ( AT ?auto_435 ?auto_439 ) ( IN-CITY ?auto_439 ?auto_438 ) ( IN-CITY ?auto_433 ?auto_438 ) ( DIFFERENT ?auto_433 ?auto_439 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_435 ?auto_439 ?auto_433 ?auto_438 )
      ( DELIVER-PKG ?auto_432 ?auto_433 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_455
      ?auto_456
    )
    :vars
    (
      ?auto_459
      ?auto_461
      ?auto_460
      ?auto_464
      ?auto_463
    )
    :precondition
    ( and ( OBJ ?auto_455 ) ( LOCATION ?auto_456 ) ( TRUCK ?auto_459 ) ( IN ?auto_455 ?auto_459 ) ( LOCATION ?auto_461 ) ( CITY ?auto_460 ) ( IN-CITY ?auto_461 ?auto_460 ) ( IN-CITY ?auto_456 ?auto_460 ) ( DIFFERENT ?auto_456 ?auto_461 ) ( LOCATION ?auto_464 ) ( CITY ?auto_463 ) ( AT ?auto_459 ?auto_464 ) ( IN-CITY ?auto_464 ?auto_463 ) ( IN-CITY ?auto_461 ?auto_463 ) ( DIFFERENT ?auto_461 ?auto_464 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_459 ?auto_464 ?auto_461 ?auto_463 )
      ( DELIVER-PKG ?auto_455 ?auto_456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7473
      ?auto_7474
    )
    :vars
    (
      ?auto_7483
      ?auto_7478
      ?auto_7480
      ?auto_7476
      ?auto_7484
      ?auto_7485
      ?auto_7475
      ?auto_7482
      ?auto_7481
      ?auto_7487
    )
    :precondition
    ( and ( OBJ ?auto_7473 ) ( LOCATION ?auto_7474 ) ( TRUCK ?auto_7483 ) ( LOCATION ?auto_7478 ) ( CITY ?auto_7480 ) ( IN-CITY ?auto_7478 ?auto_7480 ) ( IN-CITY ?auto_7474 ?auto_7480 ) ( DIFFERENT ?auto_7474 ?auto_7478 ) ( LOCATION ?auto_7476 ) ( CITY ?auto_7484 ) ( AT ?auto_7483 ?auto_7476 ) ( IN-CITY ?auto_7476 ?auto_7484 ) ( IN-CITY ?auto_7478 ?auto_7484 ) ( DIFFERENT ?auto_7478 ?auto_7476 ) ( LOCATION ?auto_7485 ) ( AT ?auto_7483 ?auto_7485 ) ( TRUCK ?auto_7475 ) ( AT ?auto_7475 ?auto_7485 ) ( LOCATION ?auto_7482 ) ( AT ?auto_7475 ?auto_7482 ) ( TRUCK ?auto_7481 ) ( AT ?auto_7481 ?auto_7482 ) ( LOCATION ?auto_7487 ) ( AT ?auto_7481 ?auto_7487 ) ( AT ?auto_7473 ?auto_7487 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7473 ?auto_7481 ?auto_7487 )
      ( DELIVER-PKG ?auto_7473 ?auto_7474 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_565
      ?auto_566
    )
    :vars
    (
      ?auto_569
      ?auto_571
      ?auto_570
      ?auto_573
    )
    :precondition
    ( and ( OBJ ?auto_565 ) ( LOCATION ?auto_566 ) ( TRUCK ?auto_569 ) ( LOCATION ?auto_571 ) ( CITY ?auto_570 ) ( AT ?auto_569 ?auto_571 ) ( IN-CITY ?auto_571 ?auto_570 ) ( IN-CITY ?auto_566 ?auto_570 ) ( DIFFERENT ?auto_566 ?auto_571 ) ( LOCATION ?auto_573 ) ( AT ?auto_569 ?auto_573 ) ( AT ?auto_565 ?auto_573 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_565 ?auto_569 ?auto_573 )
      ( DELIVER-PKG ?auto_565 ?auto_566 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_591
      ?auto_592
    )
    :vars
    (
      ?auto_593
      ?auto_598
      ?auto_594
      ?auto_601
      ?auto_600
    )
    :precondition
    ( and ( OBJ ?auto_591 ) ( LOCATION ?auto_592 ) ( TRUCK ?auto_593 ) ( LOCATION ?auto_598 ) ( CITY ?auto_594 ) ( IN-CITY ?auto_598 ?auto_594 ) ( IN-CITY ?auto_592 ?auto_594 ) ( DIFFERENT ?auto_592 ?auto_598 ) ( AT ?auto_591 ?auto_598 ) ( LOCATION ?auto_601 ) ( CITY ?auto_600 ) ( AT ?auto_593 ?auto_601 ) ( IN-CITY ?auto_601 ?auto_600 ) ( IN-CITY ?auto_598 ?auto_600 ) ( DIFFERENT ?auto_598 ?auto_601 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_593 ?auto_601 ?auto_598 ?auto_600 )
      ( DELIVER-PKG ?auto_591 ?auto_592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_641
      ?auto_642
    )
    :vars
    (
      ?auto_645
    )
    :precondition
    ( and ( OBJ ?auto_641 ) ( LOCATION ?auto_642 ) ( AIRPLANE ?auto_645 ) ( IN ?auto_641 ?auto_645 ) ( AT ?auto_645 ?auto_642 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_641 ?auto_645 ?auto_642 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_656
      ?auto_657
    )
    :vars
    (
      ?auto_660
      ?auto_662
    )
    :precondition
    ( and ( OBJ ?auto_656 ) ( LOCATION ?auto_657 ) ( AIRPLANE ?auto_660 ) ( IN ?auto_656 ?auto_660 ) ( AIRPORT ?auto_662 ) ( AIRPORT ?auto_657 ) ( AT ?auto_660 ?auto_662 ) ( DIFFERENT ?auto_657 ?auto_662 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_660 ?auto_662 ?auto_657 )
      ( DELIVER-PKG ?auto_656 ?auto_657 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12023
      ?auto_12024
    )
    :vars
    (
      ?auto_12027
      ?auto_12030
      ?auto_12028
      ?auto_12026
      ?auto_12032
    )
    :precondition
    ( and ( OBJ ?auto_12023 ) ( LOCATION ?auto_12024 ) ( AIRPLANE ?auto_12027 ) ( AIRPORT ?auto_12030 ) ( AIRPORT ?auto_12024 ) ( AT ?auto_12027 ?auto_12030 ) ( DIFFERENT ?auto_12024 ?auto_12030 ) ( LOCATION ?auto_12028 ) ( AT ?auto_12027 ?auto_12028 ) ( AIRPLANE ?auto_12026 ) ( AT ?auto_12026 ?auto_12028 ) ( LOCATION ?auto_12032 ) ( AT ?auto_12023 ?auto_12032 ) ( AT ?auto_12026 ?auto_12032 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12023 ?auto_12026 ?auto_12032 )
      ( DELIVER-PKG ?auto_12023 ?auto_12024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_699
      ?auto_700
    )
    :vars
    (
      ?auto_701
      ?auto_705
      ?auto_707
    )
    :precondition
    ( and ( OBJ ?auto_699 ) ( LOCATION ?auto_700 ) ( AIRPLANE ?auto_701 ) ( AIRPORT ?auto_705 ) ( AIRPORT ?auto_700 ) ( DIFFERENT ?auto_700 ?auto_705 ) ( LOCATION ?auto_705 ) ( AT ?auto_699 ?auto_705 ) ( AIRPORT ?auto_707 ) ( AT ?auto_701 ?auto_707 ) ( DIFFERENT ?auto_705 ?auto_707 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_701 ?auto_707 ?auto_705 )
      ( DELIVER-PKG ?auto_699 ?auto_700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_737
      ?auto_738
    )
    :vars
    (
      ?auto_739
      ?auto_740
      ?auto_743
      ?auto_745
    )
    :precondition
    ( and ( OBJ ?auto_737 ) ( LOCATION ?auto_738 ) ( AIRPLANE ?auto_739 ) ( AIRPORT ?auto_740 ) ( AIRPORT ?auto_738 ) ( DIFFERENT ?auto_738 ?auto_740 ) ( LOCATION ?auto_740 ) ( AT ?auto_737 ?auto_740 ) ( AIRPORT ?auto_743 ) ( DIFFERENT ?auto_740 ?auto_743 ) ( AIRPORT ?auto_745 ) ( AT ?auto_739 ?auto_745 ) ( DIFFERENT ?auto_743 ?auto_745 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_739 ?auto_745 ?auto_743 )
      ( DELIVER-PKG ?auto_737 ?auto_738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30311
      ?auto_30312
    )
    :vars
    (
      ?auto_30321
      ?auto_30313
      ?auto_30317
      ?auto_30320
      ?auto_30316
      ?auto_30314
      ?auto_30319
      ?auto_30323
    )
    :precondition
    ( and ( OBJ ?auto_30311 ) ( LOCATION ?auto_30312 ) ( AIRPLANE ?auto_30321 ) ( AT ?auto_30321 ?auto_30312 ) ( LOCATION ?auto_30313 ) ( AT ?auto_30321 ?auto_30313 ) ( AIRPLANE ?auto_30317 ) ( AT ?auto_30317 ?auto_30313 ) ( LOCATION ?auto_30320 ) ( AT ?auto_30317 ?auto_30320 ) ( AIRPLANE ?auto_30316 ) ( AT ?auto_30316 ?auto_30320 ) ( LOCATION ?auto_30314 ) ( AT ?auto_30316 ?auto_30314 ) ( AIRPLANE ?auto_30319 ) ( AT ?auto_30319 ?auto_30314 ) ( LOCATION ?auto_30323 ) ( AT ?auto_30311 ?auto_30323 ) ( AT ?auto_30319 ?auto_30323 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_30311 ?auto_30319 ?auto_30323 )
      ( DELIVER-PKG ?auto_30311 ?auto_30312 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30298
      ?auto_30299
    )
    :vars
    (
      ?auto_30302
      ?auto_30306
      ?auto_30305
      ?auto_30304
      ?auto_30303
      ?auto_30307
      ?auto_30310
    )
    :precondition
    ( and ( OBJ ?auto_30298 ) ( LOCATION ?auto_30299 ) ( AIRPLANE ?auto_30302 ) ( AT ?auto_30302 ?auto_30299 ) ( LOCATION ?auto_30306 ) ( AT ?auto_30302 ?auto_30306 ) ( AIRPLANE ?auto_30305 ) ( AT ?auto_30305 ?auto_30306 ) ( LOCATION ?auto_30304 ) ( AT ?auto_30305 ?auto_30304 ) ( AIRPLANE ?auto_30303 ) ( AT ?auto_30303 ?auto_30304 ) ( LOCATION ?auto_30307 ) ( AT ?auto_30303 ?auto_30307 ) ( AIRPLANE ?auto_30310 ) ( IN ?auto_30298 ?auto_30310 ) ( AT ?auto_30310 ?auto_30307 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30298 ?auto_30307 )
      ( DELIVER-PKG ?auto_30298 ?auto_30299 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1251
      ?auto_1252
    )
    :vars
    (
      ?auto_1253
      ?auto_1254
      ?auto_1257
      ?auto_1259
    )
    :precondition
    ( and ( OBJ ?auto_1251 ) ( LOCATION ?auto_1252 ) ( AIRPLANE ?auto_1253 ) ( AT ?auto_1253 ?auto_1252 ) ( LOCATION ?auto_1254 ) ( AT ?auto_1253 ?auto_1254 ) ( AIRPLANE ?auto_1257 ) ( IN ?auto_1251 ?auto_1257 ) ( AIRPORT ?auto_1259 ) ( AIRPORT ?auto_1254 ) ( AT ?auto_1257 ?auto_1259 ) ( DIFFERENT ?auto_1254 ?auto_1259 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1257 ?auto_1259 ?auto_1254 )
      ( DELIVER-PKG ?auto_1251 ?auto_1252 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1277
      ?auto_1278
    )
    :vars
    (
      ?auto_1282
      ?auto_1283
      ?auto_1279
      ?auto_1284
      ?auto_1286
    )
    :precondition
    ( and ( OBJ ?auto_1277 ) ( LOCATION ?auto_1278 ) ( AIRPLANE ?auto_1282 ) ( AT ?auto_1282 ?auto_1278 ) ( LOCATION ?auto_1283 ) ( AT ?auto_1282 ?auto_1283 ) ( AIRPLANE ?auto_1279 ) ( AIRPORT ?auto_1284 ) ( AIRPORT ?auto_1283 ) ( AT ?auto_1279 ?auto_1284 ) ( DIFFERENT ?auto_1283 ?auto_1284 ) ( LOCATION ?auto_1286 ) ( AT ?auto_1277 ?auto_1286 ) ( AT ?auto_1279 ?auto_1286 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1277 ?auto_1279 ?auto_1286 )
      ( DELIVER-PKG ?auto_1277 ?auto_1278 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1306
      ?auto_1307
    )
    :vars
    (
      ?auto_1310
      ?auto_1311
      ?auto_1309
      ?auto_1314
      ?auto_1316
    )
    :precondition
    ( and ( OBJ ?auto_1306 ) ( LOCATION ?auto_1307 ) ( AIRPLANE ?auto_1310 ) ( AT ?auto_1310 ?auto_1307 ) ( LOCATION ?auto_1311 ) ( AT ?auto_1310 ?auto_1311 ) ( AIRPLANE ?auto_1309 ) ( AIRPORT ?auto_1314 ) ( AIRPORT ?auto_1311 ) ( DIFFERENT ?auto_1311 ?auto_1314 ) ( LOCATION ?auto_1314 ) ( AT ?auto_1306 ?auto_1314 ) ( AIRPORT ?auto_1316 ) ( AT ?auto_1309 ?auto_1316 ) ( DIFFERENT ?auto_1314 ?auto_1316 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1309 ?auto_1316 ?auto_1314 )
      ( DELIVER-PKG ?auto_1306 ?auto_1307 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1354
      ?auto_1355
    )
    :vars
    (
      ?auto_1357
      ?auto_1359
      ?auto_1356
      ?auto_1361
      ?auto_1362
      ?auto_1364
    )
    :precondition
    ( and ( OBJ ?auto_1354 ) ( LOCATION ?auto_1355 ) ( AIRPLANE ?auto_1357 ) ( AT ?auto_1357 ?auto_1355 ) ( LOCATION ?auto_1359 ) ( AT ?auto_1357 ?auto_1359 ) ( AIRPLANE ?auto_1356 ) ( AIRPORT ?auto_1361 ) ( AIRPORT ?auto_1359 ) ( DIFFERENT ?auto_1359 ?auto_1361 ) ( LOCATION ?auto_1361 ) ( AT ?auto_1354 ?auto_1361 ) ( AIRPORT ?auto_1362 ) ( DIFFERENT ?auto_1361 ?auto_1362 ) ( AIRPORT ?auto_1364 ) ( AT ?auto_1356 ?auto_1364 ) ( DIFFERENT ?auto_1362 ?auto_1364 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1356 ?auto_1364 ?auto_1362 )
      ( DELIVER-PKG ?auto_1354 ?auto_1355 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12034
      ?auto_12035
    )
    :vars
    (
      ?auto_12040
      ?auto_12036
      ?auto_12042
      ?auto_12038
      ?auto_12037
      ?auto_12045
    )
    :precondition
    ( and ( OBJ ?auto_12034 ) ( LOCATION ?auto_12035 ) ( AIRPLANE ?auto_12040 ) ( AIRPORT ?auto_12036 ) ( AIRPORT ?auto_12035 ) ( AT ?auto_12040 ?auto_12036 ) ( DIFFERENT ?auto_12035 ?auto_12036 ) ( LOCATION ?auto_12042 ) ( AT ?auto_12040 ?auto_12042 ) ( AIRPLANE ?auto_12038 ) ( AT ?auto_12038 ?auto_12042 ) ( LOCATION ?auto_12037 ) ( AT ?auto_12038 ?auto_12037 ) ( TRUCK ?auto_12045 ) ( AT ?auto_12045 ?auto_12037 ) ( IN ?auto_12034 ?auto_12045 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12034 ?auto_12037 )
      ( DELIVER-PKG ?auto_12034 ?auto_12035 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12046
      ?auto_12047
    )
    :vars
    (
      ?auto_12049
      ?auto_12051
      ?auto_12048
      ?auto_12055
      ?auto_12054
      ?auto_12050
      ?auto_12058
      ?auto_12057
    )
    :precondition
    ( and ( OBJ ?auto_12046 ) ( LOCATION ?auto_12047 ) ( AIRPLANE ?auto_12049 ) ( AIRPORT ?auto_12051 ) ( AIRPORT ?auto_12047 ) ( AT ?auto_12049 ?auto_12051 ) ( DIFFERENT ?auto_12047 ?auto_12051 ) ( LOCATION ?auto_12048 ) ( AT ?auto_12049 ?auto_12048 ) ( AIRPLANE ?auto_12055 ) ( AT ?auto_12055 ?auto_12048 ) ( LOCATION ?auto_12054 ) ( AT ?auto_12055 ?auto_12054 ) ( TRUCK ?auto_12050 ) ( IN ?auto_12046 ?auto_12050 ) ( LOCATION ?auto_12058 ) ( CITY ?auto_12057 ) ( AT ?auto_12050 ?auto_12058 ) ( IN-CITY ?auto_12058 ?auto_12057 ) ( IN-CITY ?auto_12054 ?auto_12057 ) ( DIFFERENT ?auto_12054 ?auto_12058 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12050 ?auto_12058 ?auto_12054 ?auto_12057 )
      ( DELIVER-PKG ?auto_12046 ?auto_12047 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12060
      ?auto_12061
    )
    :vars
    (
      ?auto_12070
      ?auto_12069
      ?auto_12062
      ?auto_12064
      ?auto_12063
      ?auto_12071
      ?auto_12067
      ?auto_12066
      ?auto_12073
    )
    :precondition
    ( and ( OBJ ?auto_12060 ) ( LOCATION ?auto_12061 ) ( AIRPLANE ?auto_12070 ) ( AIRPORT ?auto_12069 ) ( AIRPORT ?auto_12061 ) ( AT ?auto_12070 ?auto_12069 ) ( DIFFERENT ?auto_12061 ?auto_12069 ) ( LOCATION ?auto_12062 ) ( AT ?auto_12070 ?auto_12062 ) ( AIRPLANE ?auto_12064 ) ( AT ?auto_12064 ?auto_12062 ) ( LOCATION ?auto_12063 ) ( AT ?auto_12064 ?auto_12063 ) ( TRUCK ?auto_12071 ) ( LOCATION ?auto_12067 ) ( CITY ?auto_12066 ) ( AT ?auto_12071 ?auto_12067 ) ( IN-CITY ?auto_12067 ?auto_12066 ) ( IN-CITY ?auto_12063 ?auto_12066 ) ( DIFFERENT ?auto_12063 ?auto_12067 ) ( LOCATION ?auto_12073 ) ( AT ?auto_12071 ?auto_12073 ) ( AT ?auto_12060 ?auto_12073 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12060 ?auto_12071 ?auto_12073 )
      ( DELIVER-PKG ?auto_12060 ?auto_12061 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12088
      ?auto_12089
    )
    :vars
    (
      ?auto_12092
      ?auto_12095
      ?auto_12094
      ?auto_12098
      ?auto_12099
      ?auto_12091
      ?auto_12097
      ?auto_12100
      ?auto_12103
      ?auto_12102
    )
    :precondition
    ( and ( OBJ ?auto_12088 ) ( LOCATION ?auto_12089 ) ( AIRPLANE ?auto_12092 ) ( AIRPORT ?auto_12095 ) ( AIRPORT ?auto_12089 ) ( AT ?auto_12092 ?auto_12095 ) ( DIFFERENT ?auto_12089 ?auto_12095 ) ( LOCATION ?auto_12094 ) ( AT ?auto_12092 ?auto_12094 ) ( AIRPLANE ?auto_12098 ) ( AT ?auto_12098 ?auto_12094 ) ( LOCATION ?auto_12099 ) ( AT ?auto_12098 ?auto_12099 ) ( TRUCK ?auto_12091 ) ( LOCATION ?auto_12097 ) ( CITY ?auto_12100 ) ( IN-CITY ?auto_12097 ?auto_12100 ) ( IN-CITY ?auto_12099 ?auto_12100 ) ( DIFFERENT ?auto_12099 ?auto_12097 ) ( AT ?auto_12088 ?auto_12097 ) ( LOCATION ?auto_12103 ) ( CITY ?auto_12102 ) ( AT ?auto_12091 ?auto_12103 ) ( IN-CITY ?auto_12103 ?auto_12102 ) ( IN-CITY ?auto_12097 ?auto_12102 ) ( DIFFERENT ?auto_12097 ?auto_12103 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12091 ?auto_12103 ?auto_12097 ?auto_12102 )
      ( DELIVER-PKG ?auto_12088 ?auto_12089 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1823
      ?auto_1824
    )
    :vars
    (
      ?auto_1826
      ?auto_1828
      ?auto_1829
      ?auto_1831
      ?auto_1830
      ?auto_1834
      ?auto_1833
      ?auto_1836
    )
    :precondition
    ( and ( OBJ ?auto_1823 ) ( LOCATION ?auto_1824 ) ( AIRPLANE ?auto_1826 ) ( AIRPORT ?auto_1828 ) ( AIRPORT ?auto_1824 ) ( DIFFERENT ?auto_1824 ?auto_1828 ) ( LOCATION ?auto_1828 ) ( TRUCK ?auto_1829 ) ( LOCATION ?auto_1831 ) ( CITY ?auto_1830 ) ( IN-CITY ?auto_1831 ?auto_1830 ) ( IN-CITY ?auto_1828 ?auto_1830 ) ( DIFFERENT ?auto_1828 ?auto_1831 ) ( AT ?auto_1823 ?auto_1831 ) ( LOCATION ?auto_1834 ) ( CITY ?auto_1833 ) ( AT ?auto_1829 ?auto_1834 ) ( IN-CITY ?auto_1834 ?auto_1833 ) ( IN-CITY ?auto_1831 ?auto_1833 ) ( DIFFERENT ?auto_1831 ?auto_1834 ) ( AIRPORT ?auto_1836 ) ( AT ?auto_1826 ?auto_1836 ) ( DIFFERENT ?auto_1828 ?auto_1836 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1826 ?auto_1836 ?auto_1828 )
      ( DELIVER-PKG ?auto_1823 ?auto_1824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2007
      ?auto_2008
    )
    :vars
    (
      ?auto_2011
      ?auto_2013
      ?auto_2012
      ?auto_2015
      ?auto_2014
      ?auto_2018
      ?auto_2017
    )
    :precondition
    ( and ( OBJ ?auto_2007 ) ( LOCATION ?auto_2008 ) ( TRUCK ?auto_2011 ) ( LOCATION ?auto_2013 ) ( CITY ?auto_2012 ) ( IN-CITY ?auto_2013 ?auto_2012 ) ( IN-CITY ?auto_2008 ?auto_2012 ) ( DIFFERENT ?auto_2008 ?auto_2013 ) ( AT ?auto_2007 ?auto_2013 ) ( LOCATION ?auto_2015 ) ( CITY ?auto_2014 ) ( IN-CITY ?auto_2015 ?auto_2014 ) ( IN-CITY ?auto_2013 ?auto_2014 ) ( DIFFERENT ?auto_2013 ?auto_2015 ) ( LOCATION ?auto_2018 ) ( CITY ?auto_2017 ) ( AT ?auto_2011 ?auto_2018 ) ( IN-CITY ?auto_2018 ?auto_2017 ) ( IN-CITY ?auto_2015 ?auto_2017 ) ( DIFFERENT ?auto_2015 ?auto_2018 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2011 ?auto_2018 ?auto_2015 ?auto_2017 )
      ( DELIVER-PKG ?auto_2007 ?auto_2008 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2042
      ?auto_2043
    )
    :vars
    (
      ?auto_2046
      ?auto_2048
      ?auto_2047
      ?auto_2050
      ?auto_2049
      ?auto_2052
      ?auto_2051
      ?auto_2055
      ?auto_2054
    )
    :precondition
    ( and ( OBJ ?auto_2042 ) ( LOCATION ?auto_2043 ) ( TRUCK ?auto_2046 ) ( LOCATION ?auto_2048 ) ( CITY ?auto_2047 ) ( IN-CITY ?auto_2048 ?auto_2047 ) ( IN-CITY ?auto_2043 ?auto_2047 ) ( DIFFERENT ?auto_2043 ?auto_2048 ) ( AT ?auto_2042 ?auto_2048 ) ( LOCATION ?auto_2050 ) ( CITY ?auto_2049 ) ( IN-CITY ?auto_2050 ?auto_2049 ) ( IN-CITY ?auto_2048 ?auto_2049 ) ( DIFFERENT ?auto_2048 ?auto_2050 ) ( LOCATION ?auto_2052 ) ( CITY ?auto_2051 ) ( IN-CITY ?auto_2052 ?auto_2051 ) ( IN-CITY ?auto_2050 ?auto_2051 ) ( DIFFERENT ?auto_2050 ?auto_2052 ) ( LOCATION ?auto_2055 ) ( CITY ?auto_2054 ) ( AT ?auto_2046 ?auto_2055 ) ( IN-CITY ?auto_2055 ?auto_2054 ) ( IN-CITY ?auto_2052 ?auto_2054 ) ( DIFFERENT ?auto_2052 ?auto_2055 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2046 ?auto_2055 ?auto_2052 ?auto_2054 )
      ( DELIVER-PKG ?auto_2042 ?auto_2043 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2505
      ?auto_2506
    )
    :vars
    (
      ?auto_2509
      ?auto_2510
      ?auto_2511
      ?auto_2513
    )
    :precondition
    ( and ( OBJ ?auto_2505 ) ( LOCATION ?auto_2506 ) ( AIRPLANE ?auto_2509 ) ( AIRPORT ?auto_2510 ) ( AIRPORT ?auto_2506 ) ( DIFFERENT ?auto_2506 ?auto_2510 ) ( LOCATION ?auto_2510 ) ( AIRPORT ?auto_2511 ) ( AT ?auto_2509 ?auto_2511 ) ( DIFFERENT ?auto_2510 ?auto_2511 ) ( TRUCK ?auto_2513 ) ( AT ?auto_2513 ?auto_2510 ) ( IN ?auto_2505 ?auto_2513 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2505 ?auto_2510 )
      ( DELIVER-PKG ?auto_2505 ?auto_2506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2515
      ?auto_2516
    )
    :vars
    (
      ?auto_2519
      ?auto_2520
      ?auto_2521
      ?auto_2522
      ?auto_2524
    )
    :precondition
    ( and ( OBJ ?auto_2515 ) ( LOCATION ?auto_2516 ) ( AIRPLANE ?auto_2519 ) ( AIRPORT ?auto_2520 ) ( AIRPORT ?auto_2516 ) ( DIFFERENT ?auto_2516 ?auto_2520 ) ( LOCATION ?auto_2520 ) ( AIRPORT ?auto_2521 ) ( DIFFERENT ?auto_2520 ?auto_2521 ) ( TRUCK ?auto_2522 ) ( AT ?auto_2522 ?auto_2520 ) ( IN ?auto_2515 ?auto_2522 ) ( AIRPORT ?auto_2524 ) ( AT ?auto_2519 ?auto_2524 ) ( DIFFERENT ?auto_2521 ?auto_2524 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2519 ?auto_2524 ?auto_2521 )
      ( DELIVER-PKG ?auto_2515 ?auto_2516 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2535
      ?auto_2536
    )
    :vars
    (
      ?auto_2537
      ?auto_2542
      ?auto_2540
      ?auto_2541
      ?auto_2539
      ?auto_2546
      ?auto_2545
    )
    :precondition
    ( and ( OBJ ?auto_2535 ) ( LOCATION ?auto_2536 ) ( AIRPLANE ?auto_2537 ) ( AIRPORT ?auto_2542 ) ( AIRPORT ?auto_2536 ) ( DIFFERENT ?auto_2536 ?auto_2542 ) ( LOCATION ?auto_2542 ) ( AIRPORT ?auto_2540 ) ( DIFFERENT ?auto_2542 ?auto_2540 ) ( TRUCK ?auto_2541 ) ( IN ?auto_2535 ?auto_2541 ) ( AIRPORT ?auto_2539 ) ( AT ?auto_2537 ?auto_2539 ) ( DIFFERENT ?auto_2540 ?auto_2539 ) ( LOCATION ?auto_2546 ) ( CITY ?auto_2545 ) ( AT ?auto_2541 ?auto_2546 ) ( IN-CITY ?auto_2546 ?auto_2545 ) ( IN-CITY ?auto_2542 ?auto_2545 ) ( DIFFERENT ?auto_2542 ?auto_2546 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2541 ?auto_2546 ?auto_2542 ?auto_2545 )
      ( DELIVER-PKG ?auto_2535 ?auto_2536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2570
      ?auto_2571
    )
    :vars
    (
      ?auto_2574
      ?auto_2578
      ?auto_2576
      ?auto_2577
      ?auto_2575
      ?auto_2580
      ?auto_2579
      ?auto_2583
      ?auto_2582
    )
    :precondition
    ( and ( OBJ ?auto_2570 ) ( LOCATION ?auto_2571 ) ( AIRPLANE ?auto_2574 ) ( AIRPORT ?auto_2578 ) ( AIRPORT ?auto_2571 ) ( DIFFERENT ?auto_2571 ?auto_2578 ) ( LOCATION ?auto_2578 ) ( AIRPORT ?auto_2576 ) ( DIFFERENT ?auto_2578 ?auto_2576 ) ( TRUCK ?auto_2577 ) ( IN ?auto_2570 ?auto_2577 ) ( AIRPORT ?auto_2575 ) ( AT ?auto_2574 ?auto_2575 ) ( DIFFERENT ?auto_2576 ?auto_2575 ) ( LOCATION ?auto_2580 ) ( CITY ?auto_2579 ) ( IN-CITY ?auto_2580 ?auto_2579 ) ( IN-CITY ?auto_2578 ?auto_2579 ) ( DIFFERENT ?auto_2578 ?auto_2580 ) ( LOCATION ?auto_2583 ) ( CITY ?auto_2582 ) ( AT ?auto_2577 ?auto_2583 ) ( IN-CITY ?auto_2583 ?auto_2582 ) ( IN-CITY ?auto_2580 ?auto_2582 ) ( DIFFERENT ?auto_2580 ?auto_2583 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2577 ?auto_2583 ?auto_2580 ?auto_2582 )
      ( DELIVER-PKG ?auto_2570 ?auto_2571 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2585
      ?auto_2586
    )
    :vars
    (
      ?auto_2592
      ?auto_2589
      ?auto_2594
      ?auto_2588
      ?auto_2593
      ?auto_2595
      ?auto_2590
      ?auto_2597
      ?auto_2596
      ?auto_2599
    )
    :precondition
    ( and ( OBJ ?auto_2585 ) ( LOCATION ?auto_2586 ) ( AIRPLANE ?auto_2592 ) ( AIRPORT ?auto_2589 ) ( AIRPORT ?auto_2586 ) ( DIFFERENT ?auto_2586 ?auto_2589 ) ( LOCATION ?auto_2589 ) ( AIRPORT ?auto_2594 ) ( DIFFERENT ?auto_2589 ?auto_2594 ) ( TRUCK ?auto_2588 ) ( IN ?auto_2585 ?auto_2588 ) ( AIRPORT ?auto_2593 ) ( DIFFERENT ?auto_2594 ?auto_2593 ) ( LOCATION ?auto_2595 ) ( CITY ?auto_2590 ) ( IN-CITY ?auto_2595 ?auto_2590 ) ( IN-CITY ?auto_2589 ?auto_2590 ) ( DIFFERENT ?auto_2589 ?auto_2595 ) ( LOCATION ?auto_2597 ) ( CITY ?auto_2596 ) ( AT ?auto_2588 ?auto_2597 ) ( IN-CITY ?auto_2597 ?auto_2596 ) ( IN-CITY ?auto_2595 ?auto_2596 ) ( DIFFERENT ?auto_2595 ?auto_2597 ) ( AIRPORT ?auto_2599 ) ( AT ?auto_2592 ?auto_2599 ) ( DIFFERENT ?auto_2593 ?auto_2599 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2592 ?auto_2599 ?auto_2593 )
      ( DELIVER-PKG ?auto_2585 ?auto_2586 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2629
      ?auto_2630
    )
    :vars
    (
      ?auto_2631
      ?auto_2642
      ?auto_2640
      ?auto_2639
      ?auto_2636
      ?auto_2634
      ?auto_2641
      ?auto_2633
      ?auto_2632
      ?auto_2637
      ?auto_2644
    )
    :precondition
    ( and ( OBJ ?auto_2629 ) ( LOCATION ?auto_2630 ) ( AIRPLANE ?auto_2631 ) ( AIRPORT ?auto_2642 ) ( AIRPORT ?auto_2630 ) ( DIFFERENT ?auto_2630 ?auto_2642 ) ( LOCATION ?auto_2642 ) ( AIRPORT ?auto_2640 ) ( DIFFERENT ?auto_2642 ?auto_2640 ) ( TRUCK ?auto_2639 ) ( AIRPORT ?auto_2636 ) ( DIFFERENT ?auto_2640 ?auto_2636 ) ( LOCATION ?auto_2634 ) ( CITY ?auto_2641 ) ( IN-CITY ?auto_2634 ?auto_2641 ) ( IN-CITY ?auto_2642 ?auto_2641 ) ( DIFFERENT ?auto_2642 ?auto_2634 ) ( LOCATION ?auto_2633 ) ( CITY ?auto_2632 ) ( AT ?auto_2639 ?auto_2633 ) ( IN-CITY ?auto_2633 ?auto_2632 ) ( IN-CITY ?auto_2634 ?auto_2632 ) ( DIFFERENT ?auto_2634 ?auto_2633 ) ( AIRPORT ?auto_2637 ) ( AT ?auto_2631 ?auto_2637 ) ( DIFFERENT ?auto_2636 ?auto_2637 ) ( LOCATION ?auto_2644 ) ( AT ?auto_2639 ?auto_2644 ) ( AT ?auto_2629 ?auto_2644 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2629 ?auto_2639 ?auto_2644 )
      ( DELIVER-PKG ?auto_2629 ?auto_2630 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2661
      ?auto_2662
    )
    :vars
    (
      ?auto_2674
      ?auto_2667
      ?auto_2665
      ?auto_2664
      ?auto_2672
      ?auto_2671
      ?auto_2666
      ?auto_2670
      ?auto_2669
      ?auto_2673
      ?auto_2675
      ?auto_2677
    )
    :precondition
    ( and ( OBJ ?auto_2661 ) ( LOCATION ?auto_2662 ) ( AIRPLANE ?auto_2674 ) ( AIRPORT ?auto_2667 ) ( AIRPORT ?auto_2662 ) ( DIFFERENT ?auto_2662 ?auto_2667 ) ( LOCATION ?auto_2667 ) ( AIRPORT ?auto_2665 ) ( DIFFERENT ?auto_2667 ?auto_2665 ) ( TRUCK ?auto_2664 ) ( AIRPORT ?auto_2672 ) ( DIFFERENT ?auto_2665 ?auto_2672 ) ( LOCATION ?auto_2671 ) ( CITY ?auto_2666 ) ( IN-CITY ?auto_2671 ?auto_2666 ) ( IN-CITY ?auto_2667 ?auto_2666 ) ( DIFFERENT ?auto_2667 ?auto_2671 ) ( LOCATION ?auto_2670 ) ( CITY ?auto_2669 ) ( AT ?auto_2664 ?auto_2670 ) ( IN-CITY ?auto_2670 ?auto_2669 ) ( IN-CITY ?auto_2671 ?auto_2669 ) ( DIFFERENT ?auto_2671 ?auto_2670 ) ( AIRPORT ?auto_2673 ) ( DIFFERENT ?auto_2672 ?auto_2673 ) ( LOCATION ?auto_2675 ) ( AT ?auto_2664 ?auto_2675 ) ( AT ?auto_2661 ?auto_2675 ) ( AIRPORT ?auto_2677 ) ( AT ?auto_2674 ?auto_2677 ) ( DIFFERENT ?auto_2673 ?auto_2677 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2674 ?auto_2677 ?auto_2673 )
      ( DELIVER-PKG ?auto_2661 ?auto_2662 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2781
      ?auto_2782
    )
    :vars
    (
      ?auto_2786
      ?auto_2788
      ?auto_2783
      ?auto_2789
      ?auto_2790
      ?auto_2791
      ?auto_2793
    )
    :precondition
    ( and ( OBJ ?auto_2781 ) ( LOCATION ?auto_2782 ) ( AIRPLANE ?auto_2786 ) ( AIRPORT ?auto_2788 ) ( AIRPORT ?auto_2782 ) ( DIFFERENT ?auto_2782 ?auto_2788 ) ( LOCATION ?auto_2788 ) ( TRUCK ?auto_2783 ) ( LOCATION ?auto_2789 ) ( CITY ?auto_2790 ) ( AT ?auto_2783 ?auto_2789 ) ( IN-CITY ?auto_2789 ?auto_2790 ) ( IN-CITY ?auto_2788 ?auto_2790 ) ( DIFFERENT ?auto_2788 ?auto_2789 ) ( LOCATION ?auto_2791 ) ( AT ?auto_2783 ?auto_2791 ) ( AT ?auto_2781 ?auto_2791 ) ( AIRPORT ?auto_2793 ) ( AT ?auto_2786 ?auto_2793 ) ( DIFFERENT ?auto_2788 ?auto_2793 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2786 ?auto_2793 ?auto_2788 )
      ( DELIVER-PKG ?auto_2781 ?auto_2782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2817
      ?auto_2818
    )
    :vars
    (
      ?auto_2821
      ?auto_2823
      ?auto_2820
      ?auto_2822
      ?auto_2825
      ?auto_2824
      ?auto_2830
      ?auto_2829
    )
    :precondition
    ( and ( OBJ ?auto_2817 ) ( LOCATION ?auto_2818 ) ( AIRPLANE ?auto_2821 ) ( AIRPORT ?auto_2823 ) ( AIRPORT ?auto_2818 ) ( DIFFERENT ?auto_2818 ?auto_2823 ) ( LOCATION ?auto_2823 ) ( TRUCK ?auto_2820 ) ( LOCATION ?auto_2822 ) ( CITY ?auto_2825 ) ( IN-CITY ?auto_2822 ?auto_2825 ) ( IN-CITY ?auto_2823 ?auto_2825 ) ( DIFFERENT ?auto_2823 ?auto_2822 ) ( AT ?auto_2817 ?auto_2822 ) ( AIRPORT ?auto_2824 ) ( AT ?auto_2821 ?auto_2824 ) ( DIFFERENT ?auto_2823 ?auto_2824 ) ( LOCATION ?auto_2830 ) ( CITY ?auto_2829 ) ( AT ?auto_2820 ?auto_2830 ) ( IN-CITY ?auto_2830 ?auto_2829 ) ( IN-CITY ?auto_2822 ?auto_2829 ) ( DIFFERENT ?auto_2822 ?auto_2830 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2820 ?auto_2830 ?auto_2822 ?auto_2829 )
      ( DELIVER-PKG ?auto_2817 ?auto_2818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2868
      ?auto_2869
    )
    :vars
    (
      ?auto_2870
      ?auto_2872
      ?auto_2876
      ?auto_2871
      ?auto_2874
      ?auto_2873
      ?auto_2879
      ?auto_2878
      ?auto_2881
    )
    :precondition
    ( and ( OBJ ?auto_2868 ) ( LOCATION ?auto_2869 ) ( AIRPLANE ?auto_2870 ) ( AIRPORT ?auto_2872 ) ( AIRPORT ?auto_2869 ) ( DIFFERENT ?auto_2869 ?auto_2872 ) ( LOCATION ?auto_2872 ) ( TRUCK ?auto_2876 ) ( LOCATION ?auto_2871 ) ( CITY ?auto_2874 ) ( IN-CITY ?auto_2871 ?auto_2874 ) ( IN-CITY ?auto_2872 ?auto_2874 ) ( DIFFERENT ?auto_2872 ?auto_2871 ) ( AT ?auto_2868 ?auto_2871 ) ( AIRPORT ?auto_2873 ) ( DIFFERENT ?auto_2872 ?auto_2873 ) ( LOCATION ?auto_2879 ) ( CITY ?auto_2878 ) ( AT ?auto_2876 ?auto_2879 ) ( IN-CITY ?auto_2879 ?auto_2878 ) ( IN-CITY ?auto_2871 ?auto_2878 ) ( DIFFERENT ?auto_2871 ?auto_2879 ) ( AIRPORT ?auto_2881 ) ( AT ?auto_2870 ?auto_2881 ) ( DIFFERENT ?auto_2873 ?auto_2881 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2870 ?auto_2881 ?auto_2873 )
      ( DELIVER-PKG ?auto_2868 ?auto_2869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2896
      ?auto_2897
    )
    :vars
    (
      ?auto_2903
      ?auto_2898
      ?auto_2905
      ?auto_2904
      ?auto_2900
      ?auto_2899
      ?auto_2907
      ?auto_2906
      ?auto_2908
      ?auto_2911
      ?auto_2910
    )
    :precondition
    ( and ( OBJ ?auto_2896 ) ( LOCATION ?auto_2897 ) ( AIRPLANE ?auto_2903 ) ( AIRPORT ?auto_2898 ) ( AIRPORT ?auto_2897 ) ( DIFFERENT ?auto_2897 ?auto_2898 ) ( LOCATION ?auto_2898 ) ( TRUCK ?auto_2905 ) ( LOCATION ?auto_2904 ) ( CITY ?auto_2900 ) ( IN-CITY ?auto_2904 ?auto_2900 ) ( IN-CITY ?auto_2898 ?auto_2900 ) ( DIFFERENT ?auto_2898 ?auto_2904 ) ( AT ?auto_2896 ?auto_2904 ) ( AIRPORT ?auto_2899 ) ( DIFFERENT ?auto_2898 ?auto_2899 ) ( LOCATION ?auto_2907 ) ( CITY ?auto_2906 ) ( IN-CITY ?auto_2907 ?auto_2906 ) ( IN-CITY ?auto_2904 ?auto_2906 ) ( DIFFERENT ?auto_2904 ?auto_2907 ) ( AIRPORT ?auto_2908 ) ( AT ?auto_2903 ?auto_2908 ) ( DIFFERENT ?auto_2899 ?auto_2908 ) ( LOCATION ?auto_2911 ) ( CITY ?auto_2910 ) ( AT ?auto_2905 ?auto_2911 ) ( IN-CITY ?auto_2911 ?auto_2910 ) ( IN-CITY ?auto_2907 ?auto_2910 ) ( DIFFERENT ?auto_2907 ?auto_2911 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2905 ?auto_2911 ?auto_2907 ?auto_2910 )
      ( DELIVER-PKG ?auto_2896 ?auto_2897 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2943
      ?auto_2944
    )
    :vars
    (
      ?auto_2950
      ?auto_2946
      ?auto_2947
      ?auto_2951
      ?auto_2945
      ?auto_2952
      ?auto_2949
      ?auto_2948
      ?auto_2953
      ?auto_2957
      ?auto_2956
      ?auto_2960
      ?auto_2959
    )
    :precondition
    ( and ( OBJ ?auto_2943 ) ( LOCATION ?auto_2944 ) ( AIRPLANE ?auto_2950 ) ( AIRPORT ?auto_2946 ) ( AIRPORT ?auto_2944 ) ( DIFFERENT ?auto_2944 ?auto_2946 ) ( LOCATION ?auto_2946 ) ( TRUCK ?auto_2947 ) ( LOCATION ?auto_2951 ) ( CITY ?auto_2945 ) ( IN-CITY ?auto_2951 ?auto_2945 ) ( IN-CITY ?auto_2946 ?auto_2945 ) ( DIFFERENT ?auto_2946 ?auto_2951 ) ( AT ?auto_2943 ?auto_2951 ) ( AIRPORT ?auto_2952 ) ( DIFFERENT ?auto_2946 ?auto_2952 ) ( LOCATION ?auto_2949 ) ( CITY ?auto_2948 ) ( IN-CITY ?auto_2949 ?auto_2948 ) ( IN-CITY ?auto_2951 ?auto_2948 ) ( DIFFERENT ?auto_2951 ?auto_2949 ) ( AIRPORT ?auto_2953 ) ( AT ?auto_2950 ?auto_2953 ) ( DIFFERENT ?auto_2952 ?auto_2953 ) ( LOCATION ?auto_2957 ) ( CITY ?auto_2956 ) ( IN-CITY ?auto_2957 ?auto_2956 ) ( IN-CITY ?auto_2949 ?auto_2956 ) ( DIFFERENT ?auto_2949 ?auto_2957 ) ( LOCATION ?auto_2960 ) ( CITY ?auto_2959 ) ( AT ?auto_2947 ?auto_2960 ) ( IN-CITY ?auto_2960 ?auto_2959 ) ( IN-CITY ?auto_2957 ?auto_2959 ) ( DIFFERENT ?auto_2957 ?auto_2960 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2947 ?auto_2960 ?auto_2957 ?auto_2959 )
      ( DELIVER-PKG ?auto_2943 ?auto_2944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2962
      ?auto_2963
    )
    :vars
    (
      ?auto_2968
      ?auto_2974
      ?auto_2964
      ?auto_2969
      ?auto_2976
      ?auto_2970
      ?auto_2966
      ?auto_2965
      ?auto_2971
      ?auto_2973
      ?auto_2972
      ?auto_2978
      ?auto_2977
      ?auto_2980
    )
    :precondition
    ( and ( OBJ ?auto_2962 ) ( LOCATION ?auto_2963 ) ( AIRPLANE ?auto_2968 ) ( AIRPORT ?auto_2974 ) ( AIRPORT ?auto_2963 ) ( DIFFERENT ?auto_2963 ?auto_2974 ) ( LOCATION ?auto_2974 ) ( TRUCK ?auto_2964 ) ( LOCATION ?auto_2969 ) ( CITY ?auto_2976 ) ( IN-CITY ?auto_2969 ?auto_2976 ) ( IN-CITY ?auto_2974 ?auto_2976 ) ( DIFFERENT ?auto_2974 ?auto_2969 ) ( AT ?auto_2962 ?auto_2969 ) ( AIRPORT ?auto_2970 ) ( DIFFERENT ?auto_2974 ?auto_2970 ) ( LOCATION ?auto_2966 ) ( CITY ?auto_2965 ) ( IN-CITY ?auto_2966 ?auto_2965 ) ( IN-CITY ?auto_2969 ?auto_2965 ) ( DIFFERENT ?auto_2969 ?auto_2966 ) ( AIRPORT ?auto_2971 ) ( DIFFERENT ?auto_2970 ?auto_2971 ) ( LOCATION ?auto_2973 ) ( CITY ?auto_2972 ) ( IN-CITY ?auto_2973 ?auto_2972 ) ( IN-CITY ?auto_2966 ?auto_2972 ) ( DIFFERENT ?auto_2966 ?auto_2973 ) ( LOCATION ?auto_2978 ) ( CITY ?auto_2977 ) ( AT ?auto_2964 ?auto_2978 ) ( IN-CITY ?auto_2978 ?auto_2977 ) ( IN-CITY ?auto_2973 ?auto_2977 ) ( DIFFERENT ?auto_2973 ?auto_2978 ) ( AIRPORT ?auto_2980 ) ( AT ?auto_2968 ?auto_2980 ) ( DIFFERENT ?auto_2971 ?auto_2980 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2968 ?auto_2980 ?auto_2971 )
      ( DELIVER-PKG ?auto_2962 ?auto_2963 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3054
      ?auto_3055
    )
    :vars
    (
      ?auto_3060
      ?auto_3067
      ?auto_3068
      ?auto_3064
      ?auto_3063
      ?auto_3059
      ?auto_3071
      ?auto_3069
      ?auto_3057
      ?auto_3061
      ?auto_3058
      ?auto_3066
      ?auto_3062
      ?auto_3065
      ?auto_3073
    )
    :precondition
    ( and ( OBJ ?auto_3054 ) ( LOCATION ?auto_3055 ) ( AIRPLANE ?auto_3060 ) ( AIRPORT ?auto_3067 ) ( AIRPORT ?auto_3055 ) ( DIFFERENT ?auto_3055 ?auto_3067 ) ( LOCATION ?auto_3067 ) ( TRUCK ?auto_3068 ) ( LOCATION ?auto_3064 ) ( CITY ?auto_3063 ) ( IN-CITY ?auto_3064 ?auto_3063 ) ( IN-CITY ?auto_3067 ?auto_3063 ) ( DIFFERENT ?auto_3067 ?auto_3064 ) ( AT ?auto_3054 ?auto_3064 ) ( AIRPORT ?auto_3059 ) ( DIFFERENT ?auto_3067 ?auto_3059 ) ( LOCATION ?auto_3071 ) ( CITY ?auto_3069 ) ( IN-CITY ?auto_3071 ?auto_3069 ) ( IN-CITY ?auto_3064 ?auto_3069 ) ( DIFFERENT ?auto_3064 ?auto_3071 ) ( AIRPORT ?auto_3057 ) ( DIFFERENT ?auto_3059 ?auto_3057 ) ( LOCATION ?auto_3061 ) ( CITY ?auto_3058 ) ( IN-CITY ?auto_3061 ?auto_3058 ) ( IN-CITY ?auto_3071 ?auto_3058 ) ( DIFFERENT ?auto_3071 ?auto_3061 ) ( LOCATION ?auto_3066 ) ( CITY ?auto_3062 ) ( AT ?auto_3068 ?auto_3066 ) ( IN-CITY ?auto_3066 ?auto_3062 ) ( IN-CITY ?auto_3061 ?auto_3062 ) ( DIFFERENT ?auto_3061 ?auto_3066 ) ( AIRPORT ?auto_3065 ) ( DIFFERENT ?auto_3057 ?auto_3065 ) ( AIRPORT ?auto_3073 ) ( AT ?auto_3060 ?auto_3073 ) ( DIFFERENT ?auto_3065 ?auto_3073 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3060 ?auto_3073 ?auto_3065 )
      ( DELIVER-PKG ?auto_3054 ?auto_3055 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21485
      ?auto_21486
    )
    :vars
    (
      ?auto_21489
      ?auto_21487
      ?auto_21493
      ?auto_21491
      ?auto_21490
      ?auto_21488
      ?auto_21497
    )
    :precondition
    ( and ( OBJ ?auto_21485 ) ( LOCATION ?auto_21486 ) ( TRUCK ?auto_21489 ) ( LOCATION ?auto_21487 ) ( CITY ?auto_21493 ) ( AT ?auto_21489 ?auto_21487 ) ( IN-CITY ?auto_21487 ?auto_21493 ) ( IN-CITY ?auto_21486 ?auto_21493 ) ( DIFFERENT ?auto_21486 ?auto_21487 ) ( LOCATION ?auto_21491 ) ( AT ?auto_21489 ?auto_21491 ) ( AIRPLANE ?auto_21490 ) ( AT ?auto_21490 ?auto_21491 ) ( LOCATION ?auto_21488 ) ( AT ?auto_21490 ?auto_21488 ) ( AIRPLANE ?auto_21497 ) ( IN ?auto_21485 ?auto_21497 ) ( AT ?auto_21497 ?auto_21488 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21485 ?auto_21488 )
      ( DELIVER-PKG ?auto_21485 ?auto_21486 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3335
      ?auto_3336
    )
    :vars
    (
      ?auto_3341
      ?auto_3343
      ?auto_3337
      ?auto_3338
      ?auto_3339
      ?auto_3345
    )
    :precondition
    ( and ( OBJ ?auto_3335 ) ( LOCATION ?auto_3336 ) ( TRUCK ?auto_3341 ) ( LOCATION ?auto_3343 ) ( CITY ?auto_3337 ) ( AT ?auto_3341 ?auto_3343 ) ( IN-CITY ?auto_3343 ?auto_3337 ) ( IN-CITY ?auto_3336 ?auto_3337 ) ( DIFFERENT ?auto_3336 ?auto_3343 ) ( LOCATION ?auto_3338 ) ( AT ?auto_3341 ?auto_3338 ) ( AIRPLANE ?auto_3339 ) ( IN ?auto_3335 ?auto_3339 ) ( AIRPORT ?auto_3345 ) ( AIRPORT ?auto_3338 ) ( AT ?auto_3339 ?auto_3345 ) ( DIFFERENT ?auto_3338 ?auto_3345 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3339 ?auto_3345 ?auto_3338 )
      ( DELIVER-PKG ?auto_3335 ?auto_3336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12255
      ?auto_12256
    )
    :vars
    (
      ?auto_12263
      ?auto_12265
      ?auto_12258
      ?auto_12260
      ?auto_12266
      ?auto_12264
      ?auto_12261
      ?auto_12259
      ?auto_12268
    )
    :precondition
    ( and ( OBJ ?auto_12255 ) ( LOCATION ?auto_12256 ) ( TRUCK ?auto_12263 ) ( LOCATION ?auto_12265 ) ( CITY ?auto_12258 ) ( AT ?auto_12263 ?auto_12265 ) ( IN-CITY ?auto_12265 ?auto_12258 ) ( IN-CITY ?auto_12256 ?auto_12258 ) ( DIFFERENT ?auto_12256 ?auto_12265 ) ( LOCATION ?auto_12260 ) ( AT ?auto_12263 ?auto_12260 ) ( AIRPLANE ?auto_12266 ) ( AIRPORT ?auto_12264 ) ( AIRPORT ?auto_12260 ) ( AT ?auto_12266 ?auto_12264 ) ( DIFFERENT ?auto_12260 ?auto_12264 ) ( LOCATION ?auto_12261 ) ( AT ?auto_12266 ?auto_12261 ) ( AIRPLANE ?auto_12259 ) ( AT ?auto_12259 ?auto_12261 ) ( LOCATION ?auto_12268 ) ( AT ?auto_12255 ?auto_12268 ) ( AT ?auto_12259 ?auto_12268 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12255 ?auto_12259 ?auto_12268 )
      ( DELIVER-PKG ?auto_12255 ?auto_12256 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3433
      ?auto_3434
    )
    :vars
    (
      ?auto_3439
      ?auto_3440
      ?auto_3441
      ?auto_3442
      ?auto_3437
      ?auto_3443
      ?auto_3445
    )
    :precondition
    ( and ( OBJ ?auto_3433 ) ( LOCATION ?auto_3434 ) ( TRUCK ?auto_3439 ) ( LOCATION ?auto_3440 ) ( CITY ?auto_3441 ) ( AT ?auto_3439 ?auto_3440 ) ( IN-CITY ?auto_3440 ?auto_3441 ) ( IN-CITY ?auto_3434 ?auto_3441 ) ( DIFFERENT ?auto_3434 ?auto_3440 ) ( LOCATION ?auto_3442 ) ( AT ?auto_3439 ?auto_3442 ) ( AIRPLANE ?auto_3437 ) ( AIRPORT ?auto_3443 ) ( AIRPORT ?auto_3442 ) ( DIFFERENT ?auto_3442 ?auto_3443 ) ( LOCATION ?auto_3443 ) ( AT ?auto_3433 ?auto_3443 ) ( AIRPORT ?auto_3445 ) ( AT ?auto_3437 ?auto_3445 ) ( DIFFERENT ?auto_3443 ?auto_3445 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3437 ?auto_3445 ?auto_3443 )
      ( DELIVER-PKG ?auto_3433 ?auto_3434 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3502
      ?auto_3503
    )
    :vars
    (
      ?auto_3507
      ?auto_3508
      ?auto_3509
      ?auto_3510
      ?auto_3506
      ?auto_3511
      ?auto_3512
      ?auto_3514
    )
    :precondition
    ( and ( OBJ ?auto_3502 ) ( LOCATION ?auto_3503 ) ( TRUCK ?auto_3507 ) ( LOCATION ?auto_3508 ) ( CITY ?auto_3509 ) ( AT ?auto_3507 ?auto_3508 ) ( IN-CITY ?auto_3508 ?auto_3509 ) ( IN-CITY ?auto_3503 ?auto_3509 ) ( DIFFERENT ?auto_3503 ?auto_3508 ) ( LOCATION ?auto_3510 ) ( AT ?auto_3507 ?auto_3510 ) ( AIRPLANE ?auto_3506 ) ( AIRPORT ?auto_3511 ) ( AIRPORT ?auto_3510 ) ( DIFFERENT ?auto_3510 ?auto_3511 ) ( LOCATION ?auto_3511 ) ( AIRPORT ?auto_3512 ) ( AT ?auto_3506 ?auto_3512 ) ( DIFFERENT ?auto_3511 ?auto_3512 ) ( TRUCK ?auto_3514 ) ( AT ?auto_3514 ?auto_3511 ) ( IN ?auto_3502 ?auto_3514 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3502 ?auto_3511 )
      ( DELIVER-PKG ?auto_3502 ?auto_3503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3516
      ?auto_3517
    )
    :vars
    (
      ?auto_3521
      ?auto_3522
      ?auto_3524
      ?auto_3525
      ?auto_3520
      ?auto_3526
      ?auto_3527
      ?auto_3523
      ?auto_3529
    )
    :precondition
    ( and ( OBJ ?auto_3516 ) ( LOCATION ?auto_3517 ) ( TRUCK ?auto_3521 ) ( LOCATION ?auto_3522 ) ( CITY ?auto_3524 ) ( AT ?auto_3521 ?auto_3522 ) ( IN-CITY ?auto_3522 ?auto_3524 ) ( IN-CITY ?auto_3517 ?auto_3524 ) ( DIFFERENT ?auto_3517 ?auto_3522 ) ( LOCATION ?auto_3525 ) ( AT ?auto_3521 ?auto_3525 ) ( AIRPLANE ?auto_3520 ) ( AIRPORT ?auto_3526 ) ( AIRPORT ?auto_3525 ) ( DIFFERENT ?auto_3525 ?auto_3526 ) ( LOCATION ?auto_3526 ) ( AIRPORT ?auto_3527 ) ( DIFFERENT ?auto_3526 ?auto_3527 ) ( TRUCK ?auto_3523 ) ( AT ?auto_3523 ?auto_3526 ) ( IN ?auto_3516 ?auto_3523 ) ( AIRPORT ?auto_3529 ) ( AT ?auto_3520 ?auto_3529 ) ( DIFFERENT ?auto_3527 ?auto_3529 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3520 ?auto_3529 ?auto_3527 )
      ( DELIVER-PKG ?auto_3516 ?auto_3517 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3544
      ?auto_3545
    )
    :vars
    (
      ?auto_3555
      ?auto_3547
      ?auto_3551
      ?auto_3554
      ?auto_3553
      ?auto_3549
      ?auto_3550
      ?auto_3548
      ?auto_3552
      ?auto_3559
      ?auto_3558
    )
    :precondition
    ( and ( OBJ ?auto_3544 ) ( LOCATION ?auto_3545 ) ( TRUCK ?auto_3555 ) ( LOCATION ?auto_3547 ) ( CITY ?auto_3551 ) ( AT ?auto_3555 ?auto_3547 ) ( IN-CITY ?auto_3547 ?auto_3551 ) ( IN-CITY ?auto_3545 ?auto_3551 ) ( DIFFERENT ?auto_3545 ?auto_3547 ) ( LOCATION ?auto_3554 ) ( AT ?auto_3555 ?auto_3554 ) ( AIRPLANE ?auto_3553 ) ( AIRPORT ?auto_3549 ) ( AIRPORT ?auto_3554 ) ( DIFFERENT ?auto_3554 ?auto_3549 ) ( LOCATION ?auto_3549 ) ( AIRPORT ?auto_3550 ) ( DIFFERENT ?auto_3549 ?auto_3550 ) ( TRUCK ?auto_3548 ) ( IN ?auto_3544 ?auto_3548 ) ( AIRPORT ?auto_3552 ) ( AT ?auto_3553 ?auto_3552 ) ( DIFFERENT ?auto_3550 ?auto_3552 ) ( LOCATION ?auto_3559 ) ( CITY ?auto_3558 ) ( AT ?auto_3548 ?auto_3559 ) ( IN-CITY ?auto_3559 ?auto_3558 ) ( IN-CITY ?auto_3549 ?auto_3558 ) ( DIFFERENT ?auto_3549 ?auto_3559 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3548 ?auto_3559 ?auto_3549 ?auto_3558 )
      ( DELIVER-PKG ?auto_3544 ?auto_3545 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3591
      ?auto_3592
    )
    :vars
    (
      ?auto_3597
      ?auto_3602
      ?auto_3595
      ?auto_3596
      ?auto_3601
      ?auto_3598
      ?auto_3594
      ?auto_3599
      ?auto_3600
      ?auto_3605
      ?auto_3604
      ?auto_3608
      ?auto_3607
    )
    :precondition
    ( and ( OBJ ?auto_3591 ) ( LOCATION ?auto_3592 ) ( TRUCK ?auto_3597 ) ( LOCATION ?auto_3602 ) ( CITY ?auto_3595 ) ( AT ?auto_3597 ?auto_3602 ) ( IN-CITY ?auto_3602 ?auto_3595 ) ( IN-CITY ?auto_3592 ?auto_3595 ) ( DIFFERENT ?auto_3592 ?auto_3602 ) ( LOCATION ?auto_3596 ) ( AT ?auto_3597 ?auto_3596 ) ( AIRPLANE ?auto_3601 ) ( AIRPORT ?auto_3598 ) ( AIRPORT ?auto_3596 ) ( DIFFERENT ?auto_3596 ?auto_3598 ) ( LOCATION ?auto_3598 ) ( AIRPORT ?auto_3594 ) ( DIFFERENT ?auto_3598 ?auto_3594 ) ( TRUCK ?auto_3599 ) ( IN ?auto_3591 ?auto_3599 ) ( AIRPORT ?auto_3600 ) ( AT ?auto_3601 ?auto_3600 ) ( DIFFERENT ?auto_3594 ?auto_3600 ) ( LOCATION ?auto_3605 ) ( CITY ?auto_3604 ) ( IN-CITY ?auto_3605 ?auto_3604 ) ( IN-CITY ?auto_3598 ?auto_3604 ) ( DIFFERENT ?auto_3598 ?auto_3605 ) ( LOCATION ?auto_3608 ) ( CITY ?auto_3607 ) ( AT ?auto_3599 ?auto_3608 ) ( IN-CITY ?auto_3608 ?auto_3607 ) ( IN-CITY ?auto_3605 ?auto_3607 ) ( DIFFERENT ?auto_3605 ?auto_3608 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3599 ?auto_3608 ?auto_3605 ?auto_3607 )
      ( DELIVER-PKG ?auto_3591 ?auto_3592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3610
      ?auto_3611
    )
    :vars
    (
      ?auto_3621
      ?auto_3617
      ?auto_3613
      ?auto_3620
      ?auto_3616
      ?auto_3622
      ?auto_3614
      ?auto_3623
      ?auto_3624
      ?auto_3619
      ?auto_3618
      ?auto_3626
      ?auto_3625
      ?auto_3628
    )
    :precondition
    ( and ( OBJ ?auto_3610 ) ( LOCATION ?auto_3611 ) ( TRUCK ?auto_3621 ) ( LOCATION ?auto_3617 ) ( CITY ?auto_3613 ) ( AT ?auto_3621 ?auto_3617 ) ( IN-CITY ?auto_3617 ?auto_3613 ) ( IN-CITY ?auto_3611 ?auto_3613 ) ( DIFFERENT ?auto_3611 ?auto_3617 ) ( LOCATION ?auto_3620 ) ( AT ?auto_3621 ?auto_3620 ) ( AIRPLANE ?auto_3616 ) ( AIRPORT ?auto_3622 ) ( AIRPORT ?auto_3620 ) ( DIFFERENT ?auto_3620 ?auto_3622 ) ( LOCATION ?auto_3622 ) ( AIRPORT ?auto_3614 ) ( DIFFERENT ?auto_3622 ?auto_3614 ) ( TRUCK ?auto_3623 ) ( IN ?auto_3610 ?auto_3623 ) ( AIRPORT ?auto_3624 ) ( DIFFERENT ?auto_3614 ?auto_3624 ) ( LOCATION ?auto_3619 ) ( CITY ?auto_3618 ) ( IN-CITY ?auto_3619 ?auto_3618 ) ( IN-CITY ?auto_3622 ?auto_3618 ) ( DIFFERENT ?auto_3622 ?auto_3619 ) ( LOCATION ?auto_3626 ) ( CITY ?auto_3625 ) ( AT ?auto_3623 ?auto_3626 ) ( IN-CITY ?auto_3626 ?auto_3625 ) ( IN-CITY ?auto_3619 ?auto_3625 ) ( DIFFERENT ?auto_3619 ?auto_3626 ) ( AIRPORT ?auto_3628 ) ( AT ?auto_3616 ?auto_3628 ) ( DIFFERENT ?auto_3624 ?auto_3628 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3616 ?auto_3628 ?auto_3624 )
      ( DELIVER-PKG ?auto_3610 ?auto_3611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3666
      ?auto_3667
    )
    :vars
    (
      ?auto_3676
      ?auto_3678
      ?auto_3680
      ?auto_3668
      ?auto_3675
      ?auto_3681
      ?auto_3683
      ?auto_3673
      ?auto_3674
      ?auto_3670
      ?auto_3671
      ?auto_3677
      ?auto_3669
      ?auto_3682
      ?auto_3685
    )
    :precondition
    ( and ( OBJ ?auto_3666 ) ( LOCATION ?auto_3667 ) ( TRUCK ?auto_3676 ) ( LOCATION ?auto_3678 ) ( CITY ?auto_3680 ) ( AT ?auto_3676 ?auto_3678 ) ( IN-CITY ?auto_3678 ?auto_3680 ) ( IN-CITY ?auto_3667 ?auto_3680 ) ( DIFFERENT ?auto_3667 ?auto_3678 ) ( LOCATION ?auto_3668 ) ( AT ?auto_3676 ?auto_3668 ) ( AIRPLANE ?auto_3675 ) ( AIRPORT ?auto_3681 ) ( AIRPORT ?auto_3668 ) ( DIFFERENT ?auto_3668 ?auto_3681 ) ( LOCATION ?auto_3681 ) ( AIRPORT ?auto_3683 ) ( DIFFERENT ?auto_3681 ?auto_3683 ) ( TRUCK ?auto_3673 ) ( AIRPORT ?auto_3674 ) ( DIFFERENT ?auto_3683 ?auto_3674 ) ( LOCATION ?auto_3670 ) ( CITY ?auto_3671 ) ( IN-CITY ?auto_3670 ?auto_3671 ) ( IN-CITY ?auto_3681 ?auto_3671 ) ( DIFFERENT ?auto_3681 ?auto_3670 ) ( LOCATION ?auto_3677 ) ( CITY ?auto_3669 ) ( AT ?auto_3673 ?auto_3677 ) ( IN-CITY ?auto_3677 ?auto_3669 ) ( IN-CITY ?auto_3670 ?auto_3669 ) ( DIFFERENT ?auto_3670 ?auto_3677 ) ( AIRPORT ?auto_3682 ) ( AT ?auto_3675 ?auto_3682 ) ( DIFFERENT ?auto_3674 ?auto_3682 ) ( LOCATION ?auto_3685 ) ( AT ?auto_3673 ?auto_3685 ) ( AT ?auto_3666 ?auto_3685 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3666 ?auto_3673 ?auto_3685 )
      ( DELIVER-PKG ?auto_3666 ?auto_3667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3687
      ?auto_3688
    )
    :vars
    (
      ?auto_3697
      ?auto_3689
      ?auto_3700
      ?auto_3696
      ?auto_3701
      ?auto_3704
      ?auto_3691
      ?auto_3695
      ?auto_3692
      ?auto_3694
      ?auto_3698
      ?auto_3690
      ?auto_3703
      ?auto_3705
      ?auto_3708
      ?auto_3707
    )
    :precondition
    ( and ( OBJ ?auto_3687 ) ( LOCATION ?auto_3688 ) ( TRUCK ?auto_3697 ) ( LOCATION ?auto_3689 ) ( CITY ?auto_3700 ) ( IN-CITY ?auto_3689 ?auto_3700 ) ( IN-CITY ?auto_3688 ?auto_3700 ) ( DIFFERENT ?auto_3688 ?auto_3689 ) ( AIRPLANE ?auto_3696 ) ( AIRPORT ?auto_3701 ) ( AIRPORT ?auto_3689 ) ( DIFFERENT ?auto_3689 ?auto_3701 ) ( LOCATION ?auto_3701 ) ( AIRPORT ?auto_3704 ) ( DIFFERENT ?auto_3701 ?auto_3704 ) ( TRUCK ?auto_3691 ) ( AIRPORT ?auto_3695 ) ( DIFFERENT ?auto_3704 ?auto_3695 ) ( LOCATION ?auto_3692 ) ( CITY ?auto_3694 ) ( IN-CITY ?auto_3692 ?auto_3694 ) ( IN-CITY ?auto_3701 ?auto_3694 ) ( DIFFERENT ?auto_3701 ?auto_3692 ) ( LOCATION ?auto_3698 ) ( CITY ?auto_3690 ) ( AT ?auto_3691 ?auto_3698 ) ( IN-CITY ?auto_3698 ?auto_3690 ) ( IN-CITY ?auto_3692 ?auto_3690 ) ( DIFFERENT ?auto_3692 ?auto_3698 ) ( AIRPORT ?auto_3703 ) ( AT ?auto_3696 ?auto_3703 ) ( DIFFERENT ?auto_3695 ?auto_3703 ) ( LOCATION ?auto_3705 ) ( AT ?auto_3691 ?auto_3705 ) ( AT ?auto_3687 ?auto_3705 ) ( LOCATION ?auto_3708 ) ( CITY ?auto_3707 ) ( AT ?auto_3697 ?auto_3708 ) ( IN-CITY ?auto_3708 ?auto_3707 ) ( IN-CITY ?auto_3689 ?auto_3707 ) ( DIFFERENT ?auto_3689 ?auto_3708 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3697 ?auto_3708 ?auto_3689 ?auto_3707 )
      ( DELIVER-PKG ?auto_3687 ?auto_3688 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3710
      ?auto_3711
    )
    :vars
    (
      ?auto_3714
      ?auto_3712
      ?auto_3725
      ?auto_3716
      ?auto_3720
      ?auto_3718
      ?auto_3728
      ?auto_3724
      ?auto_3729
      ?auto_3721
      ?auto_3713
      ?auto_3727
      ?auto_3717
      ?auto_3722
      ?auto_3723
      ?auto_3719
      ?auto_3731
    )
    :precondition
    ( and ( OBJ ?auto_3710 ) ( LOCATION ?auto_3711 ) ( TRUCK ?auto_3714 ) ( LOCATION ?auto_3712 ) ( CITY ?auto_3725 ) ( IN-CITY ?auto_3712 ?auto_3725 ) ( IN-CITY ?auto_3711 ?auto_3725 ) ( DIFFERENT ?auto_3711 ?auto_3712 ) ( AIRPLANE ?auto_3716 ) ( AIRPORT ?auto_3720 ) ( AIRPORT ?auto_3712 ) ( DIFFERENT ?auto_3712 ?auto_3720 ) ( LOCATION ?auto_3720 ) ( AIRPORT ?auto_3718 ) ( DIFFERENT ?auto_3720 ?auto_3718 ) ( TRUCK ?auto_3728 ) ( AIRPORT ?auto_3724 ) ( DIFFERENT ?auto_3718 ?auto_3724 ) ( LOCATION ?auto_3729 ) ( CITY ?auto_3721 ) ( IN-CITY ?auto_3729 ?auto_3721 ) ( IN-CITY ?auto_3720 ?auto_3721 ) ( DIFFERENT ?auto_3720 ?auto_3729 ) ( LOCATION ?auto_3713 ) ( CITY ?auto_3727 ) ( AT ?auto_3728 ?auto_3713 ) ( IN-CITY ?auto_3713 ?auto_3727 ) ( IN-CITY ?auto_3729 ?auto_3727 ) ( DIFFERENT ?auto_3729 ?auto_3713 ) ( AIRPORT ?auto_3717 ) ( DIFFERENT ?auto_3724 ?auto_3717 ) ( LOCATION ?auto_3722 ) ( AT ?auto_3728 ?auto_3722 ) ( AT ?auto_3710 ?auto_3722 ) ( LOCATION ?auto_3723 ) ( CITY ?auto_3719 ) ( AT ?auto_3714 ?auto_3723 ) ( IN-CITY ?auto_3723 ?auto_3719 ) ( IN-CITY ?auto_3712 ?auto_3719 ) ( DIFFERENT ?auto_3712 ?auto_3723 ) ( AIRPORT ?auto_3731 ) ( AT ?auto_3716 ?auto_3731 ) ( DIFFERENT ?auto_3717 ?auto_3731 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3716 ?auto_3731 ?auto_3717 )
      ( DELIVER-PKG ?auto_3710 ?auto_3711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7489
      ?auto_7490
    )
    :vars
    (
      ?auto_7494
      ?auto_7501
      ?auto_7502
      ?auto_7499
      ?auto_7496
      ?auto_7492
      ?auto_7497
      ?auto_7500
      ?auto_7491
      ?auto_7495
      ?auto_7505
    )
    :precondition
    ( and ( OBJ ?auto_7489 ) ( LOCATION ?auto_7490 ) ( TRUCK ?auto_7494 ) ( LOCATION ?auto_7501 ) ( CITY ?auto_7502 ) ( IN-CITY ?auto_7501 ?auto_7502 ) ( IN-CITY ?auto_7490 ?auto_7502 ) ( DIFFERENT ?auto_7490 ?auto_7501 ) ( LOCATION ?auto_7499 ) ( CITY ?auto_7496 ) ( AT ?auto_7494 ?auto_7499 ) ( IN-CITY ?auto_7499 ?auto_7496 ) ( IN-CITY ?auto_7501 ?auto_7496 ) ( DIFFERENT ?auto_7501 ?auto_7499 ) ( LOCATION ?auto_7492 ) ( AT ?auto_7494 ?auto_7492 ) ( TRUCK ?auto_7497 ) ( AT ?auto_7497 ?auto_7492 ) ( LOCATION ?auto_7500 ) ( AT ?auto_7497 ?auto_7500 ) ( TRUCK ?auto_7491 ) ( AT ?auto_7491 ?auto_7500 ) ( LOCATION ?auto_7495 ) ( AT ?auto_7491 ?auto_7495 ) ( AIRPLANE ?auto_7505 ) ( IN ?auto_7489 ?auto_7505 ) ( AT ?auto_7505 ?auto_7495 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7489 ?auto_7495 )
      ( DELIVER-PKG ?auto_7489 ?auto_7490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7506
      ?auto_7507
    )
    :vars
    (
      ?auto_7518
      ?auto_7511
      ?auto_7512
      ?auto_7510
      ?auto_7513
      ?auto_7519
      ?auto_7508
      ?auto_7517
      ?auto_7515
      ?auto_7520
      ?auto_7514
      ?auto_7522
    )
    :precondition
    ( and ( OBJ ?auto_7506 ) ( LOCATION ?auto_7507 ) ( TRUCK ?auto_7518 ) ( LOCATION ?auto_7511 ) ( CITY ?auto_7512 ) ( IN-CITY ?auto_7511 ?auto_7512 ) ( IN-CITY ?auto_7507 ?auto_7512 ) ( DIFFERENT ?auto_7507 ?auto_7511 ) ( LOCATION ?auto_7510 ) ( CITY ?auto_7513 ) ( AT ?auto_7518 ?auto_7510 ) ( IN-CITY ?auto_7510 ?auto_7513 ) ( IN-CITY ?auto_7511 ?auto_7513 ) ( DIFFERENT ?auto_7511 ?auto_7510 ) ( LOCATION ?auto_7519 ) ( AT ?auto_7518 ?auto_7519 ) ( TRUCK ?auto_7508 ) ( AT ?auto_7508 ?auto_7519 ) ( LOCATION ?auto_7517 ) ( AT ?auto_7508 ?auto_7517 ) ( TRUCK ?auto_7515 ) ( AT ?auto_7515 ?auto_7517 ) ( LOCATION ?auto_7520 ) ( AT ?auto_7515 ?auto_7520 ) ( AIRPLANE ?auto_7514 ) ( IN ?auto_7506 ?auto_7514 ) ( AIRPORT ?auto_7522 ) ( AIRPORT ?auto_7520 ) ( AT ?auto_7514 ?auto_7522 ) ( DIFFERENT ?auto_7520 ?auto_7522 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7514 ?auto_7522 ?auto_7520 )
      ( DELIVER-PKG ?auto_7506 ?auto_7507 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7540
      ?auto_7541
    )
    :vars
    (
      ?auto_7542
      ?auto_7555
      ?auto_7554
      ?auto_7553
      ?auto_7545
      ?auto_7549
      ?auto_7547
      ?auto_7543
      ?auto_7552
      ?auto_7550
      ?auto_7551
      ?auto_7544
      ?auto_7557
    )
    :precondition
    ( and ( OBJ ?auto_7540 ) ( LOCATION ?auto_7541 ) ( TRUCK ?auto_7542 ) ( LOCATION ?auto_7555 ) ( CITY ?auto_7554 ) ( IN-CITY ?auto_7555 ?auto_7554 ) ( IN-CITY ?auto_7541 ?auto_7554 ) ( DIFFERENT ?auto_7541 ?auto_7555 ) ( LOCATION ?auto_7553 ) ( CITY ?auto_7545 ) ( AT ?auto_7542 ?auto_7553 ) ( IN-CITY ?auto_7553 ?auto_7545 ) ( IN-CITY ?auto_7555 ?auto_7545 ) ( DIFFERENT ?auto_7555 ?auto_7553 ) ( LOCATION ?auto_7549 ) ( AT ?auto_7542 ?auto_7549 ) ( TRUCK ?auto_7547 ) ( AT ?auto_7547 ?auto_7549 ) ( LOCATION ?auto_7543 ) ( AT ?auto_7547 ?auto_7543 ) ( TRUCK ?auto_7552 ) ( AT ?auto_7552 ?auto_7543 ) ( LOCATION ?auto_7550 ) ( AT ?auto_7552 ?auto_7550 ) ( AIRPLANE ?auto_7551 ) ( AIRPORT ?auto_7544 ) ( AIRPORT ?auto_7550 ) ( AT ?auto_7551 ?auto_7544 ) ( DIFFERENT ?auto_7550 ?auto_7544 ) ( LOCATION ?auto_7557 ) ( AT ?auto_7540 ?auto_7557 ) ( AT ?auto_7551 ?auto_7557 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7540 ?auto_7551 ?auto_7557 )
      ( DELIVER-PKG ?auto_7540 ?auto_7541 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4194
      ?auto_4195
    )
    :vars
    (
      ?auto_4199
      ?auto_4204
      ?auto_4200
      ?auto_4205
      ?auto_4201
      ?auto_4196
      ?auto_4206
      ?auto_4203
      ?auto_4197
      ?auto_4209
    )
    :precondition
    ( and ( OBJ ?auto_4194 ) ( LOCATION ?auto_4195 ) ( TRUCK ?auto_4199 ) ( LOCATION ?auto_4204 ) ( CITY ?auto_4200 ) ( IN-CITY ?auto_4204 ?auto_4200 ) ( IN-CITY ?auto_4195 ?auto_4200 ) ( DIFFERENT ?auto_4195 ?auto_4204 ) ( LOCATION ?auto_4205 ) ( CITY ?auto_4201 ) ( AT ?auto_4199 ?auto_4205 ) ( IN-CITY ?auto_4205 ?auto_4201 ) ( IN-CITY ?auto_4204 ?auto_4201 ) ( DIFFERENT ?auto_4204 ?auto_4205 ) ( LOCATION ?auto_4196 ) ( AT ?auto_4199 ?auto_4196 ) ( AIRPLANE ?auto_4206 ) ( AIRPORT ?auto_4203 ) ( AIRPORT ?auto_4196 ) ( AT ?auto_4206 ?auto_4203 ) ( DIFFERENT ?auto_4196 ?auto_4203 ) ( LOCATION ?auto_4197 ) ( AT ?auto_4206 ?auto_4197 ) ( TRUCK ?auto_4209 ) ( AT ?auto_4209 ?auto_4197 ) ( IN ?auto_4194 ?auto_4209 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4194 ?auto_4197 )
      ( DELIVER-PKG ?auto_4194 ?auto_4195 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4224
      ?auto_4225
    )
    :vars
    (
      ?auto_4236
      ?auto_4226
      ?auto_4237
      ?auto_4230
      ?auto_4227
      ?auto_4229
      ?auto_4232
      ?auto_4235
      ?auto_4234
      ?auto_4233
      ?auto_4240
      ?auto_4239
    )
    :precondition
    ( and ( OBJ ?auto_4224 ) ( LOCATION ?auto_4225 ) ( TRUCK ?auto_4236 ) ( LOCATION ?auto_4226 ) ( CITY ?auto_4237 ) ( IN-CITY ?auto_4226 ?auto_4237 ) ( IN-CITY ?auto_4225 ?auto_4237 ) ( DIFFERENT ?auto_4225 ?auto_4226 ) ( LOCATION ?auto_4230 ) ( CITY ?auto_4227 ) ( AT ?auto_4236 ?auto_4230 ) ( IN-CITY ?auto_4230 ?auto_4227 ) ( IN-CITY ?auto_4226 ?auto_4227 ) ( DIFFERENT ?auto_4226 ?auto_4230 ) ( LOCATION ?auto_4229 ) ( AT ?auto_4236 ?auto_4229 ) ( AIRPLANE ?auto_4232 ) ( AIRPORT ?auto_4235 ) ( AIRPORT ?auto_4229 ) ( AT ?auto_4232 ?auto_4235 ) ( DIFFERENT ?auto_4229 ?auto_4235 ) ( LOCATION ?auto_4234 ) ( AT ?auto_4232 ?auto_4234 ) ( TRUCK ?auto_4233 ) ( IN ?auto_4224 ?auto_4233 ) ( LOCATION ?auto_4240 ) ( CITY ?auto_4239 ) ( AT ?auto_4233 ?auto_4240 ) ( IN-CITY ?auto_4240 ?auto_4239 ) ( IN-CITY ?auto_4234 ?auto_4239 ) ( DIFFERENT ?auto_4234 ?auto_4240 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4233 ?auto_4240 ?auto_4234 ?auto_4239 )
      ( DELIVER-PKG ?auto_4224 ?auto_4225 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4290
      ?auto_4291
    )
    :vars
    (
      ?auto_4299
      ?auto_4302
      ?auto_4300
      ?auto_4295
      ?auto_4293
      ?auto_4294
      ?auto_4301
      ?auto_4298
      ?auto_4297
      ?auto_4296
      ?auto_4305
      ?auto_4304
      ?auto_4307
    )
    :precondition
    ( and ( OBJ ?auto_4290 ) ( LOCATION ?auto_4291 ) ( TRUCK ?auto_4299 ) ( LOCATION ?auto_4302 ) ( CITY ?auto_4300 ) ( IN-CITY ?auto_4302 ?auto_4300 ) ( IN-CITY ?auto_4291 ?auto_4300 ) ( DIFFERENT ?auto_4291 ?auto_4302 ) ( LOCATION ?auto_4295 ) ( CITY ?auto_4293 ) ( AT ?auto_4299 ?auto_4295 ) ( IN-CITY ?auto_4295 ?auto_4293 ) ( IN-CITY ?auto_4302 ?auto_4293 ) ( DIFFERENT ?auto_4302 ?auto_4295 ) ( LOCATION ?auto_4294 ) ( AT ?auto_4299 ?auto_4294 ) ( AIRPLANE ?auto_4301 ) ( AIRPORT ?auto_4298 ) ( AIRPORT ?auto_4294 ) ( AT ?auto_4301 ?auto_4298 ) ( DIFFERENT ?auto_4294 ?auto_4298 ) ( LOCATION ?auto_4297 ) ( AT ?auto_4301 ?auto_4297 ) ( TRUCK ?auto_4296 ) ( LOCATION ?auto_4305 ) ( CITY ?auto_4304 ) ( AT ?auto_4296 ?auto_4305 ) ( IN-CITY ?auto_4305 ?auto_4304 ) ( IN-CITY ?auto_4297 ?auto_4304 ) ( DIFFERENT ?auto_4297 ?auto_4305 ) ( LOCATION ?auto_4307 ) ( AT ?auto_4296 ?auto_4307 ) ( AT ?auto_4290 ?auto_4307 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4290 ?auto_4296 ?auto_4307 )
      ( DELIVER-PKG ?auto_4290 ?auto_4291 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4309
      ?auto_4310
    )
    :vars
    (
      ?auto_4319
      ?auto_4322
      ?auto_4320
      ?auto_4314
      ?auto_4313
      ?auto_4316
      ?auto_4321
      ?auto_4317
      ?auto_4315
      ?auto_4324
      ?auto_4323
      ?auto_4325
      ?auto_4327
    )
    :precondition
    ( and ( OBJ ?auto_4309 ) ( LOCATION ?auto_4310 ) ( TRUCK ?auto_4319 ) ( LOCATION ?auto_4322 ) ( CITY ?auto_4320 ) ( IN-CITY ?auto_4322 ?auto_4320 ) ( IN-CITY ?auto_4310 ?auto_4320 ) ( DIFFERENT ?auto_4310 ?auto_4322 ) ( LOCATION ?auto_4314 ) ( CITY ?auto_4313 ) ( AT ?auto_4319 ?auto_4314 ) ( IN-CITY ?auto_4314 ?auto_4313 ) ( IN-CITY ?auto_4322 ?auto_4313 ) ( DIFFERENT ?auto_4322 ?auto_4314 ) ( LOCATION ?auto_4316 ) ( AT ?auto_4319 ?auto_4316 ) ( AIRPLANE ?auto_4321 ) ( AIRPORT ?auto_4317 ) ( AIRPORT ?auto_4316 ) ( DIFFERENT ?auto_4316 ?auto_4317 ) ( LOCATION ?auto_4317 ) ( TRUCK ?auto_4315 ) ( LOCATION ?auto_4324 ) ( CITY ?auto_4323 ) ( AT ?auto_4315 ?auto_4324 ) ( IN-CITY ?auto_4324 ?auto_4323 ) ( IN-CITY ?auto_4317 ?auto_4323 ) ( DIFFERENT ?auto_4317 ?auto_4324 ) ( LOCATION ?auto_4325 ) ( AT ?auto_4315 ?auto_4325 ) ( AT ?auto_4309 ?auto_4325 ) ( AIRPORT ?auto_4327 ) ( AT ?auto_4321 ?auto_4327 ) ( DIFFERENT ?auto_4317 ?auto_4327 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4321 ?auto_4327 ?auto_4317 )
      ( DELIVER-PKG ?auto_4309 ?auto_4310 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4363
      ?auto_4364
    )
    :vars
    (
      ?auto_4365
      ?auto_4375
      ?auto_4366
      ?auto_4376
      ?auto_4378
      ?auto_4374
      ?auto_4371
      ?auto_4379
      ?auto_4377
      ?auto_4370
      ?auto_4368
      ?auto_4372
      ?auto_4382
      ?auto_4381
    )
    :precondition
    ( and ( OBJ ?auto_4363 ) ( LOCATION ?auto_4364 ) ( TRUCK ?auto_4365 ) ( LOCATION ?auto_4375 ) ( CITY ?auto_4366 ) ( IN-CITY ?auto_4375 ?auto_4366 ) ( IN-CITY ?auto_4364 ?auto_4366 ) ( DIFFERENT ?auto_4364 ?auto_4375 ) ( LOCATION ?auto_4376 ) ( CITY ?auto_4378 ) ( AT ?auto_4365 ?auto_4376 ) ( IN-CITY ?auto_4376 ?auto_4378 ) ( IN-CITY ?auto_4375 ?auto_4378 ) ( DIFFERENT ?auto_4375 ?auto_4376 ) ( LOCATION ?auto_4374 ) ( AT ?auto_4365 ?auto_4374 ) ( AIRPLANE ?auto_4371 ) ( AIRPORT ?auto_4379 ) ( AIRPORT ?auto_4374 ) ( DIFFERENT ?auto_4374 ?auto_4379 ) ( LOCATION ?auto_4379 ) ( TRUCK ?auto_4377 ) ( LOCATION ?auto_4370 ) ( CITY ?auto_4368 ) ( IN-CITY ?auto_4370 ?auto_4368 ) ( IN-CITY ?auto_4379 ?auto_4368 ) ( DIFFERENT ?auto_4379 ?auto_4370 ) ( AT ?auto_4363 ?auto_4370 ) ( AIRPORT ?auto_4372 ) ( AT ?auto_4371 ?auto_4372 ) ( DIFFERENT ?auto_4379 ?auto_4372 ) ( LOCATION ?auto_4382 ) ( CITY ?auto_4381 ) ( AT ?auto_4377 ?auto_4382 ) ( IN-CITY ?auto_4382 ?auto_4381 ) ( IN-CITY ?auto_4370 ?auto_4381 ) ( DIFFERENT ?auto_4370 ?auto_4382 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4377 ?auto_4382 ?auto_4370 ?auto_4381 )
      ( DELIVER-PKG ?auto_4363 ?auto_4364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4438
      ?auto_4439
    )
    :vars
    (
      ?auto_4451
      ?auto_4443
      ?auto_4440
      ?auto_4444
      ?auto_4453
      ?auto_4442
      ?auto_4447
      ?auto_4454
      ?auto_4452
      ?auto_4446
      ?auto_4441
      ?auto_4448
      ?auto_4455
      ?auto_4449
      ?auto_4457
    )
    :precondition
    ( and ( OBJ ?auto_4438 ) ( LOCATION ?auto_4439 ) ( TRUCK ?auto_4451 ) ( LOCATION ?auto_4443 ) ( CITY ?auto_4440 ) ( IN-CITY ?auto_4443 ?auto_4440 ) ( IN-CITY ?auto_4439 ?auto_4440 ) ( DIFFERENT ?auto_4439 ?auto_4443 ) ( LOCATION ?auto_4444 ) ( CITY ?auto_4453 ) ( AT ?auto_4451 ?auto_4444 ) ( IN-CITY ?auto_4444 ?auto_4453 ) ( IN-CITY ?auto_4443 ?auto_4453 ) ( DIFFERENT ?auto_4443 ?auto_4444 ) ( LOCATION ?auto_4442 ) ( AT ?auto_4451 ?auto_4442 ) ( AIRPLANE ?auto_4447 ) ( AIRPORT ?auto_4454 ) ( AIRPORT ?auto_4442 ) ( DIFFERENT ?auto_4442 ?auto_4454 ) ( LOCATION ?auto_4454 ) ( TRUCK ?auto_4452 ) ( LOCATION ?auto_4446 ) ( CITY ?auto_4441 ) ( IN-CITY ?auto_4446 ?auto_4441 ) ( IN-CITY ?auto_4454 ?auto_4441 ) ( DIFFERENT ?auto_4454 ?auto_4446 ) ( AT ?auto_4438 ?auto_4446 ) ( AIRPORT ?auto_4448 ) ( DIFFERENT ?auto_4454 ?auto_4448 ) ( LOCATION ?auto_4455 ) ( CITY ?auto_4449 ) ( AT ?auto_4452 ?auto_4455 ) ( IN-CITY ?auto_4455 ?auto_4449 ) ( IN-CITY ?auto_4446 ?auto_4449 ) ( DIFFERENT ?auto_4446 ?auto_4455 ) ( AIRPORT ?auto_4457 ) ( AT ?auto_4447 ?auto_4457 ) ( DIFFERENT ?auto_4448 ?auto_4457 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4447 ?auto_4457 ?auto_4448 )
      ( DELIVER-PKG ?auto_4438 ?auto_4439 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7829
      ?auto_7830
    )
    :vars
    (
      ?auto_7838
      ?auto_7836
      ?auto_7845
      ?auto_7840
      ?auto_7841
      ?auto_7844
      ?auto_7848
      ?auto_7849
      ?auto_7839
      ?auto_7847
      ?auto_7846
      ?auto_7850
      ?auto_7837
      ?auto_7842
      ?auto_7843
      ?auto_7833
      ?auto_7831
      ?auto_7834
      ?auto_7835
      ?auto_7854
      ?auto_7853
    )
    :precondition
    ( and ( OBJ ?auto_7829 ) ( LOCATION ?auto_7830 ) ( TRUCK ?auto_7838 ) ( LOCATION ?auto_7836 ) ( CITY ?auto_7845 ) ( IN-CITY ?auto_7836 ?auto_7845 ) ( IN-CITY ?auto_7830 ?auto_7845 ) ( DIFFERENT ?auto_7830 ?auto_7836 ) ( LOCATION ?auto_7840 ) ( CITY ?auto_7841 ) ( AT ?auto_7838 ?auto_7840 ) ( IN-CITY ?auto_7840 ?auto_7841 ) ( IN-CITY ?auto_7836 ?auto_7841 ) ( DIFFERENT ?auto_7836 ?auto_7840 ) ( LOCATION ?auto_7844 ) ( AT ?auto_7838 ?auto_7844 ) ( TRUCK ?auto_7848 ) ( AT ?auto_7848 ?auto_7844 ) ( LOCATION ?auto_7849 ) ( AT ?auto_7848 ?auto_7849 ) ( TRUCK ?auto_7839 ) ( AT ?auto_7839 ?auto_7849 ) ( LOCATION ?auto_7847 ) ( AT ?auto_7839 ?auto_7847 ) ( AIRPLANE ?auto_7846 ) ( AIRPORT ?auto_7850 ) ( AIRPORT ?auto_7847 ) ( DIFFERENT ?auto_7847 ?auto_7850 ) ( LOCATION ?auto_7850 ) ( AIRPORT ?auto_7837 ) ( DIFFERENT ?auto_7850 ?auto_7837 ) ( AIRPORT ?auto_7842 ) ( AT ?auto_7846 ?auto_7842 ) ( DIFFERENT ?auto_7837 ?auto_7842 ) ( TRUCK ?auto_7843 ) ( LOCATION ?auto_7833 ) ( CITY ?auto_7831 ) ( IN-CITY ?auto_7833 ?auto_7831 ) ( IN-CITY ?auto_7850 ?auto_7831 ) ( DIFFERENT ?auto_7850 ?auto_7833 ) ( AT ?auto_7829 ?auto_7833 ) ( LOCATION ?auto_7834 ) ( CITY ?auto_7835 ) ( IN-CITY ?auto_7834 ?auto_7835 ) ( IN-CITY ?auto_7833 ?auto_7835 ) ( DIFFERENT ?auto_7833 ?auto_7834 ) ( LOCATION ?auto_7854 ) ( CITY ?auto_7853 ) ( AT ?auto_7843 ?auto_7854 ) ( IN-CITY ?auto_7854 ?auto_7853 ) ( IN-CITY ?auto_7834 ?auto_7853 ) ( DIFFERENT ?auto_7834 ?auto_7854 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7843 ?auto_7854 ?auto_7834 ?auto_7853 )
      ( DELIVER-PKG ?auto_7829 ?auto_7830 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4543
      ?auto_4544
    )
    :vars
    (
      ?auto_4555
      ?auto_4546
      ?auto_4549
      ?auto_4550
      ?auto_4558
      ?auto_4547
      ?auto_4552
      ?auto_4559
      ?auto_4557
      ?auto_4551
      ?auto_4561
      ?auto_4553
      ?auto_4548
      ?auto_4554
      ?auto_4556
      ?auto_4563
      ?auto_4562
      ?auto_4566
      ?auto_4565
    )
    :precondition
    ( and ( OBJ ?auto_4543 ) ( LOCATION ?auto_4544 ) ( TRUCK ?auto_4555 ) ( LOCATION ?auto_4546 ) ( CITY ?auto_4549 ) ( IN-CITY ?auto_4546 ?auto_4549 ) ( IN-CITY ?auto_4544 ?auto_4549 ) ( DIFFERENT ?auto_4544 ?auto_4546 ) ( LOCATION ?auto_4550 ) ( CITY ?auto_4558 ) ( AT ?auto_4555 ?auto_4550 ) ( IN-CITY ?auto_4550 ?auto_4558 ) ( IN-CITY ?auto_4546 ?auto_4558 ) ( DIFFERENT ?auto_4546 ?auto_4550 ) ( LOCATION ?auto_4547 ) ( AT ?auto_4555 ?auto_4547 ) ( AIRPLANE ?auto_4552 ) ( AIRPORT ?auto_4559 ) ( AIRPORT ?auto_4547 ) ( DIFFERENT ?auto_4547 ?auto_4559 ) ( LOCATION ?auto_4559 ) ( TRUCK ?auto_4557 ) ( LOCATION ?auto_4551 ) ( CITY ?auto_4561 ) ( IN-CITY ?auto_4551 ?auto_4561 ) ( IN-CITY ?auto_4559 ?auto_4561 ) ( DIFFERENT ?auto_4559 ?auto_4551 ) ( AT ?auto_4543 ?auto_4551 ) ( AIRPORT ?auto_4553 ) ( DIFFERENT ?auto_4559 ?auto_4553 ) ( LOCATION ?auto_4548 ) ( CITY ?auto_4554 ) ( IN-CITY ?auto_4548 ?auto_4554 ) ( IN-CITY ?auto_4551 ?auto_4554 ) ( DIFFERENT ?auto_4551 ?auto_4548 ) ( AIRPORT ?auto_4556 ) ( AT ?auto_4552 ?auto_4556 ) ( DIFFERENT ?auto_4553 ?auto_4556 ) ( LOCATION ?auto_4563 ) ( CITY ?auto_4562 ) ( IN-CITY ?auto_4563 ?auto_4562 ) ( IN-CITY ?auto_4548 ?auto_4562 ) ( DIFFERENT ?auto_4548 ?auto_4563 ) ( LOCATION ?auto_4566 ) ( CITY ?auto_4565 ) ( AT ?auto_4557 ?auto_4566 ) ( IN-CITY ?auto_4566 ?auto_4565 ) ( IN-CITY ?auto_4563 ?auto_4565 ) ( DIFFERENT ?auto_4563 ?auto_4566 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4557 ?auto_4566 ?auto_4563 ?auto_4565 )
      ( DELIVER-PKG ?auto_4543 ?auto_4544 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4568
      ?auto_4569
    )
    :vars
    (
      ?auto_4585
      ?auto_4572
      ?auto_4580
      ?auto_4573
      ?auto_4574
      ?auto_4577
      ?auto_4582
      ?auto_4575
      ?auto_4587
      ?auto_4581
      ?auto_4576
      ?auto_4583
      ?auto_4578
      ?auto_4584
      ?auto_4586
      ?auto_4589
      ?auto_4588
      ?auto_4590
      ?auto_4579
      ?auto_4592
    )
    :precondition
    ( and ( OBJ ?auto_4568 ) ( LOCATION ?auto_4569 ) ( TRUCK ?auto_4585 ) ( LOCATION ?auto_4572 ) ( CITY ?auto_4580 ) ( IN-CITY ?auto_4572 ?auto_4580 ) ( IN-CITY ?auto_4569 ?auto_4580 ) ( DIFFERENT ?auto_4569 ?auto_4572 ) ( LOCATION ?auto_4573 ) ( CITY ?auto_4574 ) ( AT ?auto_4585 ?auto_4573 ) ( IN-CITY ?auto_4573 ?auto_4574 ) ( IN-CITY ?auto_4572 ?auto_4574 ) ( DIFFERENT ?auto_4572 ?auto_4573 ) ( LOCATION ?auto_4577 ) ( AT ?auto_4585 ?auto_4577 ) ( AIRPLANE ?auto_4582 ) ( AIRPORT ?auto_4575 ) ( AIRPORT ?auto_4577 ) ( DIFFERENT ?auto_4577 ?auto_4575 ) ( LOCATION ?auto_4575 ) ( TRUCK ?auto_4587 ) ( LOCATION ?auto_4581 ) ( CITY ?auto_4576 ) ( IN-CITY ?auto_4581 ?auto_4576 ) ( IN-CITY ?auto_4575 ?auto_4576 ) ( DIFFERENT ?auto_4575 ?auto_4581 ) ( AT ?auto_4568 ?auto_4581 ) ( AIRPORT ?auto_4583 ) ( DIFFERENT ?auto_4575 ?auto_4583 ) ( LOCATION ?auto_4578 ) ( CITY ?auto_4584 ) ( IN-CITY ?auto_4578 ?auto_4584 ) ( IN-CITY ?auto_4581 ?auto_4584 ) ( DIFFERENT ?auto_4581 ?auto_4578 ) ( AIRPORT ?auto_4586 ) ( DIFFERENT ?auto_4583 ?auto_4586 ) ( LOCATION ?auto_4589 ) ( CITY ?auto_4588 ) ( IN-CITY ?auto_4589 ?auto_4588 ) ( IN-CITY ?auto_4578 ?auto_4588 ) ( DIFFERENT ?auto_4578 ?auto_4589 ) ( LOCATION ?auto_4590 ) ( CITY ?auto_4579 ) ( AT ?auto_4587 ?auto_4590 ) ( IN-CITY ?auto_4590 ?auto_4579 ) ( IN-CITY ?auto_4589 ?auto_4579 ) ( DIFFERENT ?auto_4589 ?auto_4590 ) ( AIRPORT ?auto_4592 ) ( AT ?auto_4582 ?auto_4592 ) ( DIFFERENT ?auto_4586 ?auto_4592 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4582 ?auto_4592 ?auto_4586 )
      ( DELIVER-PKG ?auto_4568 ?auto_4569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4666
      ?auto_4667
    )
    :vars
    (
      ?auto_4683
      ?auto_4685
      ?auto_4669
      ?auto_4677
      ?auto_4688
      ?auto_4678
      ?auto_4687
      ?auto_4673
      ?auto_4672
      ?auto_4671
      ?auto_4681
      ?auto_4689
      ?auto_4676
      ?auto_4684
      ?auto_4679
      ?auto_4674
      ?auto_4680
      ?auto_4670
      ?auto_4675
      ?auto_4692
      ?auto_4691
    )
    :precondition
    ( and ( OBJ ?auto_4666 ) ( LOCATION ?auto_4667 ) ( TRUCK ?auto_4683 ) ( LOCATION ?auto_4685 ) ( CITY ?auto_4669 ) ( IN-CITY ?auto_4685 ?auto_4669 ) ( IN-CITY ?auto_4667 ?auto_4669 ) ( DIFFERENT ?auto_4667 ?auto_4685 ) ( LOCATION ?auto_4677 ) ( CITY ?auto_4688 ) ( IN-CITY ?auto_4677 ?auto_4688 ) ( IN-CITY ?auto_4685 ?auto_4688 ) ( DIFFERENT ?auto_4685 ?auto_4677 ) ( AIRPLANE ?auto_4678 ) ( AIRPORT ?auto_4687 ) ( AIRPORT ?auto_4677 ) ( DIFFERENT ?auto_4677 ?auto_4687 ) ( LOCATION ?auto_4687 ) ( TRUCK ?auto_4673 ) ( LOCATION ?auto_4672 ) ( CITY ?auto_4671 ) ( IN-CITY ?auto_4672 ?auto_4671 ) ( IN-CITY ?auto_4687 ?auto_4671 ) ( DIFFERENT ?auto_4687 ?auto_4672 ) ( AT ?auto_4666 ?auto_4672 ) ( AIRPORT ?auto_4681 ) ( DIFFERENT ?auto_4687 ?auto_4681 ) ( LOCATION ?auto_4689 ) ( CITY ?auto_4676 ) ( IN-CITY ?auto_4689 ?auto_4676 ) ( IN-CITY ?auto_4672 ?auto_4676 ) ( DIFFERENT ?auto_4672 ?auto_4689 ) ( AIRPORT ?auto_4684 ) ( DIFFERENT ?auto_4681 ?auto_4684 ) ( LOCATION ?auto_4679 ) ( CITY ?auto_4674 ) ( IN-CITY ?auto_4679 ?auto_4674 ) ( IN-CITY ?auto_4689 ?auto_4674 ) ( DIFFERENT ?auto_4689 ?auto_4679 ) ( LOCATION ?auto_4680 ) ( CITY ?auto_4670 ) ( AT ?auto_4673 ?auto_4680 ) ( IN-CITY ?auto_4680 ?auto_4670 ) ( IN-CITY ?auto_4679 ?auto_4670 ) ( DIFFERENT ?auto_4679 ?auto_4680 ) ( AIRPORT ?auto_4675 ) ( AT ?auto_4678 ?auto_4675 ) ( DIFFERENT ?auto_4684 ?auto_4675 ) ( LOCATION ?auto_4692 ) ( CITY ?auto_4691 ) ( AT ?auto_4683 ?auto_4692 ) ( IN-CITY ?auto_4692 ?auto_4691 ) ( IN-CITY ?auto_4677 ?auto_4691 ) ( DIFFERENT ?auto_4677 ?auto_4692 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4683 ?auto_4692 ?auto_4677 ?auto_4691 )
      ( DELIVER-PKG ?auto_4666 ?auto_4667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4694
      ?auto_4695
    )
    :vars
    (
      ?auto_4713
      ?auto_4715
      ?auto_4699
      ?auto_4708
      ?auto_4717
      ?auto_4709
      ?auto_4716
      ?auto_4703
      ?auto_4702
      ?auto_4701
      ?auto_4712
      ?auto_4718
      ?auto_4707
      ?auto_4714
      ?auto_4710
      ?auto_4705
      ?auto_4711
      ?auto_4700
      ?auto_4706
      ?auto_4704
      ?auto_4698
      ?auto_4720
    )
    :precondition
    ( and ( OBJ ?auto_4694 ) ( LOCATION ?auto_4695 ) ( TRUCK ?auto_4713 ) ( LOCATION ?auto_4715 ) ( CITY ?auto_4699 ) ( IN-CITY ?auto_4715 ?auto_4699 ) ( IN-CITY ?auto_4695 ?auto_4699 ) ( DIFFERENT ?auto_4695 ?auto_4715 ) ( LOCATION ?auto_4708 ) ( CITY ?auto_4717 ) ( IN-CITY ?auto_4708 ?auto_4717 ) ( IN-CITY ?auto_4715 ?auto_4717 ) ( DIFFERENT ?auto_4715 ?auto_4708 ) ( AIRPLANE ?auto_4709 ) ( AIRPORT ?auto_4716 ) ( AIRPORT ?auto_4708 ) ( DIFFERENT ?auto_4708 ?auto_4716 ) ( LOCATION ?auto_4716 ) ( TRUCK ?auto_4703 ) ( LOCATION ?auto_4702 ) ( CITY ?auto_4701 ) ( IN-CITY ?auto_4702 ?auto_4701 ) ( IN-CITY ?auto_4716 ?auto_4701 ) ( DIFFERENT ?auto_4716 ?auto_4702 ) ( AT ?auto_4694 ?auto_4702 ) ( AIRPORT ?auto_4712 ) ( DIFFERENT ?auto_4716 ?auto_4712 ) ( LOCATION ?auto_4718 ) ( CITY ?auto_4707 ) ( IN-CITY ?auto_4718 ?auto_4707 ) ( IN-CITY ?auto_4702 ?auto_4707 ) ( DIFFERENT ?auto_4702 ?auto_4718 ) ( AIRPORT ?auto_4714 ) ( DIFFERENT ?auto_4712 ?auto_4714 ) ( LOCATION ?auto_4710 ) ( CITY ?auto_4705 ) ( IN-CITY ?auto_4710 ?auto_4705 ) ( IN-CITY ?auto_4718 ?auto_4705 ) ( DIFFERENT ?auto_4718 ?auto_4710 ) ( LOCATION ?auto_4711 ) ( CITY ?auto_4700 ) ( AT ?auto_4703 ?auto_4711 ) ( IN-CITY ?auto_4711 ?auto_4700 ) ( IN-CITY ?auto_4710 ?auto_4700 ) ( DIFFERENT ?auto_4710 ?auto_4711 ) ( AIRPORT ?auto_4706 ) ( DIFFERENT ?auto_4714 ?auto_4706 ) ( LOCATION ?auto_4704 ) ( CITY ?auto_4698 ) ( AT ?auto_4713 ?auto_4704 ) ( IN-CITY ?auto_4704 ?auto_4698 ) ( IN-CITY ?auto_4708 ?auto_4698 ) ( DIFFERENT ?auto_4708 ?auto_4704 ) ( AIRPORT ?auto_4720 ) ( AT ?auto_4709 ?auto_4720 ) ( DIFFERENT ?auto_4706 ?auto_4720 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4709 ?auto_4720 ?auto_4706 )
      ( DELIVER-PKG ?auto_4694 ?auto_4695 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12270
      ?auto_12271
    )
    :vars
    (
      ?auto_12280
      ?auto_12279
      ?auto_12282
      ?auto_12276
      ?auto_12273
      ?auto_12281
      ?auto_12275
      ?auto_12272
      ?auto_12274
      ?auto_12285
    )
    :precondition
    ( and ( OBJ ?auto_12270 ) ( LOCATION ?auto_12271 ) ( TRUCK ?auto_12280 ) ( LOCATION ?auto_12279 ) ( CITY ?auto_12282 ) ( AT ?auto_12280 ?auto_12279 ) ( IN-CITY ?auto_12279 ?auto_12282 ) ( IN-CITY ?auto_12271 ?auto_12282 ) ( DIFFERENT ?auto_12271 ?auto_12279 ) ( LOCATION ?auto_12276 ) ( AT ?auto_12280 ?auto_12276 ) ( AIRPLANE ?auto_12273 ) ( AIRPORT ?auto_12281 ) ( AIRPORT ?auto_12276 ) ( AT ?auto_12273 ?auto_12281 ) ( DIFFERENT ?auto_12276 ?auto_12281 ) ( LOCATION ?auto_12275 ) ( AT ?auto_12273 ?auto_12275 ) ( AIRPLANE ?auto_12272 ) ( AT ?auto_12272 ?auto_12275 ) ( LOCATION ?auto_12274 ) ( AT ?auto_12272 ?auto_12274 ) ( TRUCK ?auto_12285 ) ( AT ?auto_12285 ?auto_12274 ) ( IN ?auto_12270 ?auto_12285 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12270 ?auto_12274 )
      ( DELIVER-PKG ?auto_12270 ?auto_12271 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12286
      ?auto_12287
    )
    :vars
    (
      ?auto_12288
      ?auto_12293
      ?auto_12298
      ?auto_12299
      ?auto_12296
      ?auto_12291
      ?auto_12297
      ?auto_12294
      ?auto_12295
      ?auto_12290
      ?auto_12302
      ?auto_12301
    )
    :precondition
    ( and ( OBJ ?auto_12286 ) ( LOCATION ?auto_12287 ) ( TRUCK ?auto_12288 ) ( LOCATION ?auto_12293 ) ( CITY ?auto_12298 ) ( AT ?auto_12288 ?auto_12293 ) ( IN-CITY ?auto_12293 ?auto_12298 ) ( IN-CITY ?auto_12287 ?auto_12298 ) ( DIFFERENT ?auto_12287 ?auto_12293 ) ( LOCATION ?auto_12299 ) ( AT ?auto_12288 ?auto_12299 ) ( AIRPLANE ?auto_12296 ) ( AIRPORT ?auto_12291 ) ( AIRPORT ?auto_12299 ) ( AT ?auto_12296 ?auto_12291 ) ( DIFFERENT ?auto_12299 ?auto_12291 ) ( LOCATION ?auto_12297 ) ( AT ?auto_12296 ?auto_12297 ) ( AIRPLANE ?auto_12294 ) ( AT ?auto_12294 ?auto_12297 ) ( LOCATION ?auto_12295 ) ( AT ?auto_12294 ?auto_12295 ) ( TRUCK ?auto_12290 ) ( IN ?auto_12286 ?auto_12290 ) ( LOCATION ?auto_12302 ) ( CITY ?auto_12301 ) ( AT ?auto_12290 ?auto_12302 ) ( IN-CITY ?auto_12302 ?auto_12301 ) ( IN-CITY ?auto_12295 ?auto_12301 ) ( DIFFERENT ?auto_12295 ?auto_12302 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12290 ?auto_12302 ?auto_12295 ?auto_12301 )
      ( DELIVER-PKG ?auto_12286 ?auto_12287 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12304
      ?auto_12305
    )
    :vars
    (
      ?auto_12310
      ?auto_12319
      ?auto_12308
      ?auto_12306
      ?auto_12316
      ?auto_12318
      ?auto_12311
      ?auto_12315
      ?auto_12307
      ?auto_12317
      ?auto_12313
      ?auto_12312
      ?auto_12321
    )
    :precondition
    ( and ( OBJ ?auto_12304 ) ( LOCATION ?auto_12305 ) ( TRUCK ?auto_12310 ) ( LOCATION ?auto_12319 ) ( CITY ?auto_12308 ) ( AT ?auto_12310 ?auto_12319 ) ( IN-CITY ?auto_12319 ?auto_12308 ) ( IN-CITY ?auto_12305 ?auto_12308 ) ( DIFFERENT ?auto_12305 ?auto_12319 ) ( LOCATION ?auto_12306 ) ( AT ?auto_12310 ?auto_12306 ) ( AIRPLANE ?auto_12316 ) ( AIRPORT ?auto_12318 ) ( AIRPORT ?auto_12306 ) ( AT ?auto_12316 ?auto_12318 ) ( DIFFERENT ?auto_12306 ?auto_12318 ) ( LOCATION ?auto_12311 ) ( AT ?auto_12316 ?auto_12311 ) ( AIRPLANE ?auto_12315 ) ( AT ?auto_12315 ?auto_12311 ) ( LOCATION ?auto_12307 ) ( AT ?auto_12315 ?auto_12307 ) ( TRUCK ?auto_12317 ) ( LOCATION ?auto_12313 ) ( CITY ?auto_12312 ) ( AT ?auto_12317 ?auto_12313 ) ( IN-CITY ?auto_12313 ?auto_12312 ) ( IN-CITY ?auto_12307 ?auto_12312 ) ( DIFFERENT ?auto_12307 ?auto_12313 ) ( LOCATION ?auto_12321 ) ( AT ?auto_12317 ?auto_12321 ) ( AT ?auto_12304 ?auto_12321 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12304 ?auto_12317 ?auto_12321 )
      ( DELIVER-PKG ?auto_12304 ?auto_12305 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5819
      ?auto_5820
    )
    :vars
    (
      ?auto_5822
      ?auto_5824
      ?auto_5823
      ?auto_5825
      ?auto_5830
      ?auto_5831
      ?auto_5826
      ?auto_5827
      ?auto_5828
      ?auto_5833
      ?auto_5836
      ?auto_5835
    )
    :precondition
    ( and ( OBJ ?auto_5819 ) ( LOCATION ?auto_5820 ) ( TRUCK ?auto_5822 ) ( LOCATION ?auto_5824 ) ( CITY ?auto_5823 ) ( IN-CITY ?auto_5824 ?auto_5823 ) ( IN-CITY ?auto_5820 ?auto_5823 ) ( DIFFERENT ?auto_5820 ?auto_5824 ) ( AIRPLANE ?auto_5825 ) ( AIRPORT ?auto_5830 ) ( AIRPORT ?auto_5824 ) ( AT ?auto_5825 ?auto_5830 ) ( DIFFERENT ?auto_5824 ?auto_5830 ) ( LOCATION ?auto_5831 ) ( AT ?auto_5825 ?auto_5831 ) ( TRUCK ?auto_5826 ) ( LOCATION ?auto_5827 ) ( CITY ?auto_5828 ) ( AT ?auto_5826 ?auto_5827 ) ( IN-CITY ?auto_5827 ?auto_5828 ) ( IN-CITY ?auto_5831 ?auto_5828 ) ( DIFFERENT ?auto_5831 ?auto_5827 ) ( LOCATION ?auto_5833 ) ( AT ?auto_5826 ?auto_5833 ) ( AT ?auto_5819 ?auto_5833 ) ( LOCATION ?auto_5836 ) ( CITY ?auto_5835 ) ( AT ?auto_5822 ?auto_5836 ) ( IN-CITY ?auto_5836 ?auto_5835 ) ( IN-CITY ?auto_5824 ?auto_5835 ) ( DIFFERENT ?auto_5824 ?auto_5836 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5822 ?auto_5836 ?auto_5824 ?auto_5835 )
      ( DELIVER-PKG ?auto_5819 ?auto_5820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5838
      ?auto_5839
    )
    :vars
    (
      ?auto_5851
      ?auto_5840
      ?auto_5846
      ?auto_5841
      ?auto_5847
      ?auto_5849
      ?auto_5843
      ?auto_5850
      ?auto_5845
      ?auto_5853
      ?auto_5848
      ?auto_5856
      ?auto_5855
    )
    :precondition
    ( and ( OBJ ?auto_5838 ) ( LOCATION ?auto_5839 ) ( TRUCK ?auto_5851 ) ( LOCATION ?auto_5840 ) ( CITY ?auto_5846 ) ( IN-CITY ?auto_5840 ?auto_5846 ) ( IN-CITY ?auto_5839 ?auto_5846 ) ( DIFFERENT ?auto_5839 ?auto_5840 ) ( AIRPLANE ?auto_5841 ) ( AIRPORT ?auto_5847 ) ( AIRPORT ?auto_5840 ) ( AT ?auto_5841 ?auto_5847 ) ( DIFFERENT ?auto_5840 ?auto_5847 ) ( LOCATION ?auto_5849 ) ( AT ?auto_5841 ?auto_5849 ) ( TRUCK ?auto_5843 ) ( LOCATION ?auto_5850 ) ( CITY ?auto_5845 ) ( IN-CITY ?auto_5850 ?auto_5845 ) ( IN-CITY ?auto_5849 ?auto_5845 ) ( DIFFERENT ?auto_5849 ?auto_5850 ) ( AT ?auto_5838 ?auto_5850 ) ( LOCATION ?auto_5853 ) ( CITY ?auto_5848 ) ( AT ?auto_5851 ?auto_5853 ) ( IN-CITY ?auto_5853 ?auto_5848 ) ( IN-CITY ?auto_5840 ?auto_5848 ) ( DIFFERENT ?auto_5840 ?auto_5853 ) ( LOCATION ?auto_5856 ) ( CITY ?auto_5855 ) ( AT ?auto_5843 ?auto_5856 ) ( IN-CITY ?auto_5856 ?auto_5855 ) ( IN-CITY ?auto_5850 ?auto_5855 ) ( DIFFERENT ?auto_5850 ?auto_5856 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5843 ?auto_5856 ?auto_5850 ?auto_5855 )
      ( DELIVER-PKG ?auto_5838 ?auto_5839 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5858
      ?auto_5859
    )
    :vars
    (
      ?auto_5869
      ?auto_5864
      ?auto_5874
      ?auto_5872
      ?auto_5870
      ?auto_5871
      ?auto_5873
      ?auto_5868
      ?auto_5865
      ?auto_5867
      ?auto_5863
      ?auto_5862
      ?auto_5876
    )
    :precondition
    ( and ( OBJ ?auto_5858 ) ( LOCATION ?auto_5859 ) ( TRUCK ?auto_5869 ) ( LOCATION ?auto_5864 ) ( CITY ?auto_5874 ) ( IN-CITY ?auto_5864 ?auto_5874 ) ( IN-CITY ?auto_5859 ?auto_5874 ) ( DIFFERENT ?auto_5859 ?auto_5864 ) ( AIRPLANE ?auto_5872 ) ( AIRPORT ?auto_5870 ) ( AIRPORT ?auto_5864 ) ( DIFFERENT ?auto_5864 ?auto_5870 ) ( LOCATION ?auto_5870 ) ( TRUCK ?auto_5871 ) ( LOCATION ?auto_5873 ) ( CITY ?auto_5868 ) ( IN-CITY ?auto_5873 ?auto_5868 ) ( IN-CITY ?auto_5870 ?auto_5868 ) ( DIFFERENT ?auto_5870 ?auto_5873 ) ( AT ?auto_5858 ?auto_5873 ) ( LOCATION ?auto_5865 ) ( CITY ?auto_5867 ) ( AT ?auto_5869 ?auto_5865 ) ( IN-CITY ?auto_5865 ?auto_5867 ) ( IN-CITY ?auto_5864 ?auto_5867 ) ( DIFFERENT ?auto_5864 ?auto_5865 ) ( LOCATION ?auto_5863 ) ( CITY ?auto_5862 ) ( AT ?auto_5871 ?auto_5863 ) ( IN-CITY ?auto_5863 ?auto_5862 ) ( IN-CITY ?auto_5873 ?auto_5862 ) ( DIFFERENT ?auto_5873 ?auto_5863 ) ( AIRPORT ?auto_5876 ) ( AT ?auto_5872 ?auto_5876 ) ( DIFFERENT ?auto_5870 ?auto_5876 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5872 ?auto_5876 ?auto_5870 )
      ( DELIVER-PKG ?auto_5858 ?auto_5859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6141
      ?auto_6142
    )
    :vars
    (
      ?auto_6145
      ?auto_6146
      ?auto_6147
      ?auto_6148
      ?auto_6151
    )
    :precondition
    ( and ( OBJ ?auto_6141 ) ( LOCATION ?auto_6142 ) ( AIRPLANE ?auto_6145 ) ( AIRPORT ?auto_6146 ) ( AIRPORT ?auto_6142 ) ( DIFFERENT ?auto_6142 ?auto_6146 ) ( LOCATION ?auto_6146 ) ( AIRPORT ?auto_6147 ) ( DIFFERENT ?auto_6146 ?auto_6147 ) ( AIRPORT ?auto_6148 ) ( AT ?auto_6145 ?auto_6148 ) ( DIFFERENT ?auto_6147 ?auto_6148 ) ( TRUCK ?auto_6151 ) ( AT ?auto_6151 ?auto_6146 ) ( IN ?auto_6141 ?auto_6151 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6141 ?auto_6146 )
      ( DELIVER-PKG ?auto_6141 ?auto_6142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6185
      ?auto_6186
    )
    :vars
    (
      ?auto_6192
      ?auto_6188
      ?auto_6190
      ?auto_6191
      ?auto_6189
      ?auto_6195
      ?auto_6193
      ?auto_6197
    )
    :precondition
    ( and ( OBJ ?auto_6185 ) ( LOCATION ?auto_6186 ) ( AIRPLANE ?auto_6192 ) ( AIRPORT ?auto_6188 ) ( AIRPORT ?auto_6186 ) ( DIFFERENT ?auto_6186 ?auto_6188 ) ( LOCATION ?auto_6188 ) ( AIRPORT ?auto_6190 ) ( DIFFERENT ?auto_6188 ?auto_6190 ) ( AIRPORT ?auto_6191 ) ( AT ?auto_6192 ?auto_6191 ) ( DIFFERENT ?auto_6190 ?auto_6191 ) ( TRUCK ?auto_6189 ) ( LOCATION ?auto_6195 ) ( CITY ?auto_6193 ) ( AT ?auto_6189 ?auto_6195 ) ( IN-CITY ?auto_6195 ?auto_6193 ) ( IN-CITY ?auto_6188 ?auto_6193 ) ( DIFFERENT ?auto_6188 ?auto_6195 ) ( LOCATION ?auto_6197 ) ( AT ?auto_6189 ?auto_6197 ) ( AT ?auto_6185 ?auto_6197 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6185 ?auto_6189 ?auto_6197 )
      ( DELIVER-PKG ?auto_6185 ?auto_6186 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6211
      ?auto_6212
    )
    :vars
    (
      ?auto_6214
      ?auto_6222
      ?auto_6217
      ?auto_6213
      ?auto_6216
      ?auto_6220
      ?auto_6215
      ?auto_6225
      ?auto_6224
    )
    :precondition
    ( and ( OBJ ?auto_6211 ) ( LOCATION ?auto_6212 ) ( AIRPLANE ?auto_6214 ) ( AIRPORT ?auto_6222 ) ( AIRPORT ?auto_6212 ) ( DIFFERENT ?auto_6212 ?auto_6222 ) ( LOCATION ?auto_6222 ) ( AIRPORT ?auto_6217 ) ( DIFFERENT ?auto_6222 ?auto_6217 ) ( AIRPORT ?auto_6213 ) ( AT ?auto_6214 ?auto_6213 ) ( DIFFERENT ?auto_6217 ?auto_6213 ) ( TRUCK ?auto_6216 ) ( LOCATION ?auto_6220 ) ( CITY ?auto_6215 ) ( IN-CITY ?auto_6220 ?auto_6215 ) ( IN-CITY ?auto_6222 ?auto_6215 ) ( DIFFERENT ?auto_6222 ?auto_6220 ) ( AT ?auto_6211 ?auto_6220 ) ( LOCATION ?auto_6225 ) ( CITY ?auto_6224 ) ( AT ?auto_6216 ?auto_6225 ) ( IN-CITY ?auto_6225 ?auto_6224 ) ( IN-CITY ?auto_6220 ?auto_6224 ) ( DIFFERENT ?auto_6220 ?auto_6225 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6216 ?auto_6225 ?auto_6220 ?auto_6224 )
      ( DELIVER-PKG ?auto_6211 ?auto_6212 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6287
      ?auto_6288
    )
    :vars
    (
      ?auto_6297
      ?auto_6296
      ?auto_6294
      ?auto_6292
      ?auto_6293
      ?auto_6295
      ?auto_6290
      ?auto_6299
      ?auto_6298
      ?auto_6301
      ?auto_6300
      ?auto_6303
    )
    :precondition
    ( and ( OBJ ?auto_6287 ) ( LOCATION ?auto_6288 ) ( AIRPLANE ?auto_6297 ) ( AIRPORT ?auto_6296 ) ( AIRPORT ?auto_6288 ) ( DIFFERENT ?auto_6288 ?auto_6296 ) ( LOCATION ?auto_6296 ) ( AIRPORT ?auto_6294 ) ( DIFFERENT ?auto_6296 ?auto_6294 ) ( AIRPORT ?auto_6292 ) ( DIFFERENT ?auto_6294 ?auto_6292 ) ( TRUCK ?auto_6293 ) ( LOCATION ?auto_6295 ) ( CITY ?auto_6290 ) ( IN-CITY ?auto_6295 ?auto_6290 ) ( IN-CITY ?auto_6296 ?auto_6290 ) ( DIFFERENT ?auto_6296 ?auto_6295 ) ( AT ?auto_6287 ?auto_6295 ) ( LOCATION ?auto_6299 ) ( CITY ?auto_6298 ) ( IN-CITY ?auto_6299 ?auto_6298 ) ( IN-CITY ?auto_6295 ?auto_6298 ) ( DIFFERENT ?auto_6295 ?auto_6299 ) ( LOCATION ?auto_6301 ) ( CITY ?auto_6300 ) ( AT ?auto_6293 ?auto_6301 ) ( IN-CITY ?auto_6301 ?auto_6300 ) ( IN-CITY ?auto_6299 ?auto_6300 ) ( DIFFERENT ?auto_6299 ?auto_6301 ) ( AIRPORT ?auto_6303 ) ( AT ?auto_6297 ?auto_6303 ) ( DIFFERENT ?auto_6292 ?auto_6303 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6297 ?auto_6303 ?auto_6292 )
      ( DELIVER-PKG ?auto_6287 ?auto_6288 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6621
      ?auto_6622
    )
    :vars
    (
      ?auto_6625
      ?auto_6627
      ?auto_6624
      ?auto_6629
    )
    :precondition
    ( and ( OBJ ?auto_6621 ) ( LOCATION ?auto_6622 ) ( TRUCK ?auto_6625 ) ( AT ?auto_6625 ?auto_6622 ) ( LOCATION ?auto_6627 ) ( AT ?auto_6625 ?auto_6627 ) ( TRUCK ?auto_6624 ) ( AT ?auto_6624 ?auto_6627 ) ( LOCATION ?auto_6629 ) ( AT ?auto_6624 ?auto_6629 ) ( AT ?auto_6621 ?auto_6629 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6621 ?auto_6624 ?auto_6629 )
      ( DELIVER-PKG ?auto_6621 ?auto_6622 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6631
      ?auto_6632
    )
    :vars
    (
      ?auto_6638
      ?auto_6635
      ?auto_6636
      ?auto_6634
      ?auto_6641
    )
    :precondition
    ( and ( OBJ ?auto_6631 ) ( LOCATION ?auto_6632 ) ( TRUCK ?auto_6638 ) ( AT ?auto_6638 ?auto_6632 ) ( LOCATION ?auto_6635 ) ( AT ?auto_6638 ?auto_6635 ) ( TRUCK ?auto_6636 ) ( AT ?auto_6636 ?auto_6635 ) ( LOCATION ?auto_6634 ) ( AT ?auto_6636 ?auto_6634 ) ( AIRPLANE ?auto_6641 ) ( IN ?auto_6631 ?auto_6641 ) ( AT ?auto_6641 ?auto_6634 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6631 ?auto_6634 )
      ( DELIVER-PKG ?auto_6631 ?auto_6632 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6642
      ?auto_6643
    )
    :vars
    (
      ?auto_6647
      ?auto_6650
      ?auto_6648
      ?auto_6649
      ?auto_6645
      ?auto_6652
    )
    :precondition
    ( and ( OBJ ?auto_6642 ) ( LOCATION ?auto_6643 ) ( TRUCK ?auto_6647 ) ( AT ?auto_6647 ?auto_6643 ) ( LOCATION ?auto_6650 ) ( AT ?auto_6647 ?auto_6650 ) ( TRUCK ?auto_6648 ) ( AT ?auto_6648 ?auto_6650 ) ( LOCATION ?auto_6649 ) ( AT ?auto_6648 ?auto_6649 ) ( AIRPLANE ?auto_6645 ) ( IN ?auto_6642 ?auto_6645 ) ( AIRPORT ?auto_6652 ) ( AIRPORT ?auto_6649 ) ( AT ?auto_6645 ?auto_6652 ) ( DIFFERENT ?auto_6649 ?auto_6652 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6645 ?auto_6652 ?auto_6649 )
      ( DELIVER-PKG ?auto_6642 ?auto_6643 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6664
      ?auto_6665
    )
    :vars
    (
      ?auto_6673
      ?auto_6668
      ?auto_6669
      ?auto_6670
      ?auto_6667
      ?auto_6671
      ?auto_6675
    )
    :precondition
    ( and ( OBJ ?auto_6664 ) ( LOCATION ?auto_6665 ) ( TRUCK ?auto_6673 ) ( AT ?auto_6673 ?auto_6665 ) ( LOCATION ?auto_6668 ) ( AT ?auto_6673 ?auto_6668 ) ( TRUCK ?auto_6669 ) ( AT ?auto_6669 ?auto_6668 ) ( LOCATION ?auto_6670 ) ( AT ?auto_6669 ?auto_6670 ) ( AIRPLANE ?auto_6667 ) ( AIRPORT ?auto_6671 ) ( AIRPORT ?auto_6670 ) ( AT ?auto_6667 ?auto_6671 ) ( DIFFERENT ?auto_6670 ?auto_6671 ) ( LOCATION ?auto_6675 ) ( AT ?auto_6664 ?auto_6675 ) ( AT ?auto_6667 ?auto_6675 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6664 ?auto_6667 ?auto_6675 )
      ( DELIVER-PKG ?auto_6664 ?auto_6665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6688
      ?auto_6689
    )
    :vars
    (
      ?auto_6694
      ?auto_6692
      ?auto_6693
      ?auto_6696
      ?auto_6691
      ?auto_6695
      ?auto_6700
    )
    :precondition
    ( and ( OBJ ?auto_6688 ) ( LOCATION ?auto_6689 ) ( TRUCK ?auto_6694 ) ( AT ?auto_6694 ?auto_6689 ) ( LOCATION ?auto_6692 ) ( AT ?auto_6694 ?auto_6692 ) ( TRUCK ?auto_6693 ) ( AT ?auto_6693 ?auto_6692 ) ( LOCATION ?auto_6696 ) ( AT ?auto_6693 ?auto_6696 ) ( AIRPLANE ?auto_6691 ) ( AIRPORT ?auto_6695 ) ( AIRPORT ?auto_6696 ) ( DIFFERENT ?auto_6696 ?auto_6695 ) ( LOCATION ?auto_6695 ) ( AT ?auto_6688 ?auto_6695 ) ( AIRPORT ?auto_6700 ) ( AT ?auto_6691 ?auto_6700 ) ( DIFFERENT ?auto_6695 ?auto_6700 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6691 ?auto_6700 ?auto_6695 )
      ( DELIVER-PKG ?auto_6688 ?auto_6689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6724
      ?auto_6725
    )
    :vars
    (
      ?auto_6731
      ?auto_6727
      ?auto_6734
      ?auto_6730
      ?auto_6732
      ?auto_6729
      ?auto_6733
      ?auto_6736
    )
    :precondition
    ( and ( OBJ ?auto_6724 ) ( LOCATION ?auto_6725 ) ( TRUCK ?auto_6731 ) ( AT ?auto_6731 ?auto_6725 ) ( LOCATION ?auto_6727 ) ( AT ?auto_6731 ?auto_6727 ) ( TRUCK ?auto_6734 ) ( AT ?auto_6734 ?auto_6727 ) ( LOCATION ?auto_6730 ) ( AT ?auto_6734 ?auto_6730 ) ( AIRPLANE ?auto_6732 ) ( AIRPORT ?auto_6729 ) ( AIRPORT ?auto_6730 ) ( DIFFERENT ?auto_6730 ?auto_6729 ) ( LOCATION ?auto_6729 ) ( AT ?auto_6724 ?auto_6729 ) ( AIRPORT ?auto_6733 ) ( DIFFERENT ?auto_6729 ?auto_6733 ) ( AIRPORT ?auto_6736 ) ( AT ?auto_6732 ?auto_6736 ) ( DIFFERENT ?auto_6733 ?auto_6736 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6732 ?auto_6736 ?auto_6733 )
      ( DELIVER-PKG ?auto_6724 ?auto_6725 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6738
      ?auto_6739
    )
    :vars
    (
      ?auto_6744
      ?auto_6747
      ?auto_6741
      ?auto_6746
      ?auto_6745
      ?auto_6743
      ?auto_6742
      ?auto_6740
      ?auto_6752
    )
    :precondition
    ( and ( OBJ ?auto_6738 ) ( LOCATION ?auto_6739 ) ( TRUCK ?auto_6744 ) ( AT ?auto_6744 ?auto_6739 ) ( LOCATION ?auto_6747 ) ( AT ?auto_6744 ?auto_6747 ) ( TRUCK ?auto_6741 ) ( AT ?auto_6741 ?auto_6747 ) ( LOCATION ?auto_6746 ) ( AT ?auto_6741 ?auto_6746 ) ( AIRPLANE ?auto_6745 ) ( AIRPORT ?auto_6743 ) ( AIRPORT ?auto_6746 ) ( DIFFERENT ?auto_6746 ?auto_6743 ) ( LOCATION ?auto_6743 ) ( AIRPORT ?auto_6742 ) ( DIFFERENT ?auto_6743 ?auto_6742 ) ( AIRPORT ?auto_6740 ) ( AT ?auto_6745 ?auto_6740 ) ( DIFFERENT ?auto_6742 ?auto_6740 ) ( TRUCK ?auto_6752 ) ( AT ?auto_6752 ?auto_6743 ) ( IN ?auto_6738 ?auto_6752 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6738 ?auto_6743 )
      ( DELIVER-PKG ?auto_6738 ?auto_6739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6766
      ?auto_6767
    )
    :vars
    (
      ?auto_6777
      ?auto_6768
      ?auto_6776
      ?auto_6773
      ?auto_6769
      ?auto_6778
      ?auto_6775
      ?auto_6772
      ?auto_6771
      ?auto_6781
      ?auto_6780
    )
    :precondition
    ( and ( OBJ ?auto_6766 ) ( LOCATION ?auto_6767 ) ( TRUCK ?auto_6777 ) ( AT ?auto_6777 ?auto_6767 ) ( LOCATION ?auto_6768 ) ( AT ?auto_6777 ?auto_6768 ) ( TRUCK ?auto_6776 ) ( AT ?auto_6776 ?auto_6768 ) ( LOCATION ?auto_6773 ) ( AT ?auto_6776 ?auto_6773 ) ( AIRPLANE ?auto_6769 ) ( AIRPORT ?auto_6778 ) ( AIRPORT ?auto_6773 ) ( DIFFERENT ?auto_6773 ?auto_6778 ) ( LOCATION ?auto_6778 ) ( AIRPORT ?auto_6775 ) ( DIFFERENT ?auto_6778 ?auto_6775 ) ( AIRPORT ?auto_6772 ) ( AT ?auto_6769 ?auto_6772 ) ( DIFFERENT ?auto_6775 ?auto_6772 ) ( TRUCK ?auto_6771 ) ( IN ?auto_6766 ?auto_6771 ) ( LOCATION ?auto_6781 ) ( CITY ?auto_6780 ) ( AT ?auto_6771 ?auto_6781 ) ( IN-CITY ?auto_6781 ?auto_6780 ) ( IN-CITY ?auto_6778 ?auto_6780 ) ( DIFFERENT ?auto_6778 ?auto_6781 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6771 ?auto_6781 ?auto_6778 ?auto_6780 )
      ( DELIVER-PKG ?auto_6766 ?auto_6767 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6798
      ?auto_6799
    )
    :vars
    (
      ?auto_6801
      ?auto_6805
      ?auto_6800
      ?auto_6802
      ?auto_6809
      ?auto_6803
      ?auto_6806
      ?auto_6807
      ?auto_6804
      ?auto_6812
      ?auto_6811
      ?auto_6814
    )
    :precondition
    ( and ( OBJ ?auto_6798 ) ( LOCATION ?auto_6799 ) ( TRUCK ?auto_6801 ) ( AT ?auto_6801 ?auto_6799 ) ( LOCATION ?auto_6805 ) ( AT ?auto_6801 ?auto_6805 ) ( TRUCK ?auto_6800 ) ( AT ?auto_6800 ?auto_6805 ) ( LOCATION ?auto_6802 ) ( AT ?auto_6800 ?auto_6802 ) ( AIRPLANE ?auto_6809 ) ( AIRPORT ?auto_6803 ) ( AIRPORT ?auto_6802 ) ( DIFFERENT ?auto_6802 ?auto_6803 ) ( LOCATION ?auto_6803 ) ( AIRPORT ?auto_6806 ) ( DIFFERENT ?auto_6803 ?auto_6806 ) ( AIRPORT ?auto_6807 ) ( AT ?auto_6809 ?auto_6807 ) ( DIFFERENT ?auto_6806 ?auto_6807 ) ( TRUCK ?auto_6804 ) ( LOCATION ?auto_6812 ) ( CITY ?auto_6811 ) ( AT ?auto_6804 ?auto_6812 ) ( IN-CITY ?auto_6812 ?auto_6811 ) ( IN-CITY ?auto_6803 ?auto_6811 ) ( DIFFERENT ?auto_6803 ?auto_6812 ) ( LOCATION ?auto_6814 ) ( AT ?auto_6804 ?auto_6814 ) ( AT ?auto_6798 ?auto_6814 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6798 ?auto_6804 ?auto_6814 )
      ( DELIVER-PKG ?auto_6798 ?auto_6799 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6832
      ?auto_6833
    )
    :vars
    (
      ?auto_6843
      ?auto_6834
      ?auto_6845
      ?auto_6837
      ?auto_6838
      ?auto_6840
      ?auto_6835
      ?auto_6842
      ?auto_6836
      ?auto_6847
      ?auto_6839
      ?auto_6850
      ?auto_6849
    )
    :precondition
    ( and ( OBJ ?auto_6832 ) ( LOCATION ?auto_6833 ) ( TRUCK ?auto_6843 ) ( AT ?auto_6843 ?auto_6833 ) ( LOCATION ?auto_6834 ) ( AT ?auto_6843 ?auto_6834 ) ( TRUCK ?auto_6845 ) ( AT ?auto_6845 ?auto_6834 ) ( LOCATION ?auto_6837 ) ( AT ?auto_6845 ?auto_6837 ) ( AIRPLANE ?auto_6838 ) ( AIRPORT ?auto_6840 ) ( AIRPORT ?auto_6837 ) ( DIFFERENT ?auto_6837 ?auto_6840 ) ( LOCATION ?auto_6840 ) ( AIRPORT ?auto_6835 ) ( DIFFERENT ?auto_6840 ?auto_6835 ) ( AIRPORT ?auto_6842 ) ( AT ?auto_6838 ?auto_6842 ) ( DIFFERENT ?auto_6835 ?auto_6842 ) ( TRUCK ?auto_6836 ) ( LOCATION ?auto_6847 ) ( CITY ?auto_6839 ) ( IN-CITY ?auto_6847 ?auto_6839 ) ( IN-CITY ?auto_6840 ?auto_6839 ) ( DIFFERENT ?auto_6840 ?auto_6847 ) ( AT ?auto_6832 ?auto_6847 ) ( LOCATION ?auto_6850 ) ( CITY ?auto_6849 ) ( AT ?auto_6836 ?auto_6850 ) ( IN-CITY ?auto_6850 ?auto_6849 ) ( IN-CITY ?auto_6847 ?auto_6849 ) ( DIFFERENT ?auto_6847 ?auto_6850 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6836 ?auto_6850 ?auto_6847 ?auto_6849 )
      ( DELIVER-PKG ?auto_6832 ?auto_6833 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6869
      ?auto_6870
    )
    :vars
    (
      ?auto_6881
      ?auto_6871
      ?auto_6882
      ?auto_6876
      ?auto_6877
      ?auto_6879
      ?auto_6873
      ?auto_6880
      ?auto_6874
      ?auto_6884
      ?auto_6878
      ?auto_6885
      ?auto_6883
      ?auto_6888
      ?auto_6887
    )
    :precondition
    ( and ( OBJ ?auto_6869 ) ( LOCATION ?auto_6870 ) ( TRUCK ?auto_6881 ) ( AT ?auto_6881 ?auto_6870 ) ( LOCATION ?auto_6871 ) ( AT ?auto_6881 ?auto_6871 ) ( TRUCK ?auto_6882 ) ( AT ?auto_6882 ?auto_6871 ) ( LOCATION ?auto_6876 ) ( AT ?auto_6882 ?auto_6876 ) ( AIRPLANE ?auto_6877 ) ( AIRPORT ?auto_6879 ) ( AIRPORT ?auto_6876 ) ( DIFFERENT ?auto_6876 ?auto_6879 ) ( LOCATION ?auto_6879 ) ( AIRPORT ?auto_6873 ) ( DIFFERENT ?auto_6879 ?auto_6873 ) ( AIRPORT ?auto_6880 ) ( AT ?auto_6877 ?auto_6880 ) ( DIFFERENT ?auto_6873 ?auto_6880 ) ( TRUCK ?auto_6874 ) ( LOCATION ?auto_6884 ) ( CITY ?auto_6878 ) ( IN-CITY ?auto_6884 ?auto_6878 ) ( IN-CITY ?auto_6879 ?auto_6878 ) ( DIFFERENT ?auto_6879 ?auto_6884 ) ( AT ?auto_6869 ?auto_6884 ) ( LOCATION ?auto_6885 ) ( CITY ?auto_6883 ) ( IN-CITY ?auto_6885 ?auto_6883 ) ( IN-CITY ?auto_6884 ?auto_6883 ) ( DIFFERENT ?auto_6884 ?auto_6885 ) ( LOCATION ?auto_6888 ) ( CITY ?auto_6887 ) ( AT ?auto_6874 ?auto_6888 ) ( IN-CITY ?auto_6888 ?auto_6887 ) ( IN-CITY ?auto_6885 ?auto_6887 ) ( DIFFERENT ?auto_6885 ?auto_6888 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6874 ?auto_6888 ?auto_6885 ?auto_6887 )
      ( DELIVER-PKG ?auto_6869 ?auto_6870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6928
      ?auto_6929
    )
    :vars
    (
      ?auto_6936
      ?auto_6930
      ?auto_6937
      ?auto_6931
      ?auto_6932
      ?auto_6934
      ?auto_6941
      ?auto_6935
      ?auto_6942
      ?auto_6939
      ?auto_6933
      ?auto_6940
      ?auto_6938
      ?auto_6946
      ?auto_6945
      ?auto_6948
    )
    :precondition
    ( and ( OBJ ?auto_6928 ) ( LOCATION ?auto_6929 ) ( TRUCK ?auto_6936 ) ( AT ?auto_6936 ?auto_6929 ) ( LOCATION ?auto_6930 ) ( AT ?auto_6936 ?auto_6930 ) ( TRUCK ?auto_6937 ) ( AT ?auto_6937 ?auto_6930 ) ( LOCATION ?auto_6931 ) ( AT ?auto_6937 ?auto_6931 ) ( AIRPLANE ?auto_6932 ) ( AIRPORT ?auto_6934 ) ( AIRPORT ?auto_6931 ) ( DIFFERENT ?auto_6931 ?auto_6934 ) ( LOCATION ?auto_6934 ) ( AIRPORT ?auto_6941 ) ( DIFFERENT ?auto_6934 ?auto_6941 ) ( AIRPORT ?auto_6935 ) ( DIFFERENT ?auto_6941 ?auto_6935 ) ( TRUCK ?auto_6942 ) ( LOCATION ?auto_6939 ) ( CITY ?auto_6933 ) ( IN-CITY ?auto_6939 ?auto_6933 ) ( IN-CITY ?auto_6934 ?auto_6933 ) ( DIFFERENT ?auto_6934 ?auto_6939 ) ( AT ?auto_6928 ?auto_6939 ) ( LOCATION ?auto_6940 ) ( CITY ?auto_6938 ) ( IN-CITY ?auto_6940 ?auto_6938 ) ( IN-CITY ?auto_6939 ?auto_6938 ) ( DIFFERENT ?auto_6939 ?auto_6940 ) ( LOCATION ?auto_6946 ) ( CITY ?auto_6945 ) ( AT ?auto_6942 ?auto_6946 ) ( IN-CITY ?auto_6946 ?auto_6945 ) ( IN-CITY ?auto_6940 ?auto_6945 ) ( DIFFERENT ?auto_6940 ?auto_6946 ) ( AIRPORT ?auto_6948 ) ( AT ?auto_6932 ?auto_6948 ) ( DIFFERENT ?auto_6935 ?auto_6948 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6932 ?auto_6948 ?auto_6935 )
      ( DELIVER-PKG ?auto_6928 ?auto_6929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6612
      ?auto_6613
    )
    :vars
    (
      ?auto_6616
      ?auto_6615
      ?auto_6620
    )
    :precondition
    ( and ( OBJ ?auto_6612 ) ( LOCATION ?auto_6613 ) ( TRUCK ?auto_6616 ) ( AT ?auto_6616 ?auto_6613 ) ( LOCATION ?auto_6615 ) ( AT ?auto_6616 ?auto_6615 ) ( TRUCK ?auto_6620 ) ( AT ?auto_6620 ?auto_6615 ) ( IN ?auto_6612 ?auto_6620 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6612 ?auto_6615 )
      ( DELIVER-PKG ?auto_6612 ?auto_6613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7458
      ?auto_7459
    )
    :vars
    (
      ?auto_7461
      ?auto_7464
      ?auto_7468
      ?auto_7467
      ?auto_7462
      ?auto_7465
      ?auto_7466
      ?auto_7460
      ?auto_7472
    )
    :precondition
    ( and ( OBJ ?auto_7458 ) ( LOCATION ?auto_7459 ) ( TRUCK ?auto_7461 ) ( LOCATION ?auto_7464 ) ( CITY ?auto_7468 ) ( IN-CITY ?auto_7464 ?auto_7468 ) ( IN-CITY ?auto_7459 ?auto_7468 ) ( DIFFERENT ?auto_7459 ?auto_7464 ) ( LOCATION ?auto_7467 ) ( CITY ?auto_7462 ) ( AT ?auto_7461 ?auto_7467 ) ( IN-CITY ?auto_7467 ?auto_7462 ) ( IN-CITY ?auto_7464 ?auto_7462 ) ( DIFFERENT ?auto_7464 ?auto_7467 ) ( LOCATION ?auto_7465 ) ( AT ?auto_7461 ?auto_7465 ) ( TRUCK ?auto_7466 ) ( AT ?auto_7466 ?auto_7465 ) ( LOCATION ?auto_7460 ) ( AT ?auto_7466 ?auto_7460 ) ( TRUCK ?auto_7472 ) ( AT ?auto_7472 ?auto_7460 ) ( IN ?auto_7458 ?auto_7472 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7458 ?auto_7460 )
      ( DELIVER-PKG ?auto_7458 ?auto_7459 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7576
      ?auto_7577
    )
    :vars
    (
      ?auto_7589
      ?auto_7579
      ?auto_7578
      ?auto_7587
      ?auto_7582
      ?auto_7583
      ?auto_7581
      ?auto_7591
      ?auto_7586
      ?auto_7584
      ?auto_7585
      ?auto_7592
      ?auto_7594
    )
    :precondition
    ( and ( OBJ ?auto_7576 ) ( LOCATION ?auto_7577 ) ( TRUCK ?auto_7589 ) ( LOCATION ?auto_7579 ) ( CITY ?auto_7578 ) ( IN-CITY ?auto_7579 ?auto_7578 ) ( IN-CITY ?auto_7577 ?auto_7578 ) ( DIFFERENT ?auto_7577 ?auto_7579 ) ( LOCATION ?auto_7587 ) ( CITY ?auto_7582 ) ( AT ?auto_7589 ?auto_7587 ) ( IN-CITY ?auto_7587 ?auto_7582 ) ( IN-CITY ?auto_7579 ?auto_7582 ) ( DIFFERENT ?auto_7579 ?auto_7587 ) ( LOCATION ?auto_7583 ) ( AT ?auto_7589 ?auto_7583 ) ( TRUCK ?auto_7581 ) ( AT ?auto_7581 ?auto_7583 ) ( LOCATION ?auto_7591 ) ( AT ?auto_7581 ?auto_7591 ) ( TRUCK ?auto_7586 ) ( AT ?auto_7586 ?auto_7591 ) ( LOCATION ?auto_7584 ) ( AT ?auto_7586 ?auto_7584 ) ( AIRPLANE ?auto_7585 ) ( AIRPORT ?auto_7592 ) ( AIRPORT ?auto_7584 ) ( DIFFERENT ?auto_7584 ?auto_7592 ) ( LOCATION ?auto_7592 ) ( AT ?auto_7576 ?auto_7592 ) ( AIRPORT ?auto_7594 ) ( AT ?auto_7585 ?auto_7594 ) ( DIFFERENT ?auto_7592 ?auto_7594 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7585 ?auto_7594 ?auto_7592 )
      ( DELIVER-PKG ?auto_7576 ?auto_7577 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7630
      ?auto_7631
    )
    :vars
    (
      ?auto_7632
      ?auto_7635
      ?auto_7638
      ?auto_7637
      ?auto_7633
      ?auto_7634
      ?auto_7644
      ?auto_7639
      ?auto_7636
      ?auto_7641
      ?auto_7642
      ?auto_7640
      ?auto_7646
      ?auto_7648
    )
    :precondition
    ( and ( OBJ ?auto_7630 ) ( LOCATION ?auto_7631 ) ( TRUCK ?auto_7632 ) ( LOCATION ?auto_7635 ) ( CITY ?auto_7638 ) ( IN-CITY ?auto_7635 ?auto_7638 ) ( IN-CITY ?auto_7631 ?auto_7638 ) ( DIFFERENT ?auto_7631 ?auto_7635 ) ( LOCATION ?auto_7637 ) ( CITY ?auto_7633 ) ( AT ?auto_7632 ?auto_7637 ) ( IN-CITY ?auto_7637 ?auto_7633 ) ( IN-CITY ?auto_7635 ?auto_7633 ) ( DIFFERENT ?auto_7635 ?auto_7637 ) ( LOCATION ?auto_7634 ) ( AT ?auto_7632 ?auto_7634 ) ( TRUCK ?auto_7644 ) ( AT ?auto_7644 ?auto_7634 ) ( LOCATION ?auto_7639 ) ( AT ?auto_7644 ?auto_7639 ) ( TRUCK ?auto_7636 ) ( AT ?auto_7636 ?auto_7639 ) ( LOCATION ?auto_7641 ) ( AT ?auto_7636 ?auto_7641 ) ( AIRPLANE ?auto_7642 ) ( AIRPORT ?auto_7640 ) ( AIRPORT ?auto_7641 ) ( DIFFERENT ?auto_7641 ?auto_7640 ) ( LOCATION ?auto_7640 ) ( AT ?auto_7630 ?auto_7640 ) ( AIRPORT ?auto_7646 ) ( DIFFERENT ?auto_7640 ?auto_7646 ) ( AIRPORT ?auto_7648 ) ( AT ?auto_7642 ?auto_7648 ) ( DIFFERENT ?auto_7646 ?auto_7648 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7642 ?auto_7648 ?auto_7646 )
      ( DELIVER-PKG ?auto_7630 ?auto_7631 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7650
      ?auto_7651
    )
    :vars
    (
      ?auto_7653
      ?auto_7664
      ?auto_7659
      ?auto_7655
      ?auto_7656
      ?auto_7663
      ?auto_7658
      ?auto_7660
      ?auto_7654
      ?auto_7662
      ?auto_7657
      ?auto_7661
      ?auto_7666
      ?auto_7667
      ?auto_7670
    )
    :precondition
    ( and ( OBJ ?auto_7650 ) ( LOCATION ?auto_7651 ) ( TRUCK ?auto_7653 ) ( LOCATION ?auto_7664 ) ( CITY ?auto_7659 ) ( IN-CITY ?auto_7664 ?auto_7659 ) ( IN-CITY ?auto_7651 ?auto_7659 ) ( DIFFERENT ?auto_7651 ?auto_7664 ) ( LOCATION ?auto_7655 ) ( CITY ?auto_7656 ) ( AT ?auto_7653 ?auto_7655 ) ( IN-CITY ?auto_7655 ?auto_7656 ) ( IN-CITY ?auto_7664 ?auto_7656 ) ( DIFFERENT ?auto_7664 ?auto_7655 ) ( LOCATION ?auto_7663 ) ( AT ?auto_7653 ?auto_7663 ) ( TRUCK ?auto_7658 ) ( AT ?auto_7658 ?auto_7663 ) ( LOCATION ?auto_7660 ) ( AT ?auto_7658 ?auto_7660 ) ( TRUCK ?auto_7654 ) ( AT ?auto_7654 ?auto_7660 ) ( LOCATION ?auto_7662 ) ( AT ?auto_7654 ?auto_7662 ) ( AIRPLANE ?auto_7657 ) ( AIRPORT ?auto_7661 ) ( AIRPORT ?auto_7662 ) ( DIFFERENT ?auto_7662 ?auto_7661 ) ( LOCATION ?auto_7661 ) ( AIRPORT ?auto_7666 ) ( DIFFERENT ?auto_7661 ?auto_7666 ) ( AIRPORT ?auto_7667 ) ( AT ?auto_7657 ?auto_7667 ) ( DIFFERENT ?auto_7666 ?auto_7667 ) ( TRUCK ?auto_7670 ) ( AT ?auto_7670 ?auto_7661 ) ( IN ?auto_7650 ?auto_7670 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7650 ?auto_7661 )
      ( DELIVER-PKG ?auto_7650 ?auto_7651 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7690
      ?auto_7691
    )
    :vars
    (
      ?auto_7704
      ?auto_7698
      ?auto_7695
      ?auto_7707
      ?auto_7694
      ?auto_7703
      ?auto_7708
      ?auto_7693
      ?auto_7706
      ?auto_7699
      ?auto_7696
      ?auto_7692
      ?auto_7700
      ?auto_7701
      ?auto_7702
      ?auto_7711
      ?auto_7710
    )
    :precondition
    ( and ( OBJ ?auto_7690 ) ( LOCATION ?auto_7691 ) ( TRUCK ?auto_7704 ) ( LOCATION ?auto_7698 ) ( CITY ?auto_7695 ) ( IN-CITY ?auto_7698 ?auto_7695 ) ( IN-CITY ?auto_7691 ?auto_7695 ) ( DIFFERENT ?auto_7691 ?auto_7698 ) ( LOCATION ?auto_7707 ) ( CITY ?auto_7694 ) ( AT ?auto_7704 ?auto_7707 ) ( IN-CITY ?auto_7707 ?auto_7694 ) ( IN-CITY ?auto_7698 ?auto_7694 ) ( DIFFERENT ?auto_7698 ?auto_7707 ) ( LOCATION ?auto_7703 ) ( AT ?auto_7704 ?auto_7703 ) ( TRUCK ?auto_7708 ) ( AT ?auto_7708 ?auto_7703 ) ( LOCATION ?auto_7693 ) ( AT ?auto_7708 ?auto_7693 ) ( TRUCK ?auto_7706 ) ( AT ?auto_7706 ?auto_7693 ) ( LOCATION ?auto_7699 ) ( AT ?auto_7706 ?auto_7699 ) ( AIRPLANE ?auto_7696 ) ( AIRPORT ?auto_7692 ) ( AIRPORT ?auto_7699 ) ( DIFFERENT ?auto_7699 ?auto_7692 ) ( LOCATION ?auto_7692 ) ( AIRPORT ?auto_7700 ) ( DIFFERENT ?auto_7692 ?auto_7700 ) ( AIRPORT ?auto_7701 ) ( AT ?auto_7696 ?auto_7701 ) ( DIFFERENT ?auto_7700 ?auto_7701 ) ( TRUCK ?auto_7702 ) ( IN ?auto_7690 ?auto_7702 ) ( LOCATION ?auto_7711 ) ( CITY ?auto_7710 ) ( AT ?auto_7702 ?auto_7711 ) ( IN-CITY ?auto_7711 ?auto_7710 ) ( IN-CITY ?auto_7692 ?auto_7710 ) ( DIFFERENT ?auto_7692 ?auto_7711 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7702 ?auto_7711 ?auto_7692 ?auto_7710 )
      ( DELIVER-PKG ?auto_7690 ?auto_7691 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7734
      ?auto_7735
    )
    :vars
    (
      ?auto_7744
      ?auto_7741
      ?auto_7752
      ?auto_7746
      ?auto_7747
      ?auto_7751
      ?auto_7736
      ?auto_7740
      ?auto_7745
      ?auto_7742
      ?auto_7738
      ?auto_7739
      ?auto_7743
      ?auto_7749
      ?auto_7750
      ?auto_7754
      ?auto_7737
      ?auto_7756
    )
    :precondition
    ( and ( OBJ ?auto_7734 ) ( LOCATION ?auto_7735 ) ( TRUCK ?auto_7744 ) ( LOCATION ?auto_7741 ) ( CITY ?auto_7752 ) ( IN-CITY ?auto_7741 ?auto_7752 ) ( IN-CITY ?auto_7735 ?auto_7752 ) ( DIFFERENT ?auto_7735 ?auto_7741 ) ( LOCATION ?auto_7746 ) ( CITY ?auto_7747 ) ( AT ?auto_7744 ?auto_7746 ) ( IN-CITY ?auto_7746 ?auto_7747 ) ( IN-CITY ?auto_7741 ?auto_7747 ) ( DIFFERENT ?auto_7741 ?auto_7746 ) ( LOCATION ?auto_7751 ) ( AT ?auto_7744 ?auto_7751 ) ( TRUCK ?auto_7736 ) ( AT ?auto_7736 ?auto_7751 ) ( LOCATION ?auto_7740 ) ( AT ?auto_7736 ?auto_7740 ) ( TRUCK ?auto_7745 ) ( AT ?auto_7745 ?auto_7740 ) ( LOCATION ?auto_7742 ) ( AT ?auto_7745 ?auto_7742 ) ( AIRPLANE ?auto_7738 ) ( AIRPORT ?auto_7739 ) ( AIRPORT ?auto_7742 ) ( DIFFERENT ?auto_7742 ?auto_7739 ) ( LOCATION ?auto_7739 ) ( AIRPORT ?auto_7743 ) ( DIFFERENT ?auto_7739 ?auto_7743 ) ( AIRPORT ?auto_7749 ) ( AT ?auto_7738 ?auto_7749 ) ( DIFFERENT ?auto_7743 ?auto_7749 ) ( TRUCK ?auto_7750 ) ( LOCATION ?auto_7754 ) ( CITY ?auto_7737 ) ( AT ?auto_7750 ?auto_7754 ) ( IN-CITY ?auto_7754 ?auto_7737 ) ( IN-CITY ?auto_7739 ?auto_7737 ) ( DIFFERENT ?auto_7739 ?auto_7754 ) ( LOCATION ?auto_7756 ) ( AT ?auto_7750 ?auto_7756 ) ( AT ?auto_7734 ?auto_7756 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7734 ?auto_7750 ?auto_7756 )
      ( DELIVER-PKG ?auto_7734 ?auto_7735 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7780
      ?auto_7781
    )
    :vars
    (
      ?auto_7791
      ?auto_7788
      ?auto_7798
      ?auto_7793
      ?auto_7794
      ?auto_7797
      ?auto_7786
      ?auto_7784
      ?auto_7792
      ?auto_7787
      ?auto_7799
      ?auto_7782
      ?auto_7790
      ?auto_7795
      ?auto_7796
      ?auto_7783
      ?auto_7785
      ?auto_7804
      ?auto_7803
    )
    :precondition
    ( and ( OBJ ?auto_7780 ) ( LOCATION ?auto_7781 ) ( TRUCK ?auto_7791 ) ( LOCATION ?auto_7788 ) ( CITY ?auto_7798 ) ( IN-CITY ?auto_7788 ?auto_7798 ) ( IN-CITY ?auto_7781 ?auto_7798 ) ( DIFFERENT ?auto_7781 ?auto_7788 ) ( LOCATION ?auto_7793 ) ( CITY ?auto_7794 ) ( AT ?auto_7791 ?auto_7793 ) ( IN-CITY ?auto_7793 ?auto_7794 ) ( IN-CITY ?auto_7788 ?auto_7794 ) ( DIFFERENT ?auto_7788 ?auto_7793 ) ( LOCATION ?auto_7797 ) ( AT ?auto_7791 ?auto_7797 ) ( TRUCK ?auto_7786 ) ( AT ?auto_7786 ?auto_7797 ) ( LOCATION ?auto_7784 ) ( AT ?auto_7786 ?auto_7784 ) ( TRUCK ?auto_7792 ) ( AT ?auto_7792 ?auto_7784 ) ( LOCATION ?auto_7787 ) ( AT ?auto_7792 ?auto_7787 ) ( AIRPLANE ?auto_7799 ) ( AIRPORT ?auto_7782 ) ( AIRPORT ?auto_7787 ) ( DIFFERENT ?auto_7787 ?auto_7782 ) ( LOCATION ?auto_7782 ) ( AIRPORT ?auto_7790 ) ( DIFFERENT ?auto_7782 ?auto_7790 ) ( AIRPORT ?auto_7795 ) ( AT ?auto_7799 ?auto_7795 ) ( DIFFERENT ?auto_7790 ?auto_7795 ) ( TRUCK ?auto_7796 ) ( LOCATION ?auto_7783 ) ( CITY ?auto_7785 ) ( IN-CITY ?auto_7783 ?auto_7785 ) ( IN-CITY ?auto_7782 ?auto_7785 ) ( DIFFERENT ?auto_7782 ?auto_7783 ) ( AT ?auto_7780 ?auto_7783 ) ( LOCATION ?auto_7804 ) ( CITY ?auto_7803 ) ( AT ?auto_7796 ?auto_7804 ) ( IN-CITY ?auto_7804 ?auto_7803 ) ( IN-CITY ?auto_7783 ?auto_7803 ) ( DIFFERENT ?auto_7783 ?auto_7804 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7796 ?auto_7804 ?auto_7783 ?auto_7803 )
      ( DELIVER-PKG ?auto_7780 ?auto_7781 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7906
      ?auto_7907
    )
    :vars
    (
      ?auto_7916
      ?auto_7914
      ?auto_7923
      ?auto_7918
      ?auto_7919
      ?auto_7922
      ?auto_7928
      ?auto_7929
      ?auto_7917
      ?auto_7926
      ?auto_7924
      ?auto_7930
      ?auto_7915
      ?auto_7920
      ?auto_7921
      ?auto_7911
      ?auto_7910
      ?auto_7912
      ?auto_7913
      ?auto_7925
      ?auto_7927
      ?auto_7932
    )
    :precondition
    ( and ( OBJ ?auto_7906 ) ( LOCATION ?auto_7907 ) ( TRUCK ?auto_7916 ) ( LOCATION ?auto_7914 ) ( CITY ?auto_7923 ) ( IN-CITY ?auto_7914 ?auto_7923 ) ( IN-CITY ?auto_7907 ?auto_7923 ) ( DIFFERENT ?auto_7907 ?auto_7914 ) ( LOCATION ?auto_7918 ) ( CITY ?auto_7919 ) ( AT ?auto_7916 ?auto_7918 ) ( IN-CITY ?auto_7918 ?auto_7919 ) ( IN-CITY ?auto_7914 ?auto_7919 ) ( DIFFERENT ?auto_7914 ?auto_7918 ) ( LOCATION ?auto_7922 ) ( AT ?auto_7916 ?auto_7922 ) ( TRUCK ?auto_7928 ) ( AT ?auto_7928 ?auto_7922 ) ( LOCATION ?auto_7929 ) ( AT ?auto_7928 ?auto_7929 ) ( TRUCK ?auto_7917 ) ( AT ?auto_7917 ?auto_7929 ) ( LOCATION ?auto_7926 ) ( AT ?auto_7917 ?auto_7926 ) ( AIRPLANE ?auto_7924 ) ( AIRPORT ?auto_7930 ) ( AIRPORT ?auto_7926 ) ( DIFFERENT ?auto_7926 ?auto_7930 ) ( LOCATION ?auto_7930 ) ( AIRPORT ?auto_7915 ) ( DIFFERENT ?auto_7930 ?auto_7915 ) ( AIRPORT ?auto_7920 ) ( DIFFERENT ?auto_7915 ?auto_7920 ) ( TRUCK ?auto_7921 ) ( LOCATION ?auto_7911 ) ( CITY ?auto_7910 ) ( IN-CITY ?auto_7911 ?auto_7910 ) ( IN-CITY ?auto_7930 ?auto_7910 ) ( DIFFERENT ?auto_7930 ?auto_7911 ) ( AT ?auto_7906 ?auto_7911 ) ( LOCATION ?auto_7912 ) ( CITY ?auto_7913 ) ( IN-CITY ?auto_7912 ?auto_7913 ) ( IN-CITY ?auto_7911 ?auto_7913 ) ( DIFFERENT ?auto_7911 ?auto_7912 ) ( LOCATION ?auto_7925 ) ( CITY ?auto_7927 ) ( AT ?auto_7921 ?auto_7925 ) ( IN-CITY ?auto_7925 ?auto_7927 ) ( IN-CITY ?auto_7912 ?auto_7927 ) ( DIFFERENT ?auto_7912 ?auto_7925 ) ( AIRPORT ?auto_7932 ) ( AT ?auto_7924 ?auto_7932 ) ( DIFFERENT ?auto_7920 ?auto_7932 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7924 ?auto_7932 ?auto_7920 )
      ( DELIVER-PKG ?auto_7906 ?auto_7907 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8368
      ?auto_8369
    )
    :vars
    (
      ?auto_8373
      ?auto_8371
      ?auto_8374
      ?auto_8372
      ?auto_8378
    )
    :precondition
    ( and ( OBJ ?auto_8368 ) ( LOCATION ?auto_8369 ) ( TRUCK ?auto_8373 ) ( LOCATION ?auto_8371 ) ( CITY ?auto_8374 ) ( AT ?auto_8373 ?auto_8371 ) ( IN-CITY ?auto_8371 ?auto_8374 ) ( IN-CITY ?auto_8369 ?auto_8374 ) ( DIFFERENT ?auto_8369 ?auto_8371 ) ( LOCATION ?auto_8372 ) ( AT ?auto_8373 ?auto_8372 ) ( TRUCK ?auto_8378 ) ( AT ?auto_8378 ?auto_8372 ) ( IN ?auto_8368 ?auto_8378 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8368 ?auto_8372 )
      ( DELIVER-PKG ?auto_8368 ?auto_8369 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8392
      ?auto_8393
    )
    :vars
    (
      ?auto_8400
      ?auto_8396
      ?auto_8399
      ?auto_8394
      ?auto_8395
      ?auto_8403
      ?auto_8402
    )
    :precondition
    ( and ( OBJ ?auto_8392 ) ( LOCATION ?auto_8393 ) ( TRUCK ?auto_8400 ) ( LOCATION ?auto_8396 ) ( CITY ?auto_8399 ) ( IN-CITY ?auto_8396 ?auto_8399 ) ( IN-CITY ?auto_8393 ?auto_8399 ) ( DIFFERENT ?auto_8393 ?auto_8396 ) ( IN ?auto_8392 ?auto_8400 ) ( LOCATION ?auto_8394 ) ( CITY ?auto_8395 ) ( IN-CITY ?auto_8394 ?auto_8395 ) ( IN-CITY ?auto_8396 ?auto_8395 ) ( DIFFERENT ?auto_8396 ?auto_8394 ) ( LOCATION ?auto_8403 ) ( CITY ?auto_8402 ) ( AT ?auto_8400 ?auto_8403 ) ( IN-CITY ?auto_8403 ?auto_8402 ) ( IN-CITY ?auto_8394 ?auto_8402 ) ( DIFFERENT ?auto_8394 ?auto_8403 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8400 ?auto_8403 ?auto_8394 ?auto_8402 )
      ( DELIVER-PKG ?auto_8392 ?auto_8393 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8467
      ?auto_8468
    )
    :vars
    (
      ?auto_8474
      ?auto_8478
      ?auto_8481
      ?auto_8480
      ?auto_8479
      ?auto_8473
      ?auto_8470
      ?auto_8469
      ?auto_8472
      ?auto_8471
      ?auto_8477
      ?auto_8483
    )
    :precondition
    ( and ( OBJ ?auto_8467 ) ( LOCATION ?auto_8468 ) ( TRUCK ?auto_8474 ) ( LOCATION ?auto_8478 ) ( CITY ?auto_8481 ) ( IN-CITY ?auto_8478 ?auto_8481 ) ( IN-CITY ?auto_8468 ?auto_8481 ) ( DIFFERENT ?auto_8468 ?auto_8478 ) ( LOCATION ?auto_8480 ) ( CITY ?auto_8479 ) ( IN-CITY ?auto_8480 ?auto_8479 ) ( IN-CITY ?auto_8478 ?auto_8479 ) ( DIFFERENT ?auto_8478 ?auto_8480 ) ( LOCATION ?auto_8473 ) ( CITY ?auto_8470 ) ( AT ?auto_8474 ?auto_8473 ) ( IN-CITY ?auto_8473 ?auto_8470 ) ( IN-CITY ?auto_8480 ?auto_8470 ) ( DIFFERENT ?auto_8480 ?auto_8473 ) ( LOCATION ?auto_8469 ) ( AT ?auto_8474 ?auto_8469 ) ( TRUCK ?auto_8472 ) ( AT ?auto_8472 ?auto_8469 ) ( LOCATION ?auto_8471 ) ( AT ?auto_8472 ?auto_8471 ) ( TRUCK ?auto_8477 ) ( AT ?auto_8477 ?auto_8471 ) ( LOCATION ?auto_8483 ) ( AT ?auto_8477 ?auto_8483 ) ( AT ?auto_8467 ?auto_8483 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8467 ?auto_8477 ?auto_8483 )
      ( DELIVER-PKG ?auto_8467 ?auto_8468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8450
      ?auto_8451
    )
    :vars
    (
      ?auto_8461
      ?auto_8460
      ?auto_8455
      ?auto_8454
      ?auto_8453
      ?auto_8463
      ?auto_8462
      ?auto_8452
      ?auto_8456
      ?auto_8459
      ?auto_8466
    )
    :precondition
    ( and ( OBJ ?auto_8450 ) ( LOCATION ?auto_8451 ) ( TRUCK ?auto_8461 ) ( LOCATION ?auto_8460 ) ( CITY ?auto_8455 ) ( IN-CITY ?auto_8460 ?auto_8455 ) ( IN-CITY ?auto_8451 ?auto_8455 ) ( DIFFERENT ?auto_8451 ?auto_8460 ) ( LOCATION ?auto_8454 ) ( CITY ?auto_8453 ) ( IN-CITY ?auto_8454 ?auto_8453 ) ( IN-CITY ?auto_8460 ?auto_8453 ) ( DIFFERENT ?auto_8460 ?auto_8454 ) ( LOCATION ?auto_8463 ) ( CITY ?auto_8462 ) ( AT ?auto_8461 ?auto_8463 ) ( IN-CITY ?auto_8463 ?auto_8462 ) ( IN-CITY ?auto_8454 ?auto_8462 ) ( DIFFERENT ?auto_8454 ?auto_8463 ) ( LOCATION ?auto_8452 ) ( AT ?auto_8461 ?auto_8452 ) ( TRUCK ?auto_8456 ) ( AT ?auto_8456 ?auto_8452 ) ( LOCATION ?auto_8459 ) ( AT ?auto_8456 ?auto_8459 ) ( TRUCK ?auto_8466 ) ( AT ?auto_8466 ?auto_8459 ) ( IN ?auto_8450 ?auto_8466 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8450 ?auto_8459 )
      ( DELIVER-PKG ?auto_8450 ?auto_8451 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8485
      ?auto_8486
    )
    :vars
    (
      ?auto_8492
      ?auto_8498
      ?auto_8489
      ?auto_8494
      ?auto_8491
      ?auto_8500
      ?auto_8499
      ?auto_8488
      ?auto_8496
      ?auto_8497
      ?auto_8490
      ?auto_8495
      ?auto_8503
    )
    :precondition
    ( and ( OBJ ?auto_8485 ) ( LOCATION ?auto_8486 ) ( TRUCK ?auto_8492 ) ( LOCATION ?auto_8498 ) ( CITY ?auto_8489 ) ( IN-CITY ?auto_8498 ?auto_8489 ) ( IN-CITY ?auto_8486 ?auto_8489 ) ( DIFFERENT ?auto_8486 ?auto_8498 ) ( LOCATION ?auto_8494 ) ( CITY ?auto_8491 ) ( IN-CITY ?auto_8494 ?auto_8491 ) ( IN-CITY ?auto_8498 ?auto_8491 ) ( DIFFERENT ?auto_8498 ?auto_8494 ) ( LOCATION ?auto_8500 ) ( CITY ?auto_8499 ) ( AT ?auto_8492 ?auto_8500 ) ( IN-CITY ?auto_8500 ?auto_8499 ) ( IN-CITY ?auto_8494 ?auto_8499 ) ( DIFFERENT ?auto_8494 ?auto_8500 ) ( LOCATION ?auto_8488 ) ( AT ?auto_8492 ?auto_8488 ) ( TRUCK ?auto_8496 ) ( AT ?auto_8496 ?auto_8488 ) ( LOCATION ?auto_8497 ) ( AT ?auto_8496 ?auto_8497 ) ( TRUCK ?auto_8490 ) ( AT ?auto_8490 ?auto_8497 ) ( LOCATION ?auto_8495 ) ( AT ?auto_8490 ?auto_8495 ) ( AIRPLANE ?auto_8503 ) ( IN ?auto_8485 ?auto_8503 ) ( AT ?auto_8503 ?auto_8495 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8485 ?auto_8495 )
      ( DELIVER-PKG ?auto_8485 ?auto_8486 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8504
      ?auto_8505
    )
    :vars
    (
      ?auto_8518
      ?auto_8510
      ?auto_8516
      ?auto_8506
      ?auto_8519
      ?auto_8508
      ?auto_8513
      ?auto_8509
      ?auto_8514
      ?auto_8515
      ?auto_8517
      ?auto_8520
      ?auto_8507
      ?auto_8522
    )
    :precondition
    ( and ( OBJ ?auto_8504 ) ( LOCATION ?auto_8505 ) ( TRUCK ?auto_8518 ) ( LOCATION ?auto_8510 ) ( CITY ?auto_8516 ) ( IN-CITY ?auto_8510 ?auto_8516 ) ( IN-CITY ?auto_8505 ?auto_8516 ) ( DIFFERENT ?auto_8505 ?auto_8510 ) ( LOCATION ?auto_8506 ) ( CITY ?auto_8519 ) ( IN-CITY ?auto_8506 ?auto_8519 ) ( IN-CITY ?auto_8510 ?auto_8519 ) ( DIFFERENT ?auto_8510 ?auto_8506 ) ( LOCATION ?auto_8508 ) ( CITY ?auto_8513 ) ( AT ?auto_8518 ?auto_8508 ) ( IN-CITY ?auto_8508 ?auto_8513 ) ( IN-CITY ?auto_8506 ?auto_8513 ) ( DIFFERENT ?auto_8506 ?auto_8508 ) ( LOCATION ?auto_8509 ) ( AT ?auto_8518 ?auto_8509 ) ( TRUCK ?auto_8514 ) ( AT ?auto_8514 ?auto_8509 ) ( LOCATION ?auto_8515 ) ( AT ?auto_8514 ?auto_8515 ) ( TRUCK ?auto_8517 ) ( AT ?auto_8517 ?auto_8515 ) ( LOCATION ?auto_8520 ) ( AT ?auto_8517 ?auto_8520 ) ( AIRPLANE ?auto_8507 ) ( IN ?auto_8504 ?auto_8507 ) ( AIRPORT ?auto_8522 ) ( AIRPORT ?auto_8520 ) ( AT ?auto_8507 ?auto_8522 ) ( DIFFERENT ?auto_8520 ?auto_8522 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8507 ?auto_8522 ?auto_8520 )
      ( DELIVER-PKG ?auto_8504 ?auto_8505 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8542
      ?auto_8543
    )
    :vars
    (
      ?auto_8550
      ?auto_8559
      ?auto_8552
      ?auto_8546
      ?auto_8551
      ?auto_8556
      ?auto_8554
      ?auto_8558
      ?auto_8545
      ?auto_8555
      ?auto_8547
      ?auto_8544
      ?auto_8557
      ?auto_8548
      ?auto_8561
    )
    :precondition
    ( and ( OBJ ?auto_8542 ) ( LOCATION ?auto_8543 ) ( TRUCK ?auto_8550 ) ( LOCATION ?auto_8559 ) ( CITY ?auto_8552 ) ( IN-CITY ?auto_8559 ?auto_8552 ) ( IN-CITY ?auto_8543 ?auto_8552 ) ( DIFFERENT ?auto_8543 ?auto_8559 ) ( LOCATION ?auto_8546 ) ( CITY ?auto_8551 ) ( IN-CITY ?auto_8546 ?auto_8551 ) ( IN-CITY ?auto_8559 ?auto_8551 ) ( DIFFERENT ?auto_8559 ?auto_8546 ) ( LOCATION ?auto_8556 ) ( CITY ?auto_8554 ) ( AT ?auto_8550 ?auto_8556 ) ( IN-CITY ?auto_8556 ?auto_8554 ) ( IN-CITY ?auto_8546 ?auto_8554 ) ( DIFFERENT ?auto_8546 ?auto_8556 ) ( LOCATION ?auto_8558 ) ( AT ?auto_8550 ?auto_8558 ) ( TRUCK ?auto_8545 ) ( AT ?auto_8545 ?auto_8558 ) ( LOCATION ?auto_8555 ) ( AT ?auto_8545 ?auto_8555 ) ( TRUCK ?auto_8547 ) ( AT ?auto_8547 ?auto_8555 ) ( LOCATION ?auto_8544 ) ( AT ?auto_8547 ?auto_8544 ) ( AIRPLANE ?auto_8557 ) ( AIRPORT ?auto_8548 ) ( AIRPORT ?auto_8544 ) ( AT ?auto_8557 ?auto_8548 ) ( DIFFERENT ?auto_8544 ?auto_8548 ) ( LOCATION ?auto_8561 ) ( AT ?auto_8542 ?auto_8561 ) ( AT ?auto_8557 ?auto_8561 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8542 ?auto_8557 ?auto_8561 )
      ( DELIVER-PKG ?auto_8542 ?auto_8543 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8582
      ?auto_8583
    )
    :vars
    (
      ?auto_8596
      ?auto_8588
      ?auto_8598
      ?auto_8594
      ?auto_8597
      ?auto_8585
      ?auto_8599
      ?auto_8587
      ?auto_8600
      ?auto_8584
      ?auto_8590
      ?auto_8589
      ?auto_8586
      ?auto_8593
      ?auto_8602
    )
    :precondition
    ( and ( OBJ ?auto_8582 ) ( LOCATION ?auto_8583 ) ( TRUCK ?auto_8596 ) ( LOCATION ?auto_8588 ) ( CITY ?auto_8598 ) ( IN-CITY ?auto_8588 ?auto_8598 ) ( IN-CITY ?auto_8583 ?auto_8598 ) ( DIFFERENT ?auto_8583 ?auto_8588 ) ( LOCATION ?auto_8594 ) ( CITY ?auto_8597 ) ( IN-CITY ?auto_8594 ?auto_8597 ) ( IN-CITY ?auto_8588 ?auto_8597 ) ( DIFFERENT ?auto_8588 ?auto_8594 ) ( LOCATION ?auto_8585 ) ( CITY ?auto_8599 ) ( AT ?auto_8596 ?auto_8585 ) ( IN-CITY ?auto_8585 ?auto_8599 ) ( IN-CITY ?auto_8594 ?auto_8599 ) ( DIFFERENT ?auto_8594 ?auto_8585 ) ( LOCATION ?auto_8587 ) ( AT ?auto_8596 ?auto_8587 ) ( TRUCK ?auto_8600 ) ( AT ?auto_8600 ?auto_8587 ) ( LOCATION ?auto_8584 ) ( AT ?auto_8600 ?auto_8584 ) ( TRUCK ?auto_8590 ) ( AT ?auto_8590 ?auto_8584 ) ( LOCATION ?auto_8589 ) ( AT ?auto_8590 ?auto_8589 ) ( AIRPLANE ?auto_8586 ) ( AIRPORT ?auto_8593 ) ( AIRPORT ?auto_8589 ) ( DIFFERENT ?auto_8589 ?auto_8593 ) ( LOCATION ?auto_8593 ) ( AT ?auto_8582 ?auto_8593 ) ( AIRPORT ?auto_8602 ) ( AT ?auto_8586 ?auto_8602 ) ( DIFFERENT ?auto_8593 ?auto_8602 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8586 ?auto_8602 ?auto_8593 )
      ( DELIVER-PKG ?auto_8582 ?auto_8583 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8642
      ?auto_8643
    )
    :vars
    (
      ?auto_8654
      ?auto_8657
      ?auto_8656
      ?auto_8653
      ?auto_8655
      ?auto_8658
      ?auto_8648
      ?auto_8644
      ?auto_8649
      ?auto_8646
      ?auto_8651
      ?auto_8647
      ?auto_8645
      ?auto_8652
      ?auto_8650
      ?auto_8662
    )
    :precondition
    ( and ( OBJ ?auto_8642 ) ( LOCATION ?auto_8643 ) ( TRUCK ?auto_8654 ) ( LOCATION ?auto_8657 ) ( CITY ?auto_8656 ) ( IN-CITY ?auto_8657 ?auto_8656 ) ( IN-CITY ?auto_8643 ?auto_8656 ) ( DIFFERENT ?auto_8643 ?auto_8657 ) ( LOCATION ?auto_8653 ) ( CITY ?auto_8655 ) ( IN-CITY ?auto_8653 ?auto_8655 ) ( IN-CITY ?auto_8657 ?auto_8655 ) ( DIFFERENT ?auto_8657 ?auto_8653 ) ( LOCATION ?auto_8658 ) ( CITY ?auto_8648 ) ( AT ?auto_8654 ?auto_8658 ) ( IN-CITY ?auto_8658 ?auto_8648 ) ( IN-CITY ?auto_8653 ?auto_8648 ) ( DIFFERENT ?auto_8653 ?auto_8658 ) ( LOCATION ?auto_8644 ) ( AT ?auto_8654 ?auto_8644 ) ( TRUCK ?auto_8649 ) ( AT ?auto_8649 ?auto_8644 ) ( LOCATION ?auto_8646 ) ( AT ?auto_8649 ?auto_8646 ) ( TRUCK ?auto_8651 ) ( AT ?auto_8651 ?auto_8646 ) ( LOCATION ?auto_8647 ) ( AT ?auto_8651 ?auto_8647 ) ( AIRPLANE ?auto_8645 ) ( AIRPORT ?auto_8652 ) ( AIRPORT ?auto_8647 ) ( DIFFERENT ?auto_8647 ?auto_8652 ) ( LOCATION ?auto_8652 ) ( AT ?auto_8642 ?auto_8652 ) ( AIRPORT ?auto_8650 ) ( DIFFERENT ?auto_8652 ?auto_8650 ) ( AIRPORT ?auto_8662 ) ( AT ?auto_8645 ?auto_8662 ) ( DIFFERENT ?auto_8650 ?auto_8662 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8645 ?auto_8662 ?auto_8650 )
      ( DELIVER-PKG ?auto_8642 ?auto_8643 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8664
      ?auto_8665
    )
    :vars
    (
      ?auto_8678
      ?auto_8673
      ?auto_8672
      ?auto_8677
      ?auto_8679
      ?auto_8674
      ?auto_8671
      ?auto_8667
      ?auto_8680
      ?auto_8670
      ?auto_8682
      ?auto_8675
      ?auto_8668
      ?auto_8676
      ?auto_8681
      ?auto_8666
      ?auto_8686
    )
    :precondition
    ( and ( OBJ ?auto_8664 ) ( LOCATION ?auto_8665 ) ( TRUCK ?auto_8678 ) ( LOCATION ?auto_8673 ) ( CITY ?auto_8672 ) ( IN-CITY ?auto_8673 ?auto_8672 ) ( IN-CITY ?auto_8665 ?auto_8672 ) ( DIFFERENT ?auto_8665 ?auto_8673 ) ( LOCATION ?auto_8677 ) ( CITY ?auto_8679 ) ( IN-CITY ?auto_8677 ?auto_8679 ) ( IN-CITY ?auto_8673 ?auto_8679 ) ( DIFFERENT ?auto_8673 ?auto_8677 ) ( LOCATION ?auto_8674 ) ( CITY ?auto_8671 ) ( AT ?auto_8678 ?auto_8674 ) ( IN-CITY ?auto_8674 ?auto_8671 ) ( IN-CITY ?auto_8677 ?auto_8671 ) ( DIFFERENT ?auto_8677 ?auto_8674 ) ( LOCATION ?auto_8667 ) ( AT ?auto_8678 ?auto_8667 ) ( TRUCK ?auto_8680 ) ( AT ?auto_8680 ?auto_8667 ) ( LOCATION ?auto_8670 ) ( AT ?auto_8680 ?auto_8670 ) ( TRUCK ?auto_8682 ) ( AT ?auto_8682 ?auto_8670 ) ( LOCATION ?auto_8675 ) ( AT ?auto_8682 ?auto_8675 ) ( AIRPLANE ?auto_8668 ) ( AIRPORT ?auto_8676 ) ( AIRPORT ?auto_8675 ) ( DIFFERENT ?auto_8675 ?auto_8676 ) ( LOCATION ?auto_8676 ) ( AIRPORT ?auto_8681 ) ( DIFFERENT ?auto_8676 ?auto_8681 ) ( AIRPORT ?auto_8666 ) ( AT ?auto_8668 ?auto_8666 ) ( DIFFERENT ?auto_8681 ?auto_8666 ) ( TRUCK ?auto_8686 ) ( AT ?auto_8686 ?auto_8676 ) ( IN ?auto_8664 ?auto_8686 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8664 ?auto_8676 )
      ( DELIVER-PKG ?auto_8664 ?auto_8665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8708
      ?auto_8709
    )
    :vars
    (
      ?auto_8719
      ?auto_8714
      ?auto_8715
      ?auto_8722
      ?auto_8726
      ?auto_8713
      ?auto_8711
      ?auto_8723
      ?auto_8716
      ?auto_8728
      ?auto_8721
      ?auto_8712
      ?auto_8725
      ?auto_8720
      ?auto_8717
      ?auto_8724
      ?auto_8718
      ?auto_8731
      ?auto_8730
    )
    :precondition
    ( and ( OBJ ?auto_8708 ) ( LOCATION ?auto_8709 ) ( TRUCK ?auto_8719 ) ( LOCATION ?auto_8714 ) ( CITY ?auto_8715 ) ( IN-CITY ?auto_8714 ?auto_8715 ) ( IN-CITY ?auto_8709 ?auto_8715 ) ( DIFFERENT ?auto_8709 ?auto_8714 ) ( LOCATION ?auto_8722 ) ( CITY ?auto_8726 ) ( IN-CITY ?auto_8722 ?auto_8726 ) ( IN-CITY ?auto_8714 ?auto_8726 ) ( DIFFERENT ?auto_8714 ?auto_8722 ) ( LOCATION ?auto_8713 ) ( CITY ?auto_8711 ) ( AT ?auto_8719 ?auto_8713 ) ( IN-CITY ?auto_8713 ?auto_8711 ) ( IN-CITY ?auto_8722 ?auto_8711 ) ( DIFFERENT ?auto_8722 ?auto_8713 ) ( LOCATION ?auto_8723 ) ( AT ?auto_8719 ?auto_8723 ) ( TRUCK ?auto_8716 ) ( AT ?auto_8716 ?auto_8723 ) ( LOCATION ?auto_8728 ) ( AT ?auto_8716 ?auto_8728 ) ( TRUCK ?auto_8721 ) ( AT ?auto_8721 ?auto_8728 ) ( LOCATION ?auto_8712 ) ( AT ?auto_8721 ?auto_8712 ) ( AIRPLANE ?auto_8725 ) ( AIRPORT ?auto_8720 ) ( AIRPORT ?auto_8712 ) ( DIFFERENT ?auto_8712 ?auto_8720 ) ( LOCATION ?auto_8720 ) ( AIRPORT ?auto_8717 ) ( DIFFERENT ?auto_8720 ?auto_8717 ) ( AIRPORT ?auto_8724 ) ( AT ?auto_8725 ?auto_8724 ) ( DIFFERENT ?auto_8717 ?auto_8724 ) ( TRUCK ?auto_8718 ) ( IN ?auto_8708 ?auto_8718 ) ( LOCATION ?auto_8731 ) ( CITY ?auto_8730 ) ( AT ?auto_8718 ?auto_8731 ) ( IN-CITY ?auto_8731 ?auto_8730 ) ( IN-CITY ?auto_8720 ?auto_8730 ) ( DIFFERENT ?auto_8720 ?auto_8731 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8718 ?auto_8731 ?auto_8720 ?auto_8730 )
      ( DELIVER-PKG ?auto_8708 ?auto_8709 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8756
      ?auto_8757
    )
    :vars
    (
      ?auto_8769
      ?auto_8764
      ?auto_8765
      ?auto_8772
      ?auto_8776
      ?auto_8763
      ?auto_8760
      ?auto_8773
      ?auto_8766
      ?auto_8777
      ?auto_8771
      ?auto_8762
      ?auto_8775
      ?auto_8770
      ?auto_8767
      ?auto_8774
      ?auto_8768
      ?auto_8778
      ?auto_8761
      ?auto_8780
    )
    :precondition
    ( and ( OBJ ?auto_8756 ) ( LOCATION ?auto_8757 ) ( TRUCK ?auto_8769 ) ( LOCATION ?auto_8764 ) ( CITY ?auto_8765 ) ( IN-CITY ?auto_8764 ?auto_8765 ) ( IN-CITY ?auto_8757 ?auto_8765 ) ( DIFFERENT ?auto_8757 ?auto_8764 ) ( LOCATION ?auto_8772 ) ( CITY ?auto_8776 ) ( IN-CITY ?auto_8772 ?auto_8776 ) ( IN-CITY ?auto_8764 ?auto_8776 ) ( DIFFERENT ?auto_8764 ?auto_8772 ) ( LOCATION ?auto_8763 ) ( CITY ?auto_8760 ) ( AT ?auto_8769 ?auto_8763 ) ( IN-CITY ?auto_8763 ?auto_8760 ) ( IN-CITY ?auto_8772 ?auto_8760 ) ( DIFFERENT ?auto_8772 ?auto_8763 ) ( LOCATION ?auto_8773 ) ( AT ?auto_8769 ?auto_8773 ) ( TRUCK ?auto_8766 ) ( AT ?auto_8766 ?auto_8773 ) ( LOCATION ?auto_8777 ) ( AT ?auto_8766 ?auto_8777 ) ( TRUCK ?auto_8771 ) ( AT ?auto_8771 ?auto_8777 ) ( LOCATION ?auto_8762 ) ( AT ?auto_8771 ?auto_8762 ) ( AIRPLANE ?auto_8775 ) ( AIRPORT ?auto_8770 ) ( AIRPORT ?auto_8762 ) ( DIFFERENT ?auto_8762 ?auto_8770 ) ( LOCATION ?auto_8770 ) ( AIRPORT ?auto_8767 ) ( DIFFERENT ?auto_8770 ?auto_8767 ) ( AIRPORT ?auto_8774 ) ( AT ?auto_8775 ?auto_8774 ) ( DIFFERENT ?auto_8767 ?auto_8774 ) ( TRUCK ?auto_8768 ) ( LOCATION ?auto_8778 ) ( CITY ?auto_8761 ) ( AT ?auto_8768 ?auto_8778 ) ( IN-CITY ?auto_8778 ?auto_8761 ) ( IN-CITY ?auto_8770 ?auto_8761 ) ( DIFFERENT ?auto_8770 ?auto_8778 ) ( LOCATION ?auto_8780 ) ( AT ?auto_8768 ?auto_8780 ) ( AT ?auto_8756 ?auto_8780 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8756 ?auto_8768 ?auto_8780 )
      ( DELIVER-PKG ?auto_8756 ?auto_8757 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8806
      ?auto_8807
    )
    :vars
    (
      ?auto_8826
      ?auto_8821
      ?auto_8822
      ?auto_8810
      ?auto_8816
      ?auto_8809
      ?auto_8808
      ?auto_8811
      ?auto_8823
      ?auto_8818
      ?auto_8828
      ?auto_8820
      ?auto_8815
      ?auto_8827
      ?auto_8824
      ?auto_8812
      ?auto_8825
      ?auto_8817
      ?auto_8829
      ?auto_8832
      ?auto_8831
    )
    :precondition
    ( and ( OBJ ?auto_8806 ) ( LOCATION ?auto_8807 ) ( TRUCK ?auto_8826 ) ( LOCATION ?auto_8821 ) ( CITY ?auto_8822 ) ( IN-CITY ?auto_8821 ?auto_8822 ) ( IN-CITY ?auto_8807 ?auto_8822 ) ( DIFFERENT ?auto_8807 ?auto_8821 ) ( LOCATION ?auto_8810 ) ( CITY ?auto_8816 ) ( IN-CITY ?auto_8810 ?auto_8816 ) ( IN-CITY ?auto_8821 ?auto_8816 ) ( DIFFERENT ?auto_8821 ?auto_8810 ) ( LOCATION ?auto_8809 ) ( CITY ?auto_8808 ) ( AT ?auto_8826 ?auto_8809 ) ( IN-CITY ?auto_8809 ?auto_8808 ) ( IN-CITY ?auto_8810 ?auto_8808 ) ( DIFFERENT ?auto_8810 ?auto_8809 ) ( LOCATION ?auto_8811 ) ( AT ?auto_8826 ?auto_8811 ) ( TRUCK ?auto_8823 ) ( AT ?auto_8823 ?auto_8811 ) ( LOCATION ?auto_8818 ) ( AT ?auto_8823 ?auto_8818 ) ( TRUCK ?auto_8828 ) ( AT ?auto_8828 ?auto_8818 ) ( LOCATION ?auto_8820 ) ( AT ?auto_8828 ?auto_8820 ) ( AIRPLANE ?auto_8815 ) ( AIRPORT ?auto_8827 ) ( AIRPORT ?auto_8820 ) ( DIFFERENT ?auto_8820 ?auto_8827 ) ( LOCATION ?auto_8827 ) ( AIRPORT ?auto_8824 ) ( DIFFERENT ?auto_8827 ?auto_8824 ) ( AIRPORT ?auto_8812 ) ( AT ?auto_8815 ?auto_8812 ) ( DIFFERENT ?auto_8824 ?auto_8812 ) ( TRUCK ?auto_8825 ) ( LOCATION ?auto_8817 ) ( CITY ?auto_8829 ) ( IN-CITY ?auto_8817 ?auto_8829 ) ( IN-CITY ?auto_8827 ?auto_8829 ) ( DIFFERENT ?auto_8827 ?auto_8817 ) ( AT ?auto_8806 ?auto_8817 ) ( LOCATION ?auto_8832 ) ( CITY ?auto_8831 ) ( AT ?auto_8825 ?auto_8832 ) ( IN-CITY ?auto_8832 ?auto_8831 ) ( IN-CITY ?auto_8817 ?auto_8831 ) ( DIFFERENT ?auto_8817 ?auto_8832 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8825 ?auto_8832 ?auto_8817 ?auto_8831 )
      ( DELIVER-PKG ?auto_8806 ?auto_8807 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8859
      ?auto_8860
    )
    :vars
    (
      ?auto_8877
      ?auto_8870
      ?auto_8871
      ?auto_8863
      ?auto_8866
      ?auto_8861
      ?auto_8883
      ?auto_8864
      ?auto_8872
      ?auto_8868
      ?auto_8879
      ?auto_8869
      ?auto_8865
      ?auto_8878
      ?auto_8873
      ?auto_8862
      ?auto_8875
      ?auto_8867
      ?auto_8880
      ?auto_8874
      ?auto_8876
      ?auto_8886
      ?auto_8885
    )
    :precondition
    ( and ( OBJ ?auto_8859 ) ( LOCATION ?auto_8860 ) ( TRUCK ?auto_8877 ) ( LOCATION ?auto_8870 ) ( CITY ?auto_8871 ) ( IN-CITY ?auto_8870 ?auto_8871 ) ( IN-CITY ?auto_8860 ?auto_8871 ) ( DIFFERENT ?auto_8860 ?auto_8870 ) ( LOCATION ?auto_8863 ) ( CITY ?auto_8866 ) ( IN-CITY ?auto_8863 ?auto_8866 ) ( IN-CITY ?auto_8870 ?auto_8866 ) ( DIFFERENT ?auto_8870 ?auto_8863 ) ( LOCATION ?auto_8861 ) ( CITY ?auto_8883 ) ( AT ?auto_8877 ?auto_8861 ) ( IN-CITY ?auto_8861 ?auto_8883 ) ( IN-CITY ?auto_8863 ?auto_8883 ) ( DIFFERENT ?auto_8863 ?auto_8861 ) ( LOCATION ?auto_8864 ) ( AT ?auto_8877 ?auto_8864 ) ( TRUCK ?auto_8872 ) ( AT ?auto_8872 ?auto_8864 ) ( LOCATION ?auto_8868 ) ( AT ?auto_8872 ?auto_8868 ) ( TRUCK ?auto_8879 ) ( AT ?auto_8879 ?auto_8868 ) ( LOCATION ?auto_8869 ) ( AT ?auto_8879 ?auto_8869 ) ( AIRPLANE ?auto_8865 ) ( AIRPORT ?auto_8878 ) ( AIRPORT ?auto_8869 ) ( DIFFERENT ?auto_8869 ?auto_8878 ) ( LOCATION ?auto_8878 ) ( AIRPORT ?auto_8873 ) ( DIFFERENT ?auto_8878 ?auto_8873 ) ( AIRPORT ?auto_8862 ) ( AT ?auto_8865 ?auto_8862 ) ( DIFFERENT ?auto_8873 ?auto_8862 ) ( TRUCK ?auto_8875 ) ( LOCATION ?auto_8867 ) ( CITY ?auto_8880 ) ( IN-CITY ?auto_8867 ?auto_8880 ) ( IN-CITY ?auto_8878 ?auto_8880 ) ( DIFFERENT ?auto_8878 ?auto_8867 ) ( AT ?auto_8859 ?auto_8867 ) ( LOCATION ?auto_8874 ) ( CITY ?auto_8876 ) ( IN-CITY ?auto_8874 ?auto_8876 ) ( IN-CITY ?auto_8867 ?auto_8876 ) ( DIFFERENT ?auto_8867 ?auto_8874 ) ( LOCATION ?auto_8886 ) ( CITY ?auto_8885 ) ( AT ?auto_8875 ?auto_8886 ) ( IN-CITY ?auto_8886 ?auto_8885 ) ( IN-CITY ?auto_8874 ?auto_8885 ) ( DIFFERENT ?auto_8874 ?auto_8886 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8875 ?auto_8886 ?auto_8874 ?auto_8885 )
      ( DELIVER-PKG ?auto_8859 ?auto_8860 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8942
      ?auto_8943
    )
    :vars
    (
      ?auto_8964
      ?auto_8957
      ?auto_8958
      ?auto_8949
      ?auto_8953
      ?auto_8945
      ?auto_8968
      ?auto_8950
      ?auto_8959
      ?auto_8955
      ?auto_8966
      ?auto_8956
      ?auto_8951
      ?auto_8965
      ?auto_8960
      ?auto_8948
      ?auto_8962
      ?auto_8954
      ?auto_8967
      ?auto_8961
      ?auto_8963
      ?auto_8952
      ?auto_8947
      ?auto_8970
    )
    :precondition
    ( and ( OBJ ?auto_8942 ) ( LOCATION ?auto_8943 ) ( TRUCK ?auto_8964 ) ( LOCATION ?auto_8957 ) ( CITY ?auto_8958 ) ( IN-CITY ?auto_8957 ?auto_8958 ) ( IN-CITY ?auto_8943 ?auto_8958 ) ( DIFFERENT ?auto_8943 ?auto_8957 ) ( LOCATION ?auto_8949 ) ( CITY ?auto_8953 ) ( IN-CITY ?auto_8949 ?auto_8953 ) ( IN-CITY ?auto_8957 ?auto_8953 ) ( DIFFERENT ?auto_8957 ?auto_8949 ) ( LOCATION ?auto_8945 ) ( CITY ?auto_8968 ) ( AT ?auto_8964 ?auto_8945 ) ( IN-CITY ?auto_8945 ?auto_8968 ) ( IN-CITY ?auto_8949 ?auto_8968 ) ( DIFFERENT ?auto_8949 ?auto_8945 ) ( LOCATION ?auto_8950 ) ( AT ?auto_8964 ?auto_8950 ) ( TRUCK ?auto_8959 ) ( AT ?auto_8959 ?auto_8950 ) ( LOCATION ?auto_8955 ) ( AT ?auto_8959 ?auto_8955 ) ( TRUCK ?auto_8966 ) ( AT ?auto_8966 ?auto_8955 ) ( LOCATION ?auto_8956 ) ( AT ?auto_8966 ?auto_8956 ) ( AIRPLANE ?auto_8951 ) ( AIRPORT ?auto_8965 ) ( AIRPORT ?auto_8956 ) ( DIFFERENT ?auto_8956 ?auto_8965 ) ( LOCATION ?auto_8965 ) ( AIRPORT ?auto_8960 ) ( DIFFERENT ?auto_8965 ?auto_8960 ) ( AIRPORT ?auto_8948 ) ( DIFFERENT ?auto_8960 ?auto_8948 ) ( TRUCK ?auto_8962 ) ( LOCATION ?auto_8954 ) ( CITY ?auto_8967 ) ( IN-CITY ?auto_8954 ?auto_8967 ) ( IN-CITY ?auto_8965 ?auto_8967 ) ( DIFFERENT ?auto_8965 ?auto_8954 ) ( AT ?auto_8942 ?auto_8954 ) ( LOCATION ?auto_8961 ) ( CITY ?auto_8963 ) ( IN-CITY ?auto_8961 ?auto_8963 ) ( IN-CITY ?auto_8954 ?auto_8963 ) ( DIFFERENT ?auto_8954 ?auto_8961 ) ( LOCATION ?auto_8952 ) ( CITY ?auto_8947 ) ( AT ?auto_8962 ?auto_8952 ) ( IN-CITY ?auto_8952 ?auto_8947 ) ( IN-CITY ?auto_8961 ?auto_8947 ) ( DIFFERENT ?auto_8961 ?auto_8952 ) ( AIRPORT ?auto_8970 ) ( AT ?auto_8951 ?auto_8970 ) ( DIFFERENT ?auto_8948 ?auto_8970 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8951 ?auto_8970 ?auto_8948 )
      ( DELIVER-PKG ?auto_8942 ?auto_8943 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9612
      ?auto_9613
    )
    :vars
    (
      ?auto_9621
      ?auto_9622
      ?auto_9615
      ?auto_9616
      ?auto_9614
      ?auto_9618
      ?auto_9617
      ?auto_9625
      ?auto_9624
    )
    :precondition
    ( and ( OBJ ?auto_9612 ) ( LOCATION ?auto_9613 ) ( TRUCK ?auto_9621 ) ( LOCATION ?auto_9622 ) ( CITY ?auto_9615 ) ( IN-CITY ?auto_9622 ?auto_9615 ) ( IN-CITY ?auto_9613 ?auto_9615 ) ( DIFFERENT ?auto_9613 ?auto_9622 ) ( LOCATION ?auto_9616 ) ( CITY ?auto_9614 ) ( IN-CITY ?auto_9616 ?auto_9614 ) ( IN-CITY ?auto_9622 ?auto_9614 ) ( DIFFERENT ?auto_9622 ?auto_9616 ) ( IN ?auto_9612 ?auto_9621 ) ( LOCATION ?auto_9618 ) ( CITY ?auto_9617 ) ( IN-CITY ?auto_9618 ?auto_9617 ) ( IN-CITY ?auto_9616 ?auto_9617 ) ( DIFFERENT ?auto_9616 ?auto_9618 ) ( LOCATION ?auto_9625 ) ( CITY ?auto_9624 ) ( AT ?auto_9621 ?auto_9625 ) ( IN-CITY ?auto_9625 ?auto_9624 ) ( IN-CITY ?auto_9618 ?auto_9624 ) ( DIFFERENT ?auto_9618 ?auto_9625 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9621 ?auto_9625 ?auto_9618 ?auto_9624 )
      ( DELIVER-PKG ?auto_9612 ?auto_9613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9697
      ?auto_9698
    )
    :vars
    (
      ?auto_9701
      ?auto_9710
      ?auto_9711
      ?auto_9709
      ?auto_9702
      ?auto_9704
      ?auto_9705
      ?auto_9713
      ?auto_9712
      ?auto_9706
      ?auto_9708
      ?auto_9707
      ?auto_9703
      ?auto_9715
    )
    :precondition
    ( and ( OBJ ?auto_9697 ) ( LOCATION ?auto_9698 ) ( TRUCK ?auto_9701 ) ( LOCATION ?auto_9710 ) ( CITY ?auto_9711 ) ( IN-CITY ?auto_9710 ?auto_9711 ) ( IN-CITY ?auto_9698 ?auto_9711 ) ( DIFFERENT ?auto_9698 ?auto_9710 ) ( LOCATION ?auto_9709 ) ( CITY ?auto_9702 ) ( IN-CITY ?auto_9709 ?auto_9702 ) ( IN-CITY ?auto_9710 ?auto_9702 ) ( DIFFERENT ?auto_9710 ?auto_9709 ) ( LOCATION ?auto_9704 ) ( CITY ?auto_9705 ) ( IN-CITY ?auto_9704 ?auto_9705 ) ( IN-CITY ?auto_9709 ?auto_9705 ) ( DIFFERENT ?auto_9709 ?auto_9704 ) ( LOCATION ?auto_9713 ) ( CITY ?auto_9712 ) ( AT ?auto_9701 ?auto_9713 ) ( IN-CITY ?auto_9713 ?auto_9712 ) ( IN-CITY ?auto_9704 ?auto_9712 ) ( DIFFERENT ?auto_9704 ?auto_9713 ) ( LOCATION ?auto_9706 ) ( AT ?auto_9701 ?auto_9706 ) ( TRUCK ?auto_9708 ) ( AT ?auto_9708 ?auto_9706 ) ( LOCATION ?auto_9707 ) ( AT ?auto_9708 ?auto_9707 ) ( TRUCK ?auto_9703 ) ( AT ?auto_9703 ?auto_9707 ) ( LOCATION ?auto_9715 ) ( AT ?auto_9703 ?auto_9715 ) ( AT ?auto_9697 ?auto_9715 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9697 ?auto_9703 ?auto_9715 )
      ( DELIVER-PKG ?auto_9697 ?auto_9698 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9678
      ?auto_9679
    )
    :vars
    (
      ?auto_9686
      ?auto_9692
      ?auto_9690
      ?auto_9691
      ?auto_9680
      ?auto_9684
      ?auto_9687
      ?auto_9683
      ?auto_9689
      ?auto_9685
      ?auto_9688
      ?auto_9693
      ?auto_9696
    )
    :precondition
    ( and ( OBJ ?auto_9678 ) ( LOCATION ?auto_9679 ) ( TRUCK ?auto_9686 ) ( LOCATION ?auto_9692 ) ( CITY ?auto_9690 ) ( IN-CITY ?auto_9692 ?auto_9690 ) ( IN-CITY ?auto_9679 ?auto_9690 ) ( DIFFERENT ?auto_9679 ?auto_9692 ) ( LOCATION ?auto_9691 ) ( CITY ?auto_9680 ) ( IN-CITY ?auto_9691 ?auto_9680 ) ( IN-CITY ?auto_9692 ?auto_9680 ) ( DIFFERENT ?auto_9692 ?auto_9691 ) ( LOCATION ?auto_9684 ) ( CITY ?auto_9687 ) ( IN-CITY ?auto_9684 ?auto_9687 ) ( IN-CITY ?auto_9691 ?auto_9687 ) ( DIFFERENT ?auto_9691 ?auto_9684 ) ( LOCATION ?auto_9683 ) ( CITY ?auto_9689 ) ( AT ?auto_9686 ?auto_9683 ) ( IN-CITY ?auto_9683 ?auto_9689 ) ( IN-CITY ?auto_9684 ?auto_9689 ) ( DIFFERENT ?auto_9684 ?auto_9683 ) ( LOCATION ?auto_9685 ) ( AT ?auto_9686 ?auto_9685 ) ( TRUCK ?auto_9688 ) ( AT ?auto_9688 ?auto_9685 ) ( LOCATION ?auto_9693 ) ( AT ?auto_9688 ?auto_9693 ) ( TRUCK ?auto_9696 ) ( AT ?auto_9696 ?auto_9693 ) ( IN ?auto_9678 ?auto_9696 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9678 ?auto_9693 )
      ( DELIVER-PKG ?auto_9678 ?auto_9679 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9717
      ?auto_9718
    )
    :vars
    (
      ?auto_9733
      ?auto_9725
      ?auto_9729
      ?auto_9726
      ?auto_9732
      ?auto_9723
      ?auto_9724
      ?auto_9722
      ?auto_9721
      ?auto_9728
      ?auto_9731
      ?auto_9730
      ?auto_9734
      ?auto_9719
      ?auto_9737
    )
    :precondition
    ( and ( OBJ ?auto_9717 ) ( LOCATION ?auto_9718 ) ( TRUCK ?auto_9733 ) ( LOCATION ?auto_9725 ) ( CITY ?auto_9729 ) ( IN-CITY ?auto_9725 ?auto_9729 ) ( IN-CITY ?auto_9718 ?auto_9729 ) ( DIFFERENT ?auto_9718 ?auto_9725 ) ( LOCATION ?auto_9726 ) ( CITY ?auto_9732 ) ( IN-CITY ?auto_9726 ?auto_9732 ) ( IN-CITY ?auto_9725 ?auto_9732 ) ( DIFFERENT ?auto_9725 ?auto_9726 ) ( LOCATION ?auto_9723 ) ( CITY ?auto_9724 ) ( IN-CITY ?auto_9723 ?auto_9724 ) ( IN-CITY ?auto_9726 ?auto_9724 ) ( DIFFERENT ?auto_9726 ?auto_9723 ) ( LOCATION ?auto_9722 ) ( CITY ?auto_9721 ) ( AT ?auto_9733 ?auto_9722 ) ( IN-CITY ?auto_9722 ?auto_9721 ) ( IN-CITY ?auto_9723 ?auto_9721 ) ( DIFFERENT ?auto_9723 ?auto_9722 ) ( LOCATION ?auto_9728 ) ( AT ?auto_9733 ?auto_9728 ) ( TRUCK ?auto_9731 ) ( AT ?auto_9731 ?auto_9728 ) ( LOCATION ?auto_9730 ) ( AT ?auto_9731 ?auto_9730 ) ( TRUCK ?auto_9734 ) ( AT ?auto_9734 ?auto_9730 ) ( LOCATION ?auto_9719 ) ( AT ?auto_9734 ?auto_9719 ) ( AIRPLANE ?auto_9737 ) ( IN ?auto_9717 ?auto_9737 ) ( AT ?auto_9737 ?auto_9719 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9717 ?auto_9719 )
      ( DELIVER-PKG ?auto_9717 ?auto_9718 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9738
      ?auto_9739
    )
    :vars
    (
      ?auto_9753
      ?auto_9746
      ?auto_9749
      ?auto_9747
      ?auto_9752
      ?auto_9744
      ?auto_9745
      ?auto_9755
      ?auto_9754
      ?auto_9748
      ?auto_9751
      ?auto_9750
      ?auto_9756
      ?auto_9743
      ?auto_9740
      ?auto_9758
    )
    :precondition
    ( and ( OBJ ?auto_9738 ) ( LOCATION ?auto_9739 ) ( TRUCK ?auto_9753 ) ( LOCATION ?auto_9746 ) ( CITY ?auto_9749 ) ( IN-CITY ?auto_9746 ?auto_9749 ) ( IN-CITY ?auto_9739 ?auto_9749 ) ( DIFFERENT ?auto_9739 ?auto_9746 ) ( LOCATION ?auto_9747 ) ( CITY ?auto_9752 ) ( IN-CITY ?auto_9747 ?auto_9752 ) ( IN-CITY ?auto_9746 ?auto_9752 ) ( DIFFERENT ?auto_9746 ?auto_9747 ) ( LOCATION ?auto_9744 ) ( CITY ?auto_9745 ) ( IN-CITY ?auto_9744 ?auto_9745 ) ( IN-CITY ?auto_9747 ?auto_9745 ) ( DIFFERENT ?auto_9747 ?auto_9744 ) ( LOCATION ?auto_9755 ) ( CITY ?auto_9754 ) ( AT ?auto_9753 ?auto_9755 ) ( IN-CITY ?auto_9755 ?auto_9754 ) ( IN-CITY ?auto_9744 ?auto_9754 ) ( DIFFERENT ?auto_9744 ?auto_9755 ) ( LOCATION ?auto_9748 ) ( AT ?auto_9753 ?auto_9748 ) ( TRUCK ?auto_9751 ) ( AT ?auto_9751 ?auto_9748 ) ( LOCATION ?auto_9750 ) ( AT ?auto_9751 ?auto_9750 ) ( TRUCK ?auto_9756 ) ( AT ?auto_9756 ?auto_9750 ) ( LOCATION ?auto_9743 ) ( AT ?auto_9756 ?auto_9743 ) ( AIRPLANE ?auto_9740 ) ( IN ?auto_9738 ?auto_9740 ) ( AIRPORT ?auto_9758 ) ( AIRPORT ?auto_9743 ) ( AT ?auto_9740 ?auto_9758 ) ( DIFFERENT ?auto_9743 ?auto_9758 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9740 ?auto_9758 ?auto_9743 )
      ( DELIVER-PKG ?auto_9738 ?auto_9739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9780
      ?auto_9781
    )
    :vars
    (
      ?auto_9795
      ?auto_9788
      ?auto_9791
      ?auto_9789
      ?auto_9794
      ?auto_9786
      ?auto_9787
      ?auto_9797
      ?auto_9796
      ?auto_9790
      ?auto_9793
      ?auto_9792
      ?auto_9799
      ?auto_9785
      ?auto_9784
      ?auto_9798
      ?auto_9801
    )
    :precondition
    ( and ( OBJ ?auto_9780 ) ( LOCATION ?auto_9781 ) ( TRUCK ?auto_9795 ) ( LOCATION ?auto_9788 ) ( CITY ?auto_9791 ) ( IN-CITY ?auto_9788 ?auto_9791 ) ( IN-CITY ?auto_9781 ?auto_9791 ) ( DIFFERENT ?auto_9781 ?auto_9788 ) ( LOCATION ?auto_9789 ) ( CITY ?auto_9794 ) ( IN-CITY ?auto_9789 ?auto_9794 ) ( IN-CITY ?auto_9788 ?auto_9794 ) ( DIFFERENT ?auto_9788 ?auto_9789 ) ( LOCATION ?auto_9786 ) ( CITY ?auto_9787 ) ( IN-CITY ?auto_9786 ?auto_9787 ) ( IN-CITY ?auto_9789 ?auto_9787 ) ( DIFFERENT ?auto_9789 ?auto_9786 ) ( LOCATION ?auto_9797 ) ( CITY ?auto_9796 ) ( AT ?auto_9795 ?auto_9797 ) ( IN-CITY ?auto_9797 ?auto_9796 ) ( IN-CITY ?auto_9786 ?auto_9796 ) ( DIFFERENT ?auto_9786 ?auto_9797 ) ( LOCATION ?auto_9790 ) ( AT ?auto_9795 ?auto_9790 ) ( TRUCK ?auto_9793 ) ( AT ?auto_9793 ?auto_9790 ) ( LOCATION ?auto_9792 ) ( AT ?auto_9793 ?auto_9792 ) ( TRUCK ?auto_9799 ) ( AT ?auto_9799 ?auto_9792 ) ( LOCATION ?auto_9785 ) ( AT ?auto_9799 ?auto_9785 ) ( AIRPLANE ?auto_9784 ) ( AIRPORT ?auto_9798 ) ( AIRPORT ?auto_9785 ) ( AT ?auto_9784 ?auto_9798 ) ( DIFFERENT ?auto_9785 ?auto_9798 ) ( LOCATION ?auto_9801 ) ( AT ?auto_9780 ?auto_9801 ) ( AT ?auto_9784 ?auto_9801 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9780 ?auto_9784 ?auto_9801 )
      ( DELIVER-PKG ?auto_9780 ?auto_9781 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9824
      ?auto_9825
    )
    :vars
    (
      ?auto_9837
      ?auto_9828
      ?auto_9833
      ?auto_9829
      ?auto_9836
      ?auto_9842
      ?auto_9831
      ?auto_9839
      ?auto_9838
      ?auto_9832
      ?auto_9835
      ?auto_9834
      ?auto_9841
      ?auto_9830
      ?auto_9827
      ?auto_9826
      ?auto_9846
    )
    :precondition
    ( and ( OBJ ?auto_9824 ) ( LOCATION ?auto_9825 ) ( TRUCK ?auto_9837 ) ( LOCATION ?auto_9828 ) ( CITY ?auto_9833 ) ( IN-CITY ?auto_9828 ?auto_9833 ) ( IN-CITY ?auto_9825 ?auto_9833 ) ( DIFFERENT ?auto_9825 ?auto_9828 ) ( LOCATION ?auto_9829 ) ( CITY ?auto_9836 ) ( IN-CITY ?auto_9829 ?auto_9836 ) ( IN-CITY ?auto_9828 ?auto_9836 ) ( DIFFERENT ?auto_9828 ?auto_9829 ) ( LOCATION ?auto_9842 ) ( CITY ?auto_9831 ) ( IN-CITY ?auto_9842 ?auto_9831 ) ( IN-CITY ?auto_9829 ?auto_9831 ) ( DIFFERENT ?auto_9829 ?auto_9842 ) ( LOCATION ?auto_9839 ) ( CITY ?auto_9838 ) ( AT ?auto_9837 ?auto_9839 ) ( IN-CITY ?auto_9839 ?auto_9838 ) ( IN-CITY ?auto_9842 ?auto_9838 ) ( DIFFERENT ?auto_9842 ?auto_9839 ) ( LOCATION ?auto_9832 ) ( AT ?auto_9837 ?auto_9832 ) ( TRUCK ?auto_9835 ) ( AT ?auto_9835 ?auto_9832 ) ( LOCATION ?auto_9834 ) ( AT ?auto_9835 ?auto_9834 ) ( TRUCK ?auto_9841 ) ( AT ?auto_9841 ?auto_9834 ) ( LOCATION ?auto_9830 ) ( AT ?auto_9841 ?auto_9830 ) ( AIRPLANE ?auto_9827 ) ( AIRPORT ?auto_9826 ) ( AIRPORT ?auto_9830 ) ( DIFFERENT ?auto_9830 ?auto_9826 ) ( LOCATION ?auto_9826 ) ( AT ?auto_9824 ?auto_9826 ) ( AIRPORT ?auto_9846 ) ( AT ?auto_9827 ?auto_9846 ) ( DIFFERENT ?auto_9826 ?auto_9846 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9827 ?auto_9846 ?auto_9826 )
      ( DELIVER-PKG ?auto_9824 ?auto_9825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9890
      ?auto_9891
    )
    :vars
    (
      ?auto_9901
      ?auto_9894
      ?auto_9897
      ?auto_9893
      ?auto_9900
      ?auto_9906
      ?auto_9908
      ?auto_9903
      ?auto_9902
      ?auto_9896
      ?auto_9899
      ?auto_9898
      ?auto_9904
      ?auto_9895
      ?auto_9910
      ?auto_9892
      ?auto_9905
      ?auto_9912
    )
    :precondition
    ( and ( OBJ ?auto_9890 ) ( LOCATION ?auto_9891 ) ( TRUCK ?auto_9901 ) ( LOCATION ?auto_9894 ) ( CITY ?auto_9897 ) ( IN-CITY ?auto_9894 ?auto_9897 ) ( IN-CITY ?auto_9891 ?auto_9897 ) ( DIFFERENT ?auto_9891 ?auto_9894 ) ( LOCATION ?auto_9893 ) ( CITY ?auto_9900 ) ( IN-CITY ?auto_9893 ?auto_9900 ) ( IN-CITY ?auto_9894 ?auto_9900 ) ( DIFFERENT ?auto_9894 ?auto_9893 ) ( LOCATION ?auto_9906 ) ( CITY ?auto_9908 ) ( IN-CITY ?auto_9906 ?auto_9908 ) ( IN-CITY ?auto_9893 ?auto_9908 ) ( DIFFERENT ?auto_9893 ?auto_9906 ) ( LOCATION ?auto_9903 ) ( CITY ?auto_9902 ) ( AT ?auto_9901 ?auto_9903 ) ( IN-CITY ?auto_9903 ?auto_9902 ) ( IN-CITY ?auto_9906 ?auto_9902 ) ( DIFFERENT ?auto_9906 ?auto_9903 ) ( LOCATION ?auto_9896 ) ( AT ?auto_9901 ?auto_9896 ) ( TRUCK ?auto_9899 ) ( AT ?auto_9899 ?auto_9896 ) ( LOCATION ?auto_9898 ) ( AT ?auto_9899 ?auto_9898 ) ( TRUCK ?auto_9904 ) ( AT ?auto_9904 ?auto_9898 ) ( LOCATION ?auto_9895 ) ( AT ?auto_9904 ?auto_9895 ) ( AIRPLANE ?auto_9910 ) ( AIRPORT ?auto_9892 ) ( AIRPORT ?auto_9895 ) ( DIFFERENT ?auto_9895 ?auto_9892 ) ( LOCATION ?auto_9892 ) ( AT ?auto_9890 ?auto_9892 ) ( AIRPORT ?auto_9905 ) ( DIFFERENT ?auto_9892 ?auto_9905 ) ( AIRPORT ?auto_9912 ) ( AT ?auto_9910 ?auto_9912 ) ( DIFFERENT ?auto_9905 ?auto_9912 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9910 ?auto_9912 ?auto_9905 )
      ( DELIVER-PKG ?auto_9890 ?auto_9891 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9914
      ?auto_9915
    )
    :vars
    (
      ?auto_9932
      ?auto_9921
      ?auto_9928
      ?auto_9927
      ?auto_9931
      ?auto_9925
      ?auto_9926
      ?auto_9934
      ?auto_9933
      ?auto_9919
      ?auto_9930
      ?auto_9929
      ?auto_9935
      ?auto_9916
      ?auto_9918
      ?auto_9917
      ?auto_9924
      ?auto_9920
      ?auto_9938
    )
    :precondition
    ( and ( OBJ ?auto_9914 ) ( LOCATION ?auto_9915 ) ( TRUCK ?auto_9932 ) ( LOCATION ?auto_9921 ) ( CITY ?auto_9928 ) ( IN-CITY ?auto_9921 ?auto_9928 ) ( IN-CITY ?auto_9915 ?auto_9928 ) ( DIFFERENT ?auto_9915 ?auto_9921 ) ( LOCATION ?auto_9927 ) ( CITY ?auto_9931 ) ( IN-CITY ?auto_9927 ?auto_9931 ) ( IN-CITY ?auto_9921 ?auto_9931 ) ( DIFFERENT ?auto_9921 ?auto_9927 ) ( LOCATION ?auto_9925 ) ( CITY ?auto_9926 ) ( IN-CITY ?auto_9925 ?auto_9926 ) ( IN-CITY ?auto_9927 ?auto_9926 ) ( DIFFERENT ?auto_9927 ?auto_9925 ) ( LOCATION ?auto_9934 ) ( CITY ?auto_9933 ) ( AT ?auto_9932 ?auto_9934 ) ( IN-CITY ?auto_9934 ?auto_9933 ) ( IN-CITY ?auto_9925 ?auto_9933 ) ( DIFFERENT ?auto_9925 ?auto_9934 ) ( LOCATION ?auto_9919 ) ( AT ?auto_9932 ?auto_9919 ) ( TRUCK ?auto_9930 ) ( AT ?auto_9930 ?auto_9919 ) ( LOCATION ?auto_9929 ) ( AT ?auto_9930 ?auto_9929 ) ( TRUCK ?auto_9935 ) ( AT ?auto_9935 ?auto_9929 ) ( LOCATION ?auto_9916 ) ( AT ?auto_9935 ?auto_9916 ) ( AIRPLANE ?auto_9918 ) ( AIRPORT ?auto_9917 ) ( AIRPORT ?auto_9916 ) ( DIFFERENT ?auto_9916 ?auto_9917 ) ( LOCATION ?auto_9917 ) ( AIRPORT ?auto_9924 ) ( DIFFERENT ?auto_9917 ?auto_9924 ) ( AIRPORT ?auto_9920 ) ( AT ?auto_9918 ?auto_9920 ) ( DIFFERENT ?auto_9924 ?auto_9920 ) ( TRUCK ?auto_9938 ) ( AT ?auto_9938 ?auto_9917 ) ( IN ?auto_9914 ?auto_9938 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9914 ?auto_9917 )
      ( DELIVER-PKG ?auto_9914 ?auto_9915 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9962
      ?auto_9963
    )
    :vars
    (
      ?auto_9965
      ?auto_9983
      ?auto_9967
      ?auto_9975
      ?auto_9980
      ?auto_9964
      ?auto_9972
      ?auto_9969
      ?auto_9966
      ?auto_9982
      ?auto_9978
      ?auto_9968
      ?auto_9970
      ?auto_9974
      ?auto_9981
      ?auto_9977
      ?auto_9973
      ?auto_9984
      ?auto_9979
      ?auto_9987
      ?auto_9986
    )
    :precondition
    ( and ( OBJ ?auto_9962 ) ( LOCATION ?auto_9963 ) ( TRUCK ?auto_9965 ) ( LOCATION ?auto_9983 ) ( CITY ?auto_9967 ) ( IN-CITY ?auto_9983 ?auto_9967 ) ( IN-CITY ?auto_9963 ?auto_9967 ) ( DIFFERENT ?auto_9963 ?auto_9983 ) ( LOCATION ?auto_9975 ) ( CITY ?auto_9980 ) ( IN-CITY ?auto_9975 ?auto_9980 ) ( IN-CITY ?auto_9983 ?auto_9980 ) ( DIFFERENT ?auto_9983 ?auto_9975 ) ( LOCATION ?auto_9964 ) ( CITY ?auto_9972 ) ( IN-CITY ?auto_9964 ?auto_9972 ) ( IN-CITY ?auto_9975 ?auto_9972 ) ( DIFFERENT ?auto_9975 ?auto_9964 ) ( LOCATION ?auto_9969 ) ( CITY ?auto_9966 ) ( AT ?auto_9965 ?auto_9969 ) ( IN-CITY ?auto_9969 ?auto_9966 ) ( IN-CITY ?auto_9964 ?auto_9966 ) ( DIFFERENT ?auto_9964 ?auto_9969 ) ( LOCATION ?auto_9982 ) ( AT ?auto_9965 ?auto_9982 ) ( TRUCK ?auto_9978 ) ( AT ?auto_9978 ?auto_9982 ) ( LOCATION ?auto_9968 ) ( AT ?auto_9978 ?auto_9968 ) ( TRUCK ?auto_9970 ) ( AT ?auto_9970 ?auto_9968 ) ( LOCATION ?auto_9974 ) ( AT ?auto_9970 ?auto_9974 ) ( AIRPLANE ?auto_9981 ) ( AIRPORT ?auto_9977 ) ( AIRPORT ?auto_9974 ) ( DIFFERENT ?auto_9974 ?auto_9977 ) ( LOCATION ?auto_9977 ) ( AIRPORT ?auto_9973 ) ( DIFFERENT ?auto_9977 ?auto_9973 ) ( AIRPORT ?auto_9984 ) ( AT ?auto_9981 ?auto_9984 ) ( DIFFERENT ?auto_9973 ?auto_9984 ) ( TRUCK ?auto_9979 ) ( IN ?auto_9962 ?auto_9979 ) ( LOCATION ?auto_9987 ) ( CITY ?auto_9986 ) ( AT ?auto_9979 ?auto_9987 ) ( IN-CITY ?auto_9987 ?auto_9986 ) ( IN-CITY ?auto_9977 ?auto_9986 ) ( DIFFERENT ?auto_9977 ?auto_9987 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9979 ?auto_9987 ?auto_9977 ?auto_9986 )
      ( DELIVER-PKG ?auto_9962 ?auto_9963 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10014
      ?auto_10015
    )
    :vars
    (
      ?auto_10036
      ?auto_10029
      ?auto_10035
      ?auto_10018
      ?auto_10025
      ?auto_10022
      ?auto_10033
      ?auto_10021
      ?auto_10016
      ?auto_10028
      ?auto_10020
      ?auto_10037
      ?auto_10032
      ?auto_10017
      ?auto_10027
      ?auto_10019
      ?auto_10034
      ?auto_10030
      ?auto_10023
      ?auto_10024
      ?auto_10026
      ?auto_10040
    )
    :precondition
    ( and ( OBJ ?auto_10014 ) ( LOCATION ?auto_10015 ) ( TRUCK ?auto_10036 ) ( LOCATION ?auto_10029 ) ( CITY ?auto_10035 ) ( IN-CITY ?auto_10029 ?auto_10035 ) ( IN-CITY ?auto_10015 ?auto_10035 ) ( DIFFERENT ?auto_10015 ?auto_10029 ) ( LOCATION ?auto_10018 ) ( CITY ?auto_10025 ) ( IN-CITY ?auto_10018 ?auto_10025 ) ( IN-CITY ?auto_10029 ?auto_10025 ) ( DIFFERENT ?auto_10029 ?auto_10018 ) ( LOCATION ?auto_10022 ) ( CITY ?auto_10033 ) ( IN-CITY ?auto_10022 ?auto_10033 ) ( IN-CITY ?auto_10018 ?auto_10033 ) ( DIFFERENT ?auto_10018 ?auto_10022 ) ( LOCATION ?auto_10021 ) ( CITY ?auto_10016 ) ( AT ?auto_10036 ?auto_10021 ) ( IN-CITY ?auto_10021 ?auto_10016 ) ( IN-CITY ?auto_10022 ?auto_10016 ) ( DIFFERENT ?auto_10022 ?auto_10021 ) ( LOCATION ?auto_10028 ) ( AT ?auto_10036 ?auto_10028 ) ( TRUCK ?auto_10020 ) ( AT ?auto_10020 ?auto_10028 ) ( LOCATION ?auto_10037 ) ( AT ?auto_10020 ?auto_10037 ) ( TRUCK ?auto_10032 ) ( AT ?auto_10032 ?auto_10037 ) ( LOCATION ?auto_10017 ) ( AT ?auto_10032 ?auto_10017 ) ( AIRPLANE ?auto_10027 ) ( AIRPORT ?auto_10019 ) ( AIRPORT ?auto_10017 ) ( DIFFERENT ?auto_10017 ?auto_10019 ) ( LOCATION ?auto_10019 ) ( AIRPORT ?auto_10034 ) ( DIFFERENT ?auto_10019 ?auto_10034 ) ( AIRPORT ?auto_10030 ) ( AT ?auto_10027 ?auto_10030 ) ( DIFFERENT ?auto_10034 ?auto_10030 ) ( TRUCK ?auto_10023 ) ( LOCATION ?auto_10024 ) ( CITY ?auto_10026 ) ( AT ?auto_10023 ?auto_10024 ) ( IN-CITY ?auto_10024 ?auto_10026 ) ( IN-CITY ?auto_10019 ?auto_10026 ) ( DIFFERENT ?auto_10019 ?auto_10024 ) ( LOCATION ?auto_10040 ) ( AT ?auto_10023 ?auto_10040 ) ( AT ?auto_10014 ?auto_10040 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10014 ?auto_10023 ?auto_10040 )
      ( DELIVER-PKG ?auto_10014 ?auto_10015 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10068
      ?auto_10069
    )
    :vars
    (
      ?auto_10088
      ?auto_10081
      ?auto_10086
      ?auto_10092
      ?auto_10077
      ?auto_10074
      ?auto_10084
      ?auto_10090
      ?auto_10073
      ?auto_10080
      ?auto_10072
      ?auto_10089
      ?auto_10083
      ?auto_10070
      ?auto_10079
      ?auto_10071
      ?auto_10085
      ?auto_10082
      ?auto_10075
      ?auto_10087
      ?auto_10078
      ?auto_10096
      ?auto_10095
    )
    :precondition
    ( and ( OBJ ?auto_10068 ) ( LOCATION ?auto_10069 ) ( TRUCK ?auto_10088 ) ( LOCATION ?auto_10081 ) ( CITY ?auto_10086 ) ( IN-CITY ?auto_10081 ?auto_10086 ) ( IN-CITY ?auto_10069 ?auto_10086 ) ( DIFFERENT ?auto_10069 ?auto_10081 ) ( LOCATION ?auto_10092 ) ( CITY ?auto_10077 ) ( IN-CITY ?auto_10092 ?auto_10077 ) ( IN-CITY ?auto_10081 ?auto_10077 ) ( DIFFERENT ?auto_10081 ?auto_10092 ) ( LOCATION ?auto_10074 ) ( CITY ?auto_10084 ) ( IN-CITY ?auto_10074 ?auto_10084 ) ( IN-CITY ?auto_10092 ?auto_10084 ) ( DIFFERENT ?auto_10092 ?auto_10074 ) ( LOCATION ?auto_10090 ) ( CITY ?auto_10073 ) ( AT ?auto_10088 ?auto_10090 ) ( IN-CITY ?auto_10090 ?auto_10073 ) ( IN-CITY ?auto_10074 ?auto_10073 ) ( DIFFERENT ?auto_10074 ?auto_10090 ) ( LOCATION ?auto_10080 ) ( AT ?auto_10088 ?auto_10080 ) ( TRUCK ?auto_10072 ) ( AT ?auto_10072 ?auto_10080 ) ( LOCATION ?auto_10089 ) ( AT ?auto_10072 ?auto_10089 ) ( TRUCK ?auto_10083 ) ( AT ?auto_10083 ?auto_10089 ) ( LOCATION ?auto_10070 ) ( AT ?auto_10083 ?auto_10070 ) ( AIRPLANE ?auto_10079 ) ( AIRPORT ?auto_10071 ) ( AIRPORT ?auto_10070 ) ( DIFFERENT ?auto_10070 ?auto_10071 ) ( LOCATION ?auto_10071 ) ( AIRPORT ?auto_10085 ) ( DIFFERENT ?auto_10071 ?auto_10085 ) ( AIRPORT ?auto_10082 ) ( AT ?auto_10079 ?auto_10082 ) ( DIFFERENT ?auto_10085 ?auto_10082 ) ( TRUCK ?auto_10075 ) ( LOCATION ?auto_10087 ) ( CITY ?auto_10078 ) ( IN-CITY ?auto_10087 ?auto_10078 ) ( IN-CITY ?auto_10071 ?auto_10078 ) ( DIFFERENT ?auto_10071 ?auto_10087 ) ( AT ?auto_10068 ?auto_10087 ) ( LOCATION ?auto_10096 ) ( CITY ?auto_10095 ) ( AT ?auto_10075 ?auto_10096 ) ( IN-CITY ?auto_10096 ?auto_10095 ) ( IN-CITY ?auto_10087 ?auto_10095 ) ( DIFFERENT ?auto_10087 ?auto_10096 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10075 ?auto_10096 ?auto_10087 ?auto_10095 )
      ( DELIVER-PKG ?auto_10068 ?auto_10069 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10125
      ?auto_10126
    )
    :vars
    (
      ?auto_10130
      ?auto_10141
      ?auto_10146
      ?auto_10134
      ?auto_10137
      ?auto_10150
      ?auto_10144
      ?auto_10133
      ?auto_10136
      ?auto_10140
      ?auto_10129
      ?auto_10131
      ?auto_10143
      ?auto_10128
      ?auto_10139
      ?auto_10151
      ?auto_10145
      ?auto_10142
      ?auto_10135
      ?auto_10147
      ?auto_10138
      ?auto_10148
      ?auto_10132
      ?auto_10154
      ?auto_10153
    )
    :precondition
    ( and ( OBJ ?auto_10125 ) ( LOCATION ?auto_10126 ) ( TRUCK ?auto_10130 ) ( LOCATION ?auto_10141 ) ( CITY ?auto_10146 ) ( IN-CITY ?auto_10141 ?auto_10146 ) ( IN-CITY ?auto_10126 ?auto_10146 ) ( DIFFERENT ?auto_10126 ?auto_10141 ) ( LOCATION ?auto_10134 ) ( CITY ?auto_10137 ) ( IN-CITY ?auto_10134 ?auto_10137 ) ( IN-CITY ?auto_10141 ?auto_10137 ) ( DIFFERENT ?auto_10141 ?auto_10134 ) ( LOCATION ?auto_10150 ) ( CITY ?auto_10144 ) ( IN-CITY ?auto_10150 ?auto_10144 ) ( IN-CITY ?auto_10134 ?auto_10144 ) ( DIFFERENT ?auto_10134 ?auto_10150 ) ( LOCATION ?auto_10133 ) ( CITY ?auto_10136 ) ( AT ?auto_10130 ?auto_10133 ) ( IN-CITY ?auto_10133 ?auto_10136 ) ( IN-CITY ?auto_10150 ?auto_10136 ) ( DIFFERENT ?auto_10150 ?auto_10133 ) ( LOCATION ?auto_10140 ) ( AT ?auto_10130 ?auto_10140 ) ( TRUCK ?auto_10129 ) ( AT ?auto_10129 ?auto_10140 ) ( LOCATION ?auto_10131 ) ( AT ?auto_10129 ?auto_10131 ) ( TRUCK ?auto_10143 ) ( AT ?auto_10143 ?auto_10131 ) ( LOCATION ?auto_10128 ) ( AT ?auto_10143 ?auto_10128 ) ( AIRPLANE ?auto_10139 ) ( AIRPORT ?auto_10151 ) ( AIRPORT ?auto_10128 ) ( DIFFERENT ?auto_10128 ?auto_10151 ) ( LOCATION ?auto_10151 ) ( AIRPORT ?auto_10145 ) ( DIFFERENT ?auto_10151 ?auto_10145 ) ( AIRPORT ?auto_10142 ) ( AT ?auto_10139 ?auto_10142 ) ( DIFFERENT ?auto_10145 ?auto_10142 ) ( TRUCK ?auto_10135 ) ( LOCATION ?auto_10147 ) ( CITY ?auto_10138 ) ( IN-CITY ?auto_10147 ?auto_10138 ) ( IN-CITY ?auto_10151 ?auto_10138 ) ( DIFFERENT ?auto_10151 ?auto_10147 ) ( AT ?auto_10125 ?auto_10147 ) ( LOCATION ?auto_10148 ) ( CITY ?auto_10132 ) ( IN-CITY ?auto_10148 ?auto_10132 ) ( IN-CITY ?auto_10147 ?auto_10132 ) ( DIFFERENT ?auto_10147 ?auto_10148 ) ( LOCATION ?auto_10154 ) ( CITY ?auto_10153 ) ( AT ?auto_10135 ?auto_10154 ) ( IN-CITY ?auto_10154 ?auto_10153 ) ( IN-CITY ?auto_10148 ?auto_10153 ) ( DIFFERENT ?auto_10148 ?auto_10154 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10135 ?auto_10154 ?auto_10148 ?auto_10153 )
      ( DELIVER-PKG ?auto_10125 ?auto_10126 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10214
      ?auto_10215
    )
    :vars
    (
      ?auto_10218
      ?auto_10220
      ?auto_10226
      ?auto_10219
      ?auto_10232
      ?auto_10239
      ?auto_10224
      ?auto_10236
      ?auto_10231
      ?auto_10235
      ?auto_10241
      ?auto_10216
      ?auto_10222
      ?auto_10228
      ?auto_10234
      ?auto_10229
      ?auto_10225
      ?auto_10221
      ?auto_10230
      ?auto_10227
      ?auto_10233
      ?auto_10237
      ?auto_10217
      ?auto_10238
      ?auto_10223
      ?auto_10244
    )
    :precondition
    ( and ( OBJ ?auto_10214 ) ( LOCATION ?auto_10215 ) ( TRUCK ?auto_10218 ) ( LOCATION ?auto_10220 ) ( CITY ?auto_10226 ) ( IN-CITY ?auto_10220 ?auto_10226 ) ( IN-CITY ?auto_10215 ?auto_10226 ) ( DIFFERENT ?auto_10215 ?auto_10220 ) ( LOCATION ?auto_10219 ) ( CITY ?auto_10232 ) ( IN-CITY ?auto_10219 ?auto_10232 ) ( IN-CITY ?auto_10220 ?auto_10232 ) ( DIFFERENT ?auto_10220 ?auto_10219 ) ( LOCATION ?auto_10239 ) ( CITY ?auto_10224 ) ( IN-CITY ?auto_10239 ?auto_10224 ) ( IN-CITY ?auto_10219 ?auto_10224 ) ( DIFFERENT ?auto_10219 ?auto_10239 ) ( LOCATION ?auto_10236 ) ( CITY ?auto_10231 ) ( AT ?auto_10218 ?auto_10236 ) ( IN-CITY ?auto_10236 ?auto_10231 ) ( IN-CITY ?auto_10239 ?auto_10231 ) ( DIFFERENT ?auto_10239 ?auto_10236 ) ( LOCATION ?auto_10235 ) ( AT ?auto_10218 ?auto_10235 ) ( TRUCK ?auto_10241 ) ( AT ?auto_10241 ?auto_10235 ) ( LOCATION ?auto_10216 ) ( AT ?auto_10241 ?auto_10216 ) ( TRUCK ?auto_10222 ) ( AT ?auto_10222 ?auto_10216 ) ( LOCATION ?auto_10228 ) ( AT ?auto_10222 ?auto_10228 ) ( AIRPLANE ?auto_10234 ) ( AIRPORT ?auto_10229 ) ( AIRPORT ?auto_10228 ) ( DIFFERENT ?auto_10228 ?auto_10229 ) ( LOCATION ?auto_10229 ) ( AIRPORT ?auto_10225 ) ( DIFFERENT ?auto_10229 ?auto_10225 ) ( AIRPORT ?auto_10221 ) ( DIFFERENT ?auto_10225 ?auto_10221 ) ( TRUCK ?auto_10230 ) ( LOCATION ?auto_10227 ) ( CITY ?auto_10233 ) ( IN-CITY ?auto_10227 ?auto_10233 ) ( IN-CITY ?auto_10229 ?auto_10233 ) ( DIFFERENT ?auto_10229 ?auto_10227 ) ( AT ?auto_10214 ?auto_10227 ) ( LOCATION ?auto_10237 ) ( CITY ?auto_10217 ) ( IN-CITY ?auto_10237 ?auto_10217 ) ( IN-CITY ?auto_10227 ?auto_10217 ) ( DIFFERENT ?auto_10227 ?auto_10237 ) ( LOCATION ?auto_10238 ) ( CITY ?auto_10223 ) ( AT ?auto_10230 ?auto_10238 ) ( IN-CITY ?auto_10238 ?auto_10223 ) ( IN-CITY ?auto_10237 ?auto_10223 ) ( DIFFERENT ?auto_10237 ?auto_10238 ) ( AIRPORT ?auto_10244 ) ( AT ?auto_10234 ?auto_10244 ) ( DIFFERENT ?auto_10221 ?auto_10244 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10234 ?auto_10244 ?auto_10221 )
      ( DELIVER-PKG ?auto_10214 ?auto_10215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11086
      ?auto_11087
    )
    :vars
    (
      ?auto_11098
      ?auto_11096
      ?auto_11097
      ?auto_11088
      ?auto_11089
      ?auto_11095
      ?auto_11091
      ?auto_11094
      ?auto_11093
      ?auto_11101
      ?auto_11100
    )
    :precondition
    ( and ( OBJ ?auto_11086 ) ( LOCATION ?auto_11087 ) ( TRUCK ?auto_11098 ) ( LOCATION ?auto_11096 ) ( CITY ?auto_11097 ) ( IN-CITY ?auto_11096 ?auto_11097 ) ( IN-CITY ?auto_11087 ?auto_11097 ) ( DIFFERENT ?auto_11087 ?auto_11096 ) ( LOCATION ?auto_11088 ) ( CITY ?auto_11089 ) ( IN-CITY ?auto_11088 ?auto_11089 ) ( IN-CITY ?auto_11096 ?auto_11089 ) ( DIFFERENT ?auto_11096 ?auto_11088 ) ( LOCATION ?auto_11095 ) ( CITY ?auto_11091 ) ( IN-CITY ?auto_11095 ?auto_11091 ) ( IN-CITY ?auto_11088 ?auto_11091 ) ( DIFFERENT ?auto_11088 ?auto_11095 ) ( IN ?auto_11086 ?auto_11098 ) ( LOCATION ?auto_11094 ) ( CITY ?auto_11093 ) ( IN-CITY ?auto_11094 ?auto_11093 ) ( IN-CITY ?auto_11095 ?auto_11093 ) ( DIFFERENT ?auto_11095 ?auto_11094 ) ( LOCATION ?auto_11101 ) ( CITY ?auto_11100 ) ( AT ?auto_11098 ?auto_11101 ) ( IN-CITY ?auto_11101 ?auto_11100 ) ( IN-CITY ?auto_11094 ?auto_11100 ) ( DIFFERENT ?auto_11094 ?auto_11101 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11098 ?auto_11101 ?auto_11094 ?auto_11100 )
      ( DELIVER-PKG ?auto_11086 ?auto_11087 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11181
      ?auto_11182
    )
    :vars
    (
      ?auto_11193
      ?auto_11195
      ?auto_11191
      ?auto_11199
      ?auto_11192
      ?auto_11189
      ?auto_11185
      ?auto_11183
      ?auto_11197
      ?auto_11187
      ?auto_11184
      ?auto_11194
      ?auto_11188
      ?auto_11186
      ?auto_11190
      ?auto_11201
    )
    :precondition
    ( and ( OBJ ?auto_11181 ) ( LOCATION ?auto_11182 ) ( TRUCK ?auto_11193 ) ( LOCATION ?auto_11195 ) ( CITY ?auto_11191 ) ( IN-CITY ?auto_11195 ?auto_11191 ) ( IN-CITY ?auto_11182 ?auto_11191 ) ( DIFFERENT ?auto_11182 ?auto_11195 ) ( LOCATION ?auto_11199 ) ( CITY ?auto_11192 ) ( IN-CITY ?auto_11199 ?auto_11192 ) ( IN-CITY ?auto_11195 ?auto_11192 ) ( DIFFERENT ?auto_11195 ?auto_11199 ) ( LOCATION ?auto_11189 ) ( CITY ?auto_11185 ) ( IN-CITY ?auto_11189 ?auto_11185 ) ( IN-CITY ?auto_11199 ?auto_11185 ) ( DIFFERENT ?auto_11199 ?auto_11189 ) ( LOCATION ?auto_11183 ) ( CITY ?auto_11197 ) ( IN-CITY ?auto_11183 ?auto_11197 ) ( IN-CITY ?auto_11189 ?auto_11197 ) ( DIFFERENT ?auto_11189 ?auto_11183 ) ( LOCATION ?auto_11187 ) ( CITY ?auto_11184 ) ( AT ?auto_11193 ?auto_11187 ) ( IN-CITY ?auto_11187 ?auto_11184 ) ( IN-CITY ?auto_11183 ?auto_11184 ) ( DIFFERENT ?auto_11183 ?auto_11187 ) ( LOCATION ?auto_11194 ) ( AT ?auto_11193 ?auto_11194 ) ( TRUCK ?auto_11188 ) ( AT ?auto_11188 ?auto_11194 ) ( LOCATION ?auto_11186 ) ( AT ?auto_11188 ?auto_11186 ) ( TRUCK ?auto_11190 ) ( AT ?auto_11190 ?auto_11186 ) ( LOCATION ?auto_11201 ) ( AT ?auto_11190 ?auto_11201 ) ( AT ?auto_11181 ?auto_11201 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11181 ?auto_11190 ?auto_11201 )
      ( DELIVER-PKG ?auto_11181 ?auto_11182 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11160
      ?auto_11161
    )
    :vars
    (
      ?auto_11171
      ?auto_11175
      ?auto_11177
      ?auto_11162
      ?auto_11173
      ?auto_11169
      ?auto_11166
      ?auto_11163
      ?auto_11170
      ?auto_11167
      ?auto_11174
      ?auto_11176
      ?auto_11172
      ?auto_11164
      ?auto_11180
    )
    :precondition
    ( and ( OBJ ?auto_11160 ) ( LOCATION ?auto_11161 ) ( TRUCK ?auto_11171 ) ( LOCATION ?auto_11175 ) ( CITY ?auto_11177 ) ( IN-CITY ?auto_11175 ?auto_11177 ) ( IN-CITY ?auto_11161 ?auto_11177 ) ( DIFFERENT ?auto_11161 ?auto_11175 ) ( LOCATION ?auto_11162 ) ( CITY ?auto_11173 ) ( IN-CITY ?auto_11162 ?auto_11173 ) ( IN-CITY ?auto_11175 ?auto_11173 ) ( DIFFERENT ?auto_11175 ?auto_11162 ) ( LOCATION ?auto_11169 ) ( CITY ?auto_11166 ) ( IN-CITY ?auto_11169 ?auto_11166 ) ( IN-CITY ?auto_11162 ?auto_11166 ) ( DIFFERENT ?auto_11162 ?auto_11169 ) ( LOCATION ?auto_11163 ) ( CITY ?auto_11170 ) ( IN-CITY ?auto_11163 ?auto_11170 ) ( IN-CITY ?auto_11169 ?auto_11170 ) ( DIFFERENT ?auto_11169 ?auto_11163 ) ( LOCATION ?auto_11167 ) ( CITY ?auto_11174 ) ( AT ?auto_11171 ?auto_11167 ) ( IN-CITY ?auto_11167 ?auto_11174 ) ( IN-CITY ?auto_11163 ?auto_11174 ) ( DIFFERENT ?auto_11163 ?auto_11167 ) ( LOCATION ?auto_11176 ) ( AT ?auto_11171 ?auto_11176 ) ( TRUCK ?auto_11172 ) ( AT ?auto_11172 ?auto_11176 ) ( LOCATION ?auto_11164 ) ( AT ?auto_11172 ?auto_11164 ) ( TRUCK ?auto_11180 ) ( AT ?auto_11180 ?auto_11164 ) ( IN ?auto_11160 ?auto_11180 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11160 ?auto_11164 )
      ( DELIVER-PKG ?auto_11160 ?auto_11161 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11203
      ?auto_11204
    )
    :vars
    (
      ?auto_11217
      ?auto_11219
      ?auto_11215
      ?auto_11222
      ?auto_11216
      ?auto_11213
      ?auto_11206
      ?auto_11208
      ?auto_11220
      ?auto_11211
      ?auto_11209
      ?auto_11218
      ?auto_11212
      ?auto_11210
      ?auto_11214
      ?auto_11221
      ?auto_11225
    )
    :precondition
    ( and ( OBJ ?auto_11203 ) ( LOCATION ?auto_11204 ) ( TRUCK ?auto_11217 ) ( LOCATION ?auto_11219 ) ( CITY ?auto_11215 ) ( IN-CITY ?auto_11219 ?auto_11215 ) ( IN-CITY ?auto_11204 ?auto_11215 ) ( DIFFERENT ?auto_11204 ?auto_11219 ) ( LOCATION ?auto_11222 ) ( CITY ?auto_11216 ) ( IN-CITY ?auto_11222 ?auto_11216 ) ( IN-CITY ?auto_11219 ?auto_11216 ) ( DIFFERENT ?auto_11219 ?auto_11222 ) ( LOCATION ?auto_11213 ) ( CITY ?auto_11206 ) ( IN-CITY ?auto_11213 ?auto_11206 ) ( IN-CITY ?auto_11222 ?auto_11206 ) ( DIFFERENT ?auto_11222 ?auto_11213 ) ( LOCATION ?auto_11208 ) ( CITY ?auto_11220 ) ( IN-CITY ?auto_11208 ?auto_11220 ) ( IN-CITY ?auto_11213 ?auto_11220 ) ( DIFFERENT ?auto_11213 ?auto_11208 ) ( LOCATION ?auto_11211 ) ( CITY ?auto_11209 ) ( AT ?auto_11217 ?auto_11211 ) ( IN-CITY ?auto_11211 ?auto_11209 ) ( IN-CITY ?auto_11208 ?auto_11209 ) ( DIFFERENT ?auto_11208 ?auto_11211 ) ( LOCATION ?auto_11218 ) ( AT ?auto_11217 ?auto_11218 ) ( TRUCK ?auto_11212 ) ( AT ?auto_11212 ?auto_11218 ) ( LOCATION ?auto_11210 ) ( AT ?auto_11212 ?auto_11210 ) ( TRUCK ?auto_11214 ) ( AT ?auto_11214 ?auto_11210 ) ( LOCATION ?auto_11221 ) ( AT ?auto_11214 ?auto_11221 ) ( AIRPLANE ?auto_11225 ) ( IN ?auto_11203 ?auto_11225 ) ( AT ?auto_11225 ?auto_11221 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11203 ?auto_11221 )
      ( DELIVER-PKG ?auto_11203 ?auto_11204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11226
      ?auto_11227
    )
    :vars
    (
      ?auto_11240
      ?auto_11233
      ?auto_11229
      ?auto_11239
      ?auto_11237
      ?auto_11230
      ?auto_11243
      ?auto_11241
      ?auto_11234
      ?auto_11231
      ?auto_11244
      ?auto_11242
      ?auto_11245
      ?auto_11246
      ?auto_11238
      ?auto_11236
      ?auto_11235
      ?auto_11248
    )
    :precondition
    ( and ( OBJ ?auto_11226 ) ( LOCATION ?auto_11227 ) ( TRUCK ?auto_11240 ) ( LOCATION ?auto_11233 ) ( CITY ?auto_11229 ) ( IN-CITY ?auto_11233 ?auto_11229 ) ( IN-CITY ?auto_11227 ?auto_11229 ) ( DIFFERENT ?auto_11227 ?auto_11233 ) ( LOCATION ?auto_11239 ) ( CITY ?auto_11237 ) ( IN-CITY ?auto_11239 ?auto_11237 ) ( IN-CITY ?auto_11233 ?auto_11237 ) ( DIFFERENT ?auto_11233 ?auto_11239 ) ( LOCATION ?auto_11230 ) ( CITY ?auto_11243 ) ( IN-CITY ?auto_11230 ?auto_11243 ) ( IN-CITY ?auto_11239 ?auto_11243 ) ( DIFFERENT ?auto_11239 ?auto_11230 ) ( LOCATION ?auto_11241 ) ( CITY ?auto_11234 ) ( IN-CITY ?auto_11241 ?auto_11234 ) ( IN-CITY ?auto_11230 ?auto_11234 ) ( DIFFERENT ?auto_11230 ?auto_11241 ) ( LOCATION ?auto_11231 ) ( CITY ?auto_11244 ) ( AT ?auto_11240 ?auto_11231 ) ( IN-CITY ?auto_11231 ?auto_11244 ) ( IN-CITY ?auto_11241 ?auto_11244 ) ( DIFFERENT ?auto_11241 ?auto_11231 ) ( LOCATION ?auto_11242 ) ( AT ?auto_11240 ?auto_11242 ) ( TRUCK ?auto_11245 ) ( AT ?auto_11245 ?auto_11242 ) ( LOCATION ?auto_11246 ) ( AT ?auto_11245 ?auto_11246 ) ( TRUCK ?auto_11238 ) ( AT ?auto_11238 ?auto_11246 ) ( LOCATION ?auto_11236 ) ( AT ?auto_11238 ?auto_11236 ) ( AIRPLANE ?auto_11235 ) ( IN ?auto_11226 ?auto_11235 ) ( AIRPORT ?auto_11248 ) ( AIRPORT ?auto_11236 ) ( AT ?auto_11235 ?auto_11248 ) ( DIFFERENT ?auto_11236 ?auto_11248 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11235 ?auto_11248 ?auto_11236 )
      ( DELIVER-PKG ?auto_11226 ?auto_11227 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11272
      ?auto_11273
    )
    :vars
    (
      ?auto_11286
      ?auto_11292
      ?auto_11287
      ?auto_11281
      ?auto_11284
      ?auto_11290
      ?auto_11282
      ?auto_11288
      ?auto_11291
      ?auto_11293
      ?auto_11276
      ?auto_11289
      ?auto_11278
      ?auto_11279
      ?auto_11280
      ?auto_11274
      ?auto_11275
      ?auto_11277
      ?auto_11295
    )
    :precondition
    ( and ( OBJ ?auto_11272 ) ( LOCATION ?auto_11273 ) ( TRUCK ?auto_11286 ) ( LOCATION ?auto_11292 ) ( CITY ?auto_11287 ) ( IN-CITY ?auto_11292 ?auto_11287 ) ( IN-CITY ?auto_11273 ?auto_11287 ) ( DIFFERENT ?auto_11273 ?auto_11292 ) ( LOCATION ?auto_11281 ) ( CITY ?auto_11284 ) ( IN-CITY ?auto_11281 ?auto_11284 ) ( IN-CITY ?auto_11292 ?auto_11284 ) ( DIFFERENT ?auto_11292 ?auto_11281 ) ( LOCATION ?auto_11290 ) ( CITY ?auto_11282 ) ( IN-CITY ?auto_11290 ?auto_11282 ) ( IN-CITY ?auto_11281 ?auto_11282 ) ( DIFFERENT ?auto_11281 ?auto_11290 ) ( LOCATION ?auto_11288 ) ( CITY ?auto_11291 ) ( IN-CITY ?auto_11288 ?auto_11291 ) ( IN-CITY ?auto_11290 ?auto_11291 ) ( DIFFERENT ?auto_11290 ?auto_11288 ) ( LOCATION ?auto_11293 ) ( CITY ?auto_11276 ) ( AT ?auto_11286 ?auto_11293 ) ( IN-CITY ?auto_11293 ?auto_11276 ) ( IN-CITY ?auto_11288 ?auto_11276 ) ( DIFFERENT ?auto_11288 ?auto_11293 ) ( LOCATION ?auto_11289 ) ( AT ?auto_11286 ?auto_11289 ) ( TRUCK ?auto_11278 ) ( AT ?auto_11278 ?auto_11289 ) ( LOCATION ?auto_11279 ) ( AT ?auto_11278 ?auto_11279 ) ( TRUCK ?auto_11280 ) ( AT ?auto_11280 ?auto_11279 ) ( LOCATION ?auto_11274 ) ( AT ?auto_11280 ?auto_11274 ) ( AIRPLANE ?auto_11275 ) ( AIRPORT ?auto_11277 ) ( AIRPORT ?auto_11274 ) ( AT ?auto_11275 ?auto_11277 ) ( DIFFERENT ?auto_11274 ?auto_11277 ) ( LOCATION ?auto_11295 ) ( AT ?auto_11272 ?auto_11295 ) ( AT ?auto_11275 ?auto_11295 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_11272 ?auto_11275 ?auto_11295 )
      ( DELIVER-PKG ?auto_11272 ?auto_11273 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11320
      ?auto_11321
    )
    :vars
    (
      ?auto_11329
      ?auto_11341
      ?auto_11330
      ?auto_11333
      ?auto_11324
      ?auto_11339
      ?auto_11323
      ?auto_11331
      ?auto_11340
      ?auto_11342
      ?auto_11335
      ?auto_11337
      ?auto_11325
      ?auto_11322
      ?auto_11332
      ?auto_11328
      ?auto_11336
      ?auto_11338
      ?auto_11344
    )
    :precondition
    ( and ( OBJ ?auto_11320 ) ( LOCATION ?auto_11321 ) ( TRUCK ?auto_11329 ) ( LOCATION ?auto_11341 ) ( CITY ?auto_11330 ) ( IN-CITY ?auto_11341 ?auto_11330 ) ( IN-CITY ?auto_11321 ?auto_11330 ) ( DIFFERENT ?auto_11321 ?auto_11341 ) ( LOCATION ?auto_11333 ) ( CITY ?auto_11324 ) ( IN-CITY ?auto_11333 ?auto_11324 ) ( IN-CITY ?auto_11341 ?auto_11324 ) ( DIFFERENT ?auto_11341 ?auto_11333 ) ( LOCATION ?auto_11339 ) ( CITY ?auto_11323 ) ( IN-CITY ?auto_11339 ?auto_11323 ) ( IN-CITY ?auto_11333 ?auto_11323 ) ( DIFFERENT ?auto_11333 ?auto_11339 ) ( LOCATION ?auto_11331 ) ( CITY ?auto_11340 ) ( IN-CITY ?auto_11331 ?auto_11340 ) ( IN-CITY ?auto_11339 ?auto_11340 ) ( DIFFERENT ?auto_11339 ?auto_11331 ) ( LOCATION ?auto_11342 ) ( CITY ?auto_11335 ) ( AT ?auto_11329 ?auto_11342 ) ( IN-CITY ?auto_11342 ?auto_11335 ) ( IN-CITY ?auto_11331 ?auto_11335 ) ( DIFFERENT ?auto_11331 ?auto_11342 ) ( LOCATION ?auto_11337 ) ( AT ?auto_11329 ?auto_11337 ) ( TRUCK ?auto_11325 ) ( AT ?auto_11325 ?auto_11337 ) ( LOCATION ?auto_11322 ) ( AT ?auto_11325 ?auto_11322 ) ( TRUCK ?auto_11332 ) ( AT ?auto_11332 ?auto_11322 ) ( LOCATION ?auto_11328 ) ( AT ?auto_11332 ?auto_11328 ) ( AIRPLANE ?auto_11336 ) ( AIRPORT ?auto_11338 ) ( AIRPORT ?auto_11328 ) ( DIFFERENT ?auto_11328 ?auto_11338 ) ( LOCATION ?auto_11338 ) ( AT ?auto_11320 ?auto_11338 ) ( AIRPORT ?auto_11344 ) ( AT ?auto_11336 ?auto_11344 ) ( DIFFERENT ?auto_11338 ?auto_11344 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11336 ?auto_11344 ?auto_11338 )
      ( DELIVER-PKG ?auto_11320 ?auto_11321 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11392
      ?auto_11393
    )
    :vars
    (
      ?auto_11399
      ?auto_11411
      ?auto_11400
      ?auto_11403
      ?auto_11396
      ?auto_11409
      ?auto_11413
      ?auto_11401
      ?auto_11410
      ?auto_11412
      ?auto_11404
      ?auto_11406
      ?auto_11395
      ?auto_11397
      ?auto_11402
      ?auto_11398
      ?auto_11405
      ?auto_11407
      ?auto_11408
      ?auto_11416
    )
    :precondition
    ( and ( OBJ ?auto_11392 ) ( LOCATION ?auto_11393 ) ( TRUCK ?auto_11399 ) ( LOCATION ?auto_11411 ) ( CITY ?auto_11400 ) ( IN-CITY ?auto_11411 ?auto_11400 ) ( IN-CITY ?auto_11393 ?auto_11400 ) ( DIFFERENT ?auto_11393 ?auto_11411 ) ( LOCATION ?auto_11403 ) ( CITY ?auto_11396 ) ( IN-CITY ?auto_11403 ?auto_11396 ) ( IN-CITY ?auto_11411 ?auto_11396 ) ( DIFFERENT ?auto_11411 ?auto_11403 ) ( LOCATION ?auto_11409 ) ( CITY ?auto_11413 ) ( IN-CITY ?auto_11409 ?auto_11413 ) ( IN-CITY ?auto_11403 ?auto_11413 ) ( DIFFERENT ?auto_11403 ?auto_11409 ) ( LOCATION ?auto_11401 ) ( CITY ?auto_11410 ) ( IN-CITY ?auto_11401 ?auto_11410 ) ( IN-CITY ?auto_11409 ?auto_11410 ) ( DIFFERENT ?auto_11409 ?auto_11401 ) ( LOCATION ?auto_11412 ) ( CITY ?auto_11404 ) ( AT ?auto_11399 ?auto_11412 ) ( IN-CITY ?auto_11412 ?auto_11404 ) ( IN-CITY ?auto_11401 ?auto_11404 ) ( DIFFERENT ?auto_11401 ?auto_11412 ) ( LOCATION ?auto_11406 ) ( AT ?auto_11399 ?auto_11406 ) ( TRUCK ?auto_11395 ) ( AT ?auto_11395 ?auto_11406 ) ( LOCATION ?auto_11397 ) ( AT ?auto_11395 ?auto_11397 ) ( TRUCK ?auto_11402 ) ( AT ?auto_11402 ?auto_11397 ) ( LOCATION ?auto_11398 ) ( AT ?auto_11402 ?auto_11398 ) ( AIRPLANE ?auto_11405 ) ( AIRPORT ?auto_11407 ) ( AIRPORT ?auto_11398 ) ( DIFFERENT ?auto_11398 ?auto_11407 ) ( LOCATION ?auto_11407 ) ( AT ?auto_11392 ?auto_11407 ) ( AIRPORT ?auto_11408 ) ( DIFFERENT ?auto_11407 ?auto_11408 ) ( AIRPORT ?auto_11416 ) ( AT ?auto_11405 ?auto_11416 ) ( DIFFERENT ?auto_11408 ?auto_11416 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11405 ?auto_11416 ?auto_11408 )
      ( DELIVER-PKG ?auto_11392 ?auto_11393 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11418
      ?auto_11419
    )
    :vars
    (
      ?auto_11424
      ?auto_11427
      ?auto_11432
      ?auto_11435
      ?auto_11421
      ?auto_11425
      ?auto_11441
      ?auto_11433
      ?auto_11426
      ?auto_11428
      ?auto_11436
      ?auto_11438
      ?auto_11420
      ?auto_11422
      ?auto_11434
      ?auto_11423
      ?auto_11437
      ?auto_11439
      ?auto_11440
      ?auto_11429
      ?auto_11444
    )
    :precondition
    ( and ( OBJ ?auto_11418 ) ( LOCATION ?auto_11419 ) ( TRUCK ?auto_11424 ) ( LOCATION ?auto_11427 ) ( CITY ?auto_11432 ) ( IN-CITY ?auto_11427 ?auto_11432 ) ( IN-CITY ?auto_11419 ?auto_11432 ) ( DIFFERENT ?auto_11419 ?auto_11427 ) ( LOCATION ?auto_11435 ) ( CITY ?auto_11421 ) ( IN-CITY ?auto_11435 ?auto_11421 ) ( IN-CITY ?auto_11427 ?auto_11421 ) ( DIFFERENT ?auto_11427 ?auto_11435 ) ( LOCATION ?auto_11425 ) ( CITY ?auto_11441 ) ( IN-CITY ?auto_11425 ?auto_11441 ) ( IN-CITY ?auto_11435 ?auto_11441 ) ( DIFFERENT ?auto_11435 ?auto_11425 ) ( LOCATION ?auto_11433 ) ( CITY ?auto_11426 ) ( IN-CITY ?auto_11433 ?auto_11426 ) ( IN-CITY ?auto_11425 ?auto_11426 ) ( DIFFERENT ?auto_11425 ?auto_11433 ) ( LOCATION ?auto_11428 ) ( CITY ?auto_11436 ) ( AT ?auto_11424 ?auto_11428 ) ( IN-CITY ?auto_11428 ?auto_11436 ) ( IN-CITY ?auto_11433 ?auto_11436 ) ( DIFFERENT ?auto_11433 ?auto_11428 ) ( LOCATION ?auto_11438 ) ( AT ?auto_11424 ?auto_11438 ) ( TRUCK ?auto_11420 ) ( AT ?auto_11420 ?auto_11438 ) ( LOCATION ?auto_11422 ) ( AT ?auto_11420 ?auto_11422 ) ( TRUCK ?auto_11434 ) ( AT ?auto_11434 ?auto_11422 ) ( LOCATION ?auto_11423 ) ( AT ?auto_11434 ?auto_11423 ) ( AIRPLANE ?auto_11437 ) ( AIRPORT ?auto_11439 ) ( AIRPORT ?auto_11423 ) ( DIFFERENT ?auto_11423 ?auto_11439 ) ( LOCATION ?auto_11439 ) ( AIRPORT ?auto_11440 ) ( DIFFERENT ?auto_11439 ?auto_11440 ) ( AIRPORT ?auto_11429 ) ( AT ?auto_11437 ?auto_11429 ) ( DIFFERENT ?auto_11440 ?auto_11429 ) ( TRUCK ?auto_11444 ) ( AT ?auto_11444 ?auto_11439 ) ( IN ?auto_11418 ?auto_11444 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11418 ?auto_11439 )
      ( DELIVER-PKG ?auto_11418 ?auto_11419 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11470
      ?auto_11471
    )
    :vars
    (
      ?auto_11492
      ?auto_11474
      ?auto_11475
      ?auto_11483
      ?auto_11487
      ?auto_11494
      ?auto_11482
      ?auto_11479
      ?auto_11493
      ?auto_11476
      ?auto_11488
      ?auto_11477
      ?auto_11472
      ?auto_11486
      ?auto_11480
      ?auto_11491
      ?auto_11490
      ?auto_11478
      ?auto_11481
      ?auto_11484
      ?auto_11489
      ?auto_11497
      ?auto_11496
    )
    :precondition
    ( and ( OBJ ?auto_11470 ) ( LOCATION ?auto_11471 ) ( TRUCK ?auto_11492 ) ( LOCATION ?auto_11474 ) ( CITY ?auto_11475 ) ( IN-CITY ?auto_11474 ?auto_11475 ) ( IN-CITY ?auto_11471 ?auto_11475 ) ( DIFFERENT ?auto_11471 ?auto_11474 ) ( LOCATION ?auto_11483 ) ( CITY ?auto_11487 ) ( IN-CITY ?auto_11483 ?auto_11487 ) ( IN-CITY ?auto_11474 ?auto_11487 ) ( DIFFERENT ?auto_11474 ?auto_11483 ) ( LOCATION ?auto_11494 ) ( CITY ?auto_11482 ) ( IN-CITY ?auto_11494 ?auto_11482 ) ( IN-CITY ?auto_11483 ?auto_11482 ) ( DIFFERENT ?auto_11483 ?auto_11494 ) ( LOCATION ?auto_11479 ) ( CITY ?auto_11493 ) ( IN-CITY ?auto_11479 ?auto_11493 ) ( IN-CITY ?auto_11494 ?auto_11493 ) ( DIFFERENT ?auto_11494 ?auto_11479 ) ( LOCATION ?auto_11476 ) ( CITY ?auto_11488 ) ( AT ?auto_11492 ?auto_11476 ) ( IN-CITY ?auto_11476 ?auto_11488 ) ( IN-CITY ?auto_11479 ?auto_11488 ) ( DIFFERENT ?auto_11479 ?auto_11476 ) ( LOCATION ?auto_11477 ) ( AT ?auto_11492 ?auto_11477 ) ( TRUCK ?auto_11472 ) ( AT ?auto_11472 ?auto_11477 ) ( LOCATION ?auto_11486 ) ( AT ?auto_11472 ?auto_11486 ) ( TRUCK ?auto_11480 ) ( AT ?auto_11480 ?auto_11486 ) ( LOCATION ?auto_11491 ) ( AT ?auto_11480 ?auto_11491 ) ( AIRPLANE ?auto_11490 ) ( AIRPORT ?auto_11478 ) ( AIRPORT ?auto_11491 ) ( DIFFERENT ?auto_11491 ?auto_11478 ) ( LOCATION ?auto_11478 ) ( AIRPORT ?auto_11481 ) ( DIFFERENT ?auto_11478 ?auto_11481 ) ( AIRPORT ?auto_11484 ) ( AT ?auto_11490 ?auto_11484 ) ( DIFFERENT ?auto_11481 ?auto_11484 ) ( TRUCK ?auto_11489 ) ( IN ?auto_11470 ?auto_11489 ) ( LOCATION ?auto_11497 ) ( CITY ?auto_11496 ) ( AT ?auto_11489 ?auto_11497 ) ( IN-CITY ?auto_11497 ?auto_11496 ) ( IN-CITY ?auto_11478 ?auto_11496 ) ( DIFFERENT ?auto_11478 ?auto_11497 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11489 ?auto_11497 ?auto_11478 ?auto_11496 )
      ( DELIVER-PKG ?auto_11470 ?auto_11471 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11526
      ?auto_11527
    )
    :vars
    (
      ?auto_11532
      ?auto_11530
      ?auto_11528
      ?auto_11540
      ?auto_11543
      ?auto_11535
      ?auto_11539
      ?auto_11536
      ?auto_11533
      ?auto_11531
      ?auto_11545
      ?auto_11549
      ?auto_11551
      ?auto_11542
      ?auto_11537
      ?auto_11548
      ?auto_11547
      ?auto_11550
      ?auto_11538
      ?auto_11541
      ?auto_11546
      ?auto_11534
      ?auto_11544
      ?auto_11554
    )
    :precondition
    ( and ( OBJ ?auto_11526 ) ( LOCATION ?auto_11527 ) ( TRUCK ?auto_11532 ) ( LOCATION ?auto_11530 ) ( CITY ?auto_11528 ) ( IN-CITY ?auto_11530 ?auto_11528 ) ( IN-CITY ?auto_11527 ?auto_11528 ) ( DIFFERENT ?auto_11527 ?auto_11530 ) ( LOCATION ?auto_11540 ) ( CITY ?auto_11543 ) ( IN-CITY ?auto_11540 ?auto_11543 ) ( IN-CITY ?auto_11530 ?auto_11543 ) ( DIFFERENT ?auto_11530 ?auto_11540 ) ( LOCATION ?auto_11535 ) ( CITY ?auto_11539 ) ( IN-CITY ?auto_11535 ?auto_11539 ) ( IN-CITY ?auto_11540 ?auto_11539 ) ( DIFFERENT ?auto_11540 ?auto_11535 ) ( LOCATION ?auto_11536 ) ( CITY ?auto_11533 ) ( IN-CITY ?auto_11536 ?auto_11533 ) ( IN-CITY ?auto_11535 ?auto_11533 ) ( DIFFERENT ?auto_11535 ?auto_11536 ) ( LOCATION ?auto_11531 ) ( CITY ?auto_11545 ) ( AT ?auto_11532 ?auto_11531 ) ( IN-CITY ?auto_11531 ?auto_11545 ) ( IN-CITY ?auto_11536 ?auto_11545 ) ( DIFFERENT ?auto_11536 ?auto_11531 ) ( LOCATION ?auto_11549 ) ( AT ?auto_11532 ?auto_11549 ) ( TRUCK ?auto_11551 ) ( AT ?auto_11551 ?auto_11549 ) ( LOCATION ?auto_11542 ) ( AT ?auto_11551 ?auto_11542 ) ( TRUCK ?auto_11537 ) ( AT ?auto_11537 ?auto_11542 ) ( LOCATION ?auto_11548 ) ( AT ?auto_11537 ?auto_11548 ) ( AIRPLANE ?auto_11547 ) ( AIRPORT ?auto_11550 ) ( AIRPORT ?auto_11548 ) ( DIFFERENT ?auto_11548 ?auto_11550 ) ( LOCATION ?auto_11550 ) ( AIRPORT ?auto_11538 ) ( DIFFERENT ?auto_11550 ?auto_11538 ) ( AIRPORT ?auto_11541 ) ( AT ?auto_11547 ?auto_11541 ) ( DIFFERENT ?auto_11538 ?auto_11541 ) ( TRUCK ?auto_11546 ) ( LOCATION ?auto_11534 ) ( CITY ?auto_11544 ) ( AT ?auto_11546 ?auto_11534 ) ( IN-CITY ?auto_11534 ?auto_11544 ) ( IN-CITY ?auto_11550 ?auto_11544 ) ( DIFFERENT ?auto_11550 ?auto_11534 ) ( LOCATION ?auto_11554 ) ( AT ?auto_11546 ?auto_11554 ) ( AT ?auto_11526 ?auto_11554 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11526 ?auto_11546 ?auto_11554 )
      ( DELIVER-PKG ?auto_11526 ?auto_11527 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11584
      ?auto_11585
    )
    :vars
    (
      ?auto_11587
      ?auto_11586
      ?auto_11610
      ?auto_11595
      ?auto_11598
      ?auto_11590
      ?auto_11594
      ?auto_11591
      ?auto_11608
      ?auto_11588
      ?auto_11600
      ?auto_11605
      ?auto_11607
      ?auto_11597
      ?auto_11592
      ?auto_11603
      ?auto_11602
      ?auto_11606
      ?auto_11593
      ?auto_11596
      ?auto_11601
      ?auto_11604
      ?auto_11599
      ?auto_11614
      ?auto_11613
    )
    :precondition
    ( and ( OBJ ?auto_11584 ) ( LOCATION ?auto_11585 ) ( TRUCK ?auto_11587 ) ( LOCATION ?auto_11586 ) ( CITY ?auto_11610 ) ( IN-CITY ?auto_11586 ?auto_11610 ) ( IN-CITY ?auto_11585 ?auto_11610 ) ( DIFFERENT ?auto_11585 ?auto_11586 ) ( LOCATION ?auto_11595 ) ( CITY ?auto_11598 ) ( IN-CITY ?auto_11595 ?auto_11598 ) ( IN-CITY ?auto_11586 ?auto_11598 ) ( DIFFERENT ?auto_11586 ?auto_11595 ) ( LOCATION ?auto_11590 ) ( CITY ?auto_11594 ) ( IN-CITY ?auto_11590 ?auto_11594 ) ( IN-CITY ?auto_11595 ?auto_11594 ) ( DIFFERENT ?auto_11595 ?auto_11590 ) ( LOCATION ?auto_11591 ) ( CITY ?auto_11608 ) ( IN-CITY ?auto_11591 ?auto_11608 ) ( IN-CITY ?auto_11590 ?auto_11608 ) ( DIFFERENT ?auto_11590 ?auto_11591 ) ( LOCATION ?auto_11588 ) ( CITY ?auto_11600 ) ( AT ?auto_11587 ?auto_11588 ) ( IN-CITY ?auto_11588 ?auto_11600 ) ( IN-CITY ?auto_11591 ?auto_11600 ) ( DIFFERENT ?auto_11591 ?auto_11588 ) ( LOCATION ?auto_11605 ) ( AT ?auto_11587 ?auto_11605 ) ( TRUCK ?auto_11607 ) ( AT ?auto_11607 ?auto_11605 ) ( LOCATION ?auto_11597 ) ( AT ?auto_11607 ?auto_11597 ) ( TRUCK ?auto_11592 ) ( AT ?auto_11592 ?auto_11597 ) ( LOCATION ?auto_11603 ) ( AT ?auto_11592 ?auto_11603 ) ( AIRPLANE ?auto_11602 ) ( AIRPORT ?auto_11606 ) ( AIRPORT ?auto_11603 ) ( DIFFERENT ?auto_11603 ?auto_11606 ) ( LOCATION ?auto_11606 ) ( AIRPORT ?auto_11593 ) ( DIFFERENT ?auto_11606 ?auto_11593 ) ( AIRPORT ?auto_11596 ) ( AT ?auto_11602 ?auto_11596 ) ( DIFFERENT ?auto_11593 ?auto_11596 ) ( TRUCK ?auto_11601 ) ( LOCATION ?auto_11604 ) ( CITY ?auto_11599 ) ( IN-CITY ?auto_11604 ?auto_11599 ) ( IN-CITY ?auto_11606 ?auto_11599 ) ( DIFFERENT ?auto_11606 ?auto_11604 ) ( AT ?auto_11584 ?auto_11604 ) ( LOCATION ?auto_11614 ) ( CITY ?auto_11613 ) ( AT ?auto_11601 ?auto_11614 ) ( IN-CITY ?auto_11614 ?auto_11613 ) ( IN-CITY ?auto_11604 ?auto_11613 ) ( DIFFERENT ?auto_11604 ?auto_11614 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11601 ?auto_11614 ?auto_11604 ?auto_11613 )
      ( DELIVER-PKG ?auto_11584 ?auto_11585 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11645
      ?auto_11646
    )
    :vars
    (
      ?auto_11671
      ?auto_11648
      ?auto_11658
      ?auto_11662
      ?auto_11665
      ?auto_11647
      ?auto_11661
      ?auto_11651
      ?auto_11657
      ?auto_11649
      ?auto_11667
      ?auto_11654
      ?auto_11656
      ?auto_11664
      ?auto_11660
      ?auto_11670
      ?auto_11669
      ?auto_11655
      ?auto_11672
      ?auto_11663
      ?auto_11668
      ?auto_11652
      ?auto_11666
      ?auto_11659
      ?auto_11653
      ?auto_11676
      ?auto_11675
    )
    :precondition
    ( and ( OBJ ?auto_11645 ) ( LOCATION ?auto_11646 ) ( TRUCK ?auto_11671 ) ( LOCATION ?auto_11648 ) ( CITY ?auto_11658 ) ( IN-CITY ?auto_11648 ?auto_11658 ) ( IN-CITY ?auto_11646 ?auto_11658 ) ( DIFFERENT ?auto_11646 ?auto_11648 ) ( LOCATION ?auto_11662 ) ( CITY ?auto_11665 ) ( IN-CITY ?auto_11662 ?auto_11665 ) ( IN-CITY ?auto_11648 ?auto_11665 ) ( DIFFERENT ?auto_11648 ?auto_11662 ) ( LOCATION ?auto_11647 ) ( CITY ?auto_11661 ) ( IN-CITY ?auto_11647 ?auto_11661 ) ( IN-CITY ?auto_11662 ?auto_11661 ) ( DIFFERENT ?auto_11662 ?auto_11647 ) ( LOCATION ?auto_11651 ) ( CITY ?auto_11657 ) ( IN-CITY ?auto_11651 ?auto_11657 ) ( IN-CITY ?auto_11647 ?auto_11657 ) ( DIFFERENT ?auto_11647 ?auto_11651 ) ( LOCATION ?auto_11649 ) ( CITY ?auto_11667 ) ( AT ?auto_11671 ?auto_11649 ) ( IN-CITY ?auto_11649 ?auto_11667 ) ( IN-CITY ?auto_11651 ?auto_11667 ) ( DIFFERENT ?auto_11651 ?auto_11649 ) ( LOCATION ?auto_11654 ) ( AT ?auto_11671 ?auto_11654 ) ( TRUCK ?auto_11656 ) ( AT ?auto_11656 ?auto_11654 ) ( LOCATION ?auto_11664 ) ( AT ?auto_11656 ?auto_11664 ) ( TRUCK ?auto_11660 ) ( AT ?auto_11660 ?auto_11664 ) ( LOCATION ?auto_11670 ) ( AT ?auto_11660 ?auto_11670 ) ( AIRPLANE ?auto_11669 ) ( AIRPORT ?auto_11655 ) ( AIRPORT ?auto_11670 ) ( DIFFERENT ?auto_11670 ?auto_11655 ) ( LOCATION ?auto_11655 ) ( AIRPORT ?auto_11672 ) ( DIFFERENT ?auto_11655 ?auto_11672 ) ( AIRPORT ?auto_11663 ) ( AT ?auto_11669 ?auto_11663 ) ( DIFFERENT ?auto_11672 ?auto_11663 ) ( TRUCK ?auto_11668 ) ( LOCATION ?auto_11652 ) ( CITY ?auto_11666 ) ( IN-CITY ?auto_11652 ?auto_11666 ) ( IN-CITY ?auto_11655 ?auto_11666 ) ( DIFFERENT ?auto_11655 ?auto_11652 ) ( AT ?auto_11645 ?auto_11652 ) ( LOCATION ?auto_11659 ) ( CITY ?auto_11653 ) ( IN-CITY ?auto_11659 ?auto_11653 ) ( IN-CITY ?auto_11652 ?auto_11653 ) ( DIFFERENT ?auto_11652 ?auto_11659 ) ( LOCATION ?auto_11676 ) ( CITY ?auto_11675 ) ( AT ?auto_11668 ?auto_11676 ) ( IN-CITY ?auto_11676 ?auto_11675 ) ( IN-CITY ?auto_11659 ?auto_11675 ) ( DIFFERENT ?auto_11659 ?auto_11676 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11668 ?auto_11676 ?auto_11659 ?auto_11675 )
      ( DELIVER-PKG ?auto_11645 ?auto_11646 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11740
      ?auto_11741
    )
    :vars
    (
      ?auto_11765
      ?auto_11769
      ?auto_11749
      ?auto_11753
      ?auto_11758
      ?auto_11743
      ?auto_11752
      ?auto_11744
      ?auto_11748
      ?auto_11768
      ?auto_11761
      ?auto_11755
      ?auto_11747
      ?auto_11757
      ?auto_11751
      ?auto_11764
      ?auto_11763
      ?auto_11746
      ?auto_11766
      ?auto_11754
      ?auto_11762
      ?auto_11745
      ?auto_11759
      ?auto_11750
      ?auto_11756
      ?auto_11767
      ?auto_11760
      ?auto_11772
    )
    :precondition
    ( and ( OBJ ?auto_11740 ) ( LOCATION ?auto_11741 ) ( TRUCK ?auto_11765 ) ( LOCATION ?auto_11769 ) ( CITY ?auto_11749 ) ( IN-CITY ?auto_11769 ?auto_11749 ) ( IN-CITY ?auto_11741 ?auto_11749 ) ( DIFFERENT ?auto_11741 ?auto_11769 ) ( LOCATION ?auto_11753 ) ( CITY ?auto_11758 ) ( IN-CITY ?auto_11753 ?auto_11758 ) ( IN-CITY ?auto_11769 ?auto_11758 ) ( DIFFERENT ?auto_11769 ?auto_11753 ) ( LOCATION ?auto_11743 ) ( CITY ?auto_11752 ) ( IN-CITY ?auto_11743 ?auto_11752 ) ( IN-CITY ?auto_11753 ?auto_11752 ) ( DIFFERENT ?auto_11753 ?auto_11743 ) ( LOCATION ?auto_11744 ) ( CITY ?auto_11748 ) ( IN-CITY ?auto_11744 ?auto_11748 ) ( IN-CITY ?auto_11743 ?auto_11748 ) ( DIFFERENT ?auto_11743 ?auto_11744 ) ( LOCATION ?auto_11768 ) ( CITY ?auto_11761 ) ( AT ?auto_11765 ?auto_11768 ) ( IN-CITY ?auto_11768 ?auto_11761 ) ( IN-CITY ?auto_11744 ?auto_11761 ) ( DIFFERENT ?auto_11744 ?auto_11768 ) ( LOCATION ?auto_11755 ) ( AT ?auto_11765 ?auto_11755 ) ( TRUCK ?auto_11747 ) ( AT ?auto_11747 ?auto_11755 ) ( LOCATION ?auto_11757 ) ( AT ?auto_11747 ?auto_11757 ) ( TRUCK ?auto_11751 ) ( AT ?auto_11751 ?auto_11757 ) ( LOCATION ?auto_11764 ) ( AT ?auto_11751 ?auto_11764 ) ( AIRPLANE ?auto_11763 ) ( AIRPORT ?auto_11746 ) ( AIRPORT ?auto_11764 ) ( DIFFERENT ?auto_11764 ?auto_11746 ) ( LOCATION ?auto_11746 ) ( AIRPORT ?auto_11766 ) ( DIFFERENT ?auto_11746 ?auto_11766 ) ( AIRPORT ?auto_11754 ) ( DIFFERENT ?auto_11766 ?auto_11754 ) ( TRUCK ?auto_11762 ) ( LOCATION ?auto_11745 ) ( CITY ?auto_11759 ) ( IN-CITY ?auto_11745 ?auto_11759 ) ( IN-CITY ?auto_11746 ?auto_11759 ) ( DIFFERENT ?auto_11746 ?auto_11745 ) ( AT ?auto_11740 ?auto_11745 ) ( LOCATION ?auto_11750 ) ( CITY ?auto_11756 ) ( IN-CITY ?auto_11750 ?auto_11756 ) ( IN-CITY ?auto_11745 ?auto_11756 ) ( DIFFERENT ?auto_11745 ?auto_11750 ) ( LOCATION ?auto_11767 ) ( CITY ?auto_11760 ) ( AT ?auto_11762 ?auto_11767 ) ( IN-CITY ?auto_11767 ?auto_11760 ) ( IN-CITY ?auto_11750 ?auto_11760 ) ( DIFFERENT ?auto_11750 ?auto_11767 ) ( AIRPORT ?auto_11772 ) ( AT ?auto_11763 ?auto_11772 ) ( DIFFERENT ?auto_11754 ?auto_11772 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11763 ?auto_11772 ?auto_11754 )
      ( DELIVER-PKG ?auto_11740 ?auto_11741 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30325
      ?auto_30326
    )
    :vars
    (
      ?auto_30330
      ?auto_30333
      ?auto_30336
      ?auto_30329
      ?auto_30328
      ?auto_30335
      ?auto_30331
      ?auto_30327
      ?auto_30337
    )
    :precondition
    ( and ( OBJ ?auto_30325 ) ( LOCATION ?auto_30326 ) ( AIRPLANE ?auto_30330 ) ( AT ?auto_30330 ?auto_30326 ) ( LOCATION ?auto_30333 ) ( AT ?auto_30330 ?auto_30333 ) ( AIRPLANE ?auto_30336 ) ( AT ?auto_30336 ?auto_30333 ) ( LOCATION ?auto_30329 ) ( AT ?auto_30336 ?auto_30329 ) ( AIRPLANE ?auto_30328 ) ( AT ?auto_30328 ?auto_30329 ) ( LOCATION ?auto_30335 ) ( AT ?auto_30328 ?auto_30335 ) ( AIRPLANE ?auto_30331 ) ( AT ?auto_30331 ?auto_30335 ) ( LOCATION ?auto_30327 ) ( AT ?auto_30331 ?auto_30327 ) ( TRUCK ?auto_30337 ) ( AT ?auto_30337 ?auto_30327 ) ( IN ?auto_30325 ?auto_30337 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30325 ?auto_30327 )
      ( DELIVER-PKG ?auto_30325 ?auto_30326 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30340
      ?auto_30341
    )
    :vars
    (
      ?auto_30350
      ?auto_30352
      ?auto_30345
      ?auto_30348
      ?auto_30349
      ?auto_30343
      ?auto_30351
      ?auto_30347
      ?auto_30342
      ?auto_30355
      ?auto_30354
    )
    :precondition
    ( and ( OBJ ?auto_30340 ) ( LOCATION ?auto_30341 ) ( AIRPLANE ?auto_30350 ) ( AT ?auto_30350 ?auto_30341 ) ( LOCATION ?auto_30352 ) ( AT ?auto_30350 ?auto_30352 ) ( AIRPLANE ?auto_30345 ) ( AT ?auto_30345 ?auto_30352 ) ( LOCATION ?auto_30348 ) ( AT ?auto_30345 ?auto_30348 ) ( AIRPLANE ?auto_30349 ) ( AT ?auto_30349 ?auto_30348 ) ( LOCATION ?auto_30343 ) ( AT ?auto_30349 ?auto_30343 ) ( AIRPLANE ?auto_30351 ) ( AT ?auto_30351 ?auto_30343 ) ( LOCATION ?auto_30347 ) ( AT ?auto_30351 ?auto_30347 ) ( TRUCK ?auto_30342 ) ( IN ?auto_30340 ?auto_30342 ) ( LOCATION ?auto_30355 ) ( CITY ?auto_30354 ) ( AT ?auto_30342 ?auto_30355 ) ( IN-CITY ?auto_30355 ?auto_30354 ) ( IN-CITY ?auto_30347 ?auto_30354 ) ( DIFFERENT ?auto_30347 ?auto_30355 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30342 ?auto_30355 ?auto_30347 ?auto_30354 )
      ( DELIVER-PKG ?auto_30340 ?auto_30341 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30357
      ?auto_30358
    )
    :vars
    (
      ?auto_30364
      ?auto_30359
      ?auto_30371
      ?auto_30365
      ?auto_30368
      ?auto_30370
      ?auto_30369
      ?auto_30362
      ?auto_30367
      ?auto_30361
      ?auto_30360
      ?auto_30373
    )
    :precondition
    ( and ( OBJ ?auto_30357 ) ( LOCATION ?auto_30358 ) ( AIRPLANE ?auto_30364 ) ( AT ?auto_30364 ?auto_30358 ) ( LOCATION ?auto_30359 ) ( AT ?auto_30364 ?auto_30359 ) ( AIRPLANE ?auto_30371 ) ( AT ?auto_30371 ?auto_30359 ) ( LOCATION ?auto_30365 ) ( AT ?auto_30371 ?auto_30365 ) ( AIRPLANE ?auto_30368 ) ( AT ?auto_30368 ?auto_30365 ) ( LOCATION ?auto_30370 ) ( AT ?auto_30368 ?auto_30370 ) ( AIRPLANE ?auto_30369 ) ( AT ?auto_30369 ?auto_30370 ) ( LOCATION ?auto_30362 ) ( AT ?auto_30369 ?auto_30362 ) ( TRUCK ?auto_30367 ) ( LOCATION ?auto_30361 ) ( CITY ?auto_30360 ) ( AT ?auto_30367 ?auto_30361 ) ( IN-CITY ?auto_30361 ?auto_30360 ) ( IN-CITY ?auto_30362 ?auto_30360 ) ( DIFFERENT ?auto_30362 ?auto_30361 ) ( LOCATION ?auto_30373 ) ( AT ?auto_30367 ?auto_30373 ) ( AT ?auto_30357 ?auto_30373 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30357 ?auto_30367 ?auto_30373 )
      ( DELIVER-PKG ?auto_30357 ?auto_30358 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11928
      ?auto_11929
    )
    :vars
    (
      ?auto_11937
      ?auto_11934
      ?auto_11936
      ?auto_11931
      ?auto_11935
      ?auto_11940
      ?auto_11939
    )
    :precondition
    ( and ( OBJ ?auto_11928 ) ( LOCATION ?auto_11929 ) ( AIRPLANE ?auto_11937 ) ( AT ?auto_11937 ?auto_11929 ) ( LOCATION ?auto_11934 ) ( AT ?auto_11937 ?auto_11934 ) ( TRUCK ?auto_11936 ) ( LOCATION ?auto_11931 ) ( CITY ?auto_11935 ) ( IN-CITY ?auto_11931 ?auto_11935 ) ( IN-CITY ?auto_11934 ?auto_11935 ) ( DIFFERENT ?auto_11934 ?auto_11931 ) ( AT ?auto_11928 ?auto_11931 ) ( LOCATION ?auto_11940 ) ( CITY ?auto_11939 ) ( AT ?auto_11936 ?auto_11940 ) ( IN-CITY ?auto_11940 ?auto_11939 ) ( IN-CITY ?auto_11931 ?auto_11939 ) ( DIFFERENT ?auto_11931 ?auto_11940 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11936 ?auto_11940 ?auto_11931 ?auto_11939 )
      ( DELIVER-PKG ?auto_11928 ?auto_11929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12013
      ?auto_12014
    )
    :vars
    (
      ?auto_12019
      ?auto_12016
      ?auto_12015
      ?auto_12022
    )
    :precondition
    ( and ( OBJ ?auto_12013 ) ( LOCATION ?auto_12014 ) ( AIRPLANE ?auto_12019 ) ( AIRPORT ?auto_12016 ) ( AIRPORT ?auto_12014 ) ( AT ?auto_12019 ?auto_12016 ) ( DIFFERENT ?auto_12014 ?auto_12016 ) ( LOCATION ?auto_12015 ) ( AT ?auto_12019 ?auto_12015 ) ( AIRPLANE ?auto_12022 ) ( IN ?auto_12013 ?auto_12022 ) ( AT ?auto_12022 ?auto_12015 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12013 ?auto_12015 )
      ( DELIVER-PKG ?auto_12013 ?auto_12014 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12241
      ?auto_12242
    )
    :vars
    (
      ?auto_12250
      ?auto_12245
      ?auto_12248
      ?auto_12243
      ?auto_12246
      ?auto_12251
      ?auto_12247
      ?auto_12254
    )
    :precondition
    ( and ( OBJ ?auto_12241 ) ( LOCATION ?auto_12242 ) ( TRUCK ?auto_12250 ) ( LOCATION ?auto_12245 ) ( CITY ?auto_12248 ) ( AT ?auto_12250 ?auto_12245 ) ( IN-CITY ?auto_12245 ?auto_12248 ) ( IN-CITY ?auto_12242 ?auto_12248 ) ( DIFFERENT ?auto_12242 ?auto_12245 ) ( LOCATION ?auto_12243 ) ( AT ?auto_12250 ?auto_12243 ) ( AIRPLANE ?auto_12246 ) ( AIRPORT ?auto_12251 ) ( AIRPORT ?auto_12243 ) ( AT ?auto_12246 ?auto_12251 ) ( DIFFERENT ?auto_12243 ?auto_12251 ) ( LOCATION ?auto_12247 ) ( AT ?auto_12246 ?auto_12247 ) ( AIRPLANE ?auto_12254 ) ( IN ?auto_12241 ?auto_12254 ) ( AT ?auto_12254 ?auto_12247 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12241 ?auto_12247 )
      ( DELIVER-PKG ?auto_12241 ?auto_12242 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12340
      ?auto_12341
    )
    :vars
    (
      ?auto_12347
      ?auto_12355
      ?auto_12343
      ?auto_12342
      ?auto_12352
      ?auto_12354
      ?auto_12348
      ?auto_12351
      ?auto_12346
      ?auto_12353
      ?auto_12356
      ?auto_12349
      ?auto_12359
      ?auto_12358
    )
    :precondition
    ( and ( OBJ ?auto_12340 ) ( LOCATION ?auto_12341 ) ( TRUCK ?auto_12347 ) ( LOCATION ?auto_12355 ) ( CITY ?auto_12343 ) ( AT ?auto_12347 ?auto_12355 ) ( IN-CITY ?auto_12355 ?auto_12343 ) ( IN-CITY ?auto_12341 ?auto_12343 ) ( DIFFERENT ?auto_12341 ?auto_12355 ) ( LOCATION ?auto_12342 ) ( AT ?auto_12347 ?auto_12342 ) ( AIRPLANE ?auto_12352 ) ( AIRPORT ?auto_12354 ) ( AIRPORT ?auto_12342 ) ( AT ?auto_12352 ?auto_12354 ) ( DIFFERENT ?auto_12342 ?auto_12354 ) ( LOCATION ?auto_12348 ) ( AT ?auto_12352 ?auto_12348 ) ( AIRPLANE ?auto_12351 ) ( AT ?auto_12351 ?auto_12348 ) ( LOCATION ?auto_12346 ) ( AT ?auto_12351 ?auto_12346 ) ( TRUCK ?auto_12353 ) ( LOCATION ?auto_12356 ) ( CITY ?auto_12349 ) ( IN-CITY ?auto_12356 ?auto_12349 ) ( IN-CITY ?auto_12346 ?auto_12349 ) ( DIFFERENT ?auto_12346 ?auto_12356 ) ( AT ?auto_12340 ?auto_12356 ) ( LOCATION ?auto_12359 ) ( CITY ?auto_12358 ) ( AT ?auto_12353 ?auto_12359 ) ( IN-CITY ?auto_12359 ?auto_12358 ) ( IN-CITY ?auto_12356 ?auto_12358 ) ( DIFFERENT ?auto_12356 ?auto_12359 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12353 ?auto_12359 ?auto_12356 ?auto_12358 )
      ( DELIVER-PKG ?auto_12340 ?auto_12341 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13296
      ?auto_13297
    )
    :vars
    (
      ?auto_13302
      ?auto_13307
      ?auto_13298
      ?auto_13304
      ?auto_13300
      ?auto_13299
      ?auto_13311
      ?auto_13305
      ?auto_13301
      ?auto_13310
      ?auto_13309
      ?auto_13313
    )
    :precondition
    ( and ( OBJ ?auto_13296 ) ( LOCATION ?auto_13297 ) ( TRUCK ?auto_13302 ) ( LOCATION ?auto_13307 ) ( CITY ?auto_13298 ) ( AT ?auto_13302 ?auto_13307 ) ( IN-CITY ?auto_13307 ?auto_13298 ) ( IN-CITY ?auto_13297 ?auto_13298 ) ( DIFFERENT ?auto_13297 ?auto_13307 ) ( LOCATION ?auto_13304 ) ( AT ?auto_13302 ?auto_13304 ) ( AIRPLANE ?auto_13300 ) ( AIRPORT ?auto_13299 ) ( AIRPORT ?auto_13304 ) ( DIFFERENT ?auto_13304 ?auto_13299 ) ( LOCATION ?auto_13299 ) ( TRUCK ?auto_13311 ) ( LOCATION ?auto_13305 ) ( CITY ?auto_13301 ) ( IN-CITY ?auto_13305 ?auto_13301 ) ( IN-CITY ?auto_13299 ?auto_13301 ) ( DIFFERENT ?auto_13299 ?auto_13305 ) ( AT ?auto_13296 ?auto_13305 ) ( LOCATION ?auto_13310 ) ( CITY ?auto_13309 ) ( AT ?auto_13311 ?auto_13310 ) ( IN-CITY ?auto_13310 ?auto_13309 ) ( IN-CITY ?auto_13305 ?auto_13309 ) ( DIFFERENT ?auto_13305 ?auto_13310 ) ( AIRPORT ?auto_13313 ) ( AT ?auto_13300 ?auto_13313 ) ( DIFFERENT ?auto_13299 ?auto_13313 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13300 ?auto_13313 ?auto_13299 )
      ( DELIVER-PKG ?auto_13296 ?auto_13297 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13411
      ?auto_13412
    )
    :vars
    (
      ?auto_13420
      ?auto_13421
      ?auto_13415
      ?auto_13414
      ?auto_13417
      ?auto_13426
      ?auto_13422
      ?auto_13419
      ?auto_13425
      ?auto_13424
      ?auto_13413
      ?auto_13429
      ?auto_13428
    )
    :precondition
    ( and ( OBJ ?auto_13411 ) ( LOCATION ?auto_13412 ) ( TRUCK ?auto_13420 ) ( LOCATION ?auto_13421 ) ( CITY ?auto_13415 ) ( IN-CITY ?auto_13421 ?auto_13415 ) ( IN-CITY ?auto_13412 ?auto_13415 ) ( DIFFERENT ?auto_13412 ?auto_13421 ) ( AIRPLANE ?auto_13414 ) ( AIRPORT ?auto_13417 ) ( AIRPORT ?auto_13421 ) ( DIFFERENT ?auto_13421 ?auto_13417 ) ( LOCATION ?auto_13417 ) ( TRUCK ?auto_13426 ) ( LOCATION ?auto_13422 ) ( CITY ?auto_13419 ) ( IN-CITY ?auto_13422 ?auto_13419 ) ( IN-CITY ?auto_13417 ?auto_13419 ) ( DIFFERENT ?auto_13417 ?auto_13422 ) ( AT ?auto_13411 ?auto_13422 ) ( LOCATION ?auto_13425 ) ( CITY ?auto_13424 ) ( AT ?auto_13426 ?auto_13425 ) ( IN-CITY ?auto_13425 ?auto_13424 ) ( IN-CITY ?auto_13422 ?auto_13424 ) ( DIFFERENT ?auto_13422 ?auto_13425 ) ( AIRPORT ?auto_13413 ) ( AT ?auto_13414 ?auto_13413 ) ( DIFFERENT ?auto_13417 ?auto_13413 ) ( LOCATION ?auto_13429 ) ( CITY ?auto_13428 ) ( AT ?auto_13420 ?auto_13429 ) ( IN-CITY ?auto_13429 ?auto_13428 ) ( IN-CITY ?auto_13421 ?auto_13428 ) ( DIFFERENT ?auto_13421 ?auto_13429 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13420 ?auto_13429 ?auto_13421 ?auto_13428 )
      ( DELIVER-PKG ?auto_13411 ?auto_13412 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13860
      ?auto_13861
    )
    :vars
    (
      ?auto_13866
      ?auto_13871
      ?auto_13875
      ?auto_13872
      ?auto_13874
      ?auto_13873
      ?auto_13867
      ?auto_13865
      ?auto_13876
      ?auto_13868
      ?auto_13870
      ?auto_13862
      ?auto_13879
      ?auto_13878
    )
    :precondition
    ( and ( OBJ ?auto_13860 ) ( LOCATION ?auto_13861 ) ( TRUCK ?auto_13866 ) ( LOCATION ?auto_13871 ) ( CITY ?auto_13875 ) ( IN-CITY ?auto_13871 ?auto_13875 ) ( IN-CITY ?auto_13861 ?auto_13875 ) ( DIFFERENT ?auto_13861 ?auto_13871 ) ( LOCATION ?auto_13872 ) ( CITY ?auto_13874 ) ( AT ?auto_13866 ?auto_13872 ) ( IN-CITY ?auto_13872 ?auto_13874 ) ( IN-CITY ?auto_13871 ?auto_13874 ) ( DIFFERENT ?auto_13871 ?auto_13872 ) ( LOCATION ?auto_13873 ) ( AT ?auto_13866 ?auto_13873 ) ( AIRPLANE ?auto_13867 ) ( AIRPORT ?auto_13865 ) ( AIRPORT ?auto_13873 ) ( AT ?auto_13867 ?auto_13865 ) ( DIFFERENT ?auto_13873 ?auto_13865 ) ( LOCATION ?auto_13876 ) ( AT ?auto_13867 ?auto_13876 ) ( TRUCK ?auto_13868 ) ( LOCATION ?auto_13870 ) ( CITY ?auto_13862 ) ( IN-CITY ?auto_13870 ?auto_13862 ) ( IN-CITY ?auto_13876 ?auto_13862 ) ( DIFFERENT ?auto_13876 ?auto_13870 ) ( AT ?auto_13860 ?auto_13870 ) ( LOCATION ?auto_13879 ) ( CITY ?auto_13878 ) ( AT ?auto_13868 ?auto_13879 ) ( IN-CITY ?auto_13879 ?auto_13878 ) ( IN-CITY ?auto_13870 ?auto_13878 ) ( DIFFERENT ?auto_13870 ?auto_13879 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13868 ?auto_13879 ?auto_13870 ?auto_13878 )
      ( DELIVER-PKG ?auto_13860 ?auto_13861 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13917
      ?auto_13918
    )
    :vars
    (
      ?auto_13933
      ?auto_13925
      ?auto_13929
      ?auto_13926
      ?auto_13928
      ?auto_13927
      ?auto_13920
      ?auto_13923
      ?auto_13921
      ?auto_13924
      ?auto_13930
      ?auto_13919
      ?auto_13932
      ?auto_13936
    )
    :precondition
    ( and ( OBJ ?auto_13917 ) ( LOCATION ?auto_13918 ) ( TRUCK ?auto_13933 ) ( LOCATION ?auto_13925 ) ( CITY ?auto_13929 ) ( IN-CITY ?auto_13925 ?auto_13929 ) ( IN-CITY ?auto_13918 ?auto_13929 ) ( DIFFERENT ?auto_13918 ?auto_13925 ) ( LOCATION ?auto_13926 ) ( CITY ?auto_13928 ) ( AT ?auto_13933 ?auto_13926 ) ( IN-CITY ?auto_13926 ?auto_13928 ) ( IN-CITY ?auto_13925 ?auto_13928 ) ( DIFFERENT ?auto_13925 ?auto_13926 ) ( LOCATION ?auto_13927 ) ( AT ?auto_13933 ?auto_13927 ) ( AIRPLANE ?auto_13920 ) ( AIRPORT ?auto_13923 ) ( AIRPORT ?auto_13927 ) ( DIFFERENT ?auto_13927 ?auto_13923 ) ( LOCATION ?auto_13923 ) ( TRUCK ?auto_13921 ) ( LOCATION ?auto_13924 ) ( CITY ?auto_13930 ) ( IN-CITY ?auto_13924 ?auto_13930 ) ( IN-CITY ?auto_13923 ?auto_13930 ) ( DIFFERENT ?auto_13923 ?auto_13924 ) ( AT ?auto_13917 ?auto_13924 ) ( LOCATION ?auto_13919 ) ( CITY ?auto_13932 ) ( AT ?auto_13921 ?auto_13919 ) ( IN-CITY ?auto_13919 ?auto_13932 ) ( IN-CITY ?auto_13924 ?auto_13932 ) ( DIFFERENT ?auto_13924 ?auto_13919 ) ( AIRPORT ?auto_13936 ) ( AT ?auto_13920 ?auto_13936 ) ( DIFFERENT ?auto_13923 ?auto_13936 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13920 ?auto_13936 ?auto_13923 )
      ( DELIVER-PKG ?auto_13917 ?auto_13918 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14046
      ?auto_14047
    )
    :vars
    (
      ?auto_14055
      ?auto_14058
      ?auto_14062
      ?auto_14060
      ?auto_14061
      ?auto_14048
      ?auto_14056
      ?auto_14052
      ?auto_14057
      ?auto_14053
      ?auto_14063
      ?auto_14054
      ?auto_14050
      ?auto_14066
      ?auto_14065
    )
    :precondition
    ( and ( OBJ ?auto_14046 ) ( LOCATION ?auto_14047 ) ( TRUCK ?auto_14055 ) ( LOCATION ?auto_14058 ) ( CITY ?auto_14062 ) ( IN-CITY ?auto_14058 ?auto_14062 ) ( IN-CITY ?auto_14047 ?auto_14062 ) ( DIFFERENT ?auto_14047 ?auto_14058 ) ( LOCATION ?auto_14060 ) ( CITY ?auto_14061 ) ( IN-CITY ?auto_14060 ?auto_14061 ) ( IN-CITY ?auto_14058 ?auto_14061 ) ( DIFFERENT ?auto_14058 ?auto_14060 ) ( AIRPLANE ?auto_14048 ) ( AIRPORT ?auto_14056 ) ( AIRPORT ?auto_14060 ) ( DIFFERENT ?auto_14060 ?auto_14056 ) ( LOCATION ?auto_14056 ) ( TRUCK ?auto_14052 ) ( LOCATION ?auto_14057 ) ( CITY ?auto_14053 ) ( IN-CITY ?auto_14057 ?auto_14053 ) ( IN-CITY ?auto_14056 ?auto_14053 ) ( DIFFERENT ?auto_14056 ?auto_14057 ) ( AT ?auto_14046 ?auto_14057 ) ( LOCATION ?auto_14063 ) ( CITY ?auto_14054 ) ( AT ?auto_14052 ?auto_14063 ) ( IN-CITY ?auto_14063 ?auto_14054 ) ( IN-CITY ?auto_14057 ?auto_14054 ) ( DIFFERENT ?auto_14057 ?auto_14063 ) ( AIRPORT ?auto_14050 ) ( AT ?auto_14048 ?auto_14050 ) ( DIFFERENT ?auto_14056 ?auto_14050 ) ( LOCATION ?auto_14066 ) ( CITY ?auto_14065 ) ( AT ?auto_14055 ?auto_14066 ) ( IN-CITY ?auto_14066 ?auto_14065 ) ( IN-CITY ?auto_14060 ?auto_14065 ) ( DIFFERENT ?auto_14060 ?auto_14066 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14055 ?auto_14066 ?auto_14060 ?auto_14065 )
      ( DELIVER-PKG ?auto_14046 ?auto_14047 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15781
      ?auto_15782
    )
    :vars
    (
      ?auto_15788
      ?auto_15789
      ?auto_15785
      ?auto_15783
      ?auto_15787
      ?auto_15786
      ?auto_15791
      ?auto_15790
      ?auto_15795
      ?auto_15794
    )
    :precondition
    ( and ( OBJ ?auto_15781 ) ( LOCATION ?auto_15782 ) ( AIRPLANE ?auto_15788 ) ( AIRPORT ?auto_15789 ) ( AIRPORT ?auto_15782 ) ( AT ?auto_15788 ?auto_15789 ) ( DIFFERENT ?auto_15782 ?auto_15789 ) ( LOCATION ?auto_15785 ) ( AT ?auto_15788 ?auto_15785 ) ( TRUCK ?auto_15783 ) ( LOCATION ?auto_15787 ) ( CITY ?auto_15786 ) ( IN-CITY ?auto_15787 ?auto_15786 ) ( IN-CITY ?auto_15785 ?auto_15786 ) ( DIFFERENT ?auto_15785 ?auto_15787 ) ( AT ?auto_15781 ?auto_15787 ) ( LOCATION ?auto_15791 ) ( CITY ?auto_15790 ) ( IN-CITY ?auto_15791 ?auto_15790 ) ( IN-CITY ?auto_15787 ?auto_15790 ) ( DIFFERENT ?auto_15787 ?auto_15791 ) ( LOCATION ?auto_15795 ) ( CITY ?auto_15794 ) ( AT ?auto_15783 ?auto_15795 ) ( IN-CITY ?auto_15795 ?auto_15794 ) ( IN-CITY ?auto_15791 ?auto_15794 ) ( DIFFERENT ?auto_15791 ?auto_15795 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15783 ?auto_15795 ?auto_15791 ?auto_15794 )
      ( DELIVER-PKG ?auto_15781 ?auto_15782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15867
      ?auto_15868
    )
    :vars
    (
      ?auto_15875
      ?auto_15876
      ?auto_15872
      ?auto_15871
      ?auto_15874
      ?auto_15873
      ?auto_15878
      ?auto_15877
      ?auto_15880
      ?auto_15879
      ?auto_15883
      ?auto_15882
    )
    :precondition
    ( and ( OBJ ?auto_15867 ) ( LOCATION ?auto_15868 ) ( AIRPLANE ?auto_15875 ) ( AIRPORT ?auto_15876 ) ( AIRPORT ?auto_15868 ) ( AT ?auto_15875 ?auto_15876 ) ( DIFFERENT ?auto_15868 ?auto_15876 ) ( LOCATION ?auto_15872 ) ( AT ?auto_15875 ?auto_15872 ) ( TRUCK ?auto_15871 ) ( LOCATION ?auto_15874 ) ( CITY ?auto_15873 ) ( IN-CITY ?auto_15874 ?auto_15873 ) ( IN-CITY ?auto_15872 ?auto_15873 ) ( DIFFERENT ?auto_15872 ?auto_15874 ) ( AT ?auto_15867 ?auto_15874 ) ( LOCATION ?auto_15878 ) ( CITY ?auto_15877 ) ( IN-CITY ?auto_15878 ?auto_15877 ) ( IN-CITY ?auto_15874 ?auto_15877 ) ( DIFFERENT ?auto_15874 ?auto_15878 ) ( LOCATION ?auto_15880 ) ( CITY ?auto_15879 ) ( IN-CITY ?auto_15880 ?auto_15879 ) ( IN-CITY ?auto_15878 ?auto_15879 ) ( DIFFERENT ?auto_15878 ?auto_15880 ) ( LOCATION ?auto_15883 ) ( CITY ?auto_15882 ) ( AT ?auto_15871 ?auto_15883 ) ( IN-CITY ?auto_15883 ?auto_15882 ) ( IN-CITY ?auto_15880 ?auto_15882 ) ( DIFFERENT ?auto_15880 ?auto_15883 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15871 ?auto_15883 ?auto_15880 ?auto_15882 )
      ( DELIVER-PKG ?auto_15867 ?auto_15868 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16776
      ?auto_16777
    )
    :vars
    (
      ?auto_16782
      ?auto_16779
      ?auto_16786
      ?auto_16778
      ?auto_16783
      ?auto_16781
      ?auto_16785
      ?auto_16784
      ?auto_16787
      ?auto_16780
      ?auto_16789
      ?auto_16788
      ?auto_16794
      ?auto_16793
    )
    :precondition
    ( and ( OBJ ?auto_16776 ) ( LOCATION ?auto_16777 ) ( TRUCK ?auto_16782 ) ( LOCATION ?auto_16779 ) ( CITY ?auto_16786 ) ( AT ?auto_16782 ?auto_16779 ) ( IN-CITY ?auto_16779 ?auto_16786 ) ( IN-CITY ?auto_16777 ?auto_16786 ) ( DIFFERENT ?auto_16777 ?auto_16779 ) ( LOCATION ?auto_16778 ) ( AT ?auto_16782 ?auto_16778 ) ( AIRPLANE ?auto_16783 ) ( AIRPORT ?auto_16781 ) ( AIRPORT ?auto_16778 ) ( AT ?auto_16783 ?auto_16781 ) ( DIFFERENT ?auto_16778 ?auto_16781 ) ( LOCATION ?auto_16785 ) ( AT ?auto_16783 ?auto_16785 ) ( TRUCK ?auto_16784 ) ( LOCATION ?auto_16787 ) ( CITY ?auto_16780 ) ( IN-CITY ?auto_16787 ?auto_16780 ) ( IN-CITY ?auto_16785 ?auto_16780 ) ( DIFFERENT ?auto_16785 ?auto_16787 ) ( AT ?auto_16776 ?auto_16787 ) ( LOCATION ?auto_16789 ) ( CITY ?auto_16788 ) ( IN-CITY ?auto_16789 ?auto_16788 ) ( IN-CITY ?auto_16787 ?auto_16788 ) ( DIFFERENT ?auto_16787 ?auto_16789 ) ( LOCATION ?auto_16794 ) ( CITY ?auto_16793 ) ( AT ?auto_16784 ?auto_16794 ) ( IN-CITY ?auto_16794 ?auto_16793 ) ( IN-CITY ?auto_16789 ?auto_16793 ) ( DIFFERENT ?auto_16789 ?auto_16794 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16784 ?auto_16794 ?auto_16789 ?auto_16793 )
      ( DELIVER-PKG ?auto_16776 ?auto_16777 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16886
      ?auto_16887
    )
    :vars
    (
      ?auto_16895
      ?auto_16892
      ?auto_16899
      ?auto_16891
      ?auto_16896
      ?auto_16894
      ?auto_16898
      ?auto_16897
      ?auto_16900
      ?auto_16893
      ?auto_16889
      ?auto_16901
      ?auto_16903
      ?auto_16902
      ?auto_16906
      ?auto_16905
    )
    :precondition
    ( and ( OBJ ?auto_16886 ) ( LOCATION ?auto_16887 ) ( TRUCK ?auto_16895 ) ( LOCATION ?auto_16892 ) ( CITY ?auto_16899 ) ( AT ?auto_16895 ?auto_16892 ) ( IN-CITY ?auto_16892 ?auto_16899 ) ( IN-CITY ?auto_16887 ?auto_16899 ) ( DIFFERENT ?auto_16887 ?auto_16892 ) ( LOCATION ?auto_16891 ) ( AT ?auto_16895 ?auto_16891 ) ( AIRPLANE ?auto_16896 ) ( AIRPORT ?auto_16894 ) ( AIRPORT ?auto_16891 ) ( AT ?auto_16896 ?auto_16894 ) ( DIFFERENT ?auto_16891 ?auto_16894 ) ( LOCATION ?auto_16898 ) ( AT ?auto_16896 ?auto_16898 ) ( TRUCK ?auto_16897 ) ( LOCATION ?auto_16900 ) ( CITY ?auto_16893 ) ( IN-CITY ?auto_16900 ?auto_16893 ) ( IN-CITY ?auto_16898 ?auto_16893 ) ( DIFFERENT ?auto_16898 ?auto_16900 ) ( AT ?auto_16886 ?auto_16900 ) ( LOCATION ?auto_16889 ) ( CITY ?auto_16901 ) ( IN-CITY ?auto_16889 ?auto_16901 ) ( IN-CITY ?auto_16900 ?auto_16901 ) ( DIFFERENT ?auto_16900 ?auto_16889 ) ( LOCATION ?auto_16903 ) ( CITY ?auto_16902 ) ( IN-CITY ?auto_16903 ?auto_16902 ) ( IN-CITY ?auto_16889 ?auto_16902 ) ( DIFFERENT ?auto_16889 ?auto_16903 ) ( LOCATION ?auto_16906 ) ( CITY ?auto_16905 ) ( AT ?auto_16897 ?auto_16906 ) ( IN-CITY ?auto_16906 ?auto_16905 ) ( IN-CITY ?auto_16903 ?auto_16905 ) ( DIFFERENT ?auto_16903 ?auto_16906 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16897 ?auto_16906 ?auto_16903 ?auto_16905 )
      ( DELIVER-PKG ?auto_16886 ?auto_16887 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16968
      ?auto_16969
    )
    :vars
    (
      ?auto_16977
      ?auto_16973
      ?auto_16981
      ?auto_16978
      ?auto_16976
      ?auto_16980
      ?auto_16979
      ?auto_16982
      ?auto_16975
      ?auto_16972
      ?auto_16983
      ?auto_16985
      ?auto_16984
      ?auto_16987
      ?auto_16986
      ?auto_16990
      ?auto_16989
    )
    :precondition
    ( and ( OBJ ?auto_16968 ) ( LOCATION ?auto_16969 ) ( TRUCK ?auto_16977 ) ( LOCATION ?auto_16973 ) ( CITY ?auto_16981 ) ( IN-CITY ?auto_16973 ?auto_16981 ) ( IN-CITY ?auto_16969 ?auto_16981 ) ( DIFFERENT ?auto_16969 ?auto_16973 ) ( AIRPLANE ?auto_16978 ) ( AIRPORT ?auto_16976 ) ( AIRPORT ?auto_16973 ) ( AT ?auto_16978 ?auto_16976 ) ( DIFFERENT ?auto_16973 ?auto_16976 ) ( LOCATION ?auto_16980 ) ( AT ?auto_16978 ?auto_16980 ) ( TRUCK ?auto_16979 ) ( LOCATION ?auto_16982 ) ( CITY ?auto_16975 ) ( IN-CITY ?auto_16982 ?auto_16975 ) ( IN-CITY ?auto_16980 ?auto_16975 ) ( DIFFERENT ?auto_16980 ?auto_16982 ) ( AT ?auto_16968 ?auto_16982 ) ( LOCATION ?auto_16972 ) ( CITY ?auto_16983 ) ( IN-CITY ?auto_16972 ?auto_16983 ) ( IN-CITY ?auto_16982 ?auto_16983 ) ( DIFFERENT ?auto_16982 ?auto_16972 ) ( LOCATION ?auto_16985 ) ( CITY ?auto_16984 ) ( IN-CITY ?auto_16985 ?auto_16984 ) ( IN-CITY ?auto_16972 ?auto_16984 ) ( DIFFERENT ?auto_16972 ?auto_16985 ) ( LOCATION ?auto_16987 ) ( CITY ?auto_16986 ) ( AT ?auto_16979 ?auto_16987 ) ( IN-CITY ?auto_16987 ?auto_16986 ) ( IN-CITY ?auto_16985 ?auto_16986 ) ( DIFFERENT ?auto_16985 ?auto_16987 ) ( LOCATION ?auto_16990 ) ( CITY ?auto_16989 ) ( AT ?auto_16977 ?auto_16990 ) ( IN-CITY ?auto_16990 ?auto_16989 ) ( IN-CITY ?auto_16973 ?auto_16989 ) ( DIFFERENT ?auto_16973 ?auto_16990 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16977 ?auto_16990 ?auto_16973 ?auto_16989 )
      ( DELIVER-PKG ?auto_16968 ?auto_16969 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17171
      ?auto_17175
    )
    :vars
    (
      ?auto_17174
      ?auto_17178
      ?auto_17181
      ?auto_17184
    )
    :precondition
    ( and ( OBJ ?auto_17171 ) ( LOCATION ?auto_17175 ) ( AIRPLANE ?auto_17174 ) ( AIRPORT ?auto_17178 ) ( AIRPORT ?auto_17175 ) ( DIFFERENT ?auto_17175 ?auto_17178 ) ( AIRPORT ?auto_17181 ) ( AT ?auto_17174 ?auto_17181 ) ( DIFFERENT ?auto_17178 ?auto_17181 ) ( TRUCK ?auto_17184 ) ( AT ?auto_17184 ?auto_17175 ) ( IN ?auto_17171 ?auto_17184 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17171 ?auto_17175 )
      ( FLY-AIRPLANE ?auto_17174 ?auto_17181 ?auto_17178 )
      ( FLY-AIRPLANE ?auto_17174 ?auto_17178 ?auto_17175 )
      ( DELIVER-PKG ?auto_17171 ?auto_17175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18057
      ?auto_18058
    )
    :vars
    (
      ?auto_18062
      ?auto_18060
      ?auto_18059
      ?auto_18063
      ?auto_18064
      ?auto_18065
      ?auto_18066
      ?auto_18068
      ?auto_18069
      ?auto_18071
      ?auto_18070
      ?auto_18073
      ?auto_18076
      ?auto_18075
    )
    :precondition
    ( and ( OBJ ?auto_18057 ) ( LOCATION ?auto_18058 ) ( TRUCK ?auto_18062 ) ( LOCATION ?auto_18060 ) ( CITY ?auto_18059 ) ( IN-CITY ?auto_18060 ?auto_18059 ) ( IN-CITY ?auto_18058 ?auto_18059 ) ( DIFFERENT ?auto_18058 ?auto_18060 ) ( LOCATION ?auto_18063 ) ( CITY ?auto_18064 ) ( IN-CITY ?auto_18063 ?auto_18064 ) ( IN-CITY ?auto_18060 ?auto_18064 ) ( DIFFERENT ?auto_18060 ?auto_18063 ) ( AIRPLANE ?auto_18065 ) ( AIRPORT ?auto_18066 ) ( AIRPORT ?auto_18063 ) ( AT ?auto_18065 ?auto_18066 ) ( DIFFERENT ?auto_18063 ?auto_18066 ) ( LOCATION ?auto_18068 ) ( AT ?auto_18065 ?auto_18068 ) ( TRUCK ?auto_18069 ) ( LOCATION ?auto_18071 ) ( CITY ?auto_18070 ) ( AT ?auto_18069 ?auto_18071 ) ( IN-CITY ?auto_18071 ?auto_18070 ) ( IN-CITY ?auto_18068 ?auto_18070 ) ( DIFFERENT ?auto_18068 ?auto_18071 ) ( LOCATION ?auto_18073 ) ( AT ?auto_18069 ?auto_18073 ) ( AT ?auto_18057 ?auto_18073 ) ( LOCATION ?auto_18076 ) ( CITY ?auto_18075 ) ( AT ?auto_18062 ?auto_18076 ) ( IN-CITY ?auto_18076 ?auto_18075 ) ( IN-CITY ?auto_18063 ?auto_18075 ) ( DIFFERENT ?auto_18063 ?auto_18076 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18062 ?auto_18076 ?auto_18063 ?auto_18075 )
      ( DELIVER-PKG ?auto_18057 ?auto_18058 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18376
      ?auto_18377
    )
    :vars
    (
      ?auto_18378
      ?auto_18384
      ?auto_18383
      ?auto_18385
      ?auto_18381
      ?auto_18380
      ?auto_18388
      ?auto_18387
    )
    :precondition
    ( and ( OBJ ?auto_18376 ) ( LOCATION ?auto_18377 ) ( AIRPLANE ?auto_18378 ) ( AIRPORT ?auto_18384 ) ( AIRPORT ?auto_18377 ) ( AT ?auto_18378 ?auto_18384 ) ( DIFFERENT ?auto_18377 ?auto_18384 ) ( LOCATION ?auto_18383 ) ( AT ?auto_18378 ?auto_18383 ) ( TRUCK ?auto_18385 ) ( IN ?auto_18376 ?auto_18385 ) ( LOCATION ?auto_18381 ) ( CITY ?auto_18380 ) ( IN-CITY ?auto_18381 ?auto_18380 ) ( IN-CITY ?auto_18383 ?auto_18380 ) ( DIFFERENT ?auto_18383 ?auto_18381 ) ( LOCATION ?auto_18388 ) ( CITY ?auto_18387 ) ( AT ?auto_18385 ?auto_18388 ) ( IN-CITY ?auto_18388 ?auto_18387 ) ( IN-CITY ?auto_18381 ?auto_18387 ) ( DIFFERENT ?auto_18381 ?auto_18388 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18385 ?auto_18388 ?auto_18381 ?auto_18387 )
      ( DELIVER-PKG ?auto_18376 ?auto_18377 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18390
      ?auto_18391
    )
    :vars
    (
      ?auto_18395
      ?auto_18393
      ?auto_18394
      ?auto_18397
      ?auto_18392
      ?auto_18400
      ?auto_18396
      ?auto_18399
      ?auto_18403
    )
    :precondition
    ( and ( OBJ ?auto_18390 ) ( LOCATION ?auto_18391 ) ( AIRPLANE ?auto_18395 ) ( AIRPORT ?auto_18393 ) ( AIRPORT ?auto_18391 ) ( AT ?auto_18395 ?auto_18393 ) ( DIFFERENT ?auto_18391 ?auto_18393 ) ( LOCATION ?auto_18394 ) ( AT ?auto_18395 ?auto_18394 ) ( TRUCK ?auto_18397 ) ( LOCATION ?auto_18392 ) ( CITY ?auto_18400 ) ( IN-CITY ?auto_18392 ?auto_18400 ) ( IN-CITY ?auto_18394 ?auto_18400 ) ( DIFFERENT ?auto_18394 ?auto_18392 ) ( LOCATION ?auto_18396 ) ( CITY ?auto_18399 ) ( AT ?auto_18397 ?auto_18396 ) ( IN-CITY ?auto_18396 ?auto_18399 ) ( IN-CITY ?auto_18392 ?auto_18399 ) ( DIFFERENT ?auto_18392 ?auto_18396 ) ( LOCATION ?auto_18403 ) ( AT ?auto_18397 ?auto_18403 ) ( AT ?auto_18390 ?auto_18403 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18390 ?auto_18397 ?auto_18403 )
      ( DELIVER-PKG ?auto_18390 ?auto_18391 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18405
      ?auto_18406
    )
    :vars
    (
      ?auto_18412
      ?auto_18407
      ?auto_18414
      ?auto_18409
      ?auto_18416
      ?auto_18413
      ?auto_18415
      ?auto_18417
      ?auto_18419
    )
    :precondition
    ( and ( OBJ ?auto_18405 ) ( LOCATION ?auto_18406 ) ( AIRPLANE ?auto_18412 ) ( AIRPORT ?auto_18407 ) ( AIRPORT ?auto_18406 ) ( DIFFERENT ?auto_18406 ?auto_18407 ) ( LOCATION ?auto_18407 ) ( TRUCK ?auto_18414 ) ( LOCATION ?auto_18409 ) ( CITY ?auto_18416 ) ( IN-CITY ?auto_18409 ?auto_18416 ) ( IN-CITY ?auto_18407 ?auto_18416 ) ( DIFFERENT ?auto_18407 ?auto_18409 ) ( LOCATION ?auto_18413 ) ( CITY ?auto_18415 ) ( AT ?auto_18414 ?auto_18413 ) ( IN-CITY ?auto_18413 ?auto_18415 ) ( IN-CITY ?auto_18409 ?auto_18415 ) ( DIFFERENT ?auto_18409 ?auto_18413 ) ( LOCATION ?auto_18417 ) ( AT ?auto_18414 ?auto_18417 ) ( AT ?auto_18405 ?auto_18417 ) ( AIRPORT ?auto_18419 ) ( AT ?auto_18412 ?auto_18419 ) ( DIFFERENT ?auto_18407 ?auto_18419 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18412 ?auto_18419 ?auto_18407 )
      ( DELIVER-PKG ?auto_18405 ?auto_18406 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18947
      ?auto_18948
    )
    :vars
    (
      ?auto_18962
      ?auto_18956
      ?auto_18955
      ?auto_18951
      ?auto_18949
      ?auto_18960
      ?auto_18952
      ?auto_18958
      ?auto_18961
      ?auto_18950
      ?auto_18954
      ?auto_18957
      ?auto_18965
      ?auto_18964
    )
    :precondition
    ( and ( OBJ ?auto_18947 ) ( LOCATION ?auto_18948 ) ( TRUCK ?auto_18962 ) ( LOCATION ?auto_18956 ) ( CITY ?auto_18955 ) ( IN-CITY ?auto_18956 ?auto_18955 ) ( IN-CITY ?auto_18948 ?auto_18955 ) ( DIFFERENT ?auto_18948 ?auto_18956 ) ( LOCATION ?auto_18951 ) ( CITY ?auto_18949 ) ( AT ?auto_18962 ?auto_18951 ) ( IN-CITY ?auto_18951 ?auto_18949 ) ( IN-CITY ?auto_18956 ?auto_18949 ) ( DIFFERENT ?auto_18956 ?auto_18951 ) ( LOCATION ?auto_18960 ) ( AT ?auto_18962 ?auto_18960 ) ( AIRPLANE ?auto_18952 ) ( AIRPORT ?auto_18958 ) ( AIRPORT ?auto_18960 ) ( AT ?auto_18952 ?auto_18958 ) ( DIFFERENT ?auto_18960 ?auto_18958 ) ( LOCATION ?auto_18961 ) ( AT ?auto_18952 ?auto_18961 ) ( TRUCK ?auto_18950 ) ( IN ?auto_18947 ?auto_18950 ) ( LOCATION ?auto_18954 ) ( CITY ?auto_18957 ) ( IN-CITY ?auto_18954 ?auto_18957 ) ( IN-CITY ?auto_18961 ?auto_18957 ) ( DIFFERENT ?auto_18961 ?auto_18954 ) ( LOCATION ?auto_18965 ) ( CITY ?auto_18964 ) ( AT ?auto_18950 ?auto_18965 ) ( IN-CITY ?auto_18965 ?auto_18964 ) ( IN-CITY ?auto_18954 ?auto_18964 ) ( DIFFERENT ?auto_18954 ?auto_18965 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18950 ?auto_18965 ?auto_18954 ?auto_18964 )
      ( DELIVER-PKG ?auto_18947 ?auto_18948 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18967
      ?auto_18968
    )
    :vars
    (
      ?auto_18974
      ?auto_18983
      ?auto_18979
      ?auto_18982
      ?auto_18984
      ?auto_18971
      ?auto_18981
      ?auto_18976
      ?auto_18973
      ?auto_18980
      ?auto_18978
      ?auto_18970
      ?auto_18975
      ?auto_18972
      ?auto_18986
    )
    :precondition
    ( and ( OBJ ?auto_18967 ) ( LOCATION ?auto_18968 ) ( TRUCK ?auto_18974 ) ( LOCATION ?auto_18983 ) ( CITY ?auto_18979 ) ( IN-CITY ?auto_18983 ?auto_18979 ) ( IN-CITY ?auto_18968 ?auto_18979 ) ( DIFFERENT ?auto_18968 ?auto_18983 ) ( LOCATION ?auto_18982 ) ( CITY ?auto_18984 ) ( AT ?auto_18974 ?auto_18982 ) ( IN-CITY ?auto_18982 ?auto_18984 ) ( IN-CITY ?auto_18983 ?auto_18984 ) ( DIFFERENT ?auto_18983 ?auto_18982 ) ( LOCATION ?auto_18971 ) ( AT ?auto_18974 ?auto_18971 ) ( AIRPLANE ?auto_18981 ) ( AIRPORT ?auto_18976 ) ( AIRPORT ?auto_18971 ) ( AT ?auto_18981 ?auto_18976 ) ( DIFFERENT ?auto_18971 ?auto_18976 ) ( LOCATION ?auto_18973 ) ( AT ?auto_18981 ?auto_18973 ) ( TRUCK ?auto_18980 ) ( LOCATION ?auto_18978 ) ( CITY ?auto_18970 ) ( IN-CITY ?auto_18978 ?auto_18970 ) ( IN-CITY ?auto_18973 ?auto_18970 ) ( DIFFERENT ?auto_18973 ?auto_18978 ) ( LOCATION ?auto_18975 ) ( CITY ?auto_18972 ) ( AT ?auto_18980 ?auto_18975 ) ( IN-CITY ?auto_18975 ?auto_18972 ) ( IN-CITY ?auto_18978 ?auto_18972 ) ( DIFFERENT ?auto_18978 ?auto_18975 ) ( LOCATION ?auto_18986 ) ( AT ?auto_18980 ?auto_18986 ) ( AT ?auto_18967 ?auto_18986 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18967 ?auto_18980 ?auto_18986 )
      ( DELIVER-PKG ?auto_18967 ?auto_18968 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18988
      ?auto_18989
    )
    :vars
    (
      ?auto_18996
      ?auto_19004
      ?auto_19000
      ?auto_19003
      ?auto_19005
      ?auto_18991
      ?auto_19002
      ?auto_18995
      ?auto_19001
      ?auto_18999
      ?auto_18993
      ?auto_18997
      ?auto_18994
      ?auto_19006
      ?auto_19008
    )
    :precondition
    ( and ( OBJ ?auto_18988 ) ( LOCATION ?auto_18989 ) ( TRUCK ?auto_18996 ) ( LOCATION ?auto_19004 ) ( CITY ?auto_19000 ) ( IN-CITY ?auto_19004 ?auto_19000 ) ( IN-CITY ?auto_18989 ?auto_19000 ) ( DIFFERENT ?auto_18989 ?auto_19004 ) ( LOCATION ?auto_19003 ) ( CITY ?auto_19005 ) ( AT ?auto_18996 ?auto_19003 ) ( IN-CITY ?auto_19003 ?auto_19005 ) ( IN-CITY ?auto_19004 ?auto_19005 ) ( DIFFERENT ?auto_19004 ?auto_19003 ) ( LOCATION ?auto_18991 ) ( AT ?auto_18996 ?auto_18991 ) ( AIRPLANE ?auto_19002 ) ( AIRPORT ?auto_18995 ) ( AIRPORT ?auto_18991 ) ( DIFFERENT ?auto_18991 ?auto_18995 ) ( LOCATION ?auto_18995 ) ( TRUCK ?auto_19001 ) ( LOCATION ?auto_18999 ) ( CITY ?auto_18993 ) ( IN-CITY ?auto_18999 ?auto_18993 ) ( IN-CITY ?auto_18995 ?auto_18993 ) ( DIFFERENT ?auto_18995 ?auto_18999 ) ( LOCATION ?auto_18997 ) ( CITY ?auto_18994 ) ( AT ?auto_19001 ?auto_18997 ) ( IN-CITY ?auto_18997 ?auto_18994 ) ( IN-CITY ?auto_18999 ?auto_18994 ) ( DIFFERENT ?auto_18999 ?auto_18997 ) ( LOCATION ?auto_19006 ) ( AT ?auto_19001 ?auto_19006 ) ( AT ?auto_18988 ?auto_19006 ) ( AIRPORT ?auto_19008 ) ( AT ?auto_19002 ?auto_19008 ) ( DIFFERENT ?auto_18995 ?auto_19008 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19002 ?auto_19008 ?auto_18995 )
      ( DELIVER-PKG ?auto_18988 ?auto_18989 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20065
      ?auto_20066
    )
    :vars
    (
      ?auto_20067
      ?auto_20068
      ?auto_20072
    )
    :precondition
    ( and ( OBJ ?auto_20065 ) ( LOCATION ?auto_20066 ) ( AIRPLANE ?auto_20067 ) ( IN ?auto_20065 ?auto_20067 ) ( AIRPORT ?auto_20068 ) ( AIRPORT ?auto_20066 ) ( DIFFERENT ?auto_20066 ?auto_20068 ) ( AIRPORT ?auto_20072 ) ( AT ?auto_20067 ?auto_20072 ) ( DIFFERENT ?auto_20068 ?auto_20072 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20067 ?auto_20072 ?auto_20068 )
      ( DELIVER-PKG ?auto_20065 ?auto_20066 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20095
      ?auto_20096
    )
    :vars
    (
      ?auto_20103
      ?auto_20102
      ?auto_20098
      ?auto_20100
      ?auto_20101
      ?auto_20105
    )
    :precondition
    ( and ( OBJ ?auto_20095 ) ( LOCATION ?auto_20096 ) ( AIRPLANE ?auto_20103 ) ( AIRPORT ?auto_20102 ) ( AIRPORT ?auto_20096 ) ( DIFFERENT ?auto_20096 ?auto_20102 ) ( AIRPORT ?auto_20098 ) ( AT ?auto_20103 ?auto_20098 ) ( DIFFERENT ?auto_20102 ?auto_20098 ) ( LOCATION ?auto_20100 ) ( AT ?auto_20103 ?auto_20100 ) ( AIRPLANE ?auto_20101 ) ( AT ?auto_20101 ?auto_20100 ) ( LOCATION ?auto_20105 ) ( AT ?auto_20095 ?auto_20105 ) ( AT ?auto_20101 ?auto_20105 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_20095 ?auto_20101 ?auto_20105 )
      ( DELIVER-PKG ?auto_20095 ?auto_20096 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20084
      ?auto_20085
    )
    :vars
    (
      ?auto_20090
      ?auto_20088
      ?auto_20091
      ?auto_20087
      ?auto_20094
    )
    :precondition
    ( and ( OBJ ?auto_20084 ) ( LOCATION ?auto_20085 ) ( AIRPLANE ?auto_20090 ) ( AIRPORT ?auto_20088 ) ( AIRPORT ?auto_20085 ) ( DIFFERENT ?auto_20085 ?auto_20088 ) ( AIRPORT ?auto_20091 ) ( AT ?auto_20090 ?auto_20091 ) ( DIFFERENT ?auto_20088 ?auto_20091 ) ( LOCATION ?auto_20087 ) ( AT ?auto_20090 ?auto_20087 ) ( AIRPLANE ?auto_20094 ) ( IN ?auto_20084 ?auto_20094 ) ( AT ?auto_20094 ?auto_20087 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20084 ?auto_20087 )
      ( DELIVER-PKG ?auto_20084 ?auto_20085 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20107
      ?auto_20108
    )
    :vars
    (
      ?auto_20110
      ?auto_20114
      ?auto_20115
      ?auto_20116
      ?auto_20109
      ?auto_20112
      ?auto_20119
    )
    :precondition
    ( and ( OBJ ?auto_20107 ) ( LOCATION ?auto_20108 ) ( AIRPLANE ?auto_20110 ) ( AIRPORT ?auto_20114 ) ( AIRPORT ?auto_20108 ) ( DIFFERENT ?auto_20108 ?auto_20114 ) ( AIRPORT ?auto_20115 ) ( AT ?auto_20110 ?auto_20115 ) ( DIFFERENT ?auto_20114 ?auto_20115 ) ( LOCATION ?auto_20116 ) ( AT ?auto_20110 ?auto_20116 ) ( AIRPLANE ?auto_20109 ) ( AT ?auto_20109 ?auto_20116 ) ( LOCATION ?auto_20112 ) ( AT ?auto_20109 ?auto_20112 ) ( TRUCK ?auto_20119 ) ( AT ?auto_20119 ?auto_20112 ) ( IN ?auto_20107 ?auto_20119 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20107 ?auto_20112 )
      ( DELIVER-PKG ?auto_20107 ?auto_20108 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20120
      ?auto_20121
    )
    :vars
    (
      ?auto_20125
      ?auto_20127
      ?auto_20128
      ?auto_20129
      ?auto_20122
      ?auto_20126
      ?auto_20130
      ?auto_20133
      ?auto_20132
    )
    :precondition
    ( and ( OBJ ?auto_20120 ) ( LOCATION ?auto_20121 ) ( AIRPLANE ?auto_20125 ) ( AIRPORT ?auto_20127 ) ( AIRPORT ?auto_20121 ) ( DIFFERENT ?auto_20121 ?auto_20127 ) ( AIRPORT ?auto_20128 ) ( AT ?auto_20125 ?auto_20128 ) ( DIFFERENT ?auto_20127 ?auto_20128 ) ( LOCATION ?auto_20129 ) ( AT ?auto_20125 ?auto_20129 ) ( AIRPLANE ?auto_20122 ) ( AT ?auto_20122 ?auto_20129 ) ( LOCATION ?auto_20126 ) ( AT ?auto_20122 ?auto_20126 ) ( TRUCK ?auto_20130 ) ( IN ?auto_20120 ?auto_20130 ) ( LOCATION ?auto_20133 ) ( CITY ?auto_20132 ) ( AT ?auto_20130 ?auto_20133 ) ( IN-CITY ?auto_20133 ?auto_20132 ) ( IN-CITY ?auto_20126 ?auto_20132 ) ( DIFFERENT ?auto_20126 ?auto_20133 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20130 ?auto_20133 ?auto_20126 ?auto_20132 )
      ( DELIVER-PKG ?auto_20120 ?auto_20121 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20135
      ?auto_20136
    )
    :vars
    (
      ?auto_20142
      ?auto_20146
      ?auto_20138
      ?auto_20139
      ?auto_20145
      ?auto_20137
      ?auto_20143
      ?auto_20141
      ?auto_20140
      ?auto_20149
    )
    :precondition
    ( and ( OBJ ?auto_20135 ) ( LOCATION ?auto_20136 ) ( AIRPLANE ?auto_20142 ) ( AIRPORT ?auto_20146 ) ( AIRPORT ?auto_20136 ) ( DIFFERENT ?auto_20136 ?auto_20146 ) ( AIRPORT ?auto_20138 ) ( AT ?auto_20142 ?auto_20138 ) ( DIFFERENT ?auto_20146 ?auto_20138 ) ( LOCATION ?auto_20139 ) ( AT ?auto_20142 ?auto_20139 ) ( AIRPLANE ?auto_20145 ) ( AT ?auto_20145 ?auto_20139 ) ( LOCATION ?auto_20137 ) ( AT ?auto_20145 ?auto_20137 ) ( TRUCK ?auto_20143 ) ( LOCATION ?auto_20141 ) ( CITY ?auto_20140 ) ( AT ?auto_20143 ?auto_20141 ) ( IN-CITY ?auto_20141 ?auto_20140 ) ( IN-CITY ?auto_20137 ?auto_20140 ) ( DIFFERENT ?auto_20137 ?auto_20141 ) ( LOCATION ?auto_20149 ) ( AT ?auto_20143 ?auto_20149 ) ( AT ?auto_20135 ?auto_20149 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_20135 ?auto_20143 ?auto_20149 )
      ( DELIVER-PKG ?auto_20135 ?auto_20136 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20610
      ?auto_20617
    )
    :vars
    (
      ?auto_20615
      ?auto_20612
      ?auto_20616
      ?auto_20618
      ?auto_20621
      ?auto_20620
    )
    :precondition
    ( and ( OBJ ?auto_20610 ) ( LOCATION ?auto_20617 ) ( TRUCK ?auto_20615 ) ( AIRPLANE ?auto_20612 ) ( AIRPORT ?auto_20616 ) ( AIRPORT ?auto_20617 ) ( DIFFERENT ?auto_20617 ?auto_20616 ) ( LOCATION ?auto_20616 ) ( AT ?auto_20610 ?auto_20616 ) ( AIRPORT ?auto_20618 ) ( AT ?auto_20612 ?auto_20618 ) ( DIFFERENT ?auto_20616 ?auto_20618 ) ( LOCATION ?auto_20621 ) ( CITY ?auto_20620 ) ( AT ?auto_20615 ?auto_20621 ) ( IN-CITY ?auto_20621 ?auto_20620 ) ( IN-CITY ?auto_20617 ?auto_20620 ) ( DIFFERENT ?auto_20617 ?auto_20621 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20615 ?auto_20621 ?auto_20617 ?auto_20620 )
      ( DELIVER-PKG ?auto_20610 ?auto_20617 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20643
      ?auto_20644
    )
    :vars
    (
      ?auto_20646
      ?auto_20648
      ?auto_20647
      ?auto_20650
      ?auto_20652
      ?auto_20651
      ?auto_20655
      ?auto_20654
    )
    :precondition
    ( and ( OBJ ?auto_20643 ) ( LOCATION ?auto_20644 ) ( TRUCK ?auto_20646 ) ( AIRPLANE ?auto_20648 ) ( AIRPORT ?auto_20647 ) ( AIRPORT ?auto_20644 ) ( DIFFERENT ?auto_20644 ?auto_20647 ) ( LOCATION ?auto_20647 ) ( AT ?auto_20643 ?auto_20647 ) ( AIRPORT ?auto_20650 ) ( AT ?auto_20648 ?auto_20650 ) ( DIFFERENT ?auto_20647 ?auto_20650 ) ( LOCATION ?auto_20652 ) ( CITY ?auto_20651 ) ( IN-CITY ?auto_20652 ?auto_20651 ) ( IN-CITY ?auto_20644 ?auto_20651 ) ( DIFFERENT ?auto_20644 ?auto_20652 ) ( LOCATION ?auto_20655 ) ( CITY ?auto_20654 ) ( AT ?auto_20646 ?auto_20655 ) ( IN-CITY ?auto_20655 ?auto_20654 ) ( IN-CITY ?auto_20652 ?auto_20654 ) ( DIFFERENT ?auto_20652 ?auto_20655 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20646 ?auto_20655 ?auto_20652 ?auto_20654 )
      ( DELIVER-PKG ?auto_20643 ?auto_20644 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20956
      ?auto_20957
    )
    :vars
    (
      ?auto_20962
      ?auto_20963
      ?auto_20964
      ?auto_20965
      ?auto_20960
      ?auto_20968
      ?auto_20967
    )
    :precondition
    ( and ( OBJ ?auto_20956 ) ( LOCATION ?auto_20957 ) ( TRUCK ?auto_20962 ) ( LOCATION ?auto_20963 ) ( CITY ?auto_20964 ) ( IN-CITY ?auto_20963 ?auto_20964 ) ( IN-CITY ?auto_20957 ?auto_20964 ) ( DIFFERENT ?auto_20957 ?auto_20963 ) ( LOCATION ?auto_20965 ) ( CITY ?auto_20960 ) ( IN-CITY ?auto_20965 ?auto_20960 ) ( IN-CITY ?auto_20963 ?auto_20960 ) ( DIFFERENT ?auto_20963 ?auto_20965 ) ( AT ?auto_20956 ?auto_20965 ) ( LOCATION ?auto_20968 ) ( CITY ?auto_20967 ) ( AT ?auto_20962 ?auto_20968 ) ( IN-CITY ?auto_20968 ?auto_20967 ) ( IN-CITY ?auto_20965 ?auto_20967 ) ( DIFFERENT ?auto_20965 ?auto_20968 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20962 ?auto_20968 ?auto_20965 ?auto_20967 )
      ( DELIVER-PKG ?auto_20956 ?auto_20957 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21086
      ?auto_21087
    )
    :vars
    (
      ?auto_21094
      ?auto_21090
      ?auto_21088
      ?auto_21096
      ?auto_21091
      ?auto_21095
      ?auto_21089
      ?auto_21099
    )
    :precondition
    ( and ( OBJ ?auto_21086 ) ( LOCATION ?auto_21087 ) ( AIRPLANE ?auto_21094 ) ( AIRPORT ?auto_21090 ) ( AIRPORT ?auto_21087 ) ( AT ?auto_21094 ?auto_21090 ) ( DIFFERENT ?auto_21087 ?auto_21090 ) ( LOCATION ?auto_21088 ) ( AT ?auto_21094 ?auto_21088 ) ( TRUCK ?auto_21096 ) ( LOCATION ?auto_21091 ) ( CITY ?auto_21095 ) ( AT ?auto_21096 ?auto_21091 ) ( IN-CITY ?auto_21091 ?auto_21095 ) ( IN-CITY ?auto_21088 ?auto_21095 ) ( DIFFERENT ?auto_21088 ?auto_21091 ) ( LOCATION ?auto_21089 ) ( AT ?auto_21096 ?auto_21089 ) ( TRUCK ?auto_21099 ) ( AT ?auto_21099 ?auto_21089 ) ( IN ?auto_21086 ?auto_21099 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21086 ?auto_21089 )
      ( DELIVER-PKG ?auto_21086 ?auto_21087 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21156
      ?auto_21157
    )
    :vars
    (
      ?auto_21166
      ?auto_21165
      ?auto_21160
      ?auto_21163
      ?auto_21159
      ?auto_21158
      ?auto_21162
      ?auto_21164
      ?auto_21171
      ?auto_21170
    )
    :precondition
    ( and ( OBJ ?auto_21156 ) ( LOCATION ?auto_21157 ) ( AIRPLANE ?auto_21166 ) ( AIRPORT ?auto_21165 ) ( AIRPORT ?auto_21157 ) ( AT ?auto_21166 ?auto_21165 ) ( DIFFERENT ?auto_21157 ?auto_21165 ) ( LOCATION ?auto_21160 ) ( AT ?auto_21166 ?auto_21160 ) ( TRUCK ?auto_21163 ) ( LOCATION ?auto_21159 ) ( CITY ?auto_21158 ) ( IN-CITY ?auto_21159 ?auto_21158 ) ( IN-CITY ?auto_21160 ?auto_21158 ) ( DIFFERENT ?auto_21160 ?auto_21159 ) ( LOCATION ?auto_21162 ) ( CITY ?auto_21164 ) ( IN-CITY ?auto_21162 ?auto_21164 ) ( IN-CITY ?auto_21159 ?auto_21164 ) ( DIFFERENT ?auto_21159 ?auto_21162 ) ( AT ?auto_21156 ?auto_21162 ) ( LOCATION ?auto_21171 ) ( CITY ?auto_21170 ) ( AT ?auto_21163 ?auto_21171 ) ( IN-CITY ?auto_21171 ?auto_21170 ) ( IN-CITY ?auto_21162 ?auto_21170 ) ( DIFFERENT ?auto_21162 ?auto_21171 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21163 ?auto_21171 ?auto_21162 ?auto_21170 )
      ( DELIVER-PKG ?auto_21156 ?auto_21157 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21473
      ?auto_21474
    )
    :vars
    (
      ?auto_21476
      ?auto_21481
      ?auto_21475
      ?auto_21477
      ?auto_21480
      ?auto_21483
    )
    :precondition
    ( and ( OBJ ?auto_21473 ) ( LOCATION ?auto_21474 ) ( TRUCK ?auto_21476 ) ( LOCATION ?auto_21481 ) ( CITY ?auto_21475 ) ( AT ?auto_21476 ?auto_21481 ) ( IN-CITY ?auto_21481 ?auto_21475 ) ( IN-CITY ?auto_21474 ?auto_21475 ) ( DIFFERENT ?auto_21474 ?auto_21481 ) ( LOCATION ?auto_21477 ) ( AT ?auto_21476 ?auto_21477 ) ( AIRPLANE ?auto_21480 ) ( AT ?auto_21480 ?auto_21477 ) ( LOCATION ?auto_21483 ) ( AT ?auto_21473 ?auto_21483 ) ( AT ?auto_21480 ?auto_21483 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_21473 ?auto_21480 ?auto_21483 )
      ( DELIVER-PKG ?auto_21473 ?auto_21474 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21572
      ?auto_21573
    )
    :vars
    (
      ?auto_21584
      ?auto_21577
      ?auto_21585
      ?auto_21579
      ?auto_21582
      ?auto_21586
      ?auto_21580
      ?auto_21574
      ?auto_21576
      ?auto_21575
      ?auto_21578
      ?auto_21589
    )
    :precondition
    ( and ( OBJ ?auto_21572 ) ( LOCATION ?auto_21573 ) ( TRUCK ?auto_21584 ) ( LOCATION ?auto_21577 ) ( CITY ?auto_21585 ) ( AT ?auto_21584 ?auto_21577 ) ( IN-CITY ?auto_21577 ?auto_21585 ) ( IN-CITY ?auto_21573 ?auto_21585 ) ( DIFFERENT ?auto_21573 ?auto_21577 ) ( LOCATION ?auto_21579 ) ( AT ?auto_21584 ?auto_21579 ) ( AIRPLANE ?auto_21582 ) ( AIRPORT ?auto_21586 ) ( AIRPORT ?auto_21579 ) ( AT ?auto_21582 ?auto_21586 ) ( DIFFERENT ?auto_21579 ?auto_21586 ) ( LOCATION ?auto_21580 ) ( AT ?auto_21582 ?auto_21580 ) ( TRUCK ?auto_21574 ) ( LOCATION ?auto_21576 ) ( CITY ?auto_21575 ) ( AT ?auto_21574 ?auto_21576 ) ( IN-CITY ?auto_21576 ?auto_21575 ) ( IN-CITY ?auto_21580 ?auto_21575 ) ( DIFFERENT ?auto_21580 ?auto_21576 ) ( LOCATION ?auto_21578 ) ( AT ?auto_21574 ?auto_21578 ) ( TRUCK ?auto_21589 ) ( AT ?auto_21589 ?auto_21578 ) ( IN ?auto_21572 ?auto_21589 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21572 ?auto_21578 )
      ( DELIVER-PKG ?auto_21572 ?auto_21573 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21590
      ?auto_21591
    )
    :vars
    (
      ?auto_21592
      ?auto_21603
      ?auto_21600
      ?auto_21604
      ?auto_21601
      ?auto_21594
      ?auto_21599
      ?auto_21595
      ?auto_21605
      ?auto_21598
      ?auto_21608
      ?auto_21607
    )
    :precondition
    ( and ( OBJ ?auto_21590 ) ( LOCATION ?auto_21591 ) ( TRUCK ?auto_21592 ) ( LOCATION ?auto_21603 ) ( CITY ?auto_21600 ) ( AT ?auto_21592 ?auto_21603 ) ( IN-CITY ?auto_21603 ?auto_21600 ) ( IN-CITY ?auto_21591 ?auto_21600 ) ( DIFFERENT ?auto_21591 ?auto_21603 ) ( LOCATION ?auto_21604 ) ( AT ?auto_21592 ?auto_21604 ) ( AIRPLANE ?auto_21601 ) ( AIRPORT ?auto_21594 ) ( AIRPORT ?auto_21604 ) ( AT ?auto_21601 ?auto_21594 ) ( DIFFERENT ?auto_21604 ?auto_21594 ) ( LOCATION ?auto_21599 ) ( AT ?auto_21601 ?auto_21599 ) ( TRUCK ?auto_21595 ) ( LOCATION ?auto_21605 ) ( CITY ?auto_21598 ) ( IN-CITY ?auto_21605 ?auto_21598 ) ( IN-CITY ?auto_21599 ?auto_21598 ) ( DIFFERENT ?auto_21599 ?auto_21605 ) ( IN ?auto_21590 ?auto_21595 ) ( LOCATION ?auto_21608 ) ( CITY ?auto_21607 ) ( AT ?auto_21595 ?auto_21608 ) ( IN-CITY ?auto_21608 ?auto_21607 ) ( IN-CITY ?auto_21605 ?auto_21607 ) ( DIFFERENT ?auto_21605 ?auto_21608 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21595 ?auto_21608 ?auto_21605 ?auto_21607 )
      ( DELIVER-PKG ?auto_21590 ?auto_21591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21626
      ?auto_21627
    )
    :vars
    (
      ?auto_21629
      ?auto_21637
      ?auto_21635
      ?auto_21638
      ?auto_21636
      ?auto_21630
      ?auto_21634
      ?auto_21632
      ?auto_21639
      ?auto_21633
      ?auto_21641
      ?auto_21640
      ?auto_21643
    )
    :precondition
    ( and ( OBJ ?auto_21626 ) ( LOCATION ?auto_21627 ) ( TRUCK ?auto_21629 ) ( LOCATION ?auto_21637 ) ( CITY ?auto_21635 ) ( AT ?auto_21629 ?auto_21637 ) ( IN-CITY ?auto_21637 ?auto_21635 ) ( IN-CITY ?auto_21627 ?auto_21635 ) ( DIFFERENT ?auto_21627 ?auto_21637 ) ( LOCATION ?auto_21638 ) ( AT ?auto_21629 ?auto_21638 ) ( AIRPLANE ?auto_21636 ) ( AIRPORT ?auto_21630 ) ( AIRPORT ?auto_21638 ) ( AT ?auto_21636 ?auto_21630 ) ( DIFFERENT ?auto_21638 ?auto_21630 ) ( LOCATION ?auto_21634 ) ( AT ?auto_21636 ?auto_21634 ) ( TRUCK ?auto_21632 ) ( LOCATION ?auto_21639 ) ( CITY ?auto_21633 ) ( IN-CITY ?auto_21639 ?auto_21633 ) ( IN-CITY ?auto_21634 ?auto_21633 ) ( DIFFERENT ?auto_21634 ?auto_21639 ) ( LOCATION ?auto_21641 ) ( CITY ?auto_21640 ) ( AT ?auto_21632 ?auto_21641 ) ( IN-CITY ?auto_21641 ?auto_21640 ) ( IN-CITY ?auto_21639 ?auto_21640 ) ( DIFFERENT ?auto_21639 ?auto_21641 ) ( LOCATION ?auto_21643 ) ( AT ?auto_21632 ?auto_21643 ) ( AT ?auto_21626 ?auto_21643 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_21626 ?auto_21632 ?auto_21643 )
      ( DELIVER-PKG ?auto_21626 ?auto_21627 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21662
      ?auto_21663
    )
    :vars
    (
      ?auto_21666
      ?auto_21673
      ?auto_21671
      ?auto_21674
      ?auto_21672
      ?auto_21667
      ?auto_21670
      ?auto_21668
      ?auto_21675
      ?auto_21669
      ?auto_21677
      ?auto_21676
      ?auto_21681
      ?auto_21680
    )
    :precondition
    ( and ( OBJ ?auto_21662 ) ( LOCATION ?auto_21663 ) ( TRUCK ?auto_21666 ) ( LOCATION ?auto_21673 ) ( CITY ?auto_21671 ) ( AT ?auto_21666 ?auto_21673 ) ( IN-CITY ?auto_21673 ?auto_21671 ) ( IN-CITY ?auto_21663 ?auto_21671 ) ( DIFFERENT ?auto_21663 ?auto_21673 ) ( LOCATION ?auto_21674 ) ( AT ?auto_21666 ?auto_21674 ) ( AIRPLANE ?auto_21672 ) ( AIRPORT ?auto_21667 ) ( AIRPORT ?auto_21674 ) ( AT ?auto_21672 ?auto_21667 ) ( DIFFERENT ?auto_21674 ?auto_21667 ) ( LOCATION ?auto_21670 ) ( AT ?auto_21672 ?auto_21670 ) ( TRUCK ?auto_21668 ) ( LOCATION ?auto_21675 ) ( CITY ?auto_21669 ) ( IN-CITY ?auto_21675 ?auto_21669 ) ( IN-CITY ?auto_21670 ?auto_21669 ) ( DIFFERENT ?auto_21670 ?auto_21675 ) ( LOCATION ?auto_21677 ) ( CITY ?auto_21676 ) ( IN-CITY ?auto_21677 ?auto_21676 ) ( IN-CITY ?auto_21675 ?auto_21676 ) ( DIFFERENT ?auto_21675 ?auto_21677 ) ( AT ?auto_21662 ?auto_21677 ) ( LOCATION ?auto_21681 ) ( CITY ?auto_21680 ) ( AT ?auto_21668 ?auto_21681 ) ( IN-CITY ?auto_21681 ?auto_21680 ) ( IN-CITY ?auto_21677 ?auto_21680 ) ( DIFFERENT ?auto_21677 ?auto_21681 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21668 ?auto_21681 ?auto_21677 ?auto_21680 )
      ( DELIVER-PKG ?auto_21662 ?auto_21663 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22992
      ?auto_22993
    )
    :vars
    (
      ?auto_22996
      ?auto_23007
      ?auto_23002
      ?auto_23000
      ?auto_23001
      ?auto_22999
      ?auto_22998
      ?auto_22994
      ?auto_23004
      ?auto_23003
      ?auto_23006
      ?auto_23008
      ?auto_23005
      ?auto_23011
      ?auto_23010
    )
    :precondition
    ( and ( OBJ ?auto_22992 ) ( LOCATION ?auto_22993 ) ( TRUCK ?auto_22996 ) ( LOCATION ?auto_23007 ) ( CITY ?auto_23002 ) ( IN-CITY ?auto_23007 ?auto_23002 ) ( IN-CITY ?auto_22993 ?auto_23002 ) ( DIFFERENT ?auto_22993 ?auto_23007 ) ( AIRPLANE ?auto_23000 ) ( AIRPORT ?auto_23001 ) ( AIRPORT ?auto_23007 ) ( DIFFERENT ?auto_23007 ?auto_23001 ) ( LOCATION ?auto_23001 ) ( TRUCK ?auto_22999 ) ( LOCATION ?auto_22998 ) ( CITY ?auto_22994 ) ( IN-CITY ?auto_22998 ?auto_22994 ) ( IN-CITY ?auto_23001 ?auto_22994 ) ( DIFFERENT ?auto_23001 ?auto_22998 ) ( AT ?auto_22992 ?auto_22998 ) ( LOCATION ?auto_23004 ) ( CITY ?auto_23003 ) ( AT ?auto_22999 ?auto_23004 ) ( IN-CITY ?auto_23004 ?auto_23003 ) ( IN-CITY ?auto_22998 ?auto_23003 ) ( DIFFERENT ?auto_22998 ?auto_23004 ) ( AIRPORT ?auto_23006 ) ( AT ?auto_23000 ?auto_23006 ) ( DIFFERENT ?auto_23001 ?auto_23006 ) ( LOCATION ?auto_23008 ) ( CITY ?auto_23005 ) ( IN-CITY ?auto_23008 ?auto_23005 ) ( IN-CITY ?auto_23007 ?auto_23005 ) ( DIFFERENT ?auto_23007 ?auto_23008 ) ( LOCATION ?auto_23011 ) ( CITY ?auto_23010 ) ( AT ?auto_22996 ?auto_23011 ) ( IN-CITY ?auto_23011 ?auto_23010 ) ( IN-CITY ?auto_23008 ?auto_23010 ) ( DIFFERENT ?auto_23008 ?auto_23011 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22996 ?auto_23011 ?auto_23008 ?auto_23010 )
      ( DELIVER-PKG ?auto_22992 ?auto_22993 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24165
      ?auto_24166
    )
    :vars
    (
      ?auto_24173
      ?auto_24171
      ?auto_24170
      ?auto_24169
      ?auto_24172
      ?auto_24175
      ?auto_24174
      ?auto_24177
      ?auto_24176
      ?auto_24179
    )
    :precondition
    ( and ( OBJ ?auto_24165 ) ( LOCATION ?auto_24166 ) ( AIRPLANE ?auto_24173 ) ( AIRPORT ?auto_24171 ) ( AIRPORT ?auto_24166 ) ( DIFFERENT ?auto_24166 ?auto_24171 ) ( LOCATION ?auto_24171 ) ( AIRPORT ?auto_24170 ) ( DIFFERENT ?auto_24171 ?auto_24170 ) ( AIRPORT ?auto_24169 ) ( DIFFERENT ?auto_24170 ?auto_24169 ) ( TRUCK ?auto_24172 ) ( LOCATION ?auto_24175 ) ( CITY ?auto_24174 ) ( IN-CITY ?auto_24175 ?auto_24174 ) ( IN-CITY ?auto_24171 ?auto_24174 ) ( DIFFERENT ?auto_24171 ?auto_24175 ) ( AT ?auto_24165 ?auto_24175 ) ( LOCATION ?auto_24177 ) ( CITY ?auto_24176 ) ( AT ?auto_24172 ?auto_24177 ) ( IN-CITY ?auto_24177 ?auto_24176 ) ( IN-CITY ?auto_24175 ?auto_24176 ) ( DIFFERENT ?auto_24175 ?auto_24177 ) ( AIRPORT ?auto_24179 ) ( AT ?auto_24173 ?auto_24179 ) ( DIFFERENT ?auto_24169 ?auto_24179 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24173 ?auto_24179 ?auto_24169 )
      ( DELIVER-PKG ?auto_24165 ?auto_24166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25026
      ?auto_25027
    )
    :vars
    (
      ?auto_25030
      ?auto_25028
      ?auto_25034
      ?auto_25033
      ?auto_25036
      ?auto_25035
      ?auto_25031
      ?auto_25038
    )
    :precondition
    ( and ( OBJ ?auto_25026 ) ( LOCATION ?auto_25027 ) ( TRUCK ?auto_25030 ) ( LOCATION ?auto_25028 ) ( CITY ?auto_25034 ) ( AT ?auto_25030 ?auto_25028 ) ( IN-CITY ?auto_25028 ?auto_25034 ) ( IN-CITY ?auto_25027 ?auto_25034 ) ( DIFFERENT ?auto_25027 ?auto_25028 ) ( LOCATION ?auto_25033 ) ( AT ?auto_25030 ?auto_25033 ) ( AIRPLANE ?auto_25036 ) ( AIRPORT ?auto_25035 ) ( AIRPORT ?auto_25033 ) ( DIFFERENT ?auto_25033 ?auto_25035 ) ( LOCATION ?auto_25035 ) ( AT ?auto_25026 ?auto_25035 ) ( AIRPORT ?auto_25031 ) ( DIFFERENT ?auto_25035 ?auto_25031 ) ( AIRPORT ?auto_25038 ) ( AT ?auto_25036 ?auto_25038 ) ( DIFFERENT ?auto_25031 ?auto_25038 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25036 ?auto_25038 ?auto_25031 )
      ( DELIVER-PKG ?auto_25026 ?auto_25027 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25088
      ?auto_25089
    )
    :vars
    (
      ?auto_25098
      ?auto_25092
      ?auto_25097
      ?auto_25093
      ?auto_25091
      ?auto_25090
      ?auto_25099
      ?auto_25095
      ?auto_25100
    )
    :precondition
    ( and ( OBJ ?auto_25088 ) ( LOCATION ?auto_25089 ) ( TRUCK ?auto_25098 ) ( LOCATION ?auto_25092 ) ( CITY ?auto_25097 ) ( AT ?auto_25098 ?auto_25092 ) ( IN-CITY ?auto_25092 ?auto_25097 ) ( IN-CITY ?auto_25089 ?auto_25097 ) ( DIFFERENT ?auto_25089 ?auto_25092 ) ( LOCATION ?auto_25093 ) ( AT ?auto_25098 ?auto_25093 ) ( AIRPLANE ?auto_25091 ) ( AIRPORT ?auto_25090 ) ( AIRPORT ?auto_25093 ) ( DIFFERENT ?auto_25093 ?auto_25090 ) ( LOCATION ?auto_25090 ) ( AIRPORT ?auto_25099 ) ( DIFFERENT ?auto_25090 ?auto_25099 ) ( AIRPORT ?auto_25095 ) ( AT ?auto_25091 ?auto_25095 ) ( DIFFERENT ?auto_25099 ?auto_25095 ) ( TRUCK ?auto_25100 ) ( AT ?auto_25100 ?auto_25090 ) ( IN ?auto_25088 ?auto_25100 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25088 ?auto_25090 )
      ( DELIVER-PKG ?auto_25088 ?auto_25089 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25148
      ?auto_25149
    )
    :vars
    (
      ?auto_25157
      ?auto_25152
      ?auto_25156
      ?auto_25153
      ?auto_25151
      ?auto_25160
      ?auto_25158
      ?auto_25155
      ?auto_25154
      ?auto_25162
      ?auto_25161
      ?auto_25164
    )
    :precondition
    ( and ( OBJ ?auto_25148 ) ( LOCATION ?auto_25149 ) ( TRUCK ?auto_25157 ) ( LOCATION ?auto_25152 ) ( CITY ?auto_25156 ) ( AT ?auto_25157 ?auto_25152 ) ( IN-CITY ?auto_25152 ?auto_25156 ) ( IN-CITY ?auto_25149 ?auto_25156 ) ( DIFFERENT ?auto_25149 ?auto_25152 ) ( LOCATION ?auto_25153 ) ( AT ?auto_25157 ?auto_25153 ) ( AIRPLANE ?auto_25151 ) ( AIRPORT ?auto_25160 ) ( AIRPORT ?auto_25153 ) ( DIFFERENT ?auto_25153 ?auto_25160 ) ( LOCATION ?auto_25160 ) ( AIRPORT ?auto_25158 ) ( DIFFERENT ?auto_25160 ?auto_25158 ) ( AIRPORT ?auto_25155 ) ( AT ?auto_25151 ?auto_25155 ) ( DIFFERENT ?auto_25158 ?auto_25155 ) ( TRUCK ?auto_25154 ) ( LOCATION ?auto_25162 ) ( CITY ?auto_25161 ) ( AT ?auto_25154 ?auto_25162 ) ( IN-CITY ?auto_25162 ?auto_25161 ) ( IN-CITY ?auto_25160 ?auto_25161 ) ( DIFFERENT ?auto_25160 ?auto_25162 ) ( LOCATION ?auto_25164 ) ( AT ?auto_25154 ?auto_25164 ) ( AT ?auto_25148 ?auto_25164 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25148 ?auto_25154 ?auto_25164 )
      ( DELIVER-PKG ?auto_25148 ?auto_25149 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25182
      ?auto_25183
    )
    :vars
    (
      ?auto_25186
      ?auto_25188
      ?auto_25185
      ?auto_25184
      ?auto_25192
      ?auto_25187
      ?auto_25190
      ?auto_25189
      ?auto_25194
      ?auto_25193
      ?auto_25195
      ?auto_25200
      ?auto_25199
    )
    :precondition
    ( and ( OBJ ?auto_25182 ) ( LOCATION ?auto_25183 ) ( TRUCK ?auto_25186 ) ( LOCATION ?auto_25188 ) ( CITY ?auto_25185 ) ( IN-CITY ?auto_25188 ?auto_25185 ) ( IN-CITY ?auto_25183 ?auto_25185 ) ( DIFFERENT ?auto_25183 ?auto_25188 ) ( AIRPLANE ?auto_25184 ) ( AIRPORT ?auto_25192 ) ( AIRPORT ?auto_25188 ) ( DIFFERENT ?auto_25188 ?auto_25192 ) ( LOCATION ?auto_25192 ) ( AIRPORT ?auto_25187 ) ( DIFFERENT ?auto_25192 ?auto_25187 ) ( AIRPORT ?auto_25190 ) ( AT ?auto_25184 ?auto_25190 ) ( DIFFERENT ?auto_25187 ?auto_25190 ) ( TRUCK ?auto_25189 ) ( LOCATION ?auto_25194 ) ( CITY ?auto_25193 ) ( AT ?auto_25189 ?auto_25194 ) ( IN-CITY ?auto_25194 ?auto_25193 ) ( IN-CITY ?auto_25192 ?auto_25193 ) ( DIFFERENT ?auto_25192 ?auto_25194 ) ( LOCATION ?auto_25195 ) ( AT ?auto_25189 ?auto_25195 ) ( AT ?auto_25182 ?auto_25195 ) ( LOCATION ?auto_25200 ) ( CITY ?auto_25199 ) ( AT ?auto_25186 ?auto_25200 ) ( IN-CITY ?auto_25200 ?auto_25199 ) ( IN-CITY ?auto_25188 ?auto_25199 ) ( DIFFERENT ?auto_25188 ?auto_25200 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25186 ?auto_25200 ?auto_25188 ?auto_25199 )
      ( DELIVER-PKG ?auto_25182 ?auto_25183 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25202
      ?auto_25203
    )
    :vars
    (
      ?auto_25213
      ?auto_25210
      ?auto_25204
      ?auto_25208
      ?auto_25209
      ?auto_25215
      ?auto_25212
      ?auto_25211
      ?auto_25207
      ?auto_25205
      ?auto_25218
      ?auto_25217
      ?auto_25221
      ?auto_25220
    )
    :precondition
    ( and ( OBJ ?auto_25202 ) ( LOCATION ?auto_25203 ) ( TRUCK ?auto_25213 ) ( LOCATION ?auto_25210 ) ( CITY ?auto_25204 ) ( IN-CITY ?auto_25210 ?auto_25204 ) ( IN-CITY ?auto_25203 ?auto_25204 ) ( DIFFERENT ?auto_25203 ?auto_25210 ) ( AIRPLANE ?auto_25208 ) ( AIRPORT ?auto_25209 ) ( AIRPORT ?auto_25210 ) ( DIFFERENT ?auto_25210 ?auto_25209 ) ( LOCATION ?auto_25209 ) ( AIRPORT ?auto_25215 ) ( DIFFERENT ?auto_25209 ?auto_25215 ) ( AIRPORT ?auto_25212 ) ( AT ?auto_25208 ?auto_25212 ) ( DIFFERENT ?auto_25215 ?auto_25212 ) ( TRUCK ?auto_25211 ) ( LOCATION ?auto_25207 ) ( CITY ?auto_25205 ) ( IN-CITY ?auto_25207 ?auto_25205 ) ( IN-CITY ?auto_25209 ?auto_25205 ) ( DIFFERENT ?auto_25209 ?auto_25207 ) ( AT ?auto_25202 ?auto_25207 ) ( LOCATION ?auto_25218 ) ( CITY ?auto_25217 ) ( AT ?auto_25213 ?auto_25218 ) ( IN-CITY ?auto_25218 ?auto_25217 ) ( IN-CITY ?auto_25210 ?auto_25217 ) ( DIFFERENT ?auto_25210 ?auto_25218 ) ( LOCATION ?auto_25221 ) ( CITY ?auto_25220 ) ( AT ?auto_25211 ?auto_25221 ) ( IN-CITY ?auto_25221 ?auto_25220 ) ( IN-CITY ?auto_25207 ?auto_25220 ) ( DIFFERENT ?auto_25207 ?auto_25221 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25211 ?auto_25221 ?auto_25207 ?auto_25220 )
      ( DELIVER-PKG ?auto_25202 ?auto_25203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25223
      ?auto_25224
    )
    :vars
    (
      ?auto_25235
      ?auto_25232
      ?auto_25228
      ?auto_25230
      ?auto_25231
      ?auto_25236
      ?auto_25234
      ?auto_25233
      ?auto_25227
      ?auto_25229
      ?auto_25238
      ?auto_25237
      ?auto_25240
      ?auto_25239
      ?auto_25242
    )
    :precondition
    ( and ( OBJ ?auto_25223 ) ( LOCATION ?auto_25224 ) ( TRUCK ?auto_25235 ) ( LOCATION ?auto_25232 ) ( CITY ?auto_25228 ) ( IN-CITY ?auto_25232 ?auto_25228 ) ( IN-CITY ?auto_25224 ?auto_25228 ) ( DIFFERENT ?auto_25224 ?auto_25232 ) ( AIRPLANE ?auto_25230 ) ( AIRPORT ?auto_25231 ) ( AIRPORT ?auto_25232 ) ( DIFFERENT ?auto_25232 ?auto_25231 ) ( LOCATION ?auto_25231 ) ( AIRPORT ?auto_25236 ) ( DIFFERENT ?auto_25231 ?auto_25236 ) ( AIRPORT ?auto_25234 ) ( DIFFERENT ?auto_25236 ?auto_25234 ) ( TRUCK ?auto_25233 ) ( LOCATION ?auto_25227 ) ( CITY ?auto_25229 ) ( IN-CITY ?auto_25227 ?auto_25229 ) ( IN-CITY ?auto_25231 ?auto_25229 ) ( DIFFERENT ?auto_25231 ?auto_25227 ) ( AT ?auto_25223 ?auto_25227 ) ( LOCATION ?auto_25238 ) ( CITY ?auto_25237 ) ( AT ?auto_25235 ?auto_25238 ) ( IN-CITY ?auto_25238 ?auto_25237 ) ( IN-CITY ?auto_25232 ?auto_25237 ) ( DIFFERENT ?auto_25232 ?auto_25238 ) ( LOCATION ?auto_25240 ) ( CITY ?auto_25239 ) ( AT ?auto_25233 ?auto_25240 ) ( IN-CITY ?auto_25240 ?auto_25239 ) ( IN-CITY ?auto_25227 ?auto_25239 ) ( DIFFERENT ?auto_25227 ?auto_25240 ) ( AIRPORT ?auto_25242 ) ( AT ?auto_25230 ?auto_25242 ) ( DIFFERENT ?auto_25234 ?auto_25242 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25230 ?auto_25242 ?auto_25234 )
      ( DELIVER-PKG ?auto_25223 ?auto_25224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25312
      ?auto_25313
    )
    :vars
    (
      ?auto_25315
      ?auto_25316
      ?auto_25317
      ?auto_25320
    )
    :precondition
    ( and ( OBJ ?auto_25312 ) ( LOCATION ?auto_25313 ) ( AIRPLANE ?auto_25315 ) ( IN ?auto_25312 ?auto_25315 ) ( AIRPORT ?auto_25316 ) ( AIRPORT ?auto_25313 ) ( DIFFERENT ?auto_25313 ?auto_25316 ) ( AIRPORT ?auto_25317 ) ( DIFFERENT ?auto_25316 ?auto_25317 ) ( AIRPORT ?auto_25320 ) ( AT ?auto_25315 ?auto_25320 ) ( DIFFERENT ?auto_25317 ?auto_25320 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25315 ?auto_25320 ?auto_25317 )
      ( DELIVER-PKG ?auto_25312 ?auto_25313 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25330
      ?auto_25331
    )
    :vars
    (
      ?auto_25336
      ?auto_25332
      ?auto_25333
      ?auto_25337
      ?auto_25339
    )
    :precondition
    ( and ( OBJ ?auto_25330 ) ( LOCATION ?auto_25331 ) ( AIRPLANE ?auto_25336 ) ( IN ?auto_25330 ?auto_25336 ) ( AIRPORT ?auto_25332 ) ( AIRPORT ?auto_25331 ) ( DIFFERENT ?auto_25331 ?auto_25332 ) ( AIRPORT ?auto_25333 ) ( DIFFERENT ?auto_25332 ?auto_25333 ) ( AIRPORT ?auto_25337 ) ( DIFFERENT ?auto_25333 ?auto_25337 ) ( AIRPORT ?auto_25339 ) ( AT ?auto_25336 ?auto_25339 ) ( DIFFERENT ?auto_25337 ?auto_25339 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25336 ?auto_25339 ?auto_25337 )
      ( DELIVER-PKG ?auto_25330 ?auto_25331 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25341
      ?auto_25342
    )
    :vars
    (
      ?auto_25347
      ?auto_25344
      ?auto_25346
      ?auto_25348
      ?auto_25349
      ?auto_25351
    )
    :precondition
    ( and ( OBJ ?auto_25341 ) ( LOCATION ?auto_25342 ) ( AIRPLANE ?auto_25347 ) ( IN ?auto_25341 ?auto_25347 ) ( AIRPORT ?auto_25344 ) ( AIRPORT ?auto_25342 ) ( DIFFERENT ?auto_25342 ?auto_25344 ) ( AIRPORT ?auto_25346 ) ( DIFFERENT ?auto_25344 ?auto_25346 ) ( AIRPORT ?auto_25348 ) ( DIFFERENT ?auto_25346 ?auto_25348 ) ( AIRPORT ?auto_25349 ) ( DIFFERENT ?auto_25348 ?auto_25349 ) ( AIRPORT ?auto_25351 ) ( AT ?auto_25347 ?auto_25351 ) ( DIFFERENT ?auto_25349 ?auto_25351 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25347 ?auto_25351 ?auto_25349 )
      ( DELIVER-PKG ?auto_25341 ?auto_25342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25353
      ?auto_25354
    )
    :vars
    (
      ?auto_25359
      ?auto_25357
      ?auto_25358
      ?auto_25360
      ?auto_25361
      ?auto_25362
      ?auto_25364
    )
    :precondition
    ( and ( OBJ ?auto_25353 ) ( LOCATION ?auto_25354 ) ( AIRPLANE ?auto_25359 ) ( AIRPORT ?auto_25357 ) ( AIRPORT ?auto_25354 ) ( DIFFERENT ?auto_25354 ?auto_25357 ) ( AIRPORT ?auto_25358 ) ( DIFFERENT ?auto_25357 ?auto_25358 ) ( AIRPORT ?auto_25360 ) ( DIFFERENT ?auto_25358 ?auto_25360 ) ( AIRPORT ?auto_25361 ) ( DIFFERENT ?auto_25360 ?auto_25361 ) ( AIRPORT ?auto_25362 ) ( AT ?auto_25359 ?auto_25362 ) ( DIFFERENT ?auto_25361 ?auto_25362 ) ( LOCATION ?auto_25364 ) ( AT ?auto_25353 ?auto_25364 ) ( AT ?auto_25359 ?auto_25364 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25353 ?auto_25359 ?auto_25364 )
      ( DELIVER-PKG ?auto_25353 ?auto_25354 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25366
      ?auto_25367
    )
    :vars
    (
      ?auto_25375
      ?auto_25370
      ?auto_25368
      ?auto_25372
      ?auto_25374
      ?auto_25371
      ?auto_25369
      ?auto_25378
    )
    :precondition
    ( and ( OBJ ?auto_25366 ) ( LOCATION ?auto_25367 ) ( AIRPLANE ?auto_25375 ) ( AIRPORT ?auto_25370 ) ( AIRPORT ?auto_25367 ) ( DIFFERENT ?auto_25367 ?auto_25370 ) ( AIRPORT ?auto_25368 ) ( DIFFERENT ?auto_25370 ?auto_25368 ) ( AIRPORT ?auto_25372 ) ( DIFFERENT ?auto_25368 ?auto_25372 ) ( AIRPORT ?auto_25374 ) ( DIFFERENT ?auto_25372 ?auto_25374 ) ( AIRPORT ?auto_25371 ) ( AT ?auto_25375 ?auto_25371 ) ( DIFFERENT ?auto_25374 ?auto_25371 ) ( LOCATION ?auto_25369 ) ( AT ?auto_25375 ?auto_25369 ) ( TRUCK ?auto_25378 ) ( AT ?auto_25378 ?auto_25369 ) ( IN ?auto_25366 ?auto_25378 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25366 ?auto_25369 )
      ( DELIVER-PKG ?auto_25366 ?auto_25367 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25380
      ?auto_25381
    )
    :vars
    (
      ?auto_25383
      ?auto_25390
      ?auto_25388
      ?auto_25391
      ?auto_25386
      ?auto_25385
      ?auto_25389
      ?auto_25387
      ?auto_25394
      ?auto_25393
    )
    :precondition
    ( and ( OBJ ?auto_25380 ) ( LOCATION ?auto_25381 ) ( AIRPLANE ?auto_25383 ) ( AIRPORT ?auto_25390 ) ( AIRPORT ?auto_25381 ) ( DIFFERENT ?auto_25381 ?auto_25390 ) ( AIRPORT ?auto_25388 ) ( DIFFERENT ?auto_25390 ?auto_25388 ) ( AIRPORT ?auto_25391 ) ( DIFFERENT ?auto_25388 ?auto_25391 ) ( AIRPORT ?auto_25386 ) ( DIFFERENT ?auto_25391 ?auto_25386 ) ( AIRPORT ?auto_25385 ) ( AT ?auto_25383 ?auto_25385 ) ( DIFFERENT ?auto_25386 ?auto_25385 ) ( LOCATION ?auto_25389 ) ( AT ?auto_25383 ?auto_25389 ) ( TRUCK ?auto_25387 ) ( IN ?auto_25380 ?auto_25387 ) ( LOCATION ?auto_25394 ) ( CITY ?auto_25393 ) ( AT ?auto_25387 ?auto_25394 ) ( IN-CITY ?auto_25394 ?auto_25393 ) ( IN-CITY ?auto_25389 ?auto_25393 ) ( DIFFERENT ?auto_25389 ?auto_25394 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25387 ?auto_25394 ?auto_25389 ?auto_25393 )
      ( DELIVER-PKG ?auto_25380 ?auto_25381 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25396
      ?auto_25397
    )
    :vars
    (
      ?auto_25398
      ?auto_25406
      ?auto_25404
      ?auto_25407
      ?auto_25402
      ?auto_25401
      ?auto_25405
      ?auto_25403
      ?auto_25409
      ?auto_25408
      ?auto_25411
    )
    :precondition
    ( and ( OBJ ?auto_25396 ) ( LOCATION ?auto_25397 ) ( AIRPLANE ?auto_25398 ) ( AIRPORT ?auto_25406 ) ( AIRPORT ?auto_25397 ) ( DIFFERENT ?auto_25397 ?auto_25406 ) ( AIRPORT ?auto_25404 ) ( DIFFERENT ?auto_25406 ?auto_25404 ) ( AIRPORT ?auto_25407 ) ( DIFFERENT ?auto_25404 ?auto_25407 ) ( AIRPORT ?auto_25402 ) ( DIFFERENT ?auto_25407 ?auto_25402 ) ( AIRPORT ?auto_25401 ) ( AT ?auto_25398 ?auto_25401 ) ( DIFFERENT ?auto_25402 ?auto_25401 ) ( LOCATION ?auto_25405 ) ( AT ?auto_25398 ?auto_25405 ) ( TRUCK ?auto_25403 ) ( LOCATION ?auto_25409 ) ( CITY ?auto_25408 ) ( AT ?auto_25403 ?auto_25409 ) ( IN-CITY ?auto_25409 ?auto_25408 ) ( IN-CITY ?auto_25405 ?auto_25408 ) ( DIFFERENT ?auto_25405 ?auto_25409 ) ( LOCATION ?auto_25411 ) ( AT ?auto_25403 ?auto_25411 ) ( AT ?auto_25396 ?auto_25411 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25396 ?auto_25403 ?auto_25411 )
      ( DELIVER-PKG ?auto_25396 ?auto_25397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25428
      ?auto_25429
    )
    :vars
    (
      ?auto_25431
      ?auto_25438
      ?auto_25436
      ?auto_25439
      ?auto_25434
      ?auto_25433
      ?auto_25437
      ?auto_25435
      ?auto_25441
      ?auto_25440
      ?auto_25442
      ?auto_25445
    )
    :precondition
    ( and ( OBJ ?auto_25428 ) ( LOCATION ?auto_25429 ) ( AIRPLANE ?auto_25431 ) ( AIRPORT ?auto_25438 ) ( AIRPORT ?auto_25429 ) ( DIFFERENT ?auto_25429 ?auto_25438 ) ( AIRPORT ?auto_25436 ) ( DIFFERENT ?auto_25438 ?auto_25436 ) ( AIRPORT ?auto_25439 ) ( DIFFERENT ?auto_25436 ?auto_25439 ) ( AIRPORT ?auto_25434 ) ( DIFFERENT ?auto_25439 ?auto_25434 ) ( AIRPORT ?auto_25433 ) ( AT ?auto_25431 ?auto_25433 ) ( DIFFERENT ?auto_25434 ?auto_25433 ) ( LOCATION ?auto_25437 ) ( AT ?auto_25431 ?auto_25437 ) ( TRUCK ?auto_25435 ) ( LOCATION ?auto_25441 ) ( CITY ?auto_25440 ) ( AT ?auto_25435 ?auto_25441 ) ( IN-CITY ?auto_25441 ?auto_25440 ) ( IN-CITY ?auto_25437 ?auto_25440 ) ( DIFFERENT ?auto_25437 ?auto_25441 ) ( LOCATION ?auto_25442 ) ( AT ?auto_25435 ?auto_25442 ) ( TRUCK ?auto_25445 ) ( AT ?auto_25445 ?auto_25442 ) ( IN ?auto_25428 ?auto_25445 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25428 ?auto_25442 )
      ( DELIVER-PKG ?auto_25428 ?auto_25429 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25462
      ?auto_25463
    )
    :vars
    (
      ?auto_25471
      ?auto_25466
      ?auto_25473
      ?auto_25467
      ?auto_25465
      ?auto_25464
      ?auto_25474
      ?auto_25477
      ?auto_25470
      ?auto_25468
      ?auto_25480
      ?auto_25479
    )
    :precondition
    ( and ( OBJ ?auto_25462 ) ( LOCATION ?auto_25463 ) ( AIRPLANE ?auto_25471 ) ( AIRPORT ?auto_25466 ) ( AIRPORT ?auto_25463 ) ( DIFFERENT ?auto_25463 ?auto_25466 ) ( AIRPORT ?auto_25473 ) ( DIFFERENT ?auto_25466 ?auto_25473 ) ( AIRPORT ?auto_25467 ) ( DIFFERENT ?auto_25473 ?auto_25467 ) ( AIRPORT ?auto_25465 ) ( DIFFERENT ?auto_25467 ?auto_25465 ) ( AIRPORT ?auto_25464 ) ( AT ?auto_25471 ?auto_25464 ) ( DIFFERENT ?auto_25465 ?auto_25464 ) ( LOCATION ?auto_25474 ) ( AT ?auto_25471 ?auto_25474 ) ( TRUCK ?auto_25477 ) ( LOCATION ?auto_25470 ) ( CITY ?auto_25468 ) ( IN-CITY ?auto_25470 ?auto_25468 ) ( IN-CITY ?auto_25474 ?auto_25468 ) ( DIFFERENT ?auto_25474 ?auto_25470 ) ( IN ?auto_25462 ?auto_25477 ) ( LOCATION ?auto_25480 ) ( CITY ?auto_25479 ) ( AT ?auto_25477 ?auto_25480 ) ( IN-CITY ?auto_25480 ?auto_25479 ) ( IN-CITY ?auto_25470 ?auto_25479 ) ( DIFFERENT ?auto_25470 ?auto_25480 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25477 ?auto_25480 ?auto_25470 ?auto_25479 )
      ( DELIVER-PKG ?auto_25462 ?auto_25463 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25498
      ?auto_25499
    )
    :vars
    (
      ?auto_25506
      ?auto_25502
      ?auto_25507
      ?auto_25505
      ?auto_25501
      ?auto_25500
      ?auto_25508
      ?auto_25510
      ?auto_25504
      ?auto_25503
      ?auto_25513
      ?auto_25509
      ?auto_25515
    )
    :precondition
    ( and ( OBJ ?auto_25498 ) ( LOCATION ?auto_25499 ) ( AIRPLANE ?auto_25506 ) ( AIRPORT ?auto_25502 ) ( AIRPORT ?auto_25499 ) ( DIFFERENT ?auto_25499 ?auto_25502 ) ( AIRPORT ?auto_25507 ) ( DIFFERENT ?auto_25502 ?auto_25507 ) ( AIRPORT ?auto_25505 ) ( DIFFERENT ?auto_25507 ?auto_25505 ) ( AIRPORT ?auto_25501 ) ( DIFFERENT ?auto_25505 ?auto_25501 ) ( AIRPORT ?auto_25500 ) ( AT ?auto_25506 ?auto_25500 ) ( DIFFERENT ?auto_25501 ?auto_25500 ) ( LOCATION ?auto_25508 ) ( AT ?auto_25506 ?auto_25508 ) ( TRUCK ?auto_25510 ) ( LOCATION ?auto_25504 ) ( CITY ?auto_25503 ) ( IN-CITY ?auto_25504 ?auto_25503 ) ( IN-CITY ?auto_25508 ?auto_25503 ) ( DIFFERENT ?auto_25508 ?auto_25504 ) ( LOCATION ?auto_25513 ) ( CITY ?auto_25509 ) ( AT ?auto_25510 ?auto_25513 ) ( IN-CITY ?auto_25513 ?auto_25509 ) ( IN-CITY ?auto_25504 ?auto_25509 ) ( DIFFERENT ?auto_25504 ?auto_25513 ) ( LOCATION ?auto_25515 ) ( AT ?auto_25510 ?auto_25515 ) ( AT ?auto_25498 ?auto_25515 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25498 ?auto_25510 ?auto_25515 )
      ( DELIVER-PKG ?auto_25498 ?auto_25499 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25551
      ?auto_25552
    )
    :vars
    (
      ?auto_25558
      ?auto_25565
      ?auto_25559
      ?auto_25564
      ?auto_25553
      ?auto_25560
      ?auto_25562
      ?auto_25563
      ?auto_25556
      ?auto_25554
      ?auto_25561
      ?auto_25567
      ?auto_25569
    )
    :precondition
    ( and ( OBJ ?auto_25551 ) ( LOCATION ?auto_25552 ) ( AIRPLANE ?auto_25558 ) ( AIRPORT ?auto_25565 ) ( AIRPORT ?auto_25552 ) ( DIFFERENT ?auto_25552 ?auto_25565 ) ( AIRPORT ?auto_25559 ) ( DIFFERENT ?auto_25565 ?auto_25559 ) ( AIRPORT ?auto_25564 ) ( DIFFERENT ?auto_25559 ?auto_25564 ) ( AIRPORT ?auto_25553 ) ( DIFFERENT ?auto_25564 ?auto_25553 ) ( AIRPORT ?auto_25560 ) ( DIFFERENT ?auto_25553 ?auto_25560 ) ( LOCATION ?auto_25560 ) ( TRUCK ?auto_25562 ) ( LOCATION ?auto_25563 ) ( CITY ?auto_25556 ) ( IN-CITY ?auto_25563 ?auto_25556 ) ( IN-CITY ?auto_25560 ?auto_25556 ) ( DIFFERENT ?auto_25560 ?auto_25563 ) ( LOCATION ?auto_25554 ) ( CITY ?auto_25561 ) ( AT ?auto_25562 ?auto_25554 ) ( IN-CITY ?auto_25554 ?auto_25561 ) ( IN-CITY ?auto_25563 ?auto_25561 ) ( DIFFERENT ?auto_25563 ?auto_25554 ) ( LOCATION ?auto_25567 ) ( AT ?auto_25562 ?auto_25567 ) ( AT ?auto_25551 ?auto_25567 ) ( AIRPORT ?auto_25569 ) ( AT ?auto_25558 ?auto_25569 ) ( DIFFERENT ?auto_25560 ?auto_25569 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25558 ?auto_25569 ?auto_25560 )
      ( DELIVER-PKG ?auto_25551 ?auto_25552 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25571
      ?auto_25572
    )
    :vars
    (
      ?auto_25576
      ?auto_25583
      ?auto_25577
      ?auto_25582
      ?auto_25586
      ?auto_25578
      ?auto_25580
      ?auto_25581
      ?auto_25584
      ?auto_25587
      ?auto_25579
      ?auto_25575
      ?auto_25590
      ?auto_25589
    )
    :precondition
    ( and ( OBJ ?auto_25571 ) ( LOCATION ?auto_25572 ) ( AIRPLANE ?auto_25576 ) ( AIRPORT ?auto_25583 ) ( AIRPORT ?auto_25572 ) ( DIFFERENT ?auto_25572 ?auto_25583 ) ( AIRPORT ?auto_25577 ) ( DIFFERENT ?auto_25583 ?auto_25577 ) ( AIRPORT ?auto_25582 ) ( DIFFERENT ?auto_25577 ?auto_25582 ) ( AIRPORT ?auto_25586 ) ( DIFFERENT ?auto_25582 ?auto_25586 ) ( AIRPORT ?auto_25578 ) ( DIFFERENT ?auto_25586 ?auto_25578 ) ( LOCATION ?auto_25578 ) ( TRUCK ?auto_25580 ) ( LOCATION ?auto_25581 ) ( CITY ?auto_25584 ) ( IN-CITY ?auto_25581 ?auto_25584 ) ( IN-CITY ?auto_25578 ?auto_25584 ) ( DIFFERENT ?auto_25578 ?auto_25581 ) ( LOCATION ?auto_25587 ) ( CITY ?auto_25579 ) ( IN-CITY ?auto_25587 ?auto_25579 ) ( IN-CITY ?auto_25581 ?auto_25579 ) ( DIFFERENT ?auto_25581 ?auto_25587 ) ( AT ?auto_25571 ?auto_25587 ) ( AIRPORT ?auto_25575 ) ( AT ?auto_25576 ?auto_25575 ) ( DIFFERENT ?auto_25578 ?auto_25575 ) ( LOCATION ?auto_25590 ) ( CITY ?auto_25589 ) ( AT ?auto_25580 ?auto_25590 ) ( IN-CITY ?auto_25590 ?auto_25589 ) ( IN-CITY ?auto_25587 ?auto_25589 ) ( DIFFERENT ?auto_25587 ?auto_25590 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25580 ?auto_25590 ?auto_25587 ?auto_25589 )
      ( DELIVER-PKG ?auto_25571 ?auto_25572 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25824
      ?auto_25825
    )
    :vars
    (
      ?auto_25832
      ?auto_25830
      ?auto_25829
      ?auto_25826
      ?auto_25831
      ?auto_25828
      ?auto_25835
    )
    :precondition
    ( and ( OBJ ?auto_25824 ) ( LOCATION ?auto_25825 ) ( TRUCK ?auto_25832 ) ( LOCATION ?auto_25830 ) ( CITY ?auto_25829 ) ( AT ?auto_25832 ?auto_25830 ) ( IN-CITY ?auto_25830 ?auto_25829 ) ( IN-CITY ?auto_25825 ?auto_25829 ) ( DIFFERENT ?auto_25825 ?auto_25830 ) ( LOCATION ?auto_25826 ) ( AT ?auto_25832 ?auto_25826 ) ( AIRPLANE ?auto_25831 ) ( IN ?auto_25824 ?auto_25831 ) ( AIRPORT ?auto_25828 ) ( AIRPORT ?auto_25826 ) ( DIFFERENT ?auto_25826 ?auto_25828 ) ( AIRPORT ?auto_25835 ) ( AT ?auto_25831 ?auto_25835 ) ( DIFFERENT ?auto_25828 ?auto_25835 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25831 ?auto_25835 ?auto_25828 )
      ( DELIVER-PKG ?auto_25824 ?auto_25825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25859
      ?auto_25860
    )
    :vars
    (
      ?auto_25865
      ?auto_25863
      ?auto_25862
      ?auto_25868
      ?auto_25864
      ?auto_25861
      ?auto_25867
      ?auto_25871
    )
    :precondition
    ( and ( OBJ ?auto_25859 ) ( LOCATION ?auto_25860 ) ( TRUCK ?auto_25865 ) ( LOCATION ?auto_25863 ) ( CITY ?auto_25862 ) ( AT ?auto_25865 ?auto_25863 ) ( IN-CITY ?auto_25863 ?auto_25862 ) ( IN-CITY ?auto_25860 ?auto_25862 ) ( DIFFERENT ?auto_25860 ?auto_25863 ) ( LOCATION ?auto_25868 ) ( AT ?auto_25865 ?auto_25868 ) ( AIRPLANE ?auto_25864 ) ( IN ?auto_25859 ?auto_25864 ) ( AIRPORT ?auto_25861 ) ( AIRPORT ?auto_25868 ) ( DIFFERENT ?auto_25868 ?auto_25861 ) ( AIRPORT ?auto_25867 ) ( DIFFERENT ?auto_25861 ?auto_25867 ) ( AIRPORT ?auto_25871 ) ( AT ?auto_25864 ?auto_25871 ) ( DIFFERENT ?auto_25867 ?auto_25871 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25864 ?auto_25871 ?auto_25867 )
      ( DELIVER-PKG ?auto_25859 ?auto_25860 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25885
      ?auto_25886
    )
    :vars
    (
      ?auto_25889
      ?auto_25892
      ?auto_25891
      ?auto_25887
      ?auto_25888
      ?auto_25893
      ?auto_25890
      ?auto_25896
      ?auto_25898
    )
    :precondition
    ( and ( OBJ ?auto_25885 ) ( LOCATION ?auto_25886 ) ( TRUCK ?auto_25889 ) ( LOCATION ?auto_25892 ) ( CITY ?auto_25891 ) ( AT ?auto_25889 ?auto_25892 ) ( IN-CITY ?auto_25892 ?auto_25891 ) ( IN-CITY ?auto_25886 ?auto_25891 ) ( DIFFERENT ?auto_25886 ?auto_25892 ) ( LOCATION ?auto_25887 ) ( AT ?auto_25889 ?auto_25887 ) ( AIRPLANE ?auto_25888 ) ( IN ?auto_25885 ?auto_25888 ) ( AIRPORT ?auto_25893 ) ( AIRPORT ?auto_25887 ) ( DIFFERENT ?auto_25887 ?auto_25893 ) ( AIRPORT ?auto_25890 ) ( DIFFERENT ?auto_25893 ?auto_25890 ) ( AIRPORT ?auto_25896 ) ( DIFFERENT ?auto_25890 ?auto_25896 ) ( AIRPORT ?auto_25898 ) ( AT ?auto_25888 ?auto_25898 ) ( DIFFERENT ?auto_25896 ?auto_25898 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25888 ?auto_25898 ?auto_25896 )
      ( DELIVER-PKG ?auto_25885 ?auto_25886 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25900
      ?auto_25901
    )
    :vars
    (
      ?auto_25904
      ?auto_25909
      ?auto_25908
      ?auto_25910
      ?auto_25902
      ?auto_25906
      ?auto_25905
      ?auto_25907
      ?auto_25912
      ?auto_25914
    )
    :precondition
    ( and ( OBJ ?auto_25900 ) ( LOCATION ?auto_25901 ) ( TRUCK ?auto_25904 ) ( LOCATION ?auto_25909 ) ( CITY ?auto_25908 ) ( AT ?auto_25904 ?auto_25909 ) ( IN-CITY ?auto_25909 ?auto_25908 ) ( IN-CITY ?auto_25901 ?auto_25908 ) ( DIFFERENT ?auto_25901 ?auto_25909 ) ( LOCATION ?auto_25910 ) ( AT ?auto_25904 ?auto_25910 ) ( AIRPLANE ?auto_25902 ) ( IN ?auto_25900 ?auto_25902 ) ( AIRPORT ?auto_25906 ) ( AIRPORT ?auto_25910 ) ( DIFFERENT ?auto_25910 ?auto_25906 ) ( AIRPORT ?auto_25905 ) ( DIFFERENT ?auto_25906 ?auto_25905 ) ( AIRPORT ?auto_25907 ) ( DIFFERENT ?auto_25905 ?auto_25907 ) ( AIRPORT ?auto_25912 ) ( DIFFERENT ?auto_25907 ?auto_25912 ) ( AIRPORT ?auto_25914 ) ( AT ?auto_25902 ?auto_25914 ) ( DIFFERENT ?auto_25912 ?auto_25914 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25902 ?auto_25914 ?auto_25912 )
      ( DELIVER-PKG ?auto_25900 ?auto_25901 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25916
      ?auto_25917
    )
    :vars
    (
      ?auto_25921
      ?auto_25922
      ?auto_25923
      ?auto_25928
      ?auto_25929
      ?auto_25918
      ?auto_25926
      ?auto_25920
      ?auto_25924
      ?auto_25925
      ?auto_25931
    )
    :precondition
    ( and ( OBJ ?auto_25916 ) ( LOCATION ?auto_25917 ) ( TRUCK ?auto_25921 ) ( LOCATION ?auto_25922 ) ( CITY ?auto_25923 ) ( AT ?auto_25921 ?auto_25922 ) ( IN-CITY ?auto_25922 ?auto_25923 ) ( IN-CITY ?auto_25917 ?auto_25923 ) ( DIFFERENT ?auto_25917 ?auto_25922 ) ( LOCATION ?auto_25928 ) ( AT ?auto_25921 ?auto_25928 ) ( AIRPLANE ?auto_25929 ) ( AIRPORT ?auto_25918 ) ( AIRPORT ?auto_25928 ) ( DIFFERENT ?auto_25928 ?auto_25918 ) ( AIRPORT ?auto_25926 ) ( DIFFERENT ?auto_25918 ?auto_25926 ) ( AIRPORT ?auto_25920 ) ( DIFFERENT ?auto_25926 ?auto_25920 ) ( AIRPORT ?auto_25924 ) ( DIFFERENT ?auto_25920 ?auto_25924 ) ( AIRPORT ?auto_25925 ) ( AT ?auto_25929 ?auto_25925 ) ( DIFFERENT ?auto_25924 ?auto_25925 ) ( LOCATION ?auto_25931 ) ( AT ?auto_25916 ?auto_25931 ) ( AT ?auto_25929 ?auto_25931 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25916 ?auto_25929 ?auto_25931 )
      ( DELIVER-PKG ?auto_25916 ?auto_25917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25933
      ?auto_25934
    )
    :vars
    (
      ?auto_25946
      ?auto_25947
      ?auto_25937
      ?auto_25940
      ?auto_25938
      ?auto_25943
      ?auto_25944
      ?auto_25945
      ?auto_25935
      ?auto_25941
      ?auto_25942
      ?auto_25949
    )
    :precondition
    ( and ( OBJ ?auto_25933 ) ( LOCATION ?auto_25934 ) ( TRUCK ?auto_25946 ) ( LOCATION ?auto_25947 ) ( CITY ?auto_25937 ) ( AT ?auto_25946 ?auto_25947 ) ( IN-CITY ?auto_25947 ?auto_25937 ) ( IN-CITY ?auto_25934 ?auto_25937 ) ( DIFFERENT ?auto_25934 ?auto_25947 ) ( LOCATION ?auto_25940 ) ( AT ?auto_25946 ?auto_25940 ) ( AIRPLANE ?auto_25938 ) ( AIRPORT ?auto_25943 ) ( AIRPORT ?auto_25940 ) ( DIFFERENT ?auto_25940 ?auto_25943 ) ( AIRPORT ?auto_25944 ) ( DIFFERENT ?auto_25943 ?auto_25944 ) ( AIRPORT ?auto_25945 ) ( DIFFERENT ?auto_25944 ?auto_25945 ) ( AIRPORT ?auto_25935 ) ( DIFFERENT ?auto_25945 ?auto_25935 ) ( AIRPORT ?auto_25941 ) ( AT ?auto_25938 ?auto_25941 ) ( DIFFERENT ?auto_25935 ?auto_25941 ) ( LOCATION ?auto_25942 ) ( AT ?auto_25938 ?auto_25942 ) ( TRUCK ?auto_25949 ) ( AT ?auto_25949 ?auto_25942 ) ( IN ?auto_25933 ?auto_25949 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25933 ?auto_25942 )
      ( DELIVER-PKG ?auto_25933 ?auto_25934 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25951
      ?auto_25952
    )
    :vars
    (
      ?auto_25959
      ?auto_25960
      ?auto_25965
      ?auto_25961
      ?auto_25966
      ?auto_25962
      ?auto_25963
      ?auto_25958
      ?auto_25956
      ?auto_25955
      ?auto_25953
      ?auto_25964
      ?auto_25969
      ?auto_25968
    )
    :precondition
    ( and ( OBJ ?auto_25951 ) ( LOCATION ?auto_25952 ) ( TRUCK ?auto_25959 ) ( LOCATION ?auto_25960 ) ( CITY ?auto_25965 ) ( AT ?auto_25959 ?auto_25960 ) ( IN-CITY ?auto_25960 ?auto_25965 ) ( IN-CITY ?auto_25952 ?auto_25965 ) ( DIFFERENT ?auto_25952 ?auto_25960 ) ( LOCATION ?auto_25961 ) ( AT ?auto_25959 ?auto_25961 ) ( AIRPLANE ?auto_25966 ) ( AIRPORT ?auto_25962 ) ( AIRPORT ?auto_25961 ) ( DIFFERENT ?auto_25961 ?auto_25962 ) ( AIRPORT ?auto_25963 ) ( DIFFERENT ?auto_25962 ?auto_25963 ) ( AIRPORT ?auto_25958 ) ( DIFFERENT ?auto_25963 ?auto_25958 ) ( AIRPORT ?auto_25956 ) ( DIFFERENT ?auto_25958 ?auto_25956 ) ( AIRPORT ?auto_25955 ) ( AT ?auto_25966 ?auto_25955 ) ( DIFFERENT ?auto_25956 ?auto_25955 ) ( LOCATION ?auto_25953 ) ( AT ?auto_25966 ?auto_25953 ) ( TRUCK ?auto_25964 ) ( IN ?auto_25951 ?auto_25964 ) ( LOCATION ?auto_25969 ) ( CITY ?auto_25968 ) ( AT ?auto_25964 ?auto_25969 ) ( IN-CITY ?auto_25969 ?auto_25968 ) ( IN-CITY ?auto_25953 ?auto_25968 ) ( DIFFERENT ?auto_25953 ?auto_25969 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25964 ?auto_25969 ?auto_25953 ?auto_25968 )
      ( DELIVER-PKG ?auto_25951 ?auto_25952 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25971
      ?auto_25972
    )
    :vars
    (
      ?auto_25979
      ?auto_25980
      ?auto_25985
      ?auto_25981
      ?auto_25986
      ?auto_25982
      ?auto_25983
      ?auto_25978
      ?auto_25977
      ?auto_25973
      ?auto_25976
      ?auto_25984
      ?auto_25988
      ?auto_25987
      ?auto_25990
    )
    :precondition
    ( and ( OBJ ?auto_25971 ) ( LOCATION ?auto_25972 ) ( TRUCK ?auto_25979 ) ( LOCATION ?auto_25980 ) ( CITY ?auto_25985 ) ( AT ?auto_25979 ?auto_25980 ) ( IN-CITY ?auto_25980 ?auto_25985 ) ( IN-CITY ?auto_25972 ?auto_25985 ) ( DIFFERENT ?auto_25972 ?auto_25980 ) ( LOCATION ?auto_25981 ) ( AT ?auto_25979 ?auto_25981 ) ( AIRPLANE ?auto_25986 ) ( AIRPORT ?auto_25982 ) ( AIRPORT ?auto_25981 ) ( DIFFERENT ?auto_25981 ?auto_25982 ) ( AIRPORT ?auto_25983 ) ( DIFFERENT ?auto_25982 ?auto_25983 ) ( AIRPORT ?auto_25978 ) ( DIFFERENT ?auto_25983 ?auto_25978 ) ( AIRPORT ?auto_25977 ) ( DIFFERENT ?auto_25978 ?auto_25977 ) ( AIRPORT ?auto_25973 ) ( AT ?auto_25986 ?auto_25973 ) ( DIFFERENT ?auto_25977 ?auto_25973 ) ( LOCATION ?auto_25976 ) ( AT ?auto_25986 ?auto_25976 ) ( TRUCK ?auto_25984 ) ( LOCATION ?auto_25988 ) ( CITY ?auto_25987 ) ( AT ?auto_25984 ?auto_25988 ) ( IN-CITY ?auto_25988 ?auto_25987 ) ( IN-CITY ?auto_25976 ?auto_25987 ) ( DIFFERENT ?auto_25976 ?auto_25988 ) ( LOCATION ?auto_25990 ) ( AT ?auto_25984 ?auto_25990 ) ( AT ?auto_25971 ?auto_25990 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25971 ?auto_25984 ?auto_25990 )
      ( DELIVER-PKG ?auto_25971 ?auto_25972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26011
      ?auto_26012
    )
    :vars
    (
      ?auto_26023
      ?auto_26018
      ?auto_26022
      ?auto_26015
      ?auto_26019
      ?auto_26024
      ?auto_26027
      ?auto_26017
      ?auto_26029
      ?auto_26013
      ?auto_26028
      ?auto_26026
      ?auto_26021
      ?auto_26020
      ?auto_26025
      ?auto_26032
    )
    :precondition
    ( and ( OBJ ?auto_26011 ) ( LOCATION ?auto_26012 ) ( TRUCK ?auto_26023 ) ( LOCATION ?auto_26018 ) ( CITY ?auto_26022 ) ( AT ?auto_26023 ?auto_26018 ) ( IN-CITY ?auto_26018 ?auto_26022 ) ( IN-CITY ?auto_26012 ?auto_26022 ) ( DIFFERENT ?auto_26012 ?auto_26018 ) ( LOCATION ?auto_26015 ) ( AT ?auto_26023 ?auto_26015 ) ( AIRPLANE ?auto_26019 ) ( AIRPORT ?auto_26024 ) ( AIRPORT ?auto_26015 ) ( DIFFERENT ?auto_26015 ?auto_26024 ) ( AIRPORT ?auto_26027 ) ( DIFFERENT ?auto_26024 ?auto_26027 ) ( AIRPORT ?auto_26017 ) ( DIFFERENT ?auto_26027 ?auto_26017 ) ( AIRPORT ?auto_26029 ) ( DIFFERENT ?auto_26017 ?auto_26029 ) ( AIRPORT ?auto_26013 ) ( AT ?auto_26019 ?auto_26013 ) ( DIFFERENT ?auto_26029 ?auto_26013 ) ( LOCATION ?auto_26028 ) ( AT ?auto_26019 ?auto_26028 ) ( TRUCK ?auto_26026 ) ( LOCATION ?auto_26021 ) ( CITY ?auto_26020 ) ( AT ?auto_26026 ?auto_26021 ) ( IN-CITY ?auto_26021 ?auto_26020 ) ( IN-CITY ?auto_26028 ?auto_26020 ) ( DIFFERENT ?auto_26028 ?auto_26021 ) ( LOCATION ?auto_26025 ) ( AT ?auto_26026 ?auto_26025 ) ( TRUCK ?auto_26032 ) ( AT ?auto_26032 ?auto_26025 ) ( IN ?auto_26011 ?auto_26032 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_26011 ?auto_26025 )
      ( DELIVER-PKG ?auto_26011 ?auto_26012 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26053
      ?auto_26054
    )
    :vars
    (
      ?auto_26063
      ?auto_26058
      ?auto_26062
      ?auto_26057
      ?auto_26059
      ?auto_26064
      ?auto_26069
      ?auto_26071
      ?auto_26056
      ?auto_26066
      ?auto_26055
      ?auto_26070
      ?auto_26067
      ?auto_26060
      ?auto_26075
      ?auto_26074
    )
    :precondition
    ( and ( OBJ ?auto_26053 ) ( LOCATION ?auto_26054 ) ( TRUCK ?auto_26063 ) ( LOCATION ?auto_26058 ) ( CITY ?auto_26062 ) ( AT ?auto_26063 ?auto_26058 ) ( IN-CITY ?auto_26058 ?auto_26062 ) ( IN-CITY ?auto_26054 ?auto_26062 ) ( DIFFERENT ?auto_26054 ?auto_26058 ) ( LOCATION ?auto_26057 ) ( AT ?auto_26063 ?auto_26057 ) ( AIRPLANE ?auto_26059 ) ( AIRPORT ?auto_26064 ) ( AIRPORT ?auto_26057 ) ( DIFFERENT ?auto_26057 ?auto_26064 ) ( AIRPORT ?auto_26069 ) ( DIFFERENT ?auto_26064 ?auto_26069 ) ( AIRPORT ?auto_26071 ) ( DIFFERENT ?auto_26069 ?auto_26071 ) ( AIRPORT ?auto_26056 ) ( DIFFERENT ?auto_26071 ?auto_26056 ) ( AIRPORT ?auto_26066 ) ( AT ?auto_26059 ?auto_26066 ) ( DIFFERENT ?auto_26056 ?auto_26066 ) ( LOCATION ?auto_26055 ) ( AT ?auto_26059 ?auto_26055 ) ( TRUCK ?auto_26070 ) ( LOCATION ?auto_26067 ) ( CITY ?auto_26060 ) ( IN-CITY ?auto_26067 ?auto_26060 ) ( IN-CITY ?auto_26055 ?auto_26060 ) ( DIFFERENT ?auto_26055 ?auto_26067 ) ( IN ?auto_26053 ?auto_26070 ) ( LOCATION ?auto_26075 ) ( CITY ?auto_26074 ) ( AT ?auto_26070 ?auto_26075 ) ( IN-CITY ?auto_26075 ?auto_26074 ) ( IN-CITY ?auto_26067 ?auto_26074 ) ( DIFFERENT ?auto_26067 ?auto_26075 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26070 ?auto_26075 ?auto_26067 ?auto_26074 )
      ( DELIVER-PKG ?auto_26053 ?auto_26054 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26097
      ?auto_26098
    )
    :vars
    (
      ?auto_26109
      ?auto_26105
      ?auto_26108
      ?auto_26103
      ?auto_26106
      ?auto_26110
      ?auto_26113
      ?auto_26115
      ?auto_26102
      ?auto_26111
      ?auto_26099
      ?auto_26114
      ?auto_26112
      ?auto_26107
      ?auto_26116
      ?auto_26104
      ?auto_26118
    )
    :precondition
    ( and ( OBJ ?auto_26097 ) ( LOCATION ?auto_26098 ) ( TRUCK ?auto_26109 ) ( LOCATION ?auto_26105 ) ( CITY ?auto_26108 ) ( AT ?auto_26109 ?auto_26105 ) ( IN-CITY ?auto_26105 ?auto_26108 ) ( IN-CITY ?auto_26098 ?auto_26108 ) ( DIFFERENT ?auto_26098 ?auto_26105 ) ( LOCATION ?auto_26103 ) ( AT ?auto_26109 ?auto_26103 ) ( AIRPLANE ?auto_26106 ) ( AIRPORT ?auto_26110 ) ( AIRPORT ?auto_26103 ) ( DIFFERENT ?auto_26103 ?auto_26110 ) ( AIRPORT ?auto_26113 ) ( DIFFERENT ?auto_26110 ?auto_26113 ) ( AIRPORT ?auto_26115 ) ( DIFFERENT ?auto_26113 ?auto_26115 ) ( AIRPORT ?auto_26102 ) ( DIFFERENT ?auto_26115 ?auto_26102 ) ( AIRPORT ?auto_26111 ) ( AT ?auto_26106 ?auto_26111 ) ( DIFFERENT ?auto_26102 ?auto_26111 ) ( LOCATION ?auto_26099 ) ( AT ?auto_26106 ?auto_26099 ) ( TRUCK ?auto_26114 ) ( LOCATION ?auto_26112 ) ( CITY ?auto_26107 ) ( IN-CITY ?auto_26112 ?auto_26107 ) ( IN-CITY ?auto_26099 ?auto_26107 ) ( DIFFERENT ?auto_26099 ?auto_26112 ) ( LOCATION ?auto_26116 ) ( CITY ?auto_26104 ) ( AT ?auto_26114 ?auto_26116 ) ( IN-CITY ?auto_26116 ?auto_26104 ) ( IN-CITY ?auto_26112 ?auto_26104 ) ( DIFFERENT ?auto_26112 ?auto_26116 ) ( LOCATION ?auto_26118 ) ( AT ?auto_26114 ?auto_26118 ) ( AT ?auto_26097 ?auto_26118 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26097 ?auto_26114 ?auto_26118 )
      ( DELIVER-PKG ?auto_26097 ?auto_26098 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26162
      ?auto_26163
    )
    :vars
    (
      ?auto_26175
      ?auto_26171
      ?auto_26174
      ?auto_26169
      ?auto_26172
      ?auto_26176
      ?auto_26179
      ?auto_26181
      ?auto_26168
      ?auto_26167
      ?auto_26180
      ?auto_26178
      ?auto_26173
      ?auto_26182
      ?auto_26170
      ?auto_26166
      ?auto_26184
    )
    :precondition
    ( and ( OBJ ?auto_26162 ) ( LOCATION ?auto_26163 ) ( TRUCK ?auto_26175 ) ( LOCATION ?auto_26171 ) ( CITY ?auto_26174 ) ( AT ?auto_26175 ?auto_26171 ) ( IN-CITY ?auto_26171 ?auto_26174 ) ( IN-CITY ?auto_26163 ?auto_26174 ) ( DIFFERENT ?auto_26163 ?auto_26171 ) ( LOCATION ?auto_26169 ) ( AT ?auto_26175 ?auto_26169 ) ( AIRPLANE ?auto_26172 ) ( AIRPORT ?auto_26176 ) ( AIRPORT ?auto_26169 ) ( DIFFERENT ?auto_26169 ?auto_26176 ) ( AIRPORT ?auto_26179 ) ( DIFFERENT ?auto_26176 ?auto_26179 ) ( AIRPORT ?auto_26181 ) ( DIFFERENT ?auto_26179 ?auto_26181 ) ( AIRPORT ?auto_26168 ) ( DIFFERENT ?auto_26181 ?auto_26168 ) ( AIRPORT ?auto_26167 ) ( DIFFERENT ?auto_26168 ?auto_26167 ) ( LOCATION ?auto_26167 ) ( TRUCK ?auto_26180 ) ( LOCATION ?auto_26178 ) ( CITY ?auto_26173 ) ( IN-CITY ?auto_26178 ?auto_26173 ) ( IN-CITY ?auto_26167 ?auto_26173 ) ( DIFFERENT ?auto_26167 ?auto_26178 ) ( LOCATION ?auto_26182 ) ( CITY ?auto_26170 ) ( AT ?auto_26180 ?auto_26182 ) ( IN-CITY ?auto_26182 ?auto_26170 ) ( IN-CITY ?auto_26178 ?auto_26170 ) ( DIFFERENT ?auto_26178 ?auto_26182 ) ( LOCATION ?auto_26166 ) ( AT ?auto_26180 ?auto_26166 ) ( AT ?auto_26162 ?auto_26166 ) ( AIRPORT ?auto_26184 ) ( AT ?auto_26172 ?auto_26184 ) ( DIFFERENT ?auto_26167 ?auto_26184 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26172 ?auto_26184 ?auto_26167 )
      ( DELIVER-PKG ?auto_26162 ?auto_26163 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26186
      ?auto_26187
    )
    :vars
    (
      ?auto_26203
      ?auto_26199
      ?auto_26202
      ?auto_26197
      ?auto_26200
      ?auto_26204
      ?auto_26195
      ?auto_26205
      ?auto_26193
      ?auto_26191
      ?auto_26196
      ?auto_26194
      ?auto_26201
      ?auto_26190
      ?auto_26198
      ?auto_26192
      ?auto_26209
      ?auto_26208
    )
    :precondition
    ( and ( OBJ ?auto_26186 ) ( LOCATION ?auto_26187 ) ( TRUCK ?auto_26203 ) ( LOCATION ?auto_26199 ) ( CITY ?auto_26202 ) ( AT ?auto_26203 ?auto_26199 ) ( IN-CITY ?auto_26199 ?auto_26202 ) ( IN-CITY ?auto_26187 ?auto_26202 ) ( DIFFERENT ?auto_26187 ?auto_26199 ) ( LOCATION ?auto_26197 ) ( AT ?auto_26203 ?auto_26197 ) ( AIRPLANE ?auto_26200 ) ( AIRPORT ?auto_26204 ) ( AIRPORT ?auto_26197 ) ( DIFFERENT ?auto_26197 ?auto_26204 ) ( AIRPORT ?auto_26195 ) ( DIFFERENT ?auto_26204 ?auto_26195 ) ( AIRPORT ?auto_26205 ) ( DIFFERENT ?auto_26195 ?auto_26205 ) ( AIRPORT ?auto_26193 ) ( DIFFERENT ?auto_26205 ?auto_26193 ) ( AIRPORT ?auto_26191 ) ( DIFFERENT ?auto_26193 ?auto_26191 ) ( LOCATION ?auto_26191 ) ( TRUCK ?auto_26196 ) ( LOCATION ?auto_26194 ) ( CITY ?auto_26201 ) ( IN-CITY ?auto_26194 ?auto_26201 ) ( IN-CITY ?auto_26191 ?auto_26201 ) ( DIFFERENT ?auto_26191 ?auto_26194 ) ( LOCATION ?auto_26190 ) ( CITY ?auto_26198 ) ( IN-CITY ?auto_26190 ?auto_26198 ) ( IN-CITY ?auto_26194 ?auto_26198 ) ( DIFFERENT ?auto_26194 ?auto_26190 ) ( AT ?auto_26186 ?auto_26190 ) ( AIRPORT ?auto_26192 ) ( AT ?auto_26200 ?auto_26192 ) ( DIFFERENT ?auto_26191 ?auto_26192 ) ( LOCATION ?auto_26209 ) ( CITY ?auto_26208 ) ( AT ?auto_26196 ?auto_26209 ) ( IN-CITY ?auto_26209 ?auto_26208 ) ( IN-CITY ?auto_26190 ?auto_26208 ) ( DIFFERENT ?auto_26190 ?auto_26209 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26196 ?auto_26209 ?auto_26190 ?auto_26208 )
      ( DELIVER-PKG ?auto_26186 ?auto_26187 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26613
      ?auto_26614
    )
    :vars
    (
      ?auto_26619
      ?auto_26615
      ?auto_26620
      ?auto_26617
      ?auto_26622
      ?auto_26616
      ?auto_26618
      ?auto_26621
      ?auto_26626
    )
    :precondition
    ( and ( OBJ ?auto_26613 ) ( LOCATION ?auto_26614 ) ( TRUCK ?auto_26619 ) ( LOCATION ?auto_26615 ) ( CITY ?auto_26620 ) ( IN-CITY ?auto_26615 ?auto_26620 ) ( IN-CITY ?auto_26614 ?auto_26620 ) ( DIFFERENT ?auto_26614 ?auto_26615 ) ( LOCATION ?auto_26617 ) ( CITY ?auto_26622 ) ( AT ?auto_26619 ?auto_26617 ) ( IN-CITY ?auto_26617 ?auto_26622 ) ( IN-CITY ?auto_26615 ?auto_26622 ) ( DIFFERENT ?auto_26615 ?auto_26617 ) ( LOCATION ?auto_26616 ) ( AT ?auto_26619 ?auto_26616 ) ( AIRPLANE ?auto_26618 ) ( IN ?auto_26613 ?auto_26618 ) ( AIRPORT ?auto_26621 ) ( AIRPORT ?auto_26616 ) ( DIFFERENT ?auto_26616 ?auto_26621 ) ( AIRPORT ?auto_26626 ) ( AT ?auto_26618 ?auto_26626 ) ( DIFFERENT ?auto_26621 ?auto_26626 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26618 ?auto_26626 ?auto_26621 )
      ( DELIVER-PKG ?auto_26613 ?auto_26614 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26654
      ?auto_26655
    )
    :vars
    (
      ?auto_26663
      ?auto_26666
      ?auto_26658
      ?auto_26661
      ?auto_26660
      ?auto_26656
      ?auto_26662
      ?auto_26659
      ?auto_26664
      ?auto_26668
    )
    :precondition
    ( and ( OBJ ?auto_26654 ) ( LOCATION ?auto_26655 ) ( TRUCK ?auto_26663 ) ( LOCATION ?auto_26666 ) ( CITY ?auto_26658 ) ( IN-CITY ?auto_26666 ?auto_26658 ) ( IN-CITY ?auto_26655 ?auto_26658 ) ( DIFFERENT ?auto_26655 ?auto_26666 ) ( LOCATION ?auto_26661 ) ( CITY ?auto_26660 ) ( AT ?auto_26663 ?auto_26661 ) ( IN-CITY ?auto_26661 ?auto_26660 ) ( IN-CITY ?auto_26666 ?auto_26660 ) ( DIFFERENT ?auto_26666 ?auto_26661 ) ( LOCATION ?auto_26656 ) ( AT ?auto_26663 ?auto_26656 ) ( AIRPLANE ?auto_26662 ) ( IN ?auto_26654 ?auto_26662 ) ( AIRPORT ?auto_26659 ) ( AIRPORT ?auto_26656 ) ( DIFFERENT ?auto_26656 ?auto_26659 ) ( AIRPORT ?auto_26664 ) ( DIFFERENT ?auto_26659 ?auto_26664 ) ( AIRPORT ?auto_26668 ) ( AT ?auto_26662 ?auto_26668 ) ( DIFFERENT ?auto_26664 ?auto_26668 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26662 ?auto_26668 ?auto_26664 )
      ( DELIVER-PKG ?auto_26654 ?auto_26655 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26684
      ?auto_26685
    )
    :vars
    (
      ?auto_26694
      ?auto_26696
      ?auto_26688
      ?auto_26692
      ?auto_26691
      ?auto_26687
      ?auto_26693
      ?auto_26689
      ?auto_26695
      ?auto_26697
      ?auto_26699
    )
    :precondition
    ( and ( OBJ ?auto_26684 ) ( LOCATION ?auto_26685 ) ( TRUCK ?auto_26694 ) ( LOCATION ?auto_26696 ) ( CITY ?auto_26688 ) ( IN-CITY ?auto_26696 ?auto_26688 ) ( IN-CITY ?auto_26685 ?auto_26688 ) ( DIFFERENT ?auto_26685 ?auto_26696 ) ( LOCATION ?auto_26692 ) ( CITY ?auto_26691 ) ( AT ?auto_26694 ?auto_26692 ) ( IN-CITY ?auto_26692 ?auto_26691 ) ( IN-CITY ?auto_26696 ?auto_26691 ) ( DIFFERENT ?auto_26696 ?auto_26692 ) ( LOCATION ?auto_26687 ) ( AT ?auto_26694 ?auto_26687 ) ( AIRPLANE ?auto_26693 ) ( IN ?auto_26684 ?auto_26693 ) ( AIRPORT ?auto_26689 ) ( AIRPORT ?auto_26687 ) ( DIFFERENT ?auto_26687 ?auto_26689 ) ( AIRPORT ?auto_26695 ) ( DIFFERENT ?auto_26689 ?auto_26695 ) ( AIRPORT ?auto_26697 ) ( DIFFERENT ?auto_26695 ?auto_26697 ) ( AIRPORT ?auto_26699 ) ( AT ?auto_26693 ?auto_26699 ) ( DIFFERENT ?auto_26697 ?auto_26699 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26693 ?auto_26699 ?auto_26697 )
      ( DELIVER-PKG ?auto_26684 ?auto_26685 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26701
      ?auto_26702
    )
    :vars
    (
      ?auto_26712
      ?auto_26706
      ?auto_26708
      ?auto_26710
      ?auto_26709
      ?auto_26703
      ?auto_26711
      ?auto_26705
      ?auto_26713
      ?auto_26707
      ?auto_26715
      ?auto_26717
    )
    :precondition
    ( and ( OBJ ?auto_26701 ) ( LOCATION ?auto_26702 ) ( TRUCK ?auto_26712 ) ( LOCATION ?auto_26706 ) ( CITY ?auto_26708 ) ( IN-CITY ?auto_26706 ?auto_26708 ) ( IN-CITY ?auto_26702 ?auto_26708 ) ( DIFFERENT ?auto_26702 ?auto_26706 ) ( LOCATION ?auto_26710 ) ( CITY ?auto_26709 ) ( AT ?auto_26712 ?auto_26710 ) ( IN-CITY ?auto_26710 ?auto_26709 ) ( IN-CITY ?auto_26706 ?auto_26709 ) ( DIFFERENT ?auto_26706 ?auto_26710 ) ( LOCATION ?auto_26703 ) ( AT ?auto_26712 ?auto_26703 ) ( AIRPLANE ?auto_26711 ) ( IN ?auto_26701 ?auto_26711 ) ( AIRPORT ?auto_26705 ) ( AIRPORT ?auto_26703 ) ( DIFFERENT ?auto_26703 ?auto_26705 ) ( AIRPORT ?auto_26713 ) ( DIFFERENT ?auto_26705 ?auto_26713 ) ( AIRPORT ?auto_26707 ) ( DIFFERENT ?auto_26713 ?auto_26707 ) ( AIRPORT ?auto_26715 ) ( DIFFERENT ?auto_26707 ?auto_26715 ) ( AIRPORT ?auto_26717 ) ( AT ?auto_26711 ?auto_26717 ) ( DIFFERENT ?auto_26715 ?auto_26717 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26711 ?auto_26717 ?auto_26715 )
      ( DELIVER-PKG ?auto_26701 ?auto_26702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26719
      ?auto_26720
    )
    :vars
    (
      ?auto_26732
      ?auto_26723
      ?auto_26721
      ?auto_26725
      ?auto_26724
      ?auto_26733
      ?auto_26730
      ?auto_26734
      ?auto_26728
      ?auto_26729
      ?auto_26727
      ?auto_26726
      ?auto_26736
    )
    :precondition
    ( and ( OBJ ?auto_26719 ) ( LOCATION ?auto_26720 ) ( TRUCK ?auto_26732 ) ( LOCATION ?auto_26723 ) ( CITY ?auto_26721 ) ( IN-CITY ?auto_26723 ?auto_26721 ) ( IN-CITY ?auto_26720 ?auto_26721 ) ( DIFFERENT ?auto_26720 ?auto_26723 ) ( LOCATION ?auto_26725 ) ( CITY ?auto_26724 ) ( AT ?auto_26732 ?auto_26725 ) ( IN-CITY ?auto_26725 ?auto_26724 ) ( IN-CITY ?auto_26723 ?auto_26724 ) ( DIFFERENT ?auto_26723 ?auto_26725 ) ( LOCATION ?auto_26733 ) ( AT ?auto_26732 ?auto_26733 ) ( AIRPLANE ?auto_26730 ) ( AIRPORT ?auto_26734 ) ( AIRPORT ?auto_26733 ) ( DIFFERENT ?auto_26733 ?auto_26734 ) ( AIRPORT ?auto_26728 ) ( DIFFERENT ?auto_26734 ?auto_26728 ) ( AIRPORT ?auto_26729 ) ( DIFFERENT ?auto_26728 ?auto_26729 ) ( AIRPORT ?auto_26727 ) ( DIFFERENT ?auto_26729 ?auto_26727 ) ( AIRPORT ?auto_26726 ) ( AT ?auto_26730 ?auto_26726 ) ( DIFFERENT ?auto_26727 ?auto_26726 ) ( LOCATION ?auto_26736 ) ( AT ?auto_26719 ?auto_26736 ) ( AT ?auto_26730 ?auto_26736 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_26719 ?auto_26730 ?auto_26736 )
      ( DELIVER-PKG ?auto_26719 ?auto_26720 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26738
      ?auto_26739
    )
    :vars
    (
      ?auto_26743
      ?auto_26753
      ?auto_26749
      ?auto_26754
      ?auto_26752
      ?auto_26741
      ?auto_26750
      ?auto_26746
      ?auto_26740
      ?auto_26745
      ?auto_26742
      ?auto_26748
      ?auto_26751
      ?auto_26756
    )
    :precondition
    ( and ( OBJ ?auto_26738 ) ( LOCATION ?auto_26739 ) ( TRUCK ?auto_26743 ) ( LOCATION ?auto_26753 ) ( CITY ?auto_26749 ) ( IN-CITY ?auto_26753 ?auto_26749 ) ( IN-CITY ?auto_26739 ?auto_26749 ) ( DIFFERENT ?auto_26739 ?auto_26753 ) ( LOCATION ?auto_26754 ) ( CITY ?auto_26752 ) ( AT ?auto_26743 ?auto_26754 ) ( IN-CITY ?auto_26754 ?auto_26752 ) ( IN-CITY ?auto_26753 ?auto_26752 ) ( DIFFERENT ?auto_26753 ?auto_26754 ) ( LOCATION ?auto_26741 ) ( AT ?auto_26743 ?auto_26741 ) ( AIRPLANE ?auto_26750 ) ( AIRPORT ?auto_26746 ) ( AIRPORT ?auto_26741 ) ( DIFFERENT ?auto_26741 ?auto_26746 ) ( AIRPORT ?auto_26740 ) ( DIFFERENT ?auto_26746 ?auto_26740 ) ( AIRPORT ?auto_26745 ) ( DIFFERENT ?auto_26740 ?auto_26745 ) ( AIRPORT ?auto_26742 ) ( DIFFERENT ?auto_26745 ?auto_26742 ) ( AIRPORT ?auto_26748 ) ( AT ?auto_26750 ?auto_26748 ) ( DIFFERENT ?auto_26742 ?auto_26748 ) ( LOCATION ?auto_26751 ) ( AT ?auto_26750 ?auto_26751 ) ( TRUCK ?auto_26756 ) ( AT ?auto_26756 ?auto_26751 ) ( IN ?auto_26738 ?auto_26756 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_26738 ?auto_26751 )
      ( DELIVER-PKG ?auto_26738 ?auto_26739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26758
      ?auto_26759
    )
    :vars
    (
      ?auto_26765
      ?auto_26774
      ?auto_26769
      ?auto_26775
      ?auto_26773
      ?auto_26764
      ?auto_26771
      ?auto_26767
      ?auto_26760
      ?auto_26766
      ?auto_26761
      ?auto_26768
      ?auto_26772
      ?auto_26770
      ?auto_26778
      ?auto_26777
    )
    :precondition
    ( and ( OBJ ?auto_26758 ) ( LOCATION ?auto_26759 ) ( TRUCK ?auto_26765 ) ( LOCATION ?auto_26774 ) ( CITY ?auto_26769 ) ( IN-CITY ?auto_26774 ?auto_26769 ) ( IN-CITY ?auto_26759 ?auto_26769 ) ( DIFFERENT ?auto_26759 ?auto_26774 ) ( LOCATION ?auto_26775 ) ( CITY ?auto_26773 ) ( AT ?auto_26765 ?auto_26775 ) ( IN-CITY ?auto_26775 ?auto_26773 ) ( IN-CITY ?auto_26774 ?auto_26773 ) ( DIFFERENT ?auto_26774 ?auto_26775 ) ( LOCATION ?auto_26764 ) ( AT ?auto_26765 ?auto_26764 ) ( AIRPLANE ?auto_26771 ) ( AIRPORT ?auto_26767 ) ( AIRPORT ?auto_26764 ) ( DIFFERENT ?auto_26764 ?auto_26767 ) ( AIRPORT ?auto_26760 ) ( DIFFERENT ?auto_26767 ?auto_26760 ) ( AIRPORT ?auto_26766 ) ( DIFFERENT ?auto_26760 ?auto_26766 ) ( AIRPORT ?auto_26761 ) ( DIFFERENT ?auto_26766 ?auto_26761 ) ( AIRPORT ?auto_26768 ) ( AT ?auto_26771 ?auto_26768 ) ( DIFFERENT ?auto_26761 ?auto_26768 ) ( LOCATION ?auto_26772 ) ( AT ?auto_26771 ?auto_26772 ) ( TRUCK ?auto_26770 ) ( IN ?auto_26758 ?auto_26770 ) ( LOCATION ?auto_26778 ) ( CITY ?auto_26777 ) ( AT ?auto_26770 ?auto_26778 ) ( IN-CITY ?auto_26778 ?auto_26777 ) ( IN-CITY ?auto_26772 ?auto_26777 ) ( DIFFERENT ?auto_26772 ?auto_26778 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26770 ?auto_26778 ?auto_26772 ?auto_26777 )
      ( DELIVER-PKG ?auto_26758 ?auto_26759 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26780
      ?auto_26781
    )
    :vars
    (
      ?auto_26787
      ?auto_26796
      ?auto_26791
      ?auto_26797
      ?auto_26795
      ?auto_26786
      ?auto_26793
      ?auto_26789
      ?auto_26783
      ?auto_26788
      ?auto_26785
      ?auto_26790
      ?auto_26794
      ?auto_26792
      ?auto_26799
      ?auto_26798
      ?auto_26801
    )
    :precondition
    ( and ( OBJ ?auto_26780 ) ( LOCATION ?auto_26781 ) ( TRUCK ?auto_26787 ) ( LOCATION ?auto_26796 ) ( CITY ?auto_26791 ) ( IN-CITY ?auto_26796 ?auto_26791 ) ( IN-CITY ?auto_26781 ?auto_26791 ) ( DIFFERENT ?auto_26781 ?auto_26796 ) ( LOCATION ?auto_26797 ) ( CITY ?auto_26795 ) ( AT ?auto_26787 ?auto_26797 ) ( IN-CITY ?auto_26797 ?auto_26795 ) ( IN-CITY ?auto_26796 ?auto_26795 ) ( DIFFERENT ?auto_26796 ?auto_26797 ) ( LOCATION ?auto_26786 ) ( AT ?auto_26787 ?auto_26786 ) ( AIRPLANE ?auto_26793 ) ( AIRPORT ?auto_26789 ) ( AIRPORT ?auto_26786 ) ( DIFFERENT ?auto_26786 ?auto_26789 ) ( AIRPORT ?auto_26783 ) ( DIFFERENT ?auto_26789 ?auto_26783 ) ( AIRPORT ?auto_26788 ) ( DIFFERENT ?auto_26783 ?auto_26788 ) ( AIRPORT ?auto_26785 ) ( DIFFERENT ?auto_26788 ?auto_26785 ) ( AIRPORT ?auto_26790 ) ( AT ?auto_26793 ?auto_26790 ) ( DIFFERENT ?auto_26785 ?auto_26790 ) ( LOCATION ?auto_26794 ) ( AT ?auto_26793 ?auto_26794 ) ( TRUCK ?auto_26792 ) ( LOCATION ?auto_26799 ) ( CITY ?auto_26798 ) ( AT ?auto_26792 ?auto_26799 ) ( IN-CITY ?auto_26799 ?auto_26798 ) ( IN-CITY ?auto_26794 ?auto_26798 ) ( DIFFERENT ?auto_26794 ?auto_26799 ) ( LOCATION ?auto_26801 ) ( AT ?auto_26792 ?auto_26801 ) ( AT ?auto_26780 ?auto_26801 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26780 ?auto_26792 ?auto_26801 )
      ( DELIVER-PKG ?auto_26780 ?auto_26781 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26824
      ?auto_26825
    )
    :vars
    (
      ?auto_26841
      ?auto_26830
      ?auto_26827
      ?auto_26838
      ?auto_26832
      ?auto_26843
      ?auto_26835
      ?auto_26831
      ?auto_26840
      ?auto_26828
      ?auto_26842
      ?auto_26844
      ?auto_26837
      ?auto_26829
      ?auto_26836
      ?auto_26839
      ?auto_26833
      ?auto_26847
    )
    :precondition
    ( and ( OBJ ?auto_26824 ) ( LOCATION ?auto_26825 ) ( TRUCK ?auto_26841 ) ( LOCATION ?auto_26830 ) ( CITY ?auto_26827 ) ( IN-CITY ?auto_26830 ?auto_26827 ) ( IN-CITY ?auto_26825 ?auto_26827 ) ( DIFFERENT ?auto_26825 ?auto_26830 ) ( LOCATION ?auto_26838 ) ( CITY ?auto_26832 ) ( AT ?auto_26841 ?auto_26838 ) ( IN-CITY ?auto_26838 ?auto_26832 ) ( IN-CITY ?auto_26830 ?auto_26832 ) ( DIFFERENT ?auto_26830 ?auto_26838 ) ( LOCATION ?auto_26843 ) ( AT ?auto_26841 ?auto_26843 ) ( AIRPLANE ?auto_26835 ) ( AIRPORT ?auto_26831 ) ( AIRPORT ?auto_26843 ) ( DIFFERENT ?auto_26843 ?auto_26831 ) ( AIRPORT ?auto_26840 ) ( DIFFERENT ?auto_26831 ?auto_26840 ) ( AIRPORT ?auto_26828 ) ( DIFFERENT ?auto_26840 ?auto_26828 ) ( AIRPORT ?auto_26842 ) ( DIFFERENT ?auto_26828 ?auto_26842 ) ( AIRPORT ?auto_26844 ) ( AT ?auto_26835 ?auto_26844 ) ( DIFFERENT ?auto_26842 ?auto_26844 ) ( LOCATION ?auto_26837 ) ( AT ?auto_26835 ?auto_26837 ) ( TRUCK ?auto_26829 ) ( LOCATION ?auto_26836 ) ( CITY ?auto_26839 ) ( AT ?auto_26829 ?auto_26836 ) ( IN-CITY ?auto_26836 ?auto_26839 ) ( IN-CITY ?auto_26837 ?auto_26839 ) ( DIFFERENT ?auto_26837 ?auto_26836 ) ( LOCATION ?auto_26833 ) ( AT ?auto_26829 ?auto_26833 ) ( TRUCK ?auto_26847 ) ( AT ?auto_26847 ?auto_26833 ) ( IN ?auto_26824 ?auto_26847 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_26824 ?auto_26833 )
      ( DELIVER-PKG ?auto_26824 ?auto_26825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26870
      ?auto_26871
    )
    :vars
    (
      ?auto_26882
      ?auto_26873
      ?auto_26891
      ?auto_26877
      ?auto_26874
      ?auto_26885
      ?auto_26880
      ?auto_26872
      ?auto_26879
      ?auto_26888
      ?auto_26884
      ?auto_26886
      ?auto_26876
      ?auto_26883
      ?auto_26875
      ?auto_26878
      ?auto_26894
      ?auto_26893
    )
    :precondition
    ( and ( OBJ ?auto_26870 ) ( LOCATION ?auto_26871 ) ( TRUCK ?auto_26882 ) ( LOCATION ?auto_26873 ) ( CITY ?auto_26891 ) ( IN-CITY ?auto_26873 ?auto_26891 ) ( IN-CITY ?auto_26871 ?auto_26891 ) ( DIFFERENT ?auto_26871 ?auto_26873 ) ( LOCATION ?auto_26877 ) ( CITY ?auto_26874 ) ( AT ?auto_26882 ?auto_26877 ) ( IN-CITY ?auto_26877 ?auto_26874 ) ( IN-CITY ?auto_26873 ?auto_26874 ) ( DIFFERENT ?auto_26873 ?auto_26877 ) ( LOCATION ?auto_26885 ) ( AT ?auto_26882 ?auto_26885 ) ( AIRPLANE ?auto_26880 ) ( AIRPORT ?auto_26872 ) ( AIRPORT ?auto_26885 ) ( DIFFERENT ?auto_26885 ?auto_26872 ) ( AIRPORT ?auto_26879 ) ( DIFFERENT ?auto_26872 ?auto_26879 ) ( AIRPORT ?auto_26888 ) ( DIFFERENT ?auto_26879 ?auto_26888 ) ( AIRPORT ?auto_26884 ) ( DIFFERENT ?auto_26888 ?auto_26884 ) ( AIRPORT ?auto_26886 ) ( AT ?auto_26880 ?auto_26886 ) ( DIFFERENT ?auto_26884 ?auto_26886 ) ( LOCATION ?auto_26876 ) ( AT ?auto_26880 ?auto_26876 ) ( TRUCK ?auto_26883 ) ( LOCATION ?auto_26875 ) ( CITY ?auto_26878 ) ( IN-CITY ?auto_26875 ?auto_26878 ) ( IN-CITY ?auto_26876 ?auto_26878 ) ( DIFFERENT ?auto_26876 ?auto_26875 ) ( IN ?auto_26870 ?auto_26883 ) ( LOCATION ?auto_26894 ) ( CITY ?auto_26893 ) ( AT ?auto_26883 ?auto_26894 ) ( IN-CITY ?auto_26894 ?auto_26893 ) ( IN-CITY ?auto_26875 ?auto_26893 ) ( DIFFERENT ?auto_26875 ?auto_26894 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26883 ?auto_26894 ?auto_26875 ?auto_26893 )
      ( DELIVER-PKG ?auto_26870 ?auto_26871 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26918
      ?auto_26919
    )
    :vars
    (
      ?auto_26927
      ?auto_26938
      ?auto_26935
      ?auto_26923
      ?auto_26920
      ?auto_26930
      ?auto_26926
      ?auto_26937
      ?auto_26925
      ?auto_26934
      ?auto_26929
      ?auto_26931
      ?auto_26922
      ?auto_26928
      ?auto_26939
      ?auto_26924
      ?auto_26932
      ?auto_26933
      ?auto_26941
    )
    :precondition
    ( and ( OBJ ?auto_26918 ) ( LOCATION ?auto_26919 ) ( TRUCK ?auto_26927 ) ( LOCATION ?auto_26938 ) ( CITY ?auto_26935 ) ( IN-CITY ?auto_26938 ?auto_26935 ) ( IN-CITY ?auto_26919 ?auto_26935 ) ( DIFFERENT ?auto_26919 ?auto_26938 ) ( LOCATION ?auto_26923 ) ( CITY ?auto_26920 ) ( AT ?auto_26927 ?auto_26923 ) ( IN-CITY ?auto_26923 ?auto_26920 ) ( IN-CITY ?auto_26938 ?auto_26920 ) ( DIFFERENT ?auto_26938 ?auto_26923 ) ( LOCATION ?auto_26930 ) ( AT ?auto_26927 ?auto_26930 ) ( AIRPLANE ?auto_26926 ) ( AIRPORT ?auto_26937 ) ( AIRPORT ?auto_26930 ) ( DIFFERENT ?auto_26930 ?auto_26937 ) ( AIRPORT ?auto_26925 ) ( DIFFERENT ?auto_26937 ?auto_26925 ) ( AIRPORT ?auto_26934 ) ( DIFFERENT ?auto_26925 ?auto_26934 ) ( AIRPORT ?auto_26929 ) ( DIFFERENT ?auto_26934 ?auto_26929 ) ( AIRPORT ?auto_26931 ) ( AT ?auto_26926 ?auto_26931 ) ( DIFFERENT ?auto_26929 ?auto_26931 ) ( LOCATION ?auto_26922 ) ( AT ?auto_26926 ?auto_26922 ) ( TRUCK ?auto_26928 ) ( LOCATION ?auto_26939 ) ( CITY ?auto_26924 ) ( IN-CITY ?auto_26939 ?auto_26924 ) ( IN-CITY ?auto_26922 ?auto_26924 ) ( DIFFERENT ?auto_26922 ?auto_26939 ) ( LOCATION ?auto_26932 ) ( CITY ?auto_26933 ) ( AT ?auto_26928 ?auto_26932 ) ( IN-CITY ?auto_26932 ?auto_26933 ) ( IN-CITY ?auto_26939 ?auto_26933 ) ( DIFFERENT ?auto_26939 ?auto_26932 ) ( LOCATION ?auto_26941 ) ( AT ?auto_26928 ?auto_26941 ) ( AT ?auto_26918 ?auto_26941 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26918 ?auto_26928 ?auto_26941 )
      ( DELIVER-PKG ?auto_26918 ?auto_26919 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26989
      ?auto_26990
    )
    :vars
    (
      ?auto_26999
      ?auto_27010
      ?auto_27007
      ?auto_26995
      ?auto_26993
      ?auto_27002
      ?auto_26998
      ?auto_27009
      ?auto_26997
      ?auto_27006
      ?auto_27001
      ?auto_26994
      ?auto_27000
      ?auto_27011
      ?auto_26996
      ?auto_27004
      ?auto_27005
      ?auto_27008
      ?auto_27013
    )
    :precondition
    ( and ( OBJ ?auto_26989 ) ( LOCATION ?auto_26990 ) ( TRUCK ?auto_26999 ) ( LOCATION ?auto_27010 ) ( CITY ?auto_27007 ) ( IN-CITY ?auto_27010 ?auto_27007 ) ( IN-CITY ?auto_26990 ?auto_27007 ) ( DIFFERENT ?auto_26990 ?auto_27010 ) ( LOCATION ?auto_26995 ) ( CITY ?auto_26993 ) ( AT ?auto_26999 ?auto_26995 ) ( IN-CITY ?auto_26995 ?auto_26993 ) ( IN-CITY ?auto_27010 ?auto_26993 ) ( DIFFERENT ?auto_27010 ?auto_26995 ) ( LOCATION ?auto_27002 ) ( AT ?auto_26999 ?auto_27002 ) ( AIRPLANE ?auto_26998 ) ( AIRPORT ?auto_27009 ) ( AIRPORT ?auto_27002 ) ( DIFFERENT ?auto_27002 ?auto_27009 ) ( AIRPORT ?auto_26997 ) ( DIFFERENT ?auto_27009 ?auto_26997 ) ( AIRPORT ?auto_27006 ) ( DIFFERENT ?auto_26997 ?auto_27006 ) ( AIRPORT ?auto_27001 ) ( DIFFERENT ?auto_27006 ?auto_27001 ) ( AIRPORT ?auto_26994 ) ( DIFFERENT ?auto_27001 ?auto_26994 ) ( LOCATION ?auto_26994 ) ( TRUCK ?auto_27000 ) ( LOCATION ?auto_27011 ) ( CITY ?auto_26996 ) ( IN-CITY ?auto_27011 ?auto_26996 ) ( IN-CITY ?auto_26994 ?auto_26996 ) ( DIFFERENT ?auto_26994 ?auto_27011 ) ( LOCATION ?auto_27004 ) ( CITY ?auto_27005 ) ( AT ?auto_27000 ?auto_27004 ) ( IN-CITY ?auto_27004 ?auto_27005 ) ( IN-CITY ?auto_27011 ?auto_27005 ) ( DIFFERENT ?auto_27011 ?auto_27004 ) ( LOCATION ?auto_27008 ) ( AT ?auto_27000 ?auto_27008 ) ( AT ?auto_26989 ?auto_27008 ) ( AIRPORT ?auto_27013 ) ( AT ?auto_26998 ?auto_27013 ) ( DIFFERENT ?auto_26994 ?auto_27013 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26998 ?auto_27013 ?auto_26994 )
      ( DELIVER-PKG ?auto_26989 ?auto_26990 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27015
      ?auto_27016
    )
    :vars
    (
      ?auto_27025
      ?auto_27036
      ?auto_27032
      ?auto_27021
      ?auto_27019
      ?auto_27028
      ?auto_27024
      ?auto_27035
      ?auto_27023
      ?auto_27031
      ?auto_27027
      ?auto_27020
      ?auto_27026
      ?auto_27037
      ?auto_27022
      ?auto_27033
      ?auto_27030
      ?auto_27034
      ?auto_27040
      ?auto_27039
    )
    :precondition
    ( and ( OBJ ?auto_27015 ) ( LOCATION ?auto_27016 ) ( TRUCK ?auto_27025 ) ( LOCATION ?auto_27036 ) ( CITY ?auto_27032 ) ( IN-CITY ?auto_27036 ?auto_27032 ) ( IN-CITY ?auto_27016 ?auto_27032 ) ( DIFFERENT ?auto_27016 ?auto_27036 ) ( LOCATION ?auto_27021 ) ( CITY ?auto_27019 ) ( AT ?auto_27025 ?auto_27021 ) ( IN-CITY ?auto_27021 ?auto_27019 ) ( IN-CITY ?auto_27036 ?auto_27019 ) ( DIFFERENT ?auto_27036 ?auto_27021 ) ( LOCATION ?auto_27028 ) ( AT ?auto_27025 ?auto_27028 ) ( AIRPLANE ?auto_27024 ) ( AIRPORT ?auto_27035 ) ( AIRPORT ?auto_27028 ) ( DIFFERENT ?auto_27028 ?auto_27035 ) ( AIRPORT ?auto_27023 ) ( DIFFERENT ?auto_27035 ?auto_27023 ) ( AIRPORT ?auto_27031 ) ( DIFFERENT ?auto_27023 ?auto_27031 ) ( AIRPORT ?auto_27027 ) ( DIFFERENT ?auto_27031 ?auto_27027 ) ( AIRPORT ?auto_27020 ) ( DIFFERENT ?auto_27027 ?auto_27020 ) ( LOCATION ?auto_27020 ) ( TRUCK ?auto_27026 ) ( LOCATION ?auto_27037 ) ( CITY ?auto_27022 ) ( IN-CITY ?auto_27037 ?auto_27022 ) ( IN-CITY ?auto_27020 ?auto_27022 ) ( DIFFERENT ?auto_27020 ?auto_27037 ) ( LOCATION ?auto_27033 ) ( CITY ?auto_27030 ) ( IN-CITY ?auto_27033 ?auto_27030 ) ( IN-CITY ?auto_27037 ?auto_27030 ) ( DIFFERENT ?auto_27037 ?auto_27033 ) ( AT ?auto_27015 ?auto_27033 ) ( AIRPORT ?auto_27034 ) ( AT ?auto_27024 ?auto_27034 ) ( DIFFERENT ?auto_27020 ?auto_27034 ) ( LOCATION ?auto_27040 ) ( CITY ?auto_27039 ) ( AT ?auto_27026 ?auto_27040 ) ( IN-CITY ?auto_27040 ?auto_27039 ) ( IN-CITY ?auto_27033 ?auto_27039 ) ( DIFFERENT ?auto_27033 ?auto_27040 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27026 ?auto_27040 ?auto_27033 ?auto_27039 )
      ( DELIVER-PKG ?auto_27015 ?auto_27016 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27879
      ?auto_27880
    )
    :vars
    (
      ?auto_27888
      ?auto_27889
      ?auto_27885
      ?auto_27883
      ?auto_27882
      ?auto_27887
      ?auto_27886
      ?auto_27892
      ?auto_27890
      ?auto_27895
      ?auto_27894
    )
    :precondition
    ( and ( OBJ ?auto_27879 ) ( LOCATION ?auto_27880 ) ( TRUCK ?auto_27888 ) ( LOCATION ?auto_27889 ) ( CITY ?auto_27885 ) ( IN-CITY ?auto_27889 ?auto_27885 ) ( IN-CITY ?auto_27880 ?auto_27885 ) ( DIFFERENT ?auto_27880 ?auto_27889 ) ( LOCATION ?auto_27883 ) ( CITY ?auto_27882 ) ( IN-CITY ?auto_27883 ?auto_27882 ) ( IN-CITY ?auto_27889 ?auto_27882 ) ( DIFFERENT ?auto_27889 ?auto_27883 ) ( LOCATION ?auto_27887 ) ( CITY ?auto_27886 ) ( IN-CITY ?auto_27887 ?auto_27886 ) ( IN-CITY ?auto_27883 ?auto_27886 ) ( DIFFERENT ?auto_27883 ?auto_27887 ) ( LOCATION ?auto_27892 ) ( CITY ?auto_27890 ) ( IN-CITY ?auto_27892 ?auto_27890 ) ( IN-CITY ?auto_27887 ?auto_27890 ) ( DIFFERENT ?auto_27887 ?auto_27892 ) ( AT ?auto_27879 ?auto_27892 ) ( LOCATION ?auto_27895 ) ( CITY ?auto_27894 ) ( AT ?auto_27888 ?auto_27895 ) ( IN-CITY ?auto_27895 ?auto_27894 ) ( IN-CITY ?auto_27892 ?auto_27894 ) ( DIFFERENT ?auto_27892 ?auto_27895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27888 ?auto_27895 ?auto_27892 ?auto_27894 )
      ( DELIVER-PKG ?auto_27879 ?auto_27880 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28372
      ?auto_28373
    )
    :vars
    (
      ?auto_28377
      ?auto_28382
      ?auto_28381
      ?auto_28378
      ?auto_28380
      ?auto_28379
      ?auto_28375
      ?auto_28384
      ?auto_28383
      ?auto_28387
      ?auto_28385
      ?auto_28390
      ?auto_28389
    )
    :precondition
    ( and ( OBJ ?auto_28372 ) ( LOCATION ?auto_28373 ) ( TRUCK ?auto_28377 ) ( LOCATION ?auto_28382 ) ( CITY ?auto_28381 ) ( IN-CITY ?auto_28382 ?auto_28381 ) ( IN-CITY ?auto_28373 ?auto_28381 ) ( DIFFERENT ?auto_28373 ?auto_28382 ) ( LOCATION ?auto_28378 ) ( CITY ?auto_28380 ) ( IN-CITY ?auto_28378 ?auto_28380 ) ( IN-CITY ?auto_28382 ?auto_28380 ) ( DIFFERENT ?auto_28382 ?auto_28378 ) ( LOCATION ?auto_28379 ) ( CITY ?auto_28375 ) ( IN-CITY ?auto_28379 ?auto_28375 ) ( IN-CITY ?auto_28378 ?auto_28375 ) ( DIFFERENT ?auto_28378 ?auto_28379 ) ( LOCATION ?auto_28384 ) ( CITY ?auto_28383 ) ( IN-CITY ?auto_28384 ?auto_28383 ) ( IN-CITY ?auto_28379 ?auto_28383 ) ( DIFFERENT ?auto_28379 ?auto_28384 ) ( LOCATION ?auto_28387 ) ( CITY ?auto_28385 ) ( IN-CITY ?auto_28387 ?auto_28385 ) ( IN-CITY ?auto_28384 ?auto_28385 ) ( DIFFERENT ?auto_28384 ?auto_28387 ) ( AT ?auto_28372 ?auto_28387 ) ( LOCATION ?auto_28390 ) ( CITY ?auto_28389 ) ( AT ?auto_28377 ?auto_28390 ) ( IN-CITY ?auto_28390 ?auto_28389 ) ( IN-CITY ?auto_28387 ?auto_28389 ) ( DIFFERENT ?auto_28387 ?auto_28390 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28377 ?auto_28390 ?auto_28387 ?auto_28389 )
      ( DELIVER-PKG ?auto_28372 ?auto_28373 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30375
      ?auto_30376
    )
    :vars
    (
      ?auto_30390
      ?auto_30377
      ?auto_30386
      ?auto_30385
      ?auto_30381
      ?auto_30382
      ?auto_30379
      ?auto_30389
      ?auto_30380
      ?auto_30388
      ?auto_30387
      ?auto_30384
      ?auto_30391
    )
    :precondition
    ( and ( OBJ ?auto_30375 ) ( LOCATION ?auto_30376 ) ( AIRPLANE ?auto_30390 ) ( AT ?auto_30390 ?auto_30376 ) ( LOCATION ?auto_30377 ) ( AT ?auto_30390 ?auto_30377 ) ( AIRPLANE ?auto_30386 ) ( AT ?auto_30386 ?auto_30377 ) ( LOCATION ?auto_30385 ) ( AT ?auto_30386 ?auto_30385 ) ( AIRPLANE ?auto_30381 ) ( AT ?auto_30381 ?auto_30385 ) ( LOCATION ?auto_30382 ) ( AT ?auto_30381 ?auto_30382 ) ( AIRPLANE ?auto_30379 ) ( AT ?auto_30379 ?auto_30382 ) ( LOCATION ?auto_30389 ) ( AT ?auto_30379 ?auto_30389 ) ( TRUCK ?auto_30380 ) ( LOCATION ?auto_30388 ) ( CITY ?auto_30387 ) ( AT ?auto_30380 ?auto_30388 ) ( IN-CITY ?auto_30388 ?auto_30387 ) ( IN-CITY ?auto_30389 ?auto_30387 ) ( DIFFERENT ?auto_30389 ?auto_30388 ) ( LOCATION ?auto_30384 ) ( AT ?auto_30380 ?auto_30384 ) ( TRUCK ?auto_30391 ) ( AT ?auto_30391 ?auto_30384 ) ( IN ?auto_30375 ?auto_30391 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30375 ?auto_30384 )
      ( DELIVER-PKG ?auto_30375 ?auto_30376 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30394
      ?auto_30395
    )
    :vars
    (
      ?auto_30396
      ?auto_30404
      ?auto_30397
      ?auto_30401
      ?auto_30410
      ?auto_30409
      ?auto_30406
      ?auto_30408
      ?auto_30398
      ?auto_30399
      ?auto_30405
      ?auto_30413
      ?auto_30412
    )
    :precondition
    ( and ( OBJ ?auto_30394 ) ( LOCATION ?auto_30395 ) ( AIRPLANE ?auto_30396 ) ( AT ?auto_30396 ?auto_30395 ) ( LOCATION ?auto_30404 ) ( AT ?auto_30396 ?auto_30404 ) ( AIRPLANE ?auto_30397 ) ( AT ?auto_30397 ?auto_30404 ) ( LOCATION ?auto_30401 ) ( AT ?auto_30397 ?auto_30401 ) ( AIRPLANE ?auto_30410 ) ( AT ?auto_30410 ?auto_30401 ) ( LOCATION ?auto_30409 ) ( AT ?auto_30410 ?auto_30409 ) ( AIRPLANE ?auto_30406 ) ( AT ?auto_30406 ?auto_30409 ) ( LOCATION ?auto_30408 ) ( AT ?auto_30406 ?auto_30408 ) ( TRUCK ?auto_30398 ) ( LOCATION ?auto_30399 ) ( CITY ?auto_30405 ) ( IN-CITY ?auto_30399 ?auto_30405 ) ( IN-CITY ?auto_30408 ?auto_30405 ) ( DIFFERENT ?auto_30408 ?auto_30399 ) ( IN ?auto_30394 ?auto_30398 ) ( LOCATION ?auto_30413 ) ( CITY ?auto_30412 ) ( AT ?auto_30398 ?auto_30413 ) ( IN-CITY ?auto_30413 ?auto_30412 ) ( IN-CITY ?auto_30399 ?auto_30412 ) ( DIFFERENT ?auto_30399 ?auto_30413 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30398 ?auto_30413 ?auto_30399 ?auto_30412 )
      ( DELIVER-PKG ?auto_30394 ?auto_30395 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30415
      ?auto_30416
    )
    :vars
    (
      ?auto_30425
      ?auto_30426
      ?auto_30429
      ?auto_30417
      ?auto_30424
      ?auto_30423
      ?auto_30419
      ?auto_30421
      ?auto_30430
      ?auto_30431
      ?auto_30427
      ?auto_30422
      ?auto_30420
      ?auto_30434
      ?auto_30433
    )
    :precondition
    ( and ( OBJ ?auto_30415 ) ( LOCATION ?auto_30416 ) ( AIRPLANE ?auto_30425 ) ( AT ?auto_30425 ?auto_30416 ) ( LOCATION ?auto_30426 ) ( AT ?auto_30425 ?auto_30426 ) ( AIRPLANE ?auto_30429 ) ( AT ?auto_30429 ?auto_30426 ) ( LOCATION ?auto_30417 ) ( AT ?auto_30429 ?auto_30417 ) ( AIRPLANE ?auto_30424 ) ( AT ?auto_30424 ?auto_30417 ) ( LOCATION ?auto_30423 ) ( AT ?auto_30424 ?auto_30423 ) ( AIRPLANE ?auto_30419 ) ( AT ?auto_30419 ?auto_30423 ) ( LOCATION ?auto_30421 ) ( AT ?auto_30419 ?auto_30421 ) ( TRUCK ?auto_30430 ) ( LOCATION ?auto_30431 ) ( CITY ?auto_30427 ) ( IN-CITY ?auto_30431 ?auto_30427 ) ( IN-CITY ?auto_30421 ?auto_30427 ) ( DIFFERENT ?auto_30421 ?auto_30431 ) ( IN ?auto_30415 ?auto_30430 ) ( LOCATION ?auto_30422 ) ( CITY ?auto_30420 ) ( IN-CITY ?auto_30422 ?auto_30420 ) ( IN-CITY ?auto_30431 ?auto_30420 ) ( DIFFERENT ?auto_30431 ?auto_30422 ) ( LOCATION ?auto_30434 ) ( CITY ?auto_30433 ) ( AT ?auto_30430 ?auto_30434 ) ( IN-CITY ?auto_30434 ?auto_30433 ) ( IN-CITY ?auto_30422 ?auto_30433 ) ( DIFFERENT ?auto_30422 ?auto_30434 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30430 ?auto_30434 ?auto_30422 ?auto_30433 )
      ( DELIVER-PKG ?auto_30415 ?auto_30416 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30455
      ?auto_30456
    )
    :vars
    (
      ?auto_30468
      ?auto_30469
      ?auto_30471
      ?auto_30461
      ?auto_30467
      ?auto_30466
      ?auto_30460
      ?auto_30464
      ?auto_30472
      ?auto_30473
      ?auto_30470
      ?auto_30465
      ?auto_30459
      ?auto_30458
      ?auto_30457
      ?auto_30476
      ?auto_30475
    )
    :precondition
    ( and ( OBJ ?auto_30455 ) ( LOCATION ?auto_30456 ) ( AIRPLANE ?auto_30468 ) ( AT ?auto_30468 ?auto_30456 ) ( LOCATION ?auto_30469 ) ( AT ?auto_30468 ?auto_30469 ) ( AIRPLANE ?auto_30471 ) ( AT ?auto_30471 ?auto_30469 ) ( LOCATION ?auto_30461 ) ( AT ?auto_30471 ?auto_30461 ) ( AIRPLANE ?auto_30467 ) ( AT ?auto_30467 ?auto_30461 ) ( LOCATION ?auto_30466 ) ( AT ?auto_30467 ?auto_30466 ) ( AIRPLANE ?auto_30460 ) ( AT ?auto_30460 ?auto_30466 ) ( LOCATION ?auto_30464 ) ( AT ?auto_30460 ?auto_30464 ) ( TRUCK ?auto_30472 ) ( LOCATION ?auto_30473 ) ( CITY ?auto_30470 ) ( IN-CITY ?auto_30473 ?auto_30470 ) ( IN-CITY ?auto_30464 ?auto_30470 ) ( DIFFERENT ?auto_30464 ?auto_30473 ) ( IN ?auto_30455 ?auto_30472 ) ( LOCATION ?auto_30465 ) ( CITY ?auto_30459 ) ( IN-CITY ?auto_30465 ?auto_30459 ) ( IN-CITY ?auto_30473 ?auto_30459 ) ( DIFFERENT ?auto_30473 ?auto_30465 ) ( LOCATION ?auto_30458 ) ( CITY ?auto_30457 ) ( IN-CITY ?auto_30458 ?auto_30457 ) ( IN-CITY ?auto_30465 ?auto_30457 ) ( DIFFERENT ?auto_30465 ?auto_30458 ) ( LOCATION ?auto_30476 ) ( CITY ?auto_30475 ) ( AT ?auto_30472 ?auto_30476 ) ( IN-CITY ?auto_30476 ?auto_30475 ) ( IN-CITY ?auto_30458 ?auto_30475 ) ( DIFFERENT ?auto_30458 ?auto_30476 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30472 ?auto_30476 ?auto_30458 ?auto_30475 )
      ( DELIVER-PKG ?auto_30455 ?auto_30456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30541
      ?auto_30542
    )
    :vars
    (
      ?auto_30554
      ?auto_30555
      ?auto_30557
      ?auto_30549
      ?auto_30553
      ?auto_30552
      ?auto_30548
      ?auto_30550
      ?auto_30558
      ?auto_30559
      ?auto_30556
      ?auto_30551
      ?auto_30547
      ?auto_30546
      ?auto_30545
      ?auto_30561
      ?auto_30560
      ?auto_30564
      ?auto_30563
    )
    :precondition
    ( and ( OBJ ?auto_30541 ) ( LOCATION ?auto_30542 ) ( AIRPLANE ?auto_30554 ) ( AT ?auto_30554 ?auto_30542 ) ( LOCATION ?auto_30555 ) ( AT ?auto_30554 ?auto_30555 ) ( AIRPLANE ?auto_30557 ) ( AT ?auto_30557 ?auto_30555 ) ( LOCATION ?auto_30549 ) ( AT ?auto_30557 ?auto_30549 ) ( AIRPLANE ?auto_30553 ) ( AT ?auto_30553 ?auto_30549 ) ( LOCATION ?auto_30552 ) ( AT ?auto_30553 ?auto_30552 ) ( AIRPLANE ?auto_30548 ) ( AT ?auto_30548 ?auto_30552 ) ( LOCATION ?auto_30550 ) ( AT ?auto_30548 ?auto_30550 ) ( TRUCK ?auto_30558 ) ( LOCATION ?auto_30559 ) ( CITY ?auto_30556 ) ( IN-CITY ?auto_30559 ?auto_30556 ) ( IN-CITY ?auto_30550 ?auto_30556 ) ( DIFFERENT ?auto_30550 ?auto_30559 ) ( IN ?auto_30541 ?auto_30558 ) ( LOCATION ?auto_30551 ) ( CITY ?auto_30547 ) ( IN-CITY ?auto_30551 ?auto_30547 ) ( IN-CITY ?auto_30559 ?auto_30547 ) ( DIFFERENT ?auto_30559 ?auto_30551 ) ( LOCATION ?auto_30546 ) ( CITY ?auto_30545 ) ( IN-CITY ?auto_30546 ?auto_30545 ) ( IN-CITY ?auto_30551 ?auto_30545 ) ( DIFFERENT ?auto_30551 ?auto_30546 ) ( LOCATION ?auto_30561 ) ( CITY ?auto_30560 ) ( IN-CITY ?auto_30561 ?auto_30560 ) ( IN-CITY ?auto_30546 ?auto_30560 ) ( DIFFERENT ?auto_30546 ?auto_30561 ) ( LOCATION ?auto_30564 ) ( CITY ?auto_30563 ) ( AT ?auto_30558 ?auto_30564 ) ( IN-CITY ?auto_30564 ?auto_30563 ) ( IN-CITY ?auto_30561 ?auto_30563 ) ( DIFFERENT ?auto_30561 ?auto_30564 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30558 ?auto_30564 ?auto_30561 ?auto_30563 )
      ( DELIVER-PKG ?auto_30541 ?auto_30542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30612
      ?auto_30613
    )
    :vars
    (
      ?auto_30626
      ?auto_30627
      ?auto_30629
      ?auto_30621
      ?auto_30625
      ?auto_30624
      ?auto_30620
      ?auto_30622
      ?auto_30630
      ?auto_30631
      ?auto_30628
      ?auto_30623
      ?auto_30619
      ?auto_30618
      ?auto_30617
      ?auto_30633
      ?auto_30632
      ?auto_30634
      ?auto_30616
      ?auto_30636
    )
    :precondition
    ( and ( OBJ ?auto_30612 ) ( LOCATION ?auto_30613 ) ( AIRPLANE ?auto_30626 ) ( AT ?auto_30626 ?auto_30613 ) ( LOCATION ?auto_30627 ) ( AT ?auto_30626 ?auto_30627 ) ( AIRPLANE ?auto_30629 ) ( AT ?auto_30629 ?auto_30627 ) ( LOCATION ?auto_30621 ) ( AT ?auto_30629 ?auto_30621 ) ( AIRPLANE ?auto_30625 ) ( AT ?auto_30625 ?auto_30621 ) ( LOCATION ?auto_30624 ) ( AT ?auto_30625 ?auto_30624 ) ( AIRPLANE ?auto_30620 ) ( AT ?auto_30620 ?auto_30624 ) ( LOCATION ?auto_30622 ) ( AT ?auto_30620 ?auto_30622 ) ( TRUCK ?auto_30630 ) ( LOCATION ?auto_30631 ) ( CITY ?auto_30628 ) ( IN-CITY ?auto_30631 ?auto_30628 ) ( IN-CITY ?auto_30622 ?auto_30628 ) ( DIFFERENT ?auto_30622 ?auto_30631 ) ( LOCATION ?auto_30623 ) ( CITY ?auto_30619 ) ( IN-CITY ?auto_30623 ?auto_30619 ) ( IN-CITY ?auto_30631 ?auto_30619 ) ( DIFFERENT ?auto_30631 ?auto_30623 ) ( LOCATION ?auto_30618 ) ( CITY ?auto_30617 ) ( IN-CITY ?auto_30618 ?auto_30617 ) ( IN-CITY ?auto_30623 ?auto_30617 ) ( DIFFERENT ?auto_30623 ?auto_30618 ) ( LOCATION ?auto_30633 ) ( CITY ?auto_30632 ) ( IN-CITY ?auto_30633 ?auto_30632 ) ( IN-CITY ?auto_30618 ?auto_30632 ) ( DIFFERENT ?auto_30618 ?auto_30633 ) ( LOCATION ?auto_30634 ) ( CITY ?auto_30616 ) ( AT ?auto_30630 ?auto_30634 ) ( IN-CITY ?auto_30634 ?auto_30616 ) ( IN-CITY ?auto_30633 ?auto_30616 ) ( DIFFERENT ?auto_30633 ?auto_30634 ) ( LOCATION ?auto_30636 ) ( AT ?auto_30630 ?auto_30636 ) ( AT ?auto_30612 ?auto_30636 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30612 ?auto_30630 ?auto_30636 )
      ( DELIVER-PKG ?auto_30612 ?auto_30613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30662
      ?auto_30663
    )
    :vars
    (
      ?auto_30675
      ?auto_30664
      ?auto_30666
      ?auto_30677
      ?auto_30674
      ?auto_30673
      ?auto_30676
      ?auto_30678
      ?auto_30667
      ?auto_30681
      ?auto_30665
      ?auto_30679
      ?auto_30672
      ?auto_30671
      ?auto_30670
      ?auto_30684
      ?auto_30683
      ?auto_30682
      ?auto_30669
      ?auto_30688
      ?auto_30687
    )
    :precondition
    ( and ( OBJ ?auto_30662 ) ( LOCATION ?auto_30663 ) ( AIRPLANE ?auto_30675 ) ( AT ?auto_30675 ?auto_30663 ) ( LOCATION ?auto_30664 ) ( AT ?auto_30675 ?auto_30664 ) ( AIRPLANE ?auto_30666 ) ( AT ?auto_30666 ?auto_30664 ) ( LOCATION ?auto_30677 ) ( AT ?auto_30666 ?auto_30677 ) ( AIRPLANE ?auto_30674 ) ( AT ?auto_30674 ?auto_30677 ) ( LOCATION ?auto_30673 ) ( AT ?auto_30674 ?auto_30673 ) ( AIRPLANE ?auto_30676 ) ( AT ?auto_30676 ?auto_30673 ) ( LOCATION ?auto_30678 ) ( AT ?auto_30676 ?auto_30678 ) ( TRUCK ?auto_30667 ) ( LOCATION ?auto_30681 ) ( CITY ?auto_30665 ) ( IN-CITY ?auto_30681 ?auto_30665 ) ( IN-CITY ?auto_30678 ?auto_30665 ) ( DIFFERENT ?auto_30678 ?auto_30681 ) ( LOCATION ?auto_30679 ) ( CITY ?auto_30672 ) ( IN-CITY ?auto_30679 ?auto_30672 ) ( IN-CITY ?auto_30681 ?auto_30672 ) ( DIFFERENT ?auto_30681 ?auto_30679 ) ( LOCATION ?auto_30671 ) ( CITY ?auto_30670 ) ( IN-CITY ?auto_30671 ?auto_30670 ) ( IN-CITY ?auto_30679 ?auto_30670 ) ( DIFFERENT ?auto_30679 ?auto_30671 ) ( LOCATION ?auto_30684 ) ( CITY ?auto_30683 ) ( IN-CITY ?auto_30684 ?auto_30683 ) ( IN-CITY ?auto_30671 ?auto_30683 ) ( DIFFERENT ?auto_30671 ?auto_30684 ) ( LOCATION ?auto_30682 ) ( CITY ?auto_30669 ) ( IN-CITY ?auto_30682 ?auto_30669 ) ( IN-CITY ?auto_30684 ?auto_30669 ) ( DIFFERENT ?auto_30684 ?auto_30682 ) ( AT ?auto_30662 ?auto_30682 ) ( LOCATION ?auto_30688 ) ( CITY ?auto_30687 ) ( AT ?auto_30667 ?auto_30688 ) ( IN-CITY ?auto_30688 ?auto_30687 ) ( IN-CITY ?auto_30682 ?auto_30687 ) ( DIFFERENT ?auto_30682 ?auto_30688 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30667 ?auto_30688 ?auto_30682 ?auto_30687 )
      ( DELIVER-PKG ?auto_30662 ?auto_30663 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31965
      ?auto_31966
    )
    :vars
    (
      ?auto_31979
      ?auto_31974
      ?auto_31977
      ?auto_31967
      ?auto_31975
      ?auto_31976
      ?auto_31968
      ?auto_31969
      ?auto_31970
      ?auto_31978
      ?auto_31971
      ?auto_31983
      ?auto_31982
    )
    :precondition
    ( and ( OBJ ?auto_31965 ) ( LOCATION ?auto_31966 ) ( TRUCK ?auto_31979 ) ( LOCATION ?auto_31974 ) ( CITY ?auto_31977 ) ( AT ?auto_31979 ?auto_31974 ) ( IN-CITY ?auto_31974 ?auto_31977 ) ( IN-CITY ?auto_31966 ?auto_31977 ) ( DIFFERENT ?auto_31966 ?auto_31974 ) ( LOCATION ?auto_31967 ) ( AT ?auto_31979 ?auto_31967 ) ( AIRPLANE ?auto_31975 ) ( AIRPORT ?auto_31976 ) ( AIRPORT ?auto_31967 ) ( DIFFERENT ?auto_31967 ?auto_31976 ) ( LOCATION ?auto_31976 ) ( AIRPORT ?auto_31968 ) ( DIFFERENT ?auto_31976 ?auto_31968 ) ( AIRPORT ?auto_31969 ) ( AT ?auto_31975 ?auto_31969 ) ( DIFFERENT ?auto_31968 ?auto_31969 ) ( TRUCK ?auto_31970 ) ( LOCATION ?auto_31978 ) ( CITY ?auto_31971 ) ( IN-CITY ?auto_31978 ?auto_31971 ) ( IN-CITY ?auto_31976 ?auto_31971 ) ( DIFFERENT ?auto_31976 ?auto_31978 ) ( AT ?auto_31965 ?auto_31978 ) ( LOCATION ?auto_31983 ) ( CITY ?auto_31982 ) ( AT ?auto_31970 ?auto_31983 ) ( IN-CITY ?auto_31983 ?auto_31982 ) ( IN-CITY ?auto_31978 ?auto_31982 ) ( DIFFERENT ?auto_31978 ?auto_31983 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31970 ?auto_31983 ?auto_31978 ?auto_31982 )
      ( DELIVER-PKG ?auto_31965 ?auto_31966 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33363
      ?auto_33364
    )
    :vars
    (
      ?auto_33368
      ?auto_33370
      ?auto_33367
      ?auto_33369
      ?auto_33371
      ?auto_33374
      ?auto_33372
      ?auto_33377
      ?auto_33376
    )
    :precondition
    ( and ( OBJ ?auto_33363 ) ( LOCATION ?auto_33364 ) ( AIRPLANE ?auto_33368 ) ( AIRPORT ?auto_33370 ) ( AIRPORT ?auto_33364 ) ( DIFFERENT ?auto_33364 ?auto_33370 ) ( AIRPORT ?auto_33367 ) ( AT ?auto_33368 ?auto_33367 ) ( DIFFERENT ?auto_33370 ?auto_33367 ) ( LOCATION ?auto_33369 ) ( AT ?auto_33368 ?auto_33369 ) ( TRUCK ?auto_33371 ) ( LOCATION ?auto_33374 ) ( CITY ?auto_33372 ) ( IN-CITY ?auto_33374 ?auto_33372 ) ( IN-CITY ?auto_33369 ?auto_33372 ) ( DIFFERENT ?auto_33369 ?auto_33374 ) ( AT ?auto_33363 ?auto_33374 ) ( LOCATION ?auto_33377 ) ( CITY ?auto_33376 ) ( AT ?auto_33371 ?auto_33377 ) ( IN-CITY ?auto_33377 ?auto_33376 ) ( IN-CITY ?auto_33374 ?auto_33376 ) ( DIFFERENT ?auto_33374 ?auto_33377 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33371 ?auto_33377 ?auto_33374 ?auto_33376 )
      ( DELIVER-PKG ?auto_33363 ?auto_33364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33457
      ?auto_33458
    )
    :vars
    (
      ?auto_33462
      ?auto_33464
      ?auto_33463
      ?auto_33465
      ?auto_33467
      ?auto_33466
      ?auto_33469
      ?auto_33468
      ?auto_33471
    )
    :precondition
    ( and ( OBJ ?auto_33457 ) ( LOCATION ?auto_33458 ) ( AIRPLANE ?auto_33462 ) ( AIRPORT ?auto_33464 ) ( AIRPORT ?auto_33458 ) ( DIFFERENT ?auto_33458 ?auto_33464 ) ( AIRPORT ?auto_33463 ) ( DIFFERENT ?auto_33464 ?auto_33463 ) ( LOCATION ?auto_33463 ) ( TRUCK ?auto_33465 ) ( LOCATION ?auto_33467 ) ( CITY ?auto_33466 ) ( IN-CITY ?auto_33467 ?auto_33466 ) ( IN-CITY ?auto_33463 ?auto_33466 ) ( DIFFERENT ?auto_33463 ?auto_33467 ) ( AT ?auto_33457 ?auto_33467 ) ( LOCATION ?auto_33469 ) ( CITY ?auto_33468 ) ( AT ?auto_33465 ?auto_33469 ) ( IN-CITY ?auto_33469 ?auto_33468 ) ( IN-CITY ?auto_33467 ?auto_33468 ) ( DIFFERENT ?auto_33467 ?auto_33469 ) ( AIRPORT ?auto_33471 ) ( AT ?auto_33462 ?auto_33471 ) ( DIFFERENT ?auto_33463 ?auto_33471 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33462 ?auto_33471 ?auto_33463 )
      ( DELIVER-PKG ?auto_33457 ?auto_33458 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33802
      ?auto_33803
    )
    :vars
    (
      ?auto_33808
      ?auto_33807
      ?auto_33810
      ?auto_33809
      ?auto_33806
      ?auto_33812
      ?auto_33811
      ?auto_33815
      ?auto_33814
    )
    :precondition
    ( and ( OBJ ?auto_33802 ) ( LOCATION ?auto_33803 ) ( AIRPLANE ?auto_33808 ) ( AT ?auto_33808 ?auto_33803 ) ( LOCATION ?auto_33807 ) ( AT ?auto_33808 ?auto_33807 ) ( TRUCK ?auto_33810 ) ( LOCATION ?auto_33809 ) ( CITY ?auto_33806 ) ( IN-CITY ?auto_33809 ?auto_33806 ) ( IN-CITY ?auto_33807 ?auto_33806 ) ( DIFFERENT ?auto_33807 ?auto_33809 ) ( AT ?auto_33802 ?auto_33809 ) ( LOCATION ?auto_33812 ) ( CITY ?auto_33811 ) ( IN-CITY ?auto_33812 ?auto_33811 ) ( IN-CITY ?auto_33809 ?auto_33811 ) ( DIFFERENT ?auto_33809 ?auto_33812 ) ( LOCATION ?auto_33815 ) ( CITY ?auto_33814 ) ( AT ?auto_33810 ?auto_33815 ) ( IN-CITY ?auto_33815 ?auto_33814 ) ( IN-CITY ?auto_33812 ?auto_33814 ) ( DIFFERENT ?auto_33812 ?auto_33815 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33810 ?auto_33815 ?auto_33812 ?auto_33814 )
      ( DELIVER-PKG ?auto_33802 ?auto_33803 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35968
      ?auto_35969
    )
    :vars
    (
      ?auto_35974
      ?auto_35973
      ?auto_35971
      ?auto_35976
      ?auto_35975
      ?auto_35978
      ?auto_35977
      ?auto_35981
      ?auto_35980
    )
    :precondition
    ( and ( OBJ ?auto_35968 ) ( LOCATION ?auto_35969 ) ( TRUCK ?auto_35974 ) ( LOCATION ?auto_35973 ) ( CITY ?auto_35971 ) ( IN-CITY ?auto_35973 ?auto_35971 ) ( IN-CITY ?auto_35969 ?auto_35971 ) ( DIFFERENT ?auto_35969 ?auto_35973 ) ( LOCATION ?auto_35976 ) ( CITY ?auto_35975 ) ( IN-CITY ?auto_35976 ?auto_35975 ) ( IN-CITY ?auto_35973 ?auto_35975 ) ( DIFFERENT ?auto_35973 ?auto_35976 ) ( AT ?auto_35968 ?auto_35976 ) ( LOCATION ?auto_35978 ) ( CITY ?auto_35977 ) ( IN-CITY ?auto_35978 ?auto_35977 ) ( IN-CITY ?auto_35976 ?auto_35977 ) ( DIFFERENT ?auto_35976 ?auto_35978 ) ( LOCATION ?auto_35981 ) ( CITY ?auto_35980 ) ( AT ?auto_35974 ?auto_35981 ) ( IN-CITY ?auto_35981 ?auto_35980 ) ( IN-CITY ?auto_35978 ?auto_35980 ) ( DIFFERENT ?auto_35978 ?auto_35981 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35974 ?auto_35981 ?auto_35978 ?auto_35980 )
      ( DELIVER-PKG ?auto_35968 ?auto_35969 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36499
      ?auto_36500
    )
    :vars
    (
      ?auto_36503
      ?auto_36504
      ?auto_36502
      ?auto_36506
      ?auto_36505
      ?auto_36507
      ?auto_36509
      ?auto_36508
      ?auto_36512
      ?auto_36510
      ?auto_36515
      ?auto_36514
    )
    :precondition
    ( and ( OBJ ?auto_36499 ) ( LOCATION ?auto_36500 ) ( AIRPLANE ?auto_36503 ) ( AIRPORT ?auto_36504 ) ( AIRPORT ?auto_36500 ) ( AT ?auto_36503 ?auto_36504 ) ( DIFFERENT ?auto_36500 ?auto_36504 ) ( LOCATION ?auto_36502 ) ( AT ?auto_36503 ?auto_36502 ) ( TRUCK ?auto_36506 ) ( LOCATION ?auto_36505 ) ( CITY ?auto_36507 ) ( IN-CITY ?auto_36505 ?auto_36507 ) ( IN-CITY ?auto_36502 ?auto_36507 ) ( DIFFERENT ?auto_36502 ?auto_36505 ) ( LOCATION ?auto_36509 ) ( CITY ?auto_36508 ) ( IN-CITY ?auto_36509 ?auto_36508 ) ( IN-CITY ?auto_36505 ?auto_36508 ) ( DIFFERENT ?auto_36505 ?auto_36509 ) ( AT ?auto_36499 ?auto_36509 ) ( LOCATION ?auto_36512 ) ( CITY ?auto_36510 ) ( IN-CITY ?auto_36512 ?auto_36510 ) ( IN-CITY ?auto_36509 ?auto_36510 ) ( DIFFERENT ?auto_36509 ?auto_36512 ) ( LOCATION ?auto_36515 ) ( CITY ?auto_36514 ) ( AT ?auto_36506 ?auto_36515 ) ( IN-CITY ?auto_36515 ?auto_36514 ) ( IN-CITY ?auto_36512 ?auto_36514 ) ( DIFFERENT ?auto_36512 ?auto_36515 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36506 ?auto_36515 ?auto_36512 ?auto_36514 )
      ( DELIVER-PKG ?auto_36499 ?auto_36500 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36549
      ?auto_36550
    )
    :vars
    (
      ?auto_36554
      ?auto_36553
      ?auto_36557
      ?auto_36556
      ?auto_36558
      ?auto_36560
      ?auto_36559
      ?auto_36562
      ?auto_36561
      ?auto_36564
      ?auto_36563
      ?auto_36566
    )
    :precondition
    ( and ( OBJ ?auto_36549 ) ( LOCATION ?auto_36550 ) ( AIRPLANE ?auto_36554 ) ( AIRPORT ?auto_36553 ) ( AIRPORT ?auto_36550 ) ( DIFFERENT ?auto_36550 ?auto_36553 ) ( LOCATION ?auto_36553 ) ( TRUCK ?auto_36557 ) ( LOCATION ?auto_36556 ) ( CITY ?auto_36558 ) ( IN-CITY ?auto_36556 ?auto_36558 ) ( IN-CITY ?auto_36553 ?auto_36558 ) ( DIFFERENT ?auto_36553 ?auto_36556 ) ( LOCATION ?auto_36560 ) ( CITY ?auto_36559 ) ( IN-CITY ?auto_36560 ?auto_36559 ) ( IN-CITY ?auto_36556 ?auto_36559 ) ( DIFFERENT ?auto_36556 ?auto_36560 ) ( AT ?auto_36549 ?auto_36560 ) ( LOCATION ?auto_36562 ) ( CITY ?auto_36561 ) ( IN-CITY ?auto_36562 ?auto_36561 ) ( IN-CITY ?auto_36560 ?auto_36561 ) ( DIFFERENT ?auto_36560 ?auto_36562 ) ( LOCATION ?auto_36564 ) ( CITY ?auto_36563 ) ( AT ?auto_36557 ?auto_36564 ) ( IN-CITY ?auto_36564 ?auto_36563 ) ( IN-CITY ?auto_36562 ?auto_36563 ) ( DIFFERENT ?auto_36562 ?auto_36564 ) ( AIRPORT ?auto_36566 ) ( AT ?auto_36554 ?auto_36566 ) ( DIFFERENT ?auto_36553 ?auto_36566 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_36554 ?auto_36566 ?auto_36553 )
      ( DELIVER-PKG ?auto_36549 ?auto_36550 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37098
      ?auto_37099
    )
    :vars
    (
      ?auto_37108
      ?auto_37101
      ?auto_37104
      ?auto_37102
      ?auto_37111
      ?auto_37103
      ?auto_37107
      ?auto_37106
      ?auto_37105
      ?auto_37114
      ?auto_37113
    )
    :precondition
    ( and ( OBJ ?auto_37098 ) ( LOCATION ?auto_37099 ) ( TRUCK ?auto_37108 ) ( LOCATION ?auto_37101 ) ( CITY ?auto_37104 ) ( IN-CITY ?auto_37101 ?auto_37104 ) ( IN-CITY ?auto_37099 ?auto_37104 ) ( DIFFERENT ?auto_37099 ?auto_37101 ) ( AIRPLANE ?auto_37102 ) ( AIRPORT ?auto_37111 ) ( AIRPORT ?auto_37101 ) ( AT ?auto_37102 ?auto_37111 ) ( DIFFERENT ?auto_37101 ?auto_37111 ) ( LOCATION ?auto_37103 ) ( AT ?auto_37102 ?auto_37103 ) ( TRUCK ?auto_37107 ) ( IN ?auto_37098 ?auto_37107 ) ( LOCATION ?auto_37106 ) ( CITY ?auto_37105 ) ( AT ?auto_37107 ?auto_37106 ) ( IN-CITY ?auto_37106 ?auto_37105 ) ( IN-CITY ?auto_37103 ?auto_37105 ) ( DIFFERENT ?auto_37103 ?auto_37106 ) ( LOCATION ?auto_37114 ) ( CITY ?auto_37113 ) ( AT ?auto_37108 ?auto_37114 ) ( IN-CITY ?auto_37114 ?auto_37113 ) ( IN-CITY ?auto_37101 ?auto_37113 ) ( DIFFERENT ?auto_37101 ?auto_37114 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37108 ?auto_37114 ?auto_37101 ?auto_37113 )
      ( DELIVER-PKG ?auto_37098 ?auto_37099 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37116
      ?auto_37117
    )
    :vars
    (
      ?auto_37127
      ?auto_37118
      ?auto_37123
      ?auto_37120
      ?auto_37128
      ?auto_37122
      ?auto_37126
      ?auto_37125
      ?auto_37124
      ?auto_37130
      ?auto_37129
      ?auto_37132
    )
    :precondition
    ( and ( OBJ ?auto_37116 ) ( LOCATION ?auto_37117 ) ( TRUCK ?auto_37127 ) ( LOCATION ?auto_37118 ) ( CITY ?auto_37123 ) ( IN-CITY ?auto_37118 ?auto_37123 ) ( IN-CITY ?auto_37117 ?auto_37123 ) ( DIFFERENT ?auto_37117 ?auto_37118 ) ( AIRPLANE ?auto_37120 ) ( AIRPORT ?auto_37128 ) ( AIRPORT ?auto_37118 ) ( AT ?auto_37120 ?auto_37128 ) ( DIFFERENT ?auto_37118 ?auto_37128 ) ( LOCATION ?auto_37122 ) ( AT ?auto_37120 ?auto_37122 ) ( TRUCK ?auto_37126 ) ( LOCATION ?auto_37125 ) ( CITY ?auto_37124 ) ( AT ?auto_37126 ?auto_37125 ) ( IN-CITY ?auto_37125 ?auto_37124 ) ( IN-CITY ?auto_37122 ?auto_37124 ) ( DIFFERENT ?auto_37122 ?auto_37125 ) ( LOCATION ?auto_37130 ) ( CITY ?auto_37129 ) ( AT ?auto_37127 ?auto_37130 ) ( IN-CITY ?auto_37130 ?auto_37129 ) ( IN-CITY ?auto_37118 ?auto_37129 ) ( DIFFERENT ?auto_37118 ?auto_37130 ) ( LOCATION ?auto_37132 ) ( AT ?auto_37126 ?auto_37132 ) ( AT ?auto_37116 ?auto_37132 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_37116 ?auto_37126 ?auto_37132 )
      ( DELIVER-PKG ?auto_37116 ?auto_37117 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37667
      ?auto_37668
    )
    :vars
    (
      ?auto_37677
      ?auto_37676
      ?auto_37678
      ?auto_37673
      ?auto_37671
      ?auto_37675
      ?auto_37680
      ?auto_37674
      ?auto_37679
      ?auto_37682
      ?auto_37670
      ?auto_37669
      ?auto_37681
      ?auto_37686
    )
    :precondition
    ( and ( OBJ ?auto_37667 ) ( LOCATION ?auto_37668 ) ( TRUCK ?auto_37677 ) ( LOCATION ?auto_37676 ) ( CITY ?auto_37678 ) ( IN-CITY ?auto_37676 ?auto_37678 ) ( IN-CITY ?auto_37668 ?auto_37678 ) ( DIFFERENT ?auto_37668 ?auto_37676 ) ( LOCATION ?auto_37673 ) ( CITY ?auto_37671 ) ( AT ?auto_37677 ?auto_37673 ) ( IN-CITY ?auto_37673 ?auto_37671 ) ( IN-CITY ?auto_37676 ?auto_37671 ) ( DIFFERENT ?auto_37676 ?auto_37673 ) ( LOCATION ?auto_37675 ) ( AT ?auto_37677 ?auto_37675 ) ( AIRPLANE ?auto_37680 ) ( AIRPORT ?auto_37674 ) ( AIRPORT ?auto_37675 ) ( AT ?auto_37680 ?auto_37674 ) ( DIFFERENT ?auto_37675 ?auto_37674 ) ( LOCATION ?auto_37679 ) ( AT ?auto_37680 ?auto_37679 ) ( TRUCK ?auto_37682 ) ( LOCATION ?auto_37670 ) ( CITY ?auto_37669 ) ( AT ?auto_37682 ?auto_37670 ) ( IN-CITY ?auto_37670 ?auto_37669 ) ( IN-CITY ?auto_37679 ?auto_37669 ) ( DIFFERENT ?auto_37679 ?auto_37670 ) ( LOCATION ?auto_37681 ) ( AT ?auto_37682 ?auto_37681 ) ( TRUCK ?auto_37686 ) ( AT ?auto_37686 ?auto_37681 ) ( IN ?auto_37667 ?auto_37686 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_37667 ?auto_37681 )
      ( DELIVER-PKG ?auto_37667 ?auto_37668 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37858
      ?auto_37859
    )
    :vars
    (
      ?auto_37868
      ?auto_37867
      ?auto_37869
      ?auto_37864
      ?auto_37862
      ?auto_37866
      ?auto_37871
      ?auto_37865
      ?auto_37870
      ?auto_37873
      ?auto_37872
      ?auto_37861
      ?auto_37875
      ?auto_37860
      ?auto_37879
      ?auto_37878
    )
    :precondition
    ( and ( OBJ ?auto_37858 ) ( LOCATION ?auto_37859 ) ( TRUCK ?auto_37868 ) ( LOCATION ?auto_37867 ) ( CITY ?auto_37869 ) ( IN-CITY ?auto_37867 ?auto_37869 ) ( IN-CITY ?auto_37859 ?auto_37869 ) ( DIFFERENT ?auto_37859 ?auto_37867 ) ( LOCATION ?auto_37864 ) ( CITY ?auto_37862 ) ( AT ?auto_37868 ?auto_37864 ) ( IN-CITY ?auto_37864 ?auto_37862 ) ( IN-CITY ?auto_37867 ?auto_37862 ) ( DIFFERENT ?auto_37867 ?auto_37864 ) ( LOCATION ?auto_37866 ) ( AT ?auto_37868 ?auto_37866 ) ( AIRPLANE ?auto_37871 ) ( AIRPORT ?auto_37865 ) ( AIRPORT ?auto_37866 ) ( AT ?auto_37871 ?auto_37865 ) ( DIFFERENT ?auto_37866 ?auto_37865 ) ( LOCATION ?auto_37870 ) ( AT ?auto_37871 ?auto_37870 ) ( TRUCK ?auto_37873 ) ( LOCATION ?auto_37872 ) ( CITY ?auto_37861 ) ( IN-CITY ?auto_37872 ?auto_37861 ) ( IN-CITY ?auto_37870 ?auto_37861 ) ( DIFFERENT ?auto_37870 ?auto_37872 ) ( LOCATION ?auto_37875 ) ( CITY ?auto_37860 ) ( IN-CITY ?auto_37875 ?auto_37860 ) ( IN-CITY ?auto_37872 ?auto_37860 ) ( DIFFERENT ?auto_37872 ?auto_37875 ) ( AT ?auto_37858 ?auto_37875 ) ( LOCATION ?auto_37879 ) ( CITY ?auto_37878 ) ( AT ?auto_37873 ?auto_37879 ) ( IN-CITY ?auto_37879 ?auto_37878 ) ( IN-CITY ?auto_37875 ?auto_37878 ) ( DIFFERENT ?auto_37875 ?auto_37879 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37873 ?auto_37879 ?auto_37875 ?auto_37878 )
      ( DELIVER-PKG ?auto_37858 ?auto_37859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37961
      ?auto_37962
    )
    :vars
    (
      ?auto_37972
      ?auto_37971
      ?auto_37973
      ?auto_37967
      ?auto_37966
      ?auto_37970
      ?auto_37975
      ?auto_37969
      ?auto_37974
      ?auto_37977
      ?auto_37976
      ?auto_37965
      ?auto_37978
      ?auto_37964
      ?auto_37980
      ?auto_37968
      ?auto_37983
      ?auto_37982
    )
    :precondition
    ( and ( OBJ ?auto_37961 ) ( LOCATION ?auto_37962 ) ( TRUCK ?auto_37972 ) ( LOCATION ?auto_37971 ) ( CITY ?auto_37973 ) ( IN-CITY ?auto_37971 ?auto_37973 ) ( IN-CITY ?auto_37962 ?auto_37973 ) ( DIFFERENT ?auto_37962 ?auto_37971 ) ( LOCATION ?auto_37967 ) ( CITY ?auto_37966 ) ( AT ?auto_37972 ?auto_37967 ) ( IN-CITY ?auto_37967 ?auto_37966 ) ( IN-CITY ?auto_37971 ?auto_37966 ) ( DIFFERENT ?auto_37971 ?auto_37967 ) ( LOCATION ?auto_37970 ) ( AT ?auto_37972 ?auto_37970 ) ( AIRPLANE ?auto_37975 ) ( AIRPORT ?auto_37969 ) ( AIRPORT ?auto_37970 ) ( AT ?auto_37975 ?auto_37969 ) ( DIFFERENT ?auto_37970 ?auto_37969 ) ( LOCATION ?auto_37974 ) ( AT ?auto_37975 ?auto_37974 ) ( TRUCK ?auto_37977 ) ( LOCATION ?auto_37976 ) ( CITY ?auto_37965 ) ( IN-CITY ?auto_37976 ?auto_37965 ) ( IN-CITY ?auto_37974 ?auto_37965 ) ( DIFFERENT ?auto_37974 ?auto_37976 ) ( LOCATION ?auto_37978 ) ( CITY ?auto_37964 ) ( IN-CITY ?auto_37978 ?auto_37964 ) ( IN-CITY ?auto_37976 ?auto_37964 ) ( DIFFERENT ?auto_37976 ?auto_37978 ) ( AT ?auto_37961 ?auto_37978 ) ( LOCATION ?auto_37980 ) ( CITY ?auto_37968 ) ( IN-CITY ?auto_37980 ?auto_37968 ) ( IN-CITY ?auto_37978 ?auto_37968 ) ( DIFFERENT ?auto_37978 ?auto_37980 ) ( LOCATION ?auto_37983 ) ( CITY ?auto_37982 ) ( AT ?auto_37977 ?auto_37983 ) ( IN-CITY ?auto_37983 ?auto_37982 ) ( IN-CITY ?auto_37980 ?auto_37982 ) ( DIFFERENT ?auto_37980 ?auto_37983 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37977 ?auto_37983 ?auto_37980 ?auto_37982 )
      ( DELIVER-PKG ?auto_37961 ?auto_37962 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38029
      ?auto_38030
    )
    :vars
    (
      ?auto_38042
      ?auto_38041
      ?auto_38043
      ?auto_38037
      ?auto_38036
      ?auto_38040
      ?auto_38045
      ?auto_38044
      ?auto_38047
      ?auto_38046
      ?auto_38034
      ?auto_38048
      ?auto_38033
      ?auto_38049
      ?auto_38038
      ?auto_38050
      ?auto_38035
      ?auto_38052
    )
    :precondition
    ( and ( OBJ ?auto_38029 ) ( LOCATION ?auto_38030 ) ( TRUCK ?auto_38042 ) ( LOCATION ?auto_38041 ) ( CITY ?auto_38043 ) ( IN-CITY ?auto_38041 ?auto_38043 ) ( IN-CITY ?auto_38030 ?auto_38043 ) ( DIFFERENT ?auto_38030 ?auto_38041 ) ( LOCATION ?auto_38037 ) ( CITY ?auto_38036 ) ( AT ?auto_38042 ?auto_38037 ) ( IN-CITY ?auto_38037 ?auto_38036 ) ( IN-CITY ?auto_38041 ?auto_38036 ) ( DIFFERENT ?auto_38041 ?auto_38037 ) ( LOCATION ?auto_38040 ) ( AT ?auto_38042 ?auto_38040 ) ( AIRPLANE ?auto_38045 ) ( AIRPORT ?auto_38044 ) ( AIRPORT ?auto_38040 ) ( DIFFERENT ?auto_38040 ?auto_38044 ) ( LOCATION ?auto_38044 ) ( TRUCK ?auto_38047 ) ( LOCATION ?auto_38046 ) ( CITY ?auto_38034 ) ( IN-CITY ?auto_38046 ?auto_38034 ) ( IN-CITY ?auto_38044 ?auto_38034 ) ( DIFFERENT ?auto_38044 ?auto_38046 ) ( LOCATION ?auto_38048 ) ( CITY ?auto_38033 ) ( IN-CITY ?auto_38048 ?auto_38033 ) ( IN-CITY ?auto_38046 ?auto_38033 ) ( DIFFERENT ?auto_38046 ?auto_38048 ) ( AT ?auto_38029 ?auto_38048 ) ( LOCATION ?auto_38049 ) ( CITY ?auto_38038 ) ( IN-CITY ?auto_38049 ?auto_38038 ) ( IN-CITY ?auto_38048 ?auto_38038 ) ( DIFFERENT ?auto_38048 ?auto_38049 ) ( LOCATION ?auto_38050 ) ( CITY ?auto_38035 ) ( AT ?auto_38047 ?auto_38050 ) ( IN-CITY ?auto_38050 ?auto_38035 ) ( IN-CITY ?auto_38049 ?auto_38035 ) ( DIFFERENT ?auto_38049 ?auto_38050 ) ( AIRPORT ?auto_38052 ) ( AT ?auto_38045 ?auto_38052 ) ( DIFFERENT ?auto_38044 ?auto_38052 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38045 ?auto_38052 ?auto_38044 )
      ( DELIVER-PKG ?auto_38029 ?auto_38030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38054
      ?auto_38055
    )
    :vars
    (
      ?auto_38067
      ?auto_38066
      ?auto_38068
      ?auto_38065
      ?auto_38062
      ?auto_38070
      ?auto_38069
      ?auto_38072
      ?auto_38071
      ?auto_38060
      ?auto_38073
      ?auto_38058
      ?auto_38074
      ?auto_38064
      ?auto_38075
      ?auto_38061
      ?auto_38059
      ?auto_38078
      ?auto_38077
    )
    :precondition
    ( and ( OBJ ?auto_38054 ) ( LOCATION ?auto_38055 ) ( TRUCK ?auto_38067 ) ( LOCATION ?auto_38066 ) ( CITY ?auto_38068 ) ( IN-CITY ?auto_38066 ?auto_38068 ) ( IN-CITY ?auto_38055 ?auto_38068 ) ( DIFFERENT ?auto_38055 ?auto_38066 ) ( LOCATION ?auto_38065 ) ( CITY ?auto_38062 ) ( IN-CITY ?auto_38065 ?auto_38062 ) ( IN-CITY ?auto_38066 ?auto_38062 ) ( DIFFERENT ?auto_38066 ?auto_38065 ) ( AIRPLANE ?auto_38070 ) ( AIRPORT ?auto_38069 ) ( AIRPORT ?auto_38065 ) ( DIFFERENT ?auto_38065 ?auto_38069 ) ( LOCATION ?auto_38069 ) ( TRUCK ?auto_38072 ) ( LOCATION ?auto_38071 ) ( CITY ?auto_38060 ) ( IN-CITY ?auto_38071 ?auto_38060 ) ( IN-CITY ?auto_38069 ?auto_38060 ) ( DIFFERENT ?auto_38069 ?auto_38071 ) ( LOCATION ?auto_38073 ) ( CITY ?auto_38058 ) ( IN-CITY ?auto_38073 ?auto_38058 ) ( IN-CITY ?auto_38071 ?auto_38058 ) ( DIFFERENT ?auto_38071 ?auto_38073 ) ( AT ?auto_38054 ?auto_38073 ) ( LOCATION ?auto_38074 ) ( CITY ?auto_38064 ) ( IN-CITY ?auto_38074 ?auto_38064 ) ( IN-CITY ?auto_38073 ?auto_38064 ) ( DIFFERENT ?auto_38073 ?auto_38074 ) ( LOCATION ?auto_38075 ) ( CITY ?auto_38061 ) ( AT ?auto_38072 ?auto_38075 ) ( IN-CITY ?auto_38075 ?auto_38061 ) ( IN-CITY ?auto_38074 ?auto_38061 ) ( DIFFERENT ?auto_38074 ?auto_38075 ) ( AIRPORT ?auto_38059 ) ( AT ?auto_38070 ?auto_38059 ) ( DIFFERENT ?auto_38069 ?auto_38059 ) ( LOCATION ?auto_38078 ) ( CITY ?auto_38077 ) ( AT ?auto_38067 ?auto_38078 ) ( IN-CITY ?auto_38078 ?auto_38077 ) ( IN-CITY ?auto_38065 ?auto_38077 ) ( DIFFERENT ?auto_38065 ?auto_38078 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38067 ?auto_38078 ?auto_38065 ?auto_38077 )
      ( DELIVER-PKG ?auto_38054 ?auto_38055 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38467
      ?auto_38468
    )
    :vars
    (
      ?auto_38471
      ?auto_38474
      ?auto_38469
      ?auto_38473
      ?auto_38476
    )
    :precondition
    ( and ( OBJ ?auto_38467 ) ( LOCATION ?auto_38468 ) ( AIRPLANE ?auto_38471 ) ( AIRPORT ?auto_38474 ) ( AIRPORT ?auto_38468 ) ( AT ?auto_38471 ?auto_38474 ) ( DIFFERENT ?auto_38468 ?auto_38474 ) ( LOCATION ?auto_38469 ) ( AT ?auto_38471 ?auto_38469 ) ( AIRPLANE ?auto_38473 ) ( IN ?auto_38467 ?auto_38473 ) ( AIRPORT ?auto_38476 ) ( AIRPORT ?auto_38469 ) ( AT ?auto_38473 ?auto_38476 ) ( DIFFERENT ?auto_38469 ?auto_38476 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38473 ?auto_38476 ?auto_38469 )
      ( DELIVER-PKG ?auto_38467 ?auto_38468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38478
      ?auto_38479
    )
    :vars
    (
      ?auto_38486
      ?auto_38482
      ?auto_38485
      ?auto_38483
      ?auto_38480
      ?auto_38488
    )
    :precondition
    ( and ( OBJ ?auto_38478 ) ( LOCATION ?auto_38479 ) ( AIRPLANE ?auto_38486 ) ( AIRPORT ?auto_38482 ) ( AIRPORT ?auto_38479 ) ( AT ?auto_38486 ?auto_38482 ) ( DIFFERENT ?auto_38479 ?auto_38482 ) ( LOCATION ?auto_38485 ) ( AT ?auto_38486 ?auto_38485 ) ( AIRPLANE ?auto_38483 ) ( AIRPORT ?auto_38480 ) ( AIRPORT ?auto_38485 ) ( AT ?auto_38483 ?auto_38480 ) ( DIFFERENT ?auto_38485 ?auto_38480 ) ( LOCATION ?auto_38488 ) ( AT ?auto_38478 ?auto_38488 ) ( AT ?auto_38483 ?auto_38488 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_38478 ?auto_38483 ?auto_38488 )
      ( DELIVER-PKG ?auto_38478 ?auto_38479 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38500
      ?auto_38501
    )
    :vars
    (
      ?auto_38502
      ?auto_38507
      ?auto_38505
      ?auto_38508
      ?auto_38509
      ?auto_38511
    )
    :precondition
    ( and ( OBJ ?auto_38500 ) ( LOCATION ?auto_38501 ) ( AIRPLANE ?auto_38502 ) ( AIRPORT ?auto_38507 ) ( AIRPORT ?auto_38501 ) ( AT ?auto_38502 ?auto_38507 ) ( DIFFERENT ?auto_38501 ?auto_38507 ) ( LOCATION ?auto_38505 ) ( AT ?auto_38502 ?auto_38505 ) ( AIRPLANE ?auto_38508 ) ( AIRPORT ?auto_38509 ) ( AIRPORT ?auto_38505 ) ( DIFFERENT ?auto_38505 ?auto_38509 ) ( LOCATION ?auto_38509 ) ( AT ?auto_38500 ?auto_38509 ) ( AIRPORT ?auto_38511 ) ( AT ?auto_38508 ?auto_38511 ) ( DIFFERENT ?auto_38509 ?auto_38511 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38508 ?auto_38511 ?auto_38509 )
      ( DELIVER-PKG ?auto_38500 ?auto_38501 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38881
      ?auto_38882
    )
    :vars
    (
      ?auto_38888
      ?auto_38884
      ?auto_38887
      ?auto_38885
      ?auto_38890
    )
    :precondition
    ( and ( OBJ ?auto_38881 ) ( LOCATION ?auto_38882 ) ( AIRPLANE ?auto_38888 ) ( AIRPORT ?auto_38884 ) ( AIRPORT ?auto_38882 ) ( DIFFERENT ?auto_38882 ?auto_38884 ) ( LOCATION ?auto_38884 ) ( AT ?auto_38881 ?auto_38884 ) ( AIRPORT ?auto_38887 ) ( DIFFERENT ?auto_38884 ?auto_38887 ) ( AIRPORT ?auto_38885 ) ( DIFFERENT ?auto_38887 ?auto_38885 ) ( AIRPORT ?auto_38890 ) ( AT ?auto_38888 ?auto_38890 ) ( DIFFERENT ?auto_38885 ?auto_38890 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38888 ?auto_38890 ?auto_38885 )
      ( DELIVER-PKG ?auto_38881 ?auto_38882 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39176
      ?auto_39177
    )
    :vars
    (
      ?auto_39179
      ?auto_39178
      ?auto_39181
      ?auto_39182
      ?auto_39184
      ?auto_39183
      ?auto_39189
      ?auto_39188
    )
    :precondition
    ( and ( OBJ ?auto_39176 ) ( LOCATION ?auto_39177 ) ( TRUCK ?auto_39179 ) ( LOCATION ?auto_39178 ) ( CITY ?auto_39181 ) ( IN-CITY ?auto_39178 ?auto_39181 ) ( IN-CITY ?auto_39177 ?auto_39181 ) ( DIFFERENT ?auto_39177 ?auto_39178 ) ( AIRPLANE ?auto_39182 ) ( AIRPORT ?auto_39184 ) ( AIRPORT ?auto_39178 ) ( DIFFERENT ?auto_39178 ?auto_39184 ) ( LOCATION ?auto_39184 ) ( AT ?auto_39176 ?auto_39184 ) ( AIRPORT ?auto_39183 ) ( AT ?auto_39182 ?auto_39183 ) ( DIFFERENT ?auto_39184 ?auto_39183 ) ( LOCATION ?auto_39189 ) ( CITY ?auto_39188 ) ( AT ?auto_39179 ?auto_39189 ) ( IN-CITY ?auto_39189 ?auto_39188 ) ( IN-CITY ?auto_39178 ?auto_39188 ) ( DIFFERENT ?auto_39178 ?auto_39189 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39179 ?auto_39189 ?auto_39178 ?auto_39188 )
      ( DELIVER-PKG ?auto_39176 ?auto_39177 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39191
      ?auto_39192
    )
    :vars
    (
      ?auto_39199
      ?auto_39198
      ?auto_39193
      ?auto_39194
      ?auto_39196
      ?auto_39195
      ?auto_39201
      ?auto_39200
      ?auto_39204
    )
    :precondition
    ( and ( OBJ ?auto_39191 ) ( LOCATION ?auto_39192 ) ( TRUCK ?auto_39199 ) ( LOCATION ?auto_39198 ) ( CITY ?auto_39193 ) ( IN-CITY ?auto_39198 ?auto_39193 ) ( IN-CITY ?auto_39192 ?auto_39193 ) ( DIFFERENT ?auto_39192 ?auto_39198 ) ( AIRPLANE ?auto_39194 ) ( AIRPORT ?auto_39196 ) ( AIRPORT ?auto_39198 ) ( DIFFERENT ?auto_39198 ?auto_39196 ) ( LOCATION ?auto_39196 ) ( AT ?auto_39191 ?auto_39196 ) ( AIRPORT ?auto_39195 ) ( DIFFERENT ?auto_39196 ?auto_39195 ) ( LOCATION ?auto_39201 ) ( CITY ?auto_39200 ) ( AT ?auto_39199 ?auto_39201 ) ( IN-CITY ?auto_39201 ?auto_39200 ) ( IN-CITY ?auto_39198 ?auto_39200 ) ( DIFFERENT ?auto_39198 ?auto_39201 ) ( AIRPORT ?auto_39204 ) ( AT ?auto_39194 ?auto_39204 ) ( DIFFERENT ?auto_39195 ?auto_39204 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_39194 ?auto_39204 ?auto_39195 )
      ( DELIVER-PKG ?auto_39191 ?auto_39192 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39371
      ?auto_39372
    )
    :vars
    (
      ?auto_39374
      ?auto_39375
      ?auto_39376
      ?auto_39378
      ?auto_39379
      ?auto_39377
      ?auto_39380
      ?auto_39382
      ?auto_39384
    )
    :precondition
    ( and ( OBJ ?auto_39371 ) ( LOCATION ?auto_39372 ) ( TRUCK ?auto_39374 ) ( LOCATION ?auto_39375 ) ( CITY ?auto_39376 ) ( AT ?auto_39374 ?auto_39375 ) ( IN-CITY ?auto_39375 ?auto_39376 ) ( IN-CITY ?auto_39372 ?auto_39376 ) ( DIFFERENT ?auto_39372 ?auto_39375 ) ( LOCATION ?auto_39378 ) ( AT ?auto_39374 ?auto_39378 ) ( AIRPLANE ?auto_39379 ) ( AIRPORT ?auto_39377 ) ( AIRPORT ?auto_39378 ) ( AT ?auto_39379 ?auto_39377 ) ( DIFFERENT ?auto_39378 ?auto_39377 ) ( LOCATION ?auto_39380 ) ( AT ?auto_39379 ?auto_39380 ) ( AIRPLANE ?auto_39382 ) ( IN ?auto_39371 ?auto_39382 ) ( AIRPORT ?auto_39384 ) ( AIRPORT ?auto_39380 ) ( AT ?auto_39382 ?auto_39384 ) ( DIFFERENT ?auto_39380 ?auto_39384 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_39382 ?auto_39384 ?auto_39380 )
      ( DELIVER-PKG ?auto_39371 ?auto_39372 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39386
      ?auto_39387
    )
    :vars
    (
      ?auto_39398
      ?auto_39397
      ?auto_39388
      ?auto_39395
      ?auto_39390
      ?auto_39389
      ?auto_39394
      ?auto_39391
      ?auto_39392
      ?auto_39400
    )
    :precondition
    ( and ( OBJ ?auto_39386 ) ( LOCATION ?auto_39387 ) ( TRUCK ?auto_39398 ) ( LOCATION ?auto_39397 ) ( CITY ?auto_39388 ) ( AT ?auto_39398 ?auto_39397 ) ( IN-CITY ?auto_39397 ?auto_39388 ) ( IN-CITY ?auto_39387 ?auto_39388 ) ( DIFFERENT ?auto_39387 ?auto_39397 ) ( LOCATION ?auto_39395 ) ( AT ?auto_39398 ?auto_39395 ) ( AIRPLANE ?auto_39390 ) ( AIRPORT ?auto_39389 ) ( AIRPORT ?auto_39395 ) ( AT ?auto_39390 ?auto_39389 ) ( DIFFERENT ?auto_39395 ?auto_39389 ) ( LOCATION ?auto_39394 ) ( AT ?auto_39390 ?auto_39394 ) ( AIRPLANE ?auto_39391 ) ( AIRPORT ?auto_39392 ) ( AIRPORT ?auto_39394 ) ( AT ?auto_39391 ?auto_39392 ) ( DIFFERENT ?auto_39394 ?auto_39392 ) ( LOCATION ?auto_39400 ) ( AT ?auto_39386 ?auto_39400 ) ( AT ?auto_39391 ?auto_39400 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_39386 ?auto_39391 ?auto_39400 )
      ( DELIVER-PKG ?auto_39386 ?auto_39387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39416
      ?auto_39417
    )
    :vars
    (
      ?auto_39420
      ?auto_39419
      ?auto_39426
      ?auto_39421
      ?auto_39427
      ?auto_39428
      ?auto_39425
      ?auto_39429
      ?auto_39423
      ?auto_39431
    )
    :precondition
    ( and ( OBJ ?auto_39416 ) ( LOCATION ?auto_39417 ) ( TRUCK ?auto_39420 ) ( LOCATION ?auto_39419 ) ( CITY ?auto_39426 ) ( AT ?auto_39420 ?auto_39419 ) ( IN-CITY ?auto_39419 ?auto_39426 ) ( IN-CITY ?auto_39417 ?auto_39426 ) ( DIFFERENT ?auto_39417 ?auto_39419 ) ( LOCATION ?auto_39421 ) ( AT ?auto_39420 ?auto_39421 ) ( AIRPLANE ?auto_39427 ) ( AIRPORT ?auto_39428 ) ( AIRPORT ?auto_39421 ) ( AT ?auto_39427 ?auto_39428 ) ( DIFFERENT ?auto_39421 ?auto_39428 ) ( LOCATION ?auto_39425 ) ( AT ?auto_39427 ?auto_39425 ) ( AIRPLANE ?auto_39429 ) ( AIRPORT ?auto_39423 ) ( AIRPORT ?auto_39425 ) ( DIFFERENT ?auto_39425 ?auto_39423 ) ( LOCATION ?auto_39423 ) ( AT ?auto_39416 ?auto_39423 ) ( AIRPORT ?auto_39431 ) ( AT ?auto_39429 ?auto_39431 ) ( DIFFERENT ?auto_39423 ?auto_39431 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_39429 ?auto_39431 ?auto_39423 )
      ( DELIVER-PKG ?auto_39416 ?auto_39417 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39433
      ?auto_39434
    )
    :vars
    (
      ?auto_39443
      ?auto_39436
      ?auto_39437
      ?auto_39438
      ?auto_39439
      ?auto_39442
      ?auto_39441
      ?auto_39440
      ?auto_39446
      ?auto_39449
      ?auto_39448
    )
    :precondition
    ( and ( OBJ ?auto_39433 ) ( LOCATION ?auto_39434 ) ( TRUCK ?auto_39443 ) ( LOCATION ?auto_39436 ) ( CITY ?auto_39437 ) ( IN-CITY ?auto_39436 ?auto_39437 ) ( IN-CITY ?auto_39434 ?auto_39437 ) ( DIFFERENT ?auto_39434 ?auto_39436 ) ( AIRPLANE ?auto_39438 ) ( AIRPORT ?auto_39439 ) ( AIRPORT ?auto_39436 ) ( AT ?auto_39438 ?auto_39439 ) ( DIFFERENT ?auto_39436 ?auto_39439 ) ( LOCATION ?auto_39442 ) ( AT ?auto_39438 ?auto_39442 ) ( AIRPLANE ?auto_39441 ) ( AIRPORT ?auto_39440 ) ( AIRPORT ?auto_39442 ) ( DIFFERENT ?auto_39442 ?auto_39440 ) ( LOCATION ?auto_39440 ) ( AT ?auto_39433 ?auto_39440 ) ( AIRPORT ?auto_39446 ) ( AT ?auto_39441 ?auto_39446 ) ( DIFFERENT ?auto_39440 ?auto_39446 ) ( LOCATION ?auto_39449 ) ( CITY ?auto_39448 ) ( AT ?auto_39443 ?auto_39449 ) ( IN-CITY ?auto_39449 ?auto_39448 ) ( IN-CITY ?auto_39436 ?auto_39448 ) ( DIFFERENT ?auto_39436 ?auto_39449 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39443 ?auto_39449 ?auto_39436 ?auto_39448 )
      ( DELIVER-PKG ?auto_39433 ?auto_39434 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39882
      ?auto_39883
    )
    :vars
    (
      ?auto_39884
      ?auto_39885
      ?auto_39886
      ?auto_39888
      ?auto_39891
    )
    :precondition
    ( and ( OBJ ?auto_39882 ) ( LOCATION ?auto_39883 ) ( AIRPLANE ?auto_39884 ) ( AIRPORT ?auto_39885 ) ( AIRPORT ?auto_39883 ) ( DIFFERENT ?auto_39883 ?auto_39885 ) ( AIRPORT ?auto_39886 ) ( DIFFERENT ?auto_39885 ?auto_39886 ) ( AIRPORT ?auto_39888 ) ( AT ?auto_39884 ?auto_39888 ) ( DIFFERENT ?auto_39886 ?auto_39888 ) ( LOCATION ?auto_39891 ) ( AT ?auto_39882 ?auto_39891 ) ( AT ?auto_39884 ?auto_39891 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_39882 ?auto_39884 ?auto_39891 )
      ( DELIVER-PKG ?auto_39882 ?auto_39883 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39994
      ?auto_39995
    )
    :vars
    (
      ?auto_40000
      ?auto_39996
      ?auto_39998
      ?auto_40003
      ?auto_40001
      ?auto_40005
    )
    :precondition
    ( and ( OBJ ?auto_39994 ) ( LOCATION ?auto_39995 ) ( AIRPLANE ?auto_40000 ) ( AIRPORT ?auto_39996 ) ( AIRPORT ?auto_39995 ) ( DIFFERENT ?auto_39995 ?auto_39996 ) ( LOCATION ?auto_39996 ) ( AIRPLANE ?auto_39998 ) ( AIRPORT ?auto_40003 ) ( DIFFERENT ?auto_39996 ?auto_40003 ) ( LOCATION ?auto_40003 ) ( AT ?auto_39994 ?auto_40003 ) ( AIRPORT ?auto_40001 ) ( AT ?auto_39998 ?auto_40001 ) ( DIFFERENT ?auto_40003 ?auto_40001 ) ( AIRPORT ?auto_40005 ) ( AT ?auto_40000 ?auto_40005 ) ( DIFFERENT ?auto_39996 ?auto_40005 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_40000 ?auto_40005 ?auto_39996 )
      ( DELIVER-PKG ?auto_39994 ?auto_39995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40622
      ?auto_40623
    )
    :vars
    (
      ?auto_40630
      ?auto_40632
      ?auto_40625
      ?auto_40629
      ?auto_40627
      ?auto_40628
      ?auto_40631
      ?auto_40636
      ?auto_40635
    )
    :precondition
    ( and ( OBJ ?auto_40622 ) ( LOCATION ?auto_40623 ) ( TRUCK ?auto_40630 ) ( LOCATION ?auto_40632 ) ( CITY ?auto_40625 ) ( IN-CITY ?auto_40632 ?auto_40625 ) ( IN-CITY ?auto_40623 ?auto_40625 ) ( DIFFERENT ?auto_40623 ?auto_40632 ) ( AIRPLANE ?auto_40629 ) ( IN ?auto_40622 ?auto_40629 ) ( AIRPORT ?auto_40627 ) ( AIRPORT ?auto_40632 ) ( DIFFERENT ?auto_40632 ?auto_40627 ) ( AIRPORT ?auto_40628 ) ( DIFFERENT ?auto_40627 ?auto_40628 ) ( AIRPORT ?auto_40631 ) ( AT ?auto_40629 ?auto_40631 ) ( DIFFERENT ?auto_40628 ?auto_40631 ) ( LOCATION ?auto_40636 ) ( CITY ?auto_40635 ) ( AT ?auto_40630 ?auto_40636 ) ( IN-CITY ?auto_40636 ?auto_40635 ) ( IN-CITY ?auto_40632 ?auto_40635 ) ( DIFFERENT ?auto_40632 ?auto_40636 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40630 ?auto_40636 ?auto_40632 ?auto_40635 )
      ( DELIVER-PKG ?auto_40622 ?auto_40623 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40651
      ?auto_40652
    )
    :vars
    (
      ?auto_40657
      ?auto_40660
      ?auto_40663
      ?auto_40656
      ?auto_40654
      ?auto_40655
      ?auto_40658
      ?auto_40662
      ?auto_40661
      ?auto_40665
    )
    :precondition
    ( and ( OBJ ?auto_40651 ) ( LOCATION ?auto_40652 ) ( TRUCK ?auto_40657 ) ( LOCATION ?auto_40660 ) ( CITY ?auto_40663 ) ( IN-CITY ?auto_40660 ?auto_40663 ) ( IN-CITY ?auto_40652 ?auto_40663 ) ( DIFFERENT ?auto_40652 ?auto_40660 ) ( AIRPLANE ?auto_40656 ) ( AIRPORT ?auto_40654 ) ( AIRPORT ?auto_40660 ) ( DIFFERENT ?auto_40660 ?auto_40654 ) ( AIRPORT ?auto_40655 ) ( DIFFERENT ?auto_40654 ?auto_40655 ) ( AIRPORT ?auto_40658 ) ( AT ?auto_40656 ?auto_40658 ) ( DIFFERENT ?auto_40655 ?auto_40658 ) ( LOCATION ?auto_40662 ) ( CITY ?auto_40661 ) ( AT ?auto_40657 ?auto_40662 ) ( IN-CITY ?auto_40662 ?auto_40661 ) ( IN-CITY ?auto_40660 ?auto_40661 ) ( DIFFERENT ?auto_40660 ?auto_40662 ) ( LOCATION ?auto_40665 ) ( AT ?auto_40651 ?auto_40665 ) ( AT ?auto_40656 ?auto_40665 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_40651 ?auto_40656 ?auto_40665 )
      ( DELIVER-PKG ?auto_40651 ?auto_40652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41306
      ?auto_41307
    )
    :vars
    (
      ?auto_41318
      ?auto_41312
      ?auto_41315
      ?auto_41313
      ?auto_41319
      ?auto_41311
      ?auto_41309
      ?auto_41320
      ?auto_41317
      ?auto_41316
      ?auto_41322
    )
    :precondition
    ( and ( OBJ ?auto_41306 ) ( LOCATION ?auto_41307 ) ( TRUCK ?auto_41318 ) ( LOCATION ?auto_41312 ) ( CITY ?auto_41315 ) ( IN-CITY ?auto_41312 ?auto_41315 ) ( IN-CITY ?auto_41307 ?auto_41315 ) ( DIFFERENT ?auto_41307 ?auto_41312 ) ( AIRPLANE ?auto_41313 ) ( AIRPORT ?auto_41319 ) ( AIRPORT ?auto_41312 ) ( DIFFERENT ?auto_41312 ?auto_41319 ) ( LOCATION ?auto_41319 ) ( AIRPLANE ?auto_41311 ) ( AIRPORT ?auto_41309 ) ( DIFFERENT ?auto_41319 ?auto_41309 ) ( LOCATION ?auto_41309 ) ( AT ?auto_41306 ?auto_41309 ) ( AIRPORT ?auto_41320 ) ( AT ?auto_41311 ?auto_41320 ) ( DIFFERENT ?auto_41309 ?auto_41320 ) ( LOCATION ?auto_41317 ) ( CITY ?auto_41316 ) ( AT ?auto_41318 ?auto_41317 ) ( IN-CITY ?auto_41317 ?auto_41316 ) ( IN-CITY ?auto_41312 ?auto_41316 ) ( DIFFERENT ?auto_41312 ?auto_41317 ) ( AIRPORT ?auto_41322 ) ( AT ?auto_41313 ?auto_41322 ) ( DIFFERENT ?auto_41319 ?auto_41322 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41313 ?auto_41322 ?auto_41319 )
      ( DELIVER-PKG ?auto_41306 ?auto_41307 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41474
      ?auto_41475
    )
    :vars
    (
      ?auto_41481
      ?auto_41478
      ?auto_41479
      ?auto_41480
      ?auto_41482
      ?auto_41484
    )
    :precondition
    ( and ( OBJ ?auto_41474 ) ( LOCATION ?auto_41475 ) ( AIRPLANE ?auto_41481 ) ( AIRPORT ?auto_41478 ) ( AIRPORT ?auto_41475 ) ( DIFFERENT ?auto_41475 ?auto_41478 ) ( LOCATION ?auto_41478 ) ( AT ?auto_41474 ?auto_41478 ) ( AIRPORT ?auto_41479 ) ( DIFFERENT ?auto_41478 ?auto_41479 ) ( AIRPORT ?auto_41480 ) ( DIFFERENT ?auto_41479 ?auto_41480 ) ( AIRPORT ?auto_41482 ) ( DIFFERENT ?auto_41480 ?auto_41482 ) ( AIRPORT ?auto_41484 ) ( AT ?auto_41481 ?auto_41484 ) ( DIFFERENT ?auto_41482 ?auto_41484 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41481 ?auto_41484 ?auto_41482 )
      ( DELIVER-PKG ?auto_41474 ?auto_41475 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41496
      ?auto_41497
    )
    :vars
    (
      ?auto_41503
      ?auto_41500
      ?auto_41501
      ?auto_41502
      ?auto_41504
      ?auto_41505
      ?auto_41507
    )
    :precondition
    ( and ( OBJ ?auto_41496 ) ( LOCATION ?auto_41497 ) ( AIRPLANE ?auto_41503 ) ( AIRPORT ?auto_41500 ) ( AIRPORT ?auto_41497 ) ( DIFFERENT ?auto_41497 ?auto_41500 ) ( LOCATION ?auto_41500 ) ( AT ?auto_41496 ?auto_41500 ) ( AIRPORT ?auto_41501 ) ( DIFFERENT ?auto_41500 ?auto_41501 ) ( AIRPORT ?auto_41502 ) ( DIFFERENT ?auto_41501 ?auto_41502 ) ( AIRPORT ?auto_41504 ) ( DIFFERENT ?auto_41502 ?auto_41504 ) ( AIRPORT ?auto_41505 ) ( DIFFERENT ?auto_41504 ?auto_41505 ) ( AIRPORT ?auto_41507 ) ( AT ?auto_41503 ?auto_41507 ) ( DIFFERENT ?auto_41505 ?auto_41507 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41503 ?auto_41507 ?auto_41505 )
      ( DELIVER-PKG ?auto_41496 ?auto_41497 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41923
      ?auto_41924
    )
    :vars
    (
      ?auto_41925
      ?auto_41927
      ?auto_41930
      ?auto_41928
      ?auto_41929
      ?auto_41934
    )
    :precondition
    ( and ( OBJ ?auto_41923 ) ( LOCATION ?auto_41924 ) ( AIRPLANE ?auto_41925 ) ( AT ?auto_41925 ?auto_41924 ) ( LOCATION ?auto_41927 ) ( AT ?auto_41925 ?auto_41927 ) ( AIRPLANE ?auto_41930 ) ( AIRPORT ?auto_41928 ) ( AIRPORT ?auto_41927 ) ( AT ?auto_41930 ?auto_41928 ) ( DIFFERENT ?auto_41927 ?auto_41928 ) ( LOCATION ?auto_41929 ) ( AT ?auto_41930 ?auto_41929 ) ( TRUCK ?auto_41934 ) ( AT ?auto_41934 ?auto_41929 ) ( IN ?auto_41923 ?auto_41934 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41923 ?auto_41929 )
      ( DELIVER-PKG ?auto_41923 ?auto_41924 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41935
      ?auto_41936
    )
    :vars
    (
      ?auto_41944
      ?auto_41942
      ?auto_41938
      ?auto_41937
      ?auto_41941
      ?auto_41943
      ?auto_41947
      ?auto_41946
    )
    :precondition
    ( and ( OBJ ?auto_41935 ) ( LOCATION ?auto_41936 ) ( AIRPLANE ?auto_41944 ) ( AT ?auto_41944 ?auto_41936 ) ( LOCATION ?auto_41942 ) ( AT ?auto_41944 ?auto_41942 ) ( AIRPLANE ?auto_41938 ) ( AIRPORT ?auto_41937 ) ( AIRPORT ?auto_41942 ) ( AT ?auto_41938 ?auto_41937 ) ( DIFFERENT ?auto_41942 ?auto_41937 ) ( LOCATION ?auto_41941 ) ( AT ?auto_41938 ?auto_41941 ) ( TRUCK ?auto_41943 ) ( IN ?auto_41935 ?auto_41943 ) ( LOCATION ?auto_41947 ) ( CITY ?auto_41946 ) ( AT ?auto_41943 ?auto_41947 ) ( IN-CITY ?auto_41947 ?auto_41946 ) ( IN-CITY ?auto_41941 ?auto_41946 ) ( DIFFERENT ?auto_41941 ?auto_41947 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41943 ?auto_41947 ?auto_41941 ?auto_41946 )
      ( DELIVER-PKG ?auto_41935 ?auto_41936 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41949
      ?auto_41950
    )
    :vars
    (
      ?auto_41952
      ?auto_41954
      ?auto_41960
      ?auto_41957
      ?auto_41951
      ?auto_41953
      ?auto_41956
      ?auto_41955
      ?auto_41963
      ?auto_41962
    )
    :precondition
    ( and ( OBJ ?auto_41949 ) ( LOCATION ?auto_41950 ) ( AIRPLANE ?auto_41952 ) ( AT ?auto_41952 ?auto_41950 ) ( LOCATION ?auto_41954 ) ( AT ?auto_41952 ?auto_41954 ) ( AIRPLANE ?auto_41960 ) ( AIRPORT ?auto_41957 ) ( AIRPORT ?auto_41954 ) ( AT ?auto_41960 ?auto_41957 ) ( DIFFERENT ?auto_41954 ?auto_41957 ) ( LOCATION ?auto_41951 ) ( AT ?auto_41960 ?auto_41951 ) ( TRUCK ?auto_41953 ) ( IN ?auto_41949 ?auto_41953 ) ( LOCATION ?auto_41956 ) ( CITY ?auto_41955 ) ( IN-CITY ?auto_41956 ?auto_41955 ) ( IN-CITY ?auto_41951 ?auto_41955 ) ( DIFFERENT ?auto_41951 ?auto_41956 ) ( LOCATION ?auto_41963 ) ( CITY ?auto_41962 ) ( AT ?auto_41953 ?auto_41963 ) ( IN-CITY ?auto_41963 ?auto_41962 ) ( IN-CITY ?auto_41956 ?auto_41962 ) ( DIFFERENT ?auto_41956 ?auto_41963 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41953 ?auto_41963 ?auto_41956 ?auto_41962 )
      ( DELIVER-PKG ?auto_41949 ?auto_41950 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41979
      ?auto_41980
    )
    :vars
    (
      ?auto_41990
      ?auto_41992
      ?auto_41989
      ?auto_41984
      ?auto_41981
      ?auto_41991
      ?auto_41985
      ?auto_41988
      ?auto_41983
      ?auto_41982
      ?auto_41994
    )
    :precondition
    ( and ( OBJ ?auto_41979 ) ( LOCATION ?auto_41980 ) ( AIRPLANE ?auto_41990 ) ( AT ?auto_41990 ?auto_41980 ) ( LOCATION ?auto_41992 ) ( AT ?auto_41990 ?auto_41992 ) ( AIRPLANE ?auto_41989 ) ( AIRPORT ?auto_41984 ) ( AIRPORT ?auto_41992 ) ( AT ?auto_41989 ?auto_41984 ) ( DIFFERENT ?auto_41992 ?auto_41984 ) ( LOCATION ?auto_41981 ) ( AT ?auto_41989 ?auto_41981 ) ( TRUCK ?auto_41991 ) ( LOCATION ?auto_41985 ) ( CITY ?auto_41988 ) ( IN-CITY ?auto_41985 ?auto_41988 ) ( IN-CITY ?auto_41981 ?auto_41988 ) ( DIFFERENT ?auto_41981 ?auto_41985 ) ( LOCATION ?auto_41983 ) ( CITY ?auto_41982 ) ( AT ?auto_41991 ?auto_41983 ) ( IN-CITY ?auto_41983 ?auto_41982 ) ( IN-CITY ?auto_41985 ?auto_41982 ) ( DIFFERENT ?auto_41985 ?auto_41983 ) ( LOCATION ?auto_41994 ) ( AT ?auto_41991 ?auto_41994 ) ( AT ?auto_41979 ?auto_41994 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_41979 ?auto_41991 ?auto_41994 )
      ( DELIVER-PKG ?auto_41979 ?auto_41980 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41996
      ?auto_41997
    )
    :vars
    (
      ?auto_42001
      ?auto_42006
      ?auto_42000
      ?auto_42009
      ?auto_42002
      ?auto_42003
      ?auto_41998
      ?auto_41999
      ?auto_42008
      ?auto_42010
      ?auto_42012
    )
    :precondition
    ( and ( OBJ ?auto_41996 ) ( LOCATION ?auto_41997 ) ( AIRPLANE ?auto_42001 ) ( AT ?auto_42001 ?auto_41997 ) ( LOCATION ?auto_42006 ) ( AT ?auto_42001 ?auto_42006 ) ( AIRPLANE ?auto_42000 ) ( AIRPORT ?auto_42009 ) ( AIRPORT ?auto_42006 ) ( DIFFERENT ?auto_42006 ?auto_42009 ) ( LOCATION ?auto_42009 ) ( TRUCK ?auto_42002 ) ( LOCATION ?auto_42003 ) ( CITY ?auto_41998 ) ( IN-CITY ?auto_42003 ?auto_41998 ) ( IN-CITY ?auto_42009 ?auto_41998 ) ( DIFFERENT ?auto_42009 ?auto_42003 ) ( LOCATION ?auto_41999 ) ( CITY ?auto_42008 ) ( AT ?auto_42002 ?auto_41999 ) ( IN-CITY ?auto_41999 ?auto_42008 ) ( IN-CITY ?auto_42003 ?auto_42008 ) ( DIFFERENT ?auto_42003 ?auto_41999 ) ( LOCATION ?auto_42010 ) ( AT ?auto_42002 ?auto_42010 ) ( AT ?auto_41996 ?auto_42010 ) ( AIRPORT ?auto_42012 ) ( AT ?auto_42000 ?auto_42012 ) ( DIFFERENT ?auto_42009 ?auto_42012 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42000 ?auto_42012 ?auto_42009 )
      ( DELIVER-PKG ?auto_41996 ?auto_41997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42485
      ?auto_42486
    )
    :vars
    (
      ?auto_42493
      ?auto_42490
      ?auto_42488
      ?auto_42494
      ?auto_42489
      ?auto_42495
      ?auto_42491
      ?auto_42497
    )
    :precondition
    ( and ( OBJ ?auto_42485 ) ( LOCATION ?auto_42486 ) ( TRUCK ?auto_42493 ) ( LOCATION ?auto_42490 ) ( CITY ?auto_42488 ) ( IN-CITY ?auto_42490 ?auto_42488 ) ( IN-CITY ?auto_42486 ?auto_42488 ) ( DIFFERENT ?auto_42486 ?auto_42490 ) ( LOCATION ?auto_42494 ) ( CITY ?auto_42489 ) ( AT ?auto_42493 ?auto_42494 ) ( IN-CITY ?auto_42494 ?auto_42489 ) ( IN-CITY ?auto_42490 ?auto_42489 ) ( DIFFERENT ?auto_42490 ?auto_42494 ) ( LOCATION ?auto_42495 ) ( AT ?auto_42493 ?auto_42495 ) ( AIRPLANE ?auto_42491 ) ( AT ?auto_42491 ?auto_42495 ) ( LOCATION ?auto_42497 ) ( AT ?auto_42485 ?auto_42497 ) ( AT ?auto_42491 ?auto_42497 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_42485 ?auto_42491 ?auto_42497 )
      ( DELIVER-PKG ?auto_42485 ?auto_42486 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42511
      ?auto_42512
    )
    :vars
    (
      ?auto_42517
      ?auto_42522
      ?auto_42520
      ?auto_42516
      ?auto_42521
      ?auto_42514
      ?auto_42515
      ?auto_42519
      ?auto_42524
    )
    :precondition
    ( and ( OBJ ?auto_42511 ) ( LOCATION ?auto_42512 ) ( TRUCK ?auto_42517 ) ( LOCATION ?auto_42522 ) ( CITY ?auto_42520 ) ( IN-CITY ?auto_42522 ?auto_42520 ) ( IN-CITY ?auto_42512 ?auto_42520 ) ( DIFFERENT ?auto_42512 ?auto_42522 ) ( LOCATION ?auto_42516 ) ( CITY ?auto_42521 ) ( AT ?auto_42517 ?auto_42516 ) ( IN-CITY ?auto_42516 ?auto_42521 ) ( IN-CITY ?auto_42522 ?auto_42521 ) ( DIFFERENT ?auto_42522 ?auto_42516 ) ( LOCATION ?auto_42514 ) ( AT ?auto_42517 ?auto_42514 ) ( AIRPLANE ?auto_42515 ) ( AT ?auto_42515 ?auto_42514 ) ( LOCATION ?auto_42519 ) ( AT ?auto_42515 ?auto_42519 ) ( AIRPLANE ?auto_42524 ) ( IN ?auto_42511 ?auto_42524 ) ( AT ?auto_42524 ?auto_42519 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_42511 ?auto_42519 )
      ( DELIVER-PKG ?auto_42511 ?auto_42512 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42539
      ?auto_42540
    )
    :vars
    (
      ?auto_42541
      ?auto_42543
      ?auto_42549
      ?auto_42545
      ?auto_42542
      ?auto_42550
      ?auto_42546
      ?auto_42547
      ?auto_42544
      ?auto_42553
    )
    :precondition
    ( and ( OBJ ?auto_42539 ) ( LOCATION ?auto_42540 ) ( TRUCK ?auto_42541 ) ( LOCATION ?auto_42543 ) ( CITY ?auto_42549 ) ( IN-CITY ?auto_42543 ?auto_42549 ) ( IN-CITY ?auto_42540 ?auto_42549 ) ( DIFFERENT ?auto_42540 ?auto_42543 ) ( LOCATION ?auto_42545 ) ( CITY ?auto_42542 ) ( AT ?auto_42541 ?auto_42545 ) ( IN-CITY ?auto_42545 ?auto_42542 ) ( IN-CITY ?auto_42543 ?auto_42542 ) ( DIFFERENT ?auto_42543 ?auto_42545 ) ( LOCATION ?auto_42550 ) ( AT ?auto_42541 ?auto_42550 ) ( AIRPLANE ?auto_42546 ) ( AT ?auto_42546 ?auto_42550 ) ( LOCATION ?auto_42547 ) ( AT ?auto_42546 ?auto_42547 ) ( AIRPLANE ?auto_42544 ) ( IN ?auto_42539 ?auto_42544 ) ( AIRPORT ?auto_42553 ) ( AIRPORT ?auto_42547 ) ( AT ?auto_42544 ?auto_42553 ) ( DIFFERENT ?auto_42547 ?auto_42553 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42544 ?auto_42553 ?auto_42547 )
      ( DELIVER-PKG ?auto_42539 ?auto_42540 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42555
      ?auto_42556
    )
    :vars
    (
      ?auto_42563
      ?auto_42564
      ?auto_42560
      ?auto_42566
      ?auto_42562
      ?auto_42561
      ?auto_42558
      ?auto_42559
      ?auto_42565
      ?auto_42568
      ?auto_42570
    )
    :precondition
    ( and ( OBJ ?auto_42555 ) ( LOCATION ?auto_42556 ) ( TRUCK ?auto_42563 ) ( LOCATION ?auto_42564 ) ( CITY ?auto_42560 ) ( IN-CITY ?auto_42564 ?auto_42560 ) ( IN-CITY ?auto_42556 ?auto_42560 ) ( DIFFERENT ?auto_42556 ?auto_42564 ) ( LOCATION ?auto_42566 ) ( CITY ?auto_42562 ) ( AT ?auto_42563 ?auto_42566 ) ( IN-CITY ?auto_42566 ?auto_42562 ) ( IN-CITY ?auto_42564 ?auto_42562 ) ( DIFFERENT ?auto_42564 ?auto_42566 ) ( LOCATION ?auto_42561 ) ( AT ?auto_42563 ?auto_42561 ) ( AIRPLANE ?auto_42558 ) ( AT ?auto_42558 ?auto_42561 ) ( LOCATION ?auto_42559 ) ( AT ?auto_42558 ?auto_42559 ) ( AIRPLANE ?auto_42565 ) ( AIRPORT ?auto_42568 ) ( AIRPORT ?auto_42559 ) ( AT ?auto_42565 ?auto_42568 ) ( DIFFERENT ?auto_42559 ?auto_42568 ) ( LOCATION ?auto_42570 ) ( AT ?auto_42555 ?auto_42570 ) ( AT ?auto_42565 ?auto_42570 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_42555 ?auto_42565 ?auto_42570 )
      ( DELIVER-PKG ?auto_42555 ?auto_42556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42572
      ?auto_42573
    )
    :vars
    (
      ?auto_42577
      ?auto_42580
      ?auto_42585
      ?auto_42579
      ?auto_42576
      ?auto_42574
      ?auto_42584
      ?auto_42586
      ?auto_42583
      ?auto_42578
      ?auto_42581
      ?auto_42589
    )
    :precondition
    ( and ( OBJ ?auto_42572 ) ( LOCATION ?auto_42573 ) ( TRUCK ?auto_42577 ) ( LOCATION ?auto_42580 ) ( CITY ?auto_42585 ) ( IN-CITY ?auto_42580 ?auto_42585 ) ( IN-CITY ?auto_42573 ?auto_42585 ) ( DIFFERENT ?auto_42573 ?auto_42580 ) ( LOCATION ?auto_42579 ) ( CITY ?auto_42576 ) ( AT ?auto_42577 ?auto_42579 ) ( IN-CITY ?auto_42579 ?auto_42576 ) ( IN-CITY ?auto_42580 ?auto_42576 ) ( DIFFERENT ?auto_42580 ?auto_42579 ) ( LOCATION ?auto_42574 ) ( AT ?auto_42577 ?auto_42574 ) ( AIRPLANE ?auto_42584 ) ( AT ?auto_42584 ?auto_42574 ) ( LOCATION ?auto_42586 ) ( AT ?auto_42584 ?auto_42586 ) ( AIRPLANE ?auto_42583 ) ( AIRPORT ?auto_42578 ) ( AIRPORT ?auto_42586 ) ( AT ?auto_42583 ?auto_42578 ) ( DIFFERENT ?auto_42586 ?auto_42578 ) ( LOCATION ?auto_42581 ) ( AT ?auto_42583 ?auto_42581 ) ( TRUCK ?auto_42589 ) ( AT ?auto_42589 ?auto_42581 ) ( IN ?auto_42572 ?auto_42589 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_42572 ?auto_42581 )
      ( DELIVER-PKG ?auto_42572 ?auto_42573 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42590
      ?auto_42591
    )
    :vars
    (
      ?auto_42603
      ?auto_42594
      ?auto_42596
      ?auto_42597
      ?auto_42604
      ?auto_42593
      ?auto_42595
      ?auto_42598
      ?auto_42592
      ?auto_42605
      ?auto_42601
      ?auto_42600
      ?auto_42608
      ?auto_42607
    )
    :precondition
    ( and ( OBJ ?auto_42590 ) ( LOCATION ?auto_42591 ) ( TRUCK ?auto_42603 ) ( LOCATION ?auto_42594 ) ( CITY ?auto_42596 ) ( IN-CITY ?auto_42594 ?auto_42596 ) ( IN-CITY ?auto_42591 ?auto_42596 ) ( DIFFERENT ?auto_42591 ?auto_42594 ) ( LOCATION ?auto_42597 ) ( CITY ?auto_42604 ) ( AT ?auto_42603 ?auto_42597 ) ( IN-CITY ?auto_42597 ?auto_42604 ) ( IN-CITY ?auto_42594 ?auto_42604 ) ( DIFFERENT ?auto_42594 ?auto_42597 ) ( LOCATION ?auto_42593 ) ( AT ?auto_42603 ?auto_42593 ) ( AIRPLANE ?auto_42595 ) ( AT ?auto_42595 ?auto_42593 ) ( LOCATION ?auto_42598 ) ( AT ?auto_42595 ?auto_42598 ) ( AIRPLANE ?auto_42592 ) ( AIRPORT ?auto_42605 ) ( AIRPORT ?auto_42598 ) ( AT ?auto_42592 ?auto_42605 ) ( DIFFERENT ?auto_42598 ?auto_42605 ) ( LOCATION ?auto_42601 ) ( AT ?auto_42592 ?auto_42601 ) ( TRUCK ?auto_42600 ) ( IN ?auto_42590 ?auto_42600 ) ( LOCATION ?auto_42608 ) ( CITY ?auto_42607 ) ( AT ?auto_42600 ?auto_42608 ) ( IN-CITY ?auto_42608 ?auto_42607 ) ( IN-CITY ?auto_42601 ?auto_42607 ) ( DIFFERENT ?auto_42601 ?auto_42608 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42600 ?auto_42608 ?auto_42601 ?auto_42607 )
      ( DELIVER-PKG ?auto_42590 ?auto_42591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42610
      ?auto_42611
    )
    :vars
    (
      ?auto_42621
      ?auto_42622
      ?auto_42626
      ?auto_42615
      ?auto_42613
      ?auto_42623
      ?auto_42625
      ?auto_42627
      ?auto_42616
      ?auto_42614
      ?auto_42612
      ?auto_42624
      ?auto_42617
      ?auto_42620
      ?auto_42630
      ?auto_42629
    )
    :precondition
    ( and ( OBJ ?auto_42610 ) ( LOCATION ?auto_42611 ) ( TRUCK ?auto_42621 ) ( LOCATION ?auto_42622 ) ( CITY ?auto_42626 ) ( IN-CITY ?auto_42622 ?auto_42626 ) ( IN-CITY ?auto_42611 ?auto_42626 ) ( DIFFERENT ?auto_42611 ?auto_42622 ) ( LOCATION ?auto_42615 ) ( CITY ?auto_42613 ) ( AT ?auto_42621 ?auto_42615 ) ( IN-CITY ?auto_42615 ?auto_42613 ) ( IN-CITY ?auto_42622 ?auto_42613 ) ( DIFFERENT ?auto_42622 ?auto_42615 ) ( LOCATION ?auto_42623 ) ( AT ?auto_42621 ?auto_42623 ) ( AIRPLANE ?auto_42625 ) ( AT ?auto_42625 ?auto_42623 ) ( LOCATION ?auto_42627 ) ( AT ?auto_42625 ?auto_42627 ) ( AIRPLANE ?auto_42616 ) ( AIRPORT ?auto_42614 ) ( AIRPORT ?auto_42627 ) ( AT ?auto_42616 ?auto_42614 ) ( DIFFERENT ?auto_42627 ?auto_42614 ) ( LOCATION ?auto_42612 ) ( AT ?auto_42616 ?auto_42612 ) ( TRUCK ?auto_42624 ) ( IN ?auto_42610 ?auto_42624 ) ( LOCATION ?auto_42617 ) ( CITY ?auto_42620 ) ( IN-CITY ?auto_42617 ?auto_42620 ) ( IN-CITY ?auto_42612 ?auto_42620 ) ( DIFFERENT ?auto_42612 ?auto_42617 ) ( LOCATION ?auto_42630 ) ( CITY ?auto_42629 ) ( AT ?auto_42624 ?auto_42630 ) ( IN-CITY ?auto_42630 ?auto_42629 ) ( IN-CITY ?auto_42617 ?auto_42629 ) ( DIFFERENT ?auto_42617 ?auto_42630 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42624 ?auto_42630 ?auto_42617 ?auto_42629 )
      ( DELIVER-PKG ?auto_42610 ?auto_42611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42652
      ?auto_42653
    )
    :vars
    (
      ?auto_42660
      ?auto_42667
      ?auto_42658
      ?auto_42668
      ?auto_42662
      ?auto_42657
      ?auto_42656
      ?auto_42661
      ?auto_42669
      ?auto_42670
      ?auto_42654
      ?auto_42655
      ?auto_42671
      ?auto_42665
      ?auto_42664
      ?auto_42659
      ?auto_42673
    )
    :precondition
    ( and ( OBJ ?auto_42652 ) ( LOCATION ?auto_42653 ) ( TRUCK ?auto_42660 ) ( LOCATION ?auto_42667 ) ( CITY ?auto_42658 ) ( IN-CITY ?auto_42667 ?auto_42658 ) ( IN-CITY ?auto_42653 ?auto_42658 ) ( DIFFERENT ?auto_42653 ?auto_42667 ) ( LOCATION ?auto_42668 ) ( CITY ?auto_42662 ) ( AT ?auto_42660 ?auto_42668 ) ( IN-CITY ?auto_42668 ?auto_42662 ) ( IN-CITY ?auto_42667 ?auto_42662 ) ( DIFFERENT ?auto_42667 ?auto_42668 ) ( LOCATION ?auto_42657 ) ( AT ?auto_42660 ?auto_42657 ) ( AIRPLANE ?auto_42656 ) ( AT ?auto_42656 ?auto_42657 ) ( LOCATION ?auto_42661 ) ( AT ?auto_42656 ?auto_42661 ) ( AIRPLANE ?auto_42669 ) ( AIRPORT ?auto_42670 ) ( AIRPORT ?auto_42661 ) ( AT ?auto_42669 ?auto_42670 ) ( DIFFERENT ?auto_42661 ?auto_42670 ) ( LOCATION ?auto_42654 ) ( AT ?auto_42669 ?auto_42654 ) ( TRUCK ?auto_42655 ) ( LOCATION ?auto_42671 ) ( CITY ?auto_42665 ) ( IN-CITY ?auto_42671 ?auto_42665 ) ( IN-CITY ?auto_42654 ?auto_42665 ) ( DIFFERENT ?auto_42654 ?auto_42671 ) ( LOCATION ?auto_42664 ) ( CITY ?auto_42659 ) ( AT ?auto_42655 ?auto_42664 ) ( IN-CITY ?auto_42664 ?auto_42659 ) ( IN-CITY ?auto_42671 ?auto_42659 ) ( DIFFERENT ?auto_42671 ?auto_42664 ) ( LOCATION ?auto_42673 ) ( AT ?auto_42655 ?auto_42673 ) ( AT ?auto_42652 ?auto_42673 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_42652 ?auto_42655 ?auto_42673 )
      ( DELIVER-PKG ?auto_42652 ?auto_42653 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42675
      ?auto_42676
    )
    :vars
    (
      ?auto_42686
      ?auto_42691
      ?auto_42684
      ?auto_42692
      ?auto_42688
      ?auto_42683
      ?auto_42681
      ?auto_42687
      ?auto_42693
      ?auto_42677
      ?auto_42680
      ?auto_42695
      ?auto_42690
      ?auto_42689
      ?auto_42685
      ?auto_42682
      ?auto_42697
    )
    :precondition
    ( and ( OBJ ?auto_42675 ) ( LOCATION ?auto_42676 ) ( TRUCK ?auto_42686 ) ( LOCATION ?auto_42691 ) ( CITY ?auto_42684 ) ( IN-CITY ?auto_42691 ?auto_42684 ) ( IN-CITY ?auto_42676 ?auto_42684 ) ( DIFFERENT ?auto_42676 ?auto_42691 ) ( LOCATION ?auto_42692 ) ( CITY ?auto_42688 ) ( AT ?auto_42686 ?auto_42692 ) ( IN-CITY ?auto_42692 ?auto_42688 ) ( IN-CITY ?auto_42691 ?auto_42688 ) ( DIFFERENT ?auto_42691 ?auto_42692 ) ( LOCATION ?auto_42683 ) ( AT ?auto_42686 ?auto_42683 ) ( AIRPLANE ?auto_42681 ) ( AT ?auto_42681 ?auto_42683 ) ( LOCATION ?auto_42687 ) ( AT ?auto_42681 ?auto_42687 ) ( AIRPLANE ?auto_42693 ) ( AIRPORT ?auto_42677 ) ( AIRPORT ?auto_42687 ) ( DIFFERENT ?auto_42687 ?auto_42677 ) ( LOCATION ?auto_42677 ) ( TRUCK ?auto_42680 ) ( LOCATION ?auto_42695 ) ( CITY ?auto_42690 ) ( IN-CITY ?auto_42695 ?auto_42690 ) ( IN-CITY ?auto_42677 ?auto_42690 ) ( DIFFERENT ?auto_42677 ?auto_42695 ) ( LOCATION ?auto_42689 ) ( CITY ?auto_42685 ) ( AT ?auto_42680 ?auto_42689 ) ( IN-CITY ?auto_42689 ?auto_42685 ) ( IN-CITY ?auto_42695 ?auto_42685 ) ( DIFFERENT ?auto_42695 ?auto_42689 ) ( LOCATION ?auto_42682 ) ( AT ?auto_42680 ?auto_42682 ) ( AT ?auto_42675 ?auto_42682 ) ( AIRPORT ?auto_42697 ) ( AT ?auto_42693 ?auto_42697 ) ( DIFFERENT ?auto_42677 ?auto_42697 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42693 ?auto_42697 ?auto_42677 )
      ( DELIVER-PKG ?auto_42675 ?auto_42676 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43178
      ?auto_43179
    )
    :vars
    (
      ?auto_43181
      ?auto_43180
      ?auto_43185
      ?auto_43183
      ?auto_43187
    )
    :precondition
    ( and ( OBJ ?auto_43178 ) ( LOCATION ?auto_43179 ) ( AIRPLANE ?auto_43181 ) ( AIRPORT ?auto_43180 ) ( AIRPORT ?auto_43179 ) ( AT ?auto_43181 ?auto_43180 ) ( DIFFERENT ?auto_43179 ?auto_43180 ) ( LOCATION ?auto_43185 ) ( AT ?auto_43181 ?auto_43185 ) ( TRUCK ?auto_43183 ) ( AT ?auto_43183 ?auto_43185 ) ( LOCATION ?auto_43187 ) ( AT ?auto_43183 ?auto_43187 ) ( AT ?auto_43178 ?auto_43187 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_43178 ?auto_43183 ?auto_43187 )
      ( DELIVER-PKG ?auto_43178 ?auto_43179 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43198
      ?auto_43199
    )
    :vars
    (
      ?auto_43206
      ?auto_43205
      ?auto_43202
      ?auto_43203
      ?auto_43201
      ?auto_43208
    )
    :precondition
    ( and ( OBJ ?auto_43198 ) ( LOCATION ?auto_43199 ) ( AIRPLANE ?auto_43206 ) ( AIRPORT ?auto_43205 ) ( AIRPORT ?auto_43199 ) ( AT ?auto_43206 ?auto_43205 ) ( DIFFERENT ?auto_43199 ?auto_43205 ) ( LOCATION ?auto_43202 ) ( AT ?auto_43206 ?auto_43202 ) ( TRUCK ?auto_43203 ) ( AT ?auto_43203 ?auto_43202 ) ( LOCATION ?auto_43201 ) ( AT ?auto_43203 ?auto_43201 ) ( TRUCK ?auto_43208 ) ( AT ?auto_43208 ?auto_43201 ) ( IN ?auto_43198 ?auto_43208 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_43198 ?auto_43201 )
      ( DELIVER-PKG ?auto_43198 ?auto_43199 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44292
      ?auto_44293
    )
    :vars
    (
      ?auto_44299
      ?auto_44294
      ?auto_44295
      ?auto_44296
      ?auto_44298
      ?auto_44303
    )
    :precondition
    ( and ( OBJ ?auto_44292 ) ( LOCATION ?auto_44293 ) ( AIRPLANE ?auto_44299 ) ( AIRPORT ?auto_44294 ) ( AIRPORT ?auto_44293 ) ( DIFFERENT ?auto_44293 ?auto_44294 ) ( AIRPORT ?auto_44295 ) ( DIFFERENT ?auto_44294 ?auto_44295 ) ( AIRPORT ?auto_44296 ) ( AT ?auto_44299 ?auto_44296 ) ( DIFFERENT ?auto_44295 ?auto_44296 ) ( LOCATION ?auto_44298 ) ( AT ?auto_44299 ?auto_44298 ) ( AIRPLANE ?auto_44303 ) ( IN ?auto_44292 ?auto_44303 ) ( AT ?auto_44303 ?auto_44298 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_44292 ?auto_44298 )
      ( DELIVER-PKG ?auto_44292 ?auto_44293 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44317
      ?auto_44318
    )
    :vars
    (
      ?auto_44320
      ?auto_44325
      ?auto_44323
      ?auto_44322
      ?auto_44321
      ?auto_44327
    )
    :precondition
    ( and ( OBJ ?auto_44317 ) ( LOCATION ?auto_44318 ) ( AIRPLANE ?auto_44320 ) ( AIRPORT ?auto_44325 ) ( AIRPORT ?auto_44318 ) ( DIFFERENT ?auto_44318 ?auto_44325 ) ( AIRPORT ?auto_44323 ) ( DIFFERENT ?auto_44325 ?auto_44323 ) ( AIRPORT ?auto_44322 ) ( DIFFERENT ?auto_44323 ?auto_44322 ) ( LOCATION ?auto_44322 ) ( AIRPORT ?auto_44321 ) ( AT ?auto_44320 ?auto_44321 ) ( DIFFERENT ?auto_44322 ?auto_44321 ) ( LOCATION ?auto_44327 ) ( AT ?auto_44317 ?auto_44327 ) ( AT ?auto_44320 ?auto_44327 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_44317 ?auto_44320 ?auto_44327 )
      ( DELIVER-PKG ?auto_44317 ?auto_44318 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44368
      ?auto_44369
    )
    :vars
    (
      ?auto_44376
      ?auto_44374
      ?auto_44379
      ?auto_44377
      ?auto_44378
      ?auto_44375
      ?auto_44371
      ?auto_44372
      ?auto_44381
    )
    :precondition
    ( and ( OBJ ?auto_44368 ) ( LOCATION ?auto_44369 ) ( AIRPLANE ?auto_44376 ) ( AIRPORT ?auto_44374 ) ( AIRPORT ?auto_44369 ) ( DIFFERENT ?auto_44369 ?auto_44374 ) ( AIRPORT ?auto_44379 ) ( DIFFERENT ?auto_44374 ?auto_44379 ) ( AIRPORT ?auto_44377 ) ( DIFFERENT ?auto_44379 ?auto_44377 ) ( LOCATION ?auto_44377 ) ( AIRPORT ?auto_44378 ) ( AT ?auto_44376 ?auto_44378 ) ( DIFFERENT ?auto_44377 ?auto_44378 ) ( LOCATION ?auto_44375 ) ( AT ?auto_44376 ?auto_44375 ) ( TRUCK ?auto_44371 ) ( AT ?auto_44371 ?auto_44375 ) ( LOCATION ?auto_44372 ) ( AT ?auto_44371 ?auto_44372 ) ( TRUCK ?auto_44381 ) ( AT ?auto_44381 ?auto_44372 ) ( IN ?auto_44368 ?auto_44381 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_44368 ?auto_44372 )
      ( DELIVER-PKG ?auto_44368 ?auto_44369 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44342
      ?auto_44343
    )
    :vars
    (
      ?auto_44349
      ?auto_44352
      ?auto_44348
      ?auto_44345
      ?auto_44346
      ?auto_44347
      ?auto_44350
      ?auto_44354
    )
    :precondition
    ( and ( OBJ ?auto_44342 ) ( LOCATION ?auto_44343 ) ( AIRPLANE ?auto_44349 ) ( AIRPORT ?auto_44352 ) ( AIRPORT ?auto_44343 ) ( DIFFERENT ?auto_44343 ?auto_44352 ) ( AIRPORT ?auto_44348 ) ( DIFFERENT ?auto_44352 ?auto_44348 ) ( AIRPORT ?auto_44345 ) ( DIFFERENT ?auto_44348 ?auto_44345 ) ( LOCATION ?auto_44345 ) ( AIRPORT ?auto_44346 ) ( AT ?auto_44349 ?auto_44346 ) ( DIFFERENT ?auto_44345 ?auto_44346 ) ( LOCATION ?auto_44347 ) ( AT ?auto_44349 ?auto_44347 ) ( TRUCK ?auto_44350 ) ( AT ?auto_44350 ?auto_44347 ) ( LOCATION ?auto_44354 ) ( AT ?auto_44350 ?auto_44354 ) ( AT ?auto_44342 ?auto_44354 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_44342 ?auto_44350 ?auto_44354 )
      ( DELIVER-PKG ?auto_44342 ?auto_44343 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44396
      ?auto_44397
    )
    :vars
    (
      ?auto_44404
      ?auto_44402
      ?auto_44407
      ?auto_44405
      ?auto_44406
      ?auto_44400
      ?auto_44401
      ?auto_44411
      ?auto_44410
    )
    :precondition
    ( and ( OBJ ?auto_44396 ) ( LOCATION ?auto_44397 ) ( AIRPLANE ?auto_44404 ) ( AIRPORT ?auto_44402 ) ( AIRPORT ?auto_44397 ) ( DIFFERENT ?auto_44397 ?auto_44402 ) ( AIRPORT ?auto_44407 ) ( DIFFERENT ?auto_44402 ?auto_44407 ) ( AIRPORT ?auto_44405 ) ( DIFFERENT ?auto_44407 ?auto_44405 ) ( LOCATION ?auto_44405 ) ( AIRPORT ?auto_44406 ) ( AT ?auto_44404 ?auto_44406 ) ( DIFFERENT ?auto_44405 ?auto_44406 ) ( LOCATION ?auto_44400 ) ( AT ?auto_44404 ?auto_44400 ) ( TRUCK ?auto_44401 ) ( IN ?auto_44396 ?auto_44401 ) ( LOCATION ?auto_44411 ) ( CITY ?auto_44410 ) ( AT ?auto_44401 ?auto_44411 ) ( IN-CITY ?auto_44411 ?auto_44410 ) ( IN-CITY ?auto_44400 ?auto_44410 ) ( DIFFERENT ?auto_44400 ?auto_44411 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_44401 ?auto_44411 ?auto_44400 ?auto_44410 )
      ( DELIVER-PKG ?auto_44396 ?auto_44397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44426
      ?auto_44427
    )
    :vars
    (
      ?auto_44437
      ?auto_44436
      ?auto_44430
      ?auto_44428
      ?auto_44429
      ?auto_44435
      ?auto_44432
      ?auto_44434
      ?auto_44433
      ?auto_44440
    )
    :precondition
    ( and ( OBJ ?auto_44426 ) ( LOCATION ?auto_44427 ) ( AIRPLANE ?auto_44437 ) ( AIRPORT ?auto_44436 ) ( AIRPORT ?auto_44427 ) ( DIFFERENT ?auto_44427 ?auto_44436 ) ( AIRPORT ?auto_44430 ) ( DIFFERENT ?auto_44436 ?auto_44430 ) ( AIRPORT ?auto_44428 ) ( DIFFERENT ?auto_44430 ?auto_44428 ) ( LOCATION ?auto_44428 ) ( AIRPORT ?auto_44429 ) ( AT ?auto_44437 ?auto_44429 ) ( DIFFERENT ?auto_44428 ?auto_44429 ) ( LOCATION ?auto_44435 ) ( AT ?auto_44437 ?auto_44435 ) ( TRUCK ?auto_44432 ) ( LOCATION ?auto_44434 ) ( CITY ?auto_44433 ) ( AT ?auto_44432 ?auto_44434 ) ( IN-CITY ?auto_44434 ?auto_44433 ) ( IN-CITY ?auto_44435 ?auto_44433 ) ( DIFFERENT ?auto_44435 ?auto_44434 ) ( LOCATION ?auto_44440 ) ( AT ?auto_44432 ?auto_44440 ) ( AT ?auto_44426 ?auto_44440 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_44426 ?auto_44432 ?auto_44440 )
      ( DELIVER-PKG ?auto_44426 ?auto_44427 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44456
      ?auto_44457
    )
    :vars
    (
      ?auto_44465
      ?auto_44463
      ?auto_44462
      ?auto_44458
      ?auto_44468
      ?auto_44459
      ?auto_44467
      ?auto_44460
      ?auto_44464
      ?auto_44471
    )
    :precondition
    ( and ( OBJ ?auto_44456 ) ( LOCATION ?auto_44457 ) ( AIRPLANE ?auto_44465 ) ( AIRPORT ?auto_44463 ) ( AIRPORT ?auto_44457 ) ( DIFFERENT ?auto_44457 ?auto_44463 ) ( AIRPORT ?auto_44462 ) ( DIFFERENT ?auto_44463 ?auto_44462 ) ( AIRPORT ?auto_44458 ) ( DIFFERENT ?auto_44462 ?auto_44458 ) ( LOCATION ?auto_44458 ) ( AIRPORT ?auto_44468 ) ( DIFFERENT ?auto_44458 ?auto_44468 ) ( LOCATION ?auto_44468 ) ( TRUCK ?auto_44459 ) ( LOCATION ?auto_44467 ) ( CITY ?auto_44460 ) ( AT ?auto_44459 ?auto_44467 ) ( IN-CITY ?auto_44467 ?auto_44460 ) ( IN-CITY ?auto_44468 ?auto_44460 ) ( DIFFERENT ?auto_44468 ?auto_44467 ) ( LOCATION ?auto_44464 ) ( AT ?auto_44459 ?auto_44464 ) ( AT ?auto_44456 ?auto_44464 ) ( AIRPORT ?auto_44471 ) ( AT ?auto_44465 ?auto_44471 ) ( DIFFERENT ?auto_44468 ?auto_44471 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_44465 ?auto_44471 ?auto_44468 )
      ( DELIVER-PKG ?auto_44456 ?auto_44457 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44473
      ?auto_44474
    )
    :vars
    (
      ?auto_44483
      ?auto_44481
      ?auto_44480
      ?auto_44476
      ?auto_44485
      ?auto_44477
      ?auto_44482
      ?auto_44479
      ?auto_44486
      ?auto_44489
      ?auto_44488
    )
    :precondition
    ( and ( OBJ ?auto_44473 ) ( LOCATION ?auto_44474 ) ( AIRPLANE ?auto_44483 ) ( AIRPORT ?auto_44481 ) ( AIRPORT ?auto_44474 ) ( DIFFERENT ?auto_44474 ?auto_44481 ) ( AIRPORT ?auto_44480 ) ( DIFFERENT ?auto_44481 ?auto_44480 ) ( AIRPORT ?auto_44476 ) ( DIFFERENT ?auto_44480 ?auto_44476 ) ( LOCATION ?auto_44476 ) ( AIRPORT ?auto_44485 ) ( DIFFERENT ?auto_44476 ?auto_44485 ) ( LOCATION ?auto_44485 ) ( TRUCK ?auto_44477 ) ( LOCATION ?auto_44482 ) ( CITY ?auto_44479 ) ( IN-CITY ?auto_44482 ?auto_44479 ) ( IN-CITY ?auto_44485 ?auto_44479 ) ( DIFFERENT ?auto_44485 ?auto_44482 ) ( AT ?auto_44473 ?auto_44482 ) ( AIRPORT ?auto_44486 ) ( AT ?auto_44483 ?auto_44486 ) ( DIFFERENT ?auto_44485 ?auto_44486 ) ( LOCATION ?auto_44489 ) ( CITY ?auto_44488 ) ( AT ?auto_44477 ?auto_44489 ) ( IN-CITY ?auto_44489 ?auto_44488 ) ( IN-CITY ?auto_44482 ?auto_44488 ) ( DIFFERENT ?auto_44482 ?auto_44489 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_44477 ?auto_44489 ?auto_44482 ?auto_44488 )
      ( DELIVER-PKG ?auto_44473 ?auto_44474 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45927
      ?auto_45928
    )
    :vars
    (
      ?auto_45934
      ?auto_45936
      ?auto_45937
      ?auto_45940
      ?auto_45930
      ?auto_45931
      ?auto_45933
      ?auto_45946
      ?auto_45938
      ?auto_45941
      ?auto_45935
      ?auto_45942
      ?auto_45943
      ?auto_45932
      ?auto_45945
      ?auto_45944
      ?auto_45950
      ?auto_45949
    )
    :precondition
    ( and ( OBJ ?auto_45927 ) ( LOCATION ?auto_45928 ) ( TRUCK ?auto_45934 ) ( LOCATION ?auto_45936 ) ( CITY ?auto_45937 ) ( IN-CITY ?auto_45936 ?auto_45937 ) ( IN-CITY ?auto_45928 ?auto_45937 ) ( DIFFERENT ?auto_45928 ?auto_45936 ) ( LOCATION ?auto_45940 ) ( CITY ?auto_45930 ) ( IN-CITY ?auto_45940 ?auto_45930 ) ( IN-CITY ?auto_45936 ?auto_45930 ) ( DIFFERENT ?auto_45936 ?auto_45940 ) ( LOCATION ?auto_45931 ) ( CITY ?auto_45933 ) ( IN-CITY ?auto_45931 ?auto_45933 ) ( IN-CITY ?auto_45940 ?auto_45933 ) ( DIFFERENT ?auto_45940 ?auto_45931 ) ( LOCATION ?auto_45946 ) ( CITY ?auto_45938 ) ( IN-CITY ?auto_45946 ?auto_45938 ) ( IN-CITY ?auto_45931 ?auto_45938 ) ( DIFFERENT ?auto_45931 ?auto_45946 ) ( AIRPLANE ?auto_45941 ) ( AIRPORT ?auto_45935 ) ( AIRPORT ?auto_45946 ) ( DIFFERENT ?auto_45946 ?auto_45935 ) ( LOCATION ?auto_45935 ) ( AIRPORT ?auto_45942 ) ( DIFFERENT ?auto_45935 ?auto_45942 ) ( AIRPORT ?auto_45943 ) ( AT ?auto_45941 ?auto_45943 ) ( DIFFERENT ?auto_45942 ?auto_45943 ) ( TRUCK ?auto_45932 ) ( IN ?auto_45927 ?auto_45932 ) ( LOCATION ?auto_45945 ) ( CITY ?auto_45944 ) ( AT ?auto_45932 ?auto_45945 ) ( IN-CITY ?auto_45945 ?auto_45944 ) ( IN-CITY ?auto_45935 ?auto_45944 ) ( DIFFERENT ?auto_45935 ?auto_45945 ) ( LOCATION ?auto_45950 ) ( CITY ?auto_45949 ) ( AT ?auto_45934 ?auto_45950 ) ( IN-CITY ?auto_45950 ?auto_45949 ) ( IN-CITY ?auto_45946 ?auto_45949 ) ( DIFFERENT ?auto_45946 ?auto_45950 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45934 ?auto_45950 ?auto_45946 ?auto_45949 )
      ( DELIVER-PKG ?auto_45927 ?auto_45928 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45952
      ?auto_45953
    )
    :vars
    (
      ?auto_45960
      ?auto_45962
      ?auto_45963
      ?auto_45965
      ?auto_45956
      ?auto_45957
      ?auto_45959
      ?auto_45972
      ?auto_45964
      ?auto_45966
      ?auto_45961
      ?auto_45967
      ?auto_45968
      ?auto_45958
      ?auto_45971
      ?auto_45969
      ?auto_45973
      ?auto_45970
      ?auto_45975
    )
    :precondition
    ( and ( OBJ ?auto_45952 ) ( LOCATION ?auto_45953 ) ( TRUCK ?auto_45960 ) ( LOCATION ?auto_45962 ) ( CITY ?auto_45963 ) ( IN-CITY ?auto_45962 ?auto_45963 ) ( IN-CITY ?auto_45953 ?auto_45963 ) ( DIFFERENT ?auto_45953 ?auto_45962 ) ( LOCATION ?auto_45965 ) ( CITY ?auto_45956 ) ( IN-CITY ?auto_45965 ?auto_45956 ) ( IN-CITY ?auto_45962 ?auto_45956 ) ( DIFFERENT ?auto_45962 ?auto_45965 ) ( LOCATION ?auto_45957 ) ( CITY ?auto_45959 ) ( IN-CITY ?auto_45957 ?auto_45959 ) ( IN-CITY ?auto_45965 ?auto_45959 ) ( DIFFERENT ?auto_45965 ?auto_45957 ) ( LOCATION ?auto_45972 ) ( CITY ?auto_45964 ) ( IN-CITY ?auto_45972 ?auto_45964 ) ( IN-CITY ?auto_45957 ?auto_45964 ) ( DIFFERENT ?auto_45957 ?auto_45972 ) ( AIRPLANE ?auto_45966 ) ( AIRPORT ?auto_45961 ) ( AIRPORT ?auto_45972 ) ( DIFFERENT ?auto_45972 ?auto_45961 ) ( LOCATION ?auto_45961 ) ( AIRPORT ?auto_45967 ) ( DIFFERENT ?auto_45961 ?auto_45967 ) ( AIRPORT ?auto_45968 ) ( AT ?auto_45966 ?auto_45968 ) ( DIFFERENT ?auto_45967 ?auto_45968 ) ( TRUCK ?auto_45958 ) ( LOCATION ?auto_45971 ) ( CITY ?auto_45969 ) ( AT ?auto_45958 ?auto_45971 ) ( IN-CITY ?auto_45971 ?auto_45969 ) ( IN-CITY ?auto_45961 ?auto_45969 ) ( DIFFERENT ?auto_45961 ?auto_45971 ) ( LOCATION ?auto_45973 ) ( CITY ?auto_45970 ) ( AT ?auto_45960 ?auto_45973 ) ( IN-CITY ?auto_45973 ?auto_45970 ) ( IN-CITY ?auto_45972 ?auto_45970 ) ( DIFFERENT ?auto_45972 ?auto_45973 ) ( LOCATION ?auto_45975 ) ( AT ?auto_45958 ?auto_45975 ) ( AT ?auto_45952 ?auto_45975 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_45952 ?auto_45958 ?auto_45975 )
      ( DELIVER-PKG ?auto_45952 ?auto_45953 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46000
      ?auto_46001
    )
    :vars
    (
      ?auto_46008
      ?auto_46010
      ?auto_46011
      ?auto_46013
      ?auto_46003
      ?auto_46004
      ?auto_46007
      ?auto_46021
      ?auto_46012
      ?auto_46014
      ?auto_46009
      ?auto_46015
      ?auto_46016
      ?auto_46006
      ?auto_46018
      ?auto_46017
      ?auto_46022
      ?auto_46019
      ?auto_46025
      ?auto_46024
    )
    :precondition
    ( and ( OBJ ?auto_46000 ) ( LOCATION ?auto_46001 ) ( TRUCK ?auto_46008 ) ( LOCATION ?auto_46010 ) ( CITY ?auto_46011 ) ( IN-CITY ?auto_46010 ?auto_46011 ) ( IN-CITY ?auto_46001 ?auto_46011 ) ( DIFFERENT ?auto_46001 ?auto_46010 ) ( LOCATION ?auto_46013 ) ( CITY ?auto_46003 ) ( IN-CITY ?auto_46013 ?auto_46003 ) ( IN-CITY ?auto_46010 ?auto_46003 ) ( DIFFERENT ?auto_46010 ?auto_46013 ) ( LOCATION ?auto_46004 ) ( CITY ?auto_46007 ) ( IN-CITY ?auto_46004 ?auto_46007 ) ( IN-CITY ?auto_46013 ?auto_46007 ) ( DIFFERENT ?auto_46013 ?auto_46004 ) ( LOCATION ?auto_46021 ) ( CITY ?auto_46012 ) ( IN-CITY ?auto_46021 ?auto_46012 ) ( IN-CITY ?auto_46004 ?auto_46012 ) ( DIFFERENT ?auto_46004 ?auto_46021 ) ( AIRPLANE ?auto_46014 ) ( AIRPORT ?auto_46009 ) ( AIRPORT ?auto_46021 ) ( DIFFERENT ?auto_46021 ?auto_46009 ) ( LOCATION ?auto_46009 ) ( AIRPORT ?auto_46015 ) ( DIFFERENT ?auto_46009 ?auto_46015 ) ( AIRPORT ?auto_46016 ) ( AT ?auto_46014 ?auto_46016 ) ( DIFFERENT ?auto_46015 ?auto_46016 ) ( TRUCK ?auto_46006 ) ( LOCATION ?auto_46018 ) ( CITY ?auto_46017 ) ( IN-CITY ?auto_46018 ?auto_46017 ) ( IN-CITY ?auto_46009 ?auto_46017 ) ( DIFFERENT ?auto_46009 ?auto_46018 ) ( LOCATION ?auto_46022 ) ( CITY ?auto_46019 ) ( AT ?auto_46008 ?auto_46022 ) ( IN-CITY ?auto_46022 ?auto_46019 ) ( IN-CITY ?auto_46021 ?auto_46019 ) ( DIFFERENT ?auto_46021 ?auto_46022 ) ( AT ?auto_46000 ?auto_46018 ) ( LOCATION ?auto_46025 ) ( CITY ?auto_46024 ) ( AT ?auto_46006 ?auto_46025 ) ( IN-CITY ?auto_46025 ?auto_46024 ) ( IN-CITY ?auto_46018 ?auto_46024 ) ( DIFFERENT ?auto_46018 ?auto_46025 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_46006 ?auto_46025 ?auto_46018 ?auto_46024 )
      ( DELIVER-PKG ?auto_46000 ?auto_46001 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46027
      ?auto_46028
    )
    :vars
    (
      ?auto_46037
      ?auto_46039
      ?auto_46040
      ?auto_46042
      ?auto_46031
      ?auto_46033
      ?auto_46036
      ?auto_46049
      ?auto_46041
      ?auto_46043
      ?auto_46038
      ?auto_46044
      ?auto_46045
      ?auto_46035
      ?auto_46047
      ?auto_46046
      ?auto_46050
      ?auto_46048
      ?auto_46034
      ?auto_46032
      ?auto_46052
    )
    :precondition
    ( and ( OBJ ?auto_46027 ) ( LOCATION ?auto_46028 ) ( TRUCK ?auto_46037 ) ( LOCATION ?auto_46039 ) ( CITY ?auto_46040 ) ( IN-CITY ?auto_46039 ?auto_46040 ) ( IN-CITY ?auto_46028 ?auto_46040 ) ( DIFFERENT ?auto_46028 ?auto_46039 ) ( LOCATION ?auto_46042 ) ( CITY ?auto_46031 ) ( IN-CITY ?auto_46042 ?auto_46031 ) ( IN-CITY ?auto_46039 ?auto_46031 ) ( DIFFERENT ?auto_46039 ?auto_46042 ) ( LOCATION ?auto_46033 ) ( CITY ?auto_46036 ) ( IN-CITY ?auto_46033 ?auto_46036 ) ( IN-CITY ?auto_46042 ?auto_46036 ) ( DIFFERENT ?auto_46042 ?auto_46033 ) ( LOCATION ?auto_46049 ) ( CITY ?auto_46041 ) ( IN-CITY ?auto_46049 ?auto_46041 ) ( IN-CITY ?auto_46033 ?auto_46041 ) ( DIFFERENT ?auto_46033 ?auto_46049 ) ( AIRPLANE ?auto_46043 ) ( AIRPORT ?auto_46038 ) ( AIRPORT ?auto_46049 ) ( DIFFERENT ?auto_46049 ?auto_46038 ) ( LOCATION ?auto_46038 ) ( AIRPORT ?auto_46044 ) ( DIFFERENT ?auto_46038 ?auto_46044 ) ( AIRPORT ?auto_46045 ) ( DIFFERENT ?auto_46044 ?auto_46045 ) ( TRUCK ?auto_46035 ) ( LOCATION ?auto_46047 ) ( CITY ?auto_46046 ) ( IN-CITY ?auto_46047 ?auto_46046 ) ( IN-CITY ?auto_46038 ?auto_46046 ) ( DIFFERENT ?auto_46038 ?auto_46047 ) ( LOCATION ?auto_46050 ) ( CITY ?auto_46048 ) ( AT ?auto_46037 ?auto_46050 ) ( IN-CITY ?auto_46050 ?auto_46048 ) ( IN-CITY ?auto_46049 ?auto_46048 ) ( DIFFERENT ?auto_46049 ?auto_46050 ) ( AT ?auto_46027 ?auto_46047 ) ( LOCATION ?auto_46034 ) ( CITY ?auto_46032 ) ( AT ?auto_46035 ?auto_46034 ) ( IN-CITY ?auto_46034 ?auto_46032 ) ( IN-CITY ?auto_46047 ?auto_46032 ) ( DIFFERENT ?auto_46047 ?auto_46034 ) ( AIRPORT ?auto_46052 ) ( AT ?auto_46043 ?auto_46052 ) ( DIFFERENT ?auto_46045 ?auto_46052 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_46043 ?auto_46052 ?auto_46045 )
      ( DELIVER-PKG ?auto_46027 ?auto_46028 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46054
      ?auto_46055
    )
    :vars
    (
      ?auto_46064
      ?auto_46066
      ?auto_46067
      ?auto_46069
      ?auto_46058
      ?auto_46059
      ?auto_46063
      ?auto_46077
      ?auto_46068
      ?auto_46070
      ?auto_46065
      ?auto_46071
      ?auto_46073
      ?auto_46062
      ?auto_46075
      ?auto_46074
      ?auto_46078
      ?auto_46076
      ?auto_46061
      ?auto_46060
      ?auto_46072
      ?auto_46081
      ?auto_46080
    )
    :precondition
    ( and ( OBJ ?auto_46054 ) ( LOCATION ?auto_46055 ) ( TRUCK ?auto_46064 ) ( LOCATION ?auto_46066 ) ( CITY ?auto_46067 ) ( IN-CITY ?auto_46066 ?auto_46067 ) ( IN-CITY ?auto_46055 ?auto_46067 ) ( DIFFERENT ?auto_46055 ?auto_46066 ) ( LOCATION ?auto_46069 ) ( CITY ?auto_46058 ) ( IN-CITY ?auto_46069 ?auto_46058 ) ( IN-CITY ?auto_46066 ?auto_46058 ) ( DIFFERENT ?auto_46066 ?auto_46069 ) ( LOCATION ?auto_46059 ) ( CITY ?auto_46063 ) ( IN-CITY ?auto_46059 ?auto_46063 ) ( IN-CITY ?auto_46069 ?auto_46063 ) ( DIFFERENT ?auto_46069 ?auto_46059 ) ( LOCATION ?auto_46077 ) ( CITY ?auto_46068 ) ( IN-CITY ?auto_46077 ?auto_46068 ) ( IN-CITY ?auto_46059 ?auto_46068 ) ( DIFFERENT ?auto_46059 ?auto_46077 ) ( AIRPLANE ?auto_46070 ) ( AIRPORT ?auto_46065 ) ( AIRPORT ?auto_46077 ) ( DIFFERENT ?auto_46077 ?auto_46065 ) ( LOCATION ?auto_46065 ) ( AIRPORT ?auto_46071 ) ( DIFFERENT ?auto_46065 ?auto_46071 ) ( AIRPORT ?auto_46073 ) ( DIFFERENT ?auto_46071 ?auto_46073 ) ( TRUCK ?auto_46062 ) ( LOCATION ?auto_46075 ) ( CITY ?auto_46074 ) ( IN-CITY ?auto_46075 ?auto_46074 ) ( IN-CITY ?auto_46065 ?auto_46074 ) ( DIFFERENT ?auto_46065 ?auto_46075 ) ( LOCATION ?auto_46078 ) ( CITY ?auto_46076 ) ( IN-CITY ?auto_46078 ?auto_46076 ) ( IN-CITY ?auto_46077 ?auto_46076 ) ( DIFFERENT ?auto_46077 ?auto_46078 ) ( AT ?auto_46054 ?auto_46075 ) ( LOCATION ?auto_46061 ) ( CITY ?auto_46060 ) ( AT ?auto_46062 ?auto_46061 ) ( IN-CITY ?auto_46061 ?auto_46060 ) ( IN-CITY ?auto_46075 ?auto_46060 ) ( DIFFERENT ?auto_46075 ?auto_46061 ) ( AIRPORT ?auto_46072 ) ( AT ?auto_46070 ?auto_46072 ) ( DIFFERENT ?auto_46073 ?auto_46072 ) ( LOCATION ?auto_46081 ) ( CITY ?auto_46080 ) ( AT ?auto_46064 ?auto_46081 ) ( IN-CITY ?auto_46081 ?auto_46080 ) ( IN-CITY ?auto_46078 ?auto_46080 ) ( DIFFERENT ?auto_46078 ?auto_46081 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_46064 ?auto_46081 ?auto_46078 ?auto_46080 )
      ( DELIVER-PKG ?auto_46054 ?auto_46055 ) )
  )

)

