( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_271
      ?auto_272
    )
    :vars
    (
      ?auto_275
    )
    :precondition
    ( and ( OBJ ?auto_271 ) ( LOCATION ?auto_272 ) ( TRUCK ?auto_275 ) ( AT ?auto_275 ?auto_272 ) ( IN ?auto_271 ?auto_275 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_271 ?auto_275 ?auto_272 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_281
      ?auto_282
    )
    :vars
    (
      ?auto_285
      ?auto_288
      ?auto_287
    )
    :precondition
    ( and ( OBJ ?auto_281 ) ( LOCATION ?auto_282 ) ( TRUCK ?auto_285 ) ( IN ?auto_281 ?auto_285 ) ( LOCATION ?auto_288 ) ( CITY ?auto_287 ) ( AT ?auto_285 ?auto_288 ) ( IN-CITY ?auto_288 ?auto_287 ) ( IN-CITY ?auto_282 ?auto_287 ) ( DIFFERENT ?auto_282 ?auto_288 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_285 ?auto_288 ?auto_282 ?auto_287 )
      ( DELIVER-PKG ?auto_281 ?auto_282 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_297
      ?auto_298
    )
    :vars
    (
      ?auto_300
      ?auto_303
      ?auto_302
      ?auto_306
      ?auto_305
    )
    :precondition
    ( and ( OBJ ?auto_297 ) ( LOCATION ?auto_298 ) ( TRUCK ?auto_300 ) ( IN ?auto_297 ?auto_300 ) ( LOCATION ?auto_303 ) ( CITY ?auto_302 ) ( IN-CITY ?auto_303 ?auto_302 ) ( IN-CITY ?auto_298 ?auto_302 ) ( DIFFERENT ?auto_298 ?auto_303 ) ( LOCATION ?auto_306 ) ( CITY ?auto_305 ) ( AT ?auto_300 ?auto_306 ) ( IN-CITY ?auto_306 ?auto_305 ) ( IN-CITY ?auto_303 ?auto_305 ) ( DIFFERENT ?auto_303 ?auto_306 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_300 ?auto_306 ?auto_303 ?auto_305 )
      ( DELIVER-PKG ?auto_297 ?auto_298 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_335
      ?auto_336
    )
    :vars
    (
      ?auto_339
      ?auto_338
      ?auto_337
      ?auto_343
      ?auto_342
      ?auto_345
    )
    :precondition
    ( and ( OBJ ?auto_335 ) ( LOCATION ?auto_336 ) ( TRUCK ?auto_339 ) ( LOCATION ?auto_338 ) ( CITY ?auto_337 ) ( IN-CITY ?auto_338 ?auto_337 ) ( IN-CITY ?auto_336 ?auto_337 ) ( DIFFERENT ?auto_336 ?auto_338 ) ( LOCATION ?auto_343 ) ( CITY ?auto_342 ) ( AT ?auto_339 ?auto_343 ) ( IN-CITY ?auto_343 ?auto_342 ) ( IN-CITY ?auto_338 ?auto_342 ) ( DIFFERENT ?auto_338 ?auto_343 ) ( LOCATION ?auto_345 ) ( AT ?auto_339 ?auto_345 ) ( AT ?auto_335 ?auto_345 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_335 ?auto_339 ?auto_345 )
      ( DELIVER-PKG ?auto_335 ?auto_336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_686
      ?auto_687
    )
    :vars
    (
      ?auto_692
      ?auto_688
      ?auto_693
      ?auto_691
      ?auto_695
      ?auto_698
      ?auto_697
    )
    :precondition
    ( and ( OBJ ?auto_686 ) ( LOCATION ?auto_687 ) ( TRUCK ?auto_692 ) ( LOCATION ?auto_688 ) ( CITY ?auto_693 ) ( IN-CITY ?auto_688 ?auto_693 ) ( IN-CITY ?auto_687 ?auto_693 ) ( DIFFERENT ?auto_687 ?auto_688 ) ( LOCATION ?auto_691 ) ( CITY ?auto_695 ) ( IN-CITY ?auto_691 ?auto_695 ) ( IN-CITY ?auto_688 ?auto_695 ) ( DIFFERENT ?auto_688 ?auto_691 ) ( AT ?auto_686 ?auto_691 ) ( LOCATION ?auto_698 ) ( CITY ?auto_697 ) ( AT ?auto_692 ?auto_698 ) ( IN-CITY ?auto_698 ?auto_697 ) ( IN-CITY ?auto_691 ?auto_697 ) ( DIFFERENT ?auto_691 ?auto_698 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_692 ?auto_698 ?auto_691 ?auto_697 )
      ( DELIVER-PKG ?auto_686 ?auto_687 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1024
      ?auto_1025
    )
    :vars
    (
      ?auto_1028
    )
    :precondition
    ( and ( OBJ ?auto_1024 ) ( LOCATION ?auto_1025 ) ( AIRPLANE ?auto_1028 ) ( IN ?auto_1024 ?auto_1028 ) ( AT ?auto_1028 ?auto_1025 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_1024 ?auto_1028 ?auto_1025 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1039
      ?auto_1040
    )
    :vars
    (
      ?auto_1043
      ?auto_1045
    )
    :precondition
    ( and ( OBJ ?auto_1039 ) ( LOCATION ?auto_1040 ) ( AIRPLANE ?auto_1043 ) ( IN ?auto_1039 ?auto_1043 ) ( AIRPORT ?auto_1045 ) ( AIRPORT ?auto_1040 ) ( AT ?auto_1043 ?auto_1045 ) ( DIFFERENT ?auto_1040 ?auto_1045 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1043 ?auto_1045 ?auto_1040 )
      ( DELIVER-PKG ?auto_1039 ?auto_1040 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39158
      ?auto_39159
    )
    :vars
    (
      ?auto_39166
      ?auto_39165
      ?auto_39162
      ?auto_39161
      ?auto_39167
      ?auto_39168
      ?auto_39169
      ?auto_39164
      ?auto_39171
    )
    :precondition
    ( and ( OBJ ?auto_39158 ) ( LOCATION ?auto_39159 ) ( AIRPLANE ?auto_39166 ) ( AIRPORT ?auto_39165 ) ( AIRPORT ?auto_39159 ) ( AT ?auto_39166 ?auto_39165 ) ( DIFFERENT ?auto_39159 ?auto_39165 ) ( LOCATION ?auto_39162 ) ( AT ?auto_39166 ?auto_39162 ) ( AIRPLANE ?auto_39161 ) ( AT ?auto_39161 ?auto_39162 ) ( LOCATION ?auto_39167 ) ( AT ?auto_39161 ?auto_39167 ) ( AIRPLANE ?auto_39168 ) ( AT ?auto_39168 ?auto_39167 ) ( LOCATION ?auto_39169 ) ( AT ?auto_39168 ?auto_39169 ) ( AIRPLANE ?auto_39164 ) ( AT ?auto_39164 ?auto_39169 ) ( LOCATION ?auto_39171 ) ( AT ?auto_39158 ?auto_39171 ) ( AT ?auto_39164 ?auto_39171 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_39158 ?auto_39164 ?auto_39171 )
      ( DELIVER-PKG ?auto_39158 ?auto_39159 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23659
      ?auto_23660
    )
    :vars
    (
      ?auto_23661
      ?auto_23662
      ?auto_23663
      ?auto_23666
      ?auto_23664
      ?auto_23670
    )
    :precondition
    ( and ( OBJ ?auto_23659 ) ( LOCATION ?auto_23660 ) ( AIRPLANE ?auto_23661 ) ( AIRPORT ?auto_23662 ) ( AIRPORT ?auto_23660 ) ( AT ?auto_23661 ?auto_23662 ) ( DIFFERENT ?auto_23660 ?auto_23662 ) ( LOCATION ?auto_23663 ) ( AT ?auto_23661 ?auto_23663 ) ( AIRPLANE ?auto_23666 ) ( AT ?auto_23666 ?auto_23663 ) ( LOCATION ?auto_23664 ) ( AT ?auto_23666 ?auto_23664 ) ( TRUCK ?auto_23670 ) ( AT ?auto_23670 ?auto_23664 ) ( IN ?auto_23659 ?auto_23670 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23659 ?auto_23664 )
      ( DELIVER-PKG ?auto_23659 ?auto_23660 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23671
      ?auto_23672
    )
    :vars
    (
      ?auto_23678
      ?auto_23679
      ?auto_23680
      ?auto_23673
      ?auto_23677
      ?auto_23675
      ?auto_23683
      ?auto_23682
    )
    :precondition
    ( and ( OBJ ?auto_23671 ) ( LOCATION ?auto_23672 ) ( AIRPLANE ?auto_23678 ) ( AIRPORT ?auto_23679 ) ( AIRPORT ?auto_23672 ) ( AT ?auto_23678 ?auto_23679 ) ( DIFFERENT ?auto_23672 ?auto_23679 ) ( LOCATION ?auto_23680 ) ( AT ?auto_23678 ?auto_23680 ) ( AIRPLANE ?auto_23673 ) ( AT ?auto_23673 ?auto_23680 ) ( LOCATION ?auto_23677 ) ( AT ?auto_23673 ?auto_23677 ) ( TRUCK ?auto_23675 ) ( IN ?auto_23671 ?auto_23675 ) ( LOCATION ?auto_23683 ) ( CITY ?auto_23682 ) ( AT ?auto_23675 ?auto_23683 ) ( IN-CITY ?auto_23683 ?auto_23682 ) ( IN-CITY ?auto_23677 ?auto_23682 ) ( DIFFERENT ?auto_23677 ?auto_23683 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23675 ?auto_23683 ?auto_23677 ?auto_23682 )
      ( DELIVER-PKG ?auto_23671 ?auto_23672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1122
      ?auto_1123
    )
    :vars
    (
      ?auto_1124
      ?auto_1127
      ?auto_1126
      ?auto_1128
      ?auto_1131
      ?auto_1130
      ?auto_1134
      ?auto_1133
    )
    :precondition
    ( and ( OBJ ?auto_1122 ) ( LOCATION ?auto_1123 ) ( AIRPLANE ?auto_1124 ) ( AIRPORT ?auto_1127 ) ( AIRPORT ?auto_1123 ) ( AT ?auto_1124 ?auto_1127 ) ( DIFFERENT ?auto_1123 ?auto_1127 ) ( LOCATION ?auto_1126 ) ( AT ?auto_1124 ?auto_1126 ) ( TRUCK ?auto_1128 ) ( IN ?auto_1122 ?auto_1128 ) ( LOCATION ?auto_1131 ) ( CITY ?auto_1130 ) ( IN-CITY ?auto_1131 ?auto_1130 ) ( IN-CITY ?auto_1126 ?auto_1130 ) ( DIFFERENT ?auto_1126 ?auto_1131 ) ( LOCATION ?auto_1134 ) ( CITY ?auto_1133 ) ( AT ?auto_1128 ?auto_1134 ) ( IN-CITY ?auto_1134 ?auto_1133 ) ( IN-CITY ?auto_1131 ?auto_1133 ) ( DIFFERENT ?auto_1131 ?auto_1134 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1128 ?auto_1134 ?auto_1131 ?auto_1133 )
      ( DELIVER-PKG ?auto_1122 ?auto_1123 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1172
      ?auto_1173
    )
    :vars
    (
      ?auto_1177
      ?auto_1175
      ?auto_1181
      ?auto_1176
      ?auto_1178
      ?auto_1174
      ?auto_1183
      ?auto_1182
      ?auto_1185
    )
    :precondition
    ( and ( OBJ ?auto_1172 ) ( LOCATION ?auto_1173 ) ( AIRPLANE ?auto_1177 ) ( AIRPORT ?auto_1175 ) ( AIRPORT ?auto_1173 ) ( AT ?auto_1177 ?auto_1175 ) ( DIFFERENT ?auto_1173 ?auto_1175 ) ( LOCATION ?auto_1181 ) ( AT ?auto_1177 ?auto_1181 ) ( TRUCK ?auto_1176 ) ( LOCATION ?auto_1178 ) ( CITY ?auto_1174 ) ( IN-CITY ?auto_1178 ?auto_1174 ) ( IN-CITY ?auto_1181 ?auto_1174 ) ( DIFFERENT ?auto_1181 ?auto_1178 ) ( LOCATION ?auto_1183 ) ( CITY ?auto_1182 ) ( AT ?auto_1176 ?auto_1183 ) ( IN-CITY ?auto_1183 ?auto_1182 ) ( IN-CITY ?auto_1178 ?auto_1182 ) ( DIFFERENT ?auto_1178 ?auto_1183 ) ( LOCATION ?auto_1185 ) ( AT ?auto_1176 ?auto_1185 ) ( AT ?auto_1172 ?auto_1185 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1172 ?auto_1176 ?auto_1185 )
      ( DELIVER-PKG ?auto_1172 ?auto_1173 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1950
      ?auto_1951
    )
    :vars
    (
      ?auto_1961
      ?auto_1960
      ?auto_1953
      ?auto_1954
      ?auto_1958
      ?auto_1957
      ?auto_1959
      ?auto_1955
      ?auto_1965
      ?auto_1964
    )
    :precondition
    ( and ( OBJ ?auto_1950 ) ( LOCATION ?auto_1951 ) ( AIRPLANE ?auto_1961 ) ( AIRPORT ?auto_1960 ) ( AIRPORT ?auto_1951 ) ( AT ?auto_1961 ?auto_1960 ) ( DIFFERENT ?auto_1951 ?auto_1960 ) ( LOCATION ?auto_1953 ) ( AT ?auto_1961 ?auto_1953 ) ( TRUCK ?auto_1954 ) ( LOCATION ?auto_1958 ) ( CITY ?auto_1957 ) ( IN-CITY ?auto_1958 ?auto_1957 ) ( IN-CITY ?auto_1953 ?auto_1957 ) ( DIFFERENT ?auto_1953 ?auto_1958 ) ( LOCATION ?auto_1959 ) ( CITY ?auto_1955 ) ( IN-CITY ?auto_1959 ?auto_1955 ) ( IN-CITY ?auto_1958 ?auto_1955 ) ( DIFFERENT ?auto_1958 ?auto_1959 ) ( AT ?auto_1950 ?auto_1959 ) ( LOCATION ?auto_1965 ) ( CITY ?auto_1964 ) ( AT ?auto_1954 ?auto_1965 ) ( IN-CITY ?auto_1965 ?auto_1964 ) ( IN-CITY ?auto_1959 ?auto_1964 ) ( DIFFERENT ?auto_1959 ?auto_1965 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1954 ?auto_1965 ?auto_1959 ?auto_1964 )
      ( DELIVER-PKG ?auto_1950 ?auto_1951 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1967
      ?auto_1968
    )
    :vars
    (
      ?auto_1971
      ?auto_1979
      ?auto_1970
      ?auto_1974
      ?auto_1973
      ?auto_1975
      ?auto_1972
      ?auto_1978
      ?auto_1977
      ?auto_1982
    )
    :precondition
    ( and ( OBJ ?auto_1967 ) ( LOCATION ?auto_1968 ) ( AIRPLANE ?auto_1971 ) ( AIRPORT ?auto_1979 ) ( AIRPORT ?auto_1968 ) ( DIFFERENT ?auto_1968 ?auto_1979 ) ( LOCATION ?auto_1979 ) ( TRUCK ?auto_1970 ) ( LOCATION ?auto_1974 ) ( CITY ?auto_1973 ) ( IN-CITY ?auto_1974 ?auto_1973 ) ( IN-CITY ?auto_1979 ?auto_1973 ) ( DIFFERENT ?auto_1979 ?auto_1974 ) ( LOCATION ?auto_1975 ) ( CITY ?auto_1972 ) ( IN-CITY ?auto_1975 ?auto_1972 ) ( IN-CITY ?auto_1974 ?auto_1972 ) ( DIFFERENT ?auto_1974 ?auto_1975 ) ( AT ?auto_1967 ?auto_1975 ) ( LOCATION ?auto_1978 ) ( CITY ?auto_1977 ) ( AT ?auto_1970 ?auto_1978 ) ( IN-CITY ?auto_1978 ?auto_1977 ) ( IN-CITY ?auto_1975 ?auto_1977 ) ( DIFFERENT ?auto_1975 ?auto_1978 ) ( AIRPORT ?auto_1982 ) ( AT ?auto_1971 ?auto_1982 ) ( DIFFERENT ?auto_1979 ?auto_1982 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1971 ?auto_1982 ?auto_1979 )
      ( DELIVER-PKG ?auto_1967 ?auto_1968 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2073
      ?auto_2074
    )
    :vars
    (
      ?auto_2077
      ?auto_2079
      ?auto_2078
      ?auto_2081
    )
    :precondition
    ( and ( OBJ ?auto_2073 ) ( LOCATION ?auto_2074 ) ( TRUCK ?auto_2077 ) ( LOCATION ?auto_2079 ) ( CITY ?auto_2078 ) ( AT ?auto_2077 ?auto_2079 ) ( IN-CITY ?auto_2079 ?auto_2078 ) ( IN-CITY ?auto_2074 ?auto_2078 ) ( DIFFERENT ?auto_2074 ?auto_2079 ) ( LOCATION ?auto_2081 ) ( AT ?auto_2077 ?auto_2081 ) ( AT ?auto_2073 ?auto_2081 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2073 ?auto_2077 ?auto_2081 )
      ( DELIVER-PKG ?auto_2073 ?auto_2074 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2099
      ?auto_2100
    )
    :vars
    (
      ?auto_2101
      ?auto_2106
      ?auto_2102
      ?auto_2109
      ?auto_2108
    )
    :precondition
    ( and ( OBJ ?auto_2099 ) ( LOCATION ?auto_2100 ) ( TRUCK ?auto_2101 ) ( LOCATION ?auto_2106 ) ( CITY ?auto_2102 ) ( IN-CITY ?auto_2106 ?auto_2102 ) ( IN-CITY ?auto_2100 ?auto_2102 ) ( DIFFERENT ?auto_2100 ?auto_2106 ) ( AT ?auto_2099 ?auto_2106 ) ( LOCATION ?auto_2109 ) ( CITY ?auto_2108 ) ( AT ?auto_2101 ?auto_2109 ) ( IN-CITY ?auto_2109 ?auto_2108 ) ( IN-CITY ?auto_2106 ?auto_2108 ) ( DIFFERENT ?auto_2106 ?auto_2109 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2101 ?auto_2109 ?auto_2106 ?auto_2108 )
      ( DELIVER-PKG ?auto_2099 ?auto_2100 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2129
      ?auto_2130
    )
    :vars
    (
      ?auto_2135
      ?auto_2133
      ?auto_2132
      ?auto_2137
      ?auto_2136
      ?auto_2140
      ?auto_2139
    )
    :precondition
    ( and ( OBJ ?auto_2129 ) ( LOCATION ?auto_2130 ) ( TRUCK ?auto_2135 ) ( LOCATION ?auto_2133 ) ( CITY ?auto_2132 ) ( IN-CITY ?auto_2133 ?auto_2132 ) ( IN-CITY ?auto_2130 ?auto_2132 ) ( DIFFERENT ?auto_2130 ?auto_2133 ) ( AT ?auto_2129 ?auto_2133 ) ( LOCATION ?auto_2137 ) ( CITY ?auto_2136 ) ( IN-CITY ?auto_2137 ?auto_2136 ) ( IN-CITY ?auto_2133 ?auto_2136 ) ( DIFFERENT ?auto_2133 ?auto_2137 ) ( LOCATION ?auto_2140 ) ( CITY ?auto_2139 ) ( AT ?auto_2135 ?auto_2140 ) ( IN-CITY ?auto_2140 ?auto_2139 ) ( IN-CITY ?auto_2137 ?auto_2139 ) ( DIFFERENT ?auto_2137 ?auto_2140 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2135 ?auto_2140 ?auto_2137 ?auto_2139 )
      ( DELIVER-PKG ?auto_2129 ?auto_2130 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2175
      ?auto_2176
    )
    :vars
    (
      ?auto_2182
      ?auto_2181
      ?auto_2178
      ?auto_2180
      ?auto_2179
      ?auto_2185
      ?auto_2184
      ?auto_2188
      ?auto_2187
    )
    :precondition
    ( and ( OBJ ?auto_2175 ) ( LOCATION ?auto_2176 ) ( TRUCK ?auto_2182 ) ( LOCATION ?auto_2181 ) ( CITY ?auto_2178 ) ( IN-CITY ?auto_2181 ?auto_2178 ) ( IN-CITY ?auto_2176 ?auto_2178 ) ( DIFFERENT ?auto_2176 ?auto_2181 ) ( AT ?auto_2175 ?auto_2181 ) ( LOCATION ?auto_2180 ) ( CITY ?auto_2179 ) ( IN-CITY ?auto_2180 ?auto_2179 ) ( IN-CITY ?auto_2181 ?auto_2179 ) ( DIFFERENT ?auto_2181 ?auto_2180 ) ( LOCATION ?auto_2185 ) ( CITY ?auto_2184 ) ( IN-CITY ?auto_2185 ?auto_2184 ) ( IN-CITY ?auto_2180 ?auto_2184 ) ( DIFFERENT ?auto_2180 ?auto_2185 ) ( LOCATION ?auto_2188 ) ( CITY ?auto_2187 ) ( AT ?auto_2182 ?auto_2188 ) ( IN-CITY ?auto_2188 ?auto_2187 ) ( IN-CITY ?auto_2185 ?auto_2187 ) ( DIFFERENT ?auto_2185 ?auto_2188 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2182 ?auto_2188 ?auto_2185 ?auto_2187 )
      ( DELIVER-PKG ?auto_2175 ?auto_2176 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2203
      ?auto_2204
    )
    :vars
    (
      ?auto_2211
      ?auto_2210
      ?auto_2207
      ?auto_2209
      ?auto_2208
      ?auto_2213
      ?auto_2212
      ?auto_2215
      ?auto_2214
      ?auto_2218
      ?auto_2217
    )
    :precondition
    ( and ( OBJ ?auto_2203 ) ( LOCATION ?auto_2204 ) ( TRUCK ?auto_2211 ) ( LOCATION ?auto_2210 ) ( CITY ?auto_2207 ) ( IN-CITY ?auto_2210 ?auto_2207 ) ( IN-CITY ?auto_2204 ?auto_2207 ) ( DIFFERENT ?auto_2204 ?auto_2210 ) ( AT ?auto_2203 ?auto_2210 ) ( LOCATION ?auto_2209 ) ( CITY ?auto_2208 ) ( IN-CITY ?auto_2209 ?auto_2208 ) ( IN-CITY ?auto_2210 ?auto_2208 ) ( DIFFERENT ?auto_2210 ?auto_2209 ) ( LOCATION ?auto_2213 ) ( CITY ?auto_2212 ) ( IN-CITY ?auto_2213 ?auto_2212 ) ( IN-CITY ?auto_2209 ?auto_2212 ) ( DIFFERENT ?auto_2209 ?auto_2213 ) ( LOCATION ?auto_2215 ) ( CITY ?auto_2214 ) ( IN-CITY ?auto_2215 ?auto_2214 ) ( IN-CITY ?auto_2213 ?auto_2214 ) ( DIFFERENT ?auto_2213 ?auto_2215 ) ( LOCATION ?auto_2218 ) ( CITY ?auto_2217 ) ( AT ?auto_2211 ?auto_2218 ) ( IN-CITY ?auto_2218 ?auto_2217 ) ( IN-CITY ?auto_2215 ?auto_2217 ) ( DIFFERENT ?auto_2215 ?auto_2218 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2211 ?auto_2218 ?auto_2215 ?auto_2217 )
      ( DELIVER-PKG ?auto_2203 ?auto_2204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2362
      ?auto_2363
    )
    :vars
    (
      ?auto_2364
      ?auto_2368
      ?auto_2370
    )
    :precondition
    ( and ( OBJ ?auto_2362 ) ( LOCATION ?auto_2363 ) ( AIRPLANE ?auto_2364 ) ( AIRPORT ?auto_2368 ) ( AIRPORT ?auto_2363 ) ( DIFFERENT ?auto_2363 ?auto_2368 ) ( LOCATION ?auto_2368 ) ( AT ?auto_2362 ?auto_2368 ) ( AIRPORT ?auto_2370 ) ( AT ?auto_2364 ?auto_2370 ) ( DIFFERENT ?auto_2368 ?auto_2370 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2364 ?auto_2370 ?auto_2368 )
      ( DELIVER-PKG ?auto_2362 ?auto_2363 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23685
      ?auto_23686
    )
    :vars
    (
      ?auto_23689
      ?auto_23693
      ?auto_23691
      ?auto_23695
      ?auto_23696
      ?auto_23688
      ?auto_23690
      ?auto_23694
      ?auto_23698
    )
    :precondition
    ( and ( OBJ ?auto_23685 ) ( LOCATION ?auto_23686 ) ( AIRPLANE ?auto_23689 ) ( AIRPORT ?auto_23693 ) ( AIRPORT ?auto_23686 ) ( AT ?auto_23689 ?auto_23693 ) ( DIFFERENT ?auto_23686 ?auto_23693 ) ( LOCATION ?auto_23691 ) ( AT ?auto_23689 ?auto_23691 ) ( AIRPLANE ?auto_23695 ) ( AT ?auto_23695 ?auto_23691 ) ( LOCATION ?auto_23696 ) ( AT ?auto_23695 ?auto_23696 ) ( TRUCK ?auto_23688 ) ( LOCATION ?auto_23690 ) ( CITY ?auto_23694 ) ( AT ?auto_23688 ?auto_23690 ) ( IN-CITY ?auto_23690 ?auto_23694 ) ( IN-CITY ?auto_23696 ?auto_23694 ) ( DIFFERENT ?auto_23696 ?auto_23690 ) ( LOCATION ?auto_23698 ) ( AT ?auto_23688 ?auto_23698 ) ( AT ?auto_23685 ?auto_23698 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23685 ?auto_23688 ?auto_23698 )
      ( DELIVER-PKG ?auto_23685 ?auto_23686 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23713
      ?auto_23714
    )
    :vars
    (
      ?auto_23723
      ?auto_23718
      ?auto_23725
      ?auto_23715
      ?auto_23721
      ?auto_23722
      ?auto_23720
      ?auto_23716
      ?auto_23728
      ?auto_23727
    )
    :precondition
    ( and ( OBJ ?auto_23713 ) ( LOCATION ?auto_23714 ) ( AIRPLANE ?auto_23723 ) ( AIRPORT ?auto_23718 ) ( AIRPORT ?auto_23714 ) ( AT ?auto_23723 ?auto_23718 ) ( DIFFERENT ?auto_23714 ?auto_23718 ) ( LOCATION ?auto_23725 ) ( AT ?auto_23723 ?auto_23725 ) ( AIRPLANE ?auto_23715 ) ( AT ?auto_23715 ?auto_23725 ) ( LOCATION ?auto_23721 ) ( AT ?auto_23715 ?auto_23721 ) ( TRUCK ?auto_23722 ) ( LOCATION ?auto_23720 ) ( CITY ?auto_23716 ) ( IN-CITY ?auto_23720 ?auto_23716 ) ( IN-CITY ?auto_23721 ?auto_23716 ) ( DIFFERENT ?auto_23721 ?auto_23720 ) ( AT ?auto_23713 ?auto_23720 ) ( LOCATION ?auto_23728 ) ( CITY ?auto_23727 ) ( AT ?auto_23722 ?auto_23728 ) ( IN-CITY ?auto_23728 ?auto_23727 ) ( IN-CITY ?auto_23720 ?auto_23727 ) ( DIFFERENT ?auto_23720 ?auto_23728 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23722 ?auto_23728 ?auto_23720 ?auto_23727 )
      ( DELIVER-PKG ?auto_23713 ?auto_23714 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37611
      ?auto_37612
    )
    :vars
    (
      ?auto_37615
      ?auto_37618
      ?auto_37614
      ?auto_37619
      ?auto_37616
      ?auto_37617
      ?auto_37622
      ?auto_37620
      ?auto_37624
      ?auto_37623
      ?auto_37627
      ?auto_37626
    )
    :precondition
    ( and ( OBJ ?auto_37611 ) ( LOCATION ?auto_37612 ) ( AIRPLANE ?auto_37615 ) ( AIRPORT ?auto_37618 ) ( AIRPORT ?auto_37612 ) ( AT ?auto_37615 ?auto_37618 ) ( DIFFERENT ?auto_37612 ?auto_37618 ) ( LOCATION ?auto_37614 ) ( AT ?auto_37615 ?auto_37614 ) ( AIRPLANE ?auto_37619 ) ( AT ?auto_37619 ?auto_37614 ) ( LOCATION ?auto_37616 ) ( AT ?auto_37619 ?auto_37616 ) ( TRUCK ?auto_37617 ) ( LOCATION ?auto_37622 ) ( CITY ?auto_37620 ) ( IN-CITY ?auto_37622 ?auto_37620 ) ( IN-CITY ?auto_37616 ?auto_37620 ) ( DIFFERENT ?auto_37616 ?auto_37622 ) ( AT ?auto_37611 ?auto_37622 ) ( LOCATION ?auto_37624 ) ( CITY ?auto_37623 ) ( IN-CITY ?auto_37624 ?auto_37623 ) ( IN-CITY ?auto_37622 ?auto_37623 ) ( DIFFERENT ?auto_37622 ?auto_37624 ) ( LOCATION ?auto_37627 ) ( CITY ?auto_37626 ) ( AT ?auto_37617 ?auto_37627 ) ( IN-CITY ?auto_37627 ?auto_37626 ) ( IN-CITY ?auto_37624 ?auto_37626 ) ( DIFFERENT ?auto_37624 ?auto_37627 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37617 ?auto_37627 ?auto_37624 ?auto_37626 )
      ( DELIVER-PKG ?auto_37611 ?auto_37612 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2853
      ?auto_2854
    )
    :vars
    (
      ?auto_2859
      ?auto_2860
      ?auto_2857
      ?auto_2856
      ?auto_2861
      ?auto_2858
      ?auto_2863
      ?auto_2862
      ?auto_2866
      ?auto_2865
      ?auto_2869
      ?auto_2868
    )
    :precondition
    ( and ( OBJ ?auto_2853 ) ( LOCATION ?auto_2854 ) ( AIRPLANE ?auto_2859 ) ( AIRPORT ?auto_2860 ) ( AIRPORT ?auto_2854 ) ( AT ?auto_2859 ?auto_2860 ) ( DIFFERENT ?auto_2854 ?auto_2860 ) ( LOCATION ?auto_2857 ) ( AT ?auto_2859 ?auto_2857 ) ( TRUCK ?auto_2856 ) ( LOCATION ?auto_2861 ) ( CITY ?auto_2858 ) ( IN-CITY ?auto_2861 ?auto_2858 ) ( IN-CITY ?auto_2857 ?auto_2858 ) ( DIFFERENT ?auto_2857 ?auto_2861 ) ( AT ?auto_2853 ?auto_2861 ) ( LOCATION ?auto_2863 ) ( CITY ?auto_2862 ) ( IN-CITY ?auto_2863 ?auto_2862 ) ( IN-CITY ?auto_2861 ?auto_2862 ) ( DIFFERENT ?auto_2861 ?auto_2863 ) ( LOCATION ?auto_2866 ) ( CITY ?auto_2865 ) ( IN-CITY ?auto_2866 ?auto_2865 ) ( IN-CITY ?auto_2863 ?auto_2865 ) ( DIFFERENT ?auto_2863 ?auto_2866 ) ( LOCATION ?auto_2869 ) ( CITY ?auto_2868 ) ( AT ?auto_2856 ?auto_2869 ) ( IN-CITY ?auto_2869 ?auto_2868 ) ( IN-CITY ?auto_2866 ?auto_2868 ) ( DIFFERENT ?auto_2866 ?auto_2869 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2856 ?auto_2869 ?auto_2866 ?auto_2868 )
      ( DELIVER-PKG ?auto_2853 ?auto_2854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2887
      ?auto_2888
    )
    :vars
    (
      ?auto_2894
      ?auto_2895
      ?auto_2892
      ?auto_2891
      ?auto_2896
      ?auto_2893
      ?auto_2898
      ?auto_2897
      ?auto_2900
      ?auto_2899
      ?auto_2902
      ?auto_2901
      ?auto_2905
      ?auto_2904
    )
    :precondition
    ( and ( OBJ ?auto_2887 ) ( LOCATION ?auto_2888 ) ( AIRPLANE ?auto_2894 ) ( AIRPORT ?auto_2895 ) ( AIRPORT ?auto_2888 ) ( AT ?auto_2894 ?auto_2895 ) ( DIFFERENT ?auto_2888 ?auto_2895 ) ( LOCATION ?auto_2892 ) ( AT ?auto_2894 ?auto_2892 ) ( TRUCK ?auto_2891 ) ( LOCATION ?auto_2896 ) ( CITY ?auto_2893 ) ( IN-CITY ?auto_2896 ?auto_2893 ) ( IN-CITY ?auto_2892 ?auto_2893 ) ( DIFFERENT ?auto_2892 ?auto_2896 ) ( AT ?auto_2887 ?auto_2896 ) ( LOCATION ?auto_2898 ) ( CITY ?auto_2897 ) ( IN-CITY ?auto_2898 ?auto_2897 ) ( IN-CITY ?auto_2896 ?auto_2897 ) ( DIFFERENT ?auto_2896 ?auto_2898 ) ( LOCATION ?auto_2900 ) ( CITY ?auto_2899 ) ( IN-CITY ?auto_2900 ?auto_2899 ) ( IN-CITY ?auto_2898 ?auto_2899 ) ( DIFFERENT ?auto_2898 ?auto_2900 ) ( LOCATION ?auto_2902 ) ( CITY ?auto_2901 ) ( IN-CITY ?auto_2902 ?auto_2901 ) ( IN-CITY ?auto_2900 ?auto_2901 ) ( DIFFERENT ?auto_2900 ?auto_2902 ) ( LOCATION ?auto_2905 ) ( CITY ?auto_2904 ) ( AT ?auto_2891 ?auto_2905 ) ( IN-CITY ?auto_2905 ?auto_2904 ) ( IN-CITY ?auto_2902 ?auto_2904 ) ( DIFFERENT ?auto_2902 ?auto_2905 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2891 ?auto_2905 ?auto_2902 ?auto_2904 )
      ( DELIVER-PKG ?auto_2887 ?auto_2888 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2979
      ?auto_2980
    )
    :vars
    (
      ?auto_2987
      ?auto_2983
      ?auto_2982
      ?auto_2989
      ?auto_2986
      ?auto_2991
      ?auto_2990
      ?auto_2993
      ?auto_2992
      ?auto_2985
      ?auto_2984
      ?auto_2996
      ?auto_2995
      ?auto_2998
    )
    :precondition
    ( and ( OBJ ?auto_2979 ) ( LOCATION ?auto_2980 ) ( AIRPLANE ?auto_2987 ) ( AIRPORT ?auto_2983 ) ( AIRPORT ?auto_2980 ) ( DIFFERENT ?auto_2980 ?auto_2983 ) ( LOCATION ?auto_2983 ) ( TRUCK ?auto_2982 ) ( LOCATION ?auto_2989 ) ( CITY ?auto_2986 ) ( IN-CITY ?auto_2989 ?auto_2986 ) ( IN-CITY ?auto_2983 ?auto_2986 ) ( DIFFERENT ?auto_2983 ?auto_2989 ) ( AT ?auto_2979 ?auto_2989 ) ( LOCATION ?auto_2991 ) ( CITY ?auto_2990 ) ( IN-CITY ?auto_2991 ?auto_2990 ) ( IN-CITY ?auto_2989 ?auto_2990 ) ( DIFFERENT ?auto_2989 ?auto_2991 ) ( LOCATION ?auto_2993 ) ( CITY ?auto_2992 ) ( IN-CITY ?auto_2993 ?auto_2992 ) ( IN-CITY ?auto_2991 ?auto_2992 ) ( DIFFERENT ?auto_2991 ?auto_2993 ) ( LOCATION ?auto_2985 ) ( CITY ?auto_2984 ) ( IN-CITY ?auto_2985 ?auto_2984 ) ( IN-CITY ?auto_2993 ?auto_2984 ) ( DIFFERENT ?auto_2993 ?auto_2985 ) ( LOCATION ?auto_2996 ) ( CITY ?auto_2995 ) ( AT ?auto_2982 ?auto_2996 ) ( IN-CITY ?auto_2996 ?auto_2995 ) ( IN-CITY ?auto_2985 ?auto_2995 ) ( DIFFERENT ?auto_2985 ?auto_2996 ) ( AIRPORT ?auto_2998 ) ( AT ?auto_2987 ?auto_2998 ) ( DIFFERENT ?auto_2983 ?auto_2998 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2987 ?auto_2998 ?auto_2983 )
      ( DELIVER-PKG ?auto_2979 ?auto_2980 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8057
      ?auto_8058
    )
    :vars
    (
      ?auto_8060
      ?auto_8061
      ?auto_8064
      ?auto_8065
      ?auto_8062
      ?auto_8059
      ?auto_8069
    )
    :precondition
    ( and ( OBJ ?auto_8057 ) ( LOCATION ?auto_8058 ) ( TRUCK ?auto_8060 ) ( LOCATION ?auto_8061 ) ( CITY ?auto_8064 ) ( AT ?auto_8060 ?auto_8061 ) ( IN-CITY ?auto_8061 ?auto_8064 ) ( IN-CITY ?auto_8058 ?auto_8064 ) ( DIFFERENT ?auto_8058 ?auto_8061 ) ( LOCATION ?auto_8065 ) ( AT ?auto_8060 ?auto_8065 ) ( AIRPLANE ?auto_8062 ) ( AT ?auto_8062 ?auto_8065 ) ( LOCATION ?auto_8059 ) ( AT ?auto_8062 ?auto_8059 ) ( AIRPLANE ?auto_8069 ) ( IN ?auto_8057 ?auto_8069 ) ( AT ?auto_8069 ?auto_8059 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8057 ?auto_8059 )
      ( DELIVER-PKG ?auto_8057 ?auto_8058 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3237
      ?auto_3238
    )
    :vars
    (
      ?auto_3244
      ?auto_3239
      ?auto_3241
      ?auto_3240
      ?auto_3243
      ?auto_3247
    )
    :precondition
    ( and ( OBJ ?auto_3237 ) ( LOCATION ?auto_3238 ) ( TRUCK ?auto_3244 ) ( LOCATION ?auto_3239 ) ( CITY ?auto_3241 ) ( AT ?auto_3244 ?auto_3239 ) ( IN-CITY ?auto_3239 ?auto_3241 ) ( IN-CITY ?auto_3238 ?auto_3241 ) ( DIFFERENT ?auto_3238 ?auto_3239 ) ( LOCATION ?auto_3240 ) ( AT ?auto_3244 ?auto_3240 ) ( AIRPLANE ?auto_3243 ) ( IN ?auto_3237 ?auto_3243 ) ( AIRPORT ?auto_3247 ) ( AIRPORT ?auto_3240 ) ( AT ?auto_3243 ?auto_3247 ) ( DIFFERENT ?auto_3240 ?auto_3247 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3243 ?auto_3247 ?auto_3240 )
      ( DELIVER-PKG ?auto_3237 ?auto_3238 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40609
      ?auto_40610
    )
    :vars
    (
      ?auto_40616
      ?auto_40611
      ?auto_40620
      ?auto_40618
      ?auto_40621
      ?auto_40622
      ?auto_40623
      ?auto_40619
      ?auto_40617
      ?auto_40615
      ?auto_40624
      ?auto_40614
      ?auto_40626
    )
    :precondition
    ( and ( OBJ ?auto_40609 ) ( LOCATION ?auto_40610 ) ( TRUCK ?auto_40616 ) ( LOCATION ?auto_40611 ) ( CITY ?auto_40620 ) ( AT ?auto_40616 ?auto_40611 ) ( IN-CITY ?auto_40611 ?auto_40620 ) ( IN-CITY ?auto_40610 ?auto_40620 ) ( DIFFERENT ?auto_40610 ?auto_40611 ) ( LOCATION ?auto_40618 ) ( AT ?auto_40616 ?auto_40618 ) ( AIRPLANE ?auto_40621 ) ( AIRPORT ?auto_40622 ) ( AIRPORT ?auto_40618 ) ( AT ?auto_40621 ?auto_40622 ) ( DIFFERENT ?auto_40618 ?auto_40622 ) ( LOCATION ?auto_40623 ) ( AT ?auto_40621 ?auto_40623 ) ( AIRPLANE ?auto_40619 ) ( AT ?auto_40619 ?auto_40623 ) ( LOCATION ?auto_40617 ) ( AT ?auto_40619 ?auto_40617 ) ( AIRPLANE ?auto_40615 ) ( AT ?auto_40615 ?auto_40617 ) ( LOCATION ?auto_40624 ) ( AT ?auto_40615 ?auto_40624 ) ( AIRPLANE ?auto_40614 ) ( AT ?auto_40614 ?auto_40624 ) ( LOCATION ?auto_40626 ) ( AT ?auto_40609 ?auto_40626 ) ( AT ?auto_40614 ?auto_40626 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_40609 ?auto_40614 ?auto_40626 )
      ( DELIVER-PKG ?auto_40609 ?auto_40610 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23895
      ?auto_23896
    )
    :vars
    (
      ?auto_23905
      ?auto_23900
      ?auto_23904
      ?auto_23907
      ?auto_23903
      ?auto_23897
      ?auto_23902
      ?auto_23906
      ?auto_23899
      ?auto_23910
    )
    :precondition
    ( and ( OBJ ?auto_23895 ) ( LOCATION ?auto_23896 ) ( TRUCK ?auto_23905 ) ( LOCATION ?auto_23900 ) ( CITY ?auto_23904 ) ( AT ?auto_23905 ?auto_23900 ) ( IN-CITY ?auto_23900 ?auto_23904 ) ( IN-CITY ?auto_23896 ?auto_23904 ) ( DIFFERENT ?auto_23896 ?auto_23900 ) ( LOCATION ?auto_23907 ) ( AT ?auto_23905 ?auto_23907 ) ( AIRPLANE ?auto_23903 ) ( AIRPORT ?auto_23897 ) ( AIRPORT ?auto_23907 ) ( AT ?auto_23903 ?auto_23897 ) ( DIFFERENT ?auto_23907 ?auto_23897 ) ( LOCATION ?auto_23902 ) ( AT ?auto_23903 ?auto_23902 ) ( AIRPLANE ?auto_23906 ) ( AT ?auto_23906 ?auto_23902 ) ( LOCATION ?auto_23899 ) ( AT ?auto_23906 ?auto_23899 ) ( TRUCK ?auto_23910 ) ( AT ?auto_23910 ?auto_23899 ) ( IN ?auto_23895 ?auto_23910 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23895 ?auto_23899 )
      ( DELIVER-PKG ?auto_23895 ?auto_23896 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23911
      ?auto_23912
    )
    :vars
    (
      ?auto_23916
      ?auto_23924
      ?auto_23918
      ?auto_23913
      ?auto_23917
      ?auto_23921
      ?auto_23914
      ?auto_23922
      ?auto_23923
      ?auto_23915
      ?auto_23927
      ?auto_23926
    )
    :precondition
    ( and ( OBJ ?auto_23911 ) ( LOCATION ?auto_23912 ) ( TRUCK ?auto_23916 ) ( LOCATION ?auto_23924 ) ( CITY ?auto_23918 ) ( AT ?auto_23916 ?auto_23924 ) ( IN-CITY ?auto_23924 ?auto_23918 ) ( IN-CITY ?auto_23912 ?auto_23918 ) ( DIFFERENT ?auto_23912 ?auto_23924 ) ( LOCATION ?auto_23913 ) ( AT ?auto_23916 ?auto_23913 ) ( AIRPLANE ?auto_23917 ) ( AIRPORT ?auto_23921 ) ( AIRPORT ?auto_23913 ) ( AT ?auto_23917 ?auto_23921 ) ( DIFFERENT ?auto_23913 ?auto_23921 ) ( LOCATION ?auto_23914 ) ( AT ?auto_23917 ?auto_23914 ) ( AIRPLANE ?auto_23922 ) ( AT ?auto_23922 ?auto_23914 ) ( LOCATION ?auto_23923 ) ( AT ?auto_23922 ?auto_23923 ) ( TRUCK ?auto_23915 ) ( IN ?auto_23911 ?auto_23915 ) ( LOCATION ?auto_23927 ) ( CITY ?auto_23926 ) ( AT ?auto_23915 ?auto_23927 ) ( IN-CITY ?auto_23927 ?auto_23926 ) ( IN-CITY ?auto_23923 ?auto_23926 ) ( DIFFERENT ?auto_23923 ?auto_23927 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23915 ?auto_23927 ?auto_23923 ?auto_23926 )
      ( DELIVER-PKG ?auto_23911 ?auto_23912 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23929
      ?auto_23930
    )
    :vars
    (
      ?auto_23936
      ?auto_23942
      ?auto_23938
      ?auto_23932
      ?auto_23937
      ?auto_23939
      ?auto_23931
      ?auto_23940
      ?auto_23941
      ?auto_23935
      ?auto_23944
      ?auto_23943
      ?auto_23946
    )
    :precondition
    ( and ( OBJ ?auto_23929 ) ( LOCATION ?auto_23930 ) ( TRUCK ?auto_23936 ) ( LOCATION ?auto_23942 ) ( CITY ?auto_23938 ) ( AT ?auto_23936 ?auto_23942 ) ( IN-CITY ?auto_23942 ?auto_23938 ) ( IN-CITY ?auto_23930 ?auto_23938 ) ( DIFFERENT ?auto_23930 ?auto_23942 ) ( LOCATION ?auto_23932 ) ( AT ?auto_23936 ?auto_23932 ) ( AIRPLANE ?auto_23937 ) ( AIRPORT ?auto_23939 ) ( AIRPORT ?auto_23932 ) ( AT ?auto_23937 ?auto_23939 ) ( DIFFERENT ?auto_23932 ?auto_23939 ) ( LOCATION ?auto_23931 ) ( AT ?auto_23937 ?auto_23931 ) ( AIRPLANE ?auto_23940 ) ( AT ?auto_23940 ?auto_23931 ) ( LOCATION ?auto_23941 ) ( AT ?auto_23940 ?auto_23941 ) ( TRUCK ?auto_23935 ) ( LOCATION ?auto_23944 ) ( CITY ?auto_23943 ) ( AT ?auto_23935 ?auto_23944 ) ( IN-CITY ?auto_23944 ?auto_23943 ) ( IN-CITY ?auto_23941 ?auto_23943 ) ( DIFFERENT ?auto_23941 ?auto_23944 ) ( LOCATION ?auto_23946 ) ( AT ?auto_23935 ?auto_23946 ) ( AT ?auto_23929 ?auto_23946 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23929 ?auto_23935 ?auto_23946 )
      ( DELIVER-PKG ?auto_23929 ?auto_23930 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23965
      ?auto_23966
    )
    :vars
    (
      ?auto_23980
      ?auto_23979
      ?auto_23969
      ?auto_23978
      ?auto_23977
      ?auto_23968
      ?auto_23967
      ?auto_23972
      ?auto_23976
      ?auto_23981
      ?auto_23975
      ?auto_23973
      ?auto_23984
      ?auto_23983
    )
    :precondition
    ( and ( OBJ ?auto_23965 ) ( LOCATION ?auto_23966 ) ( TRUCK ?auto_23980 ) ( LOCATION ?auto_23979 ) ( CITY ?auto_23969 ) ( AT ?auto_23980 ?auto_23979 ) ( IN-CITY ?auto_23979 ?auto_23969 ) ( IN-CITY ?auto_23966 ?auto_23969 ) ( DIFFERENT ?auto_23966 ?auto_23979 ) ( LOCATION ?auto_23978 ) ( AT ?auto_23980 ?auto_23978 ) ( AIRPLANE ?auto_23977 ) ( AIRPORT ?auto_23968 ) ( AIRPORT ?auto_23978 ) ( AT ?auto_23977 ?auto_23968 ) ( DIFFERENT ?auto_23978 ?auto_23968 ) ( LOCATION ?auto_23967 ) ( AT ?auto_23977 ?auto_23967 ) ( AIRPLANE ?auto_23972 ) ( AT ?auto_23972 ?auto_23967 ) ( LOCATION ?auto_23976 ) ( AT ?auto_23972 ?auto_23976 ) ( TRUCK ?auto_23981 ) ( LOCATION ?auto_23975 ) ( CITY ?auto_23973 ) ( IN-CITY ?auto_23975 ?auto_23973 ) ( IN-CITY ?auto_23976 ?auto_23973 ) ( DIFFERENT ?auto_23976 ?auto_23975 ) ( AT ?auto_23965 ?auto_23975 ) ( LOCATION ?auto_23984 ) ( CITY ?auto_23983 ) ( AT ?auto_23981 ?auto_23984 ) ( IN-CITY ?auto_23984 ?auto_23983 ) ( IN-CITY ?auto_23975 ?auto_23983 ) ( DIFFERENT ?auto_23975 ?auto_23984 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23981 ?auto_23984 ?auto_23975 ?auto_23983 )
      ( DELIVER-PKG ?auto_23965 ?auto_23966 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3467
      ?auto_3468
    )
    :vars
    (
      ?auto_3473
      ?auto_3477
      ?auto_3472
      ?auto_3478
      ?auto_3479
      ?auto_3471
      ?auto_3476
      ?auto_3474
      ?auto_3480
      ?auto_3475
      ?auto_3482
      ?auto_3481
      ?auto_3485
      ?auto_3484
    )
    :precondition
    ( and ( OBJ ?auto_3467 ) ( LOCATION ?auto_3468 ) ( TRUCK ?auto_3473 ) ( LOCATION ?auto_3477 ) ( CITY ?auto_3472 ) ( AT ?auto_3473 ?auto_3477 ) ( IN-CITY ?auto_3477 ?auto_3472 ) ( IN-CITY ?auto_3468 ?auto_3472 ) ( DIFFERENT ?auto_3468 ?auto_3477 ) ( LOCATION ?auto_3478 ) ( AT ?auto_3473 ?auto_3478 ) ( AIRPLANE ?auto_3479 ) ( AIRPORT ?auto_3471 ) ( AIRPORT ?auto_3478 ) ( AT ?auto_3479 ?auto_3471 ) ( DIFFERENT ?auto_3478 ?auto_3471 ) ( LOCATION ?auto_3476 ) ( AT ?auto_3479 ?auto_3476 ) ( TRUCK ?auto_3474 ) ( LOCATION ?auto_3480 ) ( CITY ?auto_3475 ) ( IN-CITY ?auto_3480 ?auto_3475 ) ( IN-CITY ?auto_3476 ?auto_3475 ) ( DIFFERENT ?auto_3476 ?auto_3480 ) ( AT ?auto_3467 ?auto_3480 ) ( LOCATION ?auto_3482 ) ( CITY ?auto_3481 ) ( IN-CITY ?auto_3482 ?auto_3481 ) ( IN-CITY ?auto_3480 ?auto_3481 ) ( DIFFERENT ?auto_3480 ?auto_3482 ) ( LOCATION ?auto_3485 ) ( CITY ?auto_3484 ) ( AT ?auto_3474 ?auto_3485 ) ( IN-CITY ?auto_3485 ?auto_3484 ) ( IN-CITY ?auto_3482 ?auto_3484 ) ( DIFFERENT ?auto_3482 ?auto_3485 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3474 ?auto_3485 ?auto_3482 ?auto_3484 )
      ( DELIVER-PKG ?auto_3467 ?auto_3468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3541
      ?auto_3542
    )
    :vars
    (
      ?auto_3544
      ?auto_3548
      ?auto_3543
      ?auto_3549
      ?auto_3550
      ?auto_3555
      ?auto_3547
      ?auto_3545
      ?auto_3552
      ?auto_3546
      ?auto_3554
      ?auto_3553
      ?auto_3558
      ?auto_3551
      ?auto_3561
      ?auto_3560
    )
    :precondition
    ( and ( OBJ ?auto_3541 ) ( LOCATION ?auto_3542 ) ( TRUCK ?auto_3544 ) ( LOCATION ?auto_3548 ) ( CITY ?auto_3543 ) ( AT ?auto_3544 ?auto_3548 ) ( IN-CITY ?auto_3548 ?auto_3543 ) ( IN-CITY ?auto_3542 ?auto_3543 ) ( DIFFERENT ?auto_3542 ?auto_3548 ) ( LOCATION ?auto_3549 ) ( AT ?auto_3544 ?auto_3549 ) ( AIRPLANE ?auto_3550 ) ( AIRPORT ?auto_3555 ) ( AIRPORT ?auto_3549 ) ( AT ?auto_3550 ?auto_3555 ) ( DIFFERENT ?auto_3549 ?auto_3555 ) ( LOCATION ?auto_3547 ) ( AT ?auto_3550 ?auto_3547 ) ( TRUCK ?auto_3545 ) ( LOCATION ?auto_3552 ) ( CITY ?auto_3546 ) ( IN-CITY ?auto_3552 ?auto_3546 ) ( IN-CITY ?auto_3547 ?auto_3546 ) ( DIFFERENT ?auto_3547 ?auto_3552 ) ( AT ?auto_3541 ?auto_3552 ) ( LOCATION ?auto_3554 ) ( CITY ?auto_3553 ) ( IN-CITY ?auto_3554 ?auto_3553 ) ( IN-CITY ?auto_3552 ?auto_3553 ) ( DIFFERENT ?auto_3552 ?auto_3554 ) ( LOCATION ?auto_3558 ) ( CITY ?auto_3551 ) ( IN-CITY ?auto_3558 ?auto_3551 ) ( IN-CITY ?auto_3554 ?auto_3551 ) ( DIFFERENT ?auto_3554 ?auto_3558 ) ( LOCATION ?auto_3561 ) ( CITY ?auto_3560 ) ( AT ?auto_3545 ?auto_3561 ) ( IN-CITY ?auto_3561 ?auto_3560 ) ( IN-CITY ?auto_3558 ?auto_3560 ) ( DIFFERENT ?auto_3558 ?auto_3561 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3545 ?auto_3561 ?auto_3558 ?auto_3560 )
      ( DELIVER-PKG ?auto_3541 ?auto_3542 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3583
      ?auto_3584
    )
    :vars
    (
      ?auto_3587
      ?auto_3592
      ?auto_3586
      ?auto_3593
      ?auto_3594
      ?auto_3599
      ?auto_3591
      ?auto_3588
      ?auto_3596
      ?auto_3589
      ?auto_3598
      ?auto_3597
      ?auto_3600
      ?auto_3595
      ?auto_3602
      ?auto_3601
      ?auto_3605
      ?auto_3604
    )
    :precondition
    ( and ( OBJ ?auto_3583 ) ( LOCATION ?auto_3584 ) ( TRUCK ?auto_3587 ) ( LOCATION ?auto_3592 ) ( CITY ?auto_3586 ) ( AT ?auto_3587 ?auto_3592 ) ( IN-CITY ?auto_3592 ?auto_3586 ) ( IN-CITY ?auto_3584 ?auto_3586 ) ( DIFFERENT ?auto_3584 ?auto_3592 ) ( LOCATION ?auto_3593 ) ( AT ?auto_3587 ?auto_3593 ) ( AIRPLANE ?auto_3594 ) ( AIRPORT ?auto_3599 ) ( AIRPORT ?auto_3593 ) ( AT ?auto_3594 ?auto_3599 ) ( DIFFERENT ?auto_3593 ?auto_3599 ) ( LOCATION ?auto_3591 ) ( AT ?auto_3594 ?auto_3591 ) ( TRUCK ?auto_3588 ) ( LOCATION ?auto_3596 ) ( CITY ?auto_3589 ) ( IN-CITY ?auto_3596 ?auto_3589 ) ( IN-CITY ?auto_3591 ?auto_3589 ) ( DIFFERENT ?auto_3591 ?auto_3596 ) ( AT ?auto_3583 ?auto_3596 ) ( LOCATION ?auto_3598 ) ( CITY ?auto_3597 ) ( IN-CITY ?auto_3598 ?auto_3597 ) ( IN-CITY ?auto_3596 ?auto_3597 ) ( DIFFERENT ?auto_3596 ?auto_3598 ) ( LOCATION ?auto_3600 ) ( CITY ?auto_3595 ) ( IN-CITY ?auto_3600 ?auto_3595 ) ( IN-CITY ?auto_3598 ?auto_3595 ) ( DIFFERENT ?auto_3598 ?auto_3600 ) ( LOCATION ?auto_3602 ) ( CITY ?auto_3601 ) ( IN-CITY ?auto_3602 ?auto_3601 ) ( IN-CITY ?auto_3600 ?auto_3601 ) ( DIFFERENT ?auto_3600 ?auto_3602 ) ( LOCATION ?auto_3605 ) ( CITY ?auto_3604 ) ( AT ?auto_3588 ?auto_3605 ) ( IN-CITY ?auto_3605 ?auto_3604 ) ( IN-CITY ?auto_3602 ?auto_3604 ) ( DIFFERENT ?auto_3602 ?auto_3605 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3588 ?auto_3605 ?auto_3602 ?auto_3604 )
      ( DELIVER-PKG ?auto_3583 ?auto_3584 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3651
      ?auto_3652
    )
    :vars
    (
      ?auto_3653
      ?auto_3660
      ?auto_3654
      ?auto_3661
      ?auto_3666
      ?auto_3656
      ?auto_3658
      ?auto_3663
      ?auto_3659
      ?auto_3665
      ?auto_3664
      ?auto_3667
      ?auto_3662
      ?auto_3669
      ?auto_3668
      ?auto_3672
      ?auto_3655
      ?auto_3675
      ?auto_3674
    )
    :precondition
    ( and ( OBJ ?auto_3651 ) ( LOCATION ?auto_3652 ) ( TRUCK ?auto_3653 ) ( LOCATION ?auto_3660 ) ( CITY ?auto_3654 ) ( IN-CITY ?auto_3660 ?auto_3654 ) ( IN-CITY ?auto_3652 ?auto_3654 ) ( DIFFERENT ?auto_3652 ?auto_3660 ) ( AIRPLANE ?auto_3661 ) ( AIRPORT ?auto_3666 ) ( AIRPORT ?auto_3660 ) ( AT ?auto_3661 ?auto_3666 ) ( DIFFERENT ?auto_3660 ?auto_3666 ) ( LOCATION ?auto_3656 ) ( AT ?auto_3661 ?auto_3656 ) ( TRUCK ?auto_3658 ) ( LOCATION ?auto_3663 ) ( CITY ?auto_3659 ) ( IN-CITY ?auto_3663 ?auto_3659 ) ( IN-CITY ?auto_3656 ?auto_3659 ) ( DIFFERENT ?auto_3656 ?auto_3663 ) ( AT ?auto_3651 ?auto_3663 ) ( LOCATION ?auto_3665 ) ( CITY ?auto_3664 ) ( IN-CITY ?auto_3665 ?auto_3664 ) ( IN-CITY ?auto_3663 ?auto_3664 ) ( DIFFERENT ?auto_3663 ?auto_3665 ) ( LOCATION ?auto_3667 ) ( CITY ?auto_3662 ) ( IN-CITY ?auto_3667 ?auto_3662 ) ( IN-CITY ?auto_3665 ?auto_3662 ) ( DIFFERENT ?auto_3665 ?auto_3667 ) ( LOCATION ?auto_3669 ) ( CITY ?auto_3668 ) ( IN-CITY ?auto_3669 ?auto_3668 ) ( IN-CITY ?auto_3667 ?auto_3668 ) ( DIFFERENT ?auto_3667 ?auto_3669 ) ( LOCATION ?auto_3672 ) ( CITY ?auto_3655 ) ( AT ?auto_3658 ?auto_3672 ) ( IN-CITY ?auto_3672 ?auto_3655 ) ( IN-CITY ?auto_3669 ?auto_3655 ) ( DIFFERENT ?auto_3669 ?auto_3672 ) ( LOCATION ?auto_3675 ) ( CITY ?auto_3674 ) ( AT ?auto_3653 ?auto_3675 ) ( IN-CITY ?auto_3675 ?auto_3674 ) ( IN-CITY ?auto_3660 ?auto_3674 ) ( DIFFERENT ?auto_3660 ?auto_3675 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3653 ?auto_3675 ?auto_3660 ?auto_3674 )
      ( DELIVER-PKG ?auto_3651 ?auto_3652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3700
      ?auto_3701
    )
    :vars
    (
      ?auto_3702
      ?auto_3719
      ?auto_3705
      ?auto_3720
      ?auto_3711
      ?auto_3713
      ?auto_3715
      ?auto_3718
      ?auto_3717
      ?auto_3716
      ?auto_3707
      ?auto_3714
      ?auto_3709
      ?auto_3708
      ?auto_3722
      ?auto_3710
      ?auto_3703
      ?auto_3704
      ?auto_3724
    )
    :precondition
    ( and ( OBJ ?auto_3700 ) ( LOCATION ?auto_3701 ) ( TRUCK ?auto_3702 ) ( LOCATION ?auto_3719 ) ( CITY ?auto_3705 ) ( IN-CITY ?auto_3719 ?auto_3705 ) ( IN-CITY ?auto_3701 ?auto_3705 ) ( DIFFERENT ?auto_3701 ?auto_3719 ) ( AIRPLANE ?auto_3720 ) ( AIRPORT ?auto_3711 ) ( AIRPORT ?auto_3719 ) ( DIFFERENT ?auto_3719 ?auto_3711 ) ( LOCATION ?auto_3711 ) ( TRUCK ?auto_3713 ) ( LOCATION ?auto_3715 ) ( CITY ?auto_3718 ) ( IN-CITY ?auto_3715 ?auto_3718 ) ( IN-CITY ?auto_3711 ?auto_3718 ) ( DIFFERENT ?auto_3711 ?auto_3715 ) ( AT ?auto_3700 ?auto_3715 ) ( LOCATION ?auto_3717 ) ( CITY ?auto_3716 ) ( IN-CITY ?auto_3717 ?auto_3716 ) ( IN-CITY ?auto_3715 ?auto_3716 ) ( DIFFERENT ?auto_3715 ?auto_3717 ) ( LOCATION ?auto_3707 ) ( CITY ?auto_3714 ) ( IN-CITY ?auto_3707 ?auto_3714 ) ( IN-CITY ?auto_3717 ?auto_3714 ) ( DIFFERENT ?auto_3717 ?auto_3707 ) ( LOCATION ?auto_3709 ) ( CITY ?auto_3708 ) ( IN-CITY ?auto_3709 ?auto_3708 ) ( IN-CITY ?auto_3707 ?auto_3708 ) ( DIFFERENT ?auto_3707 ?auto_3709 ) ( LOCATION ?auto_3722 ) ( CITY ?auto_3710 ) ( AT ?auto_3713 ?auto_3722 ) ( IN-CITY ?auto_3722 ?auto_3710 ) ( IN-CITY ?auto_3709 ?auto_3710 ) ( DIFFERENT ?auto_3709 ?auto_3722 ) ( LOCATION ?auto_3703 ) ( CITY ?auto_3704 ) ( AT ?auto_3702 ?auto_3703 ) ( IN-CITY ?auto_3703 ?auto_3704 ) ( IN-CITY ?auto_3719 ?auto_3704 ) ( DIFFERENT ?auto_3719 ?auto_3703 ) ( AIRPORT ?auto_3724 ) ( AT ?auto_3720 ?auto_3724 ) ( DIFFERENT ?auto_3711 ?auto_3724 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3720 ?auto_3724 ?auto_3711 )
      ( DELIVER-PKG ?auto_3700 ?auto_3701 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4723
      ?auto_4724
    )
    :vars
    (
      ?auto_4730
      ?auto_4733
      ?auto_4725
      ?auto_4729
      ?auto_4728
      ?auto_4732
      ?auto_4731
      ?auto_4736
    )
    :precondition
    ( and ( OBJ ?auto_4723 ) ( LOCATION ?auto_4724 ) ( TRUCK ?auto_4730 ) ( LOCATION ?auto_4733 ) ( CITY ?auto_4725 ) ( IN-CITY ?auto_4733 ?auto_4725 ) ( IN-CITY ?auto_4724 ?auto_4725 ) ( DIFFERENT ?auto_4724 ?auto_4733 ) ( LOCATION ?auto_4729 ) ( CITY ?auto_4728 ) ( IN-CITY ?auto_4729 ?auto_4728 ) ( IN-CITY ?auto_4733 ?auto_4728 ) ( DIFFERENT ?auto_4733 ?auto_4729 ) ( LOCATION ?auto_4732 ) ( CITY ?auto_4731 ) ( AT ?auto_4730 ?auto_4732 ) ( IN-CITY ?auto_4732 ?auto_4731 ) ( IN-CITY ?auto_4729 ?auto_4731 ) ( DIFFERENT ?auto_4729 ?auto_4732 ) ( AIRPLANE ?auto_4736 ) ( IN ?auto_4723 ?auto_4736 ) ( AT ?auto_4736 ?auto_4733 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4723 ?auto_4733 )
      ( DELIVER-PKG ?auto_4723 ?auto_4724 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4761
      ?auto_4762
    )
    :vars
    (
      ?auto_4768
      ?auto_4771
      ?auto_4765
      ?auto_4767
      ?auto_4766
      ?auto_4770
      ?auto_4769
      ?auto_4772
      ?auto_4774
    )
    :precondition
    ( and ( OBJ ?auto_4761 ) ( LOCATION ?auto_4762 ) ( TRUCK ?auto_4768 ) ( LOCATION ?auto_4771 ) ( CITY ?auto_4765 ) ( IN-CITY ?auto_4771 ?auto_4765 ) ( IN-CITY ?auto_4762 ?auto_4765 ) ( DIFFERENT ?auto_4762 ?auto_4771 ) ( LOCATION ?auto_4767 ) ( CITY ?auto_4766 ) ( IN-CITY ?auto_4767 ?auto_4766 ) ( IN-CITY ?auto_4771 ?auto_4766 ) ( DIFFERENT ?auto_4771 ?auto_4767 ) ( LOCATION ?auto_4770 ) ( CITY ?auto_4769 ) ( AT ?auto_4768 ?auto_4770 ) ( IN-CITY ?auto_4770 ?auto_4769 ) ( IN-CITY ?auto_4767 ?auto_4769 ) ( DIFFERENT ?auto_4767 ?auto_4770 ) ( AIRPLANE ?auto_4772 ) ( IN ?auto_4761 ?auto_4772 ) ( AIRPORT ?auto_4774 ) ( AIRPORT ?auto_4771 ) ( AT ?auto_4772 ?auto_4774 ) ( DIFFERENT ?auto_4771 ?auto_4774 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4772 ?auto_4774 ?auto_4771 )
      ( DELIVER-PKG ?auto_4761 ?auto_4762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4802
      ?auto_4803
    )
    :vars
    (
      ?auto_4807
      ?auto_4811
      ?auto_4804
      ?auto_4806
      ?auto_4805
      ?auto_4810
      ?auto_4809
      ?auto_4812
      ?auto_4814
      ?auto_4816
    )
    :precondition
    ( and ( OBJ ?auto_4802 ) ( LOCATION ?auto_4803 ) ( TRUCK ?auto_4807 ) ( LOCATION ?auto_4811 ) ( CITY ?auto_4804 ) ( IN-CITY ?auto_4811 ?auto_4804 ) ( IN-CITY ?auto_4803 ?auto_4804 ) ( DIFFERENT ?auto_4803 ?auto_4811 ) ( LOCATION ?auto_4806 ) ( CITY ?auto_4805 ) ( IN-CITY ?auto_4806 ?auto_4805 ) ( IN-CITY ?auto_4811 ?auto_4805 ) ( DIFFERENT ?auto_4811 ?auto_4806 ) ( LOCATION ?auto_4810 ) ( CITY ?auto_4809 ) ( AT ?auto_4807 ?auto_4810 ) ( IN-CITY ?auto_4810 ?auto_4809 ) ( IN-CITY ?auto_4806 ?auto_4809 ) ( DIFFERENT ?auto_4806 ?auto_4810 ) ( AIRPLANE ?auto_4812 ) ( AIRPORT ?auto_4814 ) ( AIRPORT ?auto_4811 ) ( AT ?auto_4812 ?auto_4814 ) ( DIFFERENT ?auto_4811 ?auto_4814 ) ( LOCATION ?auto_4816 ) ( AT ?auto_4802 ?auto_4816 ) ( AT ?auto_4812 ?auto_4816 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4802 ?auto_4812 ?auto_4816 )
      ( DELIVER-PKG ?auto_4802 ?auto_4803 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4846
      ?auto_4847
    )
    :vars
    (
      ?auto_4848
      ?auto_4851
      ?auto_4858
      ?auto_4854
      ?auto_4853
      ?auto_4850
      ?auto_4849
      ?auto_4855
      ?auto_4856
      ?auto_4859
      ?auto_4862
    )
    :precondition
    ( and ( OBJ ?auto_4846 ) ( LOCATION ?auto_4847 ) ( TRUCK ?auto_4848 ) ( LOCATION ?auto_4851 ) ( CITY ?auto_4858 ) ( IN-CITY ?auto_4851 ?auto_4858 ) ( IN-CITY ?auto_4847 ?auto_4858 ) ( DIFFERENT ?auto_4847 ?auto_4851 ) ( LOCATION ?auto_4854 ) ( CITY ?auto_4853 ) ( IN-CITY ?auto_4854 ?auto_4853 ) ( IN-CITY ?auto_4851 ?auto_4853 ) ( DIFFERENT ?auto_4851 ?auto_4854 ) ( LOCATION ?auto_4850 ) ( CITY ?auto_4849 ) ( AT ?auto_4848 ?auto_4850 ) ( IN-CITY ?auto_4850 ?auto_4849 ) ( IN-CITY ?auto_4854 ?auto_4849 ) ( DIFFERENT ?auto_4854 ?auto_4850 ) ( AIRPLANE ?auto_4855 ) ( AIRPORT ?auto_4856 ) ( AIRPORT ?auto_4851 ) ( AT ?auto_4855 ?auto_4856 ) ( DIFFERENT ?auto_4851 ?auto_4856 ) ( LOCATION ?auto_4859 ) ( AT ?auto_4855 ?auto_4859 ) ( TRUCK ?auto_4862 ) ( AT ?auto_4862 ?auto_4859 ) ( IN ?auto_4846 ?auto_4862 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4846 ?auto_4859 )
      ( DELIVER-PKG ?auto_4846 ?auto_4847 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4878
      ?auto_4879
    )
    :vars
    (
      ?auto_4891
      ?auto_4888
      ?auto_4883
      ?auto_4890
      ?auto_4889
      ?auto_4887
      ?auto_4886
      ?auto_4881
      ?auto_4882
      ?auto_4884
      ?auto_4892
      ?auto_4895
      ?auto_4894
    )
    :precondition
    ( and ( OBJ ?auto_4878 ) ( LOCATION ?auto_4879 ) ( TRUCK ?auto_4891 ) ( LOCATION ?auto_4888 ) ( CITY ?auto_4883 ) ( IN-CITY ?auto_4888 ?auto_4883 ) ( IN-CITY ?auto_4879 ?auto_4883 ) ( DIFFERENT ?auto_4879 ?auto_4888 ) ( LOCATION ?auto_4890 ) ( CITY ?auto_4889 ) ( IN-CITY ?auto_4890 ?auto_4889 ) ( IN-CITY ?auto_4888 ?auto_4889 ) ( DIFFERENT ?auto_4888 ?auto_4890 ) ( LOCATION ?auto_4887 ) ( CITY ?auto_4886 ) ( AT ?auto_4891 ?auto_4887 ) ( IN-CITY ?auto_4887 ?auto_4886 ) ( IN-CITY ?auto_4890 ?auto_4886 ) ( DIFFERENT ?auto_4890 ?auto_4887 ) ( AIRPLANE ?auto_4881 ) ( AIRPORT ?auto_4882 ) ( AIRPORT ?auto_4888 ) ( AT ?auto_4881 ?auto_4882 ) ( DIFFERENT ?auto_4888 ?auto_4882 ) ( LOCATION ?auto_4884 ) ( AT ?auto_4881 ?auto_4884 ) ( TRUCK ?auto_4892 ) ( IN ?auto_4878 ?auto_4892 ) ( LOCATION ?auto_4895 ) ( CITY ?auto_4894 ) ( AT ?auto_4892 ?auto_4895 ) ( IN-CITY ?auto_4895 ?auto_4894 ) ( IN-CITY ?auto_4884 ?auto_4894 ) ( DIFFERENT ?auto_4884 ?auto_4895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4892 ?auto_4895 ?auto_4884 ?auto_4894 )
      ( DELIVER-PKG ?auto_4878 ?auto_4879 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4914
      ?auto_4915
    )
    :vars
    (
      ?auto_4925
      ?auto_4922
      ?auto_4918
      ?auto_4924
      ?auto_4923
      ?auto_4921
      ?auto_4920
      ?auto_4927
      ?auto_4916
      ?auto_4919
      ?auto_4926
      ?auto_4930
      ?auto_4929
      ?auto_4933
      ?auto_4932
    )
    :precondition
    ( and ( OBJ ?auto_4914 ) ( LOCATION ?auto_4915 ) ( TRUCK ?auto_4925 ) ( LOCATION ?auto_4922 ) ( CITY ?auto_4918 ) ( IN-CITY ?auto_4922 ?auto_4918 ) ( IN-CITY ?auto_4915 ?auto_4918 ) ( DIFFERENT ?auto_4915 ?auto_4922 ) ( LOCATION ?auto_4924 ) ( CITY ?auto_4923 ) ( IN-CITY ?auto_4924 ?auto_4923 ) ( IN-CITY ?auto_4922 ?auto_4923 ) ( DIFFERENT ?auto_4922 ?auto_4924 ) ( LOCATION ?auto_4921 ) ( CITY ?auto_4920 ) ( AT ?auto_4925 ?auto_4921 ) ( IN-CITY ?auto_4921 ?auto_4920 ) ( IN-CITY ?auto_4924 ?auto_4920 ) ( DIFFERENT ?auto_4924 ?auto_4921 ) ( AIRPLANE ?auto_4927 ) ( AIRPORT ?auto_4916 ) ( AIRPORT ?auto_4922 ) ( AT ?auto_4927 ?auto_4916 ) ( DIFFERENT ?auto_4922 ?auto_4916 ) ( LOCATION ?auto_4919 ) ( AT ?auto_4927 ?auto_4919 ) ( TRUCK ?auto_4926 ) ( IN ?auto_4914 ?auto_4926 ) ( LOCATION ?auto_4930 ) ( CITY ?auto_4929 ) ( IN-CITY ?auto_4930 ?auto_4929 ) ( IN-CITY ?auto_4919 ?auto_4929 ) ( DIFFERENT ?auto_4919 ?auto_4930 ) ( LOCATION ?auto_4933 ) ( CITY ?auto_4932 ) ( AT ?auto_4926 ?auto_4933 ) ( IN-CITY ?auto_4933 ?auto_4932 ) ( IN-CITY ?auto_4930 ?auto_4932 ) ( DIFFERENT ?auto_4930 ?auto_4933 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4926 ?auto_4933 ?auto_4930 ?auto_4932 )
      ( DELIVER-PKG ?auto_4914 ?auto_4915 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4973
      ?auto_4974
    )
    :vars
    (
      ?auto_4983
      ?auto_4977
      ?auto_4975
      ?auto_4979
      ?auto_4978
      ?auto_4982
      ?auto_4981
      ?auto_4986
      ?auto_4989
      ?auto_4976
      ?auto_4984
      ?auto_4988
      ?auto_4987
      ?auto_4991
      ?auto_4985
      ?auto_4994
      ?auto_4993
    )
    :precondition
    ( and ( OBJ ?auto_4973 ) ( LOCATION ?auto_4974 ) ( TRUCK ?auto_4983 ) ( LOCATION ?auto_4977 ) ( CITY ?auto_4975 ) ( IN-CITY ?auto_4977 ?auto_4975 ) ( IN-CITY ?auto_4974 ?auto_4975 ) ( DIFFERENT ?auto_4974 ?auto_4977 ) ( LOCATION ?auto_4979 ) ( CITY ?auto_4978 ) ( IN-CITY ?auto_4979 ?auto_4978 ) ( IN-CITY ?auto_4977 ?auto_4978 ) ( DIFFERENT ?auto_4977 ?auto_4979 ) ( LOCATION ?auto_4982 ) ( CITY ?auto_4981 ) ( IN-CITY ?auto_4982 ?auto_4981 ) ( IN-CITY ?auto_4979 ?auto_4981 ) ( DIFFERENT ?auto_4979 ?auto_4982 ) ( AIRPLANE ?auto_4986 ) ( AIRPORT ?auto_4989 ) ( AIRPORT ?auto_4977 ) ( AT ?auto_4986 ?auto_4989 ) ( DIFFERENT ?auto_4977 ?auto_4989 ) ( LOCATION ?auto_4976 ) ( AT ?auto_4986 ?auto_4976 ) ( TRUCK ?auto_4984 ) ( IN ?auto_4973 ?auto_4984 ) ( LOCATION ?auto_4988 ) ( CITY ?auto_4987 ) ( IN-CITY ?auto_4988 ?auto_4987 ) ( IN-CITY ?auto_4976 ?auto_4987 ) ( DIFFERENT ?auto_4976 ?auto_4988 ) ( LOCATION ?auto_4991 ) ( CITY ?auto_4985 ) ( AT ?auto_4984 ?auto_4991 ) ( IN-CITY ?auto_4991 ?auto_4985 ) ( IN-CITY ?auto_4988 ?auto_4985 ) ( DIFFERENT ?auto_4988 ?auto_4991 ) ( LOCATION ?auto_4994 ) ( CITY ?auto_4993 ) ( AT ?auto_4983 ?auto_4994 ) ( IN-CITY ?auto_4994 ?auto_4993 ) ( IN-CITY ?auto_4982 ?auto_4993 ) ( DIFFERENT ?auto_4982 ?auto_4994 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4983 ?auto_4994 ?auto_4982 ?auto_4993 )
      ( DELIVER-PKG ?auto_4973 ?auto_4974 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4996
      ?auto_4997
    )
    :vars
    (
      ?auto_5011
      ?auto_5005
      ?auto_5003
      ?auto_5008
      ?auto_5006
      ?auto_5010
      ?auto_5009
      ?auto_4999
      ?auto_5002
      ?auto_5004
      ?auto_5012
      ?auto_5001
      ?auto_5000
      ?auto_5015
      ?auto_5013
      ?auto_5016
      ?auto_5007
      ?auto_5018
    )
    :precondition
    ( and ( OBJ ?auto_4996 ) ( LOCATION ?auto_4997 ) ( TRUCK ?auto_5011 ) ( LOCATION ?auto_5005 ) ( CITY ?auto_5003 ) ( IN-CITY ?auto_5005 ?auto_5003 ) ( IN-CITY ?auto_4997 ?auto_5003 ) ( DIFFERENT ?auto_4997 ?auto_5005 ) ( LOCATION ?auto_5008 ) ( CITY ?auto_5006 ) ( IN-CITY ?auto_5008 ?auto_5006 ) ( IN-CITY ?auto_5005 ?auto_5006 ) ( DIFFERENT ?auto_5005 ?auto_5008 ) ( LOCATION ?auto_5010 ) ( CITY ?auto_5009 ) ( IN-CITY ?auto_5010 ?auto_5009 ) ( IN-CITY ?auto_5008 ?auto_5009 ) ( DIFFERENT ?auto_5008 ?auto_5010 ) ( AIRPLANE ?auto_4999 ) ( AIRPORT ?auto_5002 ) ( AIRPORT ?auto_5005 ) ( AT ?auto_4999 ?auto_5002 ) ( DIFFERENT ?auto_5005 ?auto_5002 ) ( LOCATION ?auto_5004 ) ( AT ?auto_4999 ?auto_5004 ) ( TRUCK ?auto_5012 ) ( LOCATION ?auto_5001 ) ( CITY ?auto_5000 ) ( IN-CITY ?auto_5001 ?auto_5000 ) ( IN-CITY ?auto_5004 ?auto_5000 ) ( DIFFERENT ?auto_5004 ?auto_5001 ) ( LOCATION ?auto_5015 ) ( CITY ?auto_5013 ) ( AT ?auto_5012 ?auto_5015 ) ( IN-CITY ?auto_5015 ?auto_5013 ) ( IN-CITY ?auto_5001 ?auto_5013 ) ( DIFFERENT ?auto_5001 ?auto_5015 ) ( LOCATION ?auto_5016 ) ( CITY ?auto_5007 ) ( AT ?auto_5011 ?auto_5016 ) ( IN-CITY ?auto_5016 ?auto_5007 ) ( IN-CITY ?auto_5010 ?auto_5007 ) ( DIFFERENT ?auto_5010 ?auto_5016 ) ( LOCATION ?auto_5018 ) ( AT ?auto_5012 ?auto_5018 ) ( AT ?auto_4996 ?auto_5018 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4996 ?auto_5012 ?auto_5018 )
      ( DELIVER-PKG ?auto_4996 ?auto_4997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5947
      ?auto_5948
    )
    :vars
    (
      ?auto_5951
      ?auto_5954
      ?auto_5950
      ?auto_5953
      ?auto_5949
      ?auto_5958
      ?auto_5957
    )
    :precondition
    ( and ( OBJ ?auto_5947 ) ( LOCATION ?auto_5948 ) ( TRUCK ?auto_5951 ) ( IN ?auto_5947 ?auto_5951 ) ( LOCATION ?auto_5954 ) ( CITY ?auto_5950 ) ( IN-CITY ?auto_5954 ?auto_5950 ) ( IN-CITY ?auto_5948 ?auto_5950 ) ( DIFFERENT ?auto_5948 ?auto_5954 ) ( LOCATION ?auto_5953 ) ( CITY ?auto_5949 ) ( IN-CITY ?auto_5953 ?auto_5949 ) ( IN-CITY ?auto_5954 ?auto_5949 ) ( DIFFERENT ?auto_5954 ?auto_5953 ) ( LOCATION ?auto_5958 ) ( CITY ?auto_5957 ) ( AT ?auto_5951 ?auto_5958 ) ( IN-CITY ?auto_5958 ?auto_5957 ) ( IN-CITY ?auto_5953 ?auto_5957 ) ( DIFFERENT ?auto_5953 ?auto_5958 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5951 ?auto_5958 ?auto_5953 ?auto_5957 )
      ( DELIVER-PKG ?auto_5947 ?auto_5948 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5982
      ?auto_5983
    )
    :vars
    (
      ?auto_5991
      ?auto_5990
      ?auto_5988
      ?auto_5989
      ?auto_5984
      ?auto_5987
      ?auto_5986
      ?auto_5995
      ?auto_5994
    )
    :precondition
    ( and ( OBJ ?auto_5982 ) ( LOCATION ?auto_5983 ) ( TRUCK ?auto_5991 ) ( IN ?auto_5982 ?auto_5991 ) ( LOCATION ?auto_5990 ) ( CITY ?auto_5988 ) ( IN-CITY ?auto_5990 ?auto_5988 ) ( IN-CITY ?auto_5983 ?auto_5988 ) ( DIFFERENT ?auto_5983 ?auto_5990 ) ( LOCATION ?auto_5989 ) ( CITY ?auto_5984 ) ( IN-CITY ?auto_5989 ?auto_5984 ) ( IN-CITY ?auto_5990 ?auto_5984 ) ( DIFFERENT ?auto_5990 ?auto_5989 ) ( LOCATION ?auto_5987 ) ( CITY ?auto_5986 ) ( IN-CITY ?auto_5987 ?auto_5986 ) ( IN-CITY ?auto_5989 ?auto_5986 ) ( DIFFERENT ?auto_5989 ?auto_5987 ) ( LOCATION ?auto_5995 ) ( CITY ?auto_5994 ) ( AT ?auto_5991 ?auto_5995 ) ( IN-CITY ?auto_5995 ?auto_5994 ) ( IN-CITY ?auto_5987 ?auto_5994 ) ( DIFFERENT ?auto_5987 ?auto_5995 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5991 ?auto_5995 ?auto_5987 ?auto_5994 )
      ( DELIVER-PKG ?auto_5982 ?auto_5983 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6010
      ?auto_6011
    )
    :vars
    (
      ?auto_6015
      ?auto_6014
      ?auto_6017
      ?auto_6018
      ?auto_6012
      ?auto_6013
      ?auto_6019
      ?auto_6022
      ?auto_6021
      ?auto_6025
      ?auto_6024
    )
    :precondition
    ( and ( OBJ ?auto_6010 ) ( LOCATION ?auto_6011 ) ( TRUCK ?auto_6015 ) ( IN ?auto_6010 ?auto_6015 ) ( LOCATION ?auto_6014 ) ( CITY ?auto_6017 ) ( IN-CITY ?auto_6014 ?auto_6017 ) ( IN-CITY ?auto_6011 ?auto_6017 ) ( DIFFERENT ?auto_6011 ?auto_6014 ) ( LOCATION ?auto_6018 ) ( CITY ?auto_6012 ) ( IN-CITY ?auto_6018 ?auto_6012 ) ( IN-CITY ?auto_6014 ?auto_6012 ) ( DIFFERENT ?auto_6014 ?auto_6018 ) ( LOCATION ?auto_6013 ) ( CITY ?auto_6019 ) ( IN-CITY ?auto_6013 ?auto_6019 ) ( IN-CITY ?auto_6018 ?auto_6019 ) ( DIFFERENT ?auto_6018 ?auto_6013 ) ( LOCATION ?auto_6022 ) ( CITY ?auto_6021 ) ( IN-CITY ?auto_6022 ?auto_6021 ) ( IN-CITY ?auto_6013 ?auto_6021 ) ( DIFFERENT ?auto_6013 ?auto_6022 ) ( LOCATION ?auto_6025 ) ( CITY ?auto_6024 ) ( AT ?auto_6015 ?auto_6025 ) ( IN-CITY ?auto_6025 ?auto_6024 ) ( IN-CITY ?auto_6022 ?auto_6024 ) ( DIFFERENT ?auto_6022 ?auto_6025 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6015 ?auto_6025 ?auto_6022 ?auto_6024 )
      ( DELIVER-PKG ?auto_6010 ?auto_6011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6057
      ?auto_6058
    )
    :vars
    (
      ?auto_6060
      ?auto_6066
      ?auto_6062
      ?auto_6063
      ?auto_6059
      ?auto_6069
      ?auto_6064
      ?auto_6067
      ?auto_6065
      ?auto_6071
      ?auto_6068
      ?auto_6073
    )
    :precondition
    ( and ( OBJ ?auto_6057 ) ( LOCATION ?auto_6058 ) ( TRUCK ?auto_6060 ) ( LOCATION ?auto_6066 ) ( CITY ?auto_6062 ) ( IN-CITY ?auto_6066 ?auto_6062 ) ( IN-CITY ?auto_6058 ?auto_6062 ) ( DIFFERENT ?auto_6058 ?auto_6066 ) ( LOCATION ?auto_6063 ) ( CITY ?auto_6059 ) ( IN-CITY ?auto_6063 ?auto_6059 ) ( IN-CITY ?auto_6066 ?auto_6059 ) ( DIFFERENT ?auto_6066 ?auto_6063 ) ( LOCATION ?auto_6069 ) ( CITY ?auto_6064 ) ( IN-CITY ?auto_6069 ?auto_6064 ) ( IN-CITY ?auto_6063 ?auto_6064 ) ( DIFFERENT ?auto_6063 ?auto_6069 ) ( LOCATION ?auto_6067 ) ( CITY ?auto_6065 ) ( IN-CITY ?auto_6067 ?auto_6065 ) ( IN-CITY ?auto_6069 ?auto_6065 ) ( DIFFERENT ?auto_6069 ?auto_6067 ) ( LOCATION ?auto_6071 ) ( CITY ?auto_6068 ) ( AT ?auto_6060 ?auto_6071 ) ( IN-CITY ?auto_6071 ?auto_6068 ) ( IN-CITY ?auto_6067 ?auto_6068 ) ( DIFFERENT ?auto_6067 ?auto_6071 ) ( LOCATION ?auto_6073 ) ( AT ?auto_6060 ?auto_6073 ) ( AT ?auto_6057 ?auto_6073 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6057 ?auto_6060 ?auto_6073 )
      ( DELIVER-PKG ?auto_6057 ?auto_6058 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6091
      ?auto_6092
    )
    :vars
    (
      ?auto_6096
      ?auto_6101
      ?auto_6097
      ?auto_6098
      ?auto_6095
      ?auto_6104
      ?auto_6099
      ?auto_6102
      ?auto_6100
      ?auto_6106
      ?auto_6103
      ?auto_6109
      ?auto_6108
    )
    :precondition
    ( and ( OBJ ?auto_6091 ) ( LOCATION ?auto_6092 ) ( TRUCK ?auto_6096 ) ( LOCATION ?auto_6101 ) ( CITY ?auto_6097 ) ( IN-CITY ?auto_6101 ?auto_6097 ) ( IN-CITY ?auto_6092 ?auto_6097 ) ( DIFFERENT ?auto_6092 ?auto_6101 ) ( LOCATION ?auto_6098 ) ( CITY ?auto_6095 ) ( IN-CITY ?auto_6098 ?auto_6095 ) ( IN-CITY ?auto_6101 ?auto_6095 ) ( DIFFERENT ?auto_6101 ?auto_6098 ) ( LOCATION ?auto_6104 ) ( CITY ?auto_6099 ) ( IN-CITY ?auto_6104 ?auto_6099 ) ( IN-CITY ?auto_6098 ?auto_6099 ) ( DIFFERENT ?auto_6098 ?auto_6104 ) ( LOCATION ?auto_6102 ) ( CITY ?auto_6100 ) ( IN-CITY ?auto_6102 ?auto_6100 ) ( IN-CITY ?auto_6104 ?auto_6100 ) ( DIFFERENT ?auto_6104 ?auto_6102 ) ( LOCATION ?auto_6106 ) ( CITY ?auto_6103 ) ( IN-CITY ?auto_6106 ?auto_6103 ) ( IN-CITY ?auto_6102 ?auto_6103 ) ( DIFFERENT ?auto_6102 ?auto_6106 ) ( AT ?auto_6091 ?auto_6106 ) ( LOCATION ?auto_6109 ) ( CITY ?auto_6108 ) ( AT ?auto_6096 ?auto_6109 ) ( IN-CITY ?auto_6109 ?auto_6108 ) ( IN-CITY ?auto_6106 ?auto_6108 ) ( DIFFERENT ?auto_6106 ?auto_6109 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6096 ?auto_6109 ?auto_6106 ?auto_6108 )
      ( DELIVER-PKG ?auto_6091 ?auto_6092 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12107
      ?auto_12108
    )
    :vars
    (
      ?auto_12115
      ?auto_12113
      ?auto_12112
      ?auto_12109
      ?auto_12117
      ?auto_12114
      ?auto_12116
      ?auto_12119
    )
    :precondition
    ( and ( OBJ ?auto_12107 ) ( LOCATION ?auto_12108 ) ( AIRPLANE ?auto_12115 ) ( AT ?auto_12115 ?auto_12108 ) ( LOCATION ?auto_12113 ) ( AT ?auto_12115 ?auto_12113 ) ( AIRPLANE ?auto_12112 ) ( AT ?auto_12112 ?auto_12113 ) ( LOCATION ?auto_12109 ) ( AT ?auto_12112 ?auto_12109 ) ( AIRPLANE ?auto_12117 ) ( AT ?auto_12117 ?auto_12109 ) ( LOCATION ?auto_12114 ) ( AT ?auto_12117 ?auto_12114 ) ( AIRPLANE ?auto_12116 ) ( AT ?auto_12116 ?auto_12114 ) ( LOCATION ?auto_12119 ) ( AT ?auto_12107 ?auto_12119 ) ( AT ?auto_12116 ?auto_12119 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12107 ?auto_12116 ?auto_12119 )
      ( DELIVER-PKG ?auto_12107 ?auto_12108 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12121
      ?auto_12122
    )
    :vars
    (
      ?auto_12123
      ?auto_12131
      ?auto_12130
      ?auto_12129
      ?auto_12125
      ?auto_12132
      ?auto_12124
      ?auto_12126
      ?auto_12133
    )
    :precondition
    ( and ( OBJ ?auto_12121 ) ( LOCATION ?auto_12122 ) ( AIRPLANE ?auto_12123 ) ( AT ?auto_12123 ?auto_12122 ) ( LOCATION ?auto_12131 ) ( AT ?auto_12123 ?auto_12131 ) ( AIRPLANE ?auto_12130 ) ( AT ?auto_12130 ?auto_12131 ) ( LOCATION ?auto_12129 ) ( AT ?auto_12130 ?auto_12129 ) ( AIRPLANE ?auto_12125 ) ( AT ?auto_12125 ?auto_12129 ) ( LOCATION ?auto_12132 ) ( AT ?auto_12125 ?auto_12132 ) ( AIRPLANE ?auto_12124 ) ( AT ?auto_12124 ?auto_12132 ) ( LOCATION ?auto_12126 ) ( AT ?auto_12124 ?auto_12126 ) ( TRUCK ?auto_12133 ) ( AT ?auto_12133 ?auto_12126 ) ( IN ?auto_12121 ?auto_12133 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12121 ?auto_12126 )
      ( DELIVER-PKG ?auto_12121 ?auto_12122 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12136
      ?auto_12137
    )
    :vars
    (
      ?auto_12145
      ?auto_12143
      ?auto_12139
      ?auto_12138
      ?auto_12140
      ?auto_12148
      ?auto_12147
      ?auto_12141
      ?auto_12146
      ?auto_12151
      ?auto_12150
    )
    :precondition
    ( and ( OBJ ?auto_12136 ) ( LOCATION ?auto_12137 ) ( AIRPLANE ?auto_12145 ) ( AT ?auto_12145 ?auto_12137 ) ( LOCATION ?auto_12143 ) ( AT ?auto_12145 ?auto_12143 ) ( AIRPLANE ?auto_12139 ) ( AT ?auto_12139 ?auto_12143 ) ( LOCATION ?auto_12138 ) ( AT ?auto_12139 ?auto_12138 ) ( AIRPLANE ?auto_12140 ) ( AT ?auto_12140 ?auto_12138 ) ( LOCATION ?auto_12148 ) ( AT ?auto_12140 ?auto_12148 ) ( AIRPLANE ?auto_12147 ) ( AT ?auto_12147 ?auto_12148 ) ( LOCATION ?auto_12141 ) ( AT ?auto_12147 ?auto_12141 ) ( TRUCK ?auto_12146 ) ( IN ?auto_12136 ?auto_12146 ) ( LOCATION ?auto_12151 ) ( CITY ?auto_12150 ) ( AT ?auto_12146 ?auto_12151 ) ( IN-CITY ?auto_12151 ?auto_12150 ) ( IN-CITY ?auto_12141 ?auto_12150 ) ( DIFFERENT ?auto_12141 ?auto_12151 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12146 ?auto_12151 ?auto_12141 ?auto_12150 )
      ( DELIVER-PKG ?auto_12136 ?auto_12137 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12190
      ?auto_12191
    )
    :vars
    (
      ?auto_12203
      ?auto_12200
      ?auto_12204
      ?auto_12202
      ?auto_12197
      ?auto_12192
      ?auto_12195
      ?auto_12206
      ?auto_12199
      ?auto_12201
      ?auto_12198
      ?auto_12209
      ?auto_12208
    )
    :precondition
    ( and ( OBJ ?auto_12190 ) ( LOCATION ?auto_12191 ) ( AIRPLANE ?auto_12203 ) ( AT ?auto_12203 ?auto_12191 ) ( LOCATION ?auto_12200 ) ( AT ?auto_12203 ?auto_12200 ) ( AIRPLANE ?auto_12204 ) ( AT ?auto_12204 ?auto_12200 ) ( LOCATION ?auto_12202 ) ( AT ?auto_12204 ?auto_12202 ) ( AIRPLANE ?auto_12197 ) ( AT ?auto_12197 ?auto_12202 ) ( LOCATION ?auto_12192 ) ( AT ?auto_12197 ?auto_12192 ) ( AIRPLANE ?auto_12195 ) ( AT ?auto_12195 ?auto_12192 ) ( LOCATION ?auto_12206 ) ( AT ?auto_12195 ?auto_12206 ) ( TRUCK ?auto_12199 ) ( LOCATION ?auto_12201 ) ( CITY ?auto_12198 ) ( IN-CITY ?auto_12201 ?auto_12198 ) ( IN-CITY ?auto_12206 ?auto_12198 ) ( DIFFERENT ?auto_12206 ?auto_12201 ) ( IN ?auto_12190 ?auto_12199 ) ( LOCATION ?auto_12209 ) ( CITY ?auto_12208 ) ( AT ?auto_12199 ?auto_12209 ) ( IN-CITY ?auto_12209 ?auto_12208 ) ( IN-CITY ?auto_12201 ?auto_12208 ) ( DIFFERENT ?auto_12201 ?auto_12209 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12199 ?auto_12209 ?auto_12201 ?auto_12208 )
      ( DELIVER-PKG ?auto_12190 ?auto_12191 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12211
      ?auto_12212
    )
    :vars
    (
      ?auto_12226
      ?auto_12213
      ?auto_12224
      ?auto_12216
      ?auto_12218
      ?auto_12223
      ?auto_12227
      ?auto_12215
      ?auto_12217
      ?auto_12225
      ?auto_12214
      ?auto_12221
      ?auto_12219
      ?auto_12230
      ?auto_12229
    )
    :precondition
    ( and ( OBJ ?auto_12211 ) ( LOCATION ?auto_12212 ) ( AIRPLANE ?auto_12226 ) ( AT ?auto_12226 ?auto_12212 ) ( LOCATION ?auto_12213 ) ( AT ?auto_12226 ?auto_12213 ) ( AIRPLANE ?auto_12224 ) ( AT ?auto_12224 ?auto_12213 ) ( LOCATION ?auto_12216 ) ( AT ?auto_12224 ?auto_12216 ) ( AIRPLANE ?auto_12218 ) ( AT ?auto_12218 ?auto_12216 ) ( LOCATION ?auto_12223 ) ( AT ?auto_12218 ?auto_12223 ) ( AIRPLANE ?auto_12227 ) ( AT ?auto_12227 ?auto_12223 ) ( LOCATION ?auto_12215 ) ( AT ?auto_12227 ?auto_12215 ) ( TRUCK ?auto_12217 ) ( LOCATION ?auto_12225 ) ( CITY ?auto_12214 ) ( IN-CITY ?auto_12225 ?auto_12214 ) ( IN-CITY ?auto_12215 ?auto_12214 ) ( DIFFERENT ?auto_12215 ?auto_12225 ) ( IN ?auto_12211 ?auto_12217 ) ( LOCATION ?auto_12221 ) ( CITY ?auto_12219 ) ( IN-CITY ?auto_12221 ?auto_12219 ) ( IN-CITY ?auto_12225 ?auto_12219 ) ( DIFFERENT ?auto_12225 ?auto_12221 ) ( LOCATION ?auto_12230 ) ( CITY ?auto_12229 ) ( AT ?auto_12217 ?auto_12230 ) ( IN-CITY ?auto_12230 ?auto_12229 ) ( IN-CITY ?auto_12221 ?auto_12229 ) ( DIFFERENT ?auto_12221 ?auto_12230 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12217 ?auto_12230 ?auto_12221 ?auto_12229 )
      ( DELIVER-PKG ?auto_12211 ?auto_12212 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12251
      ?auto_12252
    )
    :vars
    (
      ?auto_12267
      ?auto_12255
      ?auto_12265
      ?auto_12259
      ?auto_12261
      ?auto_12264
      ?auto_12268
      ?auto_12258
      ?auto_12260
      ?auto_12266
      ?auto_12254
      ?auto_12263
      ?auto_12262
      ?auto_12269
      ?auto_12253
      ?auto_12272
      ?auto_12271
    )
    :precondition
    ( and ( OBJ ?auto_12251 ) ( LOCATION ?auto_12252 ) ( AIRPLANE ?auto_12267 ) ( AT ?auto_12267 ?auto_12252 ) ( LOCATION ?auto_12255 ) ( AT ?auto_12267 ?auto_12255 ) ( AIRPLANE ?auto_12265 ) ( AT ?auto_12265 ?auto_12255 ) ( LOCATION ?auto_12259 ) ( AT ?auto_12265 ?auto_12259 ) ( AIRPLANE ?auto_12261 ) ( AT ?auto_12261 ?auto_12259 ) ( LOCATION ?auto_12264 ) ( AT ?auto_12261 ?auto_12264 ) ( AIRPLANE ?auto_12268 ) ( AT ?auto_12268 ?auto_12264 ) ( LOCATION ?auto_12258 ) ( AT ?auto_12268 ?auto_12258 ) ( TRUCK ?auto_12260 ) ( LOCATION ?auto_12266 ) ( CITY ?auto_12254 ) ( IN-CITY ?auto_12266 ?auto_12254 ) ( IN-CITY ?auto_12258 ?auto_12254 ) ( DIFFERENT ?auto_12258 ?auto_12266 ) ( IN ?auto_12251 ?auto_12260 ) ( LOCATION ?auto_12263 ) ( CITY ?auto_12262 ) ( IN-CITY ?auto_12263 ?auto_12262 ) ( IN-CITY ?auto_12266 ?auto_12262 ) ( DIFFERENT ?auto_12266 ?auto_12263 ) ( LOCATION ?auto_12269 ) ( CITY ?auto_12253 ) ( IN-CITY ?auto_12269 ?auto_12253 ) ( IN-CITY ?auto_12263 ?auto_12253 ) ( DIFFERENT ?auto_12263 ?auto_12269 ) ( LOCATION ?auto_12272 ) ( CITY ?auto_12271 ) ( AT ?auto_12260 ?auto_12272 ) ( IN-CITY ?auto_12272 ?auto_12271 ) ( IN-CITY ?auto_12269 ?auto_12271 ) ( DIFFERENT ?auto_12269 ?auto_12272 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12260 ?auto_12272 ?auto_12269 ?auto_12271 )
      ( DELIVER-PKG ?auto_12251 ?auto_12252 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12337
      ?auto_12338
    )
    :vars
    (
      ?auto_12348
      ?auto_12354
      ?auto_12346
      ?auto_12340
      ?auto_12342
      ?auto_12345
      ?auto_12349
      ?auto_12339
      ?auto_12341
      ?auto_12347
      ?auto_12357
      ?auto_12344
      ?auto_12343
      ?auto_12350
      ?auto_12353
      ?auto_12352
      ?auto_12351
      ?auto_12360
      ?auto_12359
    )
    :precondition
    ( and ( OBJ ?auto_12337 ) ( LOCATION ?auto_12338 ) ( AIRPLANE ?auto_12348 ) ( AT ?auto_12348 ?auto_12338 ) ( LOCATION ?auto_12354 ) ( AT ?auto_12348 ?auto_12354 ) ( AIRPLANE ?auto_12346 ) ( AT ?auto_12346 ?auto_12354 ) ( LOCATION ?auto_12340 ) ( AT ?auto_12346 ?auto_12340 ) ( AIRPLANE ?auto_12342 ) ( AT ?auto_12342 ?auto_12340 ) ( LOCATION ?auto_12345 ) ( AT ?auto_12342 ?auto_12345 ) ( AIRPLANE ?auto_12349 ) ( AT ?auto_12349 ?auto_12345 ) ( LOCATION ?auto_12339 ) ( AT ?auto_12349 ?auto_12339 ) ( TRUCK ?auto_12341 ) ( LOCATION ?auto_12347 ) ( CITY ?auto_12357 ) ( IN-CITY ?auto_12347 ?auto_12357 ) ( IN-CITY ?auto_12339 ?auto_12357 ) ( DIFFERENT ?auto_12339 ?auto_12347 ) ( IN ?auto_12337 ?auto_12341 ) ( LOCATION ?auto_12344 ) ( CITY ?auto_12343 ) ( IN-CITY ?auto_12344 ?auto_12343 ) ( IN-CITY ?auto_12347 ?auto_12343 ) ( DIFFERENT ?auto_12347 ?auto_12344 ) ( LOCATION ?auto_12350 ) ( CITY ?auto_12353 ) ( IN-CITY ?auto_12350 ?auto_12353 ) ( IN-CITY ?auto_12344 ?auto_12353 ) ( DIFFERENT ?auto_12344 ?auto_12350 ) ( LOCATION ?auto_12352 ) ( CITY ?auto_12351 ) ( IN-CITY ?auto_12352 ?auto_12351 ) ( IN-CITY ?auto_12350 ?auto_12351 ) ( DIFFERENT ?auto_12350 ?auto_12352 ) ( LOCATION ?auto_12360 ) ( CITY ?auto_12359 ) ( AT ?auto_12341 ?auto_12360 ) ( IN-CITY ?auto_12360 ?auto_12359 ) ( IN-CITY ?auto_12352 ?auto_12359 ) ( DIFFERENT ?auto_12352 ?auto_12360 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12341 ?auto_12360 ?auto_12352 ?auto_12359 )
      ( DELIVER-PKG ?auto_12337 ?auto_12338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12408
      ?auto_12409
    )
    :vars
    (
      ?auto_12422
      ?auto_12428
      ?auto_12420
      ?auto_12413
      ?auto_12415
      ?auto_12419
      ?auto_12423
      ?auto_12410
      ?auto_12414
      ?auto_12421
      ?auto_12429
      ?auto_12418
      ?auto_12417
      ?auto_12424
      ?auto_12427
      ?auto_12426
      ?auto_12425
      ?auto_12430
      ?auto_12416
      ?auto_12432
    )
    :precondition
    ( and ( OBJ ?auto_12408 ) ( LOCATION ?auto_12409 ) ( AIRPLANE ?auto_12422 ) ( AT ?auto_12422 ?auto_12409 ) ( LOCATION ?auto_12428 ) ( AT ?auto_12422 ?auto_12428 ) ( AIRPLANE ?auto_12420 ) ( AT ?auto_12420 ?auto_12428 ) ( LOCATION ?auto_12413 ) ( AT ?auto_12420 ?auto_12413 ) ( AIRPLANE ?auto_12415 ) ( AT ?auto_12415 ?auto_12413 ) ( LOCATION ?auto_12419 ) ( AT ?auto_12415 ?auto_12419 ) ( AIRPLANE ?auto_12423 ) ( AT ?auto_12423 ?auto_12419 ) ( LOCATION ?auto_12410 ) ( AT ?auto_12423 ?auto_12410 ) ( TRUCK ?auto_12414 ) ( LOCATION ?auto_12421 ) ( CITY ?auto_12429 ) ( IN-CITY ?auto_12421 ?auto_12429 ) ( IN-CITY ?auto_12410 ?auto_12429 ) ( DIFFERENT ?auto_12410 ?auto_12421 ) ( LOCATION ?auto_12418 ) ( CITY ?auto_12417 ) ( IN-CITY ?auto_12418 ?auto_12417 ) ( IN-CITY ?auto_12421 ?auto_12417 ) ( DIFFERENT ?auto_12421 ?auto_12418 ) ( LOCATION ?auto_12424 ) ( CITY ?auto_12427 ) ( IN-CITY ?auto_12424 ?auto_12427 ) ( IN-CITY ?auto_12418 ?auto_12427 ) ( DIFFERENT ?auto_12418 ?auto_12424 ) ( LOCATION ?auto_12426 ) ( CITY ?auto_12425 ) ( IN-CITY ?auto_12426 ?auto_12425 ) ( IN-CITY ?auto_12424 ?auto_12425 ) ( DIFFERENT ?auto_12424 ?auto_12426 ) ( LOCATION ?auto_12430 ) ( CITY ?auto_12416 ) ( AT ?auto_12414 ?auto_12430 ) ( IN-CITY ?auto_12430 ?auto_12416 ) ( IN-CITY ?auto_12426 ?auto_12416 ) ( DIFFERENT ?auto_12426 ?auto_12430 ) ( LOCATION ?auto_12432 ) ( AT ?auto_12414 ?auto_12432 ) ( AT ?auto_12408 ?auto_12432 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12408 ?auto_12414 ?auto_12432 )
      ( DELIVER-PKG ?auto_12408 ?auto_12409 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12458
      ?auto_12459
    )
    :vars
    (
      ?auto_12471
      ?auto_12479
      ?auto_12469
      ?auto_12465
      ?auto_12467
      ?auto_12468
      ?auto_12472
      ?auto_12464
      ?auto_12466
      ?auto_12470
      ?auto_12480
      ?auto_12463
      ?auto_12462
      ?auto_12473
      ?auto_12477
      ?auto_12476
      ?auto_12474
      ?auto_12478
      ?auto_12461
      ?auto_12484
      ?auto_12483
    )
    :precondition
    ( and ( OBJ ?auto_12458 ) ( LOCATION ?auto_12459 ) ( AIRPLANE ?auto_12471 ) ( AT ?auto_12471 ?auto_12459 ) ( LOCATION ?auto_12479 ) ( AT ?auto_12471 ?auto_12479 ) ( AIRPLANE ?auto_12469 ) ( AT ?auto_12469 ?auto_12479 ) ( LOCATION ?auto_12465 ) ( AT ?auto_12469 ?auto_12465 ) ( AIRPLANE ?auto_12467 ) ( AT ?auto_12467 ?auto_12465 ) ( LOCATION ?auto_12468 ) ( AT ?auto_12467 ?auto_12468 ) ( AIRPLANE ?auto_12472 ) ( AT ?auto_12472 ?auto_12468 ) ( LOCATION ?auto_12464 ) ( AT ?auto_12472 ?auto_12464 ) ( TRUCK ?auto_12466 ) ( LOCATION ?auto_12470 ) ( CITY ?auto_12480 ) ( IN-CITY ?auto_12470 ?auto_12480 ) ( IN-CITY ?auto_12464 ?auto_12480 ) ( DIFFERENT ?auto_12464 ?auto_12470 ) ( LOCATION ?auto_12463 ) ( CITY ?auto_12462 ) ( IN-CITY ?auto_12463 ?auto_12462 ) ( IN-CITY ?auto_12470 ?auto_12462 ) ( DIFFERENT ?auto_12470 ?auto_12463 ) ( LOCATION ?auto_12473 ) ( CITY ?auto_12477 ) ( IN-CITY ?auto_12473 ?auto_12477 ) ( IN-CITY ?auto_12463 ?auto_12477 ) ( DIFFERENT ?auto_12463 ?auto_12473 ) ( LOCATION ?auto_12476 ) ( CITY ?auto_12474 ) ( IN-CITY ?auto_12476 ?auto_12474 ) ( IN-CITY ?auto_12473 ?auto_12474 ) ( DIFFERENT ?auto_12473 ?auto_12476 ) ( LOCATION ?auto_12478 ) ( CITY ?auto_12461 ) ( IN-CITY ?auto_12478 ?auto_12461 ) ( IN-CITY ?auto_12476 ?auto_12461 ) ( DIFFERENT ?auto_12476 ?auto_12478 ) ( AT ?auto_12458 ?auto_12478 ) ( LOCATION ?auto_12484 ) ( CITY ?auto_12483 ) ( AT ?auto_12466 ?auto_12484 ) ( IN-CITY ?auto_12484 ?auto_12483 ) ( IN-CITY ?auto_12478 ?auto_12483 ) ( DIFFERENT ?auto_12478 ?auto_12484 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12466 ?auto_12484 ?auto_12478 ?auto_12483 )
      ( DELIVER-PKG ?auto_12458 ?auto_12459 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6683
      ?auto_6684
    )
    :vars
    (
      ?auto_6685
      ?auto_6688
      ?auto_6687
      ?auto_6692
    )
    :precondition
    ( and ( OBJ ?auto_6683 ) ( LOCATION ?auto_6684 ) ( AIRPLANE ?auto_6685 ) ( AIRPORT ?auto_6688 ) ( AIRPORT ?auto_6684 ) ( DIFFERENT ?auto_6684 ?auto_6688 ) ( LOCATION ?auto_6688 ) ( AIRPORT ?auto_6687 ) ( AT ?auto_6685 ?auto_6687 ) ( DIFFERENT ?auto_6688 ?auto_6687 ) ( TRUCK ?auto_6692 ) ( AT ?auto_6692 ?auto_6688 ) ( IN ?auto_6683 ?auto_6692 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6683 ?auto_6688 )
      ( DELIVER-PKG ?auto_6683 ?auto_6684 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6701
      ?auto_6702
    )
    :vars
    (
      ?auto_6705
      ?auto_6707
      ?auto_6706
      ?auto_6708
      ?auto_6711
      ?auto_6710
    )
    :precondition
    ( and ( OBJ ?auto_6701 ) ( LOCATION ?auto_6702 ) ( AIRPLANE ?auto_6705 ) ( AIRPORT ?auto_6707 ) ( AIRPORT ?auto_6702 ) ( DIFFERENT ?auto_6702 ?auto_6707 ) ( LOCATION ?auto_6707 ) ( AIRPORT ?auto_6706 ) ( AT ?auto_6705 ?auto_6706 ) ( DIFFERENT ?auto_6707 ?auto_6706 ) ( TRUCK ?auto_6708 ) ( IN ?auto_6701 ?auto_6708 ) ( LOCATION ?auto_6711 ) ( CITY ?auto_6710 ) ( AT ?auto_6708 ?auto_6711 ) ( IN-CITY ?auto_6711 ?auto_6710 ) ( IN-CITY ?auto_6707 ?auto_6710 ) ( DIFFERENT ?auto_6707 ?auto_6711 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6708 ?auto_6711 ?auto_6707 ?auto_6710 )
      ( DELIVER-PKG ?auto_6701 ?auto_6702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6723
      ?auto_6724
    )
    :vars
    (
      ?auto_6729
      ?auto_6727
      ?auto_6726
      ?auto_6725
      ?auto_6732
      ?auto_6731
      ?auto_6734
    )
    :precondition
    ( and ( OBJ ?auto_6723 ) ( LOCATION ?auto_6724 ) ( AIRPLANE ?auto_6729 ) ( AIRPORT ?auto_6727 ) ( AIRPORT ?auto_6724 ) ( DIFFERENT ?auto_6724 ?auto_6727 ) ( LOCATION ?auto_6727 ) ( AIRPORT ?auto_6726 ) ( AT ?auto_6729 ?auto_6726 ) ( DIFFERENT ?auto_6727 ?auto_6726 ) ( TRUCK ?auto_6725 ) ( LOCATION ?auto_6732 ) ( CITY ?auto_6731 ) ( AT ?auto_6725 ?auto_6732 ) ( IN-CITY ?auto_6732 ?auto_6731 ) ( IN-CITY ?auto_6727 ?auto_6731 ) ( DIFFERENT ?auto_6727 ?auto_6732 ) ( LOCATION ?auto_6734 ) ( AT ?auto_6725 ?auto_6734 ) ( AT ?auto_6723 ?auto_6734 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6723 ?auto_6725 ?auto_6734 )
      ( DELIVER-PKG ?auto_6723 ?auto_6724 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6758
      ?auto_6759
    )
    :vars
    (
      ?auto_6762
      ?auto_6766
      ?auto_6760
      ?auto_6765
      ?auto_6761
      ?auto_6763
      ?auto_6771
      ?auto_6770
    )
    :precondition
    ( and ( OBJ ?auto_6758 ) ( LOCATION ?auto_6759 ) ( AIRPLANE ?auto_6762 ) ( AIRPORT ?auto_6766 ) ( AIRPORT ?auto_6759 ) ( DIFFERENT ?auto_6759 ?auto_6766 ) ( LOCATION ?auto_6766 ) ( AIRPORT ?auto_6760 ) ( AT ?auto_6762 ?auto_6760 ) ( DIFFERENT ?auto_6766 ?auto_6760 ) ( TRUCK ?auto_6765 ) ( LOCATION ?auto_6761 ) ( CITY ?auto_6763 ) ( IN-CITY ?auto_6761 ?auto_6763 ) ( IN-CITY ?auto_6766 ?auto_6763 ) ( DIFFERENT ?auto_6766 ?auto_6761 ) ( AT ?auto_6758 ?auto_6761 ) ( LOCATION ?auto_6771 ) ( CITY ?auto_6770 ) ( AT ?auto_6765 ?auto_6771 ) ( IN-CITY ?auto_6771 ?auto_6770 ) ( IN-CITY ?auto_6761 ?auto_6770 ) ( DIFFERENT ?auto_6761 ?auto_6771 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6765 ?auto_6771 ?auto_6761 ?auto_6770 )
      ( DELIVER-PKG ?auto_6758 ?auto_6759 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6811
      ?auto_6812
    )
    :vars
    (
      ?auto_6814
      ?auto_6815
      ?auto_6818
    )
    :precondition
    ( and ( OBJ ?auto_6811 ) ( LOCATION ?auto_6812 ) ( AIRPLANE ?auto_6814 ) ( IN ?auto_6811 ?auto_6814 ) ( AIRPORT ?auto_6815 ) ( AIRPORT ?auto_6812 ) ( DIFFERENT ?auto_6812 ?auto_6815 ) ( AIRPORT ?auto_6818 ) ( AT ?auto_6814 ?auto_6818 ) ( DIFFERENT ?auto_6815 ?auto_6818 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6814 ?auto_6818 ?auto_6815 )
      ( DELIVER-PKG ?auto_6811 ?auto_6812 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6841
      ?auto_6842
    )
    :vars
    (
      ?auto_6848
      ?auto_6847
      ?auto_6846
      ?auto_6844
      ?auto_6843
      ?auto_6851
    )
    :precondition
    ( and ( OBJ ?auto_6841 ) ( LOCATION ?auto_6842 ) ( AIRPLANE ?auto_6848 ) ( AIRPORT ?auto_6847 ) ( AIRPORT ?auto_6842 ) ( DIFFERENT ?auto_6842 ?auto_6847 ) ( AIRPORT ?auto_6846 ) ( AT ?auto_6848 ?auto_6846 ) ( DIFFERENT ?auto_6847 ?auto_6846 ) ( LOCATION ?auto_6844 ) ( AT ?auto_6848 ?auto_6844 ) ( AIRPLANE ?auto_6843 ) ( AT ?auto_6843 ?auto_6844 ) ( LOCATION ?auto_6851 ) ( AT ?auto_6841 ?auto_6851 ) ( AT ?auto_6843 ?auto_6851 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6841 ?auto_6843 ?auto_6851 )
      ( DELIVER-PKG ?auto_6841 ?auto_6842 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6830
      ?auto_6831
    )
    :vars
    (
      ?auto_6837
      ?auto_6834
      ?auto_6833
      ?auto_6835
      ?auto_6839
    )
    :precondition
    ( and ( OBJ ?auto_6830 ) ( LOCATION ?auto_6831 ) ( AIRPLANE ?auto_6837 ) ( AIRPORT ?auto_6834 ) ( AIRPORT ?auto_6831 ) ( DIFFERENT ?auto_6831 ?auto_6834 ) ( AIRPORT ?auto_6833 ) ( AT ?auto_6837 ?auto_6833 ) ( DIFFERENT ?auto_6834 ?auto_6833 ) ( LOCATION ?auto_6835 ) ( AT ?auto_6837 ?auto_6835 ) ( AIRPLANE ?auto_6839 ) ( IN ?auto_6830 ?auto_6839 ) ( AT ?auto_6839 ?auto_6835 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6830 ?auto_6835 )
      ( DELIVER-PKG ?auto_6830 ?auto_6831 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6853
      ?auto_6854
    )
    :vars
    (
      ?auto_6855
      ?auto_6856
      ?auto_6861
      ?auto_6860
      ?auto_6857
      ?auto_6859
      ?auto_6863
    )
    :precondition
    ( and ( OBJ ?auto_6853 ) ( LOCATION ?auto_6854 ) ( AIRPLANE ?auto_6855 ) ( AIRPORT ?auto_6856 ) ( AIRPORT ?auto_6854 ) ( DIFFERENT ?auto_6854 ?auto_6856 ) ( AIRPORT ?auto_6861 ) ( AT ?auto_6855 ?auto_6861 ) ( DIFFERENT ?auto_6856 ?auto_6861 ) ( LOCATION ?auto_6860 ) ( AT ?auto_6855 ?auto_6860 ) ( AIRPLANE ?auto_6857 ) ( AT ?auto_6857 ?auto_6860 ) ( LOCATION ?auto_6859 ) ( AT ?auto_6857 ?auto_6859 ) ( TRUCK ?auto_6863 ) ( AT ?auto_6863 ?auto_6859 ) ( IN ?auto_6853 ?auto_6863 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6853 ?auto_6859 )
      ( DELIVER-PKG ?auto_6853 ?auto_6854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6866
      ?auto_6867
    )
    :vars
    (
      ?auto_6872
      ?auto_6875
      ?auto_6868
      ?auto_6870
      ?auto_6874
      ?auto_6876
      ?auto_6873
      ?auto_6879
      ?auto_6878
    )
    :precondition
    ( and ( OBJ ?auto_6866 ) ( LOCATION ?auto_6867 ) ( AIRPLANE ?auto_6872 ) ( AIRPORT ?auto_6875 ) ( AIRPORT ?auto_6867 ) ( DIFFERENT ?auto_6867 ?auto_6875 ) ( AIRPORT ?auto_6868 ) ( AT ?auto_6872 ?auto_6868 ) ( DIFFERENT ?auto_6875 ?auto_6868 ) ( LOCATION ?auto_6870 ) ( AT ?auto_6872 ?auto_6870 ) ( AIRPLANE ?auto_6874 ) ( AT ?auto_6874 ?auto_6870 ) ( LOCATION ?auto_6876 ) ( AT ?auto_6874 ?auto_6876 ) ( TRUCK ?auto_6873 ) ( IN ?auto_6866 ?auto_6873 ) ( LOCATION ?auto_6879 ) ( CITY ?auto_6878 ) ( AT ?auto_6873 ?auto_6879 ) ( IN-CITY ?auto_6879 ?auto_6878 ) ( IN-CITY ?auto_6876 ?auto_6878 ) ( DIFFERENT ?auto_6876 ?auto_6879 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6873 ?auto_6879 ?auto_6876 ?auto_6878 )
      ( DELIVER-PKG ?auto_6866 ?auto_6867 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6881
      ?auto_6882
    )
    :vars
    (
      ?auto_6885
      ?auto_6892
      ?auto_6893
      ?auto_6888
      ?auto_6886
      ?auto_6887
      ?auto_6889
      ?auto_6884
      ?auto_6883
      ?auto_6896
      ?auto_6895
    )
    :precondition
    ( and ( OBJ ?auto_6881 ) ( LOCATION ?auto_6882 ) ( AIRPLANE ?auto_6885 ) ( AIRPORT ?auto_6892 ) ( AIRPORT ?auto_6882 ) ( DIFFERENT ?auto_6882 ?auto_6892 ) ( AIRPORT ?auto_6893 ) ( AT ?auto_6885 ?auto_6893 ) ( DIFFERENT ?auto_6892 ?auto_6893 ) ( LOCATION ?auto_6888 ) ( AT ?auto_6885 ?auto_6888 ) ( AIRPLANE ?auto_6886 ) ( AT ?auto_6886 ?auto_6888 ) ( LOCATION ?auto_6887 ) ( AT ?auto_6886 ?auto_6887 ) ( TRUCK ?auto_6889 ) ( IN ?auto_6881 ?auto_6889 ) ( LOCATION ?auto_6884 ) ( CITY ?auto_6883 ) ( IN-CITY ?auto_6884 ?auto_6883 ) ( IN-CITY ?auto_6887 ?auto_6883 ) ( DIFFERENT ?auto_6887 ?auto_6884 ) ( LOCATION ?auto_6896 ) ( CITY ?auto_6895 ) ( AT ?auto_6889 ?auto_6896 ) ( IN-CITY ?auto_6896 ?auto_6895 ) ( IN-CITY ?auto_6884 ?auto_6895 ) ( DIFFERENT ?auto_6884 ?auto_6896 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6889 ?auto_6896 ?auto_6884 ?auto_6895 )
      ( DELIVER-PKG ?auto_6881 ?auto_6882 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6898
      ?auto_6899
    )
    :vars
    (
      ?auto_6912
      ?auto_6900
      ?auto_6904
      ?auto_6905
      ?auto_6910
      ?auto_6903
      ?auto_6901
      ?auto_6911
      ?auto_6907
      ?auto_6909
      ?auto_6908
      ?auto_6915
      ?auto_6914
    )
    :precondition
    ( and ( OBJ ?auto_6898 ) ( LOCATION ?auto_6899 ) ( AIRPLANE ?auto_6912 ) ( AIRPORT ?auto_6900 ) ( AIRPORT ?auto_6899 ) ( DIFFERENT ?auto_6899 ?auto_6900 ) ( AIRPORT ?auto_6904 ) ( AT ?auto_6912 ?auto_6904 ) ( DIFFERENT ?auto_6900 ?auto_6904 ) ( LOCATION ?auto_6905 ) ( AT ?auto_6912 ?auto_6905 ) ( AIRPLANE ?auto_6910 ) ( AT ?auto_6910 ?auto_6905 ) ( LOCATION ?auto_6903 ) ( AT ?auto_6910 ?auto_6903 ) ( TRUCK ?auto_6901 ) ( IN ?auto_6898 ?auto_6901 ) ( LOCATION ?auto_6911 ) ( CITY ?auto_6907 ) ( IN-CITY ?auto_6911 ?auto_6907 ) ( IN-CITY ?auto_6903 ?auto_6907 ) ( DIFFERENT ?auto_6903 ?auto_6911 ) ( LOCATION ?auto_6909 ) ( CITY ?auto_6908 ) ( IN-CITY ?auto_6909 ?auto_6908 ) ( IN-CITY ?auto_6911 ?auto_6908 ) ( DIFFERENT ?auto_6911 ?auto_6909 ) ( LOCATION ?auto_6915 ) ( CITY ?auto_6914 ) ( AT ?auto_6901 ?auto_6915 ) ( IN-CITY ?auto_6915 ?auto_6914 ) ( IN-CITY ?auto_6909 ?auto_6914 ) ( DIFFERENT ?auto_6909 ?auto_6915 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6901 ?auto_6915 ?auto_6909 ?auto_6914 )
      ( DELIVER-PKG ?auto_6898 ?auto_6899 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6951
      ?auto_6952
    )
    :vars
    (
      ?auto_6956
      ?auto_6954
      ?auto_6967
      ?auto_6962
      ?auto_6965
      ?auto_6966
      ?auto_6964
      ?auto_6955
      ?auto_6958
      ?auto_6957
      ?auto_6959
      ?auto_6961
      ?auto_6960
      ?auto_6970
      ?auto_6969
    )
    :precondition
    ( and ( OBJ ?auto_6951 ) ( LOCATION ?auto_6952 ) ( AIRPLANE ?auto_6956 ) ( AIRPORT ?auto_6954 ) ( AIRPORT ?auto_6952 ) ( DIFFERENT ?auto_6952 ?auto_6954 ) ( AIRPORT ?auto_6967 ) ( AT ?auto_6956 ?auto_6967 ) ( DIFFERENT ?auto_6954 ?auto_6967 ) ( LOCATION ?auto_6962 ) ( AT ?auto_6956 ?auto_6962 ) ( AIRPLANE ?auto_6965 ) ( AT ?auto_6965 ?auto_6962 ) ( LOCATION ?auto_6966 ) ( AT ?auto_6965 ?auto_6966 ) ( TRUCK ?auto_6964 ) ( IN ?auto_6951 ?auto_6964 ) ( LOCATION ?auto_6955 ) ( CITY ?auto_6958 ) ( IN-CITY ?auto_6955 ?auto_6958 ) ( IN-CITY ?auto_6966 ?auto_6958 ) ( DIFFERENT ?auto_6966 ?auto_6955 ) ( LOCATION ?auto_6957 ) ( CITY ?auto_6959 ) ( IN-CITY ?auto_6957 ?auto_6959 ) ( IN-CITY ?auto_6955 ?auto_6959 ) ( DIFFERENT ?auto_6955 ?auto_6957 ) ( LOCATION ?auto_6961 ) ( CITY ?auto_6960 ) ( IN-CITY ?auto_6961 ?auto_6960 ) ( IN-CITY ?auto_6957 ?auto_6960 ) ( DIFFERENT ?auto_6957 ?auto_6961 ) ( LOCATION ?auto_6970 ) ( CITY ?auto_6969 ) ( AT ?auto_6964 ?auto_6970 ) ( IN-CITY ?auto_6970 ?auto_6969 ) ( IN-CITY ?auto_6961 ?auto_6969 ) ( DIFFERENT ?auto_6961 ?auto_6970 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6964 ?auto_6970 ?auto_6961 ?auto_6969 )
      ( DELIVER-PKG ?auto_6951 ?auto_6952 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6991
      ?auto_6992
    )
    :vars
    (
      ?auto_7005
      ?auto_6998
      ?auto_7007
      ?auto_6995
      ?auto_6997
      ?auto_7006
      ?auto_6996
      ?auto_7000
      ?auto_7002
      ?auto_7001
      ?auto_7003
      ?auto_6994
      ?auto_7004
      ?auto_7009
      ?auto_7008
      ?auto_7012
      ?auto_7011
    )
    :precondition
    ( and ( OBJ ?auto_6991 ) ( LOCATION ?auto_6992 ) ( AIRPLANE ?auto_7005 ) ( AIRPORT ?auto_6998 ) ( AIRPORT ?auto_6992 ) ( DIFFERENT ?auto_6992 ?auto_6998 ) ( AIRPORT ?auto_7007 ) ( AT ?auto_7005 ?auto_7007 ) ( DIFFERENT ?auto_6998 ?auto_7007 ) ( LOCATION ?auto_6995 ) ( AT ?auto_7005 ?auto_6995 ) ( AIRPLANE ?auto_6997 ) ( AT ?auto_6997 ?auto_6995 ) ( LOCATION ?auto_7006 ) ( AT ?auto_6997 ?auto_7006 ) ( TRUCK ?auto_6996 ) ( IN ?auto_6991 ?auto_6996 ) ( LOCATION ?auto_7000 ) ( CITY ?auto_7002 ) ( IN-CITY ?auto_7000 ?auto_7002 ) ( IN-CITY ?auto_7006 ?auto_7002 ) ( DIFFERENT ?auto_7006 ?auto_7000 ) ( LOCATION ?auto_7001 ) ( CITY ?auto_7003 ) ( IN-CITY ?auto_7001 ?auto_7003 ) ( IN-CITY ?auto_7000 ?auto_7003 ) ( DIFFERENT ?auto_7000 ?auto_7001 ) ( LOCATION ?auto_6994 ) ( CITY ?auto_7004 ) ( IN-CITY ?auto_6994 ?auto_7004 ) ( IN-CITY ?auto_7001 ?auto_7004 ) ( DIFFERENT ?auto_7001 ?auto_6994 ) ( LOCATION ?auto_7009 ) ( CITY ?auto_7008 ) ( IN-CITY ?auto_7009 ?auto_7008 ) ( IN-CITY ?auto_6994 ?auto_7008 ) ( DIFFERENT ?auto_6994 ?auto_7009 ) ( LOCATION ?auto_7012 ) ( CITY ?auto_7011 ) ( AT ?auto_6996 ?auto_7012 ) ( IN-CITY ?auto_7012 ?auto_7011 ) ( IN-CITY ?auto_7009 ?auto_7011 ) ( DIFFERENT ?auto_7009 ?auto_7012 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6996 ?auto_7012 ?auto_7009 ?auto_7011 )
      ( DELIVER-PKG ?auto_6991 ?auto_6992 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7056
      ?auto_7057
    )
    :vars
    (
      ?auto_7071
      ?auto_7065
      ?auto_7073
      ?auto_7061
      ?auto_7064
      ?auto_7072
      ?auto_7062
      ?auto_7066
      ?auto_7068
      ?auto_7067
      ?auto_7069
      ?auto_7060
      ?auto_7070
      ?auto_7075
      ?auto_7074
      ?auto_7076
      ?auto_7063
      ?auto_7078
    )
    :precondition
    ( and ( OBJ ?auto_7056 ) ( LOCATION ?auto_7057 ) ( AIRPLANE ?auto_7071 ) ( AIRPORT ?auto_7065 ) ( AIRPORT ?auto_7057 ) ( DIFFERENT ?auto_7057 ?auto_7065 ) ( AIRPORT ?auto_7073 ) ( AT ?auto_7071 ?auto_7073 ) ( DIFFERENT ?auto_7065 ?auto_7073 ) ( LOCATION ?auto_7061 ) ( AT ?auto_7071 ?auto_7061 ) ( AIRPLANE ?auto_7064 ) ( AT ?auto_7064 ?auto_7061 ) ( LOCATION ?auto_7072 ) ( AT ?auto_7064 ?auto_7072 ) ( TRUCK ?auto_7062 ) ( LOCATION ?auto_7066 ) ( CITY ?auto_7068 ) ( IN-CITY ?auto_7066 ?auto_7068 ) ( IN-CITY ?auto_7072 ?auto_7068 ) ( DIFFERENT ?auto_7072 ?auto_7066 ) ( LOCATION ?auto_7067 ) ( CITY ?auto_7069 ) ( IN-CITY ?auto_7067 ?auto_7069 ) ( IN-CITY ?auto_7066 ?auto_7069 ) ( DIFFERENT ?auto_7066 ?auto_7067 ) ( LOCATION ?auto_7060 ) ( CITY ?auto_7070 ) ( IN-CITY ?auto_7060 ?auto_7070 ) ( IN-CITY ?auto_7067 ?auto_7070 ) ( DIFFERENT ?auto_7067 ?auto_7060 ) ( LOCATION ?auto_7075 ) ( CITY ?auto_7074 ) ( IN-CITY ?auto_7075 ?auto_7074 ) ( IN-CITY ?auto_7060 ?auto_7074 ) ( DIFFERENT ?auto_7060 ?auto_7075 ) ( LOCATION ?auto_7076 ) ( CITY ?auto_7063 ) ( AT ?auto_7062 ?auto_7076 ) ( IN-CITY ?auto_7076 ?auto_7063 ) ( IN-CITY ?auto_7075 ?auto_7063 ) ( DIFFERENT ?auto_7075 ?auto_7076 ) ( LOCATION ?auto_7078 ) ( AT ?auto_7062 ?auto_7078 ) ( AT ?auto_7056 ?auto_7078 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7056 ?auto_7062 ?auto_7078 )
      ( DELIVER-PKG ?auto_7056 ?auto_7057 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7102
      ?auto_7103
    )
    :vars
    (
      ?auto_7117
      ?auto_7115
      ?auto_7119
      ?auto_7112
      ?auto_7114
      ?auto_7118
      ?auto_7104
      ?auto_7107
      ?auto_7109
      ?auto_7108
      ?auto_7110
      ?auto_7111
      ?auto_7116
      ?auto_7122
      ?auto_7121
      ?auto_7120
      ?auto_7113
      ?auto_7126
      ?auto_7125
    )
    :precondition
    ( and ( OBJ ?auto_7102 ) ( LOCATION ?auto_7103 ) ( AIRPLANE ?auto_7117 ) ( AIRPORT ?auto_7115 ) ( AIRPORT ?auto_7103 ) ( DIFFERENT ?auto_7103 ?auto_7115 ) ( AIRPORT ?auto_7119 ) ( AT ?auto_7117 ?auto_7119 ) ( DIFFERENT ?auto_7115 ?auto_7119 ) ( LOCATION ?auto_7112 ) ( AT ?auto_7117 ?auto_7112 ) ( AIRPLANE ?auto_7114 ) ( AT ?auto_7114 ?auto_7112 ) ( LOCATION ?auto_7118 ) ( AT ?auto_7114 ?auto_7118 ) ( TRUCK ?auto_7104 ) ( LOCATION ?auto_7107 ) ( CITY ?auto_7109 ) ( IN-CITY ?auto_7107 ?auto_7109 ) ( IN-CITY ?auto_7118 ?auto_7109 ) ( DIFFERENT ?auto_7118 ?auto_7107 ) ( LOCATION ?auto_7108 ) ( CITY ?auto_7110 ) ( IN-CITY ?auto_7108 ?auto_7110 ) ( IN-CITY ?auto_7107 ?auto_7110 ) ( DIFFERENT ?auto_7107 ?auto_7108 ) ( LOCATION ?auto_7111 ) ( CITY ?auto_7116 ) ( IN-CITY ?auto_7111 ?auto_7116 ) ( IN-CITY ?auto_7108 ?auto_7116 ) ( DIFFERENT ?auto_7108 ?auto_7111 ) ( LOCATION ?auto_7122 ) ( CITY ?auto_7121 ) ( IN-CITY ?auto_7122 ?auto_7121 ) ( IN-CITY ?auto_7111 ?auto_7121 ) ( DIFFERENT ?auto_7111 ?auto_7122 ) ( LOCATION ?auto_7120 ) ( CITY ?auto_7113 ) ( IN-CITY ?auto_7120 ?auto_7113 ) ( IN-CITY ?auto_7122 ?auto_7113 ) ( DIFFERENT ?auto_7122 ?auto_7120 ) ( AT ?auto_7102 ?auto_7120 ) ( LOCATION ?auto_7126 ) ( CITY ?auto_7125 ) ( AT ?auto_7104 ?auto_7126 ) ( IN-CITY ?auto_7126 ?auto_7125 ) ( IN-CITY ?auto_7120 ?auto_7125 ) ( DIFFERENT ?auto_7120 ?auto_7126 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7104 ?auto_7126 ?auto_7120 ?auto_7125 )
      ( DELIVER-PKG ?auto_7102 ?auto_7103 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12094
      ?auto_12095
    )
    :vars
    (
      ?auto_12101
      ?auto_12099
      ?auto_12096
      ?auto_12102
      ?auto_12100
      ?auto_12103
      ?auto_12106
    )
    :precondition
    ( and ( OBJ ?auto_12094 ) ( LOCATION ?auto_12095 ) ( AIRPLANE ?auto_12101 ) ( AT ?auto_12101 ?auto_12095 ) ( LOCATION ?auto_12099 ) ( AT ?auto_12101 ?auto_12099 ) ( AIRPLANE ?auto_12096 ) ( AT ?auto_12096 ?auto_12099 ) ( LOCATION ?auto_12102 ) ( AT ?auto_12096 ?auto_12102 ) ( AIRPLANE ?auto_12100 ) ( AT ?auto_12100 ?auto_12102 ) ( LOCATION ?auto_12103 ) ( AT ?auto_12100 ?auto_12103 ) ( AIRPLANE ?auto_12106 ) ( IN ?auto_12094 ?auto_12106 ) ( AT ?auto_12106 ?auto_12103 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12094 ?auto_12103 )
      ( DELIVER-PKG ?auto_12094 ?auto_12095 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7753
      ?auto_7754
    )
    :vars
    (
      ?auto_7761
      ?auto_7757
      ?auto_7762
      ?auto_7755
      ?auto_7758
      ?auto_7759
      ?auto_7765
    )
    :precondition
    ( and ( OBJ ?auto_7753 ) ( LOCATION ?auto_7754 ) ( TRUCK ?auto_7761 ) ( LOCATION ?auto_7757 ) ( CITY ?auto_7762 ) ( AT ?auto_7761 ?auto_7757 ) ( IN-CITY ?auto_7757 ?auto_7762 ) ( IN-CITY ?auto_7754 ?auto_7762 ) ( DIFFERENT ?auto_7754 ?auto_7757 ) ( LOCATION ?auto_7755 ) ( AT ?auto_7761 ?auto_7755 ) ( AIRPLANE ?auto_7758 ) ( AIRPORT ?auto_7759 ) ( AIRPORT ?auto_7755 ) ( DIFFERENT ?auto_7755 ?auto_7759 ) ( LOCATION ?auto_7759 ) ( AT ?auto_7753 ?auto_7759 ) ( AIRPORT ?auto_7765 ) ( AT ?auto_7758 ?auto_7765 ) ( DIFFERENT ?auto_7759 ?auto_7765 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7758 ?auto_7765 ?auto_7759 )
      ( DELIVER-PKG ?auto_7753 ?auto_7754 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7855
      ?auto_7856
    )
    :vars
    (
      ?auto_7863
      ?auto_7864
      ?auto_7860
      ?auto_7862
      ?auto_7865
      ?auto_7859
      ?auto_7858
      ?auto_7868
    )
    :precondition
    ( and ( OBJ ?auto_7855 ) ( LOCATION ?auto_7856 ) ( TRUCK ?auto_7863 ) ( LOCATION ?auto_7864 ) ( CITY ?auto_7860 ) ( AT ?auto_7863 ?auto_7864 ) ( IN-CITY ?auto_7864 ?auto_7860 ) ( IN-CITY ?auto_7856 ?auto_7860 ) ( DIFFERENT ?auto_7856 ?auto_7864 ) ( LOCATION ?auto_7862 ) ( AT ?auto_7863 ?auto_7862 ) ( AIRPLANE ?auto_7865 ) ( AIRPORT ?auto_7859 ) ( AIRPORT ?auto_7862 ) ( DIFFERENT ?auto_7862 ?auto_7859 ) ( LOCATION ?auto_7859 ) ( AIRPORT ?auto_7858 ) ( AT ?auto_7865 ?auto_7858 ) ( DIFFERENT ?auto_7859 ?auto_7858 ) ( TRUCK ?auto_7868 ) ( AT ?auto_7868 ?auto_7859 ) ( IN ?auto_7855 ?auto_7868 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7855 ?auto_7859 )
      ( DELIVER-PKG ?auto_7855 ?auto_7856 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7881
      ?auto_7882
    )
    :vars
    (
      ?auto_7889
      ?auto_7890
      ?auto_7887
      ?auto_7888
      ?auto_7891
      ?auto_7886
      ?auto_7885
      ?auto_7892
      ?auto_7895
      ?auto_7894
    )
    :precondition
    ( and ( OBJ ?auto_7881 ) ( LOCATION ?auto_7882 ) ( TRUCK ?auto_7889 ) ( LOCATION ?auto_7890 ) ( CITY ?auto_7887 ) ( AT ?auto_7889 ?auto_7890 ) ( IN-CITY ?auto_7890 ?auto_7887 ) ( IN-CITY ?auto_7882 ?auto_7887 ) ( DIFFERENT ?auto_7882 ?auto_7890 ) ( LOCATION ?auto_7888 ) ( AT ?auto_7889 ?auto_7888 ) ( AIRPLANE ?auto_7891 ) ( AIRPORT ?auto_7886 ) ( AIRPORT ?auto_7888 ) ( DIFFERENT ?auto_7888 ?auto_7886 ) ( LOCATION ?auto_7886 ) ( AIRPORT ?auto_7885 ) ( AT ?auto_7891 ?auto_7885 ) ( DIFFERENT ?auto_7886 ?auto_7885 ) ( TRUCK ?auto_7892 ) ( IN ?auto_7881 ?auto_7892 ) ( LOCATION ?auto_7895 ) ( CITY ?auto_7894 ) ( AT ?auto_7892 ?auto_7895 ) ( IN-CITY ?auto_7895 ?auto_7894 ) ( IN-CITY ?auto_7886 ?auto_7894 ) ( DIFFERENT ?auto_7886 ?auto_7895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7892 ?auto_7895 ?auto_7886 ?auto_7894 )
      ( DELIVER-PKG ?auto_7881 ?auto_7882 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7911
      ?auto_7912
    )
    :vars
    (
      ?auto_7918
      ?auto_7919
      ?auto_7916
      ?auto_7917
      ?auto_7920
      ?auto_7915
      ?auto_7914
      ?auto_7921
      ?auto_7924
      ?auto_7923
      ?auto_7926
    )
    :precondition
    ( and ( OBJ ?auto_7911 ) ( LOCATION ?auto_7912 ) ( TRUCK ?auto_7918 ) ( LOCATION ?auto_7919 ) ( CITY ?auto_7916 ) ( AT ?auto_7918 ?auto_7919 ) ( IN-CITY ?auto_7919 ?auto_7916 ) ( IN-CITY ?auto_7912 ?auto_7916 ) ( DIFFERENT ?auto_7912 ?auto_7919 ) ( LOCATION ?auto_7917 ) ( AT ?auto_7918 ?auto_7917 ) ( AIRPLANE ?auto_7920 ) ( AIRPORT ?auto_7915 ) ( AIRPORT ?auto_7917 ) ( DIFFERENT ?auto_7917 ?auto_7915 ) ( LOCATION ?auto_7915 ) ( AIRPORT ?auto_7914 ) ( AT ?auto_7920 ?auto_7914 ) ( DIFFERENT ?auto_7915 ?auto_7914 ) ( TRUCK ?auto_7921 ) ( LOCATION ?auto_7924 ) ( CITY ?auto_7923 ) ( AT ?auto_7921 ?auto_7924 ) ( IN-CITY ?auto_7924 ?auto_7923 ) ( IN-CITY ?auto_7915 ?auto_7923 ) ( DIFFERENT ?auto_7915 ?auto_7924 ) ( LOCATION ?auto_7926 ) ( AT ?auto_7921 ?auto_7926 ) ( AT ?auto_7911 ?auto_7926 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7911 ?auto_7921 ?auto_7926 )
      ( DELIVER-PKG ?auto_7911 ?auto_7912 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7958
      ?auto_7959
    )
    :vars
    (
      ?auto_7966
      ?auto_7967
      ?auto_7964
      ?auto_7965
      ?auto_7968
      ?auto_7963
      ?auto_7961
      ?auto_7969
      ?auto_7972
      ?auto_7970
      ?auto_7975
      ?auto_7974
    )
    :precondition
    ( and ( OBJ ?auto_7958 ) ( LOCATION ?auto_7959 ) ( TRUCK ?auto_7966 ) ( LOCATION ?auto_7967 ) ( CITY ?auto_7964 ) ( AT ?auto_7966 ?auto_7967 ) ( IN-CITY ?auto_7967 ?auto_7964 ) ( IN-CITY ?auto_7959 ?auto_7964 ) ( DIFFERENT ?auto_7959 ?auto_7967 ) ( LOCATION ?auto_7965 ) ( AT ?auto_7966 ?auto_7965 ) ( AIRPLANE ?auto_7968 ) ( AIRPORT ?auto_7963 ) ( AIRPORT ?auto_7965 ) ( DIFFERENT ?auto_7965 ?auto_7963 ) ( LOCATION ?auto_7963 ) ( AIRPORT ?auto_7961 ) ( AT ?auto_7968 ?auto_7961 ) ( DIFFERENT ?auto_7963 ?auto_7961 ) ( TRUCK ?auto_7969 ) ( LOCATION ?auto_7972 ) ( CITY ?auto_7970 ) ( IN-CITY ?auto_7972 ?auto_7970 ) ( IN-CITY ?auto_7963 ?auto_7970 ) ( DIFFERENT ?auto_7963 ?auto_7972 ) ( AT ?auto_7958 ?auto_7972 ) ( LOCATION ?auto_7975 ) ( CITY ?auto_7974 ) ( AT ?auto_7969 ?auto_7975 ) ( IN-CITY ?auto_7975 ?auto_7974 ) ( IN-CITY ?auto_7972 ?auto_7974 ) ( DIFFERENT ?auto_7972 ?auto_7975 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7969 ?auto_7975 ?auto_7972 ?auto_7974 )
      ( DELIVER-PKG ?auto_7958 ?auto_7959 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8035
      ?auto_8036
    )
    :vars
    (
      ?auto_8039
      ?auto_8043
      ?auto_8041
      ?auto_8038
      ?auto_8040
      ?auto_8045
    )
    :precondition
    ( and ( OBJ ?auto_8035 ) ( LOCATION ?auto_8036 ) ( TRUCK ?auto_8039 ) ( LOCATION ?auto_8043 ) ( CITY ?auto_8041 ) ( AT ?auto_8039 ?auto_8043 ) ( IN-CITY ?auto_8043 ?auto_8041 ) ( IN-CITY ?auto_8036 ?auto_8041 ) ( DIFFERENT ?auto_8036 ?auto_8043 ) ( LOCATION ?auto_8038 ) ( AT ?auto_8039 ?auto_8038 ) ( AIRPLANE ?auto_8040 ) ( AT ?auto_8040 ?auto_8038 ) ( LOCATION ?auto_8045 ) ( AT ?auto_8035 ?auto_8045 ) ( AT ?auto_8040 ?auto_8045 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8035 ?auto_8040 ?auto_8045 )
      ( DELIVER-PKG ?auto_8035 ?auto_8036 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8105
      ?auto_8106
    )
    :vars
    (
      ?auto_8107
      ?auto_8108
      ?auto_8109
      ?auto_8111
      ?auto_8110
      ?auto_8114
      ?auto_8116
    )
    :precondition
    ( and ( OBJ ?auto_8105 ) ( LOCATION ?auto_8106 ) ( TRUCK ?auto_8107 ) ( LOCATION ?auto_8108 ) ( CITY ?auto_8109 ) ( AT ?auto_8107 ?auto_8108 ) ( IN-CITY ?auto_8108 ?auto_8109 ) ( IN-CITY ?auto_8106 ?auto_8109 ) ( DIFFERENT ?auto_8106 ?auto_8108 ) ( LOCATION ?auto_8111 ) ( AT ?auto_8107 ?auto_8111 ) ( AIRPLANE ?auto_8110 ) ( IN ?auto_8105 ?auto_8110 ) ( AIRPORT ?auto_8114 ) ( AIRPORT ?auto_8111 ) ( DIFFERENT ?auto_8111 ?auto_8114 ) ( AIRPORT ?auto_8116 ) ( AT ?auto_8110 ?auto_8116 ) ( DIFFERENT ?auto_8114 ?auto_8116 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8110 ?auto_8116 ?auto_8114 )
      ( DELIVER-PKG ?auto_8105 ?auto_8106 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8147
      ?auto_8148
    )
    :vars
    (
      ?auto_8155
      ?auto_8152
      ?auto_8158
      ?auto_8149
      ?auto_8153
      ?auto_8157
      ?auto_8150
      ?auto_8159
      ?auto_8154
      ?auto_8161
    )
    :precondition
    ( and ( OBJ ?auto_8147 ) ( LOCATION ?auto_8148 ) ( TRUCK ?auto_8155 ) ( LOCATION ?auto_8152 ) ( CITY ?auto_8158 ) ( AT ?auto_8155 ?auto_8152 ) ( IN-CITY ?auto_8152 ?auto_8158 ) ( IN-CITY ?auto_8148 ?auto_8158 ) ( DIFFERENT ?auto_8148 ?auto_8152 ) ( LOCATION ?auto_8149 ) ( AT ?auto_8155 ?auto_8149 ) ( AIRPLANE ?auto_8153 ) ( AIRPORT ?auto_8157 ) ( AIRPORT ?auto_8149 ) ( DIFFERENT ?auto_8149 ?auto_8157 ) ( AIRPORT ?auto_8150 ) ( AT ?auto_8153 ?auto_8150 ) ( DIFFERENT ?auto_8157 ?auto_8150 ) ( LOCATION ?auto_8159 ) ( AT ?auto_8153 ?auto_8159 ) ( AIRPLANE ?auto_8154 ) ( AT ?auto_8154 ?auto_8159 ) ( LOCATION ?auto_8161 ) ( AT ?auto_8147 ?auto_8161 ) ( AT ?auto_8154 ?auto_8161 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8147 ?auto_8154 ?auto_8161 )
      ( DELIVER-PKG ?auto_8147 ?auto_8148 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8132
      ?auto_8133
    )
    :vars
    (
      ?auto_8138
      ?auto_8142
      ?auto_8141
      ?auto_8134
      ?auto_8143
      ?auto_8136
      ?auto_8139
      ?auto_8137
      ?auto_8145
    )
    :precondition
    ( and ( OBJ ?auto_8132 ) ( LOCATION ?auto_8133 ) ( TRUCK ?auto_8138 ) ( LOCATION ?auto_8142 ) ( CITY ?auto_8141 ) ( AT ?auto_8138 ?auto_8142 ) ( IN-CITY ?auto_8142 ?auto_8141 ) ( IN-CITY ?auto_8133 ?auto_8141 ) ( DIFFERENT ?auto_8133 ?auto_8142 ) ( LOCATION ?auto_8134 ) ( AT ?auto_8138 ?auto_8134 ) ( AIRPLANE ?auto_8143 ) ( AIRPORT ?auto_8136 ) ( AIRPORT ?auto_8134 ) ( DIFFERENT ?auto_8134 ?auto_8136 ) ( AIRPORT ?auto_8139 ) ( AT ?auto_8143 ?auto_8139 ) ( DIFFERENT ?auto_8136 ?auto_8139 ) ( LOCATION ?auto_8137 ) ( AT ?auto_8143 ?auto_8137 ) ( AIRPLANE ?auto_8145 ) ( IN ?auto_8132 ?auto_8145 ) ( AT ?auto_8145 ?auto_8137 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8132 ?auto_8137 )
      ( DELIVER-PKG ?auto_8132 ?auto_8133 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8163
      ?auto_8164
    )
    :vars
    (
      ?auto_8175
      ?auto_8165
      ?auto_8174
      ?auto_8169
      ?auto_8166
      ?auto_8171
      ?auto_8176
      ?auto_8170
      ?auto_8168
      ?auto_8172
      ?auto_8177
    )
    :precondition
    ( and ( OBJ ?auto_8163 ) ( LOCATION ?auto_8164 ) ( TRUCK ?auto_8175 ) ( LOCATION ?auto_8165 ) ( CITY ?auto_8174 ) ( AT ?auto_8175 ?auto_8165 ) ( IN-CITY ?auto_8165 ?auto_8174 ) ( IN-CITY ?auto_8164 ?auto_8174 ) ( DIFFERENT ?auto_8164 ?auto_8165 ) ( LOCATION ?auto_8169 ) ( AT ?auto_8175 ?auto_8169 ) ( AIRPLANE ?auto_8166 ) ( AIRPORT ?auto_8171 ) ( AIRPORT ?auto_8169 ) ( DIFFERENT ?auto_8169 ?auto_8171 ) ( AIRPORT ?auto_8176 ) ( AT ?auto_8166 ?auto_8176 ) ( DIFFERENT ?auto_8171 ?auto_8176 ) ( LOCATION ?auto_8170 ) ( AT ?auto_8166 ?auto_8170 ) ( AIRPLANE ?auto_8168 ) ( AT ?auto_8168 ?auto_8170 ) ( LOCATION ?auto_8172 ) ( AT ?auto_8168 ?auto_8172 ) ( TRUCK ?auto_8177 ) ( AT ?auto_8177 ?auto_8172 ) ( IN ?auto_8163 ?auto_8177 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8163 ?auto_8172 )
      ( DELIVER-PKG ?auto_8163 ?auto_8164 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8180
      ?auto_8181
    )
    :vars
    (
      ?auto_8194
      ?auto_8186
      ?auto_8193
      ?auto_8187
      ?auto_8184
      ?auto_8185
      ?auto_8192
      ?auto_8190
      ?auto_8191
      ?auto_8188
      ?auto_8183
      ?auto_8197
      ?auto_8196
    )
    :precondition
    ( and ( OBJ ?auto_8180 ) ( LOCATION ?auto_8181 ) ( TRUCK ?auto_8194 ) ( LOCATION ?auto_8186 ) ( CITY ?auto_8193 ) ( AT ?auto_8194 ?auto_8186 ) ( IN-CITY ?auto_8186 ?auto_8193 ) ( IN-CITY ?auto_8181 ?auto_8193 ) ( DIFFERENT ?auto_8181 ?auto_8186 ) ( LOCATION ?auto_8187 ) ( AT ?auto_8194 ?auto_8187 ) ( AIRPLANE ?auto_8184 ) ( AIRPORT ?auto_8185 ) ( AIRPORT ?auto_8187 ) ( DIFFERENT ?auto_8187 ?auto_8185 ) ( AIRPORT ?auto_8192 ) ( AT ?auto_8184 ?auto_8192 ) ( DIFFERENT ?auto_8185 ?auto_8192 ) ( LOCATION ?auto_8190 ) ( AT ?auto_8184 ?auto_8190 ) ( AIRPLANE ?auto_8191 ) ( AT ?auto_8191 ?auto_8190 ) ( LOCATION ?auto_8188 ) ( AT ?auto_8191 ?auto_8188 ) ( TRUCK ?auto_8183 ) ( IN ?auto_8180 ?auto_8183 ) ( LOCATION ?auto_8197 ) ( CITY ?auto_8196 ) ( AT ?auto_8183 ?auto_8197 ) ( IN-CITY ?auto_8197 ?auto_8196 ) ( IN-CITY ?auto_8188 ?auto_8196 ) ( DIFFERENT ?auto_8188 ?auto_8197 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8183 ?auto_8197 ?auto_8188 ?auto_8196 )
      ( DELIVER-PKG ?auto_8180 ?auto_8181 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8199
      ?auto_8200
    )
    :vars
    (
      ?auto_8209
      ?auto_8213
      ?auto_8201
      ?auto_8214
      ?auto_8211
      ?auto_8212
      ?auto_8215
      ?auto_8210
      ?auto_8203
      ?auto_8202
      ?auto_8204
      ?auto_8208
      ?auto_8207
      ?auto_8218
      ?auto_8217
    )
    :precondition
    ( and ( OBJ ?auto_8199 ) ( LOCATION ?auto_8200 ) ( TRUCK ?auto_8209 ) ( LOCATION ?auto_8213 ) ( CITY ?auto_8201 ) ( AT ?auto_8209 ?auto_8213 ) ( IN-CITY ?auto_8213 ?auto_8201 ) ( IN-CITY ?auto_8200 ?auto_8201 ) ( DIFFERENT ?auto_8200 ?auto_8213 ) ( LOCATION ?auto_8214 ) ( AT ?auto_8209 ?auto_8214 ) ( AIRPLANE ?auto_8211 ) ( AIRPORT ?auto_8212 ) ( AIRPORT ?auto_8214 ) ( DIFFERENT ?auto_8214 ?auto_8212 ) ( AIRPORT ?auto_8215 ) ( AT ?auto_8211 ?auto_8215 ) ( DIFFERENT ?auto_8212 ?auto_8215 ) ( LOCATION ?auto_8210 ) ( AT ?auto_8211 ?auto_8210 ) ( AIRPLANE ?auto_8203 ) ( AT ?auto_8203 ?auto_8210 ) ( LOCATION ?auto_8202 ) ( AT ?auto_8203 ?auto_8202 ) ( TRUCK ?auto_8204 ) ( IN ?auto_8199 ?auto_8204 ) ( LOCATION ?auto_8208 ) ( CITY ?auto_8207 ) ( IN-CITY ?auto_8208 ?auto_8207 ) ( IN-CITY ?auto_8202 ?auto_8207 ) ( DIFFERENT ?auto_8202 ?auto_8208 ) ( LOCATION ?auto_8218 ) ( CITY ?auto_8217 ) ( AT ?auto_8204 ?auto_8218 ) ( IN-CITY ?auto_8218 ?auto_8217 ) ( IN-CITY ?auto_8208 ?auto_8217 ) ( DIFFERENT ?auto_8208 ?auto_8218 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8204 ?auto_8218 ?auto_8208 ?auto_8217 )
      ( DELIVER-PKG ?auto_8199 ?auto_8200 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8220
      ?auto_8221
    )
    :vars
    (
      ?auto_8225
      ?auto_8222
      ?auto_8228
      ?auto_8231
      ?auto_8230
      ?auto_8223
      ?auto_8226
      ?auto_8227
      ?auto_8229
      ?auto_8234
      ?auto_8237
      ?auto_8233
      ?auto_8238
      ?auto_8236
      ?auto_8235
      ?auto_8241
      ?auto_8240
    )
    :precondition
    ( and ( OBJ ?auto_8220 ) ( LOCATION ?auto_8221 ) ( TRUCK ?auto_8225 ) ( LOCATION ?auto_8222 ) ( CITY ?auto_8228 ) ( AT ?auto_8225 ?auto_8222 ) ( IN-CITY ?auto_8222 ?auto_8228 ) ( IN-CITY ?auto_8221 ?auto_8228 ) ( DIFFERENT ?auto_8221 ?auto_8222 ) ( LOCATION ?auto_8231 ) ( AT ?auto_8225 ?auto_8231 ) ( AIRPLANE ?auto_8230 ) ( AIRPORT ?auto_8223 ) ( AIRPORT ?auto_8231 ) ( DIFFERENT ?auto_8231 ?auto_8223 ) ( AIRPORT ?auto_8226 ) ( AT ?auto_8230 ?auto_8226 ) ( DIFFERENT ?auto_8223 ?auto_8226 ) ( LOCATION ?auto_8227 ) ( AT ?auto_8230 ?auto_8227 ) ( AIRPLANE ?auto_8229 ) ( AT ?auto_8229 ?auto_8227 ) ( LOCATION ?auto_8234 ) ( AT ?auto_8229 ?auto_8234 ) ( TRUCK ?auto_8237 ) ( IN ?auto_8220 ?auto_8237 ) ( LOCATION ?auto_8233 ) ( CITY ?auto_8238 ) ( IN-CITY ?auto_8233 ?auto_8238 ) ( IN-CITY ?auto_8234 ?auto_8238 ) ( DIFFERENT ?auto_8234 ?auto_8233 ) ( LOCATION ?auto_8236 ) ( CITY ?auto_8235 ) ( IN-CITY ?auto_8236 ?auto_8235 ) ( IN-CITY ?auto_8233 ?auto_8235 ) ( DIFFERENT ?auto_8233 ?auto_8236 ) ( LOCATION ?auto_8241 ) ( CITY ?auto_8240 ) ( AT ?auto_8237 ?auto_8241 ) ( IN-CITY ?auto_8241 ?auto_8240 ) ( IN-CITY ?auto_8236 ?auto_8240 ) ( DIFFERENT ?auto_8236 ?auto_8241 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8237 ?auto_8241 ?auto_8236 ?auto_8240 )
      ( DELIVER-PKG ?auto_8220 ?auto_8221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8285
      ?auto_8286
    )
    :vars
    (
      ?auto_8291
      ?auto_8288
      ?auto_8294
      ?auto_8297
      ?auto_8296
      ?auto_8290
      ?auto_8292
      ?auto_8293
      ?auto_8295
      ?auto_8299
      ?auto_8302
      ?auto_8298
      ?auto_8304
      ?auto_8301
      ?auto_8300
      ?auto_8305
      ?auto_8303
      ?auto_8308
      ?auto_8307
    )
    :precondition
    ( and ( OBJ ?auto_8285 ) ( LOCATION ?auto_8286 ) ( TRUCK ?auto_8291 ) ( LOCATION ?auto_8288 ) ( CITY ?auto_8294 ) ( AT ?auto_8291 ?auto_8288 ) ( IN-CITY ?auto_8288 ?auto_8294 ) ( IN-CITY ?auto_8286 ?auto_8294 ) ( DIFFERENT ?auto_8286 ?auto_8288 ) ( LOCATION ?auto_8297 ) ( AT ?auto_8291 ?auto_8297 ) ( AIRPLANE ?auto_8296 ) ( AIRPORT ?auto_8290 ) ( AIRPORT ?auto_8297 ) ( DIFFERENT ?auto_8297 ?auto_8290 ) ( AIRPORT ?auto_8292 ) ( AT ?auto_8296 ?auto_8292 ) ( DIFFERENT ?auto_8290 ?auto_8292 ) ( LOCATION ?auto_8293 ) ( AT ?auto_8296 ?auto_8293 ) ( AIRPLANE ?auto_8295 ) ( AT ?auto_8295 ?auto_8293 ) ( LOCATION ?auto_8299 ) ( AT ?auto_8295 ?auto_8299 ) ( TRUCK ?auto_8302 ) ( IN ?auto_8285 ?auto_8302 ) ( LOCATION ?auto_8298 ) ( CITY ?auto_8304 ) ( IN-CITY ?auto_8298 ?auto_8304 ) ( IN-CITY ?auto_8299 ?auto_8304 ) ( DIFFERENT ?auto_8299 ?auto_8298 ) ( LOCATION ?auto_8301 ) ( CITY ?auto_8300 ) ( IN-CITY ?auto_8301 ?auto_8300 ) ( IN-CITY ?auto_8298 ?auto_8300 ) ( DIFFERENT ?auto_8298 ?auto_8301 ) ( LOCATION ?auto_8305 ) ( CITY ?auto_8303 ) ( IN-CITY ?auto_8305 ?auto_8303 ) ( IN-CITY ?auto_8301 ?auto_8303 ) ( DIFFERENT ?auto_8301 ?auto_8305 ) ( LOCATION ?auto_8308 ) ( CITY ?auto_8307 ) ( AT ?auto_8302 ?auto_8308 ) ( IN-CITY ?auto_8308 ?auto_8307 ) ( IN-CITY ?auto_8305 ?auto_8307 ) ( DIFFERENT ?auto_8305 ?auto_8308 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8302 ?auto_8308 ?auto_8305 ?auto_8307 )
      ( DELIVER-PKG ?auto_8285 ?auto_8286 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8333
      ?auto_8334
    )
    :vars
    (
      ?auto_8343
      ?auto_8341
      ?auto_8349
      ?auto_8346
      ?auto_8345
      ?auto_8342
      ?auto_8344
      ?auto_8348
      ?auto_8350
      ?auto_8337
      ?auto_8340
      ?auto_8347
      ?auto_8353
      ?auto_8339
      ?auto_8338
      ?auto_8354
      ?auto_8351
      ?auto_8355
      ?auto_8352
      ?auto_8358
      ?auto_8357
    )
    :precondition
    ( and ( OBJ ?auto_8333 ) ( LOCATION ?auto_8334 ) ( TRUCK ?auto_8343 ) ( LOCATION ?auto_8341 ) ( CITY ?auto_8349 ) ( AT ?auto_8343 ?auto_8341 ) ( IN-CITY ?auto_8341 ?auto_8349 ) ( IN-CITY ?auto_8334 ?auto_8349 ) ( DIFFERENT ?auto_8334 ?auto_8341 ) ( LOCATION ?auto_8346 ) ( AT ?auto_8343 ?auto_8346 ) ( AIRPLANE ?auto_8345 ) ( AIRPORT ?auto_8342 ) ( AIRPORT ?auto_8346 ) ( DIFFERENT ?auto_8346 ?auto_8342 ) ( AIRPORT ?auto_8344 ) ( AT ?auto_8345 ?auto_8344 ) ( DIFFERENT ?auto_8342 ?auto_8344 ) ( LOCATION ?auto_8348 ) ( AT ?auto_8345 ?auto_8348 ) ( AIRPLANE ?auto_8350 ) ( AT ?auto_8350 ?auto_8348 ) ( LOCATION ?auto_8337 ) ( AT ?auto_8350 ?auto_8337 ) ( TRUCK ?auto_8340 ) ( IN ?auto_8333 ?auto_8340 ) ( LOCATION ?auto_8347 ) ( CITY ?auto_8353 ) ( IN-CITY ?auto_8347 ?auto_8353 ) ( IN-CITY ?auto_8337 ?auto_8353 ) ( DIFFERENT ?auto_8337 ?auto_8347 ) ( LOCATION ?auto_8339 ) ( CITY ?auto_8338 ) ( IN-CITY ?auto_8339 ?auto_8338 ) ( IN-CITY ?auto_8347 ?auto_8338 ) ( DIFFERENT ?auto_8347 ?auto_8339 ) ( LOCATION ?auto_8354 ) ( CITY ?auto_8351 ) ( IN-CITY ?auto_8354 ?auto_8351 ) ( IN-CITY ?auto_8339 ?auto_8351 ) ( DIFFERENT ?auto_8339 ?auto_8354 ) ( LOCATION ?auto_8355 ) ( CITY ?auto_8352 ) ( IN-CITY ?auto_8355 ?auto_8352 ) ( IN-CITY ?auto_8354 ?auto_8352 ) ( DIFFERENT ?auto_8354 ?auto_8355 ) ( LOCATION ?auto_8358 ) ( CITY ?auto_8357 ) ( AT ?auto_8340 ?auto_8358 ) ( IN-CITY ?auto_8358 ?auto_8357 ) ( IN-CITY ?auto_8355 ?auto_8357 ) ( DIFFERENT ?auto_8355 ?auto_8358 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8340 ?auto_8358 ?auto_8355 ?auto_8357 )
      ( DELIVER-PKG ?auto_8333 ?auto_8334 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8410
      ?auto_8411
    )
    :vars
    (
      ?auto_8423
      ?auto_8421
      ?auto_8429
      ?auto_8426
      ?auto_8425
      ?auto_8422
      ?auto_8424
      ?auto_8428
      ?auto_8430
      ?auto_8413
      ?auto_8433
      ?auto_8427
      ?auto_8417
      ?auto_8414
      ?auto_8415
      ?auto_8419
      ?auto_8431
      ?auto_8420
      ?auto_8432
      ?auto_8416
      ?auto_8418
      ?auto_8436
    )
    :precondition
    ( and ( OBJ ?auto_8410 ) ( LOCATION ?auto_8411 ) ( TRUCK ?auto_8423 ) ( LOCATION ?auto_8421 ) ( CITY ?auto_8429 ) ( AT ?auto_8423 ?auto_8421 ) ( IN-CITY ?auto_8421 ?auto_8429 ) ( IN-CITY ?auto_8411 ?auto_8429 ) ( DIFFERENT ?auto_8411 ?auto_8421 ) ( LOCATION ?auto_8426 ) ( AT ?auto_8423 ?auto_8426 ) ( AIRPLANE ?auto_8425 ) ( AIRPORT ?auto_8422 ) ( AIRPORT ?auto_8426 ) ( DIFFERENT ?auto_8426 ?auto_8422 ) ( AIRPORT ?auto_8424 ) ( AT ?auto_8425 ?auto_8424 ) ( DIFFERENT ?auto_8422 ?auto_8424 ) ( LOCATION ?auto_8428 ) ( AT ?auto_8425 ?auto_8428 ) ( AIRPLANE ?auto_8430 ) ( AT ?auto_8430 ?auto_8428 ) ( LOCATION ?auto_8413 ) ( AT ?auto_8430 ?auto_8413 ) ( TRUCK ?auto_8433 ) ( LOCATION ?auto_8427 ) ( CITY ?auto_8417 ) ( IN-CITY ?auto_8427 ?auto_8417 ) ( IN-CITY ?auto_8413 ?auto_8417 ) ( DIFFERENT ?auto_8413 ?auto_8427 ) ( LOCATION ?auto_8414 ) ( CITY ?auto_8415 ) ( IN-CITY ?auto_8414 ?auto_8415 ) ( IN-CITY ?auto_8427 ?auto_8415 ) ( DIFFERENT ?auto_8427 ?auto_8414 ) ( LOCATION ?auto_8419 ) ( CITY ?auto_8431 ) ( IN-CITY ?auto_8419 ?auto_8431 ) ( IN-CITY ?auto_8414 ?auto_8431 ) ( DIFFERENT ?auto_8414 ?auto_8419 ) ( LOCATION ?auto_8420 ) ( CITY ?auto_8432 ) ( IN-CITY ?auto_8420 ?auto_8432 ) ( IN-CITY ?auto_8419 ?auto_8432 ) ( DIFFERENT ?auto_8419 ?auto_8420 ) ( LOCATION ?auto_8416 ) ( CITY ?auto_8418 ) ( AT ?auto_8433 ?auto_8416 ) ( IN-CITY ?auto_8416 ?auto_8418 ) ( IN-CITY ?auto_8420 ?auto_8418 ) ( DIFFERENT ?auto_8420 ?auto_8416 ) ( LOCATION ?auto_8436 ) ( AT ?auto_8433 ?auto_8436 ) ( AT ?auto_8410 ?auto_8436 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8410 ?auto_8433 ?auto_8436 )
      ( DELIVER-PKG ?auto_8410 ?auto_8411 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8464
      ?auto_8465
    )
    :vars
    (
      ?auto_8478
      ?auto_8476
      ?auto_8484
      ?auto_8481
      ?auto_8480
      ?auto_8477
      ?auto_8479
      ?auto_8483
      ?auto_8486
      ?auto_8468
      ?auto_8489
      ?auto_8482
      ?auto_8472
      ?auto_8469
      ?auto_8470
      ?auto_8474
      ?auto_8487
      ?auto_8475
      ?auto_8488
      ?auto_8485
      ?auto_8473
      ?auto_8492
      ?auto_8491
    )
    :precondition
    ( and ( OBJ ?auto_8464 ) ( LOCATION ?auto_8465 ) ( TRUCK ?auto_8478 ) ( LOCATION ?auto_8476 ) ( CITY ?auto_8484 ) ( AT ?auto_8478 ?auto_8476 ) ( IN-CITY ?auto_8476 ?auto_8484 ) ( IN-CITY ?auto_8465 ?auto_8484 ) ( DIFFERENT ?auto_8465 ?auto_8476 ) ( LOCATION ?auto_8481 ) ( AT ?auto_8478 ?auto_8481 ) ( AIRPLANE ?auto_8480 ) ( AIRPORT ?auto_8477 ) ( AIRPORT ?auto_8481 ) ( DIFFERENT ?auto_8481 ?auto_8477 ) ( AIRPORT ?auto_8479 ) ( AT ?auto_8480 ?auto_8479 ) ( DIFFERENT ?auto_8477 ?auto_8479 ) ( LOCATION ?auto_8483 ) ( AT ?auto_8480 ?auto_8483 ) ( AIRPLANE ?auto_8486 ) ( AT ?auto_8486 ?auto_8483 ) ( LOCATION ?auto_8468 ) ( AT ?auto_8486 ?auto_8468 ) ( TRUCK ?auto_8489 ) ( LOCATION ?auto_8482 ) ( CITY ?auto_8472 ) ( IN-CITY ?auto_8482 ?auto_8472 ) ( IN-CITY ?auto_8468 ?auto_8472 ) ( DIFFERENT ?auto_8468 ?auto_8482 ) ( LOCATION ?auto_8469 ) ( CITY ?auto_8470 ) ( IN-CITY ?auto_8469 ?auto_8470 ) ( IN-CITY ?auto_8482 ?auto_8470 ) ( DIFFERENT ?auto_8482 ?auto_8469 ) ( LOCATION ?auto_8474 ) ( CITY ?auto_8487 ) ( IN-CITY ?auto_8474 ?auto_8487 ) ( IN-CITY ?auto_8469 ?auto_8487 ) ( DIFFERENT ?auto_8469 ?auto_8474 ) ( LOCATION ?auto_8475 ) ( CITY ?auto_8488 ) ( IN-CITY ?auto_8475 ?auto_8488 ) ( IN-CITY ?auto_8474 ?auto_8488 ) ( DIFFERENT ?auto_8474 ?auto_8475 ) ( LOCATION ?auto_8485 ) ( CITY ?auto_8473 ) ( IN-CITY ?auto_8485 ?auto_8473 ) ( IN-CITY ?auto_8475 ?auto_8473 ) ( DIFFERENT ?auto_8475 ?auto_8485 ) ( AT ?auto_8464 ?auto_8485 ) ( LOCATION ?auto_8492 ) ( CITY ?auto_8491 ) ( AT ?auto_8489 ?auto_8492 ) ( IN-CITY ?auto_8492 ?auto_8491 ) ( IN-CITY ?auto_8485 ?auto_8491 ) ( DIFFERENT ?auto_8485 ?auto_8492 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8489 ?auto_8492 ?auto_8485 ?auto_8491 )
      ( DELIVER-PKG ?auto_8464 ?auto_8465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12153
      ?auto_12154
    )
    :vars
    (
      ?auto_12164
      ?auto_12155
      ?auto_12165
      ?auto_12157
      ?auto_12167
      ?auto_12159
      ?auto_12158
      ?auto_12166
      ?auto_12162
      ?auto_12161
      ?auto_12160
      ?auto_12169
    )
    :precondition
    ( and ( OBJ ?auto_12153 ) ( LOCATION ?auto_12154 ) ( AIRPLANE ?auto_12164 ) ( AT ?auto_12164 ?auto_12154 ) ( LOCATION ?auto_12155 ) ( AT ?auto_12164 ?auto_12155 ) ( AIRPLANE ?auto_12165 ) ( AT ?auto_12165 ?auto_12155 ) ( LOCATION ?auto_12157 ) ( AT ?auto_12165 ?auto_12157 ) ( AIRPLANE ?auto_12167 ) ( AT ?auto_12167 ?auto_12157 ) ( LOCATION ?auto_12159 ) ( AT ?auto_12167 ?auto_12159 ) ( AIRPLANE ?auto_12158 ) ( AT ?auto_12158 ?auto_12159 ) ( LOCATION ?auto_12166 ) ( AT ?auto_12158 ?auto_12166 ) ( TRUCK ?auto_12162 ) ( LOCATION ?auto_12161 ) ( CITY ?auto_12160 ) ( AT ?auto_12162 ?auto_12161 ) ( IN-CITY ?auto_12161 ?auto_12160 ) ( IN-CITY ?auto_12166 ?auto_12160 ) ( DIFFERENT ?auto_12166 ?auto_12161 ) ( LOCATION ?auto_12169 ) ( AT ?auto_12162 ?auto_12169 ) ( AT ?auto_12153 ?auto_12169 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12153 ?auto_12162 ?auto_12169 )
      ( DELIVER-PKG ?auto_12153 ?auto_12154 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8798
      ?auto_8799
    )
    :vars
    (
      ?auto_8801
      ?auto_8803
      ?auto_8802
      ?auto_8806
      ?auto_8805
      ?auto_8810
      ?auto_8809
    )
    :precondition
    ( and ( OBJ ?auto_8798 ) ( LOCATION ?auto_8799 ) ( AIRPLANE ?auto_8801 ) ( AT ?auto_8801 ?auto_8799 ) ( LOCATION ?auto_8803 ) ( AT ?auto_8801 ?auto_8803 ) ( TRUCK ?auto_8802 ) ( LOCATION ?auto_8806 ) ( CITY ?auto_8805 ) ( IN-CITY ?auto_8806 ?auto_8805 ) ( IN-CITY ?auto_8803 ?auto_8805 ) ( DIFFERENT ?auto_8803 ?auto_8806 ) ( AT ?auto_8798 ?auto_8806 ) ( LOCATION ?auto_8810 ) ( CITY ?auto_8809 ) ( AT ?auto_8802 ?auto_8810 ) ( IN-CITY ?auto_8810 ?auto_8809 ) ( IN-CITY ?auto_8806 ?auto_8809 ) ( DIFFERENT ?auto_8806 ?auto_8810 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8802 ?auto_8810 ?auto_8806 ?auto_8809 )
      ( DELIVER-PKG ?auto_8798 ?auto_8799 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8823
      ?auto_8824
    )
    :vars
    (
      ?auto_8831
      ?auto_8827
      ?auto_8828
      ?auto_8832
      ?auto_8826
      ?auto_8830
      ?auto_8829
      ?auto_8836
      ?auto_8835
    )
    :precondition
    ( and ( OBJ ?auto_8823 ) ( LOCATION ?auto_8824 ) ( AIRPLANE ?auto_8831 ) ( AT ?auto_8831 ?auto_8824 ) ( LOCATION ?auto_8827 ) ( AT ?auto_8831 ?auto_8827 ) ( TRUCK ?auto_8828 ) ( LOCATION ?auto_8832 ) ( CITY ?auto_8826 ) ( IN-CITY ?auto_8832 ?auto_8826 ) ( IN-CITY ?auto_8827 ?auto_8826 ) ( DIFFERENT ?auto_8827 ?auto_8832 ) ( AT ?auto_8823 ?auto_8832 ) ( LOCATION ?auto_8830 ) ( CITY ?auto_8829 ) ( IN-CITY ?auto_8830 ?auto_8829 ) ( IN-CITY ?auto_8832 ?auto_8829 ) ( DIFFERENT ?auto_8832 ?auto_8830 ) ( LOCATION ?auto_8836 ) ( CITY ?auto_8835 ) ( AT ?auto_8828 ?auto_8836 ) ( IN-CITY ?auto_8836 ?auto_8835 ) ( IN-CITY ?auto_8830 ?auto_8835 ) ( DIFFERENT ?auto_8830 ?auto_8836 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8828 ?auto_8836 ?auto_8830 ?auto_8835 )
      ( DELIVER-PKG ?auto_8823 ?auto_8824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9645
      ?auto_9646
    )
    :vars
    (
      ?auto_9648
      ?auto_9649
      ?auto_9652
      ?auto_9647
      ?auto_9651
      ?auto_9655
      ?auto_9654
      ?auto_9657
      ?auto_9656
      ?auto_9659
    )
    :precondition
    ( and ( OBJ ?auto_9645 ) ( LOCATION ?auto_9646 ) ( TRUCK ?auto_9648 ) ( LOCATION ?auto_9649 ) ( CITY ?auto_9652 ) ( IN-CITY ?auto_9649 ?auto_9652 ) ( IN-CITY ?auto_9646 ?auto_9652 ) ( DIFFERENT ?auto_9646 ?auto_9649 ) ( LOCATION ?auto_9647 ) ( CITY ?auto_9651 ) ( IN-CITY ?auto_9647 ?auto_9651 ) ( IN-CITY ?auto_9649 ?auto_9651 ) ( DIFFERENT ?auto_9649 ?auto_9647 ) ( LOCATION ?auto_9655 ) ( CITY ?auto_9654 ) ( IN-CITY ?auto_9655 ?auto_9654 ) ( IN-CITY ?auto_9647 ?auto_9654 ) ( DIFFERENT ?auto_9647 ?auto_9655 ) ( LOCATION ?auto_9657 ) ( CITY ?auto_9656 ) ( AT ?auto_9648 ?auto_9657 ) ( IN-CITY ?auto_9657 ?auto_9656 ) ( IN-CITY ?auto_9655 ?auto_9656 ) ( DIFFERENT ?auto_9655 ?auto_9657 ) ( LOCATION ?auto_9659 ) ( AT ?auto_9648 ?auto_9659 ) ( AT ?auto_9645 ?auto_9659 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9645 ?auto_9648 ?auto_9659 )
      ( DELIVER-PKG ?auto_9645 ?auto_9646 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9675
      ?auto_9676
    )
    :vars
    (
      ?auto_9677
      ?auto_9680
      ?auto_9682
      ?auto_9678
      ?auto_9681
      ?auto_9684
      ?auto_9683
      ?auto_9688
      ?auto_9685
      ?auto_9691
      ?auto_9690
    )
    :precondition
    ( and ( OBJ ?auto_9675 ) ( LOCATION ?auto_9676 ) ( TRUCK ?auto_9677 ) ( LOCATION ?auto_9680 ) ( CITY ?auto_9682 ) ( IN-CITY ?auto_9680 ?auto_9682 ) ( IN-CITY ?auto_9676 ?auto_9682 ) ( DIFFERENT ?auto_9676 ?auto_9680 ) ( LOCATION ?auto_9678 ) ( CITY ?auto_9681 ) ( IN-CITY ?auto_9678 ?auto_9681 ) ( IN-CITY ?auto_9680 ?auto_9681 ) ( DIFFERENT ?auto_9680 ?auto_9678 ) ( LOCATION ?auto_9684 ) ( CITY ?auto_9683 ) ( IN-CITY ?auto_9684 ?auto_9683 ) ( IN-CITY ?auto_9678 ?auto_9683 ) ( DIFFERENT ?auto_9678 ?auto_9684 ) ( LOCATION ?auto_9688 ) ( CITY ?auto_9685 ) ( IN-CITY ?auto_9688 ?auto_9685 ) ( IN-CITY ?auto_9684 ?auto_9685 ) ( DIFFERENT ?auto_9684 ?auto_9688 ) ( AT ?auto_9675 ?auto_9688 ) ( LOCATION ?auto_9691 ) ( CITY ?auto_9690 ) ( AT ?auto_9677 ?auto_9691 ) ( IN-CITY ?auto_9691 ?auto_9690 ) ( IN-CITY ?auto_9688 ?auto_9690 ) ( DIFFERENT ?auto_9688 ?auto_9691 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9677 ?auto_9691 ?auto_9688 ?auto_9690 )
      ( DELIVER-PKG ?auto_9675 ?auto_9676 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9985
      ?auto_9986
    )
    :vars
    (
      ?auto_9989
      ?auto_9990
      ?auto_9987
      ?auto_9992
      ?auto_9993
    )
    :precondition
    ( and ( OBJ ?auto_9985 ) ( LOCATION ?auto_9986 ) ( TRUCK ?auto_9989 ) ( LOCATION ?auto_9990 ) ( CITY ?auto_9987 ) ( AT ?auto_9989 ?auto_9990 ) ( IN-CITY ?auto_9990 ?auto_9987 ) ( IN-CITY ?auto_9986 ?auto_9987 ) ( DIFFERENT ?auto_9986 ?auto_9990 ) ( LOCATION ?auto_9992 ) ( AT ?auto_9989 ?auto_9992 ) ( TRUCK ?auto_9993 ) ( AT ?auto_9993 ?auto_9992 ) ( IN ?auto_9985 ?auto_9993 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9985 ?auto_9992 )
      ( DELIVER-PKG ?auto_9985 ?auto_9986 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12171
      ?auto_12172
    )
    :vars
    (
      ?auto_12175
      ?auto_12174
      ?auto_12176
      ?auto_12182
      ?auto_12181
      ?auto_12185
      ?auto_12184
      ?auto_12178
      ?auto_12177
      ?auto_12186
      ?auto_12183
      ?auto_12180
      ?auto_12187
    )
    :precondition
    ( and ( OBJ ?auto_12171 ) ( LOCATION ?auto_12172 ) ( AIRPLANE ?auto_12175 ) ( AT ?auto_12175 ?auto_12172 ) ( LOCATION ?auto_12174 ) ( AT ?auto_12175 ?auto_12174 ) ( AIRPLANE ?auto_12176 ) ( AT ?auto_12176 ?auto_12174 ) ( LOCATION ?auto_12182 ) ( AT ?auto_12176 ?auto_12182 ) ( AIRPLANE ?auto_12181 ) ( AT ?auto_12181 ?auto_12182 ) ( LOCATION ?auto_12185 ) ( AT ?auto_12181 ?auto_12185 ) ( AIRPLANE ?auto_12184 ) ( AT ?auto_12184 ?auto_12185 ) ( LOCATION ?auto_12178 ) ( AT ?auto_12184 ?auto_12178 ) ( TRUCK ?auto_12177 ) ( LOCATION ?auto_12186 ) ( CITY ?auto_12183 ) ( AT ?auto_12177 ?auto_12186 ) ( IN-CITY ?auto_12186 ?auto_12183 ) ( IN-CITY ?auto_12178 ?auto_12183 ) ( DIFFERENT ?auto_12178 ?auto_12186 ) ( LOCATION ?auto_12180 ) ( AT ?auto_12177 ?auto_12180 ) ( TRUCK ?auto_12187 ) ( AT ?auto_12187 ?auto_12180 ) ( IN ?auto_12171 ?auto_12187 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12171 ?auto_12180 )
      ( DELIVER-PKG ?auto_12171 ?auto_12172 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12566
      ?auto_12567
    )
    :vars
    (
      ?auto_12569
      ?auto_12570
      ?auto_12571
      ?auto_12574
    )
    :precondition
    ( and ( OBJ ?auto_12566 ) ( LOCATION ?auto_12567 ) ( AIRPLANE ?auto_12569 ) ( AIRPORT ?auto_12570 ) ( AIRPORT ?auto_12567 ) ( DIFFERENT ?auto_12567 ?auto_12570 ) ( LOCATION ?auto_12570 ) ( AT ?auto_12566 ?auto_12570 ) ( AIRPORT ?auto_12571 ) ( DIFFERENT ?auto_12570 ?auto_12571 ) ( AIRPORT ?auto_12574 ) ( AT ?auto_12569 ?auto_12574 ) ( DIFFERENT ?auto_12571 ?auto_12574 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12569 ?auto_12574 ?auto_12571 )
      ( DELIVER-PKG ?auto_12566 ?auto_12567 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12664
      ?auto_12665
    )
    :vars
    (
      ?auto_12668
      ?auto_12669
      ?auto_12670
      ?auto_12671
      ?auto_12673
    )
    :precondition
    ( and ( OBJ ?auto_12664 ) ( LOCATION ?auto_12665 ) ( AIRPLANE ?auto_12668 ) ( AIRPORT ?auto_12669 ) ( AIRPORT ?auto_12665 ) ( DIFFERENT ?auto_12665 ?auto_12669 ) ( LOCATION ?auto_12669 ) ( AIRPORT ?auto_12670 ) ( DIFFERENT ?auto_12669 ?auto_12670 ) ( AIRPORT ?auto_12671 ) ( AT ?auto_12668 ?auto_12671 ) ( DIFFERENT ?auto_12670 ?auto_12671 ) ( TRUCK ?auto_12673 ) ( AT ?auto_12673 ?auto_12669 ) ( IN ?auto_12664 ?auto_12673 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12664 ?auto_12669 )
      ( DELIVER-PKG ?auto_12664 ?auto_12665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12684
      ?auto_12685
    )
    :vars
    (
      ?auto_12688
      ?auto_12689
      ?auto_12690
      ?auto_12691
      ?auto_12692
      ?auto_12695
      ?auto_12694
    )
    :precondition
    ( and ( OBJ ?auto_12684 ) ( LOCATION ?auto_12685 ) ( AIRPLANE ?auto_12688 ) ( AIRPORT ?auto_12689 ) ( AIRPORT ?auto_12685 ) ( DIFFERENT ?auto_12685 ?auto_12689 ) ( LOCATION ?auto_12689 ) ( AIRPORT ?auto_12690 ) ( DIFFERENT ?auto_12689 ?auto_12690 ) ( AIRPORT ?auto_12691 ) ( AT ?auto_12688 ?auto_12691 ) ( DIFFERENT ?auto_12690 ?auto_12691 ) ( TRUCK ?auto_12692 ) ( IN ?auto_12684 ?auto_12692 ) ( LOCATION ?auto_12695 ) ( CITY ?auto_12694 ) ( AT ?auto_12692 ?auto_12695 ) ( IN-CITY ?auto_12695 ?auto_12694 ) ( IN-CITY ?auto_12689 ?auto_12694 ) ( DIFFERENT ?auto_12689 ?auto_12695 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12692 ?auto_12695 ?auto_12689 ?auto_12694 )
      ( DELIVER-PKG ?auto_12684 ?auto_12685 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12708
      ?auto_12709
    )
    :vars
    (
      ?auto_12710
      ?auto_12711
      ?auto_12712
      ?auto_12713
      ?auto_12716
      ?auto_12718
      ?auto_12717
      ?auto_12720
    )
    :precondition
    ( and ( OBJ ?auto_12708 ) ( LOCATION ?auto_12709 ) ( AIRPLANE ?auto_12710 ) ( AIRPORT ?auto_12711 ) ( AIRPORT ?auto_12709 ) ( DIFFERENT ?auto_12709 ?auto_12711 ) ( LOCATION ?auto_12711 ) ( AIRPORT ?auto_12712 ) ( DIFFERENT ?auto_12711 ?auto_12712 ) ( AIRPORT ?auto_12713 ) ( AT ?auto_12710 ?auto_12713 ) ( DIFFERENT ?auto_12712 ?auto_12713 ) ( TRUCK ?auto_12716 ) ( LOCATION ?auto_12718 ) ( CITY ?auto_12717 ) ( AT ?auto_12716 ?auto_12718 ) ( IN-CITY ?auto_12718 ?auto_12717 ) ( IN-CITY ?auto_12711 ?auto_12717 ) ( DIFFERENT ?auto_12711 ?auto_12718 ) ( LOCATION ?auto_12720 ) ( AT ?auto_12716 ?auto_12720 ) ( AT ?auto_12708 ?auto_12720 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12708 ?auto_12716 ?auto_12720 )
      ( DELIVER-PKG ?auto_12708 ?auto_12709 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12746
      ?auto_12747
    )
    :vars
    (
      ?auto_12749
      ?auto_12751
      ?auto_12752
      ?auto_12753
      ?auto_12754
      ?auto_12757
      ?auto_12755
      ?auto_12760
      ?auto_12759
    )
    :precondition
    ( and ( OBJ ?auto_12746 ) ( LOCATION ?auto_12747 ) ( AIRPLANE ?auto_12749 ) ( AIRPORT ?auto_12751 ) ( AIRPORT ?auto_12747 ) ( DIFFERENT ?auto_12747 ?auto_12751 ) ( LOCATION ?auto_12751 ) ( AIRPORT ?auto_12752 ) ( DIFFERENT ?auto_12751 ?auto_12752 ) ( AIRPORT ?auto_12753 ) ( AT ?auto_12749 ?auto_12753 ) ( DIFFERENT ?auto_12752 ?auto_12753 ) ( TRUCK ?auto_12754 ) ( LOCATION ?auto_12757 ) ( CITY ?auto_12755 ) ( IN-CITY ?auto_12757 ?auto_12755 ) ( IN-CITY ?auto_12751 ?auto_12755 ) ( DIFFERENT ?auto_12751 ?auto_12757 ) ( AT ?auto_12746 ?auto_12757 ) ( LOCATION ?auto_12760 ) ( CITY ?auto_12759 ) ( AT ?auto_12754 ?auto_12760 ) ( IN-CITY ?auto_12760 ?auto_12759 ) ( IN-CITY ?auto_12757 ?auto_12759 ) ( DIFFERENT ?auto_12757 ?auto_12760 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12754 ?auto_12760 ?auto_12757 ?auto_12759 )
      ( DELIVER-PKG ?auto_12746 ?auto_12747 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13505
      ?auto_13506
    )
    :vars
    (
      ?auto_13510
      ?auto_13507
      ?auto_13511
      ?auto_13513
      ?auto_13509
      ?auto_13508
      ?auto_13512
      ?auto_13517
    )
    :precondition
    ( and ( OBJ ?auto_13505 ) ( LOCATION ?auto_13506 ) ( TRUCK ?auto_13510 ) ( LOCATION ?auto_13507 ) ( CITY ?auto_13511 ) ( AT ?auto_13510 ?auto_13507 ) ( IN-CITY ?auto_13507 ?auto_13511 ) ( IN-CITY ?auto_13506 ?auto_13511 ) ( DIFFERENT ?auto_13506 ?auto_13507 ) ( LOCATION ?auto_13513 ) ( AT ?auto_13510 ?auto_13513 ) ( AIRPLANE ?auto_13509 ) ( AIRPORT ?auto_13508 ) ( AIRPORT ?auto_13513 ) ( DIFFERENT ?auto_13513 ?auto_13508 ) ( LOCATION ?auto_13508 ) ( AT ?auto_13505 ?auto_13508 ) ( AIRPORT ?auto_13512 ) ( DIFFERENT ?auto_13508 ?auto_13512 ) ( AIRPORT ?auto_13517 ) ( AT ?auto_13509 ?auto_13517 ) ( DIFFERENT ?auto_13512 ?auto_13517 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13509 ?auto_13517 ?auto_13512 )
      ( DELIVER-PKG ?auto_13505 ?auto_13506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13651
      ?auto_13652
    )
    :vars
    (
      ?auto_13658
      ?auto_13655
      ?auto_13659
      ?auto_13661
      ?auto_13657
      ?auto_13656
      ?auto_13660
      ?auto_13662
      ?auto_13664
    )
    :precondition
    ( and ( OBJ ?auto_13651 ) ( LOCATION ?auto_13652 ) ( TRUCK ?auto_13658 ) ( LOCATION ?auto_13655 ) ( CITY ?auto_13659 ) ( AT ?auto_13658 ?auto_13655 ) ( IN-CITY ?auto_13655 ?auto_13659 ) ( IN-CITY ?auto_13652 ?auto_13659 ) ( DIFFERENT ?auto_13652 ?auto_13655 ) ( LOCATION ?auto_13661 ) ( AT ?auto_13658 ?auto_13661 ) ( AIRPLANE ?auto_13657 ) ( AIRPORT ?auto_13656 ) ( AIRPORT ?auto_13661 ) ( DIFFERENT ?auto_13661 ?auto_13656 ) ( LOCATION ?auto_13656 ) ( AIRPORT ?auto_13660 ) ( DIFFERENT ?auto_13656 ?auto_13660 ) ( AIRPORT ?auto_13662 ) ( AT ?auto_13657 ?auto_13662 ) ( DIFFERENT ?auto_13660 ?auto_13662 ) ( TRUCK ?auto_13664 ) ( AT ?auto_13664 ?auto_13656 ) ( IN ?auto_13651 ?auto_13664 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13651 ?auto_13656 )
      ( DELIVER-PKG ?auto_13651 ?auto_13652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13679
      ?auto_13680
    )
    :vars
    (
      ?auto_13687
      ?auto_13684
      ?auto_13688
      ?auto_13690
      ?auto_13686
      ?auto_13685
      ?auto_13689
      ?auto_13691
      ?auto_13682
      ?auto_13694
      ?auto_13693
    )
    :precondition
    ( and ( OBJ ?auto_13679 ) ( LOCATION ?auto_13680 ) ( TRUCK ?auto_13687 ) ( LOCATION ?auto_13684 ) ( CITY ?auto_13688 ) ( AT ?auto_13687 ?auto_13684 ) ( IN-CITY ?auto_13684 ?auto_13688 ) ( IN-CITY ?auto_13680 ?auto_13688 ) ( DIFFERENT ?auto_13680 ?auto_13684 ) ( LOCATION ?auto_13690 ) ( AT ?auto_13687 ?auto_13690 ) ( AIRPLANE ?auto_13686 ) ( AIRPORT ?auto_13685 ) ( AIRPORT ?auto_13690 ) ( DIFFERENT ?auto_13690 ?auto_13685 ) ( LOCATION ?auto_13685 ) ( AIRPORT ?auto_13689 ) ( DIFFERENT ?auto_13685 ?auto_13689 ) ( AIRPORT ?auto_13691 ) ( AT ?auto_13686 ?auto_13691 ) ( DIFFERENT ?auto_13689 ?auto_13691 ) ( TRUCK ?auto_13682 ) ( IN ?auto_13679 ?auto_13682 ) ( LOCATION ?auto_13694 ) ( CITY ?auto_13693 ) ( AT ?auto_13682 ?auto_13694 ) ( IN-CITY ?auto_13694 ?auto_13693 ) ( IN-CITY ?auto_13685 ?auto_13693 ) ( DIFFERENT ?auto_13685 ?auto_13694 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13682 ?auto_13694 ?auto_13685 ?auto_13693 )
      ( DELIVER-PKG ?auto_13679 ?auto_13680 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13711
      ?auto_13712
    )
    :vars
    (
      ?auto_13718
      ?auto_13715
      ?auto_13719
      ?auto_13721
      ?auto_13717
      ?auto_13716
      ?auto_13720
      ?auto_13714
      ?auto_13723
      ?auto_13725
      ?auto_13724
      ?auto_13727
    )
    :precondition
    ( and ( OBJ ?auto_13711 ) ( LOCATION ?auto_13712 ) ( TRUCK ?auto_13718 ) ( LOCATION ?auto_13715 ) ( CITY ?auto_13719 ) ( AT ?auto_13718 ?auto_13715 ) ( IN-CITY ?auto_13715 ?auto_13719 ) ( IN-CITY ?auto_13712 ?auto_13719 ) ( DIFFERENT ?auto_13712 ?auto_13715 ) ( LOCATION ?auto_13721 ) ( AT ?auto_13718 ?auto_13721 ) ( AIRPLANE ?auto_13717 ) ( AIRPORT ?auto_13716 ) ( AIRPORT ?auto_13721 ) ( DIFFERENT ?auto_13721 ?auto_13716 ) ( LOCATION ?auto_13716 ) ( AIRPORT ?auto_13720 ) ( DIFFERENT ?auto_13716 ?auto_13720 ) ( AIRPORT ?auto_13714 ) ( AT ?auto_13717 ?auto_13714 ) ( DIFFERENT ?auto_13720 ?auto_13714 ) ( TRUCK ?auto_13723 ) ( LOCATION ?auto_13725 ) ( CITY ?auto_13724 ) ( AT ?auto_13723 ?auto_13725 ) ( IN-CITY ?auto_13725 ?auto_13724 ) ( IN-CITY ?auto_13716 ?auto_13724 ) ( DIFFERENT ?auto_13716 ?auto_13725 ) ( LOCATION ?auto_13727 ) ( AT ?auto_13723 ?auto_13727 ) ( AT ?auto_13711 ?auto_13727 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13711 ?auto_13723 ?auto_13727 )
      ( DELIVER-PKG ?auto_13711 ?auto_13712 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13761
      ?auto_13762
    )
    :vars
    (
      ?auto_13769
      ?auto_13764
      ?auto_13770
      ?auto_13772
      ?auto_13768
      ?auto_13763
      ?auto_13771
      ?auto_13765
      ?auto_13773
      ?auto_13776
      ?auto_13774
      ?auto_13779
      ?auto_13778
    )
    :precondition
    ( and ( OBJ ?auto_13761 ) ( LOCATION ?auto_13762 ) ( TRUCK ?auto_13769 ) ( LOCATION ?auto_13764 ) ( CITY ?auto_13770 ) ( AT ?auto_13769 ?auto_13764 ) ( IN-CITY ?auto_13764 ?auto_13770 ) ( IN-CITY ?auto_13762 ?auto_13770 ) ( DIFFERENT ?auto_13762 ?auto_13764 ) ( LOCATION ?auto_13772 ) ( AT ?auto_13769 ?auto_13772 ) ( AIRPLANE ?auto_13768 ) ( AIRPORT ?auto_13763 ) ( AIRPORT ?auto_13772 ) ( DIFFERENT ?auto_13772 ?auto_13763 ) ( LOCATION ?auto_13763 ) ( AIRPORT ?auto_13771 ) ( DIFFERENT ?auto_13763 ?auto_13771 ) ( AIRPORT ?auto_13765 ) ( AT ?auto_13768 ?auto_13765 ) ( DIFFERENT ?auto_13771 ?auto_13765 ) ( TRUCK ?auto_13773 ) ( LOCATION ?auto_13776 ) ( CITY ?auto_13774 ) ( IN-CITY ?auto_13776 ?auto_13774 ) ( IN-CITY ?auto_13763 ?auto_13774 ) ( DIFFERENT ?auto_13763 ?auto_13776 ) ( AT ?auto_13761 ?auto_13776 ) ( LOCATION ?auto_13779 ) ( CITY ?auto_13778 ) ( AT ?auto_13773 ?auto_13779 ) ( IN-CITY ?auto_13779 ?auto_13778 ) ( IN-CITY ?auto_13776 ?auto_13778 ) ( DIFFERENT ?auto_13776 ?auto_13779 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13773 ?auto_13779 ?auto_13776 ?auto_13778 )
      ( DELIVER-PKG ?auto_13761 ?auto_13762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14521
      ?auto_14522
    )
    :vars
    (
      ?auto_14524
      ?auto_14527
      ?auto_14523
      ?auto_14525
      ?auto_14529
      ?auto_14528
      ?auto_14533
      ?auto_14532
    )
    :precondition
    ( and ( OBJ ?auto_14521 ) ( LOCATION ?auto_14522 ) ( AIRPLANE ?auto_14524 ) ( AIRPORT ?auto_14527 ) ( AIRPORT ?auto_14522 ) ( DIFFERENT ?auto_14522 ?auto_14527 ) ( LOCATION ?auto_14527 ) ( AIRPORT ?auto_14523 ) ( AT ?auto_14524 ?auto_14523 ) ( DIFFERENT ?auto_14527 ?auto_14523 ) ( TRUCK ?auto_14525 ) ( IN ?auto_14521 ?auto_14525 ) ( LOCATION ?auto_14529 ) ( CITY ?auto_14528 ) ( IN-CITY ?auto_14529 ?auto_14528 ) ( IN-CITY ?auto_14527 ?auto_14528 ) ( DIFFERENT ?auto_14527 ?auto_14529 ) ( LOCATION ?auto_14533 ) ( CITY ?auto_14532 ) ( AT ?auto_14525 ?auto_14533 ) ( IN-CITY ?auto_14533 ?auto_14532 ) ( IN-CITY ?auto_14529 ?auto_14532 ) ( DIFFERENT ?auto_14529 ?auto_14533 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14525 ?auto_14533 ?auto_14529 ?auto_14532 )
      ( DELIVER-PKG ?auto_14521 ?auto_14522 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14547
      ?auto_14548
    )
    :vars
    (
      ?auto_14549
      ?auto_14556
      ?auto_14557
      ?auto_14553
      ?auto_14551
      ?auto_14550
      ?auto_14555
      ?auto_14554
      ?auto_14560
    )
    :precondition
    ( and ( OBJ ?auto_14547 ) ( LOCATION ?auto_14548 ) ( AIRPLANE ?auto_14549 ) ( AIRPORT ?auto_14556 ) ( AIRPORT ?auto_14548 ) ( DIFFERENT ?auto_14548 ?auto_14556 ) ( LOCATION ?auto_14556 ) ( AIRPORT ?auto_14557 ) ( AT ?auto_14549 ?auto_14557 ) ( DIFFERENT ?auto_14556 ?auto_14557 ) ( TRUCK ?auto_14553 ) ( LOCATION ?auto_14551 ) ( CITY ?auto_14550 ) ( IN-CITY ?auto_14551 ?auto_14550 ) ( IN-CITY ?auto_14556 ?auto_14550 ) ( DIFFERENT ?auto_14556 ?auto_14551 ) ( LOCATION ?auto_14555 ) ( CITY ?auto_14554 ) ( AT ?auto_14553 ?auto_14555 ) ( IN-CITY ?auto_14555 ?auto_14554 ) ( IN-CITY ?auto_14551 ?auto_14554 ) ( DIFFERENT ?auto_14551 ?auto_14555 ) ( LOCATION ?auto_14560 ) ( AT ?auto_14553 ?auto_14560 ) ( AT ?auto_14547 ?auto_14560 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14547 ?auto_14553 ?auto_14560 )
      ( DELIVER-PKG ?auto_14547 ?auto_14548 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14588
      ?auto_14589
    )
    :vars
    (
      ?auto_14592
      ?auto_14598
      ?auto_14599
      ?auto_14595
      ?auto_14594
      ?auto_14593
      ?auto_14600
      ?auto_14596
      ?auto_14603
      ?auto_14602
    )
    :precondition
    ( and ( OBJ ?auto_14588 ) ( LOCATION ?auto_14589 ) ( AIRPLANE ?auto_14592 ) ( AIRPORT ?auto_14598 ) ( AIRPORT ?auto_14589 ) ( DIFFERENT ?auto_14589 ?auto_14598 ) ( LOCATION ?auto_14598 ) ( AIRPORT ?auto_14599 ) ( AT ?auto_14592 ?auto_14599 ) ( DIFFERENT ?auto_14598 ?auto_14599 ) ( TRUCK ?auto_14595 ) ( LOCATION ?auto_14594 ) ( CITY ?auto_14593 ) ( IN-CITY ?auto_14594 ?auto_14593 ) ( IN-CITY ?auto_14598 ?auto_14593 ) ( DIFFERENT ?auto_14598 ?auto_14594 ) ( LOCATION ?auto_14600 ) ( CITY ?auto_14596 ) ( IN-CITY ?auto_14600 ?auto_14596 ) ( IN-CITY ?auto_14594 ?auto_14596 ) ( DIFFERENT ?auto_14594 ?auto_14600 ) ( AT ?auto_14588 ?auto_14600 ) ( LOCATION ?auto_14603 ) ( CITY ?auto_14602 ) ( AT ?auto_14595 ?auto_14603 ) ( IN-CITY ?auto_14603 ?auto_14602 ) ( IN-CITY ?auto_14600 ?auto_14602 ) ( DIFFERENT ?auto_14600 ?auto_14603 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14595 ?auto_14603 ?auto_14600 ?auto_14602 )
      ( DELIVER-PKG ?auto_14588 ?auto_14589 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14605
      ?auto_14606
    )
    :vars
    (
      ?auto_14609
      ?auto_14611
      ?auto_14612
      ?auto_14616
      ?auto_14615
      ?auto_14614
      ?auto_14613
      ?auto_14610
      ?auto_14618
      ?auto_14617
      ?auto_14620
    )
    :precondition
    ( and ( OBJ ?auto_14605 ) ( LOCATION ?auto_14606 ) ( AIRPLANE ?auto_14609 ) ( AIRPORT ?auto_14611 ) ( AIRPORT ?auto_14606 ) ( DIFFERENT ?auto_14606 ?auto_14611 ) ( LOCATION ?auto_14611 ) ( AIRPORT ?auto_14612 ) ( DIFFERENT ?auto_14611 ?auto_14612 ) ( TRUCK ?auto_14616 ) ( LOCATION ?auto_14615 ) ( CITY ?auto_14614 ) ( IN-CITY ?auto_14615 ?auto_14614 ) ( IN-CITY ?auto_14611 ?auto_14614 ) ( DIFFERENT ?auto_14611 ?auto_14615 ) ( LOCATION ?auto_14613 ) ( CITY ?auto_14610 ) ( IN-CITY ?auto_14613 ?auto_14610 ) ( IN-CITY ?auto_14615 ?auto_14610 ) ( DIFFERENT ?auto_14615 ?auto_14613 ) ( AT ?auto_14605 ?auto_14613 ) ( LOCATION ?auto_14618 ) ( CITY ?auto_14617 ) ( AT ?auto_14616 ?auto_14618 ) ( IN-CITY ?auto_14618 ?auto_14617 ) ( IN-CITY ?auto_14613 ?auto_14617 ) ( DIFFERENT ?auto_14613 ?auto_14618 ) ( AIRPORT ?auto_14620 ) ( AT ?auto_14609 ?auto_14620 ) ( DIFFERENT ?auto_14612 ?auto_14620 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14609 ?auto_14620 ?auto_14612 )
      ( DELIVER-PKG ?auto_14605 ?auto_14606 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14862
      ?auto_14863
    )
    :vars
    (
      ?auto_14864
      ?auto_14865
      ?auto_14868
      ?auto_14870
    )
    :precondition
    ( and ( OBJ ?auto_14862 ) ( LOCATION ?auto_14863 ) ( AIRPLANE ?auto_14864 ) ( IN ?auto_14862 ?auto_14864 ) ( AIRPORT ?auto_14865 ) ( AIRPORT ?auto_14863 ) ( DIFFERENT ?auto_14863 ?auto_14865 ) ( AIRPORT ?auto_14868 ) ( DIFFERENT ?auto_14865 ?auto_14868 ) ( AIRPORT ?auto_14870 ) ( AT ?auto_14864 ?auto_14870 ) ( DIFFERENT ?auto_14868 ?auto_14870 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14864 ?auto_14870 ?auto_14868 )
      ( DELIVER-PKG ?auto_14862 ?auto_14863 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14880
      ?auto_14881
    )
    :vars
    (
      ?auto_14882
      ?auto_14885
      ?auto_14886
      ?auto_14887
      ?auto_14889
    )
    :precondition
    ( and ( OBJ ?auto_14880 ) ( LOCATION ?auto_14881 ) ( AIRPLANE ?auto_14882 ) ( AIRPORT ?auto_14885 ) ( AIRPORT ?auto_14881 ) ( DIFFERENT ?auto_14881 ?auto_14885 ) ( AIRPORT ?auto_14886 ) ( DIFFERENT ?auto_14885 ?auto_14886 ) ( AIRPORT ?auto_14887 ) ( AT ?auto_14882 ?auto_14887 ) ( DIFFERENT ?auto_14886 ?auto_14887 ) ( LOCATION ?auto_14889 ) ( AT ?auto_14880 ?auto_14889 ) ( AT ?auto_14882 ?auto_14889 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_14880 ?auto_14882 ?auto_14889 )
      ( DELIVER-PKG ?auto_14880 ?auto_14881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14900
      ?auto_14901
    )
    :vars
    (
      ?auto_14906
      ?auto_14903
      ?auto_14904
      ?auto_14905
      ?auto_14908
      ?auto_14910
    )
    :precondition
    ( and ( OBJ ?auto_14900 ) ( LOCATION ?auto_14901 ) ( AIRPLANE ?auto_14906 ) ( AIRPORT ?auto_14903 ) ( AIRPORT ?auto_14901 ) ( DIFFERENT ?auto_14901 ?auto_14903 ) ( AIRPORT ?auto_14904 ) ( DIFFERENT ?auto_14903 ?auto_14904 ) ( AIRPORT ?auto_14905 ) ( AT ?auto_14906 ?auto_14905 ) ( DIFFERENT ?auto_14904 ?auto_14905 ) ( LOCATION ?auto_14908 ) ( AT ?auto_14906 ?auto_14908 ) ( TRUCK ?auto_14910 ) ( AT ?auto_14910 ?auto_14908 ) ( IN ?auto_14900 ?auto_14910 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14900 ?auto_14908 )
      ( DELIVER-PKG ?auto_14900 ?auto_14901 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14922
      ?auto_14923
    )
    :vars
    (
      ?auto_14926
      ?auto_14929
      ?auto_14930
      ?auto_14924
      ?auto_14925
      ?auto_14931
      ?auto_14934
      ?auto_14933
    )
    :precondition
    ( and ( OBJ ?auto_14922 ) ( LOCATION ?auto_14923 ) ( AIRPLANE ?auto_14926 ) ( AIRPORT ?auto_14929 ) ( AIRPORT ?auto_14923 ) ( DIFFERENT ?auto_14923 ?auto_14929 ) ( AIRPORT ?auto_14930 ) ( DIFFERENT ?auto_14929 ?auto_14930 ) ( AIRPORT ?auto_14924 ) ( AT ?auto_14926 ?auto_14924 ) ( DIFFERENT ?auto_14930 ?auto_14924 ) ( LOCATION ?auto_14925 ) ( AT ?auto_14926 ?auto_14925 ) ( TRUCK ?auto_14931 ) ( IN ?auto_14922 ?auto_14931 ) ( LOCATION ?auto_14934 ) ( CITY ?auto_14933 ) ( AT ?auto_14931 ?auto_14934 ) ( IN-CITY ?auto_14934 ?auto_14933 ) ( IN-CITY ?auto_14925 ?auto_14933 ) ( DIFFERENT ?auto_14925 ?auto_14934 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14931 ?auto_14934 ?auto_14925 ?auto_14933 )
      ( DELIVER-PKG ?auto_14922 ?auto_14923 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14948
      ?auto_14949
    )
    :vars
    (
      ?auto_14956
      ?auto_14953
      ?auto_14951
      ?auto_14950
      ?auto_14954
      ?auto_14952
      ?auto_14959
      ?auto_14958
      ?auto_14961
    )
    :precondition
    ( and ( OBJ ?auto_14948 ) ( LOCATION ?auto_14949 ) ( AIRPLANE ?auto_14956 ) ( AIRPORT ?auto_14953 ) ( AIRPORT ?auto_14949 ) ( DIFFERENT ?auto_14949 ?auto_14953 ) ( AIRPORT ?auto_14951 ) ( DIFFERENT ?auto_14953 ?auto_14951 ) ( AIRPORT ?auto_14950 ) ( AT ?auto_14956 ?auto_14950 ) ( DIFFERENT ?auto_14951 ?auto_14950 ) ( LOCATION ?auto_14954 ) ( AT ?auto_14956 ?auto_14954 ) ( TRUCK ?auto_14952 ) ( LOCATION ?auto_14959 ) ( CITY ?auto_14958 ) ( AT ?auto_14952 ?auto_14959 ) ( IN-CITY ?auto_14959 ?auto_14958 ) ( IN-CITY ?auto_14954 ?auto_14958 ) ( DIFFERENT ?auto_14954 ?auto_14959 ) ( LOCATION ?auto_14961 ) ( AT ?auto_14952 ?auto_14961 ) ( AT ?auto_14948 ?auto_14961 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14948 ?auto_14952 ?auto_14961 )
      ( DELIVER-PKG ?auto_14948 ?auto_14949 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14989
      ?auto_14990
    )
    :vars
    (
      ?auto_14993
      ?auto_14992
      ?auto_15000
      ?auto_14997
      ?auto_14994
      ?auto_14996
      ?auto_14995
      ?auto_15001
      ?auto_15003
    )
    :precondition
    ( and ( OBJ ?auto_14989 ) ( LOCATION ?auto_14990 ) ( AIRPLANE ?auto_14993 ) ( AIRPORT ?auto_14992 ) ( AIRPORT ?auto_14990 ) ( DIFFERENT ?auto_14990 ?auto_14992 ) ( AIRPORT ?auto_15000 ) ( DIFFERENT ?auto_14992 ?auto_15000 ) ( AIRPORT ?auto_14997 ) ( DIFFERENT ?auto_15000 ?auto_14997 ) ( LOCATION ?auto_14997 ) ( TRUCK ?auto_14994 ) ( LOCATION ?auto_14996 ) ( CITY ?auto_14995 ) ( AT ?auto_14994 ?auto_14996 ) ( IN-CITY ?auto_14996 ?auto_14995 ) ( IN-CITY ?auto_14997 ?auto_14995 ) ( DIFFERENT ?auto_14997 ?auto_14996 ) ( LOCATION ?auto_15001 ) ( AT ?auto_14994 ?auto_15001 ) ( AT ?auto_14989 ?auto_15001 ) ( AIRPORT ?auto_15003 ) ( AT ?auto_14993 ?auto_15003 ) ( DIFFERENT ?auto_14997 ?auto_15003 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14993 ?auto_15003 ?auto_14997 )
      ( DELIVER-PKG ?auto_14989 ?auto_14990 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15005
      ?auto_15006
    )
    :vars
    (
      ?auto_15014
      ?auto_15007
      ?auto_15011
      ?auto_15010
      ?auto_15015
      ?auto_15012
      ?auto_15016
      ?auto_15013
      ?auto_15020
      ?auto_15019
    )
    :precondition
    ( and ( OBJ ?auto_15005 ) ( LOCATION ?auto_15006 ) ( AIRPLANE ?auto_15014 ) ( AIRPORT ?auto_15007 ) ( AIRPORT ?auto_15006 ) ( DIFFERENT ?auto_15006 ?auto_15007 ) ( AIRPORT ?auto_15011 ) ( DIFFERENT ?auto_15007 ?auto_15011 ) ( AIRPORT ?auto_15010 ) ( DIFFERENT ?auto_15011 ?auto_15010 ) ( LOCATION ?auto_15010 ) ( TRUCK ?auto_15015 ) ( LOCATION ?auto_15012 ) ( CITY ?auto_15016 ) ( IN-CITY ?auto_15012 ?auto_15016 ) ( IN-CITY ?auto_15010 ?auto_15016 ) ( DIFFERENT ?auto_15010 ?auto_15012 ) ( AT ?auto_15005 ?auto_15012 ) ( AIRPORT ?auto_15013 ) ( AT ?auto_15014 ?auto_15013 ) ( DIFFERENT ?auto_15010 ?auto_15013 ) ( LOCATION ?auto_15020 ) ( CITY ?auto_15019 ) ( AT ?auto_15015 ?auto_15020 ) ( IN-CITY ?auto_15020 ?auto_15019 ) ( IN-CITY ?auto_15012 ?auto_15019 ) ( DIFFERENT ?auto_15012 ?auto_15020 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15015 ?auto_15020 ?auto_15012 ?auto_15019 )
      ( DELIVER-PKG ?auto_15005 ?auto_15006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53194
      ?auto_53195
    )
    :vars
    (
      ?auto_53198
      ?auto_53200
      ?auto_53202
      ?auto_53201
      ?auto_53204
    )
    :precondition
    ( and ( OBJ ?auto_53194 ) ( LOCATION ?auto_53195 ) ( AIRPLANE ?auto_53198 ) ( AIRPORT ?auto_53200 ) ( AIRPORT ?auto_53195 ) ( DIFFERENT ?auto_53195 ?auto_53200 ) ( AIRPORT ?auto_53202 ) ( DIFFERENT ?auto_53200 ?auto_53202 ) ( AIRPORT ?auto_53201 ) ( DIFFERENT ?auto_53202 ?auto_53201 ) ( LOCATION ?auto_53201 ) ( AT ?auto_53194 ?auto_53201 ) ( AIRPORT ?auto_53204 ) ( AT ?auto_53198 ?auto_53204 ) ( DIFFERENT ?auto_53201 ?auto_53204 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53198 ?auto_53204 ?auto_53201 )
      ( DELIVER-PKG ?auto_53194 ?auto_53195 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15520
      ?auto_15521
    )
    :vars
    (
      ?auto_15528
      ?auto_15524
      ?auto_15526
      ?auto_15522
      ?auto_15523
      ?auto_15530
    )
    :precondition
    ( and ( OBJ ?auto_15520 ) ( LOCATION ?auto_15521 ) ( AIRPLANE ?auto_15528 ) ( AIRPORT ?auto_15524 ) ( AIRPORT ?auto_15521 ) ( DIFFERENT ?auto_15521 ?auto_15524 ) ( AIRPORT ?auto_15526 ) ( DIFFERENT ?auto_15524 ?auto_15526 ) ( LOCATION ?auto_15526 ) ( AIRPORT ?auto_15522 ) ( DIFFERENT ?auto_15526 ?auto_15522 ) ( LOCATION ?auto_15522 ) ( AIRPORT ?auto_15523 ) ( AT ?auto_15528 ?auto_15523 ) ( DIFFERENT ?auto_15522 ?auto_15523 ) ( TRUCK ?auto_15530 ) ( AT ?auto_15530 ?auto_15522 ) ( IN ?auto_15520 ?auto_15530 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15520 ?auto_15522 )
      ( DELIVER-PKG ?auto_15520 ?auto_15521 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15542
      ?auto_15543
    )
    :vars
    (
      ?auto_15545
      ?auto_15551
      ?auto_15548
      ?auto_15544
      ?auto_15550
      ?auto_15547
      ?auto_15554
      ?auto_15553
    )
    :precondition
    ( and ( OBJ ?auto_15542 ) ( LOCATION ?auto_15543 ) ( AIRPLANE ?auto_15545 ) ( AIRPORT ?auto_15551 ) ( AIRPORT ?auto_15543 ) ( DIFFERENT ?auto_15543 ?auto_15551 ) ( AIRPORT ?auto_15548 ) ( DIFFERENT ?auto_15551 ?auto_15548 ) ( LOCATION ?auto_15548 ) ( AIRPORT ?auto_15544 ) ( DIFFERENT ?auto_15548 ?auto_15544 ) ( LOCATION ?auto_15544 ) ( AIRPORT ?auto_15550 ) ( AT ?auto_15545 ?auto_15550 ) ( DIFFERENT ?auto_15544 ?auto_15550 ) ( TRUCK ?auto_15547 ) ( IN ?auto_15542 ?auto_15547 ) ( LOCATION ?auto_15554 ) ( CITY ?auto_15553 ) ( AT ?auto_15547 ?auto_15554 ) ( IN-CITY ?auto_15554 ?auto_15553 ) ( IN-CITY ?auto_15544 ?auto_15553 ) ( DIFFERENT ?auto_15544 ?auto_15554 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15547 ?auto_15554 ?auto_15544 ?auto_15553 )
      ( DELIVER-PKG ?auto_15542 ?auto_15543 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15568
      ?auto_15569
    )
    :vars
    (
      ?auto_15571
      ?auto_15570
      ?auto_15576
      ?auto_15575
      ?auto_15572
      ?auto_15573
      ?auto_15579
      ?auto_15578
      ?auto_15582
      ?auto_15581
    )
    :precondition
    ( and ( OBJ ?auto_15568 ) ( LOCATION ?auto_15569 ) ( AIRPLANE ?auto_15571 ) ( AIRPORT ?auto_15570 ) ( AIRPORT ?auto_15569 ) ( DIFFERENT ?auto_15569 ?auto_15570 ) ( AIRPORT ?auto_15576 ) ( DIFFERENT ?auto_15570 ?auto_15576 ) ( LOCATION ?auto_15576 ) ( AIRPORT ?auto_15575 ) ( DIFFERENT ?auto_15576 ?auto_15575 ) ( LOCATION ?auto_15575 ) ( AIRPORT ?auto_15572 ) ( AT ?auto_15571 ?auto_15572 ) ( DIFFERENT ?auto_15575 ?auto_15572 ) ( TRUCK ?auto_15573 ) ( IN ?auto_15568 ?auto_15573 ) ( LOCATION ?auto_15579 ) ( CITY ?auto_15578 ) ( IN-CITY ?auto_15579 ?auto_15578 ) ( IN-CITY ?auto_15575 ?auto_15578 ) ( DIFFERENT ?auto_15575 ?auto_15579 ) ( LOCATION ?auto_15582 ) ( CITY ?auto_15581 ) ( AT ?auto_15573 ?auto_15582 ) ( IN-CITY ?auto_15582 ?auto_15581 ) ( IN-CITY ?auto_15579 ?auto_15581 ) ( DIFFERENT ?auto_15579 ?auto_15582 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15573 ?auto_15582 ?auto_15579 ?auto_15581 )
      ( DELIVER-PKG ?auto_15568 ?auto_15569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15598
      ?auto_15599
    )
    :vars
    (
      ?auto_15608
      ?auto_15601
      ?auto_15604
      ?auto_15602
      ?auto_15607
      ?auto_15606
      ?auto_15600
      ?auto_15605
      ?auto_15611
      ?auto_15610
      ?auto_15613
    )
    :precondition
    ( and ( OBJ ?auto_15598 ) ( LOCATION ?auto_15599 ) ( AIRPLANE ?auto_15608 ) ( AIRPORT ?auto_15601 ) ( AIRPORT ?auto_15599 ) ( DIFFERENT ?auto_15599 ?auto_15601 ) ( AIRPORT ?auto_15604 ) ( DIFFERENT ?auto_15601 ?auto_15604 ) ( LOCATION ?auto_15604 ) ( AIRPORT ?auto_15602 ) ( DIFFERENT ?auto_15604 ?auto_15602 ) ( LOCATION ?auto_15602 ) ( AIRPORT ?auto_15607 ) ( AT ?auto_15608 ?auto_15607 ) ( DIFFERENT ?auto_15602 ?auto_15607 ) ( TRUCK ?auto_15606 ) ( LOCATION ?auto_15600 ) ( CITY ?auto_15605 ) ( IN-CITY ?auto_15600 ?auto_15605 ) ( IN-CITY ?auto_15602 ?auto_15605 ) ( DIFFERENT ?auto_15602 ?auto_15600 ) ( LOCATION ?auto_15611 ) ( CITY ?auto_15610 ) ( AT ?auto_15606 ?auto_15611 ) ( IN-CITY ?auto_15611 ?auto_15610 ) ( IN-CITY ?auto_15600 ?auto_15610 ) ( DIFFERENT ?auto_15600 ?auto_15611 ) ( LOCATION ?auto_15613 ) ( AT ?auto_15606 ?auto_15613 ) ( AT ?auto_15598 ?auto_15613 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15598 ?auto_15606 ?auto_15613 )
      ( DELIVER-PKG ?auto_15598 ?auto_15599 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15645
      ?auto_15646
    )
    :vars
    (
      ?auto_15656
      ?auto_15650
      ?auto_15652
      ?auto_15651
      ?auto_15655
      ?auto_15654
      ?auto_15649
      ?auto_15653
      ?auto_15659
      ?auto_15657
      ?auto_15662
      ?auto_15661
    )
    :precondition
    ( and ( OBJ ?auto_15645 ) ( LOCATION ?auto_15646 ) ( AIRPLANE ?auto_15656 ) ( AIRPORT ?auto_15650 ) ( AIRPORT ?auto_15646 ) ( DIFFERENT ?auto_15646 ?auto_15650 ) ( AIRPORT ?auto_15652 ) ( DIFFERENT ?auto_15650 ?auto_15652 ) ( LOCATION ?auto_15652 ) ( AIRPORT ?auto_15651 ) ( DIFFERENT ?auto_15652 ?auto_15651 ) ( LOCATION ?auto_15651 ) ( AIRPORT ?auto_15655 ) ( AT ?auto_15656 ?auto_15655 ) ( DIFFERENT ?auto_15651 ?auto_15655 ) ( TRUCK ?auto_15654 ) ( LOCATION ?auto_15649 ) ( CITY ?auto_15653 ) ( IN-CITY ?auto_15649 ?auto_15653 ) ( IN-CITY ?auto_15651 ?auto_15653 ) ( DIFFERENT ?auto_15651 ?auto_15649 ) ( LOCATION ?auto_15659 ) ( CITY ?auto_15657 ) ( IN-CITY ?auto_15659 ?auto_15657 ) ( IN-CITY ?auto_15649 ?auto_15657 ) ( DIFFERENT ?auto_15649 ?auto_15659 ) ( AT ?auto_15645 ?auto_15659 ) ( LOCATION ?auto_15662 ) ( CITY ?auto_15661 ) ( AT ?auto_15654 ?auto_15662 ) ( IN-CITY ?auto_15662 ?auto_15661 ) ( IN-CITY ?auto_15659 ?auto_15661 ) ( DIFFERENT ?auto_15659 ?auto_15662 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15654 ?auto_15662 ?auto_15659 ?auto_15661 )
      ( DELIVER-PKG ?auto_15645 ?auto_15646 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15664
      ?auto_15665
    )
    :vars
    (
      ?auto_15674
      ?auto_15668
      ?auto_15670
      ?auto_15669
      ?auto_15673
      ?auto_15672
      ?auto_15667
      ?auto_15671
      ?auto_15676
      ?auto_15675
      ?auto_15679
      ?auto_15678
      ?auto_15681
    )
    :precondition
    ( and ( OBJ ?auto_15664 ) ( LOCATION ?auto_15665 ) ( AIRPLANE ?auto_15674 ) ( AIRPORT ?auto_15668 ) ( AIRPORT ?auto_15665 ) ( DIFFERENT ?auto_15665 ?auto_15668 ) ( AIRPORT ?auto_15670 ) ( DIFFERENT ?auto_15668 ?auto_15670 ) ( LOCATION ?auto_15670 ) ( AIRPORT ?auto_15669 ) ( DIFFERENT ?auto_15670 ?auto_15669 ) ( LOCATION ?auto_15669 ) ( AIRPORT ?auto_15673 ) ( DIFFERENT ?auto_15669 ?auto_15673 ) ( TRUCK ?auto_15672 ) ( LOCATION ?auto_15667 ) ( CITY ?auto_15671 ) ( IN-CITY ?auto_15667 ?auto_15671 ) ( IN-CITY ?auto_15669 ?auto_15671 ) ( DIFFERENT ?auto_15669 ?auto_15667 ) ( LOCATION ?auto_15676 ) ( CITY ?auto_15675 ) ( IN-CITY ?auto_15676 ?auto_15675 ) ( IN-CITY ?auto_15667 ?auto_15675 ) ( DIFFERENT ?auto_15667 ?auto_15676 ) ( AT ?auto_15664 ?auto_15676 ) ( LOCATION ?auto_15679 ) ( CITY ?auto_15678 ) ( AT ?auto_15672 ?auto_15679 ) ( IN-CITY ?auto_15679 ?auto_15678 ) ( IN-CITY ?auto_15676 ?auto_15678 ) ( DIFFERENT ?auto_15676 ?auto_15679 ) ( AIRPORT ?auto_15681 ) ( AT ?auto_15674 ?auto_15681 ) ( DIFFERENT ?auto_15673 ?auto_15681 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15674 ?auto_15681 ?auto_15673 )
      ( DELIVER-PKG ?auto_15664 ?auto_15665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16010
      ?auto_16011
    )
    :vars
    (
      ?auto_16016
      ?auto_16017
      ?auto_16013
      ?auto_16015
      ?auto_16014
      ?auto_16018
      ?auto_16020
    )
    :precondition
    ( and ( OBJ ?auto_16010 ) ( LOCATION ?auto_16011 ) ( TRUCK ?auto_16016 ) ( LOCATION ?auto_16017 ) ( CITY ?auto_16013 ) ( IN-CITY ?auto_16017 ?auto_16013 ) ( IN-CITY ?auto_16011 ?auto_16013 ) ( DIFFERENT ?auto_16011 ?auto_16017 ) ( LOCATION ?auto_16015 ) ( CITY ?auto_16014 ) ( AT ?auto_16016 ?auto_16015 ) ( IN-CITY ?auto_16015 ?auto_16014 ) ( IN-CITY ?auto_16017 ?auto_16014 ) ( DIFFERENT ?auto_16017 ?auto_16015 ) ( LOCATION ?auto_16018 ) ( AT ?auto_16016 ?auto_16018 ) ( AIRPLANE ?auto_16020 ) ( IN ?auto_16010 ?auto_16020 ) ( AT ?auto_16020 ?auto_16018 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16010 ?auto_16018 )
      ( DELIVER-PKG ?auto_16010 ?auto_16011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16023
      ?auto_16024
    )
    :vars
    (
      ?auto_16026
      ?auto_16029
      ?auto_16032
      ?auto_16027
      ?auto_16033
      ?auto_16028
      ?auto_16031
      ?auto_16035
    )
    :precondition
    ( and ( OBJ ?auto_16023 ) ( LOCATION ?auto_16024 ) ( TRUCK ?auto_16026 ) ( LOCATION ?auto_16029 ) ( CITY ?auto_16032 ) ( IN-CITY ?auto_16029 ?auto_16032 ) ( IN-CITY ?auto_16024 ?auto_16032 ) ( DIFFERENT ?auto_16024 ?auto_16029 ) ( LOCATION ?auto_16027 ) ( CITY ?auto_16033 ) ( AT ?auto_16026 ?auto_16027 ) ( IN-CITY ?auto_16027 ?auto_16033 ) ( IN-CITY ?auto_16029 ?auto_16033 ) ( DIFFERENT ?auto_16029 ?auto_16027 ) ( LOCATION ?auto_16028 ) ( AT ?auto_16026 ?auto_16028 ) ( AIRPLANE ?auto_16031 ) ( IN ?auto_16023 ?auto_16031 ) ( AIRPORT ?auto_16035 ) ( AIRPORT ?auto_16028 ) ( AT ?auto_16031 ?auto_16035 ) ( DIFFERENT ?auto_16028 ?auto_16035 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16031 ?auto_16035 ?auto_16028 )
      ( DELIVER-PKG ?auto_16023 ?auto_16024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16061
      ?auto_16062
    )
    :vars
    (
      ?auto_16071
      ?auto_16069
      ?auto_16067
      ?auto_16072
      ?auto_16064
      ?auto_16066
      ?auto_16068
      ?auto_16065
      ?auto_16074
    )
    :precondition
    ( and ( OBJ ?auto_16061 ) ( LOCATION ?auto_16062 ) ( TRUCK ?auto_16071 ) ( LOCATION ?auto_16069 ) ( CITY ?auto_16067 ) ( IN-CITY ?auto_16069 ?auto_16067 ) ( IN-CITY ?auto_16062 ?auto_16067 ) ( DIFFERENT ?auto_16062 ?auto_16069 ) ( LOCATION ?auto_16072 ) ( CITY ?auto_16064 ) ( AT ?auto_16071 ?auto_16072 ) ( IN-CITY ?auto_16072 ?auto_16064 ) ( IN-CITY ?auto_16069 ?auto_16064 ) ( DIFFERENT ?auto_16069 ?auto_16072 ) ( LOCATION ?auto_16066 ) ( AT ?auto_16071 ?auto_16066 ) ( AIRPLANE ?auto_16068 ) ( IN ?auto_16061 ?auto_16068 ) ( AIRPORT ?auto_16065 ) ( AIRPORT ?auto_16066 ) ( DIFFERENT ?auto_16066 ?auto_16065 ) ( AIRPORT ?auto_16074 ) ( AT ?auto_16068 ?auto_16074 ) ( DIFFERENT ?auto_16065 ?auto_16074 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16068 ?auto_16074 ?auto_16065 )
      ( DELIVER-PKG ?auto_16061 ?auto_16062 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16089
      ?auto_16090
    )
    :vars
    (
      ?auto_16095
      ?auto_16099
      ?auto_16097
      ?auto_16096
      ?auto_16100
      ?auto_16093
      ?auto_16098
      ?auto_16092
      ?auto_16101
      ?auto_16103
    )
    :precondition
    ( and ( OBJ ?auto_16089 ) ( LOCATION ?auto_16090 ) ( TRUCK ?auto_16095 ) ( LOCATION ?auto_16099 ) ( CITY ?auto_16097 ) ( IN-CITY ?auto_16099 ?auto_16097 ) ( IN-CITY ?auto_16090 ?auto_16097 ) ( DIFFERENT ?auto_16090 ?auto_16099 ) ( LOCATION ?auto_16096 ) ( CITY ?auto_16100 ) ( AT ?auto_16095 ?auto_16096 ) ( IN-CITY ?auto_16096 ?auto_16100 ) ( IN-CITY ?auto_16099 ?auto_16100 ) ( DIFFERENT ?auto_16099 ?auto_16096 ) ( LOCATION ?auto_16093 ) ( AT ?auto_16095 ?auto_16093 ) ( AIRPLANE ?auto_16098 ) ( IN ?auto_16089 ?auto_16098 ) ( AIRPORT ?auto_16092 ) ( AIRPORT ?auto_16093 ) ( DIFFERENT ?auto_16093 ?auto_16092 ) ( AIRPORT ?auto_16101 ) ( DIFFERENT ?auto_16092 ?auto_16101 ) ( AIRPORT ?auto_16103 ) ( AT ?auto_16098 ?auto_16103 ) ( DIFFERENT ?auto_16101 ?auto_16103 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16098 ?auto_16103 ?auto_16101 )
      ( DELIVER-PKG ?auto_16089 ?auto_16090 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16119
      ?auto_16120
    )
    :vars
    (
      ?auto_16123
      ?auto_16127
      ?auto_16125
      ?auto_16124
      ?auto_16128
      ?auto_16121
      ?auto_16126
      ?auto_16122
      ?auto_16129
      ?auto_16132
      ?auto_16134
    )
    :precondition
    ( and ( OBJ ?auto_16119 ) ( LOCATION ?auto_16120 ) ( TRUCK ?auto_16123 ) ( LOCATION ?auto_16127 ) ( CITY ?auto_16125 ) ( IN-CITY ?auto_16127 ?auto_16125 ) ( IN-CITY ?auto_16120 ?auto_16125 ) ( DIFFERENT ?auto_16120 ?auto_16127 ) ( LOCATION ?auto_16124 ) ( CITY ?auto_16128 ) ( AT ?auto_16123 ?auto_16124 ) ( IN-CITY ?auto_16124 ?auto_16128 ) ( IN-CITY ?auto_16127 ?auto_16128 ) ( DIFFERENT ?auto_16127 ?auto_16124 ) ( LOCATION ?auto_16121 ) ( AT ?auto_16123 ?auto_16121 ) ( AIRPLANE ?auto_16126 ) ( AIRPORT ?auto_16122 ) ( AIRPORT ?auto_16121 ) ( DIFFERENT ?auto_16121 ?auto_16122 ) ( AIRPORT ?auto_16129 ) ( DIFFERENT ?auto_16122 ?auto_16129 ) ( AIRPORT ?auto_16132 ) ( AT ?auto_16126 ?auto_16132 ) ( DIFFERENT ?auto_16129 ?auto_16132 ) ( LOCATION ?auto_16134 ) ( AT ?auto_16119 ?auto_16134 ) ( AT ?auto_16126 ?auto_16134 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_16119 ?auto_16126 ?auto_16134 )
      ( DELIVER-PKG ?auto_16119 ?auto_16120 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16151
      ?auto_16152
    )
    :vars
    (
      ?auto_16153
      ?auto_16158
      ?auto_16160
      ?auto_16159
      ?auto_16154
      ?auto_16162
      ?auto_16157
      ?auto_16156
      ?auto_16155
      ?auto_16161
      ?auto_16165
      ?auto_16167
    )
    :precondition
    ( and ( OBJ ?auto_16151 ) ( LOCATION ?auto_16152 ) ( TRUCK ?auto_16153 ) ( LOCATION ?auto_16158 ) ( CITY ?auto_16160 ) ( IN-CITY ?auto_16158 ?auto_16160 ) ( IN-CITY ?auto_16152 ?auto_16160 ) ( DIFFERENT ?auto_16152 ?auto_16158 ) ( LOCATION ?auto_16159 ) ( CITY ?auto_16154 ) ( AT ?auto_16153 ?auto_16159 ) ( IN-CITY ?auto_16159 ?auto_16154 ) ( IN-CITY ?auto_16158 ?auto_16154 ) ( DIFFERENT ?auto_16158 ?auto_16159 ) ( LOCATION ?auto_16162 ) ( AT ?auto_16153 ?auto_16162 ) ( AIRPLANE ?auto_16157 ) ( AIRPORT ?auto_16156 ) ( AIRPORT ?auto_16162 ) ( DIFFERENT ?auto_16162 ?auto_16156 ) ( AIRPORT ?auto_16155 ) ( DIFFERENT ?auto_16156 ?auto_16155 ) ( AIRPORT ?auto_16161 ) ( AT ?auto_16157 ?auto_16161 ) ( DIFFERENT ?auto_16155 ?auto_16161 ) ( LOCATION ?auto_16165 ) ( AT ?auto_16157 ?auto_16165 ) ( TRUCK ?auto_16167 ) ( AT ?auto_16167 ?auto_16165 ) ( IN ?auto_16151 ?auto_16167 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16151 ?auto_16165 )
      ( DELIVER-PKG ?auto_16151 ?auto_16152 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16185
      ?auto_16186
    )
    :vars
    (
      ?auto_16187
      ?auto_16194
      ?auto_16196
      ?auto_16195
      ?auto_16191
      ?auto_16198
      ?auto_16193
      ?auto_16192
      ?auto_16188
      ?auto_16197
      ?auto_16190
      ?auto_16199
      ?auto_16203
      ?auto_16202
    )
    :precondition
    ( and ( OBJ ?auto_16185 ) ( LOCATION ?auto_16186 ) ( TRUCK ?auto_16187 ) ( LOCATION ?auto_16194 ) ( CITY ?auto_16196 ) ( IN-CITY ?auto_16194 ?auto_16196 ) ( IN-CITY ?auto_16186 ?auto_16196 ) ( DIFFERENT ?auto_16186 ?auto_16194 ) ( LOCATION ?auto_16195 ) ( CITY ?auto_16191 ) ( AT ?auto_16187 ?auto_16195 ) ( IN-CITY ?auto_16195 ?auto_16191 ) ( IN-CITY ?auto_16194 ?auto_16191 ) ( DIFFERENT ?auto_16194 ?auto_16195 ) ( LOCATION ?auto_16198 ) ( AT ?auto_16187 ?auto_16198 ) ( AIRPLANE ?auto_16193 ) ( AIRPORT ?auto_16192 ) ( AIRPORT ?auto_16198 ) ( DIFFERENT ?auto_16198 ?auto_16192 ) ( AIRPORT ?auto_16188 ) ( DIFFERENT ?auto_16192 ?auto_16188 ) ( AIRPORT ?auto_16197 ) ( AT ?auto_16193 ?auto_16197 ) ( DIFFERENT ?auto_16188 ?auto_16197 ) ( LOCATION ?auto_16190 ) ( AT ?auto_16193 ?auto_16190 ) ( TRUCK ?auto_16199 ) ( IN ?auto_16185 ?auto_16199 ) ( LOCATION ?auto_16203 ) ( CITY ?auto_16202 ) ( AT ?auto_16199 ?auto_16203 ) ( IN-CITY ?auto_16203 ?auto_16202 ) ( IN-CITY ?auto_16190 ?auto_16202 ) ( DIFFERENT ?auto_16190 ?auto_16203 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16199 ?auto_16203 ?auto_16190 ?auto_16202 )
      ( DELIVER-PKG ?auto_16185 ?auto_16186 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16223
      ?auto_16224
    )
    :vars
    (
      ?auto_16235
      ?auto_16239
      ?auto_16232
      ?auto_16240
      ?auto_16226
      ?auto_16234
      ?auto_16238
      ?auto_16227
      ?auto_16231
      ?auto_16233
      ?auto_16225
      ?auto_16228
      ?auto_16230
      ?auto_16229
      ?auto_16242
    )
    :precondition
    ( and ( OBJ ?auto_16223 ) ( LOCATION ?auto_16224 ) ( TRUCK ?auto_16235 ) ( LOCATION ?auto_16239 ) ( CITY ?auto_16232 ) ( IN-CITY ?auto_16239 ?auto_16232 ) ( IN-CITY ?auto_16224 ?auto_16232 ) ( DIFFERENT ?auto_16224 ?auto_16239 ) ( LOCATION ?auto_16240 ) ( CITY ?auto_16226 ) ( AT ?auto_16235 ?auto_16240 ) ( IN-CITY ?auto_16240 ?auto_16226 ) ( IN-CITY ?auto_16239 ?auto_16226 ) ( DIFFERENT ?auto_16239 ?auto_16240 ) ( LOCATION ?auto_16234 ) ( AT ?auto_16235 ?auto_16234 ) ( AIRPLANE ?auto_16238 ) ( AIRPORT ?auto_16227 ) ( AIRPORT ?auto_16234 ) ( DIFFERENT ?auto_16234 ?auto_16227 ) ( AIRPORT ?auto_16231 ) ( DIFFERENT ?auto_16227 ?auto_16231 ) ( AIRPORT ?auto_16233 ) ( AT ?auto_16238 ?auto_16233 ) ( DIFFERENT ?auto_16231 ?auto_16233 ) ( LOCATION ?auto_16225 ) ( AT ?auto_16238 ?auto_16225 ) ( TRUCK ?auto_16228 ) ( LOCATION ?auto_16230 ) ( CITY ?auto_16229 ) ( AT ?auto_16228 ?auto_16230 ) ( IN-CITY ?auto_16230 ?auto_16229 ) ( IN-CITY ?auto_16225 ?auto_16229 ) ( DIFFERENT ?auto_16225 ?auto_16230 ) ( LOCATION ?auto_16242 ) ( AT ?auto_16228 ?auto_16242 ) ( AT ?auto_16223 ?auto_16242 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16223 ?auto_16228 ?auto_16242 )
      ( DELIVER-PKG ?auto_16223 ?auto_16224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16244
      ?auto_16245
    )
    :vars
    (
      ?auto_16259
      ?auto_16261
      ?auto_16256
      ?auto_16258
      ?auto_16249
      ?auto_16260
      ?auto_16250
      ?auto_16255
      ?auto_16257
      ?auto_16248
      ?auto_16252
      ?auto_16254
      ?auto_16253
      ?auto_16246
      ?auto_16265
      ?auto_16264
    )
    :precondition
    ( and ( OBJ ?auto_16244 ) ( LOCATION ?auto_16245 ) ( TRUCK ?auto_16259 ) ( LOCATION ?auto_16261 ) ( CITY ?auto_16256 ) ( IN-CITY ?auto_16261 ?auto_16256 ) ( IN-CITY ?auto_16245 ?auto_16256 ) ( DIFFERENT ?auto_16245 ?auto_16261 ) ( LOCATION ?auto_16258 ) ( CITY ?auto_16249 ) ( IN-CITY ?auto_16258 ?auto_16249 ) ( IN-CITY ?auto_16261 ?auto_16249 ) ( DIFFERENT ?auto_16261 ?auto_16258 ) ( AIRPLANE ?auto_16260 ) ( AIRPORT ?auto_16250 ) ( AIRPORT ?auto_16258 ) ( DIFFERENT ?auto_16258 ?auto_16250 ) ( AIRPORT ?auto_16255 ) ( DIFFERENT ?auto_16250 ?auto_16255 ) ( AIRPORT ?auto_16257 ) ( AT ?auto_16260 ?auto_16257 ) ( DIFFERENT ?auto_16255 ?auto_16257 ) ( LOCATION ?auto_16248 ) ( AT ?auto_16260 ?auto_16248 ) ( TRUCK ?auto_16252 ) ( LOCATION ?auto_16254 ) ( CITY ?auto_16253 ) ( AT ?auto_16252 ?auto_16254 ) ( IN-CITY ?auto_16254 ?auto_16253 ) ( IN-CITY ?auto_16248 ?auto_16253 ) ( DIFFERENT ?auto_16248 ?auto_16254 ) ( LOCATION ?auto_16246 ) ( AT ?auto_16252 ?auto_16246 ) ( AT ?auto_16244 ?auto_16246 ) ( LOCATION ?auto_16265 ) ( CITY ?auto_16264 ) ( AT ?auto_16259 ?auto_16265 ) ( IN-CITY ?auto_16265 ?auto_16264 ) ( IN-CITY ?auto_16258 ?auto_16264 ) ( DIFFERENT ?auto_16258 ?auto_16265 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16259 ?auto_16265 ?auto_16258 ?auto_16264 )
      ( DELIVER-PKG ?auto_16244 ?auto_16245 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16287
      ?auto_16288
    )
    :vars
    (
      ?auto_16297
      ?auto_16299
      ?auto_16295
      ?auto_16296
      ?auto_16306
      ?auto_16305
      ?auto_16292
      ?auto_16293
      ?auto_16303
      ?auto_16294
      ?auto_16291
      ?auto_16290
      ?auto_16289
      ?auto_16301
      ?auto_16300
      ?auto_16308
    )
    :precondition
    ( and ( OBJ ?auto_16287 ) ( LOCATION ?auto_16288 ) ( TRUCK ?auto_16297 ) ( LOCATION ?auto_16299 ) ( CITY ?auto_16295 ) ( IN-CITY ?auto_16299 ?auto_16295 ) ( IN-CITY ?auto_16288 ?auto_16295 ) ( DIFFERENT ?auto_16288 ?auto_16299 ) ( LOCATION ?auto_16296 ) ( CITY ?auto_16306 ) ( IN-CITY ?auto_16296 ?auto_16306 ) ( IN-CITY ?auto_16299 ?auto_16306 ) ( DIFFERENT ?auto_16299 ?auto_16296 ) ( AIRPLANE ?auto_16305 ) ( AIRPORT ?auto_16292 ) ( AIRPORT ?auto_16296 ) ( DIFFERENT ?auto_16296 ?auto_16292 ) ( AIRPORT ?auto_16293 ) ( DIFFERENT ?auto_16292 ?auto_16293 ) ( AIRPORT ?auto_16303 ) ( DIFFERENT ?auto_16293 ?auto_16303 ) ( LOCATION ?auto_16303 ) ( TRUCK ?auto_16294 ) ( LOCATION ?auto_16291 ) ( CITY ?auto_16290 ) ( AT ?auto_16294 ?auto_16291 ) ( IN-CITY ?auto_16291 ?auto_16290 ) ( IN-CITY ?auto_16303 ?auto_16290 ) ( DIFFERENT ?auto_16303 ?auto_16291 ) ( LOCATION ?auto_16289 ) ( AT ?auto_16294 ?auto_16289 ) ( AT ?auto_16287 ?auto_16289 ) ( LOCATION ?auto_16301 ) ( CITY ?auto_16300 ) ( AT ?auto_16297 ?auto_16301 ) ( IN-CITY ?auto_16301 ?auto_16300 ) ( IN-CITY ?auto_16296 ?auto_16300 ) ( DIFFERENT ?auto_16296 ?auto_16301 ) ( AIRPORT ?auto_16308 ) ( AT ?auto_16305 ?auto_16308 ) ( DIFFERENT ?auto_16303 ?auto_16308 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16305 ?auto_16308 ?auto_16303 )
      ( DELIVER-PKG ?auto_16287 ?auto_16288 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16310
      ?auto_16311
    )
    :vars
    (
      ?auto_16323
      ?auto_16324
      ?auto_16321
      ?auto_16322
      ?auto_16329
      ?auto_16328
      ?auto_16317
      ?auto_16318
      ?auto_16327
      ?auto_16320
      ?auto_16316
      ?auto_16314
      ?auto_16326
      ?auto_16325
      ?auto_16319
      ?auto_16332
      ?auto_16331
    )
    :precondition
    ( and ( OBJ ?auto_16310 ) ( LOCATION ?auto_16311 ) ( TRUCK ?auto_16323 ) ( LOCATION ?auto_16324 ) ( CITY ?auto_16321 ) ( IN-CITY ?auto_16324 ?auto_16321 ) ( IN-CITY ?auto_16311 ?auto_16321 ) ( DIFFERENT ?auto_16311 ?auto_16324 ) ( LOCATION ?auto_16322 ) ( CITY ?auto_16329 ) ( IN-CITY ?auto_16322 ?auto_16329 ) ( IN-CITY ?auto_16324 ?auto_16329 ) ( DIFFERENT ?auto_16324 ?auto_16322 ) ( AIRPLANE ?auto_16328 ) ( AIRPORT ?auto_16317 ) ( AIRPORT ?auto_16322 ) ( DIFFERENT ?auto_16322 ?auto_16317 ) ( AIRPORT ?auto_16318 ) ( DIFFERENT ?auto_16317 ?auto_16318 ) ( AIRPORT ?auto_16327 ) ( DIFFERENT ?auto_16318 ?auto_16327 ) ( LOCATION ?auto_16327 ) ( TRUCK ?auto_16320 ) ( LOCATION ?auto_16316 ) ( CITY ?auto_16314 ) ( IN-CITY ?auto_16316 ?auto_16314 ) ( IN-CITY ?auto_16327 ?auto_16314 ) ( DIFFERENT ?auto_16327 ?auto_16316 ) ( AT ?auto_16310 ?auto_16316 ) ( LOCATION ?auto_16326 ) ( CITY ?auto_16325 ) ( AT ?auto_16323 ?auto_16326 ) ( IN-CITY ?auto_16326 ?auto_16325 ) ( IN-CITY ?auto_16322 ?auto_16325 ) ( DIFFERENT ?auto_16322 ?auto_16326 ) ( AIRPORT ?auto_16319 ) ( AT ?auto_16328 ?auto_16319 ) ( DIFFERENT ?auto_16327 ?auto_16319 ) ( LOCATION ?auto_16332 ) ( CITY ?auto_16331 ) ( AT ?auto_16320 ?auto_16332 ) ( IN-CITY ?auto_16332 ?auto_16331 ) ( IN-CITY ?auto_16316 ?auto_16331 ) ( DIFFERENT ?auto_16316 ?auto_16332 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16320 ?auto_16332 ?auto_16316 ?auto_16331 )
      ( DELIVER-PKG ?auto_16310 ?auto_16311 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52606
      ?auto_52607
    )
    :vars
    (
      ?auto_52616
      ?auto_52614
      ?auto_52613
      ?auto_52608
      ?auto_52612
      ?auto_52610
      ?auto_52609
      ?auto_52618
    )
    :precondition
    ( and ( OBJ ?auto_52606 ) ( LOCATION ?auto_52607 ) ( TRUCK ?auto_52616 ) ( LOCATION ?auto_52614 ) ( CITY ?auto_52613 ) ( AT ?auto_52616 ?auto_52614 ) ( IN-CITY ?auto_52614 ?auto_52613 ) ( IN-CITY ?auto_52607 ?auto_52613 ) ( DIFFERENT ?auto_52607 ?auto_52614 ) ( LOCATION ?auto_52608 ) ( AT ?auto_52616 ?auto_52608 ) ( AIRPLANE ?auto_52612 ) ( IN ?auto_52606 ?auto_52612 ) ( AIRPORT ?auto_52610 ) ( AIRPORT ?auto_52608 ) ( DIFFERENT ?auto_52608 ?auto_52610 ) ( AIRPORT ?auto_52609 ) ( DIFFERENT ?auto_52610 ?auto_52609 ) ( AIRPORT ?auto_52618 ) ( AT ?auto_52612 ?auto_52618 ) ( DIFFERENT ?auto_52609 ?auto_52618 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_52612 ?auto_52618 ?auto_52609 )
      ( DELIVER-PKG ?auto_52606 ?auto_52607 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53548
      ?auto_53549
    )
    :vars
    (
      ?auto_53550
      ?auto_53555
      ?auto_53552
      ?auto_53553
      ?auto_53556
      ?auto_53557
      ?auto_53558
      ?auto_53559
      ?auto_53561
    )
    :precondition
    ( and ( OBJ ?auto_53548 ) ( LOCATION ?auto_53549 ) ( TRUCK ?auto_53550 ) ( LOCATION ?auto_53555 ) ( CITY ?auto_53552 ) ( AT ?auto_53550 ?auto_53555 ) ( IN-CITY ?auto_53555 ?auto_53552 ) ( IN-CITY ?auto_53549 ?auto_53552 ) ( DIFFERENT ?auto_53549 ?auto_53555 ) ( LOCATION ?auto_53553 ) ( AT ?auto_53550 ?auto_53553 ) ( AIRPLANE ?auto_53556 ) ( AIRPORT ?auto_53557 ) ( AIRPORT ?auto_53553 ) ( DIFFERENT ?auto_53553 ?auto_53557 ) ( AIRPORT ?auto_53558 ) ( DIFFERENT ?auto_53557 ?auto_53558 ) ( AIRPORT ?auto_53559 ) ( AT ?auto_53556 ?auto_53559 ) ( DIFFERENT ?auto_53558 ?auto_53559 ) ( LOCATION ?auto_53561 ) ( AT ?auto_53548 ?auto_53561 ) ( AT ?auto_53556 ?auto_53561 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_53548 ?auto_53556 ?auto_53561 )
      ( DELIVER-PKG ?auto_53548 ?auto_53549 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53576
      ?auto_53577
    )
    :vars
    (
      ?auto_53579
      ?auto_53583
      ?auto_53581
      ?auto_53582
      ?auto_53584
      ?auto_53585
      ?auto_53586
      ?auto_53588
      ?auto_53590
    )
    :precondition
    ( and ( OBJ ?auto_53576 ) ( LOCATION ?auto_53577 ) ( TRUCK ?auto_53579 ) ( LOCATION ?auto_53583 ) ( CITY ?auto_53581 ) ( AT ?auto_53579 ?auto_53583 ) ( IN-CITY ?auto_53583 ?auto_53581 ) ( IN-CITY ?auto_53577 ?auto_53581 ) ( DIFFERENT ?auto_53577 ?auto_53583 ) ( LOCATION ?auto_53582 ) ( AT ?auto_53579 ?auto_53582 ) ( AIRPLANE ?auto_53584 ) ( AIRPORT ?auto_53585 ) ( AIRPORT ?auto_53582 ) ( DIFFERENT ?auto_53582 ?auto_53585 ) ( AIRPORT ?auto_53586 ) ( DIFFERENT ?auto_53585 ?auto_53586 ) ( AIRPORT ?auto_53588 ) ( DIFFERENT ?auto_53586 ?auto_53588 ) ( LOCATION ?auto_53588 ) ( AT ?auto_53576 ?auto_53588 ) ( AIRPORT ?auto_53590 ) ( AT ?auto_53584 ?auto_53590 ) ( DIFFERENT ?auto_53588 ?auto_53590 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53584 ?auto_53590 ?auto_53588 )
      ( DELIVER-PKG ?auto_53576 ?auto_53577 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16680
      ?auto_16681
    )
    :vars
    (
      ?auto_16690
      ?auto_16688
      ?auto_16687
      ?auto_16686
      ?auto_16689
      ?auto_16691
      ?auto_16682
      ?auto_16684
      ?auto_16692
      ?auto_16694
    )
    :precondition
    ( and ( OBJ ?auto_16680 ) ( LOCATION ?auto_16681 ) ( TRUCK ?auto_16690 ) ( LOCATION ?auto_16688 ) ( CITY ?auto_16687 ) ( AT ?auto_16690 ?auto_16688 ) ( IN-CITY ?auto_16688 ?auto_16687 ) ( IN-CITY ?auto_16681 ?auto_16687 ) ( DIFFERENT ?auto_16681 ?auto_16688 ) ( LOCATION ?auto_16686 ) ( AT ?auto_16690 ?auto_16686 ) ( AIRPLANE ?auto_16689 ) ( AIRPORT ?auto_16691 ) ( AIRPORT ?auto_16686 ) ( DIFFERENT ?auto_16686 ?auto_16691 ) ( AIRPORT ?auto_16682 ) ( DIFFERENT ?auto_16691 ?auto_16682 ) ( LOCATION ?auto_16682 ) ( AIRPORT ?auto_16684 ) ( DIFFERENT ?auto_16682 ?auto_16684 ) ( LOCATION ?auto_16684 ) ( AIRPORT ?auto_16692 ) ( AT ?auto_16689 ?auto_16692 ) ( DIFFERENT ?auto_16684 ?auto_16692 ) ( TRUCK ?auto_16694 ) ( AT ?auto_16694 ?auto_16684 ) ( IN ?auto_16680 ?auto_16694 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16680 ?auto_16684 )
      ( DELIVER-PKG ?auto_16680 ?auto_16681 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16710
      ?auto_16711
    )
    :vars
    (
      ?auto_16720
      ?auto_16714
      ?auto_16712
      ?auto_16723
      ?auto_16716
      ?auto_16718
      ?auto_16713
      ?auto_16722
      ?auto_16717
      ?auto_16719
      ?auto_16726
      ?auto_16725
    )
    :precondition
    ( and ( OBJ ?auto_16710 ) ( LOCATION ?auto_16711 ) ( TRUCK ?auto_16720 ) ( LOCATION ?auto_16714 ) ( CITY ?auto_16712 ) ( AT ?auto_16720 ?auto_16714 ) ( IN-CITY ?auto_16714 ?auto_16712 ) ( IN-CITY ?auto_16711 ?auto_16712 ) ( DIFFERENT ?auto_16711 ?auto_16714 ) ( LOCATION ?auto_16723 ) ( AT ?auto_16720 ?auto_16723 ) ( AIRPLANE ?auto_16716 ) ( AIRPORT ?auto_16718 ) ( AIRPORT ?auto_16723 ) ( DIFFERENT ?auto_16723 ?auto_16718 ) ( AIRPORT ?auto_16713 ) ( DIFFERENT ?auto_16718 ?auto_16713 ) ( LOCATION ?auto_16713 ) ( AIRPORT ?auto_16722 ) ( DIFFERENT ?auto_16713 ?auto_16722 ) ( LOCATION ?auto_16722 ) ( AIRPORT ?auto_16717 ) ( AT ?auto_16716 ?auto_16717 ) ( DIFFERENT ?auto_16722 ?auto_16717 ) ( TRUCK ?auto_16719 ) ( IN ?auto_16710 ?auto_16719 ) ( LOCATION ?auto_16726 ) ( CITY ?auto_16725 ) ( AT ?auto_16719 ?auto_16726 ) ( IN-CITY ?auto_16726 ?auto_16725 ) ( IN-CITY ?auto_16722 ?auto_16725 ) ( DIFFERENT ?auto_16722 ?auto_16726 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16719 ?auto_16726 ?auto_16722 ?auto_16725 )
      ( DELIVER-PKG ?auto_16710 ?auto_16711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16744
      ?auto_16745
    )
    :vars
    (
      ?auto_16755
      ?auto_16750
      ?auto_16746
      ?auto_16757
      ?auto_16751
      ?auto_16753
      ?auto_16748
      ?auto_16756
      ?auto_16752
      ?auto_16754
      ?auto_16759
      ?auto_16758
      ?auto_16762
      ?auto_16761
    )
    :precondition
    ( and ( OBJ ?auto_16744 ) ( LOCATION ?auto_16745 ) ( TRUCK ?auto_16755 ) ( LOCATION ?auto_16750 ) ( CITY ?auto_16746 ) ( AT ?auto_16755 ?auto_16750 ) ( IN-CITY ?auto_16750 ?auto_16746 ) ( IN-CITY ?auto_16745 ?auto_16746 ) ( DIFFERENT ?auto_16745 ?auto_16750 ) ( LOCATION ?auto_16757 ) ( AT ?auto_16755 ?auto_16757 ) ( AIRPLANE ?auto_16751 ) ( AIRPORT ?auto_16753 ) ( AIRPORT ?auto_16757 ) ( DIFFERENT ?auto_16757 ?auto_16753 ) ( AIRPORT ?auto_16748 ) ( DIFFERENT ?auto_16753 ?auto_16748 ) ( LOCATION ?auto_16748 ) ( AIRPORT ?auto_16756 ) ( DIFFERENT ?auto_16748 ?auto_16756 ) ( LOCATION ?auto_16756 ) ( AIRPORT ?auto_16752 ) ( AT ?auto_16751 ?auto_16752 ) ( DIFFERENT ?auto_16756 ?auto_16752 ) ( TRUCK ?auto_16754 ) ( IN ?auto_16744 ?auto_16754 ) ( LOCATION ?auto_16759 ) ( CITY ?auto_16758 ) ( IN-CITY ?auto_16759 ?auto_16758 ) ( IN-CITY ?auto_16756 ?auto_16758 ) ( DIFFERENT ?auto_16756 ?auto_16759 ) ( LOCATION ?auto_16762 ) ( CITY ?auto_16761 ) ( AT ?auto_16754 ?auto_16762 ) ( IN-CITY ?auto_16762 ?auto_16761 ) ( IN-CITY ?auto_16759 ?auto_16761 ) ( DIFFERENT ?auto_16759 ?auto_16762 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16754 ?auto_16762 ?auto_16759 ?auto_16761 )
      ( DELIVER-PKG ?auto_16744 ?auto_16745 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16782
      ?auto_16783
    )
    :vars
    (
      ?auto_16789
      ?auto_16785
      ?auto_16794
      ?auto_16791
      ?auto_16786
      ?auto_16796
      ?auto_16787
      ?auto_16790
      ?auto_16795
      ?auto_16788
      ?auto_16793
      ?auto_16792
      ?auto_16799
      ?auto_16798
      ?auto_16801
    )
    :precondition
    ( and ( OBJ ?auto_16782 ) ( LOCATION ?auto_16783 ) ( TRUCK ?auto_16789 ) ( LOCATION ?auto_16785 ) ( CITY ?auto_16794 ) ( AT ?auto_16789 ?auto_16785 ) ( IN-CITY ?auto_16785 ?auto_16794 ) ( IN-CITY ?auto_16783 ?auto_16794 ) ( DIFFERENT ?auto_16783 ?auto_16785 ) ( LOCATION ?auto_16791 ) ( AT ?auto_16789 ?auto_16791 ) ( AIRPLANE ?auto_16786 ) ( AIRPORT ?auto_16796 ) ( AIRPORT ?auto_16791 ) ( DIFFERENT ?auto_16791 ?auto_16796 ) ( AIRPORT ?auto_16787 ) ( DIFFERENT ?auto_16796 ?auto_16787 ) ( LOCATION ?auto_16787 ) ( AIRPORT ?auto_16790 ) ( DIFFERENT ?auto_16787 ?auto_16790 ) ( LOCATION ?auto_16790 ) ( AIRPORT ?auto_16795 ) ( AT ?auto_16786 ?auto_16795 ) ( DIFFERENT ?auto_16790 ?auto_16795 ) ( TRUCK ?auto_16788 ) ( LOCATION ?auto_16793 ) ( CITY ?auto_16792 ) ( IN-CITY ?auto_16793 ?auto_16792 ) ( IN-CITY ?auto_16790 ?auto_16792 ) ( DIFFERENT ?auto_16790 ?auto_16793 ) ( LOCATION ?auto_16799 ) ( CITY ?auto_16798 ) ( AT ?auto_16788 ?auto_16799 ) ( IN-CITY ?auto_16799 ?auto_16798 ) ( IN-CITY ?auto_16793 ?auto_16798 ) ( DIFFERENT ?auto_16793 ?auto_16799 ) ( LOCATION ?auto_16801 ) ( AT ?auto_16788 ?auto_16801 ) ( AT ?auto_16782 ?auto_16801 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16782 ?auto_16788 ?auto_16801 )
      ( DELIVER-PKG ?auto_16782 ?auto_16783 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16841
      ?auto_16842
    )
    :vars
    (
      ?auto_16850
      ?auto_16844
      ?auto_16855
      ?auto_16852
      ?auto_16847
      ?auto_16857
      ?auto_16845
      ?auto_16851
      ?auto_16856
      ?auto_16846
      ?auto_16854
      ?auto_16853
      ?auto_16849
      ?auto_16858
      ?auto_16862
      ?auto_16861
    )
    :precondition
    ( and ( OBJ ?auto_16841 ) ( LOCATION ?auto_16842 ) ( TRUCK ?auto_16850 ) ( LOCATION ?auto_16844 ) ( CITY ?auto_16855 ) ( AT ?auto_16850 ?auto_16844 ) ( IN-CITY ?auto_16844 ?auto_16855 ) ( IN-CITY ?auto_16842 ?auto_16855 ) ( DIFFERENT ?auto_16842 ?auto_16844 ) ( LOCATION ?auto_16852 ) ( AT ?auto_16850 ?auto_16852 ) ( AIRPLANE ?auto_16847 ) ( AIRPORT ?auto_16857 ) ( AIRPORT ?auto_16852 ) ( DIFFERENT ?auto_16852 ?auto_16857 ) ( AIRPORT ?auto_16845 ) ( DIFFERENT ?auto_16857 ?auto_16845 ) ( LOCATION ?auto_16845 ) ( AIRPORT ?auto_16851 ) ( DIFFERENT ?auto_16845 ?auto_16851 ) ( LOCATION ?auto_16851 ) ( AIRPORT ?auto_16856 ) ( AT ?auto_16847 ?auto_16856 ) ( DIFFERENT ?auto_16851 ?auto_16856 ) ( TRUCK ?auto_16846 ) ( LOCATION ?auto_16854 ) ( CITY ?auto_16853 ) ( IN-CITY ?auto_16854 ?auto_16853 ) ( IN-CITY ?auto_16851 ?auto_16853 ) ( DIFFERENT ?auto_16851 ?auto_16854 ) ( LOCATION ?auto_16849 ) ( CITY ?auto_16858 ) ( IN-CITY ?auto_16849 ?auto_16858 ) ( IN-CITY ?auto_16854 ?auto_16858 ) ( DIFFERENT ?auto_16854 ?auto_16849 ) ( AT ?auto_16841 ?auto_16849 ) ( LOCATION ?auto_16862 ) ( CITY ?auto_16861 ) ( AT ?auto_16846 ?auto_16862 ) ( IN-CITY ?auto_16862 ?auto_16861 ) ( IN-CITY ?auto_16849 ?auto_16861 ) ( DIFFERENT ?auto_16849 ?auto_16862 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16846 ?auto_16862 ?auto_16849 ?auto_16861 )
      ( DELIVER-PKG ?auto_16841 ?auto_16842 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16864
      ?auto_16865
    )
    :vars
    (
      ?auto_16880
      ?auto_16870
      ?auto_16878
      ?auto_16875
      ?auto_16874
      ?auto_16868
      ?auto_16871
      ?auto_16881
      ?auto_16867
      ?auto_16872
      ?auto_16877
      ?auto_16876
      ?auto_16879
      ?auto_16869
      ?auto_16883
      ?auto_16873
      ?auto_16885
    )
    :precondition
    ( and ( OBJ ?auto_16864 ) ( LOCATION ?auto_16865 ) ( TRUCK ?auto_16880 ) ( LOCATION ?auto_16870 ) ( CITY ?auto_16878 ) ( AT ?auto_16880 ?auto_16870 ) ( IN-CITY ?auto_16870 ?auto_16878 ) ( IN-CITY ?auto_16865 ?auto_16878 ) ( DIFFERENT ?auto_16865 ?auto_16870 ) ( LOCATION ?auto_16875 ) ( AT ?auto_16880 ?auto_16875 ) ( AIRPLANE ?auto_16874 ) ( AIRPORT ?auto_16868 ) ( AIRPORT ?auto_16875 ) ( DIFFERENT ?auto_16875 ?auto_16868 ) ( AIRPORT ?auto_16871 ) ( DIFFERENT ?auto_16868 ?auto_16871 ) ( LOCATION ?auto_16871 ) ( AIRPORT ?auto_16881 ) ( DIFFERENT ?auto_16871 ?auto_16881 ) ( LOCATION ?auto_16881 ) ( AIRPORT ?auto_16867 ) ( DIFFERENT ?auto_16881 ?auto_16867 ) ( TRUCK ?auto_16872 ) ( LOCATION ?auto_16877 ) ( CITY ?auto_16876 ) ( IN-CITY ?auto_16877 ?auto_16876 ) ( IN-CITY ?auto_16881 ?auto_16876 ) ( DIFFERENT ?auto_16881 ?auto_16877 ) ( LOCATION ?auto_16879 ) ( CITY ?auto_16869 ) ( IN-CITY ?auto_16879 ?auto_16869 ) ( IN-CITY ?auto_16877 ?auto_16869 ) ( DIFFERENT ?auto_16877 ?auto_16879 ) ( AT ?auto_16864 ?auto_16879 ) ( LOCATION ?auto_16883 ) ( CITY ?auto_16873 ) ( AT ?auto_16872 ?auto_16883 ) ( IN-CITY ?auto_16883 ?auto_16873 ) ( IN-CITY ?auto_16879 ?auto_16873 ) ( DIFFERENT ?auto_16879 ?auto_16883 ) ( AIRPORT ?auto_16885 ) ( AT ?auto_16874 ?auto_16885 ) ( DIFFERENT ?auto_16867 ?auto_16885 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16874 ?auto_16885 ?auto_16867 )
      ( DELIVER-PKG ?auto_16864 ?auto_16865 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17174
      ?auto_17175
    )
    :vars
    (
      ?auto_17186
      ?auto_17177
      ?auto_17181
      ?auto_17178
      ?auto_17180
      ?auto_17185
      ?auto_17176
      ?auto_17183
      ?auto_17188
    )
    :precondition
    ( and ( OBJ ?auto_17174 ) ( LOCATION ?auto_17175 ) ( AIRPLANE ?auto_17186 ) ( AIRPORT ?auto_17177 ) ( AIRPORT ?auto_17175 ) ( DIFFERENT ?auto_17175 ?auto_17177 ) ( LOCATION ?auto_17177 ) ( TRUCK ?auto_17181 ) ( LOCATION ?auto_17178 ) ( CITY ?auto_17180 ) ( IN-CITY ?auto_17178 ?auto_17180 ) ( IN-CITY ?auto_17177 ?auto_17180 ) ( DIFFERENT ?auto_17177 ?auto_17178 ) ( LOCATION ?auto_17185 ) ( CITY ?auto_17176 ) ( AT ?auto_17181 ?auto_17185 ) ( IN-CITY ?auto_17185 ?auto_17176 ) ( IN-CITY ?auto_17178 ?auto_17176 ) ( DIFFERENT ?auto_17178 ?auto_17185 ) ( LOCATION ?auto_17183 ) ( AT ?auto_17181 ?auto_17183 ) ( AT ?auto_17174 ?auto_17183 ) ( AIRPORT ?auto_17188 ) ( AT ?auto_17186 ?auto_17188 ) ( DIFFERENT ?auto_17177 ?auto_17188 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17186 ?auto_17188 ?auto_17177 )
      ( DELIVER-PKG ?auto_17174 ?auto_17175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18297
      ?auto_18298
    )
    :vars
    (
      ?auto_18308
      ?auto_18310
      ?auto_18309
      ?auto_18299
      ?auto_18300
      ?auto_18307
      ?auto_18303
      ?auto_18302
      ?auto_18301
      ?auto_18304
      ?auto_18313
    )
    :precondition
    ( and ( OBJ ?auto_18297 ) ( LOCATION ?auto_18298 ) ( TRUCK ?auto_18308 ) ( LOCATION ?auto_18310 ) ( CITY ?auto_18309 ) ( IN-CITY ?auto_18310 ?auto_18309 ) ( IN-CITY ?auto_18298 ?auto_18309 ) ( DIFFERENT ?auto_18298 ?auto_18310 ) ( LOCATION ?auto_18299 ) ( CITY ?auto_18300 ) ( IN-CITY ?auto_18299 ?auto_18300 ) ( IN-CITY ?auto_18310 ?auto_18300 ) ( DIFFERENT ?auto_18310 ?auto_18299 ) ( LOCATION ?auto_18307 ) ( CITY ?auto_18303 ) ( IN-CITY ?auto_18307 ?auto_18303 ) ( IN-CITY ?auto_18299 ?auto_18303 ) ( DIFFERENT ?auto_18299 ?auto_18307 ) ( LOCATION ?auto_18302 ) ( CITY ?auto_18301 ) ( AT ?auto_18308 ?auto_18302 ) ( IN-CITY ?auto_18302 ?auto_18301 ) ( IN-CITY ?auto_18307 ?auto_18301 ) ( DIFFERENT ?auto_18307 ?auto_18302 ) ( LOCATION ?auto_18304 ) ( AT ?auto_18308 ?auto_18304 ) ( AIRPLANE ?auto_18313 ) ( IN ?auto_18297 ?auto_18313 ) ( AT ?auto_18313 ?auto_18304 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18297 ?auto_18304 )
      ( DELIVER-PKG ?auto_18297 ?auto_18298 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18314
      ?auto_18315
    )
    :vars
    (
      ?auto_18324
      ?auto_18319
      ?auto_18318
      ?auto_18322
      ?auto_18325
      ?auto_18326
      ?auto_18316
      ?auto_18328
      ?auto_18327
      ?auto_18320
      ?auto_18323
      ?auto_18330
    )
    :precondition
    ( and ( OBJ ?auto_18314 ) ( LOCATION ?auto_18315 ) ( TRUCK ?auto_18324 ) ( LOCATION ?auto_18319 ) ( CITY ?auto_18318 ) ( IN-CITY ?auto_18319 ?auto_18318 ) ( IN-CITY ?auto_18315 ?auto_18318 ) ( DIFFERENT ?auto_18315 ?auto_18319 ) ( LOCATION ?auto_18322 ) ( CITY ?auto_18325 ) ( IN-CITY ?auto_18322 ?auto_18325 ) ( IN-CITY ?auto_18319 ?auto_18325 ) ( DIFFERENT ?auto_18319 ?auto_18322 ) ( LOCATION ?auto_18326 ) ( CITY ?auto_18316 ) ( IN-CITY ?auto_18326 ?auto_18316 ) ( IN-CITY ?auto_18322 ?auto_18316 ) ( DIFFERENT ?auto_18322 ?auto_18326 ) ( LOCATION ?auto_18328 ) ( CITY ?auto_18327 ) ( AT ?auto_18324 ?auto_18328 ) ( IN-CITY ?auto_18328 ?auto_18327 ) ( IN-CITY ?auto_18326 ?auto_18327 ) ( DIFFERENT ?auto_18326 ?auto_18328 ) ( LOCATION ?auto_18320 ) ( AT ?auto_18324 ?auto_18320 ) ( AIRPLANE ?auto_18323 ) ( IN ?auto_18314 ?auto_18323 ) ( AIRPORT ?auto_18330 ) ( AIRPORT ?auto_18320 ) ( AT ?auto_18323 ?auto_18330 ) ( DIFFERENT ?auto_18320 ?auto_18330 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18323 ?auto_18330 ?auto_18320 )
      ( DELIVER-PKG ?auto_18314 ?auto_18315 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18332
      ?auto_18333
    )
    :vars
    (
      ?auto_18334
      ?auto_18347
      ?auto_18346
      ?auto_18341
      ?auto_18337
      ?auto_18338
      ?auto_18344
      ?auto_18335
      ?auto_18339
      ?auto_18340
      ?auto_18345
      ?auto_18336
      ?auto_18349
    )
    :precondition
    ( and ( OBJ ?auto_18332 ) ( LOCATION ?auto_18333 ) ( TRUCK ?auto_18334 ) ( LOCATION ?auto_18347 ) ( CITY ?auto_18346 ) ( IN-CITY ?auto_18347 ?auto_18346 ) ( IN-CITY ?auto_18333 ?auto_18346 ) ( DIFFERENT ?auto_18333 ?auto_18347 ) ( LOCATION ?auto_18341 ) ( CITY ?auto_18337 ) ( IN-CITY ?auto_18341 ?auto_18337 ) ( IN-CITY ?auto_18347 ?auto_18337 ) ( DIFFERENT ?auto_18347 ?auto_18341 ) ( LOCATION ?auto_18338 ) ( CITY ?auto_18344 ) ( IN-CITY ?auto_18338 ?auto_18344 ) ( IN-CITY ?auto_18341 ?auto_18344 ) ( DIFFERENT ?auto_18341 ?auto_18338 ) ( LOCATION ?auto_18335 ) ( CITY ?auto_18339 ) ( AT ?auto_18334 ?auto_18335 ) ( IN-CITY ?auto_18335 ?auto_18339 ) ( IN-CITY ?auto_18338 ?auto_18339 ) ( DIFFERENT ?auto_18338 ?auto_18335 ) ( LOCATION ?auto_18340 ) ( AT ?auto_18334 ?auto_18340 ) ( AIRPLANE ?auto_18345 ) ( AIRPORT ?auto_18336 ) ( AIRPORT ?auto_18340 ) ( AT ?auto_18345 ?auto_18336 ) ( DIFFERENT ?auto_18340 ?auto_18336 ) ( LOCATION ?auto_18349 ) ( AT ?auto_18332 ?auto_18349 ) ( AT ?auto_18345 ?auto_18349 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_18332 ?auto_18345 ?auto_18349 )
      ( DELIVER-PKG ?auto_18332 ?auto_18333 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18351
      ?auto_18352
    )
    :vars
    (
      ?auto_18356
      ?auto_18366
      ?auto_18365
      ?auto_18362
      ?auto_18358
      ?auto_18359
      ?auto_18363
      ?auto_18357
      ?auto_18360
      ?auto_18361
      ?auto_18364
      ?auto_18355
      ?auto_18367
      ?auto_18370
    )
    :precondition
    ( and ( OBJ ?auto_18351 ) ( LOCATION ?auto_18352 ) ( TRUCK ?auto_18356 ) ( LOCATION ?auto_18366 ) ( CITY ?auto_18365 ) ( IN-CITY ?auto_18366 ?auto_18365 ) ( IN-CITY ?auto_18352 ?auto_18365 ) ( DIFFERENT ?auto_18352 ?auto_18366 ) ( LOCATION ?auto_18362 ) ( CITY ?auto_18358 ) ( IN-CITY ?auto_18362 ?auto_18358 ) ( IN-CITY ?auto_18366 ?auto_18358 ) ( DIFFERENT ?auto_18366 ?auto_18362 ) ( LOCATION ?auto_18359 ) ( CITY ?auto_18363 ) ( IN-CITY ?auto_18359 ?auto_18363 ) ( IN-CITY ?auto_18362 ?auto_18363 ) ( DIFFERENT ?auto_18362 ?auto_18359 ) ( LOCATION ?auto_18357 ) ( CITY ?auto_18360 ) ( AT ?auto_18356 ?auto_18357 ) ( IN-CITY ?auto_18357 ?auto_18360 ) ( IN-CITY ?auto_18359 ?auto_18360 ) ( DIFFERENT ?auto_18359 ?auto_18357 ) ( LOCATION ?auto_18361 ) ( AT ?auto_18356 ?auto_18361 ) ( AIRPLANE ?auto_18364 ) ( AIRPORT ?auto_18355 ) ( AIRPORT ?auto_18361 ) ( AT ?auto_18364 ?auto_18355 ) ( DIFFERENT ?auto_18361 ?auto_18355 ) ( LOCATION ?auto_18367 ) ( AT ?auto_18364 ?auto_18367 ) ( TRUCK ?auto_18370 ) ( AT ?auto_18370 ?auto_18367 ) ( IN ?auto_18351 ?auto_18370 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18351 ?auto_18367 )
      ( DELIVER-PKG ?auto_18351 ?auto_18352 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18371
      ?auto_18372
    )
    :vars
    (
      ?auto_18387
      ?auto_18382
      ?auto_18381
      ?auto_18386
      ?auto_18388
      ?auto_18376
      ?auto_18374
      ?auto_18378
      ?auto_18379
      ?auto_18380
      ?auto_18375
      ?auto_18385
      ?auto_18384
      ?auto_18383
      ?auto_18391
      ?auto_18390
    )
    :precondition
    ( and ( OBJ ?auto_18371 ) ( LOCATION ?auto_18372 ) ( TRUCK ?auto_18387 ) ( LOCATION ?auto_18382 ) ( CITY ?auto_18381 ) ( IN-CITY ?auto_18382 ?auto_18381 ) ( IN-CITY ?auto_18372 ?auto_18381 ) ( DIFFERENT ?auto_18372 ?auto_18382 ) ( LOCATION ?auto_18386 ) ( CITY ?auto_18388 ) ( IN-CITY ?auto_18386 ?auto_18388 ) ( IN-CITY ?auto_18382 ?auto_18388 ) ( DIFFERENT ?auto_18382 ?auto_18386 ) ( LOCATION ?auto_18376 ) ( CITY ?auto_18374 ) ( IN-CITY ?auto_18376 ?auto_18374 ) ( IN-CITY ?auto_18386 ?auto_18374 ) ( DIFFERENT ?auto_18386 ?auto_18376 ) ( LOCATION ?auto_18378 ) ( CITY ?auto_18379 ) ( AT ?auto_18387 ?auto_18378 ) ( IN-CITY ?auto_18378 ?auto_18379 ) ( IN-CITY ?auto_18376 ?auto_18379 ) ( DIFFERENT ?auto_18376 ?auto_18378 ) ( LOCATION ?auto_18380 ) ( AT ?auto_18387 ?auto_18380 ) ( AIRPLANE ?auto_18375 ) ( AIRPORT ?auto_18385 ) ( AIRPORT ?auto_18380 ) ( AT ?auto_18375 ?auto_18385 ) ( DIFFERENT ?auto_18380 ?auto_18385 ) ( LOCATION ?auto_18384 ) ( AT ?auto_18375 ?auto_18384 ) ( TRUCK ?auto_18383 ) ( IN ?auto_18371 ?auto_18383 ) ( LOCATION ?auto_18391 ) ( CITY ?auto_18390 ) ( AT ?auto_18383 ?auto_18391 ) ( IN-CITY ?auto_18391 ?auto_18390 ) ( IN-CITY ?auto_18384 ?auto_18390 ) ( DIFFERENT ?auto_18384 ?auto_18391 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18383 ?auto_18391 ?auto_18384 ?auto_18390 )
      ( DELIVER-PKG ?auto_18371 ?auto_18372 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18393
      ?auto_18394
    )
    :vars
    (
      ?auto_18396
      ?auto_18401
      ?auto_18407
      ?auto_18398
      ?auto_18405
      ?auto_18411
      ?auto_18409
      ?auto_18395
      ?auto_18412
      ?auto_18397
      ?auto_18410
      ?auto_18408
      ?auto_18399
      ?auto_18400
      ?auto_18402
      ?auto_18406
      ?auto_18415
      ?auto_18414
    )
    :precondition
    ( and ( OBJ ?auto_18393 ) ( LOCATION ?auto_18394 ) ( TRUCK ?auto_18396 ) ( LOCATION ?auto_18401 ) ( CITY ?auto_18407 ) ( IN-CITY ?auto_18401 ?auto_18407 ) ( IN-CITY ?auto_18394 ?auto_18407 ) ( DIFFERENT ?auto_18394 ?auto_18401 ) ( LOCATION ?auto_18398 ) ( CITY ?auto_18405 ) ( IN-CITY ?auto_18398 ?auto_18405 ) ( IN-CITY ?auto_18401 ?auto_18405 ) ( DIFFERENT ?auto_18401 ?auto_18398 ) ( LOCATION ?auto_18411 ) ( CITY ?auto_18409 ) ( IN-CITY ?auto_18411 ?auto_18409 ) ( IN-CITY ?auto_18398 ?auto_18409 ) ( DIFFERENT ?auto_18398 ?auto_18411 ) ( LOCATION ?auto_18395 ) ( CITY ?auto_18412 ) ( AT ?auto_18396 ?auto_18395 ) ( IN-CITY ?auto_18395 ?auto_18412 ) ( IN-CITY ?auto_18411 ?auto_18412 ) ( DIFFERENT ?auto_18411 ?auto_18395 ) ( LOCATION ?auto_18397 ) ( AT ?auto_18396 ?auto_18397 ) ( AIRPLANE ?auto_18410 ) ( AIRPORT ?auto_18408 ) ( AIRPORT ?auto_18397 ) ( AT ?auto_18410 ?auto_18408 ) ( DIFFERENT ?auto_18397 ?auto_18408 ) ( LOCATION ?auto_18399 ) ( AT ?auto_18410 ?auto_18399 ) ( TRUCK ?auto_18400 ) ( IN ?auto_18393 ?auto_18400 ) ( LOCATION ?auto_18402 ) ( CITY ?auto_18406 ) ( IN-CITY ?auto_18402 ?auto_18406 ) ( IN-CITY ?auto_18399 ?auto_18406 ) ( DIFFERENT ?auto_18399 ?auto_18402 ) ( LOCATION ?auto_18415 ) ( CITY ?auto_18414 ) ( AT ?auto_18400 ?auto_18415 ) ( IN-CITY ?auto_18415 ?auto_18414 ) ( IN-CITY ?auto_18402 ?auto_18414 ) ( DIFFERENT ?auto_18402 ?auto_18415 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18400 ?auto_18415 ?auto_18402 ?auto_18414 )
      ( DELIVER-PKG ?auto_18393 ?auto_18394 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18417
      ?auto_18418
    )
    :vars
    (
      ?auto_18432
      ?auto_18438
      ?auto_18430
      ?auto_18433
      ?auto_18422
      ?auto_18434
      ?auto_18421
      ?auto_18428
      ?auto_18435
      ?auto_18431
      ?auto_18424
      ?auto_18425
      ?auto_18436
      ?auto_18437
      ?auto_18429
      ?auto_18423
      ?auto_18426
      ?auto_18427
      ?auto_18440
    )
    :precondition
    ( and ( OBJ ?auto_18417 ) ( LOCATION ?auto_18418 ) ( TRUCK ?auto_18432 ) ( LOCATION ?auto_18438 ) ( CITY ?auto_18430 ) ( IN-CITY ?auto_18438 ?auto_18430 ) ( IN-CITY ?auto_18418 ?auto_18430 ) ( DIFFERENT ?auto_18418 ?auto_18438 ) ( LOCATION ?auto_18433 ) ( CITY ?auto_18422 ) ( IN-CITY ?auto_18433 ?auto_18422 ) ( IN-CITY ?auto_18438 ?auto_18422 ) ( DIFFERENT ?auto_18438 ?auto_18433 ) ( LOCATION ?auto_18434 ) ( CITY ?auto_18421 ) ( IN-CITY ?auto_18434 ?auto_18421 ) ( IN-CITY ?auto_18433 ?auto_18421 ) ( DIFFERENT ?auto_18433 ?auto_18434 ) ( LOCATION ?auto_18428 ) ( CITY ?auto_18435 ) ( AT ?auto_18432 ?auto_18428 ) ( IN-CITY ?auto_18428 ?auto_18435 ) ( IN-CITY ?auto_18434 ?auto_18435 ) ( DIFFERENT ?auto_18434 ?auto_18428 ) ( LOCATION ?auto_18431 ) ( AT ?auto_18432 ?auto_18431 ) ( AIRPLANE ?auto_18424 ) ( AIRPORT ?auto_18425 ) ( AIRPORT ?auto_18431 ) ( AT ?auto_18424 ?auto_18425 ) ( DIFFERENT ?auto_18431 ?auto_18425 ) ( LOCATION ?auto_18436 ) ( AT ?auto_18424 ?auto_18436 ) ( TRUCK ?auto_18437 ) ( LOCATION ?auto_18429 ) ( CITY ?auto_18423 ) ( IN-CITY ?auto_18429 ?auto_18423 ) ( IN-CITY ?auto_18436 ?auto_18423 ) ( DIFFERENT ?auto_18436 ?auto_18429 ) ( LOCATION ?auto_18426 ) ( CITY ?auto_18427 ) ( AT ?auto_18437 ?auto_18426 ) ( IN-CITY ?auto_18426 ?auto_18427 ) ( IN-CITY ?auto_18429 ?auto_18427 ) ( DIFFERENT ?auto_18429 ?auto_18426 ) ( LOCATION ?auto_18440 ) ( AT ?auto_18437 ?auto_18440 ) ( AT ?auto_18417 ?auto_18440 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18417 ?auto_18437 ?auto_18440 )
      ( DELIVER-PKG ?auto_18417 ?auto_18418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18442
      ?auto_18443
    )
    :vars
    (
      ?auto_18454
      ?auto_18459
      ?auto_18449
      ?auto_18455
      ?auto_18460
      ?auto_18451
      ?auto_18457
      ?auto_18456
      ?auto_18453
      ?auto_18452
      ?auto_18461
      ?auto_18446
      ?auto_18448
      ?auto_18464
      ?auto_18458
      ?auto_18463
      ?auto_18445
      ?auto_18447
      ?auto_18466
    )
    :precondition
    ( and ( OBJ ?auto_18442 ) ( LOCATION ?auto_18443 ) ( TRUCK ?auto_18454 ) ( LOCATION ?auto_18459 ) ( CITY ?auto_18449 ) ( IN-CITY ?auto_18459 ?auto_18449 ) ( IN-CITY ?auto_18443 ?auto_18449 ) ( DIFFERENT ?auto_18443 ?auto_18459 ) ( LOCATION ?auto_18455 ) ( CITY ?auto_18460 ) ( IN-CITY ?auto_18455 ?auto_18460 ) ( IN-CITY ?auto_18459 ?auto_18460 ) ( DIFFERENT ?auto_18459 ?auto_18455 ) ( LOCATION ?auto_18451 ) ( CITY ?auto_18457 ) ( IN-CITY ?auto_18451 ?auto_18457 ) ( IN-CITY ?auto_18455 ?auto_18457 ) ( DIFFERENT ?auto_18455 ?auto_18451 ) ( LOCATION ?auto_18456 ) ( CITY ?auto_18453 ) ( AT ?auto_18454 ?auto_18456 ) ( IN-CITY ?auto_18456 ?auto_18453 ) ( IN-CITY ?auto_18451 ?auto_18453 ) ( DIFFERENT ?auto_18451 ?auto_18456 ) ( LOCATION ?auto_18452 ) ( AT ?auto_18454 ?auto_18452 ) ( AIRPLANE ?auto_18461 ) ( AIRPORT ?auto_18446 ) ( AIRPORT ?auto_18452 ) ( DIFFERENT ?auto_18452 ?auto_18446 ) ( LOCATION ?auto_18446 ) ( TRUCK ?auto_18448 ) ( LOCATION ?auto_18464 ) ( CITY ?auto_18458 ) ( IN-CITY ?auto_18464 ?auto_18458 ) ( IN-CITY ?auto_18446 ?auto_18458 ) ( DIFFERENT ?auto_18446 ?auto_18464 ) ( LOCATION ?auto_18463 ) ( CITY ?auto_18445 ) ( AT ?auto_18448 ?auto_18463 ) ( IN-CITY ?auto_18463 ?auto_18445 ) ( IN-CITY ?auto_18464 ?auto_18445 ) ( DIFFERENT ?auto_18464 ?auto_18463 ) ( LOCATION ?auto_18447 ) ( AT ?auto_18448 ?auto_18447 ) ( AT ?auto_18442 ?auto_18447 ) ( AIRPORT ?auto_18466 ) ( AT ?auto_18461 ?auto_18466 ) ( DIFFERENT ?auto_18446 ?auto_18466 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18461 ?auto_18466 ?auto_18446 )
      ( DELIVER-PKG ?auto_18442 ?auto_18443 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18468
      ?auto_18469
    )
    :vars
    (
      ?auto_18478
      ?auto_18470
      ?auto_18487
      ?auto_18490
      ?auto_18471
      ?auto_18488
      ?auto_18475
      ?auto_18472
      ?auto_18476
      ?auto_18489
      ?auto_18486
      ?auto_18483
      ?auto_18485
      ?auto_18473
      ?auto_18477
      ?auto_18484
      ?auto_18481
      ?auto_18482
      ?auto_18493
      ?auto_18492
    )
    :precondition
    ( and ( OBJ ?auto_18468 ) ( LOCATION ?auto_18469 ) ( TRUCK ?auto_18478 ) ( LOCATION ?auto_18470 ) ( CITY ?auto_18487 ) ( IN-CITY ?auto_18470 ?auto_18487 ) ( IN-CITY ?auto_18469 ?auto_18487 ) ( DIFFERENT ?auto_18469 ?auto_18470 ) ( LOCATION ?auto_18490 ) ( CITY ?auto_18471 ) ( IN-CITY ?auto_18490 ?auto_18471 ) ( IN-CITY ?auto_18470 ?auto_18471 ) ( DIFFERENT ?auto_18470 ?auto_18490 ) ( LOCATION ?auto_18488 ) ( CITY ?auto_18475 ) ( IN-CITY ?auto_18488 ?auto_18475 ) ( IN-CITY ?auto_18490 ?auto_18475 ) ( DIFFERENT ?auto_18490 ?auto_18488 ) ( LOCATION ?auto_18472 ) ( CITY ?auto_18476 ) ( AT ?auto_18478 ?auto_18472 ) ( IN-CITY ?auto_18472 ?auto_18476 ) ( IN-CITY ?auto_18488 ?auto_18476 ) ( DIFFERENT ?auto_18488 ?auto_18472 ) ( LOCATION ?auto_18489 ) ( AT ?auto_18478 ?auto_18489 ) ( AIRPLANE ?auto_18486 ) ( AIRPORT ?auto_18483 ) ( AIRPORT ?auto_18489 ) ( DIFFERENT ?auto_18489 ?auto_18483 ) ( LOCATION ?auto_18483 ) ( TRUCK ?auto_18485 ) ( LOCATION ?auto_18473 ) ( CITY ?auto_18477 ) ( IN-CITY ?auto_18473 ?auto_18477 ) ( IN-CITY ?auto_18483 ?auto_18477 ) ( DIFFERENT ?auto_18483 ?auto_18473 ) ( LOCATION ?auto_18484 ) ( CITY ?auto_18481 ) ( IN-CITY ?auto_18484 ?auto_18481 ) ( IN-CITY ?auto_18473 ?auto_18481 ) ( DIFFERENT ?auto_18473 ?auto_18484 ) ( AT ?auto_18468 ?auto_18484 ) ( AIRPORT ?auto_18482 ) ( AT ?auto_18486 ?auto_18482 ) ( DIFFERENT ?auto_18483 ?auto_18482 ) ( LOCATION ?auto_18493 ) ( CITY ?auto_18492 ) ( AT ?auto_18485 ?auto_18493 ) ( IN-CITY ?auto_18493 ?auto_18492 ) ( IN-CITY ?auto_18484 ?auto_18492 ) ( DIFFERENT ?auto_18484 ?auto_18493 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18485 ?auto_18493 ?auto_18484 ?auto_18492 )
      ( DELIVER-PKG ?auto_18468 ?auto_18469 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18703
      ?auto_18704
    )
    :vars
    (
      ?auto_18708
      ?auto_18713
      ?auto_18705
      ?auto_18709
      ?auto_18710
      ?auto_18711
      ?auto_18706
      ?auto_18714
    )
    :precondition
    ( and ( OBJ ?auto_18703 ) ( LOCATION ?auto_18704 ) ( AIRPLANE ?auto_18708 ) ( AIRPORT ?auto_18713 ) ( AIRPORT ?auto_18704 ) ( AT ?auto_18708 ?auto_18713 ) ( DIFFERENT ?auto_18704 ?auto_18713 ) ( LOCATION ?auto_18705 ) ( AT ?auto_18708 ?auto_18705 ) ( TRUCK ?auto_18709 ) ( LOCATION ?auto_18710 ) ( CITY ?auto_18711 ) ( AT ?auto_18709 ?auto_18710 ) ( IN-CITY ?auto_18710 ?auto_18711 ) ( IN-CITY ?auto_18705 ?auto_18711 ) ( DIFFERENT ?auto_18705 ?auto_18710 ) ( LOCATION ?auto_18706 ) ( AT ?auto_18709 ?auto_18706 ) ( TRUCK ?auto_18714 ) ( AT ?auto_18714 ?auto_18706 ) ( IN ?auto_18703 ?auto_18714 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18703 ?auto_18706 )
      ( DELIVER-PKG ?auto_18703 ?auto_18704 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19758
      ?auto_19759
    )
    :vars
    (
      ?auto_19763
      ?auto_19764
      ?auto_19767
      ?auto_19762
      ?auto_19770
      ?auto_19760
      ?auto_19769
      ?auto_19768
      ?auto_19766
      ?auto_19765
      ?auto_19774
      ?auto_19773
    )
    :precondition
    ( and ( OBJ ?auto_19758 ) ( LOCATION ?auto_19759 ) ( TRUCK ?auto_19763 ) ( LOCATION ?auto_19764 ) ( CITY ?auto_19767 ) ( AT ?auto_19763 ?auto_19764 ) ( IN-CITY ?auto_19764 ?auto_19767 ) ( IN-CITY ?auto_19759 ?auto_19767 ) ( DIFFERENT ?auto_19759 ?auto_19764 ) ( LOCATION ?auto_19762 ) ( AT ?auto_19763 ?auto_19762 ) ( AIRPLANE ?auto_19770 ) ( AIRPORT ?auto_19760 ) ( AIRPORT ?auto_19762 ) ( AT ?auto_19770 ?auto_19760 ) ( DIFFERENT ?auto_19762 ?auto_19760 ) ( LOCATION ?auto_19769 ) ( AT ?auto_19770 ?auto_19769 ) ( TRUCK ?auto_19768 ) ( IN ?auto_19758 ?auto_19768 ) ( LOCATION ?auto_19766 ) ( CITY ?auto_19765 ) ( IN-CITY ?auto_19766 ?auto_19765 ) ( IN-CITY ?auto_19769 ?auto_19765 ) ( DIFFERENT ?auto_19769 ?auto_19766 ) ( LOCATION ?auto_19774 ) ( CITY ?auto_19773 ) ( AT ?auto_19768 ?auto_19774 ) ( IN-CITY ?auto_19774 ?auto_19773 ) ( IN-CITY ?auto_19766 ?auto_19773 ) ( DIFFERENT ?auto_19766 ?auto_19774 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19768 ?auto_19774 ?auto_19766 ?auto_19773 )
      ( DELIVER-PKG ?auto_19758 ?auto_19759 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19792
      ?auto_19793
    )
    :vars
    (
      ?auto_19796
      ?auto_19801
      ?auto_19804
      ?auto_19807
      ?auto_19799
      ?auto_19802
      ?auto_19798
      ?auto_19806
      ?auto_19800
      ?auto_19795
      ?auto_19803
      ?auto_19797
      ?auto_19809
    )
    :precondition
    ( and ( OBJ ?auto_19792 ) ( LOCATION ?auto_19793 ) ( TRUCK ?auto_19796 ) ( LOCATION ?auto_19801 ) ( CITY ?auto_19804 ) ( AT ?auto_19796 ?auto_19801 ) ( IN-CITY ?auto_19801 ?auto_19804 ) ( IN-CITY ?auto_19793 ?auto_19804 ) ( DIFFERENT ?auto_19793 ?auto_19801 ) ( LOCATION ?auto_19807 ) ( AT ?auto_19796 ?auto_19807 ) ( AIRPLANE ?auto_19799 ) ( AIRPORT ?auto_19802 ) ( AIRPORT ?auto_19807 ) ( AT ?auto_19799 ?auto_19802 ) ( DIFFERENT ?auto_19807 ?auto_19802 ) ( LOCATION ?auto_19798 ) ( AT ?auto_19799 ?auto_19798 ) ( TRUCK ?auto_19806 ) ( LOCATION ?auto_19800 ) ( CITY ?auto_19795 ) ( IN-CITY ?auto_19800 ?auto_19795 ) ( IN-CITY ?auto_19798 ?auto_19795 ) ( DIFFERENT ?auto_19798 ?auto_19800 ) ( LOCATION ?auto_19803 ) ( CITY ?auto_19797 ) ( AT ?auto_19806 ?auto_19803 ) ( IN-CITY ?auto_19803 ?auto_19797 ) ( IN-CITY ?auto_19800 ?auto_19797 ) ( DIFFERENT ?auto_19800 ?auto_19803 ) ( LOCATION ?auto_19809 ) ( AT ?auto_19806 ?auto_19809 ) ( AT ?auto_19792 ?auto_19809 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_19792 ?auto_19806 ?auto_19809 )
      ( DELIVER-PKG ?auto_19792 ?auto_19793 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19811
      ?auto_19812
    )
    :vars
    (
      ?auto_19816
      ?auto_19821
      ?auto_19824
      ?auto_19827
      ?auto_19819
      ?auto_19822
      ?auto_19818
      ?auto_19826
      ?auto_19820
      ?auto_19815
      ?auto_19825
      ?auto_19817
      ?auto_19830
      ?auto_19829
    )
    :precondition
    ( and ( OBJ ?auto_19811 ) ( LOCATION ?auto_19812 ) ( TRUCK ?auto_19816 ) ( LOCATION ?auto_19821 ) ( CITY ?auto_19824 ) ( AT ?auto_19816 ?auto_19821 ) ( IN-CITY ?auto_19821 ?auto_19824 ) ( IN-CITY ?auto_19812 ?auto_19824 ) ( DIFFERENT ?auto_19812 ?auto_19821 ) ( LOCATION ?auto_19827 ) ( AT ?auto_19816 ?auto_19827 ) ( AIRPLANE ?auto_19819 ) ( AIRPORT ?auto_19822 ) ( AIRPORT ?auto_19827 ) ( AT ?auto_19819 ?auto_19822 ) ( DIFFERENT ?auto_19827 ?auto_19822 ) ( LOCATION ?auto_19818 ) ( AT ?auto_19819 ?auto_19818 ) ( TRUCK ?auto_19826 ) ( LOCATION ?auto_19820 ) ( CITY ?auto_19815 ) ( IN-CITY ?auto_19820 ?auto_19815 ) ( IN-CITY ?auto_19818 ?auto_19815 ) ( DIFFERENT ?auto_19818 ?auto_19820 ) ( LOCATION ?auto_19825 ) ( CITY ?auto_19817 ) ( IN-CITY ?auto_19825 ?auto_19817 ) ( IN-CITY ?auto_19820 ?auto_19817 ) ( DIFFERENT ?auto_19820 ?auto_19825 ) ( AT ?auto_19811 ?auto_19825 ) ( LOCATION ?auto_19830 ) ( CITY ?auto_19829 ) ( AT ?auto_19826 ?auto_19830 ) ( IN-CITY ?auto_19830 ?auto_19829 ) ( IN-CITY ?auto_19825 ?auto_19829 ) ( DIFFERENT ?auto_19825 ?auto_19830 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19826 ?auto_19830 ?auto_19825 ?auto_19829 )
      ( DELIVER-PKG ?auto_19811 ?auto_19812 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19832
      ?auto_19833
    )
    :vars
    (
      ?auto_19846
      ?auto_19838
      ?auto_19841
      ?auto_19840
      ?auto_19837
      ?auto_19849
      ?auto_19839
      ?auto_19844
      ?auto_19845
      ?auto_19847
      ?auto_19848
      ?auto_19842
      ?auto_19843
      ?auto_19851
    )
    :precondition
    ( and ( OBJ ?auto_19832 ) ( LOCATION ?auto_19833 ) ( TRUCK ?auto_19846 ) ( LOCATION ?auto_19838 ) ( CITY ?auto_19841 ) ( AT ?auto_19846 ?auto_19838 ) ( IN-CITY ?auto_19838 ?auto_19841 ) ( IN-CITY ?auto_19833 ?auto_19841 ) ( DIFFERENT ?auto_19833 ?auto_19838 ) ( LOCATION ?auto_19840 ) ( AT ?auto_19846 ?auto_19840 ) ( AIRPLANE ?auto_19837 ) ( AIRPORT ?auto_19849 ) ( AIRPORT ?auto_19840 ) ( DIFFERENT ?auto_19840 ?auto_19849 ) ( LOCATION ?auto_19849 ) ( TRUCK ?auto_19839 ) ( LOCATION ?auto_19844 ) ( CITY ?auto_19845 ) ( IN-CITY ?auto_19844 ?auto_19845 ) ( IN-CITY ?auto_19849 ?auto_19845 ) ( DIFFERENT ?auto_19849 ?auto_19844 ) ( LOCATION ?auto_19847 ) ( CITY ?auto_19848 ) ( IN-CITY ?auto_19847 ?auto_19848 ) ( IN-CITY ?auto_19844 ?auto_19848 ) ( DIFFERENT ?auto_19844 ?auto_19847 ) ( AT ?auto_19832 ?auto_19847 ) ( LOCATION ?auto_19842 ) ( CITY ?auto_19843 ) ( AT ?auto_19839 ?auto_19842 ) ( IN-CITY ?auto_19842 ?auto_19843 ) ( IN-CITY ?auto_19847 ?auto_19843 ) ( DIFFERENT ?auto_19847 ?auto_19842 ) ( AIRPORT ?auto_19851 ) ( AT ?auto_19837 ?auto_19851 ) ( DIFFERENT ?auto_19849 ?auto_19851 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19837 ?auto_19851 ?auto_19849 )
      ( DELIVER-PKG ?auto_19832 ?auto_19833 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19853
      ?auto_19854
    )
    :vars
    (
      ?auto_19866
      ?auto_19857
      ?auto_19856
      ?auto_19869
      ?auto_19860
      ?auto_19870
      ?auto_19859
      ?auto_19867
      ?auto_19862
      ?auto_19863
      ?auto_19858
      ?auto_19865
      ?auto_19861
      ?auto_19873
      ?auto_19872
    )
    :precondition
    ( and ( OBJ ?auto_19853 ) ( LOCATION ?auto_19854 ) ( TRUCK ?auto_19866 ) ( LOCATION ?auto_19857 ) ( CITY ?auto_19856 ) ( IN-CITY ?auto_19857 ?auto_19856 ) ( IN-CITY ?auto_19854 ?auto_19856 ) ( DIFFERENT ?auto_19854 ?auto_19857 ) ( AIRPLANE ?auto_19869 ) ( AIRPORT ?auto_19860 ) ( AIRPORT ?auto_19857 ) ( DIFFERENT ?auto_19857 ?auto_19860 ) ( LOCATION ?auto_19860 ) ( TRUCK ?auto_19870 ) ( LOCATION ?auto_19859 ) ( CITY ?auto_19867 ) ( IN-CITY ?auto_19859 ?auto_19867 ) ( IN-CITY ?auto_19860 ?auto_19867 ) ( DIFFERENT ?auto_19860 ?auto_19859 ) ( LOCATION ?auto_19862 ) ( CITY ?auto_19863 ) ( IN-CITY ?auto_19862 ?auto_19863 ) ( IN-CITY ?auto_19859 ?auto_19863 ) ( DIFFERENT ?auto_19859 ?auto_19862 ) ( AT ?auto_19853 ?auto_19862 ) ( LOCATION ?auto_19858 ) ( CITY ?auto_19865 ) ( AT ?auto_19870 ?auto_19858 ) ( IN-CITY ?auto_19858 ?auto_19865 ) ( IN-CITY ?auto_19862 ?auto_19865 ) ( DIFFERENT ?auto_19862 ?auto_19858 ) ( AIRPORT ?auto_19861 ) ( AT ?auto_19869 ?auto_19861 ) ( DIFFERENT ?auto_19860 ?auto_19861 ) ( LOCATION ?auto_19873 ) ( CITY ?auto_19872 ) ( AT ?auto_19866 ?auto_19873 ) ( IN-CITY ?auto_19873 ?auto_19872 ) ( IN-CITY ?auto_19857 ?auto_19872 ) ( DIFFERENT ?auto_19857 ?auto_19873 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19866 ?auto_19873 ?auto_19857 ?auto_19872 )
      ( DELIVER-PKG ?auto_19853 ?auto_19854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20406
      ?auto_20407
    )
    :vars
    (
      ?auto_20410
      ?auto_20412
      ?auto_20411
      ?auto_20409
      ?auto_20408
      ?auto_20414
      ?auto_20413
      ?auto_20418
    )
    :precondition
    ( and ( OBJ ?auto_20406 ) ( LOCATION ?auto_20407 ) ( TRUCK ?auto_20410 ) ( LOCATION ?auto_20412 ) ( CITY ?auto_20411 ) ( IN-CITY ?auto_20412 ?auto_20411 ) ( IN-CITY ?auto_20407 ?auto_20411 ) ( DIFFERENT ?auto_20407 ?auto_20412 ) ( LOCATION ?auto_20409 ) ( CITY ?auto_20408 ) ( IN-CITY ?auto_20409 ?auto_20408 ) ( IN-CITY ?auto_20412 ?auto_20408 ) ( DIFFERENT ?auto_20412 ?auto_20409 ) ( LOCATION ?auto_20414 ) ( CITY ?auto_20413 ) ( AT ?auto_20410 ?auto_20414 ) ( IN-CITY ?auto_20414 ?auto_20413 ) ( IN-CITY ?auto_20409 ?auto_20413 ) ( DIFFERENT ?auto_20409 ?auto_20414 ) ( LOCATION ?auto_20418 ) ( AT ?auto_20410 ?auto_20418 ) ( AT ?auto_20406 ?auto_20418 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_20406 ?auto_20410 ?auto_20418 )
      ( DELIVER-PKG ?auto_20406 ?auto_20407 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20432
      ?auto_20433
    )
    :vars
    (
      ?auto_20442
      ?auto_20437
      ?auto_20434
      ?auto_20443
      ?auto_20438
      ?auto_20440
      ?auto_20436
      ?auto_20439
      ?auto_20446
    )
    :precondition
    ( and ( OBJ ?auto_20432 ) ( LOCATION ?auto_20433 ) ( TRUCK ?auto_20442 ) ( LOCATION ?auto_20437 ) ( CITY ?auto_20434 ) ( IN-CITY ?auto_20437 ?auto_20434 ) ( IN-CITY ?auto_20433 ?auto_20434 ) ( DIFFERENT ?auto_20433 ?auto_20437 ) ( LOCATION ?auto_20443 ) ( CITY ?auto_20438 ) ( IN-CITY ?auto_20443 ?auto_20438 ) ( IN-CITY ?auto_20437 ?auto_20438 ) ( DIFFERENT ?auto_20437 ?auto_20443 ) ( LOCATION ?auto_20440 ) ( CITY ?auto_20436 ) ( AT ?auto_20442 ?auto_20440 ) ( IN-CITY ?auto_20440 ?auto_20436 ) ( IN-CITY ?auto_20443 ?auto_20436 ) ( DIFFERENT ?auto_20443 ?auto_20440 ) ( LOCATION ?auto_20439 ) ( AT ?auto_20442 ?auto_20439 ) ( AIRPLANE ?auto_20446 ) ( IN ?auto_20432 ?auto_20446 ) ( AT ?auto_20446 ?auto_20439 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20432 ?auto_20439 )
      ( DELIVER-PKG ?auto_20432 ?auto_20433 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20460
      ?auto_20461
    )
    :vars
    (
      ?auto_20470
      ?auto_20466
      ?auto_20464
      ?auto_20471
      ?auto_20467
      ?auto_20469
      ?auto_20465
      ?auto_20468
      ?auto_20472
      ?auto_20474
    )
    :precondition
    ( and ( OBJ ?auto_20460 ) ( LOCATION ?auto_20461 ) ( TRUCK ?auto_20470 ) ( LOCATION ?auto_20466 ) ( CITY ?auto_20464 ) ( IN-CITY ?auto_20466 ?auto_20464 ) ( IN-CITY ?auto_20461 ?auto_20464 ) ( DIFFERENT ?auto_20461 ?auto_20466 ) ( LOCATION ?auto_20471 ) ( CITY ?auto_20467 ) ( IN-CITY ?auto_20471 ?auto_20467 ) ( IN-CITY ?auto_20466 ?auto_20467 ) ( DIFFERENT ?auto_20466 ?auto_20471 ) ( LOCATION ?auto_20469 ) ( CITY ?auto_20465 ) ( AT ?auto_20470 ?auto_20469 ) ( IN-CITY ?auto_20469 ?auto_20465 ) ( IN-CITY ?auto_20471 ?auto_20465 ) ( DIFFERENT ?auto_20471 ?auto_20469 ) ( LOCATION ?auto_20468 ) ( AT ?auto_20470 ?auto_20468 ) ( AIRPLANE ?auto_20472 ) ( IN ?auto_20460 ?auto_20472 ) ( AIRPORT ?auto_20474 ) ( AIRPORT ?auto_20468 ) ( AT ?auto_20472 ?auto_20474 ) ( DIFFERENT ?auto_20468 ?auto_20474 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20472 ?auto_20474 ?auto_20468 )
      ( DELIVER-PKG ?auto_20460 ?auto_20461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20490
      ?auto_20491
    )
    :vars
    (
      ?auto_20500
      ?auto_20496
      ?auto_20494
      ?auto_20501
      ?auto_20497
      ?auto_20499
      ?auto_20495
      ?auto_20498
      ?auto_20502
      ?auto_20503
      ?auto_20505
    )
    :precondition
    ( and ( OBJ ?auto_20490 ) ( LOCATION ?auto_20491 ) ( TRUCK ?auto_20500 ) ( LOCATION ?auto_20496 ) ( CITY ?auto_20494 ) ( IN-CITY ?auto_20496 ?auto_20494 ) ( IN-CITY ?auto_20491 ?auto_20494 ) ( DIFFERENT ?auto_20491 ?auto_20496 ) ( LOCATION ?auto_20501 ) ( CITY ?auto_20497 ) ( IN-CITY ?auto_20501 ?auto_20497 ) ( IN-CITY ?auto_20496 ?auto_20497 ) ( DIFFERENT ?auto_20496 ?auto_20501 ) ( LOCATION ?auto_20499 ) ( CITY ?auto_20495 ) ( AT ?auto_20500 ?auto_20499 ) ( IN-CITY ?auto_20499 ?auto_20495 ) ( IN-CITY ?auto_20501 ?auto_20495 ) ( DIFFERENT ?auto_20501 ?auto_20499 ) ( LOCATION ?auto_20498 ) ( AT ?auto_20500 ?auto_20498 ) ( AIRPLANE ?auto_20502 ) ( AIRPORT ?auto_20503 ) ( AIRPORT ?auto_20498 ) ( AT ?auto_20502 ?auto_20503 ) ( DIFFERENT ?auto_20498 ?auto_20503 ) ( LOCATION ?auto_20505 ) ( AT ?auto_20490 ?auto_20505 ) ( AT ?auto_20502 ?auto_20505 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_20490 ?auto_20502 ?auto_20505 )
      ( DELIVER-PKG ?auto_20490 ?auto_20491 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20537
      ?auto_20538
    )
    :vars
    (
      ?auto_20543
      ?auto_20547
      ?auto_20550
      ?auto_20544
      ?auto_20548
      ?auto_20542
      ?auto_20540
      ?auto_20549
      ?auto_20545
      ?auto_20546
      ?auto_20551
      ?auto_20554
    )
    :precondition
    ( and ( OBJ ?auto_20537 ) ( LOCATION ?auto_20538 ) ( TRUCK ?auto_20543 ) ( LOCATION ?auto_20547 ) ( CITY ?auto_20550 ) ( IN-CITY ?auto_20547 ?auto_20550 ) ( IN-CITY ?auto_20538 ?auto_20550 ) ( DIFFERENT ?auto_20538 ?auto_20547 ) ( LOCATION ?auto_20544 ) ( CITY ?auto_20548 ) ( IN-CITY ?auto_20544 ?auto_20548 ) ( IN-CITY ?auto_20547 ?auto_20548 ) ( DIFFERENT ?auto_20547 ?auto_20544 ) ( LOCATION ?auto_20542 ) ( CITY ?auto_20540 ) ( AT ?auto_20543 ?auto_20542 ) ( IN-CITY ?auto_20542 ?auto_20540 ) ( IN-CITY ?auto_20544 ?auto_20540 ) ( DIFFERENT ?auto_20544 ?auto_20542 ) ( LOCATION ?auto_20549 ) ( AT ?auto_20543 ?auto_20549 ) ( AIRPLANE ?auto_20545 ) ( AIRPORT ?auto_20546 ) ( AIRPORT ?auto_20549 ) ( AT ?auto_20545 ?auto_20546 ) ( DIFFERENT ?auto_20549 ?auto_20546 ) ( LOCATION ?auto_20551 ) ( AT ?auto_20545 ?auto_20551 ) ( TRUCK ?auto_20554 ) ( AT ?auto_20554 ?auto_20551 ) ( IN ?auto_20537 ?auto_20554 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20537 ?auto_20551 )
      ( DELIVER-PKG ?auto_20537 ?auto_20538 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20555
      ?auto_20556
    )
    :vars
    (
      ?auto_20567
      ?auto_20561
      ?auto_20564
      ?auto_20568
      ?auto_20562
      ?auto_20566
      ?auto_20558
      ?auto_20563
      ?auto_20569
      ?auto_20560
      ?auto_20565
      ?auto_20570
      ?auto_20573
      ?auto_20572
    )
    :precondition
    ( and ( OBJ ?auto_20555 ) ( LOCATION ?auto_20556 ) ( TRUCK ?auto_20567 ) ( LOCATION ?auto_20561 ) ( CITY ?auto_20564 ) ( IN-CITY ?auto_20561 ?auto_20564 ) ( IN-CITY ?auto_20556 ?auto_20564 ) ( DIFFERENT ?auto_20556 ?auto_20561 ) ( LOCATION ?auto_20568 ) ( CITY ?auto_20562 ) ( IN-CITY ?auto_20568 ?auto_20562 ) ( IN-CITY ?auto_20561 ?auto_20562 ) ( DIFFERENT ?auto_20561 ?auto_20568 ) ( LOCATION ?auto_20566 ) ( CITY ?auto_20558 ) ( AT ?auto_20567 ?auto_20566 ) ( IN-CITY ?auto_20566 ?auto_20558 ) ( IN-CITY ?auto_20568 ?auto_20558 ) ( DIFFERENT ?auto_20568 ?auto_20566 ) ( LOCATION ?auto_20563 ) ( AT ?auto_20567 ?auto_20563 ) ( AIRPLANE ?auto_20569 ) ( AIRPORT ?auto_20560 ) ( AIRPORT ?auto_20563 ) ( AT ?auto_20569 ?auto_20560 ) ( DIFFERENT ?auto_20563 ?auto_20560 ) ( LOCATION ?auto_20565 ) ( AT ?auto_20569 ?auto_20565 ) ( TRUCK ?auto_20570 ) ( IN ?auto_20555 ?auto_20570 ) ( LOCATION ?auto_20573 ) ( CITY ?auto_20572 ) ( AT ?auto_20570 ?auto_20573 ) ( IN-CITY ?auto_20573 ?auto_20572 ) ( IN-CITY ?auto_20565 ?auto_20572 ) ( DIFFERENT ?auto_20565 ?auto_20573 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20570 ?auto_20573 ?auto_20565 ?auto_20572 )
      ( DELIVER-PKG ?auto_20555 ?auto_20556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20575
      ?auto_20576
    )
    :vars
    (
      ?auto_20584
      ?auto_20577
      ?auto_20589
      ?auto_20585
      ?auto_20580
      ?auto_20588
      ?auto_20592
      ?auto_20578
      ?auto_20582
      ?auto_20581
      ?auto_20591
      ?auto_20583
      ?auto_20587
      ?auto_20586
      ?auto_20595
      ?auto_20594
    )
    :precondition
    ( and ( OBJ ?auto_20575 ) ( LOCATION ?auto_20576 ) ( TRUCK ?auto_20584 ) ( LOCATION ?auto_20577 ) ( CITY ?auto_20589 ) ( IN-CITY ?auto_20577 ?auto_20589 ) ( IN-CITY ?auto_20576 ?auto_20589 ) ( DIFFERENT ?auto_20576 ?auto_20577 ) ( LOCATION ?auto_20585 ) ( CITY ?auto_20580 ) ( IN-CITY ?auto_20585 ?auto_20580 ) ( IN-CITY ?auto_20577 ?auto_20580 ) ( DIFFERENT ?auto_20577 ?auto_20585 ) ( LOCATION ?auto_20588 ) ( CITY ?auto_20592 ) ( AT ?auto_20584 ?auto_20588 ) ( IN-CITY ?auto_20588 ?auto_20592 ) ( IN-CITY ?auto_20585 ?auto_20592 ) ( DIFFERENT ?auto_20585 ?auto_20588 ) ( LOCATION ?auto_20578 ) ( AT ?auto_20584 ?auto_20578 ) ( AIRPLANE ?auto_20582 ) ( AIRPORT ?auto_20581 ) ( AIRPORT ?auto_20578 ) ( AT ?auto_20582 ?auto_20581 ) ( DIFFERENT ?auto_20578 ?auto_20581 ) ( LOCATION ?auto_20591 ) ( AT ?auto_20582 ?auto_20591 ) ( TRUCK ?auto_20583 ) ( IN ?auto_20575 ?auto_20583 ) ( LOCATION ?auto_20587 ) ( CITY ?auto_20586 ) ( IN-CITY ?auto_20587 ?auto_20586 ) ( IN-CITY ?auto_20591 ?auto_20586 ) ( DIFFERENT ?auto_20591 ?auto_20587 ) ( LOCATION ?auto_20595 ) ( CITY ?auto_20594 ) ( AT ?auto_20583 ?auto_20595 ) ( IN-CITY ?auto_20595 ?auto_20594 ) ( IN-CITY ?auto_20587 ?auto_20594 ) ( DIFFERENT ?auto_20587 ?auto_20595 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20583 ?auto_20595 ?auto_20587 ?auto_20594 )
      ( DELIVER-PKG ?auto_20575 ?auto_20576 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20597
      ?auto_20598
    )
    :vars
    (
      ?auto_20607
      ?auto_20608
      ?auto_20614
      ?auto_20600
      ?auto_20612
      ?auto_20611
      ?auto_20605
      ?auto_20613
      ?auto_20615
      ?auto_20616
      ?auto_20604
      ?auto_20603
      ?auto_20602
      ?auto_20601
      ?auto_20610
      ?auto_20606
      ?auto_20618
    )
    :precondition
    ( and ( OBJ ?auto_20597 ) ( LOCATION ?auto_20598 ) ( TRUCK ?auto_20607 ) ( LOCATION ?auto_20608 ) ( CITY ?auto_20614 ) ( IN-CITY ?auto_20608 ?auto_20614 ) ( IN-CITY ?auto_20598 ?auto_20614 ) ( DIFFERENT ?auto_20598 ?auto_20608 ) ( LOCATION ?auto_20600 ) ( CITY ?auto_20612 ) ( IN-CITY ?auto_20600 ?auto_20612 ) ( IN-CITY ?auto_20608 ?auto_20612 ) ( DIFFERENT ?auto_20608 ?auto_20600 ) ( LOCATION ?auto_20611 ) ( CITY ?auto_20605 ) ( AT ?auto_20607 ?auto_20611 ) ( IN-CITY ?auto_20611 ?auto_20605 ) ( IN-CITY ?auto_20600 ?auto_20605 ) ( DIFFERENT ?auto_20600 ?auto_20611 ) ( LOCATION ?auto_20613 ) ( AT ?auto_20607 ?auto_20613 ) ( AIRPLANE ?auto_20615 ) ( AIRPORT ?auto_20616 ) ( AIRPORT ?auto_20613 ) ( AT ?auto_20615 ?auto_20616 ) ( DIFFERENT ?auto_20613 ?auto_20616 ) ( LOCATION ?auto_20604 ) ( AT ?auto_20615 ?auto_20604 ) ( TRUCK ?auto_20603 ) ( LOCATION ?auto_20602 ) ( CITY ?auto_20601 ) ( IN-CITY ?auto_20602 ?auto_20601 ) ( IN-CITY ?auto_20604 ?auto_20601 ) ( DIFFERENT ?auto_20604 ?auto_20602 ) ( LOCATION ?auto_20610 ) ( CITY ?auto_20606 ) ( AT ?auto_20603 ?auto_20610 ) ( IN-CITY ?auto_20610 ?auto_20606 ) ( IN-CITY ?auto_20602 ?auto_20606 ) ( DIFFERENT ?auto_20602 ?auto_20610 ) ( LOCATION ?auto_20618 ) ( AT ?auto_20603 ?auto_20618 ) ( AT ?auto_20597 ?auto_20618 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_20597 ?auto_20603 ?auto_20618 )
      ( DELIVER-PKG ?auto_20597 ?auto_20598 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20641
      ?auto_20642
    )
    :vars
    (
      ?auto_20652
      ?auto_20653
      ?auto_20658
      ?auto_20647
      ?auto_20656
      ?auto_20655
      ?auto_20650
      ?auto_20657
      ?auto_20660
      ?auto_20661
      ?auto_20649
      ?auto_20648
      ?auto_20645
      ?auto_20646
      ?auto_20659
      ?auto_20651
      ?auto_20664
      ?auto_20663
    )
    :precondition
    ( and ( OBJ ?auto_20641 ) ( LOCATION ?auto_20642 ) ( TRUCK ?auto_20652 ) ( LOCATION ?auto_20653 ) ( CITY ?auto_20658 ) ( IN-CITY ?auto_20653 ?auto_20658 ) ( IN-CITY ?auto_20642 ?auto_20658 ) ( DIFFERENT ?auto_20642 ?auto_20653 ) ( LOCATION ?auto_20647 ) ( CITY ?auto_20656 ) ( IN-CITY ?auto_20647 ?auto_20656 ) ( IN-CITY ?auto_20653 ?auto_20656 ) ( DIFFERENT ?auto_20653 ?auto_20647 ) ( LOCATION ?auto_20655 ) ( CITY ?auto_20650 ) ( AT ?auto_20652 ?auto_20655 ) ( IN-CITY ?auto_20655 ?auto_20650 ) ( IN-CITY ?auto_20647 ?auto_20650 ) ( DIFFERENT ?auto_20647 ?auto_20655 ) ( LOCATION ?auto_20657 ) ( AT ?auto_20652 ?auto_20657 ) ( AIRPLANE ?auto_20660 ) ( AIRPORT ?auto_20661 ) ( AIRPORT ?auto_20657 ) ( AT ?auto_20660 ?auto_20661 ) ( DIFFERENT ?auto_20657 ?auto_20661 ) ( LOCATION ?auto_20649 ) ( AT ?auto_20660 ?auto_20649 ) ( TRUCK ?auto_20648 ) ( LOCATION ?auto_20645 ) ( CITY ?auto_20646 ) ( IN-CITY ?auto_20645 ?auto_20646 ) ( IN-CITY ?auto_20649 ?auto_20646 ) ( DIFFERENT ?auto_20649 ?auto_20645 ) ( LOCATION ?auto_20659 ) ( CITY ?auto_20651 ) ( IN-CITY ?auto_20659 ?auto_20651 ) ( IN-CITY ?auto_20645 ?auto_20651 ) ( DIFFERENT ?auto_20645 ?auto_20659 ) ( AT ?auto_20641 ?auto_20659 ) ( LOCATION ?auto_20664 ) ( CITY ?auto_20663 ) ( AT ?auto_20648 ?auto_20664 ) ( IN-CITY ?auto_20664 ?auto_20663 ) ( IN-CITY ?auto_20659 ?auto_20663 ) ( DIFFERENT ?auto_20659 ?auto_20664 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20648 ?auto_20664 ?auto_20659 ?auto_20663 )
      ( DELIVER-PKG ?auto_20641 ?auto_20642 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20688
      ?auto_20689
    )
    :vars
    (
      ?auto_20696
      ?auto_20697
      ?auto_20701
      ?auto_20706
      ?auto_20699
      ?auto_20700
      ?auto_20694
      ?auto_20703
      ?auto_20704
      ?auto_20693
      ?auto_20692
      ?auto_20705
      ?auto_20691
      ?auto_20702
      ?auto_20695
      ?auto_20709
      ?auto_20690
      ?auto_20712
      ?auto_20711
    )
    :precondition
    ( and ( OBJ ?auto_20688 ) ( LOCATION ?auto_20689 ) ( TRUCK ?auto_20696 ) ( LOCATION ?auto_20697 ) ( CITY ?auto_20701 ) ( IN-CITY ?auto_20697 ?auto_20701 ) ( IN-CITY ?auto_20689 ?auto_20701 ) ( DIFFERENT ?auto_20689 ?auto_20697 ) ( LOCATION ?auto_20706 ) ( CITY ?auto_20699 ) ( IN-CITY ?auto_20706 ?auto_20699 ) ( IN-CITY ?auto_20697 ?auto_20699 ) ( DIFFERENT ?auto_20697 ?auto_20706 ) ( LOCATION ?auto_20700 ) ( CITY ?auto_20694 ) ( IN-CITY ?auto_20700 ?auto_20694 ) ( IN-CITY ?auto_20706 ?auto_20694 ) ( DIFFERENT ?auto_20706 ?auto_20700 ) ( AIRPLANE ?auto_20703 ) ( AIRPORT ?auto_20704 ) ( AIRPORT ?auto_20700 ) ( AT ?auto_20703 ?auto_20704 ) ( DIFFERENT ?auto_20700 ?auto_20704 ) ( LOCATION ?auto_20693 ) ( AT ?auto_20703 ?auto_20693 ) ( TRUCK ?auto_20692 ) ( LOCATION ?auto_20705 ) ( CITY ?auto_20691 ) ( IN-CITY ?auto_20705 ?auto_20691 ) ( IN-CITY ?auto_20693 ?auto_20691 ) ( DIFFERENT ?auto_20693 ?auto_20705 ) ( LOCATION ?auto_20702 ) ( CITY ?auto_20695 ) ( IN-CITY ?auto_20702 ?auto_20695 ) ( IN-CITY ?auto_20705 ?auto_20695 ) ( DIFFERENT ?auto_20705 ?auto_20702 ) ( AT ?auto_20688 ?auto_20702 ) ( LOCATION ?auto_20709 ) ( CITY ?auto_20690 ) ( AT ?auto_20692 ?auto_20709 ) ( IN-CITY ?auto_20709 ?auto_20690 ) ( IN-CITY ?auto_20702 ?auto_20690 ) ( DIFFERENT ?auto_20702 ?auto_20709 ) ( LOCATION ?auto_20712 ) ( CITY ?auto_20711 ) ( AT ?auto_20696 ?auto_20712 ) ( IN-CITY ?auto_20712 ?auto_20711 ) ( IN-CITY ?auto_20700 ?auto_20711 ) ( DIFFERENT ?auto_20700 ?auto_20712 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20696 ?auto_20712 ?auto_20700 ?auto_20711 )
      ( DELIVER-PKG ?auto_20688 ?auto_20689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21365
      ?auto_21366
    )
    :vars
    (
      ?auto_21372
      ?auto_21369
      ?auto_21370
      ?auto_21371
      ?auto_21368
      ?auto_21375
      ?auto_21374
      ?auto_21378
      ?auto_21377
    )
    :precondition
    ( and ( OBJ ?auto_21365 ) ( LOCATION ?auto_21366 ) ( TRUCK ?auto_21372 ) ( LOCATION ?auto_21369 ) ( CITY ?auto_21370 ) ( IN-CITY ?auto_21369 ?auto_21370 ) ( IN-CITY ?auto_21366 ?auto_21370 ) ( DIFFERENT ?auto_21366 ?auto_21369 ) ( LOCATION ?auto_21371 ) ( CITY ?auto_21368 ) ( IN-CITY ?auto_21371 ?auto_21368 ) ( IN-CITY ?auto_21369 ?auto_21368 ) ( DIFFERENT ?auto_21369 ?auto_21371 ) ( AT ?auto_21365 ?auto_21371 ) ( LOCATION ?auto_21375 ) ( CITY ?auto_21374 ) ( IN-CITY ?auto_21375 ?auto_21374 ) ( IN-CITY ?auto_21371 ?auto_21374 ) ( DIFFERENT ?auto_21371 ?auto_21375 ) ( LOCATION ?auto_21378 ) ( CITY ?auto_21377 ) ( AT ?auto_21372 ?auto_21378 ) ( IN-CITY ?auto_21378 ?auto_21377 ) ( IN-CITY ?auto_21375 ?auto_21377 ) ( DIFFERENT ?auto_21375 ?auto_21378 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21372 ?auto_21378 ?auto_21375 ?auto_21377 )
      ( DELIVER-PKG ?auto_21365 ?auto_21366 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22083
      ?auto_22084
    )
    :vars
    (
      ?auto_22093
      ?auto_22085
      ?auto_22086
      ?auto_22087
      ?auto_22090
      ?auto_22092
      ?auto_22091
      ?auto_22096
      ?auto_22095
    )
    :precondition
    ( and ( OBJ ?auto_22083 ) ( LOCATION ?auto_22084 ) ( AIRPLANE ?auto_22093 ) ( AIRPORT ?auto_22085 ) ( AIRPORT ?auto_22084 ) ( DIFFERENT ?auto_22084 ?auto_22085 ) ( LOCATION ?auto_22085 ) ( AIRPORT ?auto_22086 ) ( DIFFERENT ?auto_22085 ?auto_22086 ) ( AIRPORT ?auto_22087 ) ( AT ?auto_22093 ?auto_22087 ) ( DIFFERENT ?auto_22086 ?auto_22087 ) ( TRUCK ?auto_22090 ) ( IN ?auto_22083 ?auto_22090 ) ( LOCATION ?auto_22092 ) ( CITY ?auto_22091 ) ( IN-CITY ?auto_22092 ?auto_22091 ) ( IN-CITY ?auto_22085 ?auto_22091 ) ( DIFFERENT ?auto_22085 ?auto_22092 ) ( LOCATION ?auto_22096 ) ( CITY ?auto_22095 ) ( AT ?auto_22090 ?auto_22096 ) ( IN-CITY ?auto_22096 ?auto_22095 ) ( IN-CITY ?auto_22092 ?auto_22095 ) ( DIFFERENT ?auto_22092 ?auto_22096 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22090 ?auto_22096 ?auto_22092 ?auto_22095 )
      ( DELIVER-PKG ?auto_22083 ?auto_22084 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22111
      ?auto_22112
    )
    :vars
    (
      ?auto_22121
      ?auto_22117
      ?auto_22114
      ?auto_22115
      ?auto_22118
      ?auto_22120
      ?auto_22119
      ?auto_22123
      ?auto_22122
      ?auto_22125
    )
    :precondition
    ( and ( OBJ ?auto_22111 ) ( LOCATION ?auto_22112 ) ( AIRPLANE ?auto_22121 ) ( AIRPORT ?auto_22117 ) ( AIRPORT ?auto_22112 ) ( DIFFERENT ?auto_22112 ?auto_22117 ) ( LOCATION ?auto_22117 ) ( AIRPORT ?auto_22114 ) ( DIFFERENT ?auto_22117 ?auto_22114 ) ( AIRPORT ?auto_22115 ) ( AT ?auto_22121 ?auto_22115 ) ( DIFFERENT ?auto_22114 ?auto_22115 ) ( TRUCK ?auto_22118 ) ( LOCATION ?auto_22120 ) ( CITY ?auto_22119 ) ( IN-CITY ?auto_22120 ?auto_22119 ) ( IN-CITY ?auto_22117 ?auto_22119 ) ( DIFFERENT ?auto_22117 ?auto_22120 ) ( LOCATION ?auto_22123 ) ( CITY ?auto_22122 ) ( AT ?auto_22118 ?auto_22123 ) ( IN-CITY ?auto_22123 ?auto_22122 ) ( IN-CITY ?auto_22120 ?auto_22122 ) ( DIFFERENT ?auto_22120 ?auto_22123 ) ( LOCATION ?auto_22125 ) ( AT ?auto_22118 ?auto_22125 ) ( AT ?auto_22111 ?auto_22125 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22111 ?auto_22118 ?auto_22125 )
      ( DELIVER-PKG ?auto_22111 ?auto_22112 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22155
      ?auto_22156
    )
    :vars
    (
      ?auto_22164
      ?auto_22158
      ?auto_22167
      ?auto_22157
      ?auto_22159
      ?auto_22161
      ?auto_22160
      ?auto_22168
      ?auto_22165
      ?auto_22171
      ?auto_22170
    )
    :precondition
    ( and ( OBJ ?auto_22155 ) ( LOCATION ?auto_22156 ) ( AIRPLANE ?auto_22164 ) ( AIRPORT ?auto_22158 ) ( AIRPORT ?auto_22156 ) ( DIFFERENT ?auto_22156 ?auto_22158 ) ( LOCATION ?auto_22158 ) ( AIRPORT ?auto_22167 ) ( DIFFERENT ?auto_22158 ?auto_22167 ) ( AIRPORT ?auto_22157 ) ( AT ?auto_22164 ?auto_22157 ) ( DIFFERENT ?auto_22167 ?auto_22157 ) ( TRUCK ?auto_22159 ) ( LOCATION ?auto_22161 ) ( CITY ?auto_22160 ) ( IN-CITY ?auto_22161 ?auto_22160 ) ( IN-CITY ?auto_22158 ?auto_22160 ) ( DIFFERENT ?auto_22158 ?auto_22161 ) ( LOCATION ?auto_22168 ) ( CITY ?auto_22165 ) ( IN-CITY ?auto_22168 ?auto_22165 ) ( IN-CITY ?auto_22161 ?auto_22165 ) ( DIFFERENT ?auto_22161 ?auto_22168 ) ( AT ?auto_22155 ?auto_22168 ) ( LOCATION ?auto_22171 ) ( CITY ?auto_22170 ) ( AT ?auto_22159 ?auto_22171 ) ( IN-CITY ?auto_22171 ?auto_22170 ) ( IN-CITY ?auto_22168 ?auto_22170 ) ( DIFFERENT ?auto_22168 ?auto_22171 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22159 ?auto_22171 ?auto_22168 ?auto_22170 )
      ( DELIVER-PKG ?auto_22155 ?auto_22156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22188
      ?auto_22189
    )
    :vars
    (
      ?auto_22195
      ?auto_22190
      ?auto_22197
      ?auto_22191
      ?auto_22194
      ?auto_22200
      ?auto_22199
      ?auto_22198
      ?auto_22196
      ?auto_22202
      ?auto_22201
      ?auto_22205
      ?auto_22204
    )
    :precondition
    ( and ( OBJ ?auto_22188 ) ( LOCATION ?auto_22189 ) ( AIRPLANE ?auto_22195 ) ( AIRPORT ?auto_22190 ) ( AIRPORT ?auto_22189 ) ( DIFFERENT ?auto_22189 ?auto_22190 ) ( LOCATION ?auto_22190 ) ( AIRPORT ?auto_22197 ) ( DIFFERENT ?auto_22190 ?auto_22197 ) ( AIRPORT ?auto_22191 ) ( AT ?auto_22195 ?auto_22191 ) ( DIFFERENT ?auto_22197 ?auto_22191 ) ( TRUCK ?auto_22194 ) ( LOCATION ?auto_22200 ) ( CITY ?auto_22199 ) ( IN-CITY ?auto_22200 ?auto_22199 ) ( IN-CITY ?auto_22190 ?auto_22199 ) ( DIFFERENT ?auto_22190 ?auto_22200 ) ( LOCATION ?auto_22198 ) ( CITY ?auto_22196 ) ( IN-CITY ?auto_22198 ?auto_22196 ) ( IN-CITY ?auto_22200 ?auto_22196 ) ( DIFFERENT ?auto_22200 ?auto_22198 ) ( AT ?auto_22188 ?auto_22198 ) ( LOCATION ?auto_22202 ) ( CITY ?auto_22201 ) ( IN-CITY ?auto_22202 ?auto_22201 ) ( IN-CITY ?auto_22198 ?auto_22201 ) ( DIFFERENT ?auto_22198 ?auto_22202 ) ( LOCATION ?auto_22205 ) ( CITY ?auto_22204 ) ( AT ?auto_22194 ?auto_22205 ) ( IN-CITY ?auto_22205 ?auto_22204 ) ( IN-CITY ?auto_22202 ?auto_22204 ) ( DIFFERENT ?auto_22202 ?auto_22205 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22194 ?auto_22205 ?auto_22202 ?auto_22204 )
      ( DELIVER-PKG ?auto_22188 ?auto_22189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22725
      ?auto_22726
    )
    :vars
    (
      ?auto_22731
      ?auto_22730
      ?auto_22736
      ?auto_22727
      ?auto_22733
      ?auto_22734
      ?auto_22729
      ?auto_22728
      ?auto_22738
    )
    :precondition
    ( and ( OBJ ?auto_22725 ) ( LOCATION ?auto_22726 ) ( TRUCK ?auto_22731 ) ( LOCATION ?auto_22730 ) ( CITY ?auto_22736 ) ( IN-CITY ?auto_22730 ?auto_22736 ) ( IN-CITY ?auto_22726 ?auto_22736 ) ( DIFFERENT ?auto_22726 ?auto_22730 ) ( LOCATION ?auto_22727 ) ( CITY ?auto_22733 ) ( AT ?auto_22731 ?auto_22727 ) ( IN-CITY ?auto_22727 ?auto_22733 ) ( IN-CITY ?auto_22730 ?auto_22733 ) ( DIFFERENT ?auto_22730 ?auto_22727 ) ( LOCATION ?auto_22734 ) ( AT ?auto_22731 ?auto_22734 ) ( AIRPLANE ?auto_22729 ) ( AIRPORT ?auto_22728 ) ( AIRPORT ?auto_22734 ) ( AT ?auto_22729 ?auto_22728 ) ( DIFFERENT ?auto_22734 ?auto_22728 ) ( LOCATION ?auto_22738 ) ( AT ?auto_22725 ?auto_22738 ) ( AT ?auto_22729 ?auto_22738 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_22725 ?auto_22729 ?auto_22738 )
      ( DELIVER-PKG ?auto_22725 ?auto_22726 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22753
      ?auto_22754
    )
    :vars
    (
      ?auto_22757
      ?auto_22756
      ?auto_22760
      ?auto_22761
      ?auto_22758
      ?auto_22759
      ?auto_22755
      ?auto_22764
      ?auto_22763
      ?auto_22768
    )
    :precondition
    ( and ( OBJ ?auto_22753 ) ( LOCATION ?auto_22754 ) ( TRUCK ?auto_22757 ) ( LOCATION ?auto_22756 ) ( CITY ?auto_22760 ) ( IN-CITY ?auto_22756 ?auto_22760 ) ( IN-CITY ?auto_22754 ?auto_22760 ) ( DIFFERENT ?auto_22754 ?auto_22756 ) ( LOCATION ?auto_22761 ) ( CITY ?auto_22758 ) ( AT ?auto_22757 ?auto_22761 ) ( IN-CITY ?auto_22761 ?auto_22758 ) ( IN-CITY ?auto_22756 ?auto_22758 ) ( DIFFERENT ?auto_22756 ?auto_22761 ) ( LOCATION ?auto_22759 ) ( AT ?auto_22757 ?auto_22759 ) ( AIRPLANE ?auto_22755 ) ( AIRPORT ?auto_22764 ) ( AIRPORT ?auto_22759 ) ( AT ?auto_22755 ?auto_22764 ) ( DIFFERENT ?auto_22759 ?auto_22764 ) ( LOCATION ?auto_22763 ) ( AT ?auto_22755 ?auto_22763 ) ( TRUCK ?auto_22768 ) ( AT ?auto_22768 ?auto_22763 ) ( IN ?auto_22753 ?auto_22768 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22753 ?auto_22763 )
      ( DELIVER-PKG ?auto_22753 ?auto_22754 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22797
      ?auto_22798
    )
    :vars
    (
      ?auto_22808
      ?auto_22800
      ?auto_22804
      ?auto_22805
      ?auto_22802
      ?auto_22803
      ?auto_22809
      ?auto_22801
      ?auto_22806
      ?auto_22810
      ?auto_22813
      ?auto_22812
    )
    :precondition
    ( and ( OBJ ?auto_22797 ) ( LOCATION ?auto_22798 ) ( TRUCK ?auto_22808 ) ( LOCATION ?auto_22800 ) ( CITY ?auto_22804 ) ( IN-CITY ?auto_22800 ?auto_22804 ) ( IN-CITY ?auto_22798 ?auto_22804 ) ( DIFFERENT ?auto_22798 ?auto_22800 ) ( LOCATION ?auto_22805 ) ( CITY ?auto_22802 ) ( AT ?auto_22808 ?auto_22805 ) ( IN-CITY ?auto_22805 ?auto_22802 ) ( IN-CITY ?auto_22800 ?auto_22802 ) ( DIFFERENT ?auto_22800 ?auto_22805 ) ( LOCATION ?auto_22803 ) ( AT ?auto_22808 ?auto_22803 ) ( AIRPLANE ?auto_22809 ) ( AIRPORT ?auto_22801 ) ( AIRPORT ?auto_22803 ) ( AT ?auto_22809 ?auto_22801 ) ( DIFFERENT ?auto_22803 ?auto_22801 ) ( LOCATION ?auto_22806 ) ( AT ?auto_22809 ?auto_22806 ) ( TRUCK ?auto_22810 ) ( IN ?auto_22797 ?auto_22810 ) ( LOCATION ?auto_22813 ) ( CITY ?auto_22812 ) ( AT ?auto_22810 ?auto_22813 ) ( IN-CITY ?auto_22813 ?auto_22812 ) ( IN-CITY ?auto_22806 ?auto_22812 ) ( DIFFERENT ?auto_22806 ?auto_22813 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22810 ?auto_22813 ?auto_22806 ?auto_22812 )
      ( DELIVER-PKG ?auto_22797 ?auto_22798 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22847
      ?auto_22848
    )
    :vars
    (
      ?auto_22858
      ?auto_22851
      ?auto_22855
      ?auto_22856
      ?auto_22853
      ?auto_22854
      ?auto_22859
      ?auto_22852
      ?auto_22857
      ?auto_22860
      ?auto_22862
      ?auto_22861
      ?auto_22864
    )
    :precondition
    ( and ( OBJ ?auto_22847 ) ( LOCATION ?auto_22848 ) ( TRUCK ?auto_22858 ) ( LOCATION ?auto_22851 ) ( CITY ?auto_22855 ) ( IN-CITY ?auto_22851 ?auto_22855 ) ( IN-CITY ?auto_22848 ?auto_22855 ) ( DIFFERENT ?auto_22848 ?auto_22851 ) ( LOCATION ?auto_22856 ) ( CITY ?auto_22853 ) ( AT ?auto_22858 ?auto_22856 ) ( IN-CITY ?auto_22856 ?auto_22853 ) ( IN-CITY ?auto_22851 ?auto_22853 ) ( DIFFERENT ?auto_22851 ?auto_22856 ) ( LOCATION ?auto_22854 ) ( AT ?auto_22858 ?auto_22854 ) ( AIRPLANE ?auto_22859 ) ( AIRPORT ?auto_22852 ) ( AIRPORT ?auto_22854 ) ( AT ?auto_22859 ?auto_22852 ) ( DIFFERENT ?auto_22854 ?auto_22852 ) ( LOCATION ?auto_22857 ) ( AT ?auto_22859 ?auto_22857 ) ( TRUCK ?auto_22860 ) ( LOCATION ?auto_22862 ) ( CITY ?auto_22861 ) ( AT ?auto_22860 ?auto_22862 ) ( IN-CITY ?auto_22862 ?auto_22861 ) ( IN-CITY ?auto_22857 ?auto_22861 ) ( DIFFERENT ?auto_22857 ?auto_22862 ) ( LOCATION ?auto_22864 ) ( AT ?auto_22860 ?auto_22864 ) ( AT ?auto_22847 ?auto_22864 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22847 ?auto_22860 ?auto_22864 )
      ( DELIVER-PKG ?auto_22847 ?auto_22848 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22883
      ?auto_22884
    )
    :vars
    (
      ?auto_22891
      ?auto_22887
      ?auto_22898
      ?auto_22889
      ?auto_22896
      ?auto_22897
      ?auto_22892
      ?auto_22888
      ?auto_22890
      ?auto_22893
      ?auto_22899
      ?auto_22894
      ?auto_22902
      ?auto_22901
    )
    :precondition
    ( and ( OBJ ?auto_22883 ) ( LOCATION ?auto_22884 ) ( TRUCK ?auto_22891 ) ( LOCATION ?auto_22887 ) ( CITY ?auto_22898 ) ( IN-CITY ?auto_22887 ?auto_22898 ) ( IN-CITY ?auto_22884 ?auto_22898 ) ( DIFFERENT ?auto_22884 ?auto_22887 ) ( LOCATION ?auto_22889 ) ( CITY ?auto_22896 ) ( AT ?auto_22891 ?auto_22889 ) ( IN-CITY ?auto_22889 ?auto_22896 ) ( IN-CITY ?auto_22887 ?auto_22896 ) ( DIFFERENT ?auto_22887 ?auto_22889 ) ( LOCATION ?auto_22897 ) ( AT ?auto_22891 ?auto_22897 ) ( AIRPLANE ?auto_22892 ) ( AIRPORT ?auto_22888 ) ( AIRPORT ?auto_22897 ) ( AT ?auto_22892 ?auto_22888 ) ( DIFFERENT ?auto_22897 ?auto_22888 ) ( LOCATION ?auto_22890 ) ( AT ?auto_22892 ?auto_22890 ) ( TRUCK ?auto_22893 ) ( LOCATION ?auto_22899 ) ( CITY ?auto_22894 ) ( IN-CITY ?auto_22899 ?auto_22894 ) ( IN-CITY ?auto_22890 ?auto_22894 ) ( DIFFERENT ?auto_22890 ?auto_22899 ) ( AT ?auto_22883 ?auto_22899 ) ( LOCATION ?auto_22902 ) ( CITY ?auto_22901 ) ( AT ?auto_22893 ?auto_22902 ) ( IN-CITY ?auto_22902 ?auto_22901 ) ( IN-CITY ?auto_22899 ?auto_22901 ) ( DIFFERENT ?auto_22899 ?auto_22902 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22893 ?auto_22902 ?auto_22899 ?auto_22901 )
      ( DELIVER-PKG ?auto_22883 ?auto_22884 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22922
      ?auto_22923
    )
    :vars
    (
      ?auto_22930
      ?auto_22927
      ?auto_22936
      ?auto_22938
      ?auto_22934
      ?auto_22935
      ?auto_22931
      ?auto_22928
      ?auto_22929
      ?auto_22932
      ?auto_22937
      ?auto_22933
      ?auto_22939
      ?auto_22925
      ?auto_22942
      ?auto_22941
    )
    :precondition
    ( and ( OBJ ?auto_22922 ) ( LOCATION ?auto_22923 ) ( TRUCK ?auto_22930 ) ( LOCATION ?auto_22927 ) ( CITY ?auto_22936 ) ( IN-CITY ?auto_22927 ?auto_22936 ) ( IN-CITY ?auto_22923 ?auto_22936 ) ( DIFFERENT ?auto_22923 ?auto_22927 ) ( LOCATION ?auto_22938 ) ( CITY ?auto_22934 ) ( AT ?auto_22930 ?auto_22938 ) ( IN-CITY ?auto_22938 ?auto_22934 ) ( IN-CITY ?auto_22927 ?auto_22934 ) ( DIFFERENT ?auto_22927 ?auto_22938 ) ( LOCATION ?auto_22935 ) ( AT ?auto_22930 ?auto_22935 ) ( AIRPLANE ?auto_22931 ) ( AIRPORT ?auto_22928 ) ( AIRPORT ?auto_22935 ) ( AT ?auto_22931 ?auto_22928 ) ( DIFFERENT ?auto_22935 ?auto_22928 ) ( LOCATION ?auto_22929 ) ( AT ?auto_22931 ?auto_22929 ) ( TRUCK ?auto_22932 ) ( LOCATION ?auto_22937 ) ( CITY ?auto_22933 ) ( IN-CITY ?auto_22937 ?auto_22933 ) ( IN-CITY ?auto_22929 ?auto_22933 ) ( DIFFERENT ?auto_22929 ?auto_22937 ) ( AT ?auto_22922 ?auto_22937 ) ( LOCATION ?auto_22939 ) ( CITY ?auto_22925 ) ( IN-CITY ?auto_22939 ?auto_22925 ) ( IN-CITY ?auto_22937 ?auto_22925 ) ( DIFFERENT ?auto_22937 ?auto_22939 ) ( LOCATION ?auto_22942 ) ( CITY ?auto_22941 ) ( AT ?auto_22932 ?auto_22942 ) ( IN-CITY ?auto_22942 ?auto_22941 ) ( IN-CITY ?auto_22939 ?auto_22941 ) ( DIFFERENT ?auto_22939 ?auto_22942 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22932 ?auto_22942 ?auto_22939 ?auto_22941 )
      ( DELIVER-PKG ?auto_22922 ?auto_22923 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23030
      ?auto_23031
    )
    :vars
    (
      ?auto_23035
      ?auto_23032
      ?auto_23041
      ?auto_23038
      ?auto_23040
      ?auto_23036
      ?auto_23037
      ?auto_23034
      ?auto_23044
    )
    :precondition
    ( and ( OBJ ?auto_23030 ) ( LOCATION ?auto_23031 ) ( TRUCK ?auto_23035 ) ( LOCATION ?auto_23032 ) ( CITY ?auto_23041 ) ( IN-CITY ?auto_23032 ?auto_23041 ) ( IN-CITY ?auto_23031 ?auto_23041 ) ( DIFFERENT ?auto_23031 ?auto_23032 ) ( LOCATION ?auto_23038 ) ( CITY ?auto_23040 ) ( AT ?auto_23035 ?auto_23038 ) ( IN-CITY ?auto_23038 ?auto_23040 ) ( IN-CITY ?auto_23032 ?auto_23040 ) ( DIFFERENT ?auto_23032 ?auto_23038 ) ( LOCATION ?auto_23036 ) ( AT ?auto_23035 ?auto_23036 ) ( AIRPLANE ?auto_23037 ) ( AIRPORT ?auto_23034 ) ( AIRPORT ?auto_23036 ) ( DIFFERENT ?auto_23036 ?auto_23034 ) ( LOCATION ?auto_23034 ) ( AT ?auto_23030 ?auto_23034 ) ( AIRPORT ?auto_23044 ) ( AT ?auto_23037 ?auto_23044 ) ( DIFFERENT ?auto_23034 ?auto_23044 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23037 ?auto_23044 ?auto_23034 )
      ( DELIVER-PKG ?auto_23030 ?auto_23031 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23072
      ?auto_23073
    )
    :vars
    (
      ?auto_23078
      ?auto_23076
      ?auto_23083
      ?auto_23081
      ?auto_23082
      ?auto_23079
      ?auto_23080
      ?auto_23077
      ?auto_23084
      ?auto_23086
    )
    :precondition
    ( and ( OBJ ?auto_23072 ) ( LOCATION ?auto_23073 ) ( TRUCK ?auto_23078 ) ( LOCATION ?auto_23076 ) ( CITY ?auto_23083 ) ( IN-CITY ?auto_23076 ?auto_23083 ) ( IN-CITY ?auto_23073 ?auto_23083 ) ( DIFFERENT ?auto_23073 ?auto_23076 ) ( LOCATION ?auto_23081 ) ( CITY ?auto_23082 ) ( AT ?auto_23078 ?auto_23081 ) ( IN-CITY ?auto_23081 ?auto_23082 ) ( IN-CITY ?auto_23076 ?auto_23082 ) ( DIFFERENT ?auto_23076 ?auto_23081 ) ( LOCATION ?auto_23079 ) ( AT ?auto_23078 ?auto_23079 ) ( AIRPLANE ?auto_23080 ) ( AIRPORT ?auto_23077 ) ( AIRPORT ?auto_23079 ) ( DIFFERENT ?auto_23079 ?auto_23077 ) ( LOCATION ?auto_23077 ) ( AT ?auto_23072 ?auto_23077 ) ( AIRPORT ?auto_23084 ) ( DIFFERENT ?auto_23077 ?auto_23084 ) ( AIRPORT ?auto_23086 ) ( AT ?auto_23080 ?auto_23086 ) ( DIFFERENT ?auto_23084 ?auto_23086 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23080 ?auto_23086 ?auto_23084 )
      ( DELIVER-PKG ?auto_23072 ?auto_23073 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23088
      ?auto_23089
    )
    :vars
    (
      ?auto_23094
      ?auto_23092
      ?auto_23099
      ?auto_23097
      ?auto_23098
      ?auto_23095
      ?auto_23096
      ?auto_23093
      ?auto_23100
      ?auto_23101
      ?auto_23104
    )
    :precondition
    ( and ( OBJ ?auto_23088 ) ( LOCATION ?auto_23089 ) ( TRUCK ?auto_23094 ) ( LOCATION ?auto_23092 ) ( CITY ?auto_23099 ) ( IN-CITY ?auto_23092 ?auto_23099 ) ( IN-CITY ?auto_23089 ?auto_23099 ) ( DIFFERENT ?auto_23089 ?auto_23092 ) ( LOCATION ?auto_23097 ) ( CITY ?auto_23098 ) ( AT ?auto_23094 ?auto_23097 ) ( IN-CITY ?auto_23097 ?auto_23098 ) ( IN-CITY ?auto_23092 ?auto_23098 ) ( DIFFERENT ?auto_23092 ?auto_23097 ) ( LOCATION ?auto_23095 ) ( AT ?auto_23094 ?auto_23095 ) ( AIRPLANE ?auto_23096 ) ( AIRPORT ?auto_23093 ) ( AIRPORT ?auto_23095 ) ( DIFFERENT ?auto_23095 ?auto_23093 ) ( LOCATION ?auto_23093 ) ( AIRPORT ?auto_23100 ) ( DIFFERENT ?auto_23093 ?auto_23100 ) ( AIRPORT ?auto_23101 ) ( AT ?auto_23096 ?auto_23101 ) ( DIFFERENT ?auto_23100 ?auto_23101 ) ( TRUCK ?auto_23104 ) ( AT ?auto_23104 ?auto_23093 ) ( IN ?auto_23088 ?auto_23104 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23088 ?auto_23093 )
      ( DELIVER-PKG ?auto_23088 ?auto_23089 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23120
      ?auto_23121
    )
    :vars
    (
      ?auto_23134
      ?auto_23133
      ?auto_23130
      ?auto_23125
      ?auto_23129
      ?auto_23122
      ?auto_23123
      ?auto_23124
      ?auto_23126
      ?auto_23127
      ?auto_23128
      ?auto_23137
      ?auto_23136
    )
    :precondition
    ( and ( OBJ ?auto_23120 ) ( LOCATION ?auto_23121 ) ( TRUCK ?auto_23134 ) ( LOCATION ?auto_23133 ) ( CITY ?auto_23130 ) ( IN-CITY ?auto_23133 ?auto_23130 ) ( IN-CITY ?auto_23121 ?auto_23130 ) ( DIFFERENT ?auto_23121 ?auto_23133 ) ( LOCATION ?auto_23125 ) ( CITY ?auto_23129 ) ( AT ?auto_23134 ?auto_23125 ) ( IN-CITY ?auto_23125 ?auto_23129 ) ( IN-CITY ?auto_23133 ?auto_23129 ) ( DIFFERENT ?auto_23133 ?auto_23125 ) ( LOCATION ?auto_23122 ) ( AT ?auto_23134 ?auto_23122 ) ( AIRPLANE ?auto_23123 ) ( AIRPORT ?auto_23124 ) ( AIRPORT ?auto_23122 ) ( DIFFERENT ?auto_23122 ?auto_23124 ) ( LOCATION ?auto_23124 ) ( AIRPORT ?auto_23126 ) ( DIFFERENT ?auto_23124 ?auto_23126 ) ( AIRPORT ?auto_23127 ) ( AT ?auto_23123 ?auto_23127 ) ( DIFFERENT ?auto_23126 ?auto_23127 ) ( TRUCK ?auto_23128 ) ( IN ?auto_23120 ?auto_23128 ) ( LOCATION ?auto_23137 ) ( CITY ?auto_23136 ) ( AT ?auto_23128 ?auto_23137 ) ( IN-CITY ?auto_23137 ?auto_23136 ) ( IN-CITY ?auto_23124 ?auto_23136 ) ( DIFFERENT ?auto_23124 ?auto_23137 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23128 ?auto_23137 ?auto_23124 ?auto_23136 )
      ( DELIVER-PKG ?auto_23120 ?auto_23121 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23173
      ?auto_23174
    )
    :vars
    (
      ?auto_23184
      ?auto_23183
      ?auto_23182
      ?auto_23179
      ?auto_23177
      ?auto_23185
      ?auto_23178
      ?auto_23186
      ?auto_23180
      ?auto_23175
      ?auto_23176
      ?auto_23189
      ?auto_23188
      ?auto_23192
      ?auto_23191
    )
    :precondition
    ( and ( OBJ ?auto_23173 ) ( LOCATION ?auto_23174 ) ( TRUCK ?auto_23184 ) ( LOCATION ?auto_23183 ) ( CITY ?auto_23182 ) ( IN-CITY ?auto_23183 ?auto_23182 ) ( IN-CITY ?auto_23174 ?auto_23182 ) ( DIFFERENT ?auto_23174 ?auto_23183 ) ( LOCATION ?auto_23179 ) ( CITY ?auto_23177 ) ( AT ?auto_23184 ?auto_23179 ) ( IN-CITY ?auto_23179 ?auto_23177 ) ( IN-CITY ?auto_23183 ?auto_23177 ) ( DIFFERENT ?auto_23183 ?auto_23179 ) ( LOCATION ?auto_23185 ) ( AT ?auto_23184 ?auto_23185 ) ( AIRPLANE ?auto_23178 ) ( AIRPORT ?auto_23186 ) ( AIRPORT ?auto_23185 ) ( DIFFERENT ?auto_23185 ?auto_23186 ) ( LOCATION ?auto_23186 ) ( AIRPORT ?auto_23180 ) ( DIFFERENT ?auto_23186 ?auto_23180 ) ( AIRPORT ?auto_23175 ) ( AT ?auto_23178 ?auto_23175 ) ( DIFFERENT ?auto_23180 ?auto_23175 ) ( TRUCK ?auto_23176 ) ( IN ?auto_23173 ?auto_23176 ) ( LOCATION ?auto_23189 ) ( CITY ?auto_23188 ) ( IN-CITY ?auto_23189 ?auto_23188 ) ( IN-CITY ?auto_23186 ?auto_23188 ) ( DIFFERENT ?auto_23186 ?auto_23189 ) ( LOCATION ?auto_23192 ) ( CITY ?auto_23191 ) ( AT ?auto_23176 ?auto_23192 ) ( IN-CITY ?auto_23192 ?auto_23191 ) ( IN-CITY ?auto_23189 ?auto_23191 ) ( DIFFERENT ?auto_23189 ?auto_23192 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23176 ?auto_23192 ?auto_23189 ?auto_23191 )
      ( DELIVER-PKG ?auto_23173 ?auto_23174 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23213
      ?auto_23214
    )
    :vars
    (
      ?auto_23229
      ?auto_23230
      ?auto_23223
      ?auto_23221
      ?auto_23216
      ?auto_23226
      ?auto_23218
      ?auto_23225
      ?auto_23222
      ?auto_23219
      ?auto_23215
      ?auto_23228
      ?auto_23227
      ?auto_23231
      ?auto_23224
      ?auto_23233
    )
    :precondition
    ( and ( OBJ ?auto_23213 ) ( LOCATION ?auto_23214 ) ( TRUCK ?auto_23229 ) ( LOCATION ?auto_23230 ) ( CITY ?auto_23223 ) ( IN-CITY ?auto_23230 ?auto_23223 ) ( IN-CITY ?auto_23214 ?auto_23223 ) ( DIFFERENT ?auto_23214 ?auto_23230 ) ( LOCATION ?auto_23221 ) ( CITY ?auto_23216 ) ( AT ?auto_23229 ?auto_23221 ) ( IN-CITY ?auto_23221 ?auto_23216 ) ( IN-CITY ?auto_23230 ?auto_23216 ) ( DIFFERENT ?auto_23230 ?auto_23221 ) ( LOCATION ?auto_23226 ) ( AT ?auto_23229 ?auto_23226 ) ( AIRPLANE ?auto_23218 ) ( AIRPORT ?auto_23225 ) ( AIRPORT ?auto_23226 ) ( DIFFERENT ?auto_23226 ?auto_23225 ) ( LOCATION ?auto_23225 ) ( AIRPORT ?auto_23222 ) ( DIFFERENT ?auto_23225 ?auto_23222 ) ( AIRPORT ?auto_23219 ) ( AT ?auto_23218 ?auto_23219 ) ( DIFFERENT ?auto_23222 ?auto_23219 ) ( TRUCK ?auto_23215 ) ( LOCATION ?auto_23228 ) ( CITY ?auto_23227 ) ( IN-CITY ?auto_23228 ?auto_23227 ) ( IN-CITY ?auto_23225 ?auto_23227 ) ( DIFFERENT ?auto_23225 ?auto_23228 ) ( LOCATION ?auto_23231 ) ( CITY ?auto_23224 ) ( AT ?auto_23215 ?auto_23231 ) ( IN-CITY ?auto_23231 ?auto_23224 ) ( IN-CITY ?auto_23228 ?auto_23224 ) ( DIFFERENT ?auto_23228 ?auto_23231 ) ( LOCATION ?auto_23233 ) ( AT ?auto_23215 ?auto_23233 ) ( AT ?auto_23213 ?auto_23233 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23213 ?auto_23215 ?auto_23233 )
      ( DELIVER-PKG ?auto_23213 ?auto_23214 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23275
      ?auto_23276
    )
    :vars
    (
      ?auto_23292
      ?auto_23293
      ?auto_23286
      ?auto_23284
      ?auto_23280
      ?auto_23289
      ?auto_23281
      ?auto_23288
      ?auto_23285
      ?auto_23283
      ?auto_23277
      ?auto_23291
      ?auto_23290
      ?auto_23282
      ?auto_23287
      ?auto_23297
      ?auto_23296
    )
    :precondition
    ( and ( OBJ ?auto_23275 ) ( LOCATION ?auto_23276 ) ( TRUCK ?auto_23292 ) ( LOCATION ?auto_23293 ) ( CITY ?auto_23286 ) ( IN-CITY ?auto_23293 ?auto_23286 ) ( IN-CITY ?auto_23276 ?auto_23286 ) ( DIFFERENT ?auto_23276 ?auto_23293 ) ( LOCATION ?auto_23284 ) ( CITY ?auto_23280 ) ( AT ?auto_23292 ?auto_23284 ) ( IN-CITY ?auto_23284 ?auto_23280 ) ( IN-CITY ?auto_23293 ?auto_23280 ) ( DIFFERENT ?auto_23293 ?auto_23284 ) ( LOCATION ?auto_23289 ) ( AT ?auto_23292 ?auto_23289 ) ( AIRPLANE ?auto_23281 ) ( AIRPORT ?auto_23288 ) ( AIRPORT ?auto_23289 ) ( DIFFERENT ?auto_23289 ?auto_23288 ) ( LOCATION ?auto_23288 ) ( AIRPORT ?auto_23285 ) ( DIFFERENT ?auto_23288 ?auto_23285 ) ( AIRPORT ?auto_23283 ) ( AT ?auto_23281 ?auto_23283 ) ( DIFFERENT ?auto_23285 ?auto_23283 ) ( TRUCK ?auto_23277 ) ( LOCATION ?auto_23291 ) ( CITY ?auto_23290 ) ( IN-CITY ?auto_23291 ?auto_23290 ) ( IN-CITY ?auto_23288 ?auto_23290 ) ( DIFFERENT ?auto_23288 ?auto_23291 ) ( LOCATION ?auto_23282 ) ( CITY ?auto_23287 ) ( IN-CITY ?auto_23282 ?auto_23287 ) ( IN-CITY ?auto_23291 ?auto_23287 ) ( DIFFERENT ?auto_23291 ?auto_23282 ) ( AT ?auto_23275 ?auto_23282 ) ( LOCATION ?auto_23297 ) ( CITY ?auto_23296 ) ( AT ?auto_23277 ?auto_23297 ) ( IN-CITY ?auto_23297 ?auto_23296 ) ( IN-CITY ?auto_23282 ?auto_23296 ) ( DIFFERENT ?auto_23282 ?auto_23297 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23277 ?auto_23297 ?auto_23282 ?auto_23296 )
      ( DELIVER-PKG ?auto_23275 ?auto_23276 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23320
      ?auto_23321
    )
    :vars
    (
      ?auto_23338
      ?auto_23339
      ?auto_23332
      ?auto_23330
      ?auto_23326
      ?auto_23335
      ?auto_23327
      ?auto_23334
      ?auto_23331
      ?auto_23329
      ?auto_23325
      ?auto_23337
      ?auto_23336
      ?auto_23328
      ?auto_23333
      ?auto_23340
      ?auto_23323
      ?auto_23343
      ?auto_23342
    )
    :precondition
    ( and ( OBJ ?auto_23320 ) ( LOCATION ?auto_23321 ) ( TRUCK ?auto_23338 ) ( LOCATION ?auto_23339 ) ( CITY ?auto_23332 ) ( IN-CITY ?auto_23339 ?auto_23332 ) ( IN-CITY ?auto_23321 ?auto_23332 ) ( DIFFERENT ?auto_23321 ?auto_23339 ) ( LOCATION ?auto_23330 ) ( CITY ?auto_23326 ) ( AT ?auto_23338 ?auto_23330 ) ( IN-CITY ?auto_23330 ?auto_23326 ) ( IN-CITY ?auto_23339 ?auto_23326 ) ( DIFFERENT ?auto_23339 ?auto_23330 ) ( LOCATION ?auto_23335 ) ( AT ?auto_23338 ?auto_23335 ) ( AIRPLANE ?auto_23327 ) ( AIRPORT ?auto_23334 ) ( AIRPORT ?auto_23335 ) ( DIFFERENT ?auto_23335 ?auto_23334 ) ( LOCATION ?auto_23334 ) ( AIRPORT ?auto_23331 ) ( DIFFERENT ?auto_23334 ?auto_23331 ) ( AIRPORT ?auto_23329 ) ( AT ?auto_23327 ?auto_23329 ) ( DIFFERENT ?auto_23331 ?auto_23329 ) ( TRUCK ?auto_23325 ) ( LOCATION ?auto_23337 ) ( CITY ?auto_23336 ) ( IN-CITY ?auto_23337 ?auto_23336 ) ( IN-CITY ?auto_23334 ?auto_23336 ) ( DIFFERENT ?auto_23334 ?auto_23337 ) ( LOCATION ?auto_23328 ) ( CITY ?auto_23333 ) ( IN-CITY ?auto_23328 ?auto_23333 ) ( IN-CITY ?auto_23337 ?auto_23333 ) ( DIFFERENT ?auto_23337 ?auto_23328 ) ( AT ?auto_23320 ?auto_23328 ) ( LOCATION ?auto_23340 ) ( CITY ?auto_23323 ) ( IN-CITY ?auto_23340 ?auto_23323 ) ( IN-CITY ?auto_23328 ?auto_23323 ) ( DIFFERENT ?auto_23328 ?auto_23340 ) ( LOCATION ?auto_23343 ) ( CITY ?auto_23342 ) ( AT ?auto_23325 ?auto_23343 ) ( IN-CITY ?auto_23343 ?auto_23342 ) ( IN-CITY ?auto_23340 ?auto_23342 ) ( DIFFERENT ?auto_23340 ?auto_23343 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23325 ?auto_23343 ?auto_23340 ?auto_23342 )
      ( DELIVER-PKG ?auto_23320 ?auto_23321 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23375
      ?auto_23376
    )
    :vars
    (
      ?auto_23379
      ?auto_23381
    )
    :precondition
    ( and ( OBJ ?auto_23375 ) ( LOCATION ?auto_23376 ) ( TRUCK ?auto_23379 ) ( AT ?auto_23379 ?auto_23376 ) ( LOCATION ?auto_23381 ) ( AT ?auto_23379 ?auto_23381 ) ( AT ?auto_23375 ?auto_23381 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23375 ?auto_23379 ?auto_23381 )
      ( DELIVER-PKG ?auto_23375 ?auto_23376 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23389
      ?auto_23390
    )
    :vars
    (
      ?auto_23393
      ?auto_23392
      ?auto_23397
    )
    :precondition
    ( and ( OBJ ?auto_23389 ) ( LOCATION ?auto_23390 ) ( TRUCK ?auto_23393 ) ( AT ?auto_23393 ?auto_23390 ) ( LOCATION ?auto_23392 ) ( AT ?auto_23393 ?auto_23392 ) ( TRUCK ?auto_23397 ) ( AT ?auto_23397 ?auto_23392 ) ( IN ?auto_23389 ?auto_23397 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23389 ?auto_23392 )
      ( DELIVER-PKG ?auto_23389 ?auto_23390 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39173
      ?auto_39174
    )
    :vars
    (
      ?auto_39176
      ?auto_39178
      ?auto_39185
      ?auto_39184
      ?auto_39179
      ?auto_39175
      ?auto_39181
      ?auto_39183
      ?auto_39180
      ?auto_39188
    )
    :precondition
    ( and ( OBJ ?auto_39173 ) ( LOCATION ?auto_39174 ) ( AIRPLANE ?auto_39176 ) ( AIRPORT ?auto_39178 ) ( AIRPORT ?auto_39174 ) ( AT ?auto_39176 ?auto_39178 ) ( DIFFERENT ?auto_39174 ?auto_39178 ) ( LOCATION ?auto_39185 ) ( AT ?auto_39176 ?auto_39185 ) ( AIRPLANE ?auto_39184 ) ( AT ?auto_39184 ?auto_39185 ) ( LOCATION ?auto_39179 ) ( AT ?auto_39184 ?auto_39179 ) ( AIRPLANE ?auto_39175 ) ( AT ?auto_39175 ?auto_39179 ) ( LOCATION ?auto_39181 ) ( AT ?auto_39175 ?auto_39181 ) ( AIRPLANE ?auto_39183 ) ( AT ?auto_39183 ?auto_39181 ) ( LOCATION ?auto_39180 ) ( AT ?auto_39183 ?auto_39180 ) ( AIRPLANE ?auto_39188 ) ( IN ?auto_39173 ?auto_39188 ) ( AT ?auto_39188 ?auto_39180 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_39173 ?auto_39180 )
      ( DELIVER-PKG ?auto_39173 ?auto_39174 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40628
      ?auto_40629
    )
    :vars
    (
      ?auto_40633
      ?auto_40642
      ?auto_40643
      ?auto_40641
      ?auto_40636
      ?auto_40639
      ?auto_40640
      ?auto_40635
      ?auto_40632
      ?auto_40631
      ?auto_40634
      ?auto_40644
      ?auto_40637
      ?auto_40647
    )
    :precondition
    ( and ( OBJ ?auto_40628 ) ( LOCATION ?auto_40629 ) ( TRUCK ?auto_40633 ) ( LOCATION ?auto_40642 ) ( CITY ?auto_40643 ) ( AT ?auto_40633 ?auto_40642 ) ( IN-CITY ?auto_40642 ?auto_40643 ) ( IN-CITY ?auto_40629 ?auto_40643 ) ( DIFFERENT ?auto_40629 ?auto_40642 ) ( LOCATION ?auto_40641 ) ( AT ?auto_40633 ?auto_40641 ) ( AIRPLANE ?auto_40636 ) ( AIRPORT ?auto_40639 ) ( AIRPORT ?auto_40641 ) ( AT ?auto_40636 ?auto_40639 ) ( DIFFERENT ?auto_40641 ?auto_40639 ) ( LOCATION ?auto_40640 ) ( AT ?auto_40636 ?auto_40640 ) ( AIRPLANE ?auto_40635 ) ( AT ?auto_40635 ?auto_40640 ) ( LOCATION ?auto_40632 ) ( AT ?auto_40635 ?auto_40632 ) ( AIRPLANE ?auto_40631 ) ( AT ?auto_40631 ?auto_40632 ) ( LOCATION ?auto_40634 ) ( AT ?auto_40631 ?auto_40634 ) ( AIRPLANE ?auto_40644 ) ( AT ?auto_40644 ?auto_40634 ) ( LOCATION ?auto_40637 ) ( AT ?auto_40644 ?auto_40637 ) ( AIRPLANE ?auto_40647 ) ( IN ?auto_40628 ?auto_40647 ) ( AT ?auto_40647 ?auto_40637 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_40628 ?auto_40637 )
      ( DELIVER-PKG ?auto_40628 ?auto_40629 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24499
      ?auto_24500
    )
    :vars
    (
      ?auto_24505
      ?auto_24504
      ?auto_24508
      ?auto_24501
      ?auto_24503
      ?auto_24507
      ?auto_24506
      ?auto_24512
    )
    :precondition
    ( and ( OBJ ?auto_24499 ) ( LOCATION ?auto_24500 ) ( AIRPLANE ?auto_24505 ) ( AIRPORT ?auto_24504 ) ( AIRPORT ?auto_24500 ) ( DIFFERENT ?auto_24500 ?auto_24504 ) ( LOCATION ?auto_24504 ) ( TRUCK ?auto_24508 ) ( LOCATION ?auto_24501 ) ( CITY ?auto_24503 ) ( IN-CITY ?auto_24501 ?auto_24503 ) ( IN-CITY ?auto_24504 ?auto_24503 ) ( DIFFERENT ?auto_24504 ?auto_24501 ) ( AT ?auto_24499 ?auto_24501 ) ( LOCATION ?auto_24507 ) ( CITY ?auto_24506 ) ( AT ?auto_24508 ?auto_24507 ) ( IN-CITY ?auto_24507 ?auto_24506 ) ( IN-CITY ?auto_24501 ?auto_24506 ) ( DIFFERENT ?auto_24501 ?auto_24507 ) ( AIRPORT ?auto_24512 ) ( AT ?auto_24505 ?auto_24512 ) ( DIFFERENT ?auto_24504 ?auto_24512 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24505 ?auto_24512 ?auto_24504 )
      ( DELIVER-PKG ?auto_24499 ?auto_24500 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24921
      ?auto_24922
    )
    :vars
    (
      ?auto_24924
      ?auto_24927
      ?auto_24935
      ?auto_24931
      ?auto_24928
      ?auto_24934
      ?auto_24929
      ?auto_24930
      ?auto_24926
      ?auto_24933
      ?auto_24932
      ?auto_24938
    )
    :precondition
    ( and ( OBJ ?auto_24921 ) ( LOCATION ?auto_24922 ) ( TRUCK ?auto_24924 ) ( LOCATION ?auto_24927 ) ( CITY ?auto_24935 ) ( AT ?auto_24924 ?auto_24927 ) ( IN-CITY ?auto_24927 ?auto_24935 ) ( IN-CITY ?auto_24922 ?auto_24935 ) ( DIFFERENT ?auto_24922 ?auto_24927 ) ( LOCATION ?auto_24931 ) ( AT ?auto_24924 ?auto_24931 ) ( AIRPLANE ?auto_24928 ) ( AIRPORT ?auto_24934 ) ( AIRPORT ?auto_24931 ) ( DIFFERENT ?auto_24931 ?auto_24934 ) ( LOCATION ?auto_24934 ) ( TRUCK ?auto_24929 ) ( LOCATION ?auto_24930 ) ( CITY ?auto_24926 ) ( IN-CITY ?auto_24930 ?auto_24926 ) ( IN-CITY ?auto_24934 ?auto_24926 ) ( DIFFERENT ?auto_24934 ?auto_24930 ) ( AT ?auto_24921 ?auto_24930 ) ( LOCATION ?auto_24933 ) ( CITY ?auto_24932 ) ( AT ?auto_24929 ?auto_24933 ) ( IN-CITY ?auto_24933 ?auto_24932 ) ( IN-CITY ?auto_24930 ?auto_24932 ) ( DIFFERENT ?auto_24930 ?auto_24933 ) ( AIRPORT ?auto_24938 ) ( AT ?auto_24928 ?auto_24938 ) ( DIFFERENT ?auto_24934 ?auto_24938 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24928 ?auto_24938 ?auto_24934 )
      ( DELIVER-PKG ?auto_24921 ?auto_24922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25036
      ?auto_25037
    )
    :vars
    (
      ?auto_25047
      ?auto_25043
      ?auto_25050
      ?auto_25040
      ?auto_25046
      ?auto_25041
      ?auto_25042
      ?auto_25048
      ?auto_25045
      ?auto_25044
      ?auto_25051
      ?auto_25054
      ?auto_25053
    )
    :precondition
    ( and ( OBJ ?auto_25036 ) ( LOCATION ?auto_25037 ) ( TRUCK ?auto_25047 ) ( LOCATION ?auto_25043 ) ( CITY ?auto_25050 ) ( IN-CITY ?auto_25043 ?auto_25050 ) ( IN-CITY ?auto_25037 ?auto_25050 ) ( DIFFERENT ?auto_25037 ?auto_25043 ) ( AIRPLANE ?auto_25040 ) ( AIRPORT ?auto_25046 ) ( AIRPORT ?auto_25043 ) ( DIFFERENT ?auto_25043 ?auto_25046 ) ( LOCATION ?auto_25046 ) ( TRUCK ?auto_25041 ) ( LOCATION ?auto_25042 ) ( CITY ?auto_25048 ) ( IN-CITY ?auto_25042 ?auto_25048 ) ( IN-CITY ?auto_25046 ?auto_25048 ) ( DIFFERENT ?auto_25046 ?auto_25042 ) ( AT ?auto_25036 ?auto_25042 ) ( LOCATION ?auto_25045 ) ( CITY ?auto_25044 ) ( AT ?auto_25041 ?auto_25045 ) ( IN-CITY ?auto_25045 ?auto_25044 ) ( IN-CITY ?auto_25042 ?auto_25044 ) ( DIFFERENT ?auto_25042 ?auto_25045 ) ( AIRPORT ?auto_25051 ) ( AT ?auto_25040 ?auto_25051 ) ( DIFFERENT ?auto_25046 ?auto_25051 ) ( LOCATION ?auto_25054 ) ( CITY ?auto_25053 ) ( AT ?auto_25047 ?auto_25054 ) ( IN-CITY ?auto_25054 ?auto_25053 ) ( IN-CITY ?auto_25043 ?auto_25053 ) ( DIFFERENT ?auto_25043 ?auto_25054 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25047 ?auto_25054 ?auto_25043 ?auto_25053 )
      ( DELIVER-PKG ?auto_25036 ?auto_25037 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25542
      ?auto_25543
    )
    :vars
    (
      ?auto_25558
      ?auto_25557
      ?auto_25550
      ?auto_25553
      ?auto_25556
      ?auto_25552
      ?auto_25555
      ?auto_25546
      ?auto_25554
      ?auto_25551
      ?auto_25545
      ?auto_25559
      ?auto_25547
      ?auto_25561
    )
    :precondition
    ( and ( OBJ ?auto_25542 ) ( LOCATION ?auto_25543 ) ( TRUCK ?auto_25558 ) ( LOCATION ?auto_25557 ) ( CITY ?auto_25550 ) ( IN-CITY ?auto_25557 ?auto_25550 ) ( IN-CITY ?auto_25543 ?auto_25550 ) ( DIFFERENT ?auto_25543 ?auto_25557 ) ( LOCATION ?auto_25553 ) ( CITY ?auto_25556 ) ( AT ?auto_25558 ?auto_25553 ) ( IN-CITY ?auto_25553 ?auto_25556 ) ( IN-CITY ?auto_25557 ?auto_25556 ) ( DIFFERENT ?auto_25557 ?auto_25553 ) ( LOCATION ?auto_25552 ) ( AT ?auto_25558 ?auto_25552 ) ( AIRPLANE ?auto_25555 ) ( AIRPORT ?auto_25546 ) ( AIRPORT ?auto_25552 ) ( DIFFERENT ?auto_25552 ?auto_25546 ) ( LOCATION ?auto_25546 ) ( TRUCK ?auto_25554 ) ( LOCATION ?auto_25551 ) ( CITY ?auto_25545 ) ( IN-CITY ?auto_25551 ?auto_25545 ) ( IN-CITY ?auto_25546 ?auto_25545 ) ( DIFFERENT ?auto_25546 ?auto_25551 ) ( AT ?auto_25542 ?auto_25551 ) ( LOCATION ?auto_25559 ) ( CITY ?auto_25547 ) ( AT ?auto_25554 ?auto_25559 ) ( IN-CITY ?auto_25559 ?auto_25547 ) ( IN-CITY ?auto_25551 ?auto_25547 ) ( DIFFERENT ?auto_25551 ?auto_25559 ) ( AIRPORT ?auto_25561 ) ( AT ?auto_25555 ?auto_25561 ) ( DIFFERENT ?auto_25546 ?auto_25561 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25555 ?auto_25561 ?auto_25546 )
      ( DELIVER-PKG ?auto_25542 ?auto_25543 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25671
      ?auto_25672
    )
    :vars
    (
      ?auto_25685
      ?auto_25684
      ?auto_25676
      ?auto_25678
      ?auto_25683
      ?auto_25681
      ?auto_25675
      ?auto_25680
      ?auto_25677
      ?auto_25674
      ?auto_25686
      ?auto_25673
      ?auto_25682
      ?auto_25691
      ?auto_25690
    )
    :precondition
    ( and ( OBJ ?auto_25671 ) ( LOCATION ?auto_25672 ) ( TRUCK ?auto_25685 ) ( LOCATION ?auto_25684 ) ( CITY ?auto_25676 ) ( IN-CITY ?auto_25684 ?auto_25676 ) ( IN-CITY ?auto_25672 ?auto_25676 ) ( DIFFERENT ?auto_25672 ?auto_25684 ) ( LOCATION ?auto_25678 ) ( CITY ?auto_25683 ) ( IN-CITY ?auto_25678 ?auto_25683 ) ( IN-CITY ?auto_25684 ?auto_25683 ) ( DIFFERENT ?auto_25684 ?auto_25678 ) ( AIRPLANE ?auto_25681 ) ( AIRPORT ?auto_25675 ) ( AIRPORT ?auto_25678 ) ( DIFFERENT ?auto_25678 ?auto_25675 ) ( LOCATION ?auto_25675 ) ( TRUCK ?auto_25680 ) ( LOCATION ?auto_25677 ) ( CITY ?auto_25674 ) ( IN-CITY ?auto_25677 ?auto_25674 ) ( IN-CITY ?auto_25675 ?auto_25674 ) ( DIFFERENT ?auto_25675 ?auto_25677 ) ( AT ?auto_25671 ?auto_25677 ) ( LOCATION ?auto_25686 ) ( CITY ?auto_25673 ) ( AT ?auto_25680 ?auto_25686 ) ( IN-CITY ?auto_25686 ?auto_25673 ) ( IN-CITY ?auto_25677 ?auto_25673 ) ( DIFFERENT ?auto_25677 ?auto_25686 ) ( AIRPORT ?auto_25682 ) ( AT ?auto_25681 ?auto_25682 ) ( DIFFERENT ?auto_25675 ?auto_25682 ) ( LOCATION ?auto_25691 ) ( CITY ?auto_25690 ) ( AT ?auto_25685 ?auto_25691 ) ( IN-CITY ?auto_25691 ?auto_25690 ) ( IN-CITY ?auto_25678 ?auto_25690 ) ( DIFFERENT ?auto_25678 ?auto_25691 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25685 ?auto_25691 ?auto_25678 ?auto_25690 )
      ( DELIVER-PKG ?auto_25671 ?auto_25672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26818
      ?auto_26819
    )
    :vars
    (
      ?auto_26821
      ?auto_26825
      ?auto_26824
      ?auto_26828
      ?auto_26820
      ?auto_26830
      ?auto_26829
      ?auto_26823
      ?auto_26822
      ?auto_26832
    )
    :precondition
    ( and ( OBJ ?auto_26818 ) ( LOCATION ?auto_26819 ) ( AIRPLANE ?auto_26821 ) ( AIRPORT ?auto_26825 ) ( AIRPORT ?auto_26819 ) ( DIFFERENT ?auto_26819 ?auto_26825 ) ( AIRPORT ?auto_26824 ) ( AT ?auto_26821 ?auto_26824 ) ( DIFFERENT ?auto_26825 ?auto_26824 ) ( LOCATION ?auto_26828 ) ( AT ?auto_26821 ?auto_26828 ) ( AIRPLANE ?auto_26820 ) ( AT ?auto_26820 ?auto_26828 ) ( LOCATION ?auto_26830 ) ( AT ?auto_26820 ?auto_26830 ) ( TRUCK ?auto_26829 ) ( LOCATION ?auto_26823 ) ( CITY ?auto_26822 ) ( AT ?auto_26829 ?auto_26823 ) ( IN-CITY ?auto_26823 ?auto_26822 ) ( IN-CITY ?auto_26830 ?auto_26822 ) ( DIFFERENT ?auto_26830 ?auto_26823 ) ( LOCATION ?auto_26832 ) ( AT ?auto_26829 ?auto_26832 ) ( AT ?auto_26818 ?auto_26832 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26818 ?auto_26829 ?auto_26832 )
      ( DELIVER-PKG ?auto_26818 ?auto_26819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27215
      ?auto_27216
    )
    :vars
    (
      ?auto_27218
      ?auto_27219
      ?auto_27221
    )
    :precondition
    ( and ( OBJ ?auto_27215 ) ( LOCATION ?auto_27216 ) ( TRUCK ?auto_27218 ) ( AT ?auto_27218 ?auto_27216 ) ( LOCATION ?auto_27219 ) ( AT ?auto_27218 ?auto_27219 ) ( AIRPLANE ?auto_27221 ) ( IN ?auto_27215 ?auto_27221 ) ( AT ?auto_27221 ?auto_27219 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_27215 ?auto_27219 )
      ( DELIVER-PKG ?auto_27215 ?auto_27216 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27224
      ?auto_27225
    )
    :vars
    (
      ?auto_27230
      ?auto_27228
      ?auto_27229
      ?auto_27232
    )
    :precondition
    ( and ( OBJ ?auto_27224 ) ( LOCATION ?auto_27225 ) ( TRUCK ?auto_27230 ) ( AT ?auto_27230 ?auto_27225 ) ( LOCATION ?auto_27228 ) ( AT ?auto_27230 ?auto_27228 ) ( AIRPLANE ?auto_27229 ) ( IN ?auto_27224 ?auto_27229 ) ( AIRPORT ?auto_27232 ) ( AIRPORT ?auto_27228 ) ( AT ?auto_27229 ?auto_27232 ) ( DIFFERENT ?auto_27228 ?auto_27232 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_27229 ?auto_27232 ?auto_27228 )
      ( DELIVER-PKG ?auto_27224 ?auto_27225 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27234
      ?auto_27235
    )
    :vars
    (
      ?auto_27238
      ?auto_27240
      ?auto_27239
      ?auto_27236
      ?auto_27243
    )
    :precondition
    ( and ( OBJ ?auto_27234 ) ( LOCATION ?auto_27235 ) ( TRUCK ?auto_27238 ) ( AT ?auto_27238 ?auto_27235 ) ( LOCATION ?auto_27240 ) ( AT ?auto_27238 ?auto_27240 ) ( AIRPLANE ?auto_27239 ) ( AIRPORT ?auto_27236 ) ( AIRPORT ?auto_27240 ) ( AT ?auto_27239 ?auto_27236 ) ( DIFFERENT ?auto_27240 ?auto_27236 ) ( LOCATION ?auto_27243 ) ( AT ?auto_27234 ?auto_27243 ) ( AT ?auto_27239 ?auto_27243 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_27234 ?auto_27239 ?auto_27243 )
      ( DELIVER-PKG ?auto_27234 ?auto_27235 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27263
      ?auto_27264
    )
    :vars
    (
      ?auto_27271
      ?auto_27269
      ?auto_27270
      ?auto_27267
      ?auto_27273
    )
    :precondition
    ( and ( OBJ ?auto_27263 ) ( LOCATION ?auto_27264 ) ( TRUCK ?auto_27271 ) ( AT ?auto_27271 ?auto_27264 ) ( LOCATION ?auto_27269 ) ( AT ?auto_27271 ?auto_27269 ) ( AIRPLANE ?auto_27270 ) ( AIRPORT ?auto_27267 ) ( AIRPORT ?auto_27269 ) ( DIFFERENT ?auto_27269 ?auto_27267 ) ( LOCATION ?auto_27267 ) ( AT ?auto_27263 ?auto_27267 ) ( AIRPORT ?auto_27273 ) ( AT ?auto_27270 ?auto_27273 ) ( DIFFERENT ?auto_27267 ?auto_27273 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_27270 ?auto_27273 ?auto_27267 )
      ( DELIVER-PKG ?auto_27263 ?auto_27264 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27293
      ?auto_27296
    )
    :vars
    (
      ?auto_27299
      ?auto_27298
      ?auto_27295
      ?auto_27301
      ?auto_27304
      ?auto_27303
    )
    :precondition
    ( and ( OBJ ?auto_27293 ) ( LOCATION ?auto_27296 ) ( TRUCK ?auto_27299 ) ( AIRPLANE ?auto_27298 ) ( AIRPORT ?auto_27295 ) ( AIRPORT ?auto_27296 ) ( DIFFERENT ?auto_27296 ?auto_27295 ) ( LOCATION ?auto_27295 ) ( AT ?auto_27293 ?auto_27295 ) ( AIRPORT ?auto_27301 ) ( AT ?auto_27298 ?auto_27301 ) ( DIFFERENT ?auto_27295 ?auto_27301 ) ( LOCATION ?auto_27304 ) ( CITY ?auto_27303 ) ( AT ?auto_27299 ?auto_27304 ) ( IN-CITY ?auto_27304 ?auto_27303 ) ( IN-CITY ?auto_27296 ?auto_27303 ) ( DIFFERENT ?auto_27296 ?auto_27304 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27299 ?auto_27304 ?auto_27296 ?auto_27303 )
      ( DELIVER-PKG ?auto_27293 ?auto_27296 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27326
      ?auto_27327
    )
    :vars
    (
      ?auto_27332
      ?auto_27331
      ?auto_27328
      ?auto_27333
      ?auto_27335
      ?auto_27334
      ?auto_27338
      ?auto_27337
    )
    :precondition
    ( and ( OBJ ?auto_27326 ) ( LOCATION ?auto_27327 ) ( TRUCK ?auto_27332 ) ( AIRPLANE ?auto_27331 ) ( AIRPORT ?auto_27328 ) ( AIRPORT ?auto_27327 ) ( DIFFERENT ?auto_27327 ?auto_27328 ) ( LOCATION ?auto_27328 ) ( AT ?auto_27326 ?auto_27328 ) ( AIRPORT ?auto_27333 ) ( AT ?auto_27331 ?auto_27333 ) ( DIFFERENT ?auto_27328 ?auto_27333 ) ( LOCATION ?auto_27335 ) ( CITY ?auto_27334 ) ( IN-CITY ?auto_27335 ?auto_27334 ) ( IN-CITY ?auto_27327 ?auto_27334 ) ( DIFFERENT ?auto_27327 ?auto_27335 ) ( LOCATION ?auto_27338 ) ( CITY ?auto_27337 ) ( AT ?auto_27332 ?auto_27338 ) ( IN-CITY ?auto_27338 ?auto_27337 ) ( IN-CITY ?auto_27335 ?auto_27337 ) ( DIFFERENT ?auto_27335 ?auto_27338 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27332 ?auto_27338 ?auto_27335 ?auto_27337 )
      ( DELIVER-PKG ?auto_27326 ?auto_27327 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27819
      ?auto_27820
    )
    :vars
    (
      ?auto_27826
      ?auto_27822
      ?auto_27824
      ?auto_27823
      ?auto_27828
    )
    :precondition
    ( and ( OBJ ?auto_27819 ) ( LOCATION ?auto_27820 ) ( AIRPLANE ?auto_27826 ) ( AIRPORT ?auto_27822 ) ( AIRPORT ?auto_27820 ) ( AT ?auto_27826 ?auto_27822 ) ( DIFFERENT ?auto_27820 ?auto_27822 ) ( LOCATION ?auto_27824 ) ( AT ?auto_27826 ?auto_27824 ) ( TRUCK ?auto_27823 ) ( AT ?auto_27823 ?auto_27824 ) ( LOCATION ?auto_27828 ) ( AT ?auto_27823 ?auto_27828 ) ( AT ?auto_27819 ?auto_27828 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27819 ?auto_27823 ?auto_27828 )
      ( DELIVER-PKG ?auto_27819 ?auto_27820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27839
      ?auto_27840
    )
    :vars
    (
      ?auto_27844
      ?auto_27846
      ?auto_27847
      ?auto_27843
      ?auto_27842
      ?auto_27849
    )
    :precondition
    ( and ( OBJ ?auto_27839 ) ( LOCATION ?auto_27840 ) ( AIRPLANE ?auto_27844 ) ( AIRPORT ?auto_27846 ) ( AIRPORT ?auto_27840 ) ( AT ?auto_27844 ?auto_27846 ) ( DIFFERENT ?auto_27840 ?auto_27846 ) ( LOCATION ?auto_27847 ) ( AT ?auto_27844 ?auto_27847 ) ( TRUCK ?auto_27843 ) ( AT ?auto_27843 ?auto_27847 ) ( LOCATION ?auto_27842 ) ( AT ?auto_27843 ?auto_27842 ) ( TRUCK ?auto_27849 ) ( AT ?auto_27849 ?auto_27842 ) ( IN ?auto_27839 ?auto_27849 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_27839 ?auto_27842 )
      ( DELIVER-PKG ?auto_27839 ?auto_27840 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27909
      ?auto_27910
    )
    :vars
    (
      ?auto_27912
      ?auto_27913
      ?auto_27915
      ?auto_27917
      ?auto_27914
      ?auto_27918
      ?auto_27921
    )
    :precondition
    ( and ( OBJ ?auto_27909 ) ( LOCATION ?auto_27910 ) ( AIRPLANE ?auto_27912 ) ( AIRPORT ?auto_27913 ) ( AIRPORT ?auto_27910 ) ( DIFFERENT ?auto_27910 ?auto_27913 ) ( LOCATION ?auto_27913 ) ( TRUCK ?auto_27915 ) ( LOCATION ?auto_27917 ) ( CITY ?auto_27914 ) ( AT ?auto_27915 ?auto_27917 ) ( IN-CITY ?auto_27917 ?auto_27914 ) ( IN-CITY ?auto_27913 ?auto_27914 ) ( DIFFERENT ?auto_27913 ?auto_27917 ) ( LOCATION ?auto_27918 ) ( AT ?auto_27915 ?auto_27918 ) ( AT ?auto_27909 ?auto_27918 ) ( AIRPORT ?auto_27921 ) ( AT ?auto_27912 ?auto_27921 ) ( DIFFERENT ?auto_27913 ?auto_27921 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_27912 ?auto_27921 ?auto_27913 )
      ( DELIVER-PKG ?auto_27909 ?auto_27910 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28418
      ?auto_28419
    )
    :vars
    (
      ?auto_28425
      ?auto_28426
      ?auto_28422
      ?auto_28421
      ?auto_28423
      ?auto_28424
      ?auto_28420
      ?auto_28428
      ?auto_28427
      ?auto_28432
    )
    :precondition
    ( and ( OBJ ?auto_28418 ) ( LOCATION ?auto_28419 ) ( AIRPLANE ?auto_28425 ) ( AIRPORT ?auto_28426 ) ( AIRPORT ?auto_28419 ) ( DIFFERENT ?auto_28419 ?auto_28426 ) ( LOCATION ?auto_28426 ) ( AIRPORT ?auto_28422 ) ( DIFFERENT ?auto_28426 ?auto_28422 ) ( AIRPORT ?auto_28421 ) ( DIFFERENT ?auto_28422 ?auto_28421 ) ( TRUCK ?auto_28423 ) ( LOCATION ?auto_28424 ) ( CITY ?auto_28420 ) ( IN-CITY ?auto_28424 ?auto_28420 ) ( IN-CITY ?auto_28426 ?auto_28420 ) ( DIFFERENT ?auto_28426 ?auto_28424 ) ( AT ?auto_28418 ?auto_28424 ) ( LOCATION ?auto_28428 ) ( CITY ?auto_28427 ) ( AT ?auto_28423 ?auto_28428 ) ( IN-CITY ?auto_28428 ?auto_28427 ) ( IN-CITY ?auto_28424 ?auto_28427 ) ( DIFFERENT ?auto_28424 ?auto_28428 ) ( AIRPORT ?auto_28432 ) ( AT ?auto_28425 ?auto_28432 ) ( DIFFERENT ?auto_28421 ?auto_28432 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28425 ?auto_28432 ?auto_28421 )
      ( DELIVER-PKG ?auto_28418 ?auto_28419 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28933
      ?auto_28934
    )
    :vars
    (
      ?auto_28937
      ?auto_28936
      ?auto_28940
      ?auto_28935
      ?auto_28939
      ?auto_28944
    )
    :precondition
    ( and ( OBJ ?auto_28933 ) ( LOCATION ?auto_28934 ) ( AIRPLANE ?auto_28937 ) ( AIRPORT ?auto_28936 ) ( AIRPORT ?auto_28934 ) ( DIFFERENT ?auto_28934 ?auto_28936 ) ( AIRPORT ?auto_28940 ) ( DIFFERENT ?auto_28936 ?auto_28940 ) ( AIRPORT ?auto_28935 ) ( AT ?auto_28937 ?auto_28935 ) ( DIFFERENT ?auto_28940 ?auto_28935 ) ( LOCATION ?auto_28939 ) ( AT ?auto_28937 ?auto_28939 ) ( AIRPLANE ?auto_28944 ) ( IN ?auto_28933 ?auto_28944 ) ( AT ?auto_28944 ?auto_28939 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_28933 ?auto_28939 )
      ( DELIVER-PKG ?auto_28933 ?auto_28934 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52140
      ?auto_52141
    )
    :vars
    (
      ?auto_52145
      ?auto_52147
      ?auto_52142
      ?auto_52144
      ?auto_52149
    )
    :precondition
    ( and ( OBJ ?auto_52140 ) ( LOCATION ?auto_52141 ) ( AIRPLANE ?auto_52145 ) ( IN ?auto_52140 ?auto_52145 ) ( AIRPORT ?auto_52147 ) ( AIRPORT ?auto_52141 ) ( DIFFERENT ?auto_52141 ?auto_52147 ) ( AIRPORT ?auto_52142 ) ( DIFFERENT ?auto_52147 ?auto_52142 ) ( AIRPORT ?auto_52144 ) ( DIFFERENT ?auto_52142 ?auto_52144 ) ( AIRPORT ?auto_52149 ) ( AT ?auto_52145 ?auto_52149 ) ( DIFFERENT ?auto_52144 ?auto_52149 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_52145 ?auto_52149 ?auto_52144 )
      ( DELIVER-PKG ?auto_52140 ?auto_52141 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52160
      ?auto_52161
    )
    :vars
    (
      ?auto_52166
      ?auto_52167
      ?auto_52163
      ?auto_52165
      ?auto_52168
      ?auto_52170
    )
    :precondition
    ( and ( OBJ ?auto_52160 ) ( LOCATION ?auto_52161 ) ( AIRPLANE ?auto_52166 ) ( AIRPORT ?auto_52167 ) ( AIRPORT ?auto_52161 ) ( DIFFERENT ?auto_52161 ?auto_52167 ) ( AIRPORT ?auto_52163 ) ( DIFFERENT ?auto_52167 ?auto_52163 ) ( AIRPORT ?auto_52165 ) ( DIFFERENT ?auto_52163 ?auto_52165 ) ( AIRPORT ?auto_52168 ) ( AT ?auto_52166 ?auto_52168 ) ( DIFFERENT ?auto_52165 ?auto_52168 ) ( LOCATION ?auto_52170 ) ( AT ?auto_52160 ?auto_52170 ) ( AT ?auto_52166 ?auto_52170 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_52160 ?auto_52166 ?auto_52170 )
      ( DELIVER-PKG ?auto_52160 ?auto_52161 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29009
      ?auto_29010
    )
    :vars
    (
      ?auto_29013
      ?auto_29019
      ?auto_29017
      ?auto_29018
      ?auto_29015
      ?auto_29016
      ?auto_29014
      ?auto_29020
      ?auto_29022
    )
    :precondition
    ( and ( OBJ ?auto_29009 ) ( LOCATION ?auto_29010 ) ( AIRPLANE ?auto_29013 ) ( AIRPORT ?auto_29019 ) ( AIRPORT ?auto_29010 ) ( DIFFERENT ?auto_29010 ?auto_29019 ) ( AIRPORT ?auto_29017 ) ( DIFFERENT ?auto_29019 ?auto_29017 ) ( AIRPORT ?auto_29018 ) ( DIFFERENT ?auto_29017 ?auto_29018 ) ( LOCATION ?auto_29018 ) ( AIRPORT ?auto_29015 ) ( AT ?auto_29013 ?auto_29015 ) ( DIFFERENT ?auto_29018 ?auto_29015 ) ( LOCATION ?auto_29016 ) ( AT ?auto_29013 ?auto_29016 ) ( TRUCK ?auto_29014 ) ( AT ?auto_29014 ?auto_29016 ) ( LOCATION ?auto_29020 ) ( AT ?auto_29014 ?auto_29020 ) ( TRUCK ?auto_29022 ) ( AT ?auto_29022 ?auto_29020 ) ( IN ?auto_29009 ?auto_29022 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_29009 ?auto_29020 )
      ( DELIVER-PKG ?auto_29009 ?auto_29010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28983
      ?auto_28984
    )
    :vars
    (
      ?auto_28987
      ?auto_28993
      ?auto_28991
      ?auto_28992
      ?auto_28989
      ?auto_28990
      ?auto_28988
      ?auto_28995
    )
    :precondition
    ( and ( OBJ ?auto_28983 ) ( LOCATION ?auto_28984 ) ( AIRPLANE ?auto_28987 ) ( AIRPORT ?auto_28993 ) ( AIRPORT ?auto_28984 ) ( DIFFERENT ?auto_28984 ?auto_28993 ) ( AIRPORT ?auto_28991 ) ( DIFFERENT ?auto_28993 ?auto_28991 ) ( AIRPORT ?auto_28992 ) ( DIFFERENT ?auto_28991 ?auto_28992 ) ( LOCATION ?auto_28992 ) ( AIRPORT ?auto_28989 ) ( AT ?auto_28987 ?auto_28989 ) ( DIFFERENT ?auto_28992 ?auto_28989 ) ( LOCATION ?auto_28990 ) ( AT ?auto_28987 ?auto_28990 ) ( TRUCK ?auto_28988 ) ( AT ?auto_28988 ?auto_28990 ) ( LOCATION ?auto_28995 ) ( AT ?auto_28988 ?auto_28995 ) ( AT ?auto_28983 ?auto_28995 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_28983 ?auto_28988 ?auto_28995 )
      ( DELIVER-PKG ?auto_28983 ?auto_28984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29037
      ?auto_29038
    )
    :vars
    (
      ?auto_29041
      ?auto_29047
      ?auto_29045
      ?auto_29046
      ?auto_29043
      ?auto_29048
      ?auto_29049
      ?auto_29052
      ?auto_29051
    )
    :precondition
    ( and ( OBJ ?auto_29037 ) ( LOCATION ?auto_29038 ) ( AIRPLANE ?auto_29041 ) ( AIRPORT ?auto_29047 ) ( AIRPORT ?auto_29038 ) ( DIFFERENT ?auto_29038 ?auto_29047 ) ( AIRPORT ?auto_29045 ) ( DIFFERENT ?auto_29047 ?auto_29045 ) ( AIRPORT ?auto_29046 ) ( DIFFERENT ?auto_29045 ?auto_29046 ) ( LOCATION ?auto_29046 ) ( AIRPORT ?auto_29043 ) ( AT ?auto_29041 ?auto_29043 ) ( DIFFERENT ?auto_29046 ?auto_29043 ) ( LOCATION ?auto_29048 ) ( AT ?auto_29041 ?auto_29048 ) ( TRUCK ?auto_29049 ) ( IN ?auto_29037 ?auto_29049 ) ( LOCATION ?auto_29052 ) ( CITY ?auto_29051 ) ( AT ?auto_29049 ?auto_29052 ) ( IN-CITY ?auto_29052 ?auto_29051 ) ( IN-CITY ?auto_29048 ?auto_29051 ) ( DIFFERENT ?auto_29048 ?auto_29052 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_29049 ?auto_29052 ?auto_29048 ?auto_29051 )
      ( DELIVER-PKG ?auto_29037 ?auto_29038 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29067
      ?auto_29068
    )
    :vars
    (
      ?auto_29070
      ?auto_29074
      ?auto_29072
      ?auto_29073
      ?auto_29071
      ?auto_29075
      ?auto_29076
      ?auto_29079
      ?auto_29078
      ?auto_29081
    )
    :precondition
    ( and ( OBJ ?auto_29067 ) ( LOCATION ?auto_29068 ) ( AIRPLANE ?auto_29070 ) ( AIRPORT ?auto_29074 ) ( AIRPORT ?auto_29068 ) ( DIFFERENT ?auto_29068 ?auto_29074 ) ( AIRPORT ?auto_29072 ) ( DIFFERENT ?auto_29074 ?auto_29072 ) ( AIRPORT ?auto_29073 ) ( DIFFERENT ?auto_29072 ?auto_29073 ) ( LOCATION ?auto_29073 ) ( AIRPORT ?auto_29071 ) ( AT ?auto_29070 ?auto_29071 ) ( DIFFERENT ?auto_29073 ?auto_29071 ) ( LOCATION ?auto_29075 ) ( AT ?auto_29070 ?auto_29075 ) ( TRUCK ?auto_29076 ) ( LOCATION ?auto_29079 ) ( CITY ?auto_29078 ) ( AT ?auto_29076 ?auto_29079 ) ( IN-CITY ?auto_29079 ?auto_29078 ) ( IN-CITY ?auto_29075 ?auto_29078 ) ( DIFFERENT ?auto_29075 ?auto_29079 ) ( LOCATION ?auto_29081 ) ( AT ?auto_29076 ?auto_29081 ) ( AT ?auto_29067 ?auto_29081 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_29067 ?auto_29076 ?auto_29081 )
      ( DELIVER-PKG ?auto_29067 ?auto_29068 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29097
      ?auto_29098
    )
    :vars
    (
      ?auto_29100
      ?auto_29105
      ?auto_29103
      ?auto_29104
      ?auto_29106
      ?auto_29107
      ?auto_29109
      ?auto_29108
      ?auto_29110
      ?auto_29112
    )
    :precondition
    ( and ( OBJ ?auto_29097 ) ( LOCATION ?auto_29098 ) ( AIRPLANE ?auto_29100 ) ( AIRPORT ?auto_29105 ) ( AIRPORT ?auto_29098 ) ( DIFFERENT ?auto_29098 ?auto_29105 ) ( AIRPORT ?auto_29103 ) ( DIFFERENT ?auto_29105 ?auto_29103 ) ( AIRPORT ?auto_29104 ) ( DIFFERENT ?auto_29103 ?auto_29104 ) ( LOCATION ?auto_29104 ) ( AIRPORT ?auto_29106 ) ( DIFFERENT ?auto_29104 ?auto_29106 ) ( LOCATION ?auto_29106 ) ( TRUCK ?auto_29107 ) ( LOCATION ?auto_29109 ) ( CITY ?auto_29108 ) ( AT ?auto_29107 ?auto_29109 ) ( IN-CITY ?auto_29109 ?auto_29108 ) ( IN-CITY ?auto_29106 ?auto_29108 ) ( DIFFERENT ?auto_29106 ?auto_29109 ) ( LOCATION ?auto_29110 ) ( AT ?auto_29107 ?auto_29110 ) ( AT ?auto_29097 ?auto_29110 ) ( AIRPORT ?auto_29112 ) ( AT ?auto_29100 ?auto_29112 ) ( DIFFERENT ?auto_29106 ?auto_29112 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_29100 ?auto_29112 ?auto_29106 )
      ( DELIVER-PKG ?auto_29097 ?auto_29098 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29114
      ?auto_29115
    )
    :vars
    (
      ?auto_29126
      ?auto_29124
      ?auto_29118
      ?auto_29123
      ?auto_29125
      ?auto_29119
      ?auto_29122
      ?auto_29120
      ?auto_29127
      ?auto_29130
      ?auto_29129
    )
    :precondition
    ( and ( OBJ ?auto_29114 ) ( LOCATION ?auto_29115 ) ( AIRPLANE ?auto_29126 ) ( AIRPORT ?auto_29124 ) ( AIRPORT ?auto_29115 ) ( DIFFERENT ?auto_29115 ?auto_29124 ) ( AIRPORT ?auto_29118 ) ( DIFFERENT ?auto_29124 ?auto_29118 ) ( AIRPORT ?auto_29123 ) ( DIFFERENT ?auto_29118 ?auto_29123 ) ( LOCATION ?auto_29123 ) ( AIRPORT ?auto_29125 ) ( DIFFERENT ?auto_29123 ?auto_29125 ) ( LOCATION ?auto_29125 ) ( TRUCK ?auto_29119 ) ( LOCATION ?auto_29122 ) ( CITY ?auto_29120 ) ( IN-CITY ?auto_29122 ?auto_29120 ) ( IN-CITY ?auto_29125 ?auto_29120 ) ( DIFFERENT ?auto_29125 ?auto_29122 ) ( AT ?auto_29114 ?auto_29122 ) ( AIRPORT ?auto_29127 ) ( AT ?auto_29126 ?auto_29127 ) ( DIFFERENT ?auto_29125 ?auto_29127 ) ( LOCATION ?auto_29130 ) ( CITY ?auto_29129 ) ( AT ?auto_29119 ?auto_29130 ) ( IN-CITY ?auto_29130 ?auto_29129 ) ( IN-CITY ?auto_29122 ?auto_29129 ) ( DIFFERENT ?auto_29122 ?auto_29130 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_29119 ?auto_29130 ?auto_29122 ?auto_29129 )
      ( DELIVER-PKG ?auto_29114 ?auto_29115 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30377
      ?auto_30378
    )
    :vars
    (
      ?auto_30392
      ?auto_30386
      ?auto_30391
      ?auto_30385
      ?auto_30384
      ?auto_30383
      ?auto_30393
      ?auto_30381
      ?auto_30379
      ?auto_30390
      ?auto_30380
      ?auto_30389
      ?auto_30395
    )
    :precondition
    ( and ( OBJ ?auto_30377 ) ( LOCATION ?auto_30378 ) ( TRUCK ?auto_30392 ) ( LOCATION ?auto_30386 ) ( CITY ?auto_30391 ) ( IN-CITY ?auto_30386 ?auto_30391 ) ( IN-CITY ?auto_30378 ?auto_30391 ) ( DIFFERENT ?auto_30378 ?auto_30386 ) ( LOCATION ?auto_30385 ) ( CITY ?auto_30384 ) ( IN-CITY ?auto_30385 ?auto_30384 ) ( IN-CITY ?auto_30386 ?auto_30384 ) ( DIFFERENT ?auto_30386 ?auto_30385 ) ( LOCATION ?auto_30383 ) ( CITY ?auto_30393 ) ( IN-CITY ?auto_30383 ?auto_30393 ) ( IN-CITY ?auto_30385 ?auto_30393 ) ( DIFFERENT ?auto_30385 ?auto_30383 ) ( LOCATION ?auto_30381 ) ( CITY ?auto_30379 ) ( AT ?auto_30392 ?auto_30381 ) ( IN-CITY ?auto_30381 ?auto_30379 ) ( IN-CITY ?auto_30383 ?auto_30379 ) ( DIFFERENT ?auto_30383 ?auto_30381 ) ( LOCATION ?auto_30390 ) ( AT ?auto_30392 ?auto_30390 ) ( AIRPLANE ?auto_30380 ) ( AIRPORT ?auto_30389 ) ( AIRPORT ?auto_30390 ) ( DIFFERENT ?auto_30390 ?auto_30389 ) ( LOCATION ?auto_30389 ) ( AT ?auto_30377 ?auto_30389 ) ( AIRPORT ?auto_30395 ) ( AT ?auto_30380 ?auto_30395 ) ( DIFFERENT ?auto_30389 ?auto_30395 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_30380 ?auto_30395 ?auto_30389 )
      ( DELIVER-PKG ?auto_30377 ?auto_30378 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30431
      ?auto_30432
    )
    :vars
    (
      ?auto_30441
      ?auto_30435
      ?auto_30437
      ?auto_30434
      ?auto_30446
      ?auto_30447
      ?auto_30442
      ?auto_30445
      ?auto_30433
      ?auto_30436
      ?auto_30444
      ?auto_30443
      ?auto_30438
      ?auto_30449
    )
    :precondition
    ( and ( OBJ ?auto_30431 ) ( LOCATION ?auto_30432 ) ( TRUCK ?auto_30441 ) ( LOCATION ?auto_30435 ) ( CITY ?auto_30437 ) ( IN-CITY ?auto_30435 ?auto_30437 ) ( IN-CITY ?auto_30432 ?auto_30437 ) ( DIFFERENT ?auto_30432 ?auto_30435 ) ( LOCATION ?auto_30434 ) ( CITY ?auto_30446 ) ( IN-CITY ?auto_30434 ?auto_30446 ) ( IN-CITY ?auto_30435 ?auto_30446 ) ( DIFFERENT ?auto_30435 ?auto_30434 ) ( LOCATION ?auto_30447 ) ( CITY ?auto_30442 ) ( IN-CITY ?auto_30447 ?auto_30442 ) ( IN-CITY ?auto_30434 ?auto_30442 ) ( DIFFERENT ?auto_30434 ?auto_30447 ) ( LOCATION ?auto_30445 ) ( CITY ?auto_30433 ) ( AT ?auto_30441 ?auto_30445 ) ( IN-CITY ?auto_30445 ?auto_30433 ) ( IN-CITY ?auto_30447 ?auto_30433 ) ( DIFFERENT ?auto_30447 ?auto_30445 ) ( LOCATION ?auto_30436 ) ( AT ?auto_30441 ?auto_30436 ) ( AIRPLANE ?auto_30444 ) ( AIRPORT ?auto_30443 ) ( AIRPORT ?auto_30436 ) ( DIFFERENT ?auto_30436 ?auto_30443 ) ( LOCATION ?auto_30443 ) ( AT ?auto_30431 ?auto_30443 ) ( AIRPORT ?auto_30438 ) ( DIFFERENT ?auto_30443 ?auto_30438 ) ( AIRPORT ?auto_30449 ) ( AT ?auto_30444 ?auto_30449 ) ( DIFFERENT ?auto_30438 ?auto_30449 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_30444 ?auto_30449 ?auto_30438 )
      ( DELIVER-PKG ?auto_30431 ?auto_30432 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30505
      ?auto_30506
    )
    :vars
    (
      ?auto_30515
      ?auto_30511
      ?auto_30513
      ?auto_30508
      ?auto_30520
      ?auto_30521
      ?auto_30516
      ?auto_30519
      ?auto_30510
      ?auto_30512
      ?auto_30518
      ?auto_30517
      ?auto_30514
      ?auto_30522
      ?auto_30524
    )
    :precondition
    ( and ( OBJ ?auto_30505 ) ( LOCATION ?auto_30506 ) ( TRUCK ?auto_30515 ) ( LOCATION ?auto_30511 ) ( CITY ?auto_30513 ) ( IN-CITY ?auto_30511 ?auto_30513 ) ( IN-CITY ?auto_30506 ?auto_30513 ) ( DIFFERENT ?auto_30506 ?auto_30511 ) ( LOCATION ?auto_30508 ) ( CITY ?auto_30520 ) ( IN-CITY ?auto_30508 ?auto_30520 ) ( IN-CITY ?auto_30511 ?auto_30520 ) ( DIFFERENT ?auto_30511 ?auto_30508 ) ( LOCATION ?auto_30521 ) ( CITY ?auto_30516 ) ( IN-CITY ?auto_30521 ?auto_30516 ) ( IN-CITY ?auto_30508 ?auto_30516 ) ( DIFFERENT ?auto_30508 ?auto_30521 ) ( LOCATION ?auto_30519 ) ( CITY ?auto_30510 ) ( AT ?auto_30515 ?auto_30519 ) ( IN-CITY ?auto_30519 ?auto_30510 ) ( IN-CITY ?auto_30521 ?auto_30510 ) ( DIFFERENT ?auto_30521 ?auto_30519 ) ( LOCATION ?auto_30512 ) ( AT ?auto_30515 ?auto_30512 ) ( AIRPLANE ?auto_30518 ) ( AIRPORT ?auto_30517 ) ( AIRPORT ?auto_30512 ) ( DIFFERENT ?auto_30512 ?auto_30517 ) ( LOCATION ?auto_30517 ) ( AIRPORT ?auto_30514 ) ( DIFFERENT ?auto_30517 ?auto_30514 ) ( AIRPORT ?auto_30522 ) ( AT ?auto_30518 ?auto_30522 ) ( DIFFERENT ?auto_30514 ?auto_30522 ) ( TRUCK ?auto_30524 ) ( AT ?auto_30524 ?auto_30517 ) ( IN ?auto_30505 ?auto_30524 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30505 ?auto_30517 )
      ( DELIVER-PKG ?auto_30505 ?auto_30506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30545
      ?auto_30546
    )
    :vars
    (
      ?auto_30555
      ?auto_30551
      ?auto_30553
      ?auto_30549
      ?auto_30561
      ?auto_30562
      ?auto_30556
      ?auto_30560
      ?auto_30550
      ?auto_30552
      ?auto_30559
      ?auto_30557
      ?auto_30554
      ?auto_30563
      ?auto_30558
      ?auto_30566
      ?auto_30565
    )
    :precondition
    ( and ( OBJ ?auto_30545 ) ( LOCATION ?auto_30546 ) ( TRUCK ?auto_30555 ) ( LOCATION ?auto_30551 ) ( CITY ?auto_30553 ) ( IN-CITY ?auto_30551 ?auto_30553 ) ( IN-CITY ?auto_30546 ?auto_30553 ) ( DIFFERENT ?auto_30546 ?auto_30551 ) ( LOCATION ?auto_30549 ) ( CITY ?auto_30561 ) ( IN-CITY ?auto_30549 ?auto_30561 ) ( IN-CITY ?auto_30551 ?auto_30561 ) ( DIFFERENT ?auto_30551 ?auto_30549 ) ( LOCATION ?auto_30562 ) ( CITY ?auto_30556 ) ( IN-CITY ?auto_30562 ?auto_30556 ) ( IN-CITY ?auto_30549 ?auto_30556 ) ( DIFFERENT ?auto_30549 ?auto_30562 ) ( LOCATION ?auto_30560 ) ( CITY ?auto_30550 ) ( AT ?auto_30555 ?auto_30560 ) ( IN-CITY ?auto_30560 ?auto_30550 ) ( IN-CITY ?auto_30562 ?auto_30550 ) ( DIFFERENT ?auto_30562 ?auto_30560 ) ( LOCATION ?auto_30552 ) ( AT ?auto_30555 ?auto_30552 ) ( AIRPLANE ?auto_30559 ) ( AIRPORT ?auto_30557 ) ( AIRPORT ?auto_30552 ) ( DIFFERENT ?auto_30552 ?auto_30557 ) ( LOCATION ?auto_30557 ) ( AIRPORT ?auto_30554 ) ( DIFFERENT ?auto_30557 ?auto_30554 ) ( AIRPORT ?auto_30563 ) ( AT ?auto_30559 ?auto_30563 ) ( DIFFERENT ?auto_30554 ?auto_30563 ) ( TRUCK ?auto_30558 ) ( IN ?auto_30545 ?auto_30558 ) ( LOCATION ?auto_30566 ) ( CITY ?auto_30565 ) ( AT ?auto_30558 ?auto_30566 ) ( IN-CITY ?auto_30566 ?auto_30565 ) ( IN-CITY ?auto_30557 ?auto_30565 ) ( DIFFERENT ?auto_30557 ?auto_30566 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30558 ?auto_30566 ?auto_30557 ?auto_30565 )
      ( DELIVER-PKG ?auto_30545 ?auto_30546 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30568
      ?auto_30569
    )
    :vars
    (
      ?auto_30577
      ?auto_30585
      ?auto_30575
      ?auto_30570
      ?auto_30583
      ?auto_30571
      ?auto_30578
      ?auto_30574
      ?auto_30586
      ?auto_30581
      ?auto_30579
      ?auto_30576
      ?auto_30572
      ?auto_30580
      ?auto_30588
      ?auto_30573
      ?auto_30591
      ?auto_30590
    )
    :precondition
    ( and ( OBJ ?auto_30568 ) ( LOCATION ?auto_30569 ) ( TRUCK ?auto_30577 ) ( LOCATION ?auto_30585 ) ( CITY ?auto_30575 ) ( IN-CITY ?auto_30585 ?auto_30575 ) ( IN-CITY ?auto_30569 ?auto_30575 ) ( DIFFERENT ?auto_30569 ?auto_30585 ) ( LOCATION ?auto_30570 ) ( CITY ?auto_30583 ) ( IN-CITY ?auto_30570 ?auto_30583 ) ( IN-CITY ?auto_30585 ?auto_30583 ) ( DIFFERENT ?auto_30585 ?auto_30570 ) ( LOCATION ?auto_30571 ) ( CITY ?auto_30578 ) ( IN-CITY ?auto_30571 ?auto_30578 ) ( IN-CITY ?auto_30570 ?auto_30578 ) ( DIFFERENT ?auto_30570 ?auto_30571 ) ( LOCATION ?auto_30574 ) ( CITY ?auto_30586 ) ( IN-CITY ?auto_30574 ?auto_30586 ) ( IN-CITY ?auto_30571 ?auto_30586 ) ( DIFFERENT ?auto_30571 ?auto_30574 ) ( AIRPLANE ?auto_30581 ) ( AIRPORT ?auto_30579 ) ( AIRPORT ?auto_30574 ) ( DIFFERENT ?auto_30574 ?auto_30579 ) ( LOCATION ?auto_30579 ) ( AIRPORT ?auto_30576 ) ( DIFFERENT ?auto_30579 ?auto_30576 ) ( AIRPORT ?auto_30572 ) ( AT ?auto_30581 ?auto_30572 ) ( DIFFERENT ?auto_30576 ?auto_30572 ) ( TRUCK ?auto_30580 ) ( IN ?auto_30568 ?auto_30580 ) ( LOCATION ?auto_30588 ) ( CITY ?auto_30573 ) ( AT ?auto_30580 ?auto_30588 ) ( IN-CITY ?auto_30588 ?auto_30573 ) ( IN-CITY ?auto_30579 ?auto_30573 ) ( DIFFERENT ?auto_30579 ?auto_30588 ) ( LOCATION ?auto_30591 ) ( CITY ?auto_30590 ) ( AT ?auto_30577 ?auto_30591 ) ( IN-CITY ?auto_30591 ?auto_30590 ) ( IN-CITY ?auto_30574 ?auto_30590 ) ( DIFFERENT ?auto_30574 ?auto_30591 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30577 ?auto_30591 ?auto_30574 ?auto_30590 )
      ( DELIVER-PKG ?auto_30568 ?auto_30569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30593
      ?auto_30594
    )
    :vars
    (
      ?auto_30597
      ?auto_30611
      ?auto_30596
      ?auto_30605
      ?auto_30603
      ?auto_30613
      ?auto_30600
      ?auto_30601
      ?auto_30598
      ?auto_30609
      ?auto_30602
      ?auto_30595
      ?auto_30612
      ?auto_30607
      ?auto_30608
      ?auto_30614
      ?auto_30606
      ?auto_30599
      ?auto_30616
    )
    :precondition
    ( and ( OBJ ?auto_30593 ) ( LOCATION ?auto_30594 ) ( TRUCK ?auto_30597 ) ( LOCATION ?auto_30611 ) ( CITY ?auto_30596 ) ( IN-CITY ?auto_30611 ?auto_30596 ) ( IN-CITY ?auto_30594 ?auto_30596 ) ( DIFFERENT ?auto_30594 ?auto_30611 ) ( LOCATION ?auto_30605 ) ( CITY ?auto_30603 ) ( IN-CITY ?auto_30605 ?auto_30603 ) ( IN-CITY ?auto_30611 ?auto_30603 ) ( DIFFERENT ?auto_30611 ?auto_30605 ) ( LOCATION ?auto_30613 ) ( CITY ?auto_30600 ) ( IN-CITY ?auto_30613 ?auto_30600 ) ( IN-CITY ?auto_30605 ?auto_30600 ) ( DIFFERENT ?auto_30605 ?auto_30613 ) ( LOCATION ?auto_30601 ) ( CITY ?auto_30598 ) ( IN-CITY ?auto_30601 ?auto_30598 ) ( IN-CITY ?auto_30613 ?auto_30598 ) ( DIFFERENT ?auto_30613 ?auto_30601 ) ( AIRPLANE ?auto_30609 ) ( AIRPORT ?auto_30602 ) ( AIRPORT ?auto_30601 ) ( DIFFERENT ?auto_30601 ?auto_30602 ) ( LOCATION ?auto_30602 ) ( AIRPORT ?auto_30595 ) ( DIFFERENT ?auto_30602 ?auto_30595 ) ( AIRPORT ?auto_30612 ) ( AT ?auto_30609 ?auto_30612 ) ( DIFFERENT ?auto_30595 ?auto_30612 ) ( TRUCK ?auto_30607 ) ( LOCATION ?auto_30608 ) ( CITY ?auto_30614 ) ( AT ?auto_30607 ?auto_30608 ) ( IN-CITY ?auto_30608 ?auto_30614 ) ( IN-CITY ?auto_30602 ?auto_30614 ) ( DIFFERENT ?auto_30602 ?auto_30608 ) ( LOCATION ?auto_30606 ) ( CITY ?auto_30599 ) ( AT ?auto_30597 ?auto_30606 ) ( IN-CITY ?auto_30606 ?auto_30599 ) ( IN-CITY ?auto_30601 ?auto_30599 ) ( DIFFERENT ?auto_30601 ?auto_30606 ) ( LOCATION ?auto_30616 ) ( AT ?auto_30607 ?auto_30616 ) ( AT ?auto_30593 ?auto_30616 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30593 ?auto_30607 ?auto_30616 )
      ( DELIVER-PKG ?auto_30593 ?auto_30594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30641
      ?auto_30642
    )
    :vars
    (
      ?auto_30649
      ?auto_30660
      ?auto_30648
      ?auto_30654
      ?auto_30653
      ?auto_30662
      ?auto_30650
      ?auto_30651
      ?auto_30647
      ?auto_30658
      ?auto_30652
      ?auto_30646
      ?auto_30661
      ?auto_30656
      ?auto_30659
      ?auto_30663
      ?auto_30655
      ?auto_30644
      ?auto_30666
      ?auto_30665
    )
    :precondition
    ( and ( OBJ ?auto_30641 ) ( LOCATION ?auto_30642 ) ( TRUCK ?auto_30649 ) ( LOCATION ?auto_30660 ) ( CITY ?auto_30648 ) ( IN-CITY ?auto_30660 ?auto_30648 ) ( IN-CITY ?auto_30642 ?auto_30648 ) ( DIFFERENT ?auto_30642 ?auto_30660 ) ( LOCATION ?auto_30654 ) ( CITY ?auto_30653 ) ( IN-CITY ?auto_30654 ?auto_30653 ) ( IN-CITY ?auto_30660 ?auto_30653 ) ( DIFFERENT ?auto_30660 ?auto_30654 ) ( LOCATION ?auto_30662 ) ( CITY ?auto_30650 ) ( IN-CITY ?auto_30662 ?auto_30650 ) ( IN-CITY ?auto_30654 ?auto_30650 ) ( DIFFERENT ?auto_30654 ?auto_30662 ) ( LOCATION ?auto_30651 ) ( CITY ?auto_30647 ) ( IN-CITY ?auto_30651 ?auto_30647 ) ( IN-CITY ?auto_30662 ?auto_30647 ) ( DIFFERENT ?auto_30662 ?auto_30651 ) ( AIRPLANE ?auto_30658 ) ( AIRPORT ?auto_30652 ) ( AIRPORT ?auto_30651 ) ( DIFFERENT ?auto_30651 ?auto_30652 ) ( LOCATION ?auto_30652 ) ( AIRPORT ?auto_30646 ) ( DIFFERENT ?auto_30652 ?auto_30646 ) ( AIRPORT ?auto_30661 ) ( AT ?auto_30658 ?auto_30661 ) ( DIFFERENT ?auto_30646 ?auto_30661 ) ( TRUCK ?auto_30656 ) ( LOCATION ?auto_30659 ) ( CITY ?auto_30663 ) ( IN-CITY ?auto_30659 ?auto_30663 ) ( IN-CITY ?auto_30652 ?auto_30663 ) ( DIFFERENT ?auto_30652 ?auto_30659 ) ( LOCATION ?auto_30655 ) ( CITY ?auto_30644 ) ( AT ?auto_30649 ?auto_30655 ) ( IN-CITY ?auto_30655 ?auto_30644 ) ( IN-CITY ?auto_30651 ?auto_30644 ) ( DIFFERENT ?auto_30651 ?auto_30655 ) ( AT ?auto_30641 ?auto_30659 ) ( LOCATION ?auto_30666 ) ( CITY ?auto_30665 ) ( AT ?auto_30656 ?auto_30666 ) ( IN-CITY ?auto_30666 ?auto_30665 ) ( IN-CITY ?auto_30659 ?auto_30665 ) ( DIFFERENT ?auto_30659 ?auto_30666 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30656 ?auto_30666 ?auto_30659 ?auto_30665 )
      ( DELIVER-PKG ?auto_30641 ?auto_30642 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30668
      ?auto_30669
    )
    :vars
    (
      ?auto_30677
      ?auto_30687
      ?auto_30672
      ?auto_30682
      ?auto_30681
      ?auto_30674
      ?auto_30678
      ?auto_30679
      ?auto_30676
      ?auto_30685
      ?auto_30680
      ?auto_30690
      ?auto_30689
      ?auto_30684
      ?auto_30686
      ?auto_30675
      ?auto_30683
      ?auto_30670
      ?auto_30671
      ?auto_30688
      ?auto_30693
    )
    :precondition
    ( and ( OBJ ?auto_30668 ) ( LOCATION ?auto_30669 ) ( TRUCK ?auto_30677 ) ( LOCATION ?auto_30687 ) ( CITY ?auto_30672 ) ( IN-CITY ?auto_30687 ?auto_30672 ) ( IN-CITY ?auto_30669 ?auto_30672 ) ( DIFFERENT ?auto_30669 ?auto_30687 ) ( LOCATION ?auto_30682 ) ( CITY ?auto_30681 ) ( IN-CITY ?auto_30682 ?auto_30681 ) ( IN-CITY ?auto_30687 ?auto_30681 ) ( DIFFERENT ?auto_30687 ?auto_30682 ) ( LOCATION ?auto_30674 ) ( CITY ?auto_30678 ) ( IN-CITY ?auto_30674 ?auto_30678 ) ( IN-CITY ?auto_30682 ?auto_30678 ) ( DIFFERENT ?auto_30682 ?auto_30674 ) ( LOCATION ?auto_30679 ) ( CITY ?auto_30676 ) ( IN-CITY ?auto_30679 ?auto_30676 ) ( IN-CITY ?auto_30674 ?auto_30676 ) ( DIFFERENT ?auto_30674 ?auto_30679 ) ( AIRPLANE ?auto_30685 ) ( AIRPORT ?auto_30680 ) ( AIRPORT ?auto_30679 ) ( DIFFERENT ?auto_30679 ?auto_30680 ) ( LOCATION ?auto_30680 ) ( AIRPORT ?auto_30690 ) ( DIFFERENT ?auto_30680 ?auto_30690 ) ( AIRPORT ?auto_30689 ) ( DIFFERENT ?auto_30690 ?auto_30689 ) ( TRUCK ?auto_30684 ) ( LOCATION ?auto_30686 ) ( CITY ?auto_30675 ) ( IN-CITY ?auto_30686 ?auto_30675 ) ( IN-CITY ?auto_30680 ?auto_30675 ) ( DIFFERENT ?auto_30680 ?auto_30686 ) ( LOCATION ?auto_30683 ) ( CITY ?auto_30670 ) ( AT ?auto_30677 ?auto_30683 ) ( IN-CITY ?auto_30683 ?auto_30670 ) ( IN-CITY ?auto_30679 ?auto_30670 ) ( DIFFERENT ?auto_30679 ?auto_30683 ) ( AT ?auto_30668 ?auto_30686 ) ( LOCATION ?auto_30671 ) ( CITY ?auto_30688 ) ( AT ?auto_30684 ?auto_30671 ) ( IN-CITY ?auto_30671 ?auto_30688 ) ( IN-CITY ?auto_30686 ?auto_30688 ) ( DIFFERENT ?auto_30686 ?auto_30671 ) ( AIRPORT ?auto_30693 ) ( AT ?auto_30685 ?auto_30693 ) ( DIFFERENT ?auto_30689 ?auto_30693 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_30685 ?auto_30693 ?auto_30689 )
      ( DELIVER-PKG ?auto_30668 ?auto_30669 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30695
      ?auto_30696
    )
    :vars
    (
      ?auto_30705
      ?auto_30716
      ?auto_30700
      ?auto_30710
      ?auto_30709
      ?auto_30702
      ?auto_30706
      ?auto_30707
      ?auto_30704
      ?auto_30713
      ?auto_30708
      ?auto_30719
      ?auto_30718
      ?auto_30712
      ?auto_30715
      ?auto_30703
      ?auto_30711
      ?auto_30699
      ?auto_30701
      ?auto_30717
      ?auto_30714
      ?auto_30722
      ?auto_30721
    )
    :precondition
    ( and ( OBJ ?auto_30695 ) ( LOCATION ?auto_30696 ) ( TRUCK ?auto_30705 ) ( LOCATION ?auto_30716 ) ( CITY ?auto_30700 ) ( IN-CITY ?auto_30716 ?auto_30700 ) ( IN-CITY ?auto_30696 ?auto_30700 ) ( DIFFERENT ?auto_30696 ?auto_30716 ) ( LOCATION ?auto_30710 ) ( CITY ?auto_30709 ) ( IN-CITY ?auto_30710 ?auto_30709 ) ( IN-CITY ?auto_30716 ?auto_30709 ) ( DIFFERENT ?auto_30716 ?auto_30710 ) ( LOCATION ?auto_30702 ) ( CITY ?auto_30706 ) ( IN-CITY ?auto_30702 ?auto_30706 ) ( IN-CITY ?auto_30710 ?auto_30706 ) ( DIFFERENT ?auto_30710 ?auto_30702 ) ( LOCATION ?auto_30707 ) ( CITY ?auto_30704 ) ( IN-CITY ?auto_30707 ?auto_30704 ) ( IN-CITY ?auto_30702 ?auto_30704 ) ( DIFFERENT ?auto_30702 ?auto_30707 ) ( AIRPLANE ?auto_30713 ) ( AIRPORT ?auto_30708 ) ( AIRPORT ?auto_30707 ) ( DIFFERENT ?auto_30707 ?auto_30708 ) ( LOCATION ?auto_30708 ) ( AIRPORT ?auto_30719 ) ( DIFFERENT ?auto_30708 ?auto_30719 ) ( AIRPORT ?auto_30718 ) ( DIFFERENT ?auto_30719 ?auto_30718 ) ( TRUCK ?auto_30712 ) ( LOCATION ?auto_30715 ) ( CITY ?auto_30703 ) ( IN-CITY ?auto_30715 ?auto_30703 ) ( IN-CITY ?auto_30708 ?auto_30703 ) ( DIFFERENT ?auto_30708 ?auto_30715 ) ( LOCATION ?auto_30711 ) ( CITY ?auto_30699 ) ( IN-CITY ?auto_30711 ?auto_30699 ) ( IN-CITY ?auto_30707 ?auto_30699 ) ( DIFFERENT ?auto_30707 ?auto_30711 ) ( AT ?auto_30695 ?auto_30715 ) ( LOCATION ?auto_30701 ) ( CITY ?auto_30717 ) ( AT ?auto_30712 ?auto_30701 ) ( IN-CITY ?auto_30701 ?auto_30717 ) ( IN-CITY ?auto_30715 ?auto_30717 ) ( DIFFERENT ?auto_30715 ?auto_30701 ) ( AIRPORT ?auto_30714 ) ( AT ?auto_30713 ?auto_30714 ) ( DIFFERENT ?auto_30718 ?auto_30714 ) ( LOCATION ?auto_30722 ) ( CITY ?auto_30721 ) ( AT ?auto_30705 ?auto_30722 ) ( IN-CITY ?auto_30722 ?auto_30721 ) ( IN-CITY ?auto_30711 ?auto_30721 ) ( DIFFERENT ?auto_30711 ?auto_30722 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30705 ?auto_30722 ?auto_30711 ?auto_30721 )
      ( DELIVER-PKG ?auto_30695 ?auto_30696 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31593
      ?auto_31594
    )
    :vars
    (
      ?auto_31606
      ?auto_31608
      ?auto_31599
      ?auto_31607
      ?auto_31595
      ?auto_31605
      ?auto_31603
      ?auto_31602
      ?auto_31598
      ?auto_31597
      ?auto_31601
      ?auto_31600
      ?auto_31611
      ?auto_31610
    )
    :precondition
    ( and ( OBJ ?auto_31593 ) ( LOCATION ?auto_31594 ) ( TRUCK ?auto_31606 ) ( LOCATION ?auto_31608 ) ( CITY ?auto_31599 ) ( IN-CITY ?auto_31608 ?auto_31599 ) ( IN-CITY ?auto_31594 ?auto_31599 ) ( DIFFERENT ?auto_31594 ?auto_31608 ) ( LOCATION ?auto_31607 ) ( CITY ?auto_31595 ) ( AT ?auto_31606 ?auto_31607 ) ( IN-CITY ?auto_31607 ?auto_31595 ) ( IN-CITY ?auto_31608 ?auto_31595 ) ( DIFFERENT ?auto_31608 ?auto_31607 ) ( LOCATION ?auto_31605 ) ( AT ?auto_31606 ?auto_31605 ) ( AIRPLANE ?auto_31603 ) ( AIRPORT ?auto_31602 ) ( AIRPORT ?auto_31605 ) ( AT ?auto_31603 ?auto_31602 ) ( DIFFERENT ?auto_31605 ?auto_31602 ) ( LOCATION ?auto_31598 ) ( AT ?auto_31603 ?auto_31598 ) ( TRUCK ?auto_31597 ) ( IN ?auto_31593 ?auto_31597 ) ( LOCATION ?auto_31601 ) ( CITY ?auto_31600 ) ( IN-CITY ?auto_31601 ?auto_31600 ) ( IN-CITY ?auto_31598 ?auto_31600 ) ( DIFFERENT ?auto_31598 ?auto_31601 ) ( LOCATION ?auto_31611 ) ( CITY ?auto_31610 ) ( AT ?auto_31597 ?auto_31611 ) ( IN-CITY ?auto_31611 ?auto_31610 ) ( IN-CITY ?auto_31601 ?auto_31610 ) ( DIFFERENT ?auto_31601 ?auto_31611 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31597 ?auto_31611 ?auto_31601 ?auto_31610 )
      ( DELIVER-PKG ?auto_31593 ?auto_31594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31613
      ?auto_31614
    )
    :vars
    (
      ?auto_31624
      ?auto_31629
      ?auto_31619
      ?auto_31625
      ?auto_31627
      ?auto_31623
      ?auto_31617
      ?auto_31616
      ?auto_31618
      ?auto_31626
      ?auto_31615
      ?auto_31620
      ?auto_31622
      ?auto_31621
      ?auto_31632
    )
    :precondition
    ( and ( OBJ ?auto_31613 ) ( LOCATION ?auto_31614 ) ( TRUCK ?auto_31624 ) ( LOCATION ?auto_31629 ) ( CITY ?auto_31619 ) ( IN-CITY ?auto_31629 ?auto_31619 ) ( IN-CITY ?auto_31614 ?auto_31619 ) ( DIFFERENT ?auto_31614 ?auto_31629 ) ( LOCATION ?auto_31625 ) ( CITY ?auto_31627 ) ( AT ?auto_31624 ?auto_31625 ) ( IN-CITY ?auto_31625 ?auto_31627 ) ( IN-CITY ?auto_31629 ?auto_31627 ) ( DIFFERENT ?auto_31629 ?auto_31625 ) ( LOCATION ?auto_31623 ) ( AT ?auto_31624 ?auto_31623 ) ( AIRPLANE ?auto_31617 ) ( AIRPORT ?auto_31616 ) ( AIRPORT ?auto_31623 ) ( AT ?auto_31617 ?auto_31616 ) ( DIFFERENT ?auto_31623 ?auto_31616 ) ( LOCATION ?auto_31618 ) ( AT ?auto_31617 ?auto_31618 ) ( TRUCK ?auto_31626 ) ( LOCATION ?auto_31615 ) ( CITY ?auto_31620 ) ( IN-CITY ?auto_31615 ?auto_31620 ) ( IN-CITY ?auto_31618 ?auto_31620 ) ( DIFFERENT ?auto_31618 ?auto_31615 ) ( LOCATION ?auto_31622 ) ( CITY ?auto_31621 ) ( AT ?auto_31626 ?auto_31622 ) ( IN-CITY ?auto_31622 ?auto_31621 ) ( IN-CITY ?auto_31615 ?auto_31621 ) ( DIFFERENT ?auto_31615 ?auto_31622 ) ( LOCATION ?auto_31632 ) ( AT ?auto_31626 ?auto_31632 ) ( AT ?auto_31613 ?auto_31632 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_31613 ?auto_31626 ?auto_31632 )
      ( DELIVER-PKG ?auto_31613 ?auto_31614 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31634
      ?auto_31635
    )
    :vars
    (
      ?auto_31647
      ?auto_31651
      ?auto_31643
      ?auto_31648
      ?auto_31650
      ?auto_31646
      ?auto_31642
      ?auto_31641
      ?auto_31649
      ?auto_31636
      ?auto_31639
      ?auto_31645
      ?auto_31644
      ?auto_31652
      ?auto_31654
    )
    :precondition
    ( and ( OBJ ?auto_31634 ) ( LOCATION ?auto_31635 ) ( TRUCK ?auto_31647 ) ( LOCATION ?auto_31651 ) ( CITY ?auto_31643 ) ( IN-CITY ?auto_31651 ?auto_31643 ) ( IN-CITY ?auto_31635 ?auto_31643 ) ( DIFFERENT ?auto_31635 ?auto_31651 ) ( LOCATION ?auto_31648 ) ( CITY ?auto_31650 ) ( AT ?auto_31647 ?auto_31648 ) ( IN-CITY ?auto_31648 ?auto_31650 ) ( IN-CITY ?auto_31651 ?auto_31650 ) ( DIFFERENT ?auto_31651 ?auto_31648 ) ( LOCATION ?auto_31646 ) ( AT ?auto_31647 ?auto_31646 ) ( AIRPLANE ?auto_31642 ) ( AIRPORT ?auto_31641 ) ( AIRPORT ?auto_31646 ) ( DIFFERENT ?auto_31646 ?auto_31641 ) ( LOCATION ?auto_31641 ) ( TRUCK ?auto_31649 ) ( LOCATION ?auto_31636 ) ( CITY ?auto_31639 ) ( IN-CITY ?auto_31636 ?auto_31639 ) ( IN-CITY ?auto_31641 ?auto_31639 ) ( DIFFERENT ?auto_31641 ?auto_31636 ) ( LOCATION ?auto_31645 ) ( CITY ?auto_31644 ) ( AT ?auto_31649 ?auto_31645 ) ( IN-CITY ?auto_31645 ?auto_31644 ) ( IN-CITY ?auto_31636 ?auto_31644 ) ( DIFFERENT ?auto_31636 ?auto_31645 ) ( LOCATION ?auto_31652 ) ( AT ?auto_31649 ?auto_31652 ) ( AT ?auto_31634 ?auto_31652 ) ( AIRPORT ?auto_31654 ) ( AT ?auto_31642 ?auto_31654 ) ( DIFFERENT ?auto_31641 ?auto_31654 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_31642 ?auto_31654 ?auto_31641 )
      ( DELIVER-PKG ?auto_31634 ?auto_31635 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32278
      ?auto_32279
    )
    :vars
    (
      ?auto_32289
      ?auto_32287
      ?auto_32282
      ?auto_32286
      ?auto_32281
      ?auto_32280
      ?auto_32283
      ?auto_32285
      ?auto_32284
      ?auto_32290
      ?auto_32294
    )
    :precondition
    ( and ( OBJ ?auto_32278 ) ( LOCATION ?auto_32279 ) ( TRUCK ?auto_32289 ) ( LOCATION ?auto_32287 ) ( CITY ?auto_32282 ) ( AT ?auto_32289 ?auto_32287 ) ( IN-CITY ?auto_32287 ?auto_32282 ) ( IN-CITY ?auto_32279 ?auto_32282 ) ( DIFFERENT ?auto_32279 ?auto_32287 ) ( LOCATION ?auto_32286 ) ( AT ?auto_32289 ?auto_32286 ) ( AIRPLANE ?auto_32281 ) ( AIRPORT ?auto_32280 ) ( AIRPORT ?auto_32286 ) ( DIFFERENT ?auto_32286 ?auto_32280 ) ( LOCATION ?auto_32280 ) ( TRUCK ?auto_32283 ) ( LOCATION ?auto_32285 ) ( CITY ?auto_32284 ) ( AT ?auto_32283 ?auto_32285 ) ( IN-CITY ?auto_32285 ?auto_32284 ) ( IN-CITY ?auto_32280 ?auto_32284 ) ( DIFFERENT ?auto_32280 ?auto_32285 ) ( LOCATION ?auto_32290 ) ( AT ?auto_32283 ?auto_32290 ) ( AT ?auto_32278 ?auto_32290 ) ( AIRPORT ?auto_32294 ) ( AT ?auto_32281 ?auto_32294 ) ( DIFFERENT ?auto_32280 ?auto_32294 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32281 ?auto_32294 ?auto_32280 )
      ( DELIVER-PKG ?auto_32278 ?auto_32279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33483
      ?auto_33484
    )
    :vars
    (
      ?auto_33486
      ?auto_33487
      ?auto_33493
      ?auto_33494
      ?auto_33489
      ?auto_33488
      ?auto_33491
      ?auto_33490
      ?auto_33497
      ?auto_33496
    )
    :precondition
    ( and ( OBJ ?auto_33483 ) ( LOCATION ?auto_33484 ) ( AIRPLANE ?auto_33486 ) ( AIRPORT ?auto_33487 ) ( AIRPORT ?auto_33484 ) ( AT ?auto_33486 ?auto_33487 ) ( DIFFERENT ?auto_33484 ?auto_33487 ) ( LOCATION ?auto_33493 ) ( AT ?auto_33486 ?auto_33493 ) ( TRUCK ?auto_33494 ) ( IN ?auto_33483 ?auto_33494 ) ( LOCATION ?auto_33489 ) ( CITY ?auto_33488 ) ( IN-CITY ?auto_33489 ?auto_33488 ) ( IN-CITY ?auto_33493 ?auto_33488 ) ( DIFFERENT ?auto_33493 ?auto_33489 ) ( LOCATION ?auto_33491 ) ( CITY ?auto_33490 ) ( IN-CITY ?auto_33491 ?auto_33490 ) ( IN-CITY ?auto_33489 ?auto_33490 ) ( DIFFERENT ?auto_33489 ?auto_33491 ) ( LOCATION ?auto_33497 ) ( CITY ?auto_33496 ) ( AT ?auto_33494 ?auto_33497 ) ( IN-CITY ?auto_33497 ?auto_33496 ) ( IN-CITY ?auto_33491 ?auto_33496 ) ( DIFFERENT ?auto_33491 ?auto_33497 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33494 ?auto_33497 ?auto_33491 ?auto_33496 )
      ( DELIVER-PKG ?auto_33483 ?auto_33484 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33499
      ?auto_33500
    )
    :vars
    (
      ?auto_33511
      ?auto_33502
      ?auto_33507
      ?auto_33508
      ?auto_33504
      ?auto_33503
      ?auto_33506
      ?auto_33505
      ?auto_33510
      ?auto_33509
      ?auto_33515
      ?auto_33514
    )
    :precondition
    ( and ( OBJ ?auto_33499 ) ( LOCATION ?auto_33500 ) ( AIRPLANE ?auto_33511 ) ( AIRPORT ?auto_33502 ) ( AIRPORT ?auto_33500 ) ( AT ?auto_33511 ?auto_33502 ) ( DIFFERENT ?auto_33500 ?auto_33502 ) ( LOCATION ?auto_33507 ) ( AT ?auto_33511 ?auto_33507 ) ( TRUCK ?auto_33508 ) ( IN ?auto_33499 ?auto_33508 ) ( LOCATION ?auto_33504 ) ( CITY ?auto_33503 ) ( IN-CITY ?auto_33504 ?auto_33503 ) ( IN-CITY ?auto_33507 ?auto_33503 ) ( DIFFERENT ?auto_33507 ?auto_33504 ) ( LOCATION ?auto_33506 ) ( CITY ?auto_33505 ) ( IN-CITY ?auto_33506 ?auto_33505 ) ( IN-CITY ?auto_33504 ?auto_33505 ) ( DIFFERENT ?auto_33504 ?auto_33506 ) ( LOCATION ?auto_33510 ) ( CITY ?auto_33509 ) ( IN-CITY ?auto_33510 ?auto_33509 ) ( IN-CITY ?auto_33506 ?auto_33509 ) ( DIFFERENT ?auto_33506 ?auto_33510 ) ( LOCATION ?auto_33515 ) ( CITY ?auto_33514 ) ( AT ?auto_33508 ?auto_33515 ) ( IN-CITY ?auto_33515 ?auto_33514 ) ( IN-CITY ?auto_33510 ?auto_33514 ) ( DIFFERENT ?auto_33510 ?auto_33515 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33508 ?auto_33515 ?auto_33510 ?auto_33514 )
      ( DELIVER-PKG ?auto_33499 ?auto_33500 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33533
      ?auto_33534
    )
    :vars
    (
      ?auto_33546
      ?auto_33538
      ?auto_33542
      ?auto_33543
      ?auto_33535
      ?auto_33539
      ?auto_33541
      ?auto_33540
      ?auto_33545
      ?auto_33544
      ?auto_33548
      ?auto_33547
      ?auto_33550
    )
    :precondition
    ( and ( OBJ ?auto_33533 ) ( LOCATION ?auto_33534 ) ( AIRPLANE ?auto_33546 ) ( AIRPORT ?auto_33538 ) ( AIRPORT ?auto_33534 ) ( AT ?auto_33546 ?auto_33538 ) ( DIFFERENT ?auto_33534 ?auto_33538 ) ( LOCATION ?auto_33542 ) ( AT ?auto_33546 ?auto_33542 ) ( TRUCK ?auto_33543 ) ( LOCATION ?auto_33535 ) ( CITY ?auto_33539 ) ( IN-CITY ?auto_33535 ?auto_33539 ) ( IN-CITY ?auto_33542 ?auto_33539 ) ( DIFFERENT ?auto_33542 ?auto_33535 ) ( LOCATION ?auto_33541 ) ( CITY ?auto_33540 ) ( IN-CITY ?auto_33541 ?auto_33540 ) ( IN-CITY ?auto_33535 ?auto_33540 ) ( DIFFERENT ?auto_33535 ?auto_33541 ) ( LOCATION ?auto_33545 ) ( CITY ?auto_33544 ) ( IN-CITY ?auto_33545 ?auto_33544 ) ( IN-CITY ?auto_33541 ?auto_33544 ) ( DIFFERENT ?auto_33541 ?auto_33545 ) ( LOCATION ?auto_33548 ) ( CITY ?auto_33547 ) ( AT ?auto_33543 ?auto_33548 ) ( IN-CITY ?auto_33548 ?auto_33547 ) ( IN-CITY ?auto_33545 ?auto_33547 ) ( DIFFERENT ?auto_33545 ?auto_33548 ) ( LOCATION ?auto_33550 ) ( AT ?auto_33543 ?auto_33550 ) ( AT ?auto_33533 ?auto_33550 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_33533 ?auto_33543 ?auto_33550 )
      ( DELIVER-PKG ?auto_33533 ?auto_33534 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33569
      ?auto_33570
    )
    :vars
    (
      ?auto_33582
      ?auto_33572
      ?auto_33578
      ?auto_33579
      ?auto_33583
      ?auto_33575
      ?auto_33577
      ?auto_33576
      ?auto_33581
      ?auto_33580
      ?auto_33585
      ?auto_33573
      ?auto_33588
      ?auto_33587
    )
    :precondition
    ( and ( OBJ ?auto_33569 ) ( LOCATION ?auto_33570 ) ( AIRPLANE ?auto_33582 ) ( AIRPORT ?auto_33572 ) ( AIRPORT ?auto_33570 ) ( AT ?auto_33582 ?auto_33572 ) ( DIFFERENT ?auto_33570 ?auto_33572 ) ( LOCATION ?auto_33578 ) ( AT ?auto_33582 ?auto_33578 ) ( TRUCK ?auto_33579 ) ( LOCATION ?auto_33583 ) ( CITY ?auto_33575 ) ( IN-CITY ?auto_33583 ?auto_33575 ) ( IN-CITY ?auto_33578 ?auto_33575 ) ( DIFFERENT ?auto_33578 ?auto_33583 ) ( LOCATION ?auto_33577 ) ( CITY ?auto_33576 ) ( IN-CITY ?auto_33577 ?auto_33576 ) ( IN-CITY ?auto_33583 ?auto_33576 ) ( DIFFERENT ?auto_33583 ?auto_33577 ) ( LOCATION ?auto_33581 ) ( CITY ?auto_33580 ) ( IN-CITY ?auto_33581 ?auto_33580 ) ( IN-CITY ?auto_33577 ?auto_33580 ) ( DIFFERENT ?auto_33577 ?auto_33581 ) ( LOCATION ?auto_33585 ) ( CITY ?auto_33573 ) ( IN-CITY ?auto_33585 ?auto_33573 ) ( IN-CITY ?auto_33581 ?auto_33573 ) ( DIFFERENT ?auto_33581 ?auto_33585 ) ( AT ?auto_33569 ?auto_33585 ) ( LOCATION ?auto_33588 ) ( CITY ?auto_33587 ) ( AT ?auto_33579 ?auto_33588 ) ( IN-CITY ?auto_33588 ?auto_33587 ) ( IN-CITY ?auto_33585 ?auto_33587 ) ( DIFFERENT ?auto_33585 ?auto_33588 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33579 ?auto_33588 ?auto_33585 ?auto_33587 )
      ( DELIVER-PKG ?auto_33569 ?auto_33570 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33668
      ?auto_33669
    )
    :vars
    (
      ?auto_33671
      ?auto_33672
      ?auto_33673
      ?auto_33674
      ?auto_33677
    )
    :precondition
    ( and ( OBJ ?auto_33668 ) ( LOCATION ?auto_33669 ) ( AIRPLANE ?auto_33671 ) ( AIRPORT ?auto_33672 ) ( AIRPORT ?auto_33669 ) ( AT ?auto_33671 ?auto_33672 ) ( DIFFERENT ?auto_33669 ?auto_33672 ) ( LOCATION ?auto_33673 ) ( AT ?auto_33671 ?auto_33673 ) ( AIRPLANE ?auto_33674 ) ( IN ?auto_33668 ?auto_33674 ) ( AIRPORT ?auto_33677 ) ( AIRPORT ?auto_33673 ) ( AT ?auto_33674 ?auto_33677 ) ( DIFFERENT ?auto_33673 ?auto_33677 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33674 ?auto_33677 ?auto_33673 )
      ( DELIVER-PKG ?auto_33668 ?auto_33669 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33688
      ?auto_33689
    )
    :vars
    (
      ?auto_33691
      ?auto_33692
      ?auto_33694
      ?auto_33695
      ?auto_33696
      ?auto_33698
    )
    :precondition
    ( and ( OBJ ?auto_33688 ) ( LOCATION ?auto_33689 ) ( AIRPLANE ?auto_33691 ) ( AIRPORT ?auto_33692 ) ( AIRPORT ?auto_33689 ) ( AT ?auto_33691 ?auto_33692 ) ( DIFFERENT ?auto_33689 ?auto_33692 ) ( LOCATION ?auto_33694 ) ( AT ?auto_33691 ?auto_33694 ) ( AIRPLANE ?auto_33695 ) ( AIRPORT ?auto_33696 ) ( AIRPORT ?auto_33694 ) ( AT ?auto_33695 ?auto_33696 ) ( DIFFERENT ?auto_33694 ?auto_33696 ) ( LOCATION ?auto_33698 ) ( AT ?auto_33688 ?auto_33698 ) ( AT ?auto_33695 ?auto_33698 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_33688 ?auto_33695 ?auto_33698 )
      ( DELIVER-PKG ?auto_33688 ?auto_33689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33710
      ?auto_33711
    )
    :vars
    (
      ?auto_33714
      ?auto_33716
      ?auto_33715
      ?auto_33712
      ?auto_33713
      ?auto_33719
      ?auto_33720
    )
    :precondition
    ( and ( OBJ ?auto_33710 ) ( LOCATION ?auto_33711 ) ( AIRPLANE ?auto_33714 ) ( AIRPORT ?auto_33716 ) ( AIRPORT ?auto_33711 ) ( AT ?auto_33714 ?auto_33716 ) ( DIFFERENT ?auto_33711 ?auto_33716 ) ( LOCATION ?auto_33715 ) ( AT ?auto_33714 ?auto_33715 ) ( AIRPLANE ?auto_33712 ) ( AIRPORT ?auto_33713 ) ( AIRPORT ?auto_33715 ) ( AT ?auto_33712 ?auto_33713 ) ( DIFFERENT ?auto_33715 ?auto_33713 ) ( LOCATION ?auto_33719 ) ( AT ?auto_33712 ?auto_33719 ) ( TRUCK ?auto_33720 ) ( AT ?auto_33720 ?auto_33719 ) ( IN ?auto_33710 ?auto_33720 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_33710 ?auto_33719 )
      ( DELIVER-PKG ?auto_33710 ?auto_33711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33723
      ?auto_33724
    )
    :vars
    (
      ?auto_33726
      ?auto_33732
      ?auto_33731
      ?auto_33730
      ?auto_33733
      ?auto_33728
      ?auto_33725
      ?auto_33736
      ?auto_33735
    )
    :precondition
    ( and ( OBJ ?auto_33723 ) ( LOCATION ?auto_33724 ) ( AIRPLANE ?auto_33726 ) ( AIRPORT ?auto_33732 ) ( AIRPORT ?auto_33724 ) ( AT ?auto_33726 ?auto_33732 ) ( DIFFERENT ?auto_33724 ?auto_33732 ) ( LOCATION ?auto_33731 ) ( AT ?auto_33726 ?auto_33731 ) ( AIRPLANE ?auto_33730 ) ( AIRPORT ?auto_33733 ) ( AIRPORT ?auto_33731 ) ( AT ?auto_33730 ?auto_33733 ) ( DIFFERENT ?auto_33731 ?auto_33733 ) ( LOCATION ?auto_33728 ) ( AT ?auto_33730 ?auto_33728 ) ( TRUCK ?auto_33725 ) ( IN ?auto_33723 ?auto_33725 ) ( LOCATION ?auto_33736 ) ( CITY ?auto_33735 ) ( AT ?auto_33725 ?auto_33736 ) ( IN-CITY ?auto_33736 ?auto_33735 ) ( IN-CITY ?auto_33728 ?auto_33735 ) ( DIFFERENT ?auto_33728 ?auto_33736 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33725 ?auto_33736 ?auto_33728 ?auto_33735 )
      ( DELIVER-PKG ?auto_33723 ?auto_33724 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33738
      ?auto_33739
    )
    :vars
    (
      ?auto_33749
      ?auto_33743
      ?auto_33747
      ?auto_33750
      ?auto_33745
      ?auto_33744
      ?auto_33742
      ?auto_33741
      ?auto_33740
      ?auto_33753
      ?auto_33752
    )
    :precondition
    ( and ( OBJ ?auto_33738 ) ( LOCATION ?auto_33739 ) ( AIRPLANE ?auto_33749 ) ( AIRPORT ?auto_33743 ) ( AIRPORT ?auto_33739 ) ( AT ?auto_33749 ?auto_33743 ) ( DIFFERENT ?auto_33739 ?auto_33743 ) ( LOCATION ?auto_33747 ) ( AT ?auto_33749 ?auto_33747 ) ( AIRPLANE ?auto_33750 ) ( AIRPORT ?auto_33745 ) ( AIRPORT ?auto_33747 ) ( AT ?auto_33750 ?auto_33745 ) ( DIFFERENT ?auto_33747 ?auto_33745 ) ( LOCATION ?auto_33744 ) ( AT ?auto_33750 ?auto_33744 ) ( TRUCK ?auto_33742 ) ( IN ?auto_33738 ?auto_33742 ) ( LOCATION ?auto_33741 ) ( CITY ?auto_33740 ) ( IN-CITY ?auto_33741 ?auto_33740 ) ( IN-CITY ?auto_33744 ?auto_33740 ) ( DIFFERENT ?auto_33744 ?auto_33741 ) ( LOCATION ?auto_33753 ) ( CITY ?auto_33752 ) ( AT ?auto_33742 ?auto_33753 ) ( IN-CITY ?auto_33753 ?auto_33752 ) ( IN-CITY ?auto_33741 ?auto_33752 ) ( DIFFERENT ?auto_33741 ?auto_33753 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33742 ?auto_33753 ?auto_33741 ?auto_33752 )
      ( DELIVER-PKG ?auto_33738 ?auto_33739 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33755
      ?auto_33756
    )
    :vars
    (
      ?auto_33766
      ?auto_33762
      ?auto_33765
      ?auto_33767
      ?auto_33764
      ?auto_33763
      ?auto_33758
      ?auto_33759
      ?auto_33760
      ?auto_33769
      ?auto_33768
      ?auto_33771
    )
    :precondition
    ( and ( OBJ ?auto_33755 ) ( LOCATION ?auto_33756 ) ( AIRPLANE ?auto_33766 ) ( AIRPORT ?auto_33762 ) ( AIRPORT ?auto_33756 ) ( AT ?auto_33766 ?auto_33762 ) ( DIFFERENT ?auto_33756 ?auto_33762 ) ( LOCATION ?auto_33765 ) ( AT ?auto_33766 ?auto_33765 ) ( AIRPLANE ?auto_33767 ) ( AIRPORT ?auto_33764 ) ( AIRPORT ?auto_33765 ) ( AT ?auto_33767 ?auto_33764 ) ( DIFFERENT ?auto_33765 ?auto_33764 ) ( LOCATION ?auto_33763 ) ( AT ?auto_33767 ?auto_33763 ) ( TRUCK ?auto_33758 ) ( LOCATION ?auto_33759 ) ( CITY ?auto_33760 ) ( IN-CITY ?auto_33759 ?auto_33760 ) ( IN-CITY ?auto_33763 ?auto_33760 ) ( DIFFERENT ?auto_33763 ?auto_33759 ) ( LOCATION ?auto_33769 ) ( CITY ?auto_33768 ) ( AT ?auto_33758 ?auto_33769 ) ( IN-CITY ?auto_33769 ?auto_33768 ) ( IN-CITY ?auto_33759 ?auto_33768 ) ( DIFFERENT ?auto_33759 ?auto_33769 ) ( LOCATION ?auto_33771 ) ( AT ?auto_33758 ?auto_33771 ) ( AT ?auto_33755 ?auto_33771 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_33755 ?auto_33758 ?auto_33771 )
      ( DELIVER-PKG ?auto_33755 ?auto_33756 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33789
      ?auto_33790
    )
    :vars
    (
      ?auto_33800
      ?auto_33796
      ?auto_33799
      ?auto_33801
      ?auto_33797
      ?auto_33794
      ?auto_33792
      ?auto_33795
      ?auto_33803
      ?auto_33802
      ?auto_33804
      ?auto_33806
    )
    :precondition
    ( and ( OBJ ?auto_33789 ) ( LOCATION ?auto_33790 ) ( AIRPLANE ?auto_33800 ) ( AIRPORT ?auto_33796 ) ( AIRPORT ?auto_33790 ) ( AT ?auto_33800 ?auto_33796 ) ( DIFFERENT ?auto_33790 ?auto_33796 ) ( LOCATION ?auto_33799 ) ( AT ?auto_33800 ?auto_33799 ) ( AIRPLANE ?auto_33801 ) ( AIRPORT ?auto_33797 ) ( AIRPORT ?auto_33799 ) ( DIFFERENT ?auto_33799 ?auto_33797 ) ( LOCATION ?auto_33797 ) ( TRUCK ?auto_33794 ) ( LOCATION ?auto_33792 ) ( CITY ?auto_33795 ) ( IN-CITY ?auto_33792 ?auto_33795 ) ( IN-CITY ?auto_33797 ?auto_33795 ) ( DIFFERENT ?auto_33797 ?auto_33792 ) ( LOCATION ?auto_33803 ) ( CITY ?auto_33802 ) ( AT ?auto_33794 ?auto_33803 ) ( IN-CITY ?auto_33803 ?auto_33802 ) ( IN-CITY ?auto_33792 ?auto_33802 ) ( DIFFERENT ?auto_33792 ?auto_33803 ) ( LOCATION ?auto_33804 ) ( AT ?auto_33794 ?auto_33804 ) ( AT ?auto_33789 ?auto_33804 ) ( AIRPORT ?auto_33806 ) ( AT ?auto_33801 ?auto_33806 ) ( DIFFERENT ?auto_33797 ?auto_33806 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33801 ?auto_33806 ?auto_33797 )
      ( DELIVER-PKG ?auto_33789 ?auto_33790 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33808
      ?auto_33809
    )
    :vars
    (
      ?auto_33814
      ?auto_33820
      ?auto_33813
      ?auto_33815
      ?auto_33821
      ?auto_33822
      ?auto_33811
      ?auto_33819
      ?auto_33818
      ?auto_33816
      ?auto_33823
      ?auto_33826
      ?auto_33825
    )
    :precondition
    ( and ( OBJ ?auto_33808 ) ( LOCATION ?auto_33809 ) ( AIRPLANE ?auto_33814 ) ( AIRPORT ?auto_33820 ) ( AIRPORT ?auto_33809 ) ( AT ?auto_33814 ?auto_33820 ) ( DIFFERENT ?auto_33809 ?auto_33820 ) ( LOCATION ?auto_33813 ) ( AT ?auto_33814 ?auto_33813 ) ( AIRPLANE ?auto_33815 ) ( AIRPORT ?auto_33821 ) ( AIRPORT ?auto_33813 ) ( DIFFERENT ?auto_33813 ?auto_33821 ) ( LOCATION ?auto_33821 ) ( TRUCK ?auto_33822 ) ( LOCATION ?auto_33811 ) ( CITY ?auto_33819 ) ( IN-CITY ?auto_33811 ?auto_33819 ) ( IN-CITY ?auto_33821 ?auto_33819 ) ( DIFFERENT ?auto_33821 ?auto_33811 ) ( LOCATION ?auto_33818 ) ( CITY ?auto_33816 ) ( IN-CITY ?auto_33818 ?auto_33816 ) ( IN-CITY ?auto_33811 ?auto_33816 ) ( DIFFERENT ?auto_33811 ?auto_33818 ) ( AT ?auto_33808 ?auto_33818 ) ( AIRPORT ?auto_33823 ) ( AT ?auto_33815 ?auto_33823 ) ( DIFFERENT ?auto_33821 ?auto_33823 ) ( LOCATION ?auto_33826 ) ( CITY ?auto_33825 ) ( AT ?auto_33822 ?auto_33826 ) ( IN-CITY ?auto_33826 ?auto_33825 ) ( IN-CITY ?auto_33818 ?auto_33825 ) ( DIFFERENT ?auto_33818 ?auto_33826 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33822 ?auto_33826 ?auto_33818 ?auto_33825 )
      ( DELIVER-PKG ?auto_33808 ?auto_33809 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34469
      ?auto_34470
    )
    :vars
    (
      ?auto_34471
      ?auto_34481
      ?auto_34479
      ?auto_34484
      ?auto_34478
      ?auto_34477
      ?auto_34474
      ?auto_34480
      ?auto_34473
      ?auto_34472
      ?auto_34476
      ?auto_34482
      ?auto_34483
      ?auto_34475
      ?auto_34489
      ?auto_34488
    )
    :precondition
    ( and ( OBJ ?auto_34469 ) ( LOCATION ?auto_34470 ) ( TRUCK ?auto_34471 ) ( LOCATION ?auto_34481 ) ( CITY ?auto_34479 ) ( IN-CITY ?auto_34481 ?auto_34479 ) ( IN-CITY ?auto_34470 ?auto_34479 ) ( DIFFERENT ?auto_34470 ?auto_34481 ) ( LOCATION ?auto_34484 ) ( CITY ?auto_34478 ) ( AT ?auto_34471 ?auto_34484 ) ( IN-CITY ?auto_34484 ?auto_34478 ) ( IN-CITY ?auto_34481 ?auto_34478 ) ( DIFFERENT ?auto_34481 ?auto_34484 ) ( LOCATION ?auto_34477 ) ( AT ?auto_34471 ?auto_34477 ) ( AIRPLANE ?auto_34474 ) ( AIRPORT ?auto_34480 ) ( AIRPORT ?auto_34477 ) ( AT ?auto_34474 ?auto_34480 ) ( DIFFERENT ?auto_34477 ?auto_34480 ) ( LOCATION ?auto_34473 ) ( AT ?auto_34474 ?auto_34473 ) ( TRUCK ?auto_34472 ) ( IN ?auto_34469 ?auto_34472 ) ( LOCATION ?auto_34476 ) ( CITY ?auto_34482 ) ( IN-CITY ?auto_34476 ?auto_34482 ) ( IN-CITY ?auto_34473 ?auto_34482 ) ( DIFFERENT ?auto_34473 ?auto_34476 ) ( LOCATION ?auto_34483 ) ( CITY ?auto_34475 ) ( IN-CITY ?auto_34483 ?auto_34475 ) ( IN-CITY ?auto_34476 ?auto_34475 ) ( DIFFERENT ?auto_34476 ?auto_34483 ) ( LOCATION ?auto_34489 ) ( CITY ?auto_34488 ) ( AT ?auto_34472 ?auto_34489 ) ( IN-CITY ?auto_34489 ?auto_34488 ) ( IN-CITY ?auto_34483 ?auto_34488 ) ( DIFFERENT ?auto_34483 ?auto_34489 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34472 ?auto_34489 ?auto_34483 ?auto_34488 )
      ( DELIVER-PKG ?auto_34469 ?auto_34470 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34491
      ?auto_34492
    )
    :vars
    (
      ?auto_34508
      ?auto_34494
      ?auto_34502
      ?auto_34497
      ?auto_34501
      ?auto_34500
      ?auto_34507
      ?auto_34503
      ?auto_34506
      ?auto_34504
      ?auto_34499
      ?auto_34495
      ?auto_34496
      ?auto_34498
      ?auto_34505
      ?auto_34493
      ?auto_34513
      ?auto_34512
    )
    :precondition
    ( and ( OBJ ?auto_34491 ) ( LOCATION ?auto_34492 ) ( TRUCK ?auto_34508 ) ( LOCATION ?auto_34494 ) ( CITY ?auto_34502 ) ( IN-CITY ?auto_34494 ?auto_34502 ) ( IN-CITY ?auto_34492 ?auto_34502 ) ( DIFFERENT ?auto_34492 ?auto_34494 ) ( LOCATION ?auto_34497 ) ( CITY ?auto_34501 ) ( AT ?auto_34508 ?auto_34497 ) ( IN-CITY ?auto_34497 ?auto_34501 ) ( IN-CITY ?auto_34494 ?auto_34501 ) ( DIFFERENT ?auto_34494 ?auto_34497 ) ( LOCATION ?auto_34500 ) ( AT ?auto_34508 ?auto_34500 ) ( AIRPLANE ?auto_34507 ) ( AIRPORT ?auto_34503 ) ( AIRPORT ?auto_34500 ) ( AT ?auto_34507 ?auto_34503 ) ( DIFFERENT ?auto_34500 ?auto_34503 ) ( LOCATION ?auto_34506 ) ( AT ?auto_34507 ?auto_34506 ) ( TRUCK ?auto_34504 ) ( IN ?auto_34491 ?auto_34504 ) ( LOCATION ?auto_34499 ) ( CITY ?auto_34495 ) ( IN-CITY ?auto_34499 ?auto_34495 ) ( IN-CITY ?auto_34506 ?auto_34495 ) ( DIFFERENT ?auto_34506 ?auto_34499 ) ( LOCATION ?auto_34496 ) ( CITY ?auto_34498 ) ( IN-CITY ?auto_34496 ?auto_34498 ) ( IN-CITY ?auto_34499 ?auto_34498 ) ( DIFFERENT ?auto_34499 ?auto_34496 ) ( LOCATION ?auto_34505 ) ( CITY ?auto_34493 ) ( IN-CITY ?auto_34505 ?auto_34493 ) ( IN-CITY ?auto_34496 ?auto_34493 ) ( DIFFERENT ?auto_34496 ?auto_34505 ) ( LOCATION ?auto_34513 ) ( CITY ?auto_34512 ) ( AT ?auto_34504 ?auto_34513 ) ( IN-CITY ?auto_34513 ?auto_34512 ) ( IN-CITY ?auto_34505 ?auto_34512 ) ( DIFFERENT ?auto_34505 ?auto_34513 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34504 ?auto_34513 ?auto_34505 ?auto_34512 )
      ( DELIVER-PKG ?auto_34491 ?auto_34492 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34537
      ?auto_34538
    )
    :vars
    (
      ?auto_34557
      ?auto_34548
      ?auto_34550
      ?auto_34542
      ?auto_34549
      ?auto_34545
      ?auto_34556
      ?auto_34551
      ?auto_34555
      ?auto_34553
      ?auto_34544
      ?auto_34539
      ?auto_34552
      ?auto_34543
      ?auto_34554
      ?auto_34541
      ?auto_34558
      ?auto_34546
      ?auto_34560
    )
    :precondition
    ( and ( OBJ ?auto_34537 ) ( LOCATION ?auto_34538 ) ( TRUCK ?auto_34557 ) ( LOCATION ?auto_34548 ) ( CITY ?auto_34550 ) ( IN-CITY ?auto_34548 ?auto_34550 ) ( IN-CITY ?auto_34538 ?auto_34550 ) ( DIFFERENT ?auto_34538 ?auto_34548 ) ( LOCATION ?auto_34542 ) ( CITY ?auto_34549 ) ( AT ?auto_34557 ?auto_34542 ) ( IN-CITY ?auto_34542 ?auto_34549 ) ( IN-CITY ?auto_34548 ?auto_34549 ) ( DIFFERENT ?auto_34548 ?auto_34542 ) ( LOCATION ?auto_34545 ) ( AT ?auto_34557 ?auto_34545 ) ( AIRPLANE ?auto_34556 ) ( AIRPORT ?auto_34551 ) ( AIRPORT ?auto_34545 ) ( AT ?auto_34556 ?auto_34551 ) ( DIFFERENT ?auto_34545 ?auto_34551 ) ( LOCATION ?auto_34555 ) ( AT ?auto_34556 ?auto_34555 ) ( TRUCK ?auto_34553 ) ( LOCATION ?auto_34544 ) ( CITY ?auto_34539 ) ( IN-CITY ?auto_34544 ?auto_34539 ) ( IN-CITY ?auto_34555 ?auto_34539 ) ( DIFFERENT ?auto_34555 ?auto_34544 ) ( LOCATION ?auto_34552 ) ( CITY ?auto_34543 ) ( IN-CITY ?auto_34552 ?auto_34543 ) ( IN-CITY ?auto_34544 ?auto_34543 ) ( DIFFERENT ?auto_34544 ?auto_34552 ) ( LOCATION ?auto_34554 ) ( CITY ?auto_34541 ) ( IN-CITY ?auto_34554 ?auto_34541 ) ( IN-CITY ?auto_34552 ?auto_34541 ) ( DIFFERENT ?auto_34552 ?auto_34554 ) ( LOCATION ?auto_34558 ) ( CITY ?auto_34546 ) ( AT ?auto_34553 ?auto_34558 ) ( IN-CITY ?auto_34558 ?auto_34546 ) ( IN-CITY ?auto_34554 ?auto_34546 ) ( DIFFERENT ?auto_34554 ?auto_34558 ) ( LOCATION ?auto_34560 ) ( AT ?auto_34553 ?auto_34560 ) ( AT ?auto_34537 ?auto_34560 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_34537 ?auto_34553 ?auto_34560 )
      ( DELIVER-PKG ?auto_34537 ?auto_34538 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34585
      ?auto_34586
    )
    :vars
    (
      ?auto_34606
      ?auto_34596
      ?auto_34598
      ?auto_34591
      ?auto_34597
      ?auto_34594
      ?auto_34605
      ?auto_34599
      ?auto_34604
      ?auto_34601
      ?auto_34593
      ?auto_34589
      ?auto_34600
      ?auto_34592
      ?auto_34602
      ?auto_34590
      ?auto_34603
      ?auto_34595
      ?auto_34610
      ?auto_34609
    )
    :precondition
    ( and ( OBJ ?auto_34585 ) ( LOCATION ?auto_34586 ) ( TRUCK ?auto_34606 ) ( LOCATION ?auto_34596 ) ( CITY ?auto_34598 ) ( IN-CITY ?auto_34596 ?auto_34598 ) ( IN-CITY ?auto_34586 ?auto_34598 ) ( DIFFERENT ?auto_34586 ?auto_34596 ) ( LOCATION ?auto_34591 ) ( CITY ?auto_34597 ) ( AT ?auto_34606 ?auto_34591 ) ( IN-CITY ?auto_34591 ?auto_34597 ) ( IN-CITY ?auto_34596 ?auto_34597 ) ( DIFFERENT ?auto_34596 ?auto_34591 ) ( LOCATION ?auto_34594 ) ( AT ?auto_34606 ?auto_34594 ) ( AIRPLANE ?auto_34605 ) ( AIRPORT ?auto_34599 ) ( AIRPORT ?auto_34594 ) ( AT ?auto_34605 ?auto_34599 ) ( DIFFERENT ?auto_34594 ?auto_34599 ) ( LOCATION ?auto_34604 ) ( AT ?auto_34605 ?auto_34604 ) ( TRUCK ?auto_34601 ) ( LOCATION ?auto_34593 ) ( CITY ?auto_34589 ) ( IN-CITY ?auto_34593 ?auto_34589 ) ( IN-CITY ?auto_34604 ?auto_34589 ) ( DIFFERENT ?auto_34604 ?auto_34593 ) ( LOCATION ?auto_34600 ) ( CITY ?auto_34592 ) ( IN-CITY ?auto_34600 ?auto_34592 ) ( IN-CITY ?auto_34593 ?auto_34592 ) ( DIFFERENT ?auto_34593 ?auto_34600 ) ( LOCATION ?auto_34602 ) ( CITY ?auto_34590 ) ( IN-CITY ?auto_34602 ?auto_34590 ) ( IN-CITY ?auto_34600 ?auto_34590 ) ( DIFFERENT ?auto_34600 ?auto_34602 ) ( LOCATION ?auto_34603 ) ( CITY ?auto_34595 ) ( IN-CITY ?auto_34603 ?auto_34595 ) ( IN-CITY ?auto_34602 ?auto_34595 ) ( DIFFERENT ?auto_34602 ?auto_34603 ) ( AT ?auto_34585 ?auto_34603 ) ( LOCATION ?auto_34610 ) ( CITY ?auto_34609 ) ( AT ?auto_34601 ?auto_34610 ) ( IN-CITY ?auto_34610 ?auto_34609 ) ( IN-CITY ?auto_34603 ?auto_34609 ) ( DIFFERENT ?auto_34603 ?auto_34610 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34601 ?auto_34610 ?auto_34603 ?auto_34609 )
      ( DELIVER-PKG ?auto_34585 ?auto_34586 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34612
      ?auto_34613
    )
    :vars
    (
      ?auto_34617
      ?auto_34621
      ?auto_34623
      ?auto_34619
      ?auto_34622
      ?auto_34632
      ?auto_34624
      ?auto_34631
      ?auto_34626
      ?auto_34618
      ?auto_34614
      ?auto_34625
      ?auto_34634
      ?auto_34627
      ?auto_34615
      ?auto_34629
      ?auto_34620
      ?auto_34628
      ?auto_34630
      ?auto_34638
      ?auto_34637
    )
    :precondition
    ( and ( OBJ ?auto_34612 ) ( LOCATION ?auto_34613 ) ( TRUCK ?auto_34617 ) ( LOCATION ?auto_34621 ) ( CITY ?auto_34623 ) ( IN-CITY ?auto_34621 ?auto_34623 ) ( IN-CITY ?auto_34613 ?auto_34623 ) ( DIFFERENT ?auto_34613 ?auto_34621 ) ( LOCATION ?auto_34619 ) ( CITY ?auto_34622 ) ( IN-CITY ?auto_34619 ?auto_34622 ) ( IN-CITY ?auto_34621 ?auto_34622 ) ( DIFFERENT ?auto_34621 ?auto_34619 ) ( AIRPLANE ?auto_34632 ) ( AIRPORT ?auto_34624 ) ( AIRPORT ?auto_34619 ) ( AT ?auto_34632 ?auto_34624 ) ( DIFFERENT ?auto_34619 ?auto_34624 ) ( LOCATION ?auto_34631 ) ( AT ?auto_34632 ?auto_34631 ) ( TRUCK ?auto_34626 ) ( LOCATION ?auto_34618 ) ( CITY ?auto_34614 ) ( IN-CITY ?auto_34618 ?auto_34614 ) ( IN-CITY ?auto_34631 ?auto_34614 ) ( DIFFERENT ?auto_34631 ?auto_34618 ) ( LOCATION ?auto_34625 ) ( CITY ?auto_34634 ) ( IN-CITY ?auto_34625 ?auto_34634 ) ( IN-CITY ?auto_34618 ?auto_34634 ) ( DIFFERENT ?auto_34618 ?auto_34625 ) ( LOCATION ?auto_34627 ) ( CITY ?auto_34615 ) ( IN-CITY ?auto_34627 ?auto_34615 ) ( IN-CITY ?auto_34625 ?auto_34615 ) ( DIFFERENT ?auto_34625 ?auto_34627 ) ( LOCATION ?auto_34629 ) ( CITY ?auto_34620 ) ( IN-CITY ?auto_34629 ?auto_34620 ) ( IN-CITY ?auto_34627 ?auto_34620 ) ( DIFFERENT ?auto_34627 ?auto_34629 ) ( AT ?auto_34612 ?auto_34629 ) ( LOCATION ?auto_34628 ) ( CITY ?auto_34630 ) ( AT ?auto_34626 ?auto_34628 ) ( IN-CITY ?auto_34628 ?auto_34630 ) ( IN-CITY ?auto_34629 ?auto_34630 ) ( DIFFERENT ?auto_34629 ?auto_34628 ) ( LOCATION ?auto_34638 ) ( CITY ?auto_34637 ) ( AT ?auto_34617 ?auto_34638 ) ( IN-CITY ?auto_34638 ?auto_34637 ) ( IN-CITY ?auto_34619 ?auto_34637 ) ( DIFFERENT ?auto_34619 ?auto_34638 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34617 ?auto_34638 ?auto_34619 ?auto_34637 )
      ( DELIVER-PKG ?auto_34612 ?auto_34613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35153
      ?auto_35154
    )
    :vars
    (
      ?auto_35156
      ?auto_35165
      ?auto_35163
      ?auto_35157
      ?auto_35155
      ?auto_35161
      ?auto_35160
      ?auto_35162
      ?auto_35158
      ?auto_35159
      ?auto_35164
      ?auto_35168
    )
    :precondition
    ( and ( OBJ ?auto_35153 ) ( LOCATION ?auto_35154 ) ( TRUCK ?auto_35156 ) ( LOCATION ?auto_35165 ) ( CITY ?auto_35163 ) ( IN-CITY ?auto_35165 ?auto_35163 ) ( IN-CITY ?auto_35154 ?auto_35163 ) ( DIFFERENT ?auto_35154 ?auto_35165 ) ( LOCATION ?auto_35157 ) ( CITY ?auto_35155 ) ( IN-CITY ?auto_35157 ?auto_35155 ) ( IN-CITY ?auto_35165 ?auto_35155 ) ( DIFFERENT ?auto_35165 ?auto_35157 ) ( LOCATION ?auto_35161 ) ( CITY ?auto_35160 ) ( AT ?auto_35156 ?auto_35161 ) ( IN-CITY ?auto_35161 ?auto_35160 ) ( IN-CITY ?auto_35157 ?auto_35160 ) ( DIFFERENT ?auto_35157 ?auto_35161 ) ( LOCATION ?auto_35162 ) ( AT ?auto_35156 ?auto_35162 ) ( AIRPLANE ?auto_35158 ) ( AIRPORT ?auto_35159 ) ( AIRPORT ?auto_35162 ) ( AT ?auto_35158 ?auto_35159 ) ( DIFFERENT ?auto_35162 ?auto_35159 ) ( LOCATION ?auto_35164 ) ( AT ?auto_35158 ?auto_35164 ) ( AIRPLANE ?auto_35168 ) ( IN ?auto_35153 ?auto_35168 ) ( AT ?auto_35168 ?auto_35164 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35153 ?auto_35164 )
      ( DELIVER-PKG ?auto_35153 ?auto_35154 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35187
      ?auto_35188
    )
    :vars
    (
      ?auto_35192
      ?auto_35193
      ?auto_35200
      ?auto_35191
      ?auto_35190
      ?auto_35197
      ?auto_35196
      ?auto_35199
      ?auto_35194
      ?auto_35195
      ?auto_35201
      ?auto_35198
      ?auto_35204
    )
    :precondition
    ( and ( OBJ ?auto_35187 ) ( LOCATION ?auto_35188 ) ( TRUCK ?auto_35192 ) ( LOCATION ?auto_35193 ) ( CITY ?auto_35200 ) ( IN-CITY ?auto_35193 ?auto_35200 ) ( IN-CITY ?auto_35188 ?auto_35200 ) ( DIFFERENT ?auto_35188 ?auto_35193 ) ( LOCATION ?auto_35191 ) ( CITY ?auto_35190 ) ( IN-CITY ?auto_35191 ?auto_35190 ) ( IN-CITY ?auto_35193 ?auto_35190 ) ( DIFFERENT ?auto_35193 ?auto_35191 ) ( LOCATION ?auto_35197 ) ( CITY ?auto_35196 ) ( AT ?auto_35192 ?auto_35197 ) ( IN-CITY ?auto_35197 ?auto_35196 ) ( IN-CITY ?auto_35191 ?auto_35196 ) ( DIFFERENT ?auto_35191 ?auto_35197 ) ( LOCATION ?auto_35199 ) ( AT ?auto_35192 ?auto_35199 ) ( AIRPLANE ?auto_35194 ) ( AIRPORT ?auto_35195 ) ( AIRPORT ?auto_35199 ) ( AT ?auto_35194 ?auto_35195 ) ( DIFFERENT ?auto_35199 ?auto_35195 ) ( LOCATION ?auto_35201 ) ( AT ?auto_35194 ?auto_35201 ) ( AIRPLANE ?auto_35198 ) ( IN ?auto_35187 ?auto_35198 ) ( AIRPORT ?auto_35204 ) ( AIRPORT ?auto_35201 ) ( AT ?auto_35198 ?auto_35204 ) ( DIFFERENT ?auto_35201 ?auto_35204 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_35198 ?auto_35204 ?auto_35201 )
      ( DELIVER-PKG ?auto_35187 ?auto_35188 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35223
      ?auto_35224
    )
    :vars
    (
      ?auto_35225
      ?auto_35227
      ?auto_35234
      ?auto_35236
      ?auto_35235
      ?auto_35231
      ?auto_35230
      ?auto_35233
      ?auto_35228
      ?auto_35229
      ?auto_35226
      ?auto_35232
      ?auto_35239
      ?auto_35241
    )
    :precondition
    ( and ( OBJ ?auto_35223 ) ( LOCATION ?auto_35224 ) ( TRUCK ?auto_35225 ) ( LOCATION ?auto_35227 ) ( CITY ?auto_35234 ) ( IN-CITY ?auto_35227 ?auto_35234 ) ( IN-CITY ?auto_35224 ?auto_35234 ) ( DIFFERENT ?auto_35224 ?auto_35227 ) ( LOCATION ?auto_35236 ) ( CITY ?auto_35235 ) ( IN-CITY ?auto_35236 ?auto_35235 ) ( IN-CITY ?auto_35227 ?auto_35235 ) ( DIFFERENT ?auto_35227 ?auto_35236 ) ( LOCATION ?auto_35231 ) ( CITY ?auto_35230 ) ( AT ?auto_35225 ?auto_35231 ) ( IN-CITY ?auto_35231 ?auto_35230 ) ( IN-CITY ?auto_35236 ?auto_35230 ) ( DIFFERENT ?auto_35236 ?auto_35231 ) ( LOCATION ?auto_35233 ) ( AT ?auto_35225 ?auto_35233 ) ( AIRPLANE ?auto_35228 ) ( AIRPORT ?auto_35229 ) ( AIRPORT ?auto_35233 ) ( AT ?auto_35228 ?auto_35229 ) ( DIFFERENT ?auto_35233 ?auto_35229 ) ( LOCATION ?auto_35226 ) ( AT ?auto_35228 ?auto_35226 ) ( AIRPLANE ?auto_35232 ) ( AIRPORT ?auto_35239 ) ( AIRPORT ?auto_35226 ) ( AT ?auto_35232 ?auto_35239 ) ( DIFFERENT ?auto_35226 ?auto_35239 ) ( LOCATION ?auto_35241 ) ( AT ?auto_35223 ?auto_35241 ) ( AT ?auto_35232 ?auto_35241 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_35223 ?auto_35232 ?auto_35241 )
      ( DELIVER-PKG ?auto_35223 ?auto_35224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35261
      ?auto_35262
    )
    :vars
    (
      ?auto_35278
      ?auto_35268
      ?auto_35274
      ?auto_35276
      ?auto_35275
      ?auto_35271
      ?auto_35270
      ?auto_35273
      ?auto_35264
      ?auto_35269
      ?auto_35266
      ?auto_35272
      ?auto_35277
      ?auto_35265
      ?auto_35279
    )
    :precondition
    ( and ( OBJ ?auto_35261 ) ( LOCATION ?auto_35262 ) ( TRUCK ?auto_35278 ) ( LOCATION ?auto_35268 ) ( CITY ?auto_35274 ) ( IN-CITY ?auto_35268 ?auto_35274 ) ( IN-CITY ?auto_35262 ?auto_35274 ) ( DIFFERENT ?auto_35262 ?auto_35268 ) ( LOCATION ?auto_35276 ) ( CITY ?auto_35275 ) ( IN-CITY ?auto_35276 ?auto_35275 ) ( IN-CITY ?auto_35268 ?auto_35275 ) ( DIFFERENT ?auto_35268 ?auto_35276 ) ( LOCATION ?auto_35271 ) ( CITY ?auto_35270 ) ( AT ?auto_35278 ?auto_35271 ) ( IN-CITY ?auto_35271 ?auto_35270 ) ( IN-CITY ?auto_35276 ?auto_35270 ) ( DIFFERENT ?auto_35276 ?auto_35271 ) ( LOCATION ?auto_35273 ) ( AT ?auto_35278 ?auto_35273 ) ( AIRPLANE ?auto_35264 ) ( AIRPORT ?auto_35269 ) ( AIRPORT ?auto_35273 ) ( AT ?auto_35264 ?auto_35269 ) ( DIFFERENT ?auto_35273 ?auto_35269 ) ( LOCATION ?auto_35266 ) ( AT ?auto_35264 ?auto_35266 ) ( AIRPLANE ?auto_35272 ) ( AIRPORT ?auto_35277 ) ( AIRPORT ?auto_35266 ) ( AT ?auto_35272 ?auto_35277 ) ( DIFFERENT ?auto_35266 ?auto_35277 ) ( LOCATION ?auto_35265 ) ( AT ?auto_35272 ?auto_35265 ) ( TRUCK ?auto_35279 ) ( AT ?auto_35279 ?auto_35265 ) ( IN ?auto_35261 ?auto_35279 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35261 ?auto_35265 )
      ( DELIVER-PKG ?auto_35261 ?auto_35262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35282
      ?auto_35283
    )
    :vars
    (
      ?auto_35285
      ?auto_35296
      ?auto_35292
      ?auto_35294
      ?auto_35293
      ?auto_35289
      ?auto_35288
      ?auto_35291
      ?auto_35297
      ?auto_35286
      ?auto_35298
      ?auto_35290
      ?auto_35295
      ?auto_35284
      ?auto_35287
      ?auto_35303
      ?auto_35302
    )
    :precondition
    ( and ( OBJ ?auto_35282 ) ( LOCATION ?auto_35283 ) ( TRUCK ?auto_35285 ) ( LOCATION ?auto_35296 ) ( CITY ?auto_35292 ) ( IN-CITY ?auto_35296 ?auto_35292 ) ( IN-CITY ?auto_35283 ?auto_35292 ) ( DIFFERENT ?auto_35283 ?auto_35296 ) ( LOCATION ?auto_35294 ) ( CITY ?auto_35293 ) ( IN-CITY ?auto_35294 ?auto_35293 ) ( IN-CITY ?auto_35296 ?auto_35293 ) ( DIFFERENT ?auto_35296 ?auto_35294 ) ( LOCATION ?auto_35289 ) ( CITY ?auto_35288 ) ( AT ?auto_35285 ?auto_35289 ) ( IN-CITY ?auto_35289 ?auto_35288 ) ( IN-CITY ?auto_35294 ?auto_35288 ) ( DIFFERENT ?auto_35294 ?auto_35289 ) ( LOCATION ?auto_35291 ) ( AT ?auto_35285 ?auto_35291 ) ( AIRPLANE ?auto_35297 ) ( AIRPORT ?auto_35286 ) ( AIRPORT ?auto_35291 ) ( AT ?auto_35297 ?auto_35286 ) ( DIFFERENT ?auto_35291 ?auto_35286 ) ( LOCATION ?auto_35298 ) ( AT ?auto_35297 ?auto_35298 ) ( AIRPLANE ?auto_35290 ) ( AIRPORT ?auto_35295 ) ( AIRPORT ?auto_35298 ) ( AT ?auto_35290 ?auto_35295 ) ( DIFFERENT ?auto_35298 ?auto_35295 ) ( LOCATION ?auto_35284 ) ( AT ?auto_35290 ?auto_35284 ) ( TRUCK ?auto_35287 ) ( IN ?auto_35282 ?auto_35287 ) ( LOCATION ?auto_35303 ) ( CITY ?auto_35302 ) ( AT ?auto_35287 ?auto_35303 ) ( IN-CITY ?auto_35303 ?auto_35302 ) ( IN-CITY ?auto_35284 ?auto_35302 ) ( DIFFERENT ?auto_35284 ?auto_35303 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35287 ?auto_35303 ?auto_35284 ?auto_35302 )
      ( DELIVER-PKG ?auto_35282 ?auto_35283 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35305
      ?auto_35306
    )
    :vars
    (
      ?auto_35319
      ?auto_35314
      ?auto_35310
      ?auto_35317
      ?auto_35316
      ?auto_35307
      ?auto_35324
      ?auto_35308
      ?auto_35320
      ?auto_35318
      ?auto_35315
      ?auto_35325
      ?auto_35311
      ?auto_35322
      ?auto_35323
      ?auto_35313
      ?auto_35309
      ?auto_35328
      ?auto_35327
    )
    :precondition
    ( and ( OBJ ?auto_35305 ) ( LOCATION ?auto_35306 ) ( TRUCK ?auto_35319 ) ( LOCATION ?auto_35314 ) ( CITY ?auto_35310 ) ( IN-CITY ?auto_35314 ?auto_35310 ) ( IN-CITY ?auto_35306 ?auto_35310 ) ( DIFFERENT ?auto_35306 ?auto_35314 ) ( LOCATION ?auto_35317 ) ( CITY ?auto_35316 ) ( IN-CITY ?auto_35317 ?auto_35316 ) ( IN-CITY ?auto_35314 ?auto_35316 ) ( DIFFERENT ?auto_35314 ?auto_35317 ) ( LOCATION ?auto_35307 ) ( CITY ?auto_35324 ) ( AT ?auto_35319 ?auto_35307 ) ( IN-CITY ?auto_35307 ?auto_35324 ) ( IN-CITY ?auto_35317 ?auto_35324 ) ( DIFFERENT ?auto_35317 ?auto_35307 ) ( LOCATION ?auto_35308 ) ( AT ?auto_35319 ?auto_35308 ) ( AIRPLANE ?auto_35320 ) ( AIRPORT ?auto_35318 ) ( AIRPORT ?auto_35308 ) ( AT ?auto_35320 ?auto_35318 ) ( DIFFERENT ?auto_35308 ?auto_35318 ) ( LOCATION ?auto_35315 ) ( AT ?auto_35320 ?auto_35315 ) ( AIRPLANE ?auto_35325 ) ( AIRPORT ?auto_35311 ) ( AIRPORT ?auto_35315 ) ( AT ?auto_35325 ?auto_35311 ) ( DIFFERENT ?auto_35315 ?auto_35311 ) ( LOCATION ?auto_35322 ) ( AT ?auto_35325 ?auto_35322 ) ( TRUCK ?auto_35323 ) ( IN ?auto_35305 ?auto_35323 ) ( LOCATION ?auto_35313 ) ( CITY ?auto_35309 ) ( IN-CITY ?auto_35313 ?auto_35309 ) ( IN-CITY ?auto_35322 ?auto_35309 ) ( DIFFERENT ?auto_35322 ?auto_35313 ) ( LOCATION ?auto_35328 ) ( CITY ?auto_35327 ) ( AT ?auto_35323 ?auto_35328 ) ( IN-CITY ?auto_35328 ?auto_35327 ) ( IN-CITY ?auto_35313 ?auto_35327 ) ( DIFFERENT ?auto_35313 ?auto_35328 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35323 ?auto_35328 ?auto_35313 ?auto_35327 )
      ( DELIVER-PKG ?auto_35305 ?auto_35306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35330
      ?auto_35331
    )
    :vars
    (
      ?auto_35339
      ?auto_35351
      ?auto_35349
      ?auto_35341
      ?auto_35333
      ?auto_35334
      ?auto_35348
      ?auto_35342
      ?auto_35332
      ?auto_35335
      ?auto_35336
      ?auto_35338
      ?auto_35347
      ?auto_35340
      ?auto_35343
      ?auto_35352
      ?auto_35350
      ?auto_35337
      ?auto_35344
      ?auto_35354
    )
    :precondition
    ( and ( OBJ ?auto_35330 ) ( LOCATION ?auto_35331 ) ( TRUCK ?auto_35339 ) ( LOCATION ?auto_35351 ) ( CITY ?auto_35349 ) ( IN-CITY ?auto_35351 ?auto_35349 ) ( IN-CITY ?auto_35331 ?auto_35349 ) ( DIFFERENT ?auto_35331 ?auto_35351 ) ( LOCATION ?auto_35341 ) ( CITY ?auto_35333 ) ( IN-CITY ?auto_35341 ?auto_35333 ) ( IN-CITY ?auto_35351 ?auto_35333 ) ( DIFFERENT ?auto_35351 ?auto_35341 ) ( LOCATION ?auto_35334 ) ( CITY ?auto_35348 ) ( AT ?auto_35339 ?auto_35334 ) ( IN-CITY ?auto_35334 ?auto_35348 ) ( IN-CITY ?auto_35341 ?auto_35348 ) ( DIFFERENT ?auto_35341 ?auto_35334 ) ( LOCATION ?auto_35342 ) ( AT ?auto_35339 ?auto_35342 ) ( AIRPLANE ?auto_35332 ) ( AIRPORT ?auto_35335 ) ( AIRPORT ?auto_35342 ) ( AT ?auto_35332 ?auto_35335 ) ( DIFFERENT ?auto_35342 ?auto_35335 ) ( LOCATION ?auto_35336 ) ( AT ?auto_35332 ?auto_35336 ) ( AIRPLANE ?auto_35338 ) ( AIRPORT ?auto_35347 ) ( AIRPORT ?auto_35336 ) ( AT ?auto_35338 ?auto_35347 ) ( DIFFERENT ?auto_35336 ?auto_35347 ) ( LOCATION ?auto_35340 ) ( AT ?auto_35338 ?auto_35340 ) ( TRUCK ?auto_35343 ) ( LOCATION ?auto_35352 ) ( CITY ?auto_35350 ) ( IN-CITY ?auto_35352 ?auto_35350 ) ( IN-CITY ?auto_35340 ?auto_35350 ) ( DIFFERENT ?auto_35340 ?auto_35352 ) ( LOCATION ?auto_35337 ) ( CITY ?auto_35344 ) ( AT ?auto_35343 ?auto_35337 ) ( IN-CITY ?auto_35337 ?auto_35344 ) ( IN-CITY ?auto_35352 ?auto_35344 ) ( DIFFERENT ?auto_35352 ?auto_35337 ) ( LOCATION ?auto_35354 ) ( AT ?auto_35343 ?auto_35354 ) ( AT ?auto_35330 ?auto_35354 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_35330 ?auto_35343 ?auto_35354 )
      ( DELIVER-PKG ?auto_35330 ?auto_35331 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35380
      ?auto_35381
    )
    :vars
    (
      ?auto_35395
      ?auto_35402
      ?auto_35400
      ?auto_35384
      ?auto_35393
      ?auto_35399
      ?auto_35390
      ?auto_35385
      ?auto_35383
      ?auto_35398
      ?auto_35382
      ?auto_35391
      ?auto_35396
      ?auto_35386
      ?auto_35403
      ?auto_35401
      ?auto_35392
      ?auto_35387
      ?auto_35389
      ?auto_35405
    )
    :precondition
    ( and ( OBJ ?auto_35380 ) ( LOCATION ?auto_35381 ) ( TRUCK ?auto_35395 ) ( LOCATION ?auto_35402 ) ( CITY ?auto_35400 ) ( IN-CITY ?auto_35402 ?auto_35400 ) ( IN-CITY ?auto_35381 ?auto_35400 ) ( DIFFERENT ?auto_35381 ?auto_35402 ) ( LOCATION ?auto_35384 ) ( CITY ?auto_35393 ) ( IN-CITY ?auto_35384 ?auto_35393 ) ( IN-CITY ?auto_35402 ?auto_35393 ) ( DIFFERENT ?auto_35402 ?auto_35384 ) ( LOCATION ?auto_35399 ) ( CITY ?auto_35390 ) ( AT ?auto_35395 ?auto_35399 ) ( IN-CITY ?auto_35399 ?auto_35390 ) ( IN-CITY ?auto_35384 ?auto_35390 ) ( DIFFERENT ?auto_35384 ?auto_35399 ) ( LOCATION ?auto_35385 ) ( AT ?auto_35395 ?auto_35385 ) ( AIRPLANE ?auto_35383 ) ( AIRPORT ?auto_35398 ) ( AIRPORT ?auto_35385 ) ( AT ?auto_35383 ?auto_35398 ) ( DIFFERENT ?auto_35385 ?auto_35398 ) ( LOCATION ?auto_35382 ) ( AT ?auto_35383 ?auto_35382 ) ( AIRPLANE ?auto_35391 ) ( AIRPORT ?auto_35396 ) ( AIRPORT ?auto_35382 ) ( DIFFERENT ?auto_35382 ?auto_35396 ) ( LOCATION ?auto_35396 ) ( TRUCK ?auto_35386 ) ( LOCATION ?auto_35403 ) ( CITY ?auto_35401 ) ( IN-CITY ?auto_35403 ?auto_35401 ) ( IN-CITY ?auto_35396 ?auto_35401 ) ( DIFFERENT ?auto_35396 ?auto_35403 ) ( LOCATION ?auto_35392 ) ( CITY ?auto_35387 ) ( AT ?auto_35386 ?auto_35392 ) ( IN-CITY ?auto_35392 ?auto_35387 ) ( IN-CITY ?auto_35403 ?auto_35387 ) ( DIFFERENT ?auto_35403 ?auto_35392 ) ( LOCATION ?auto_35389 ) ( AT ?auto_35386 ?auto_35389 ) ( AT ?auto_35380 ?auto_35389 ) ( AIRPORT ?auto_35405 ) ( AT ?auto_35391 ?auto_35405 ) ( DIFFERENT ?auto_35396 ?auto_35405 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_35391 ?auto_35405 ?auto_35396 )
      ( DELIVER-PKG ?auto_35380 ?auto_35381 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35407
      ?auto_35408
    )
    :vars
    (
      ?auto_35419
      ?auto_35426
      ?auto_35424
      ?auto_35409
      ?auto_35418
      ?auto_35423
      ?auto_35415
      ?auto_35412
      ?auto_35429
      ?auto_35421
      ?auto_35430
      ?auto_35416
      ?auto_35420
      ?auto_35410
      ?auto_35413
      ?auto_35425
      ?auto_35414
      ?auto_35411
      ?auto_35422
      ?auto_35433
      ?auto_35432
    )
    :precondition
    ( and ( OBJ ?auto_35407 ) ( LOCATION ?auto_35408 ) ( TRUCK ?auto_35419 ) ( LOCATION ?auto_35426 ) ( CITY ?auto_35424 ) ( IN-CITY ?auto_35426 ?auto_35424 ) ( IN-CITY ?auto_35408 ?auto_35424 ) ( DIFFERENT ?auto_35408 ?auto_35426 ) ( LOCATION ?auto_35409 ) ( CITY ?auto_35418 ) ( IN-CITY ?auto_35409 ?auto_35418 ) ( IN-CITY ?auto_35426 ?auto_35418 ) ( DIFFERENT ?auto_35426 ?auto_35409 ) ( LOCATION ?auto_35423 ) ( CITY ?auto_35415 ) ( AT ?auto_35419 ?auto_35423 ) ( IN-CITY ?auto_35423 ?auto_35415 ) ( IN-CITY ?auto_35409 ?auto_35415 ) ( DIFFERENT ?auto_35409 ?auto_35423 ) ( LOCATION ?auto_35412 ) ( AT ?auto_35419 ?auto_35412 ) ( AIRPLANE ?auto_35429 ) ( AIRPORT ?auto_35421 ) ( AIRPORT ?auto_35412 ) ( AT ?auto_35429 ?auto_35421 ) ( DIFFERENT ?auto_35412 ?auto_35421 ) ( LOCATION ?auto_35430 ) ( AT ?auto_35429 ?auto_35430 ) ( AIRPLANE ?auto_35416 ) ( AIRPORT ?auto_35420 ) ( AIRPORT ?auto_35430 ) ( DIFFERENT ?auto_35430 ?auto_35420 ) ( LOCATION ?auto_35420 ) ( TRUCK ?auto_35410 ) ( LOCATION ?auto_35413 ) ( CITY ?auto_35425 ) ( IN-CITY ?auto_35413 ?auto_35425 ) ( IN-CITY ?auto_35420 ?auto_35425 ) ( DIFFERENT ?auto_35420 ?auto_35413 ) ( LOCATION ?auto_35414 ) ( CITY ?auto_35411 ) ( IN-CITY ?auto_35414 ?auto_35411 ) ( IN-CITY ?auto_35413 ?auto_35411 ) ( DIFFERENT ?auto_35413 ?auto_35414 ) ( AT ?auto_35407 ?auto_35414 ) ( AIRPORT ?auto_35422 ) ( AT ?auto_35416 ?auto_35422 ) ( DIFFERENT ?auto_35420 ?auto_35422 ) ( LOCATION ?auto_35433 ) ( CITY ?auto_35432 ) ( AT ?auto_35410 ?auto_35433 ) ( IN-CITY ?auto_35433 ?auto_35432 ) ( IN-CITY ?auto_35414 ?auto_35432 ) ( DIFFERENT ?auto_35414 ?auto_35433 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35410 ?auto_35433 ?auto_35414 ?auto_35432 )
      ( DELIVER-PKG ?auto_35407 ?auto_35408 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35435
      ?auto_35436
    )
    :vars
    (
      ?auto_35439
      ?auto_35453
      ?auto_35447
      ?auto_35445
      ?auto_35459
      ?auto_35456
      ?auto_35458
      ?auto_35440
      ?auto_35444
      ?auto_35441
      ?auto_35438
      ?auto_35443
      ?auto_35455
      ?auto_35452
      ?auto_35449
      ?auto_35457
      ?auto_35454
      ?auto_35451
      ?auto_35442
      ?auto_35448
      ?auto_35462
      ?auto_35461
    )
    :precondition
    ( and ( OBJ ?auto_35435 ) ( LOCATION ?auto_35436 ) ( TRUCK ?auto_35439 ) ( LOCATION ?auto_35453 ) ( CITY ?auto_35447 ) ( IN-CITY ?auto_35453 ?auto_35447 ) ( IN-CITY ?auto_35436 ?auto_35447 ) ( DIFFERENT ?auto_35436 ?auto_35453 ) ( LOCATION ?auto_35445 ) ( CITY ?auto_35459 ) ( IN-CITY ?auto_35445 ?auto_35459 ) ( IN-CITY ?auto_35453 ?auto_35459 ) ( DIFFERENT ?auto_35453 ?auto_35445 ) ( LOCATION ?auto_35456 ) ( CITY ?auto_35458 ) ( IN-CITY ?auto_35456 ?auto_35458 ) ( IN-CITY ?auto_35445 ?auto_35458 ) ( DIFFERENT ?auto_35445 ?auto_35456 ) ( AIRPLANE ?auto_35440 ) ( AIRPORT ?auto_35444 ) ( AIRPORT ?auto_35456 ) ( AT ?auto_35440 ?auto_35444 ) ( DIFFERENT ?auto_35456 ?auto_35444 ) ( LOCATION ?auto_35441 ) ( AT ?auto_35440 ?auto_35441 ) ( AIRPLANE ?auto_35438 ) ( AIRPORT ?auto_35443 ) ( AIRPORT ?auto_35441 ) ( DIFFERENT ?auto_35441 ?auto_35443 ) ( LOCATION ?auto_35443 ) ( TRUCK ?auto_35455 ) ( LOCATION ?auto_35452 ) ( CITY ?auto_35449 ) ( IN-CITY ?auto_35452 ?auto_35449 ) ( IN-CITY ?auto_35443 ?auto_35449 ) ( DIFFERENT ?auto_35443 ?auto_35452 ) ( LOCATION ?auto_35457 ) ( CITY ?auto_35454 ) ( IN-CITY ?auto_35457 ?auto_35454 ) ( IN-CITY ?auto_35452 ?auto_35454 ) ( DIFFERENT ?auto_35452 ?auto_35457 ) ( AT ?auto_35435 ?auto_35457 ) ( AIRPORT ?auto_35451 ) ( AT ?auto_35438 ?auto_35451 ) ( DIFFERENT ?auto_35443 ?auto_35451 ) ( LOCATION ?auto_35442 ) ( CITY ?auto_35448 ) ( AT ?auto_35455 ?auto_35442 ) ( IN-CITY ?auto_35442 ?auto_35448 ) ( IN-CITY ?auto_35457 ?auto_35448 ) ( DIFFERENT ?auto_35457 ?auto_35442 ) ( LOCATION ?auto_35462 ) ( CITY ?auto_35461 ) ( AT ?auto_35439 ?auto_35462 ) ( IN-CITY ?auto_35462 ?auto_35461 ) ( IN-CITY ?auto_35456 ?auto_35461 ) ( DIFFERENT ?auto_35456 ?auto_35462 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35439 ?auto_35462 ?auto_35456 ?auto_35461 )
      ( DELIVER-PKG ?auto_35435 ?auto_35436 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36175
      ?auto_36176
    )
    :vars
    (
      ?auto_36181
      ?auto_36178
      ?auto_36183
      ?auto_36179
      ?auto_36177
      ?auto_36180
      ?auto_36188
      ?auto_36187
    )
    :precondition
    ( and ( OBJ ?auto_36175 ) ( LOCATION ?auto_36176 ) ( TRUCK ?auto_36181 ) ( LOCATION ?auto_36178 ) ( CITY ?auto_36183 ) ( IN-CITY ?auto_36178 ?auto_36183 ) ( IN-CITY ?auto_36176 ?auto_36183 ) ( DIFFERENT ?auto_36176 ?auto_36178 ) ( AIRPLANE ?auto_36179 ) ( AIRPORT ?auto_36177 ) ( AIRPORT ?auto_36178 ) ( AT ?auto_36179 ?auto_36177 ) ( DIFFERENT ?auto_36178 ?auto_36177 ) ( LOCATION ?auto_36180 ) ( AT ?auto_36175 ?auto_36180 ) ( AT ?auto_36179 ?auto_36180 ) ( LOCATION ?auto_36188 ) ( CITY ?auto_36187 ) ( AT ?auto_36181 ?auto_36188 ) ( IN-CITY ?auto_36188 ?auto_36187 ) ( IN-CITY ?auto_36178 ?auto_36187 ) ( DIFFERENT ?auto_36178 ?auto_36188 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36181 ?auto_36188 ?auto_36178 ?auto_36187 )
      ( DELIVER-PKG ?auto_36175 ?auto_36176 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36202
      ?auto_36203
    )
    :vars
    (
      ?auto_36211
      ?auto_36207
      ?auto_36209
      ?auto_36206
      ?auto_36210
      ?auto_36205
      ?auto_36204
      ?auto_36215
    )
    :precondition
    ( and ( OBJ ?auto_36202 ) ( LOCATION ?auto_36203 ) ( TRUCK ?auto_36211 ) ( LOCATION ?auto_36207 ) ( CITY ?auto_36209 ) ( IN-CITY ?auto_36207 ?auto_36209 ) ( IN-CITY ?auto_36203 ?auto_36209 ) ( DIFFERENT ?auto_36203 ?auto_36207 ) ( AIRPLANE ?auto_36206 ) ( AIRPORT ?auto_36210 ) ( AIRPORT ?auto_36207 ) ( DIFFERENT ?auto_36207 ?auto_36210 ) ( LOCATION ?auto_36210 ) ( AT ?auto_36202 ?auto_36210 ) ( LOCATION ?auto_36205 ) ( CITY ?auto_36204 ) ( AT ?auto_36211 ?auto_36205 ) ( IN-CITY ?auto_36205 ?auto_36204 ) ( IN-CITY ?auto_36207 ?auto_36204 ) ( DIFFERENT ?auto_36207 ?auto_36205 ) ( AIRPORT ?auto_36215 ) ( AT ?auto_36206 ?auto_36215 ) ( DIFFERENT ?auto_36210 ?auto_36215 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_36206 ?auto_36215 ?auto_36210 )
      ( DELIVER-PKG ?auto_36202 ?auto_36203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36501
      ?auto_36502
    )
    :vars
    (
      ?auto_36509
      ?auto_36505
      ?auto_36504
      ?auto_36507
      ?auto_36510
      ?auto_36511
      ?auto_36514
      ?auto_36513
    )
    :precondition
    ( and ( OBJ ?auto_36501 ) ( LOCATION ?auto_36502 ) ( TRUCK ?auto_36509 ) ( LOCATION ?auto_36505 ) ( CITY ?auto_36504 ) ( IN-CITY ?auto_36505 ?auto_36504 ) ( IN-CITY ?auto_36502 ?auto_36504 ) ( DIFFERENT ?auto_36502 ?auto_36505 ) ( AIRPLANE ?auto_36507 ) ( AIRPORT ?auto_36510 ) ( AIRPORT ?auto_36505 ) ( DIFFERENT ?auto_36505 ?auto_36510 ) ( LOCATION ?auto_36510 ) ( AT ?auto_36501 ?auto_36510 ) ( AIRPORT ?auto_36511 ) ( AT ?auto_36507 ?auto_36511 ) ( DIFFERENT ?auto_36510 ?auto_36511 ) ( LOCATION ?auto_36514 ) ( CITY ?auto_36513 ) ( AT ?auto_36509 ?auto_36514 ) ( IN-CITY ?auto_36514 ?auto_36513 ) ( IN-CITY ?auto_36505 ?auto_36513 ) ( DIFFERENT ?auto_36505 ?auto_36514 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36509 ?auto_36514 ?auto_36505 ?auto_36513 )
      ( DELIVER-PKG ?auto_36501 ?auto_36502 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36540
      ?auto_36541
    )
    :vars
    (
      ?auto_36547
      ?auto_36545
      ?auto_36542
      ?auto_36546
      ?auto_36548
      ?auto_36549
      ?auto_36551
      ?auto_36550
      ?auto_36553
    )
    :precondition
    ( and ( OBJ ?auto_36540 ) ( LOCATION ?auto_36541 ) ( TRUCK ?auto_36547 ) ( LOCATION ?auto_36545 ) ( CITY ?auto_36542 ) ( IN-CITY ?auto_36545 ?auto_36542 ) ( IN-CITY ?auto_36541 ?auto_36542 ) ( DIFFERENT ?auto_36541 ?auto_36545 ) ( AIRPLANE ?auto_36546 ) ( AIRPORT ?auto_36548 ) ( AIRPORT ?auto_36545 ) ( DIFFERENT ?auto_36545 ?auto_36548 ) ( LOCATION ?auto_36548 ) ( AT ?auto_36540 ?auto_36548 ) ( AIRPORT ?auto_36549 ) ( DIFFERENT ?auto_36548 ?auto_36549 ) ( LOCATION ?auto_36551 ) ( CITY ?auto_36550 ) ( AT ?auto_36547 ?auto_36551 ) ( IN-CITY ?auto_36551 ?auto_36550 ) ( IN-CITY ?auto_36545 ?auto_36550 ) ( DIFFERENT ?auto_36545 ?auto_36551 ) ( AIRPORT ?auto_36553 ) ( AT ?auto_36546 ?auto_36553 ) ( DIFFERENT ?auto_36549 ?auto_36553 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_36546 ?auto_36553 ?auto_36549 )
      ( DELIVER-PKG ?auto_36540 ?auto_36541 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38315
      ?auto_38316
    )
    :vars
    (
      ?auto_38320
      ?auto_38321
      ?auto_38317
      ?auto_38325
      ?auto_38323
      ?auto_38324
      ?auto_38319
      ?auto_38327
    )
    :precondition
    ( and ( OBJ ?auto_38315 ) ( LOCATION ?auto_38316 ) ( AIRPLANE ?auto_38320 ) ( AT ?auto_38320 ?auto_38316 ) ( LOCATION ?auto_38321 ) ( AT ?auto_38320 ?auto_38321 ) ( AIRPLANE ?auto_38317 ) ( AT ?auto_38317 ?auto_38321 ) ( LOCATION ?auto_38325 ) ( AT ?auto_38317 ?auto_38325 ) ( AIRPLANE ?auto_38323 ) ( AT ?auto_38323 ?auto_38325 ) ( LOCATION ?auto_38324 ) ( AT ?auto_38323 ?auto_38324 ) ( AIRPLANE ?auto_38319 ) ( IN ?auto_38315 ?auto_38319 ) ( AIRPORT ?auto_38327 ) ( AIRPORT ?auto_38324 ) ( AT ?auto_38319 ?auto_38327 ) ( DIFFERENT ?auto_38324 ?auto_38327 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38319 ?auto_38327 ?auto_38324 )
      ( DELIVER-PKG ?auto_38315 ?auto_38316 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38360
      ?auto_38361
    )
    :vars
    (
      ?auto_38363
      ?auto_38370
      ?auto_38364
      ?auto_38371
      ?auto_38373
      ?auto_38366
      ?auto_38368
      ?auto_38372
      ?auto_38369
      ?auto_38367
      ?auto_38375
    )
    :precondition
    ( and ( OBJ ?auto_38360 ) ( LOCATION ?auto_38361 ) ( AIRPLANE ?auto_38363 ) ( AT ?auto_38363 ?auto_38361 ) ( LOCATION ?auto_38370 ) ( AT ?auto_38363 ?auto_38370 ) ( AIRPLANE ?auto_38364 ) ( AT ?auto_38364 ?auto_38370 ) ( LOCATION ?auto_38371 ) ( AT ?auto_38364 ?auto_38371 ) ( AIRPLANE ?auto_38373 ) ( AT ?auto_38373 ?auto_38371 ) ( LOCATION ?auto_38366 ) ( AT ?auto_38373 ?auto_38366 ) ( AIRPLANE ?auto_38368 ) ( AIRPORT ?auto_38372 ) ( AIRPORT ?auto_38366 ) ( AT ?auto_38368 ?auto_38372 ) ( DIFFERENT ?auto_38366 ?auto_38372 ) ( LOCATION ?auto_38369 ) ( AT ?auto_38368 ?auto_38369 ) ( AIRPLANE ?auto_38367 ) ( AT ?auto_38367 ?auto_38369 ) ( LOCATION ?auto_38375 ) ( AT ?auto_38360 ?auto_38375 ) ( AT ?auto_38367 ?auto_38375 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_38360 ?auto_38367 ?auto_38375 )
      ( DELIVER-PKG ?auto_38360 ?auto_38361 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38344
      ?auto_38345
    )
    :vars
    (
      ?auto_38352
      ?auto_38354
      ?auto_38346
      ?auto_38349
      ?auto_38351
      ?auto_38353
      ?auto_38356
      ?auto_38350
      ?auto_38348
      ?auto_38359
    )
    :precondition
    ( and ( OBJ ?auto_38344 ) ( LOCATION ?auto_38345 ) ( AIRPLANE ?auto_38352 ) ( AT ?auto_38352 ?auto_38345 ) ( LOCATION ?auto_38354 ) ( AT ?auto_38352 ?auto_38354 ) ( AIRPLANE ?auto_38346 ) ( AT ?auto_38346 ?auto_38354 ) ( LOCATION ?auto_38349 ) ( AT ?auto_38346 ?auto_38349 ) ( AIRPLANE ?auto_38351 ) ( AT ?auto_38351 ?auto_38349 ) ( LOCATION ?auto_38353 ) ( AT ?auto_38351 ?auto_38353 ) ( AIRPLANE ?auto_38356 ) ( AIRPORT ?auto_38350 ) ( AIRPORT ?auto_38353 ) ( AT ?auto_38356 ?auto_38350 ) ( DIFFERENT ?auto_38353 ?auto_38350 ) ( LOCATION ?auto_38348 ) ( AT ?auto_38356 ?auto_38348 ) ( AIRPLANE ?auto_38359 ) ( IN ?auto_38344 ?auto_38359 ) ( AT ?auto_38359 ?auto_38348 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_38344 ?auto_38348 )
      ( DELIVER-PKG ?auto_38344 ?auto_38345 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38392
      ?auto_38393
    )
    :vars
    (
      ?auto_38397
      ?auto_38402
      ?auto_38396
      ?auto_38403
      ?auto_38405
      ?auto_38398
      ?auto_38400
      ?auto_38404
      ?auto_38401
      ?auto_38399
      ?auto_38406
      ?auto_38407
    )
    :precondition
    ( and ( OBJ ?auto_38392 ) ( LOCATION ?auto_38393 ) ( AIRPLANE ?auto_38397 ) ( AT ?auto_38397 ?auto_38393 ) ( LOCATION ?auto_38402 ) ( AT ?auto_38397 ?auto_38402 ) ( AIRPLANE ?auto_38396 ) ( AT ?auto_38396 ?auto_38402 ) ( LOCATION ?auto_38403 ) ( AT ?auto_38396 ?auto_38403 ) ( AIRPLANE ?auto_38405 ) ( AT ?auto_38405 ?auto_38403 ) ( LOCATION ?auto_38398 ) ( AT ?auto_38405 ?auto_38398 ) ( AIRPLANE ?auto_38400 ) ( AIRPORT ?auto_38404 ) ( AIRPORT ?auto_38398 ) ( AT ?auto_38400 ?auto_38404 ) ( DIFFERENT ?auto_38398 ?auto_38404 ) ( LOCATION ?auto_38401 ) ( AT ?auto_38400 ?auto_38401 ) ( AIRPLANE ?auto_38399 ) ( AT ?auto_38399 ?auto_38401 ) ( LOCATION ?auto_38406 ) ( AT ?auto_38399 ?auto_38406 ) ( TRUCK ?auto_38407 ) ( AT ?auto_38407 ?auto_38406 ) ( IN ?auto_38392 ?auto_38407 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_38392 ?auto_38406 )
      ( DELIVER-PKG ?auto_38392 ?auto_38393 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38442
      ?auto_38443
    )
    :vars
    (
      ?auto_38445
      ?auto_38451
      ?auto_38444
      ?auto_38452
      ?auto_38454
      ?auto_38446
      ?auto_38448
      ?auto_38453
      ?auto_38449
      ?auto_38447
      ?auto_38455
      ?auto_38450
      ?auto_38460
      ?auto_38459
    )
    :precondition
    ( and ( OBJ ?auto_38442 ) ( LOCATION ?auto_38443 ) ( AIRPLANE ?auto_38445 ) ( AT ?auto_38445 ?auto_38443 ) ( LOCATION ?auto_38451 ) ( AT ?auto_38445 ?auto_38451 ) ( AIRPLANE ?auto_38444 ) ( AT ?auto_38444 ?auto_38451 ) ( LOCATION ?auto_38452 ) ( AT ?auto_38444 ?auto_38452 ) ( AIRPLANE ?auto_38454 ) ( AT ?auto_38454 ?auto_38452 ) ( LOCATION ?auto_38446 ) ( AT ?auto_38454 ?auto_38446 ) ( AIRPLANE ?auto_38448 ) ( AIRPORT ?auto_38453 ) ( AIRPORT ?auto_38446 ) ( AT ?auto_38448 ?auto_38453 ) ( DIFFERENT ?auto_38446 ?auto_38453 ) ( LOCATION ?auto_38449 ) ( AT ?auto_38448 ?auto_38449 ) ( AIRPLANE ?auto_38447 ) ( AT ?auto_38447 ?auto_38449 ) ( LOCATION ?auto_38455 ) ( AT ?auto_38447 ?auto_38455 ) ( TRUCK ?auto_38450 ) ( IN ?auto_38442 ?auto_38450 ) ( LOCATION ?auto_38460 ) ( CITY ?auto_38459 ) ( AT ?auto_38450 ?auto_38460 ) ( IN-CITY ?auto_38460 ?auto_38459 ) ( IN-CITY ?auto_38455 ?auto_38459 ) ( DIFFERENT ?auto_38455 ?auto_38460 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38450 ?auto_38460 ?auto_38455 ?auto_38459 )
      ( DELIVER-PKG ?auto_38442 ?auto_38443 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38498
      ?auto_38499
    )
    :vars
    (
      ?auto_38506
      ?auto_38503
      ?auto_38501
      ?auto_38504
      ?auto_38509
      ?auto_38507
      ?auto_38511
      ?auto_38505
      ?auto_38512
      ?auto_38508
      ?auto_38510
      ?auto_38513
      ?auto_38515
      ?auto_38514
      ?auto_38517
    )
    :precondition
    ( and ( OBJ ?auto_38498 ) ( LOCATION ?auto_38499 ) ( AIRPLANE ?auto_38506 ) ( AT ?auto_38506 ?auto_38499 ) ( LOCATION ?auto_38503 ) ( AT ?auto_38506 ?auto_38503 ) ( AIRPLANE ?auto_38501 ) ( AT ?auto_38501 ?auto_38503 ) ( LOCATION ?auto_38504 ) ( AT ?auto_38501 ?auto_38504 ) ( AIRPLANE ?auto_38509 ) ( AT ?auto_38509 ?auto_38504 ) ( LOCATION ?auto_38507 ) ( AT ?auto_38509 ?auto_38507 ) ( AIRPLANE ?auto_38511 ) ( AIRPORT ?auto_38505 ) ( AIRPORT ?auto_38507 ) ( AT ?auto_38511 ?auto_38505 ) ( DIFFERENT ?auto_38507 ?auto_38505 ) ( LOCATION ?auto_38512 ) ( AT ?auto_38511 ?auto_38512 ) ( AIRPLANE ?auto_38508 ) ( AT ?auto_38508 ?auto_38512 ) ( LOCATION ?auto_38510 ) ( AT ?auto_38508 ?auto_38510 ) ( TRUCK ?auto_38513 ) ( LOCATION ?auto_38515 ) ( CITY ?auto_38514 ) ( AT ?auto_38513 ?auto_38515 ) ( IN-CITY ?auto_38515 ?auto_38514 ) ( IN-CITY ?auto_38510 ?auto_38514 ) ( DIFFERENT ?auto_38510 ?auto_38515 ) ( LOCATION ?auto_38517 ) ( AT ?auto_38513 ?auto_38517 ) ( AT ?auto_38498 ?auto_38517 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_38498 ?auto_38513 ?auto_38517 )
      ( DELIVER-PKG ?auto_38498 ?auto_38499 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38538
      ?auto_38539
    )
    :vars
    (
      ?auto_38546
      ?auto_38543
      ?auto_38542
      ?auto_38544
      ?auto_38549
      ?auto_38547
      ?auto_38551
      ?auto_38545
      ?auto_38553
      ?auto_38548
      ?auto_38550
      ?auto_38554
      ?auto_38552
      ?auto_38555
      ?auto_38559
      ?auto_38558
    )
    :precondition
    ( and ( OBJ ?auto_38538 ) ( LOCATION ?auto_38539 ) ( AIRPLANE ?auto_38546 ) ( AT ?auto_38546 ?auto_38539 ) ( LOCATION ?auto_38543 ) ( AT ?auto_38546 ?auto_38543 ) ( AIRPLANE ?auto_38542 ) ( AT ?auto_38542 ?auto_38543 ) ( LOCATION ?auto_38544 ) ( AT ?auto_38542 ?auto_38544 ) ( AIRPLANE ?auto_38549 ) ( AT ?auto_38549 ?auto_38544 ) ( LOCATION ?auto_38547 ) ( AT ?auto_38549 ?auto_38547 ) ( AIRPLANE ?auto_38551 ) ( AIRPORT ?auto_38545 ) ( AIRPORT ?auto_38547 ) ( AT ?auto_38551 ?auto_38545 ) ( DIFFERENT ?auto_38547 ?auto_38545 ) ( LOCATION ?auto_38553 ) ( AT ?auto_38551 ?auto_38553 ) ( AIRPLANE ?auto_38548 ) ( AT ?auto_38548 ?auto_38553 ) ( LOCATION ?auto_38550 ) ( AT ?auto_38548 ?auto_38550 ) ( TRUCK ?auto_38554 ) ( LOCATION ?auto_38552 ) ( CITY ?auto_38555 ) ( IN-CITY ?auto_38552 ?auto_38555 ) ( IN-CITY ?auto_38550 ?auto_38555 ) ( DIFFERENT ?auto_38550 ?auto_38552 ) ( AT ?auto_38538 ?auto_38552 ) ( LOCATION ?auto_38559 ) ( CITY ?auto_38558 ) ( AT ?auto_38554 ?auto_38559 ) ( IN-CITY ?auto_38559 ?auto_38558 ) ( IN-CITY ?auto_38552 ?auto_38558 ) ( DIFFERENT ?auto_38552 ?auto_38559 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38554 ?auto_38559 ?auto_38552 ?auto_38558 )
      ( DELIVER-PKG ?auto_38538 ?auto_38539 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37850
      ?auto_37859
    )
    :vars
    (
      ?auto_37856
      ?auto_37854
      ?auto_37860
      ?auto_37858
      ?auto_37853
      ?auto_37863
      ?auto_37861
      ?auto_37857
      ?auto_37855
      ?auto_37865
      ?auto_37864
      ?auto_37867
    )
    :precondition
    ( and ( OBJ ?auto_37850 ) ( LOCATION ?auto_37859 ) ( AIRPLANE ?auto_37856 ) ( AIRPLANE ?auto_37854 ) ( AIRPORT ?auto_37860 ) ( AIRPORT ?auto_37859 ) ( AT ?auto_37854 ?auto_37860 ) ( DIFFERENT ?auto_37859 ?auto_37860 ) ( LOCATION ?auto_37858 ) ( AT ?auto_37854 ?auto_37858 ) ( AIRPLANE ?auto_37853 ) ( AT ?auto_37853 ?auto_37858 ) ( LOCATION ?auto_37863 ) ( AT ?auto_37853 ?auto_37863 ) ( TRUCK ?auto_37861 ) ( LOCATION ?auto_37857 ) ( CITY ?auto_37855 ) ( IN-CITY ?auto_37857 ?auto_37855 ) ( IN-CITY ?auto_37863 ?auto_37855 ) ( DIFFERENT ?auto_37863 ?auto_37857 ) ( AT ?auto_37850 ?auto_37857 ) ( LOCATION ?auto_37865 ) ( CITY ?auto_37864 ) ( AT ?auto_37861 ?auto_37865 ) ( IN-CITY ?auto_37865 ?auto_37864 ) ( IN-CITY ?auto_37857 ?auto_37864 ) ( DIFFERENT ?auto_37857 ?auto_37865 ) ( AIRPORT ?auto_37867 ) ( AT ?auto_37856 ?auto_37867 ) ( DIFFERENT ?auto_37859 ?auto_37867 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_37856 ?auto_37867 ?auto_37859 )
      ( DELIVER-PKG ?auto_37850 ?auto_37859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39429
      ?auto_39430
    )
    :vars
    (
      ?auto_39440
      ?auto_39436
      ?auto_39445
      ?auto_39442
      ?auto_39432
      ?auto_39438
      ?auto_39441
      ?auto_39446
      ?auto_39439
      ?auto_39437
      ?auto_39435
      ?auto_39433
      ?auto_39444
      ?auto_39434
      ?auto_39450
      ?auto_39449
    )
    :precondition
    ( and ( OBJ ?auto_39429 ) ( LOCATION ?auto_39430 ) ( AIRPLANE ?auto_39440 ) ( AIRPORT ?auto_39436 ) ( AIRPORT ?auto_39430 ) ( DIFFERENT ?auto_39430 ?auto_39436 ) ( LOCATION ?auto_39436 ) ( AIRPLANE ?auto_39445 ) ( AT ?auto_39445 ?auto_39436 ) ( LOCATION ?auto_39442 ) ( AT ?auto_39445 ?auto_39442 ) ( AIRPLANE ?auto_39432 ) ( AT ?auto_39432 ?auto_39442 ) ( LOCATION ?auto_39438 ) ( AT ?auto_39432 ?auto_39438 ) ( AIRPLANE ?auto_39441 ) ( AT ?auto_39441 ?auto_39438 ) ( AT ?auto_39441 ?auto_39436 ) ( AIRPORT ?auto_39446 ) ( AT ?auto_39440 ?auto_39446 ) ( DIFFERENT ?auto_39436 ?auto_39446 ) ( LOCATION ?auto_39439 ) ( AT ?auto_39440 ?auto_39439 ) ( AIRPLANE ?auto_39437 ) ( AT ?auto_39437 ?auto_39439 ) ( LOCATION ?auto_39435 ) ( AT ?auto_39437 ?auto_39435 ) ( TRUCK ?auto_39433 ) ( LOCATION ?auto_39444 ) ( CITY ?auto_39434 ) ( IN-CITY ?auto_39444 ?auto_39434 ) ( IN-CITY ?auto_39435 ?auto_39434 ) ( DIFFERENT ?auto_39435 ?auto_39444 ) ( AT ?auto_39429 ?auto_39444 ) ( LOCATION ?auto_39450 ) ( CITY ?auto_39449 ) ( AT ?auto_39433 ?auto_39450 ) ( IN-CITY ?auto_39450 ?auto_39449 ) ( IN-CITY ?auto_39444 ?auto_39449 ) ( DIFFERENT ?auto_39444 ?auto_39450 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39433 ?auto_39450 ?auto_39444 ?auto_39449 )
      ( DELIVER-PKG ?auto_39429 ?auto_39430 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39452
      ?auto_39453
    )
    :vars
    (
      ?auto_39460
      ?auto_39465
      ?auto_39461
      ?auto_39469
      ?auto_39459
      ?auto_39464
      ?auto_39457
      ?auto_39455
      ?auto_39467
      ?auto_39456
      ?auto_39470
      ?auto_39458
      ?auto_39473
    )
    :precondition
    ( and ( OBJ ?auto_39452 ) ( LOCATION ?auto_39453 ) ( AIRPLANE ?auto_39460 ) ( AIRPORT ?auto_39465 ) ( AIRPORT ?auto_39453 ) ( DIFFERENT ?auto_39453 ?auto_39465 ) ( LOCATION ?auto_39465 ) ( AIRPLANE ?auto_39461 ) ( AIRPORT ?auto_39469 ) ( AT ?auto_39460 ?auto_39469 ) ( DIFFERENT ?auto_39465 ?auto_39469 ) ( LOCATION ?auto_39459 ) ( AT ?auto_39460 ?auto_39459 ) ( AIRPLANE ?auto_39464 ) ( AT ?auto_39464 ?auto_39459 ) ( LOCATION ?auto_39457 ) ( AT ?auto_39464 ?auto_39457 ) ( TRUCK ?auto_39455 ) ( LOCATION ?auto_39467 ) ( CITY ?auto_39456 ) ( IN-CITY ?auto_39467 ?auto_39456 ) ( IN-CITY ?auto_39457 ?auto_39456 ) ( DIFFERENT ?auto_39457 ?auto_39467 ) ( AT ?auto_39452 ?auto_39467 ) ( LOCATION ?auto_39470 ) ( CITY ?auto_39458 ) ( AT ?auto_39455 ?auto_39470 ) ( IN-CITY ?auto_39470 ?auto_39458 ) ( IN-CITY ?auto_39467 ?auto_39458 ) ( DIFFERENT ?auto_39467 ?auto_39470 ) ( AIRPORT ?auto_39473 ) ( AT ?auto_39461 ?auto_39473 ) ( DIFFERENT ?auto_39465 ?auto_39473 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_39461 ?auto_39473 ?auto_39465 )
      ( DELIVER-PKG ?auto_39452 ?auto_39453 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39492
      ?auto_39493
    )
    :vars
    (
      ?auto_39502
      ?auto_39505
      ?auto_39503
      ?auto_39507
      ?auto_39501
      ?auto_39504
      ?auto_39495
      ?auto_39498
      ?auto_39506
      ?auto_39499
      ?auto_39508
      ?auto_39500
      ?auto_39497
      ?auto_39511
      ?auto_39510
    )
    :precondition
    ( and ( OBJ ?auto_39492 ) ( LOCATION ?auto_39493 ) ( AIRPLANE ?auto_39502 ) ( AIRPORT ?auto_39505 ) ( AIRPORT ?auto_39493 ) ( DIFFERENT ?auto_39493 ?auto_39505 ) ( LOCATION ?auto_39505 ) ( AIRPLANE ?auto_39503 ) ( AIRPORT ?auto_39507 ) ( AT ?auto_39502 ?auto_39507 ) ( DIFFERENT ?auto_39505 ?auto_39507 ) ( LOCATION ?auto_39501 ) ( AT ?auto_39502 ?auto_39501 ) ( AIRPLANE ?auto_39504 ) ( AT ?auto_39504 ?auto_39501 ) ( LOCATION ?auto_39495 ) ( AT ?auto_39504 ?auto_39495 ) ( TRUCK ?auto_39498 ) ( LOCATION ?auto_39506 ) ( CITY ?auto_39499 ) ( IN-CITY ?auto_39506 ?auto_39499 ) ( IN-CITY ?auto_39495 ?auto_39499 ) ( DIFFERENT ?auto_39495 ?auto_39506 ) ( AT ?auto_39492 ?auto_39506 ) ( LOCATION ?auto_39508 ) ( CITY ?auto_39500 ) ( IN-CITY ?auto_39508 ?auto_39500 ) ( IN-CITY ?auto_39506 ?auto_39500 ) ( DIFFERENT ?auto_39506 ?auto_39508 ) ( AIRPORT ?auto_39497 ) ( AT ?auto_39503 ?auto_39497 ) ( DIFFERENT ?auto_39505 ?auto_39497 ) ( LOCATION ?auto_39511 ) ( CITY ?auto_39510 ) ( AT ?auto_39498 ?auto_39511 ) ( IN-CITY ?auto_39511 ?auto_39510 ) ( IN-CITY ?auto_39508 ?auto_39510 ) ( DIFFERENT ?auto_39508 ?auto_39511 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39498 ?auto_39511 ?auto_39508 ?auto_39510 )
      ( DELIVER-PKG ?auto_39492 ?auto_39493 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40291
      ?auto_40292
    )
    :vars
    (
      ?auto_40299
      ?auto_40295
      ?auto_40301
      ?auto_40302
      ?auto_40298
      ?auto_40297
      ?auto_40294
      ?auto_40300
      ?auto_40304
      ?auto_40303
      ?auto_40307
      ?auto_40306
    )
    :precondition
    ( and ( OBJ ?auto_40291 ) ( LOCATION ?auto_40292 ) ( TRUCK ?auto_40299 ) ( LOCATION ?auto_40295 ) ( CITY ?auto_40301 ) ( AT ?auto_40299 ?auto_40295 ) ( IN-CITY ?auto_40295 ?auto_40301 ) ( IN-CITY ?auto_40292 ?auto_40301 ) ( DIFFERENT ?auto_40292 ?auto_40295 ) ( LOCATION ?auto_40302 ) ( AT ?auto_40299 ?auto_40302 ) ( AIRPLANE ?auto_40298 ) ( AIRPORT ?auto_40297 ) ( AIRPORT ?auto_40302 ) ( DIFFERENT ?auto_40302 ?auto_40297 ) ( LOCATION ?auto_40297 ) ( AIRPORT ?auto_40294 ) ( AT ?auto_40298 ?auto_40294 ) ( DIFFERENT ?auto_40297 ?auto_40294 ) ( TRUCK ?auto_40300 ) ( IN ?auto_40291 ?auto_40300 ) ( LOCATION ?auto_40304 ) ( CITY ?auto_40303 ) ( IN-CITY ?auto_40304 ?auto_40303 ) ( IN-CITY ?auto_40297 ?auto_40303 ) ( DIFFERENT ?auto_40297 ?auto_40304 ) ( LOCATION ?auto_40307 ) ( CITY ?auto_40306 ) ( AT ?auto_40300 ?auto_40307 ) ( IN-CITY ?auto_40307 ?auto_40306 ) ( IN-CITY ?auto_40304 ?auto_40306 ) ( DIFFERENT ?auto_40304 ?auto_40307 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40300 ?auto_40307 ?auto_40304 ?auto_40306 )
      ( DELIVER-PKG ?auto_40291 ?auto_40292 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40341
      ?auto_40342
    )
    :vars
    (
      ?auto_40349
      ?auto_40346
      ?auto_40351
      ?auto_40352
      ?auto_40348
      ?auto_40347
      ?auto_40345
      ?auto_40350
      ?auto_40354
      ?auto_40353
      ?auto_40356
      ?auto_40355
      ?auto_40358
    )
    :precondition
    ( and ( OBJ ?auto_40341 ) ( LOCATION ?auto_40342 ) ( TRUCK ?auto_40349 ) ( LOCATION ?auto_40346 ) ( CITY ?auto_40351 ) ( AT ?auto_40349 ?auto_40346 ) ( IN-CITY ?auto_40346 ?auto_40351 ) ( IN-CITY ?auto_40342 ?auto_40351 ) ( DIFFERENT ?auto_40342 ?auto_40346 ) ( LOCATION ?auto_40352 ) ( AT ?auto_40349 ?auto_40352 ) ( AIRPLANE ?auto_40348 ) ( AIRPORT ?auto_40347 ) ( AIRPORT ?auto_40352 ) ( DIFFERENT ?auto_40352 ?auto_40347 ) ( LOCATION ?auto_40347 ) ( AIRPORT ?auto_40345 ) ( AT ?auto_40348 ?auto_40345 ) ( DIFFERENT ?auto_40347 ?auto_40345 ) ( TRUCK ?auto_40350 ) ( LOCATION ?auto_40354 ) ( CITY ?auto_40353 ) ( IN-CITY ?auto_40354 ?auto_40353 ) ( IN-CITY ?auto_40347 ?auto_40353 ) ( DIFFERENT ?auto_40347 ?auto_40354 ) ( LOCATION ?auto_40356 ) ( CITY ?auto_40355 ) ( AT ?auto_40350 ?auto_40356 ) ( IN-CITY ?auto_40356 ?auto_40355 ) ( IN-CITY ?auto_40354 ?auto_40355 ) ( DIFFERENT ?auto_40354 ?auto_40356 ) ( LOCATION ?auto_40358 ) ( AT ?auto_40350 ?auto_40358 ) ( AT ?auto_40341 ?auto_40358 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_40341 ?auto_40350 ?auto_40358 )
      ( DELIVER-PKG ?auto_40341 ?auto_40342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40394
      ?auto_40395
    )
    :vars
    (
      ?auto_40401
      ?auto_40398
      ?auto_40403
      ?auto_40404
      ?auto_40400
      ?auto_40399
      ?auto_40396
      ?auto_40402
      ?auto_40406
      ?auto_40405
      ?auto_40410
      ?auto_40407
      ?auto_40413
      ?auto_40412
    )
    :precondition
    ( and ( OBJ ?auto_40394 ) ( LOCATION ?auto_40395 ) ( TRUCK ?auto_40401 ) ( LOCATION ?auto_40398 ) ( CITY ?auto_40403 ) ( AT ?auto_40401 ?auto_40398 ) ( IN-CITY ?auto_40398 ?auto_40403 ) ( IN-CITY ?auto_40395 ?auto_40403 ) ( DIFFERENT ?auto_40395 ?auto_40398 ) ( LOCATION ?auto_40404 ) ( AT ?auto_40401 ?auto_40404 ) ( AIRPLANE ?auto_40400 ) ( AIRPORT ?auto_40399 ) ( AIRPORT ?auto_40404 ) ( DIFFERENT ?auto_40404 ?auto_40399 ) ( LOCATION ?auto_40399 ) ( AIRPORT ?auto_40396 ) ( AT ?auto_40400 ?auto_40396 ) ( DIFFERENT ?auto_40399 ?auto_40396 ) ( TRUCK ?auto_40402 ) ( LOCATION ?auto_40406 ) ( CITY ?auto_40405 ) ( IN-CITY ?auto_40406 ?auto_40405 ) ( IN-CITY ?auto_40399 ?auto_40405 ) ( DIFFERENT ?auto_40399 ?auto_40406 ) ( LOCATION ?auto_40410 ) ( CITY ?auto_40407 ) ( IN-CITY ?auto_40410 ?auto_40407 ) ( IN-CITY ?auto_40406 ?auto_40407 ) ( DIFFERENT ?auto_40406 ?auto_40410 ) ( AT ?auto_40394 ?auto_40410 ) ( LOCATION ?auto_40413 ) ( CITY ?auto_40412 ) ( AT ?auto_40402 ?auto_40413 ) ( IN-CITY ?auto_40413 ?auto_40412 ) ( IN-CITY ?auto_40410 ?auto_40412 ) ( DIFFERENT ?auto_40410 ?auto_40413 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40402 ?auto_40413 ?auto_40410 ?auto_40412 )
      ( DELIVER-PKG ?auto_40394 ?auto_40395 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40896
      ?auto_40897
    )
    :vars
    (
      ?auto_40913
      ?auto_40902
      ?auto_40912
      ?auto_40910
      ?auto_40916
      ?auto_40903
      ?auto_40908
      ?auto_40906
      ?auto_40909
      ?auto_40904
      ?auto_40915
      ?auto_40901
      ?auto_40911
      ?auto_40914
      ?auto_40900
      ?auto_40905
      ?auto_40917
      ?auto_40907
      ?auto_40919
    )
    :precondition
    ( and ( OBJ ?auto_40896 ) ( LOCATION ?auto_40897 ) ( TRUCK ?auto_40913 ) ( LOCATION ?auto_40902 ) ( CITY ?auto_40912 ) ( AT ?auto_40913 ?auto_40902 ) ( IN-CITY ?auto_40902 ?auto_40912 ) ( IN-CITY ?auto_40897 ?auto_40912 ) ( DIFFERENT ?auto_40897 ?auto_40902 ) ( LOCATION ?auto_40910 ) ( AT ?auto_40913 ?auto_40910 ) ( AIRPLANE ?auto_40916 ) ( AIRPORT ?auto_40903 ) ( AIRPORT ?auto_40910 ) ( DIFFERENT ?auto_40910 ?auto_40903 ) ( LOCATION ?auto_40903 ) ( AIRPLANE ?auto_40908 ) ( AT ?auto_40908 ?auto_40903 ) ( LOCATION ?auto_40906 ) ( AT ?auto_40908 ?auto_40906 ) ( AIRPLANE ?auto_40909 ) ( AT ?auto_40909 ?auto_40906 ) ( LOCATION ?auto_40904 ) ( AT ?auto_40909 ?auto_40904 ) ( AIRPLANE ?auto_40915 ) ( AT ?auto_40915 ?auto_40904 ) ( AT ?auto_40915 ?auto_40903 ) ( AIRPORT ?auto_40901 ) ( AT ?auto_40916 ?auto_40901 ) ( DIFFERENT ?auto_40903 ?auto_40901 ) ( LOCATION ?auto_40911 ) ( AT ?auto_40916 ?auto_40911 ) ( AIRPLANE ?auto_40914 ) ( AT ?auto_40914 ?auto_40911 ) ( LOCATION ?auto_40900 ) ( AT ?auto_40914 ?auto_40900 ) ( TRUCK ?auto_40905 ) ( LOCATION ?auto_40917 ) ( CITY ?auto_40907 ) ( AT ?auto_40905 ?auto_40917 ) ( IN-CITY ?auto_40917 ?auto_40907 ) ( IN-CITY ?auto_40900 ?auto_40907 ) ( DIFFERENT ?auto_40900 ?auto_40917 ) ( LOCATION ?auto_40919 ) ( AT ?auto_40905 ?auto_40919 ) ( AT ?auto_40896 ?auto_40919 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_40896 ?auto_40905 ?auto_40919 )
      ( DELIVER-PKG ?auto_40896 ?auto_40897 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40944
      ?auto_40945
    )
    :vars
    (
      ?auto_40961
      ?auto_40950
      ?auto_40960
      ?auto_40958
      ?auto_40964
      ?auto_40951
      ?auto_40956
      ?auto_40954
      ?auto_40957
      ?auto_40952
      ?auto_40963
      ?auto_40949
      ?auto_40959
      ?auto_40962
      ?auto_40947
      ?auto_40953
      ?auto_40946
      ?auto_40955
      ?auto_40969
      ?auto_40968
    )
    :precondition
    ( and ( OBJ ?auto_40944 ) ( LOCATION ?auto_40945 ) ( TRUCK ?auto_40961 ) ( LOCATION ?auto_40950 ) ( CITY ?auto_40960 ) ( AT ?auto_40961 ?auto_40950 ) ( IN-CITY ?auto_40950 ?auto_40960 ) ( IN-CITY ?auto_40945 ?auto_40960 ) ( DIFFERENT ?auto_40945 ?auto_40950 ) ( LOCATION ?auto_40958 ) ( AT ?auto_40961 ?auto_40958 ) ( AIRPLANE ?auto_40964 ) ( AIRPORT ?auto_40951 ) ( AIRPORT ?auto_40958 ) ( DIFFERENT ?auto_40958 ?auto_40951 ) ( LOCATION ?auto_40951 ) ( AIRPLANE ?auto_40956 ) ( AT ?auto_40956 ?auto_40951 ) ( LOCATION ?auto_40954 ) ( AT ?auto_40956 ?auto_40954 ) ( AIRPLANE ?auto_40957 ) ( AT ?auto_40957 ?auto_40954 ) ( LOCATION ?auto_40952 ) ( AT ?auto_40957 ?auto_40952 ) ( AIRPLANE ?auto_40963 ) ( AT ?auto_40963 ?auto_40952 ) ( AT ?auto_40963 ?auto_40951 ) ( AIRPORT ?auto_40949 ) ( AT ?auto_40964 ?auto_40949 ) ( DIFFERENT ?auto_40951 ?auto_40949 ) ( LOCATION ?auto_40959 ) ( AT ?auto_40964 ?auto_40959 ) ( AIRPLANE ?auto_40962 ) ( AT ?auto_40962 ?auto_40959 ) ( LOCATION ?auto_40947 ) ( AT ?auto_40962 ?auto_40947 ) ( TRUCK ?auto_40953 ) ( LOCATION ?auto_40946 ) ( CITY ?auto_40955 ) ( IN-CITY ?auto_40946 ?auto_40955 ) ( IN-CITY ?auto_40947 ?auto_40955 ) ( DIFFERENT ?auto_40947 ?auto_40946 ) ( AT ?auto_40944 ?auto_40946 ) ( LOCATION ?auto_40969 ) ( CITY ?auto_40968 ) ( AT ?auto_40953 ?auto_40969 ) ( IN-CITY ?auto_40969 ?auto_40968 ) ( IN-CITY ?auto_40946 ?auto_40968 ) ( DIFFERENT ?auto_40946 ?auto_40969 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40953 ?auto_40969 ?auto_40946 ?auto_40968 )
      ( DELIVER-PKG ?auto_40944 ?auto_40945 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40971
      ?auto_40972
    )
    :vars
    (
      ?auto_40986
      ?auto_40976
      ?auto_40985
      ?auto_40983
      ?auto_40989
      ?auto_40977
      ?auto_40988
      ?auto_40974
      ?auto_40984
      ?auto_40987
      ?auto_40993
      ?auto_40978
      ?auto_40992
      ?auto_40980
      ?auto_40975
      ?auto_40973
      ?auto_40996
    )
    :precondition
    ( and ( OBJ ?auto_40971 ) ( LOCATION ?auto_40972 ) ( TRUCK ?auto_40986 ) ( LOCATION ?auto_40976 ) ( CITY ?auto_40985 ) ( AT ?auto_40986 ?auto_40976 ) ( IN-CITY ?auto_40976 ?auto_40985 ) ( IN-CITY ?auto_40972 ?auto_40985 ) ( DIFFERENT ?auto_40972 ?auto_40976 ) ( LOCATION ?auto_40983 ) ( AT ?auto_40986 ?auto_40983 ) ( AIRPLANE ?auto_40989 ) ( AIRPORT ?auto_40977 ) ( AIRPORT ?auto_40983 ) ( DIFFERENT ?auto_40983 ?auto_40977 ) ( LOCATION ?auto_40977 ) ( AIRPLANE ?auto_40988 ) ( AIRPORT ?auto_40974 ) ( AT ?auto_40989 ?auto_40974 ) ( DIFFERENT ?auto_40977 ?auto_40974 ) ( LOCATION ?auto_40984 ) ( AT ?auto_40989 ?auto_40984 ) ( AIRPLANE ?auto_40987 ) ( AT ?auto_40987 ?auto_40984 ) ( LOCATION ?auto_40993 ) ( AT ?auto_40987 ?auto_40993 ) ( TRUCK ?auto_40978 ) ( LOCATION ?auto_40992 ) ( CITY ?auto_40980 ) ( IN-CITY ?auto_40992 ?auto_40980 ) ( IN-CITY ?auto_40993 ?auto_40980 ) ( DIFFERENT ?auto_40993 ?auto_40992 ) ( AT ?auto_40971 ?auto_40992 ) ( LOCATION ?auto_40975 ) ( CITY ?auto_40973 ) ( AT ?auto_40978 ?auto_40975 ) ( IN-CITY ?auto_40975 ?auto_40973 ) ( IN-CITY ?auto_40992 ?auto_40973 ) ( DIFFERENT ?auto_40992 ?auto_40975 ) ( AIRPORT ?auto_40996 ) ( AT ?auto_40988 ?auto_40996 ) ( DIFFERENT ?auto_40977 ?auto_40996 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_40988 ?auto_40996 ?auto_40977 )
      ( DELIVER-PKG ?auto_40971 ?auto_40972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41019
      ?auto_41020
    )
    :vars
    (
      ?auto_41029
      ?auto_41033
      ?auto_41023
      ?auto_41024
      ?auto_41031
      ?auto_41036
      ?auto_41035
      ?auto_41038
      ?auto_41021
      ?auto_41030
      ?auto_41027
      ?auto_41039
      ?auto_41026
      ?auto_41034
      ?auto_41037
      ?auto_41028
      ?auto_41032
      ?auto_41042
      ?auto_41041
    )
    :precondition
    ( and ( OBJ ?auto_41019 ) ( LOCATION ?auto_41020 ) ( TRUCK ?auto_41029 ) ( LOCATION ?auto_41033 ) ( CITY ?auto_41023 ) ( AT ?auto_41029 ?auto_41033 ) ( IN-CITY ?auto_41033 ?auto_41023 ) ( IN-CITY ?auto_41020 ?auto_41023 ) ( DIFFERENT ?auto_41020 ?auto_41033 ) ( LOCATION ?auto_41024 ) ( AT ?auto_41029 ?auto_41024 ) ( AIRPLANE ?auto_41031 ) ( AIRPORT ?auto_41036 ) ( AIRPORT ?auto_41024 ) ( DIFFERENT ?auto_41024 ?auto_41036 ) ( LOCATION ?auto_41036 ) ( AIRPLANE ?auto_41035 ) ( AIRPORT ?auto_41038 ) ( AT ?auto_41031 ?auto_41038 ) ( DIFFERENT ?auto_41036 ?auto_41038 ) ( LOCATION ?auto_41021 ) ( AT ?auto_41031 ?auto_41021 ) ( AIRPLANE ?auto_41030 ) ( AT ?auto_41030 ?auto_41021 ) ( LOCATION ?auto_41027 ) ( AT ?auto_41030 ?auto_41027 ) ( TRUCK ?auto_41039 ) ( LOCATION ?auto_41026 ) ( CITY ?auto_41034 ) ( IN-CITY ?auto_41026 ?auto_41034 ) ( IN-CITY ?auto_41027 ?auto_41034 ) ( DIFFERENT ?auto_41027 ?auto_41026 ) ( AT ?auto_41019 ?auto_41026 ) ( LOCATION ?auto_41037 ) ( CITY ?auto_41028 ) ( IN-CITY ?auto_41037 ?auto_41028 ) ( IN-CITY ?auto_41026 ?auto_41028 ) ( DIFFERENT ?auto_41026 ?auto_41037 ) ( AIRPORT ?auto_41032 ) ( AT ?auto_41035 ?auto_41032 ) ( DIFFERENT ?auto_41036 ?auto_41032 ) ( LOCATION ?auto_41042 ) ( CITY ?auto_41041 ) ( AT ?auto_41039 ?auto_41042 ) ( IN-CITY ?auto_41042 ?auto_41041 ) ( IN-CITY ?auto_41037 ?auto_41041 ) ( DIFFERENT ?auto_41037 ?auto_41042 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41039 ?auto_41042 ?auto_41037 ?auto_41041 )
      ( DELIVER-PKG ?auto_41019 ?auto_41020 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41330
      ?auto_41335
    )
    :vars
    (
      ?auto_41333
      ?auto_41337
      ?auto_41340
      ?auto_41343
      ?auto_41346
    )
    :precondition
    ( and ( OBJ ?auto_41330 ) ( LOCATION ?auto_41335 ) ( AIRPLANE ?auto_41333 ) ( AIRPORT ?auto_41337 ) ( AIRPORT ?auto_41335 ) ( DIFFERENT ?auto_41335 ?auto_41337 ) ( AIRPORT ?auto_41340 ) ( DIFFERENT ?auto_41337 ?auto_41340 ) ( AIRPORT ?auto_41343 ) ( AT ?auto_41333 ?auto_41343 ) ( DIFFERENT ?auto_41340 ?auto_41343 ) ( TRUCK ?auto_41346 ) ( AT ?auto_41346 ?auto_41335 ) ( IN ?auto_41330 ?auto_41346 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41330 ?auto_41335 )
      ( FLY-AIRPLANE ?auto_41333 ?auto_41343 ?auto_41340 )
      ( FLY-AIRPLANE ?auto_41333 ?auto_41340 ?auto_41337 )
      ( FLY-AIRPLANE ?auto_41333 ?auto_41337 ?auto_41335 )
      ( DELIVER-PKG ?auto_41330 ?auto_41335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42088
      ?auto_42093
    )
    :vars
    (
      ?auto_42092
      ?auto_42094
      ?auto_42097
      ?auto_42096
    )
    :precondition
    ( and ( OBJ ?auto_42088 ) ( LOCATION ?auto_42093 ) ( TRUCK ?auto_42092 ) ( AIRPLANE ?auto_42094 ) ( IN ?auto_42088 ?auto_42094 ) ( AT ?auto_42094 ?auto_42093 ) ( LOCATION ?auto_42097 ) ( CITY ?auto_42096 ) ( AT ?auto_42092 ?auto_42097 ) ( IN-CITY ?auto_42097 ?auto_42096 ) ( IN-CITY ?auto_42093 ?auto_42096 ) ( DIFFERENT ?auto_42093 ?auto_42097 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42092 ?auto_42097 ?auto_42093 ?auto_42096 )
      ( DELIVER-PKG ?auto_42088 ?auto_42093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42165
      ?auto_42166
    )
    :vars
    (
      ?auto_42170
      ?auto_42172
      ?auto_42171
      ?auto_42169
      ?auto_42173
      ?auto_42174
      ?auto_42177
      ?auto_42176
    )
    :precondition
    ( and ( OBJ ?auto_42165 ) ( LOCATION ?auto_42166 ) ( TRUCK ?auto_42170 ) ( AIRPLANE ?auto_42172 ) ( LOCATION ?auto_42171 ) ( CITY ?auto_42169 ) ( IN-CITY ?auto_42171 ?auto_42169 ) ( IN-CITY ?auto_42166 ?auto_42169 ) ( DIFFERENT ?auto_42166 ?auto_42171 ) ( AIRPORT ?auto_42173 ) ( AIRPORT ?auto_42166 ) ( AT ?auto_42172 ?auto_42173 ) ( DIFFERENT ?auto_42166 ?auto_42173 ) ( LOCATION ?auto_42174 ) ( AT ?auto_42165 ?auto_42174 ) ( AT ?auto_42172 ?auto_42174 ) ( LOCATION ?auto_42177 ) ( CITY ?auto_42176 ) ( AT ?auto_42170 ?auto_42177 ) ( IN-CITY ?auto_42177 ?auto_42176 ) ( IN-CITY ?auto_42171 ?auto_42176 ) ( DIFFERENT ?auto_42171 ?auto_42177 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42170 ?auto_42177 ?auto_42171 ?auto_42176 )
      ( DELIVER-PKG ?auto_42165 ?auto_42166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43006
      ?auto_43007
    )
    :vars
    (
      ?auto_43009
      ?auto_43012
      ?auto_43010
      ?auto_43014
      ?auto_43017
      ?auto_43016
    )
    :precondition
    ( and ( OBJ ?auto_43006 ) ( LOCATION ?auto_43007 ) ( TRUCK ?auto_43009 ) ( LOCATION ?auto_43012 ) ( CITY ?auto_43010 ) ( IN-CITY ?auto_43012 ?auto_43010 ) ( IN-CITY ?auto_43007 ?auto_43010 ) ( DIFFERENT ?auto_43007 ?auto_43012 ) ( AIRPLANE ?auto_43014 ) ( IN ?auto_43006 ?auto_43014 ) ( AT ?auto_43014 ?auto_43012 ) ( LOCATION ?auto_43017 ) ( CITY ?auto_43016 ) ( AT ?auto_43009 ?auto_43017 ) ( IN-CITY ?auto_43017 ?auto_43016 ) ( IN-CITY ?auto_43012 ?auto_43016 ) ( DIFFERENT ?auto_43012 ?auto_43017 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_43009 ?auto_43017 ?auto_43012 ?auto_43016 )
      ( DELIVER-PKG ?auto_43006 ?auto_43007 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43029
      ?auto_43030
    )
    :vars
    (
      ?auto_43038
      ?auto_43033
      ?auto_43032
      ?auto_43034
      ?auto_43037
      ?auto_43036
      ?auto_43040
    )
    :precondition
    ( and ( OBJ ?auto_43029 ) ( LOCATION ?auto_43030 ) ( TRUCK ?auto_43038 ) ( LOCATION ?auto_43033 ) ( CITY ?auto_43032 ) ( IN-CITY ?auto_43033 ?auto_43032 ) ( IN-CITY ?auto_43030 ?auto_43032 ) ( DIFFERENT ?auto_43030 ?auto_43033 ) ( AIRPLANE ?auto_43034 ) ( IN ?auto_43029 ?auto_43034 ) ( LOCATION ?auto_43037 ) ( CITY ?auto_43036 ) ( AT ?auto_43038 ?auto_43037 ) ( IN-CITY ?auto_43037 ?auto_43036 ) ( IN-CITY ?auto_43033 ?auto_43036 ) ( DIFFERENT ?auto_43033 ?auto_43037 ) ( AIRPORT ?auto_43040 ) ( AIRPORT ?auto_43033 ) ( AT ?auto_43034 ?auto_43040 ) ( DIFFERENT ?auto_43033 ?auto_43040 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_43034 ?auto_43040 ?auto_43033 )
      ( DELIVER-PKG ?auto_43029 ?auto_43030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43075
      ?auto_43076
    )
    :vars
    (
      ?auto_43084
      ?auto_43080
      ?auto_43079
      ?auto_43081
      ?auto_43083
      ?auto_43082
      ?auto_43085
      ?auto_43087
    )
    :precondition
    ( and ( OBJ ?auto_43075 ) ( LOCATION ?auto_43076 ) ( TRUCK ?auto_43084 ) ( LOCATION ?auto_43080 ) ( CITY ?auto_43079 ) ( IN-CITY ?auto_43080 ?auto_43079 ) ( IN-CITY ?auto_43076 ?auto_43079 ) ( DIFFERENT ?auto_43076 ?auto_43080 ) ( AIRPLANE ?auto_43081 ) ( LOCATION ?auto_43083 ) ( CITY ?auto_43082 ) ( AT ?auto_43084 ?auto_43083 ) ( IN-CITY ?auto_43083 ?auto_43082 ) ( IN-CITY ?auto_43080 ?auto_43082 ) ( DIFFERENT ?auto_43080 ?auto_43083 ) ( AIRPORT ?auto_43085 ) ( AIRPORT ?auto_43080 ) ( AT ?auto_43081 ?auto_43085 ) ( DIFFERENT ?auto_43080 ?auto_43085 ) ( LOCATION ?auto_43087 ) ( AT ?auto_43075 ?auto_43087 ) ( AT ?auto_43081 ?auto_43087 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_43075 ?auto_43081 ?auto_43087 )
      ( DELIVER-PKG ?auto_43075 ?auto_43076 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43101
      ?auto_43102
    )
    :vars
    (
      ?auto_43110
      ?auto_43106
      ?auto_43105
      ?auto_43107
      ?auto_43109
      ?auto_43108
      ?auto_43111
      ?auto_43112
      ?auto_43115
      ?auto_43114
    )
    :precondition
    ( and ( OBJ ?auto_43101 ) ( LOCATION ?auto_43102 ) ( TRUCK ?auto_43110 ) ( LOCATION ?auto_43106 ) ( CITY ?auto_43105 ) ( IN-CITY ?auto_43106 ?auto_43105 ) ( IN-CITY ?auto_43102 ?auto_43105 ) ( DIFFERENT ?auto_43102 ?auto_43106 ) ( AIRPLANE ?auto_43107 ) ( LOCATION ?auto_43109 ) ( CITY ?auto_43108 ) ( IN-CITY ?auto_43109 ?auto_43108 ) ( IN-CITY ?auto_43106 ?auto_43108 ) ( DIFFERENT ?auto_43106 ?auto_43109 ) ( AIRPORT ?auto_43111 ) ( AIRPORT ?auto_43106 ) ( AT ?auto_43107 ?auto_43111 ) ( DIFFERENT ?auto_43106 ?auto_43111 ) ( LOCATION ?auto_43112 ) ( AT ?auto_43101 ?auto_43112 ) ( AT ?auto_43107 ?auto_43112 ) ( LOCATION ?auto_43115 ) ( CITY ?auto_43114 ) ( AT ?auto_43110 ?auto_43115 ) ( IN-CITY ?auto_43115 ?auto_43114 ) ( IN-CITY ?auto_43109 ?auto_43114 ) ( DIFFERENT ?auto_43109 ?auto_43115 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_43110 ?auto_43115 ?auto_43109 ?auto_43114 )
      ( DELIVER-PKG ?auto_43101 ?auto_43102 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43278
      ?auto_43279
    )
    :vars
    (
      ?auto_43282
      ?auto_43281
      ?auto_43283
      ?auto_43284
      ?auto_43287
      ?auto_43286
      ?auto_43289
    )
    :precondition
    ( and ( OBJ ?auto_43278 ) ( LOCATION ?auto_43279 ) ( AIRPLANE ?auto_43282 ) ( AIRPORT ?auto_43281 ) ( AIRPORT ?auto_43279 ) ( DIFFERENT ?auto_43279 ?auto_43281 ) ( LOCATION ?auto_43281 ) ( AIRPORT ?auto_43283 ) ( DIFFERENT ?auto_43281 ?auto_43283 ) ( TRUCK ?auto_43284 ) ( IN ?auto_43278 ?auto_43284 ) ( LOCATION ?auto_43287 ) ( CITY ?auto_43286 ) ( AT ?auto_43284 ?auto_43287 ) ( IN-CITY ?auto_43287 ?auto_43286 ) ( IN-CITY ?auto_43281 ?auto_43286 ) ( DIFFERENT ?auto_43281 ?auto_43287 ) ( AIRPORT ?auto_43289 ) ( AT ?auto_43282 ?auto_43289 ) ( DIFFERENT ?auto_43283 ?auto_43289 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_43282 ?auto_43289 ?auto_43283 )
      ( DELIVER-PKG ?auto_43278 ?auto_43279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44206
      ?auto_44207
    )
    :vars
    (
      ?auto_44208
      ?auto_44216
      ?auto_44213
      ?auto_44209
      ?auto_44211
      ?auto_44217
      ?auto_44220
      ?auto_44210
      ?auto_44219
      ?auto_44218
      ?auto_44215
      ?auto_44223
    )
    :precondition
    ( and ( OBJ ?auto_44206 ) ( LOCATION ?auto_44207 ) ( TRUCK ?auto_44208 ) ( LOCATION ?auto_44216 ) ( CITY ?auto_44213 ) ( AT ?auto_44208 ?auto_44216 ) ( IN-CITY ?auto_44216 ?auto_44213 ) ( IN-CITY ?auto_44207 ?auto_44213 ) ( DIFFERENT ?auto_44207 ?auto_44216 ) ( LOCATION ?auto_44209 ) ( AT ?auto_44208 ?auto_44209 ) ( AIRPLANE ?auto_44211 ) ( AIRPORT ?auto_44217 ) ( AIRPORT ?auto_44209 ) ( AT ?auto_44211 ?auto_44217 ) ( DIFFERENT ?auto_44209 ?auto_44217 ) ( LOCATION ?auto_44220 ) ( AT ?auto_44211 ?auto_44220 ) ( TRUCK ?auto_44210 ) ( LOCATION ?auto_44219 ) ( CITY ?auto_44218 ) ( AT ?auto_44210 ?auto_44219 ) ( IN-CITY ?auto_44219 ?auto_44218 ) ( IN-CITY ?auto_44220 ?auto_44218 ) ( DIFFERENT ?auto_44220 ?auto_44219 ) ( LOCATION ?auto_44215 ) ( AT ?auto_44210 ?auto_44215 ) ( TRUCK ?auto_44223 ) ( AT ?auto_44223 ?auto_44215 ) ( IN ?auto_44206 ?auto_44223 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_44206 ?auto_44215 )
      ( DELIVER-PKG ?auto_44206 ?auto_44207 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45626
      ?auto_45627
    )
    :vars
    (
      ?auto_45635
      ?auto_45634
      ?auto_45633
      ?auto_45629
      ?auto_45637
      ?auto_45636
      ?auto_45630
      ?auto_45632
      ?auto_45640
      ?auto_45639
      ?auto_45641
      ?auto_45642
      ?auto_45638
      ?auto_45645
      ?auto_45644
    )
    :precondition
    ( and ( OBJ ?auto_45626 ) ( LOCATION ?auto_45627 ) ( TRUCK ?auto_45635 ) ( LOCATION ?auto_45634 ) ( CITY ?auto_45633 ) ( IN-CITY ?auto_45634 ?auto_45633 ) ( IN-CITY ?auto_45627 ?auto_45633 ) ( DIFFERENT ?auto_45627 ?auto_45634 ) ( AIRPLANE ?auto_45629 ) ( AIRPORT ?auto_45637 ) ( AIRPORT ?auto_45634 ) ( DIFFERENT ?auto_45634 ?auto_45637 ) ( LOCATION ?auto_45637 ) ( TRUCK ?auto_45636 ) ( LOCATION ?auto_45630 ) ( CITY ?auto_45632 ) ( IN-CITY ?auto_45630 ?auto_45632 ) ( IN-CITY ?auto_45637 ?auto_45632 ) ( DIFFERENT ?auto_45637 ?auto_45630 ) ( AT ?auto_45626 ?auto_45630 ) ( LOCATION ?auto_45640 ) ( CITY ?auto_45639 ) ( AT ?auto_45636 ?auto_45640 ) ( IN-CITY ?auto_45640 ?auto_45639 ) ( IN-CITY ?auto_45630 ?auto_45639 ) ( DIFFERENT ?auto_45630 ?auto_45640 ) ( AIRPORT ?auto_45641 ) ( AT ?auto_45629 ?auto_45641 ) ( DIFFERENT ?auto_45637 ?auto_45641 ) ( LOCATION ?auto_45642 ) ( CITY ?auto_45638 ) ( IN-CITY ?auto_45642 ?auto_45638 ) ( IN-CITY ?auto_45634 ?auto_45638 ) ( DIFFERENT ?auto_45634 ?auto_45642 ) ( LOCATION ?auto_45645 ) ( CITY ?auto_45644 ) ( AT ?auto_45635 ?auto_45645 ) ( IN-CITY ?auto_45645 ?auto_45644 ) ( IN-CITY ?auto_45642 ?auto_45644 ) ( DIFFERENT ?auto_45642 ?auto_45645 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45635 ?auto_45645 ?auto_45642 ?auto_45644 )
      ( DELIVER-PKG ?auto_45626 ?auto_45627 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48511
      ?auto_48512
    )
    :vars
    (
      ?auto_48515
      ?auto_48519
      ?auto_48526
      ?auto_48516
      ?auto_48521
      ?auto_48520
      ?auto_48517
      ?auto_48522
      ?auto_48523
      ?auto_48518
      ?auto_48525
      ?auto_48524
      ?auto_48527
      ?auto_48530
    )
    :precondition
    ( and ( OBJ ?auto_48511 ) ( LOCATION ?auto_48512 ) ( TRUCK ?auto_48515 ) ( LOCATION ?auto_48519 ) ( CITY ?auto_48526 ) ( IN-CITY ?auto_48519 ?auto_48526 ) ( IN-CITY ?auto_48512 ?auto_48526 ) ( DIFFERENT ?auto_48512 ?auto_48519 ) ( LOCATION ?auto_48516 ) ( CITY ?auto_48521 ) ( AT ?auto_48515 ?auto_48516 ) ( IN-CITY ?auto_48516 ?auto_48521 ) ( IN-CITY ?auto_48519 ?auto_48521 ) ( DIFFERENT ?auto_48519 ?auto_48516 ) ( LOCATION ?auto_48520 ) ( AT ?auto_48515 ?auto_48520 ) ( AIRPLANE ?auto_48517 ) ( AIRPORT ?auto_48522 ) ( AIRPORT ?auto_48520 ) ( AT ?auto_48517 ?auto_48522 ) ( DIFFERENT ?auto_48520 ?auto_48522 ) ( LOCATION ?auto_48523 ) ( AT ?auto_48517 ?auto_48523 ) ( TRUCK ?auto_48518 ) ( LOCATION ?auto_48525 ) ( CITY ?auto_48524 ) ( AT ?auto_48518 ?auto_48525 ) ( IN-CITY ?auto_48525 ?auto_48524 ) ( IN-CITY ?auto_48523 ?auto_48524 ) ( DIFFERENT ?auto_48523 ?auto_48525 ) ( LOCATION ?auto_48527 ) ( AT ?auto_48518 ?auto_48527 ) ( TRUCK ?auto_48530 ) ( AT ?auto_48530 ?auto_48527 ) ( IN ?auto_48511 ?auto_48530 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_48511 ?auto_48527 )
      ( DELIVER-PKG ?auto_48511 ?auto_48512 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48651
      ?auto_48652
    )
    :vars
    (
      ?auto_48663
      ?auto_48666
      ?auto_48657
      ?auto_48659
      ?auto_48664
      ?auto_48668
      ?auto_48656
      ?auto_48654
      ?auto_48665
      ?auto_48658
      ?auto_48655
      ?auto_48661
      ?auto_48662
      ?auto_48660
      ?auto_48672
      ?auto_48671
    )
    :precondition
    ( and ( OBJ ?auto_48651 ) ( LOCATION ?auto_48652 ) ( TRUCK ?auto_48663 ) ( LOCATION ?auto_48666 ) ( CITY ?auto_48657 ) ( IN-CITY ?auto_48666 ?auto_48657 ) ( IN-CITY ?auto_48652 ?auto_48657 ) ( DIFFERENT ?auto_48652 ?auto_48666 ) ( LOCATION ?auto_48659 ) ( CITY ?auto_48664 ) ( AT ?auto_48663 ?auto_48659 ) ( IN-CITY ?auto_48659 ?auto_48664 ) ( IN-CITY ?auto_48666 ?auto_48664 ) ( DIFFERENT ?auto_48666 ?auto_48659 ) ( LOCATION ?auto_48668 ) ( AT ?auto_48663 ?auto_48668 ) ( AIRPLANE ?auto_48656 ) ( AIRPORT ?auto_48654 ) ( AIRPORT ?auto_48668 ) ( DIFFERENT ?auto_48668 ?auto_48654 ) ( LOCATION ?auto_48654 ) ( TRUCK ?auto_48665 ) ( LOCATION ?auto_48658 ) ( CITY ?auto_48655 ) ( IN-CITY ?auto_48658 ?auto_48655 ) ( IN-CITY ?auto_48654 ?auto_48655 ) ( DIFFERENT ?auto_48654 ?auto_48658 ) ( LOCATION ?auto_48661 ) ( CITY ?auto_48662 ) ( IN-CITY ?auto_48661 ?auto_48662 ) ( IN-CITY ?auto_48658 ?auto_48662 ) ( DIFFERENT ?auto_48658 ?auto_48661 ) ( AT ?auto_48651 ?auto_48661 ) ( AIRPORT ?auto_48660 ) ( AT ?auto_48656 ?auto_48660 ) ( DIFFERENT ?auto_48654 ?auto_48660 ) ( LOCATION ?auto_48672 ) ( CITY ?auto_48671 ) ( AT ?auto_48665 ?auto_48672 ) ( IN-CITY ?auto_48672 ?auto_48671 ) ( IN-CITY ?auto_48661 ?auto_48671 ) ( DIFFERENT ?auto_48661 ?auto_48672 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_48665 ?auto_48672 ?auto_48661 ?auto_48671 )
      ( DELIVER-PKG ?auto_48651 ?auto_48652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48674
      ?auto_48675
    )
    :vars
    (
      ?auto_48686
      ?auto_48680
      ?auto_48692
      ?auto_48681
      ?auto_48688
      ?auto_48691
      ?auto_48689
      ?auto_48679
      ?auto_48678
      ?auto_48690
      ?auto_48676
      ?auto_48685
      ?auto_48693
      ?auto_48684
      ?auto_48682
      ?auto_48696
      ?auto_48695
    )
    :precondition
    ( and ( OBJ ?auto_48674 ) ( LOCATION ?auto_48675 ) ( TRUCK ?auto_48686 ) ( LOCATION ?auto_48680 ) ( CITY ?auto_48692 ) ( IN-CITY ?auto_48680 ?auto_48692 ) ( IN-CITY ?auto_48675 ?auto_48692 ) ( DIFFERENT ?auto_48675 ?auto_48680 ) ( LOCATION ?auto_48681 ) ( CITY ?auto_48688 ) ( IN-CITY ?auto_48681 ?auto_48688 ) ( IN-CITY ?auto_48680 ?auto_48688 ) ( DIFFERENT ?auto_48680 ?auto_48681 ) ( AIRPLANE ?auto_48691 ) ( AIRPORT ?auto_48689 ) ( AIRPORT ?auto_48681 ) ( DIFFERENT ?auto_48681 ?auto_48689 ) ( LOCATION ?auto_48689 ) ( TRUCK ?auto_48679 ) ( LOCATION ?auto_48678 ) ( CITY ?auto_48690 ) ( IN-CITY ?auto_48678 ?auto_48690 ) ( IN-CITY ?auto_48689 ?auto_48690 ) ( DIFFERENT ?auto_48689 ?auto_48678 ) ( LOCATION ?auto_48676 ) ( CITY ?auto_48685 ) ( IN-CITY ?auto_48676 ?auto_48685 ) ( IN-CITY ?auto_48678 ?auto_48685 ) ( DIFFERENT ?auto_48678 ?auto_48676 ) ( AT ?auto_48674 ?auto_48676 ) ( AIRPORT ?auto_48693 ) ( AT ?auto_48691 ?auto_48693 ) ( DIFFERENT ?auto_48689 ?auto_48693 ) ( LOCATION ?auto_48684 ) ( CITY ?auto_48682 ) ( AT ?auto_48679 ?auto_48684 ) ( IN-CITY ?auto_48684 ?auto_48682 ) ( IN-CITY ?auto_48676 ?auto_48682 ) ( DIFFERENT ?auto_48676 ?auto_48684 ) ( LOCATION ?auto_48696 ) ( CITY ?auto_48695 ) ( AT ?auto_48686 ?auto_48696 ) ( IN-CITY ?auto_48696 ?auto_48695 ) ( IN-CITY ?auto_48681 ?auto_48695 ) ( DIFFERENT ?auto_48681 ?auto_48696 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_48686 ?auto_48696 ?auto_48681 ?auto_48695 )
      ( DELIVER-PKG ?auto_48674 ?auto_48675 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48894
      ?auto_48895
    )
    :vars
    (
      ?auto_48906
      ?auto_48905
      ?auto_48901
      ?auto_48897
      ?auto_48902
      ?auto_48898
      ?auto_48899
      ?auto_48904
      ?auto_48900
      ?auto_48908
      ?auto_48907
      ?auto_48912
      ?auto_48911
    )
    :precondition
    ( and ( OBJ ?auto_48894 ) ( LOCATION ?auto_48895 ) ( TRUCK ?auto_48906 ) ( LOCATION ?auto_48905 ) ( CITY ?auto_48901 ) ( IN-CITY ?auto_48905 ?auto_48901 ) ( IN-CITY ?auto_48895 ?auto_48901 ) ( DIFFERENT ?auto_48895 ?auto_48905 ) ( LOCATION ?auto_48897 ) ( CITY ?auto_48902 ) ( IN-CITY ?auto_48897 ?auto_48902 ) ( IN-CITY ?auto_48905 ?auto_48902 ) ( DIFFERENT ?auto_48905 ?auto_48897 ) ( AIRPLANE ?auto_48898 ) ( AIRPORT ?auto_48899 ) ( AIRPORT ?auto_48897 ) ( AT ?auto_48898 ?auto_48899 ) ( DIFFERENT ?auto_48897 ?auto_48899 ) ( LOCATION ?auto_48904 ) ( AT ?auto_48898 ?auto_48904 ) ( TRUCK ?auto_48900 ) ( IN ?auto_48894 ?auto_48900 ) ( LOCATION ?auto_48908 ) ( CITY ?auto_48907 ) ( AT ?auto_48900 ?auto_48908 ) ( IN-CITY ?auto_48908 ?auto_48907 ) ( IN-CITY ?auto_48904 ?auto_48907 ) ( DIFFERENT ?auto_48904 ?auto_48908 ) ( LOCATION ?auto_48912 ) ( CITY ?auto_48911 ) ( AT ?auto_48906 ?auto_48912 ) ( IN-CITY ?auto_48912 ?auto_48911 ) ( IN-CITY ?auto_48897 ?auto_48911 ) ( DIFFERENT ?auto_48897 ?auto_48912 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_48906 ?auto_48912 ?auto_48897 ?auto_48911 )
      ( DELIVER-PKG ?auto_48894 ?auto_48895 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48914
      ?auto_48915
    )
    :vars
    (
      ?auto_48924
      ?auto_48927
      ?auto_48918
      ?auto_48928
      ?auto_48916
      ?auto_48930
      ?auto_48929
      ?auto_48925
      ?auto_48922
      ?auto_48920
      ?auto_48919
      ?auto_48923
      ?auto_48921
      ?auto_48932
    )
    :precondition
    ( and ( OBJ ?auto_48914 ) ( LOCATION ?auto_48915 ) ( TRUCK ?auto_48924 ) ( LOCATION ?auto_48927 ) ( CITY ?auto_48918 ) ( IN-CITY ?auto_48927 ?auto_48918 ) ( IN-CITY ?auto_48915 ?auto_48918 ) ( DIFFERENT ?auto_48915 ?auto_48927 ) ( LOCATION ?auto_48928 ) ( CITY ?auto_48916 ) ( IN-CITY ?auto_48928 ?auto_48916 ) ( IN-CITY ?auto_48927 ?auto_48916 ) ( DIFFERENT ?auto_48927 ?auto_48928 ) ( AIRPLANE ?auto_48930 ) ( AIRPORT ?auto_48929 ) ( AIRPORT ?auto_48928 ) ( AT ?auto_48930 ?auto_48929 ) ( DIFFERENT ?auto_48928 ?auto_48929 ) ( LOCATION ?auto_48925 ) ( AT ?auto_48930 ?auto_48925 ) ( TRUCK ?auto_48922 ) ( LOCATION ?auto_48920 ) ( CITY ?auto_48919 ) ( AT ?auto_48922 ?auto_48920 ) ( IN-CITY ?auto_48920 ?auto_48919 ) ( IN-CITY ?auto_48925 ?auto_48919 ) ( DIFFERENT ?auto_48925 ?auto_48920 ) ( LOCATION ?auto_48923 ) ( CITY ?auto_48921 ) ( AT ?auto_48924 ?auto_48923 ) ( IN-CITY ?auto_48923 ?auto_48921 ) ( IN-CITY ?auto_48928 ?auto_48921 ) ( DIFFERENT ?auto_48928 ?auto_48923 ) ( LOCATION ?auto_48932 ) ( AT ?auto_48922 ?auto_48932 ) ( AT ?auto_48914 ?auto_48932 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_48914 ?auto_48922 ?auto_48932 )
      ( DELIVER-PKG ?auto_48914 ?auto_48915 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48952
      ?auto_48953
    )
    :vars
    (
      ?auto_48963
      ?auto_48965
      ?auto_48958
      ?auto_48966
      ?auto_48956
      ?auto_48968
      ?auto_48967
      ?auto_48964
      ?auto_48961
      ?auto_48957
      ?auto_48959
      ?auto_48962
      ?auto_48960
      ?auto_48969
      ?auto_48971
    )
    :precondition
    ( and ( OBJ ?auto_48952 ) ( LOCATION ?auto_48953 ) ( TRUCK ?auto_48963 ) ( LOCATION ?auto_48965 ) ( CITY ?auto_48958 ) ( IN-CITY ?auto_48965 ?auto_48958 ) ( IN-CITY ?auto_48953 ?auto_48958 ) ( DIFFERENT ?auto_48953 ?auto_48965 ) ( LOCATION ?auto_48966 ) ( CITY ?auto_48956 ) ( IN-CITY ?auto_48966 ?auto_48956 ) ( IN-CITY ?auto_48965 ?auto_48956 ) ( DIFFERENT ?auto_48965 ?auto_48966 ) ( AIRPLANE ?auto_48968 ) ( AIRPORT ?auto_48967 ) ( AIRPORT ?auto_48966 ) ( AT ?auto_48968 ?auto_48967 ) ( DIFFERENT ?auto_48966 ?auto_48967 ) ( LOCATION ?auto_48964 ) ( AT ?auto_48968 ?auto_48964 ) ( TRUCK ?auto_48961 ) ( LOCATION ?auto_48957 ) ( CITY ?auto_48959 ) ( AT ?auto_48961 ?auto_48957 ) ( IN-CITY ?auto_48957 ?auto_48959 ) ( IN-CITY ?auto_48964 ?auto_48959 ) ( DIFFERENT ?auto_48964 ?auto_48957 ) ( LOCATION ?auto_48962 ) ( CITY ?auto_48960 ) ( AT ?auto_48963 ?auto_48962 ) ( IN-CITY ?auto_48962 ?auto_48960 ) ( IN-CITY ?auto_48966 ?auto_48960 ) ( DIFFERENT ?auto_48966 ?auto_48962 ) ( LOCATION ?auto_48969 ) ( AT ?auto_48961 ?auto_48969 ) ( TRUCK ?auto_48971 ) ( AT ?auto_48971 ?auto_48969 ) ( IN ?auto_48952 ?auto_48971 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_48952 ?auto_48969 )
      ( DELIVER-PKG ?auto_48952 ?auto_48953 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48992
      ?auto_48993
    )
    :vars
    (
      ?auto_49003
      ?auto_49005
      ?auto_48998
      ?auto_49006
      ?auto_48996
      ?auto_49009
      ?auto_49008
      ?auto_49004
      ?auto_49007
      ?auto_49010
      ?auto_48999
      ?auto_49002
      ?auto_49000
      ?auto_49013
      ?auto_49012
    )
    :precondition
    ( and ( OBJ ?auto_48992 ) ( LOCATION ?auto_48993 ) ( TRUCK ?auto_49003 ) ( LOCATION ?auto_49005 ) ( CITY ?auto_48998 ) ( IN-CITY ?auto_49005 ?auto_48998 ) ( IN-CITY ?auto_48993 ?auto_48998 ) ( DIFFERENT ?auto_48993 ?auto_49005 ) ( LOCATION ?auto_49006 ) ( CITY ?auto_48996 ) ( IN-CITY ?auto_49006 ?auto_48996 ) ( IN-CITY ?auto_49005 ?auto_48996 ) ( DIFFERENT ?auto_49005 ?auto_49006 ) ( AIRPLANE ?auto_49009 ) ( AIRPORT ?auto_49008 ) ( AIRPORT ?auto_49006 ) ( AT ?auto_49009 ?auto_49008 ) ( DIFFERENT ?auto_49006 ?auto_49008 ) ( LOCATION ?auto_49004 ) ( AT ?auto_49009 ?auto_49004 ) ( TRUCK ?auto_49007 ) ( LOCATION ?auto_49010 ) ( CITY ?auto_48999 ) ( IN-CITY ?auto_49010 ?auto_48999 ) ( IN-CITY ?auto_49004 ?auto_48999 ) ( DIFFERENT ?auto_49004 ?auto_49010 ) ( LOCATION ?auto_49002 ) ( CITY ?auto_49000 ) ( AT ?auto_49003 ?auto_49002 ) ( IN-CITY ?auto_49002 ?auto_49000 ) ( IN-CITY ?auto_49006 ?auto_49000 ) ( DIFFERENT ?auto_49006 ?auto_49002 ) ( IN ?auto_48992 ?auto_49007 ) ( LOCATION ?auto_49013 ) ( CITY ?auto_49012 ) ( AT ?auto_49007 ?auto_49013 ) ( IN-CITY ?auto_49013 ?auto_49012 ) ( IN-CITY ?auto_49010 ?auto_49012 ) ( DIFFERENT ?auto_49010 ?auto_49013 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_49007 ?auto_49013 ?auto_49010 ?auto_49012 )
      ( DELIVER-PKG ?auto_48992 ?auto_48993 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_49015
      ?auto_49016
    )
    :vars
    (
      ?auto_49023
      ?auto_49025
      ?auto_49031
      ?auto_49026
      ?auto_49019
      ?auto_49029
      ?auto_49028
      ?auto_49024
      ?auto_49027
      ?auto_49030
      ?auto_49020
      ?auto_49022
      ?auto_49021
      ?auto_49033
      ?auto_49018
      ?auto_49036
      ?auto_49035
    )
    :precondition
    ( and ( OBJ ?auto_49015 ) ( LOCATION ?auto_49016 ) ( TRUCK ?auto_49023 ) ( LOCATION ?auto_49025 ) ( CITY ?auto_49031 ) ( IN-CITY ?auto_49025 ?auto_49031 ) ( IN-CITY ?auto_49016 ?auto_49031 ) ( DIFFERENT ?auto_49016 ?auto_49025 ) ( LOCATION ?auto_49026 ) ( CITY ?auto_49019 ) ( IN-CITY ?auto_49026 ?auto_49019 ) ( IN-CITY ?auto_49025 ?auto_49019 ) ( DIFFERENT ?auto_49025 ?auto_49026 ) ( AIRPLANE ?auto_49029 ) ( AIRPORT ?auto_49028 ) ( AIRPORT ?auto_49026 ) ( AT ?auto_49029 ?auto_49028 ) ( DIFFERENT ?auto_49026 ?auto_49028 ) ( LOCATION ?auto_49024 ) ( AT ?auto_49029 ?auto_49024 ) ( TRUCK ?auto_49027 ) ( LOCATION ?auto_49030 ) ( CITY ?auto_49020 ) ( IN-CITY ?auto_49030 ?auto_49020 ) ( IN-CITY ?auto_49024 ?auto_49020 ) ( DIFFERENT ?auto_49024 ?auto_49030 ) ( LOCATION ?auto_49022 ) ( CITY ?auto_49021 ) ( IN-CITY ?auto_49022 ?auto_49021 ) ( IN-CITY ?auto_49026 ?auto_49021 ) ( DIFFERENT ?auto_49026 ?auto_49022 ) ( IN ?auto_49015 ?auto_49027 ) ( LOCATION ?auto_49033 ) ( CITY ?auto_49018 ) ( AT ?auto_49027 ?auto_49033 ) ( IN-CITY ?auto_49033 ?auto_49018 ) ( IN-CITY ?auto_49030 ?auto_49018 ) ( DIFFERENT ?auto_49030 ?auto_49033 ) ( LOCATION ?auto_49036 ) ( CITY ?auto_49035 ) ( AT ?auto_49023 ?auto_49036 ) ( IN-CITY ?auto_49036 ?auto_49035 ) ( IN-CITY ?auto_49022 ?auto_49035 ) ( DIFFERENT ?auto_49022 ?auto_49036 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_49023 ?auto_49036 ?auto_49022 ?auto_49035 )
      ( DELIVER-PKG ?auto_49015 ?auto_49016 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_49038
      ?auto_49039
    )
    :vars
    (
      ?auto_49056
      ?auto_49047
      ?auto_49043
      ?auto_49044
      ?auto_49055
      ?auto_49042
      ?auto_49041
      ?auto_49046
      ?auto_49052
      ?auto_49053
      ?auto_49058
      ?auto_49045
      ?auto_49057
      ?auto_49048
      ?auto_49054
      ?auto_49051
      ?auto_49049
      ?auto_49060
    )
    :precondition
    ( and ( OBJ ?auto_49038 ) ( LOCATION ?auto_49039 ) ( TRUCK ?auto_49056 ) ( LOCATION ?auto_49047 ) ( CITY ?auto_49043 ) ( IN-CITY ?auto_49047 ?auto_49043 ) ( IN-CITY ?auto_49039 ?auto_49043 ) ( DIFFERENT ?auto_49039 ?auto_49047 ) ( LOCATION ?auto_49044 ) ( CITY ?auto_49055 ) ( IN-CITY ?auto_49044 ?auto_49055 ) ( IN-CITY ?auto_49047 ?auto_49055 ) ( DIFFERENT ?auto_49047 ?auto_49044 ) ( AIRPLANE ?auto_49042 ) ( AIRPORT ?auto_49041 ) ( AIRPORT ?auto_49044 ) ( AT ?auto_49042 ?auto_49041 ) ( DIFFERENT ?auto_49044 ?auto_49041 ) ( LOCATION ?auto_49046 ) ( AT ?auto_49042 ?auto_49046 ) ( TRUCK ?auto_49052 ) ( LOCATION ?auto_49053 ) ( CITY ?auto_49058 ) ( IN-CITY ?auto_49053 ?auto_49058 ) ( IN-CITY ?auto_49046 ?auto_49058 ) ( DIFFERENT ?auto_49046 ?auto_49053 ) ( LOCATION ?auto_49045 ) ( CITY ?auto_49057 ) ( IN-CITY ?auto_49045 ?auto_49057 ) ( IN-CITY ?auto_49044 ?auto_49057 ) ( DIFFERENT ?auto_49044 ?auto_49045 ) ( LOCATION ?auto_49048 ) ( CITY ?auto_49054 ) ( AT ?auto_49052 ?auto_49048 ) ( IN-CITY ?auto_49048 ?auto_49054 ) ( IN-CITY ?auto_49053 ?auto_49054 ) ( DIFFERENT ?auto_49053 ?auto_49048 ) ( LOCATION ?auto_49051 ) ( CITY ?auto_49049 ) ( AT ?auto_49056 ?auto_49051 ) ( IN-CITY ?auto_49051 ?auto_49049 ) ( IN-CITY ?auto_49045 ?auto_49049 ) ( DIFFERENT ?auto_49045 ?auto_49051 ) ( LOCATION ?auto_49060 ) ( AT ?auto_49052 ?auto_49060 ) ( AT ?auto_49038 ?auto_49060 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_49038 ?auto_49052 ?auto_49060 )
      ( DELIVER-PKG ?auto_49038 ?auto_49039 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_49084
      ?auto_49085
    )
    :vars
    (
      ?auto_49094
      ?auto_49105
      ?auto_49100
      ?auto_49101
      ?auto_49099
      ?auto_49098
      ?auto_49097
      ?auto_49103
      ?auto_49086
      ?auto_49088
      ?auto_49092
      ?auto_49104
      ?auto_49096
      ?auto_49095
      ?auto_49089
      ?auto_49093
      ?auto_49102
      ?auto_49108
      ?auto_49107
    )
    :precondition
    ( and ( OBJ ?auto_49084 ) ( LOCATION ?auto_49085 ) ( TRUCK ?auto_49094 ) ( LOCATION ?auto_49105 ) ( CITY ?auto_49100 ) ( IN-CITY ?auto_49105 ?auto_49100 ) ( IN-CITY ?auto_49085 ?auto_49100 ) ( DIFFERENT ?auto_49085 ?auto_49105 ) ( LOCATION ?auto_49101 ) ( CITY ?auto_49099 ) ( IN-CITY ?auto_49101 ?auto_49099 ) ( IN-CITY ?auto_49105 ?auto_49099 ) ( DIFFERENT ?auto_49105 ?auto_49101 ) ( AIRPLANE ?auto_49098 ) ( AIRPORT ?auto_49097 ) ( AIRPORT ?auto_49101 ) ( AT ?auto_49098 ?auto_49097 ) ( DIFFERENT ?auto_49101 ?auto_49097 ) ( LOCATION ?auto_49103 ) ( AT ?auto_49098 ?auto_49103 ) ( TRUCK ?auto_49086 ) ( LOCATION ?auto_49088 ) ( CITY ?auto_49092 ) ( IN-CITY ?auto_49088 ?auto_49092 ) ( IN-CITY ?auto_49103 ?auto_49092 ) ( DIFFERENT ?auto_49103 ?auto_49088 ) ( LOCATION ?auto_49104 ) ( CITY ?auto_49096 ) ( IN-CITY ?auto_49104 ?auto_49096 ) ( IN-CITY ?auto_49101 ?auto_49096 ) ( DIFFERENT ?auto_49101 ?auto_49104 ) ( LOCATION ?auto_49095 ) ( CITY ?auto_49089 ) ( IN-CITY ?auto_49095 ?auto_49089 ) ( IN-CITY ?auto_49088 ?auto_49089 ) ( DIFFERENT ?auto_49088 ?auto_49095 ) ( LOCATION ?auto_49093 ) ( CITY ?auto_49102 ) ( AT ?auto_49094 ?auto_49093 ) ( IN-CITY ?auto_49093 ?auto_49102 ) ( IN-CITY ?auto_49104 ?auto_49102 ) ( DIFFERENT ?auto_49104 ?auto_49093 ) ( AT ?auto_49084 ?auto_49095 ) ( LOCATION ?auto_49108 ) ( CITY ?auto_49107 ) ( AT ?auto_49086 ?auto_49108 ) ( IN-CITY ?auto_49108 ?auto_49107 ) ( IN-CITY ?auto_49095 ?auto_49107 ) ( DIFFERENT ?auto_49095 ?auto_49108 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_49086 ?auto_49108 ?auto_49095 ?auto_49107 )
      ( DELIVER-PKG ?auto_49084 ?auto_49085 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_49133
      ?auto_49134
    )
    :vars
    (
      ?auto_49137
      ?auto_49153
      ?auto_49148
      ?auto_49149
      ?auto_49147
      ?auto_49145
      ?auto_49144
      ?auto_49151
      ?auto_49155
      ?auto_49141
      ?auto_49140
      ?auto_49152
      ?auto_49143
      ?auto_49138
      ?auto_49135
      ?auto_49136
      ?auto_49150
      ?auto_49139
      ?auto_49142
      ?auto_49158
      ?auto_49157
    )
    :precondition
    ( and ( OBJ ?auto_49133 ) ( LOCATION ?auto_49134 ) ( TRUCK ?auto_49137 ) ( LOCATION ?auto_49153 ) ( CITY ?auto_49148 ) ( IN-CITY ?auto_49153 ?auto_49148 ) ( IN-CITY ?auto_49134 ?auto_49148 ) ( DIFFERENT ?auto_49134 ?auto_49153 ) ( LOCATION ?auto_49149 ) ( CITY ?auto_49147 ) ( IN-CITY ?auto_49149 ?auto_49147 ) ( IN-CITY ?auto_49153 ?auto_49147 ) ( DIFFERENT ?auto_49153 ?auto_49149 ) ( AIRPLANE ?auto_49145 ) ( AIRPORT ?auto_49144 ) ( AIRPORT ?auto_49149 ) ( AT ?auto_49145 ?auto_49144 ) ( DIFFERENT ?auto_49149 ?auto_49144 ) ( LOCATION ?auto_49151 ) ( AT ?auto_49145 ?auto_49151 ) ( TRUCK ?auto_49155 ) ( LOCATION ?auto_49141 ) ( CITY ?auto_49140 ) ( IN-CITY ?auto_49141 ?auto_49140 ) ( IN-CITY ?auto_49151 ?auto_49140 ) ( DIFFERENT ?auto_49151 ?auto_49141 ) ( LOCATION ?auto_49152 ) ( CITY ?auto_49143 ) ( IN-CITY ?auto_49152 ?auto_49143 ) ( IN-CITY ?auto_49149 ?auto_49143 ) ( DIFFERENT ?auto_49149 ?auto_49152 ) ( LOCATION ?auto_49138 ) ( CITY ?auto_49135 ) ( IN-CITY ?auto_49138 ?auto_49135 ) ( IN-CITY ?auto_49141 ?auto_49135 ) ( DIFFERENT ?auto_49141 ?auto_49138 ) ( LOCATION ?auto_49136 ) ( CITY ?auto_49150 ) ( IN-CITY ?auto_49136 ?auto_49150 ) ( IN-CITY ?auto_49152 ?auto_49150 ) ( DIFFERENT ?auto_49152 ?auto_49136 ) ( AT ?auto_49133 ?auto_49138 ) ( LOCATION ?auto_49139 ) ( CITY ?auto_49142 ) ( AT ?auto_49155 ?auto_49139 ) ( IN-CITY ?auto_49139 ?auto_49142 ) ( IN-CITY ?auto_49138 ?auto_49142 ) ( DIFFERENT ?auto_49138 ?auto_49139 ) ( LOCATION ?auto_49158 ) ( CITY ?auto_49157 ) ( AT ?auto_49137 ?auto_49158 ) ( IN-CITY ?auto_49158 ?auto_49157 ) ( IN-CITY ?auto_49136 ?auto_49157 ) ( DIFFERENT ?auto_49136 ?auto_49158 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_49137 ?auto_49158 ?auto_49136 ?auto_49157 )
      ( DELIVER-PKG ?auto_49133 ?auto_49134 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_50270
      ?auto_50271
    )
    :vars
    (
      ?auto_50282
      ?auto_50279
      ?auto_50280
      ?auto_50283
      ?auto_50286
      ?auto_50278
      ?auto_50275
      ?auto_50277
      ?auto_50272
      ?auto_50284
      ?auto_50285
      ?auto_50287
      ?auto_50276
      ?auto_50290
      ?auto_50289
    )
    :precondition
    ( and ( OBJ ?auto_50270 ) ( LOCATION ?auto_50271 ) ( TRUCK ?auto_50282 ) ( LOCATION ?auto_50279 ) ( CITY ?auto_50280 ) ( IN-CITY ?auto_50279 ?auto_50280 ) ( IN-CITY ?auto_50271 ?auto_50280 ) ( DIFFERENT ?auto_50271 ?auto_50279 ) ( AIRPLANE ?auto_50283 ) ( AIRPORT ?auto_50286 ) ( AIRPORT ?auto_50279 ) ( AT ?auto_50283 ?auto_50286 ) ( DIFFERENT ?auto_50279 ?auto_50286 ) ( LOCATION ?auto_50278 ) ( AT ?auto_50283 ?auto_50278 ) ( TRUCK ?auto_50275 ) ( LOCATION ?auto_50277 ) ( CITY ?auto_50272 ) ( IN-CITY ?auto_50277 ?auto_50272 ) ( IN-CITY ?auto_50278 ?auto_50272 ) ( DIFFERENT ?auto_50278 ?auto_50277 ) ( LOCATION ?auto_50284 ) ( CITY ?auto_50285 ) ( IN-CITY ?auto_50284 ?auto_50285 ) ( IN-CITY ?auto_50277 ?auto_50285 ) ( DIFFERENT ?auto_50277 ?auto_50284 ) ( AT ?auto_50270 ?auto_50284 ) ( LOCATION ?auto_50287 ) ( CITY ?auto_50276 ) ( AT ?auto_50275 ?auto_50287 ) ( IN-CITY ?auto_50287 ?auto_50276 ) ( IN-CITY ?auto_50284 ?auto_50276 ) ( DIFFERENT ?auto_50284 ?auto_50287 ) ( LOCATION ?auto_50290 ) ( CITY ?auto_50289 ) ( AT ?auto_50282 ?auto_50290 ) ( IN-CITY ?auto_50290 ?auto_50289 ) ( IN-CITY ?auto_50279 ?auto_50289 ) ( DIFFERENT ?auto_50279 ?auto_50290 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50282 ?auto_50290 ?auto_50279 ?auto_50289 )
      ( DELIVER-PKG ?auto_50270 ?auto_50271 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_50749
      ?auto_50750
    )
    :vars
    (
      ?auto_50760
      ?auto_50758
      ?auto_50756
      ?auto_50759
      ?auto_50757
      ?auto_50765
      ?auto_50755
      ?auto_50762
      ?auto_50754
      ?auto_50761
      ?auto_50764
      ?auto_50763
      ?auto_50753
      ?auto_50766
      ?auto_50770
      ?auto_50769
    )
    :precondition
    ( and ( OBJ ?auto_50749 ) ( LOCATION ?auto_50750 ) ( TRUCK ?auto_50760 ) ( LOCATION ?auto_50758 ) ( CITY ?auto_50756 ) ( IN-CITY ?auto_50758 ?auto_50756 ) ( IN-CITY ?auto_50750 ?auto_50756 ) ( DIFFERENT ?auto_50750 ?auto_50758 ) ( LOCATION ?auto_50759 ) ( CITY ?auto_50757 ) ( AT ?auto_50760 ?auto_50759 ) ( IN-CITY ?auto_50759 ?auto_50757 ) ( IN-CITY ?auto_50758 ?auto_50757 ) ( DIFFERENT ?auto_50758 ?auto_50759 ) ( LOCATION ?auto_50765 ) ( AT ?auto_50760 ?auto_50765 ) ( AIRPLANE ?auto_50755 ) ( AIRPORT ?auto_50762 ) ( AIRPORT ?auto_50765 ) ( AT ?auto_50755 ?auto_50762 ) ( DIFFERENT ?auto_50765 ?auto_50762 ) ( LOCATION ?auto_50754 ) ( AT ?auto_50755 ?auto_50754 ) ( TRUCK ?auto_50761 ) ( LOCATION ?auto_50764 ) ( CITY ?auto_50763 ) ( IN-CITY ?auto_50764 ?auto_50763 ) ( IN-CITY ?auto_50754 ?auto_50763 ) ( DIFFERENT ?auto_50754 ?auto_50764 ) ( LOCATION ?auto_50753 ) ( CITY ?auto_50766 ) ( IN-CITY ?auto_50753 ?auto_50766 ) ( IN-CITY ?auto_50764 ?auto_50766 ) ( DIFFERENT ?auto_50764 ?auto_50753 ) ( AT ?auto_50749 ?auto_50753 ) ( LOCATION ?auto_50770 ) ( CITY ?auto_50769 ) ( AT ?auto_50761 ?auto_50770 ) ( IN-CITY ?auto_50770 ?auto_50769 ) ( IN-CITY ?auto_50753 ?auto_50769 ) ( DIFFERENT ?auto_50753 ?auto_50770 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50761 ?auto_50770 ?auto_50753 ?auto_50769 )
      ( DELIVER-PKG ?auto_50749 ?auto_50750 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_50772
      ?auto_50773
    )
    :vars
    (
      ?auto_50778
      ?auto_50790
      ?auto_50788
      ?auto_50783
      ?auto_50789
      ?auto_50776
      ?auto_50780
      ?auto_50775
      ?auto_50779
      ?auto_50782
      ?auto_50781
      ?auto_50774
      ?auto_50784
      ?auto_50787
      ?auto_50786
      ?auto_50794
      ?auto_50793
    )
    :precondition
    ( and ( OBJ ?auto_50772 ) ( LOCATION ?auto_50773 ) ( TRUCK ?auto_50778 ) ( LOCATION ?auto_50790 ) ( CITY ?auto_50788 ) ( IN-CITY ?auto_50790 ?auto_50788 ) ( IN-CITY ?auto_50773 ?auto_50788 ) ( DIFFERENT ?auto_50773 ?auto_50790 ) ( LOCATION ?auto_50783 ) ( CITY ?auto_50789 ) ( IN-CITY ?auto_50783 ?auto_50789 ) ( IN-CITY ?auto_50790 ?auto_50789 ) ( DIFFERENT ?auto_50790 ?auto_50783 ) ( AIRPLANE ?auto_50776 ) ( AIRPORT ?auto_50780 ) ( AIRPORT ?auto_50783 ) ( AT ?auto_50776 ?auto_50780 ) ( DIFFERENT ?auto_50783 ?auto_50780 ) ( LOCATION ?auto_50775 ) ( AT ?auto_50776 ?auto_50775 ) ( TRUCK ?auto_50779 ) ( LOCATION ?auto_50782 ) ( CITY ?auto_50781 ) ( IN-CITY ?auto_50782 ?auto_50781 ) ( IN-CITY ?auto_50775 ?auto_50781 ) ( DIFFERENT ?auto_50775 ?auto_50782 ) ( LOCATION ?auto_50774 ) ( CITY ?auto_50784 ) ( IN-CITY ?auto_50774 ?auto_50784 ) ( IN-CITY ?auto_50782 ?auto_50784 ) ( DIFFERENT ?auto_50782 ?auto_50774 ) ( AT ?auto_50772 ?auto_50774 ) ( LOCATION ?auto_50787 ) ( CITY ?auto_50786 ) ( AT ?auto_50779 ?auto_50787 ) ( IN-CITY ?auto_50787 ?auto_50786 ) ( IN-CITY ?auto_50774 ?auto_50786 ) ( DIFFERENT ?auto_50774 ?auto_50787 ) ( LOCATION ?auto_50794 ) ( CITY ?auto_50793 ) ( AT ?auto_50778 ?auto_50794 ) ( IN-CITY ?auto_50794 ?auto_50793 ) ( IN-CITY ?auto_50783 ?auto_50793 ) ( DIFFERENT ?auto_50783 ?auto_50794 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_50778 ?auto_50794 ?auto_50783 ?auto_50793 )
      ( DELIVER-PKG ?auto_50772 ?auto_50773 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51578
      ?auto_51579
    )
    :vars
    (
      ?auto_51587
      ?auto_51580
      ?auto_51588
      ?auto_51582
      ?auto_51584
      ?auto_51586
      ?auto_51585
      ?auto_51590
      ?auto_51589
      ?auto_51593
    )
    :precondition
    ( and ( OBJ ?auto_51578 ) ( LOCATION ?auto_51579 ) ( TRUCK ?auto_51587 ) ( LOCATION ?auto_51580 ) ( CITY ?auto_51588 ) ( IN-CITY ?auto_51580 ?auto_51588 ) ( IN-CITY ?auto_51579 ?auto_51588 ) ( DIFFERENT ?auto_51579 ?auto_51580 ) ( LOCATION ?auto_51582 ) ( CITY ?auto_51584 ) ( IN-CITY ?auto_51582 ?auto_51584 ) ( IN-CITY ?auto_51580 ?auto_51584 ) ( DIFFERENT ?auto_51580 ?auto_51582 ) ( LOCATION ?auto_51586 ) ( CITY ?auto_51585 ) ( IN-CITY ?auto_51586 ?auto_51585 ) ( IN-CITY ?auto_51582 ?auto_51585 ) ( DIFFERENT ?auto_51582 ?auto_51586 ) ( LOCATION ?auto_51590 ) ( CITY ?auto_51589 ) ( AT ?auto_51587 ?auto_51590 ) ( IN-CITY ?auto_51590 ?auto_51589 ) ( IN-CITY ?auto_51586 ?auto_51589 ) ( DIFFERENT ?auto_51586 ?auto_51590 ) ( AIRPLANE ?auto_51593 ) ( IN ?auto_51578 ?auto_51593 ) ( AT ?auto_51593 ?auto_51580 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_51578 ?auto_51580 )
      ( DELIVER-PKG ?auto_51578 ?auto_51579 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51608
      ?auto_51609
    )
    :vars
    (
      ?auto_51616
      ?auto_51611
      ?auto_51617
      ?auto_51612
      ?auto_51613
      ?auto_51615
      ?auto_51614
      ?auto_51619
      ?auto_51618
      ?auto_51620
      ?auto_51623
    )
    :precondition
    ( and ( OBJ ?auto_51608 ) ( LOCATION ?auto_51609 ) ( TRUCK ?auto_51616 ) ( LOCATION ?auto_51611 ) ( CITY ?auto_51617 ) ( IN-CITY ?auto_51611 ?auto_51617 ) ( IN-CITY ?auto_51609 ?auto_51617 ) ( DIFFERENT ?auto_51609 ?auto_51611 ) ( LOCATION ?auto_51612 ) ( CITY ?auto_51613 ) ( IN-CITY ?auto_51612 ?auto_51613 ) ( IN-CITY ?auto_51611 ?auto_51613 ) ( DIFFERENT ?auto_51611 ?auto_51612 ) ( LOCATION ?auto_51615 ) ( CITY ?auto_51614 ) ( IN-CITY ?auto_51615 ?auto_51614 ) ( IN-CITY ?auto_51612 ?auto_51614 ) ( DIFFERENT ?auto_51612 ?auto_51615 ) ( LOCATION ?auto_51619 ) ( CITY ?auto_51618 ) ( AT ?auto_51616 ?auto_51619 ) ( IN-CITY ?auto_51619 ?auto_51618 ) ( IN-CITY ?auto_51615 ?auto_51618 ) ( DIFFERENT ?auto_51615 ?auto_51619 ) ( AIRPLANE ?auto_51620 ) ( IN ?auto_51608 ?auto_51620 ) ( AIRPORT ?auto_51623 ) ( AIRPORT ?auto_51611 ) ( AT ?auto_51620 ?auto_51623 ) ( DIFFERENT ?auto_51611 ?auto_51623 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_51620 ?auto_51623 ?auto_51611 )
      ( DELIVER-PKG ?auto_51608 ?auto_51609 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51640
      ?auto_51641
    )
    :vars
    (
      ?auto_51646
      ?auto_51652
      ?auto_51647
      ?auto_51643
      ?auto_51649
      ?auto_51651
      ?auto_51650
      ?auto_51644
      ?auto_51648
      ?auto_51645
      ?auto_51654
      ?auto_51656
    )
    :precondition
    ( and ( OBJ ?auto_51640 ) ( LOCATION ?auto_51641 ) ( TRUCK ?auto_51646 ) ( LOCATION ?auto_51652 ) ( CITY ?auto_51647 ) ( IN-CITY ?auto_51652 ?auto_51647 ) ( IN-CITY ?auto_51641 ?auto_51647 ) ( DIFFERENT ?auto_51641 ?auto_51652 ) ( LOCATION ?auto_51643 ) ( CITY ?auto_51649 ) ( IN-CITY ?auto_51643 ?auto_51649 ) ( IN-CITY ?auto_51652 ?auto_51649 ) ( DIFFERENT ?auto_51652 ?auto_51643 ) ( LOCATION ?auto_51651 ) ( CITY ?auto_51650 ) ( IN-CITY ?auto_51651 ?auto_51650 ) ( IN-CITY ?auto_51643 ?auto_51650 ) ( DIFFERENT ?auto_51643 ?auto_51651 ) ( LOCATION ?auto_51644 ) ( CITY ?auto_51648 ) ( AT ?auto_51646 ?auto_51644 ) ( IN-CITY ?auto_51644 ?auto_51648 ) ( IN-CITY ?auto_51651 ?auto_51648 ) ( DIFFERENT ?auto_51651 ?auto_51644 ) ( AIRPLANE ?auto_51645 ) ( AIRPORT ?auto_51654 ) ( AIRPORT ?auto_51652 ) ( AT ?auto_51645 ?auto_51654 ) ( DIFFERENT ?auto_51652 ?auto_51654 ) ( LOCATION ?auto_51656 ) ( AT ?auto_51640 ?auto_51656 ) ( AT ?auto_51645 ?auto_51656 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_51640 ?auto_51645 ?auto_51656 )
      ( DELIVER-PKG ?auto_51640 ?auto_51641 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51690
      ?auto_51691
    )
    :vars
    (
      ?auto_51697
      ?auto_51703
      ?auto_51698
      ?auto_51694
      ?auto_51700
      ?auto_51702
      ?auto_51701
      ?auto_51695
      ?auto_51699
      ?auto_51696
      ?auto_51704
      ?auto_51705
      ?auto_51706
    )
    :precondition
    ( and ( OBJ ?auto_51690 ) ( LOCATION ?auto_51691 ) ( TRUCK ?auto_51697 ) ( LOCATION ?auto_51703 ) ( CITY ?auto_51698 ) ( IN-CITY ?auto_51703 ?auto_51698 ) ( IN-CITY ?auto_51691 ?auto_51698 ) ( DIFFERENT ?auto_51691 ?auto_51703 ) ( LOCATION ?auto_51694 ) ( CITY ?auto_51700 ) ( IN-CITY ?auto_51694 ?auto_51700 ) ( IN-CITY ?auto_51703 ?auto_51700 ) ( DIFFERENT ?auto_51703 ?auto_51694 ) ( LOCATION ?auto_51702 ) ( CITY ?auto_51701 ) ( IN-CITY ?auto_51702 ?auto_51701 ) ( IN-CITY ?auto_51694 ?auto_51701 ) ( DIFFERENT ?auto_51694 ?auto_51702 ) ( LOCATION ?auto_51695 ) ( CITY ?auto_51699 ) ( AT ?auto_51697 ?auto_51695 ) ( IN-CITY ?auto_51695 ?auto_51699 ) ( IN-CITY ?auto_51702 ?auto_51699 ) ( DIFFERENT ?auto_51702 ?auto_51695 ) ( AIRPLANE ?auto_51696 ) ( AIRPORT ?auto_51704 ) ( AIRPORT ?auto_51703 ) ( AT ?auto_51696 ?auto_51704 ) ( DIFFERENT ?auto_51703 ?auto_51704 ) ( LOCATION ?auto_51705 ) ( AT ?auto_51696 ?auto_51705 ) ( TRUCK ?auto_51706 ) ( AT ?auto_51706 ?auto_51705 ) ( IN ?auto_51690 ?auto_51706 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_51690 ?auto_51705 )
      ( DELIVER-PKG ?auto_51690 ?auto_51691 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51709
      ?auto_51710
    )
    :vars
    (
      ?auto_51722
      ?auto_51718
      ?auto_51723
      ?auto_51712
      ?auto_51715
      ?auto_51717
      ?auto_51716
      ?auto_51714
      ?auto_51724
      ?auto_51721
      ?auto_51719
      ?auto_51725
      ?auto_51720
      ?auto_51728
      ?auto_51727
    )
    :precondition
    ( and ( OBJ ?auto_51709 ) ( LOCATION ?auto_51710 ) ( TRUCK ?auto_51722 ) ( LOCATION ?auto_51718 ) ( CITY ?auto_51723 ) ( IN-CITY ?auto_51718 ?auto_51723 ) ( IN-CITY ?auto_51710 ?auto_51723 ) ( DIFFERENT ?auto_51710 ?auto_51718 ) ( LOCATION ?auto_51712 ) ( CITY ?auto_51715 ) ( IN-CITY ?auto_51712 ?auto_51715 ) ( IN-CITY ?auto_51718 ?auto_51715 ) ( DIFFERENT ?auto_51718 ?auto_51712 ) ( LOCATION ?auto_51717 ) ( CITY ?auto_51716 ) ( IN-CITY ?auto_51717 ?auto_51716 ) ( IN-CITY ?auto_51712 ?auto_51716 ) ( DIFFERENT ?auto_51712 ?auto_51717 ) ( LOCATION ?auto_51714 ) ( CITY ?auto_51724 ) ( AT ?auto_51722 ?auto_51714 ) ( IN-CITY ?auto_51714 ?auto_51724 ) ( IN-CITY ?auto_51717 ?auto_51724 ) ( DIFFERENT ?auto_51717 ?auto_51714 ) ( AIRPLANE ?auto_51721 ) ( AIRPORT ?auto_51719 ) ( AIRPORT ?auto_51718 ) ( AT ?auto_51721 ?auto_51719 ) ( DIFFERENT ?auto_51718 ?auto_51719 ) ( LOCATION ?auto_51725 ) ( AT ?auto_51721 ?auto_51725 ) ( TRUCK ?auto_51720 ) ( IN ?auto_51709 ?auto_51720 ) ( LOCATION ?auto_51728 ) ( CITY ?auto_51727 ) ( AT ?auto_51720 ?auto_51728 ) ( IN-CITY ?auto_51728 ?auto_51727 ) ( IN-CITY ?auto_51725 ?auto_51727 ) ( DIFFERENT ?auto_51725 ?auto_51728 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_51720 ?auto_51728 ?auto_51725 ?auto_51727 )
      ( DELIVER-PKG ?auto_51709 ?auto_51710 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51730
      ?auto_51731
    )
    :vars
    (
      ?auto_51743
      ?auto_51739
      ?auto_51744
      ?auto_51734
      ?auto_51736
      ?auto_51738
      ?auto_51737
      ?auto_51735
      ?auto_51745
      ?auto_51742
      ?auto_51740
      ?auto_51746
      ?auto_51741
      ?auto_51748
      ?auto_51747
      ?auto_51751
      ?auto_51750
    )
    :precondition
    ( and ( OBJ ?auto_51730 ) ( LOCATION ?auto_51731 ) ( TRUCK ?auto_51743 ) ( LOCATION ?auto_51739 ) ( CITY ?auto_51744 ) ( IN-CITY ?auto_51739 ?auto_51744 ) ( IN-CITY ?auto_51731 ?auto_51744 ) ( DIFFERENT ?auto_51731 ?auto_51739 ) ( LOCATION ?auto_51734 ) ( CITY ?auto_51736 ) ( IN-CITY ?auto_51734 ?auto_51736 ) ( IN-CITY ?auto_51739 ?auto_51736 ) ( DIFFERENT ?auto_51739 ?auto_51734 ) ( LOCATION ?auto_51738 ) ( CITY ?auto_51737 ) ( IN-CITY ?auto_51738 ?auto_51737 ) ( IN-CITY ?auto_51734 ?auto_51737 ) ( DIFFERENT ?auto_51734 ?auto_51738 ) ( LOCATION ?auto_51735 ) ( CITY ?auto_51745 ) ( AT ?auto_51743 ?auto_51735 ) ( IN-CITY ?auto_51735 ?auto_51745 ) ( IN-CITY ?auto_51738 ?auto_51745 ) ( DIFFERENT ?auto_51738 ?auto_51735 ) ( AIRPLANE ?auto_51742 ) ( AIRPORT ?auto_51740 ) ( AIRPORT ?auto_51739 ) ( AT ?auto_51742 ?auto_51740 ) ( DIFFERENT ?auto_51739 ?auto_51740 ) ( LOCATION ?auto_51746 ) ( AT ?auto_51742 ?auto_51746 ) ( TRUCK ?auto_51741 ) ( IN ?auto_51730 ?auto_51741 ) ( LOCATION ?auto_51748 ) ( CITY ?auto_51747 ) ( IN-CITY ?auto_51748 ?auto_51747 ) ( IN-CITY ?auto_51746 ?auto_51747 ) ( DIFFERENT ?auto_51746 ?auto_51748 ) ( LOCATION ?auto_51751 ) ( CITY ?auto_51750 ) ( AT ?auto_51741 ?auto_51751 ) ( IN-CITY ?auto_51751 ?auto_51750 ) ( IN-CITY ?auto_51748 ?auto_51750 ) ( DIFFERENT ?auto_51748 ?auto_51751 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_51741 ?auto_51751 ?auto_51748 ?auto_51750 )
      ( DELIVER-PKG ?auto_51730 ?auto_51731 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51799
      ?auto_51800
    )
    :vars
    (
      ?auto_51806
      ?auto_51813
      ?auto_51820
      ?auto_51814
      ?auto_51811
      ?auto_51809
      ?auto_51816
      ?auto_51805
      ?auto_51802
      ?auto_51801
      ?auto_51819
      ?auto_51817
      ?auto_51804
      ?auto_51808
      ?auto_51818
      ?auto_51812
      ?auto_51815
      ?auto_51822
    )
    :precondition
    ( and ( OBJ ?auto_51799 ) ( LOCATION ?auto_51800 ) ( TRUCK ?auto_51806 ) ( LOCATION ?auto_51813 ) ( CITY ?auto_51820 ) ( IN-CITY ?auto_51813 ?auto_51820 ) ( IN-CITY ?auto_51800 ?auto_51820 ) ( DIFFERENT ?auto_51800 ?auto_51813 ) ( LOCATION ?auto_51814 ) ( CITY ?auto_51811 ) ( IN-CITY ?auto_51814 ?auto_51811 ) ( IN-CITY ?auto_51813 ?auto_51811 ) ( DIFFERENT ?auto_51813 ?auto_51814 ) ( LOCATION ?auto_51809 ) ( CITY ?auto_51816 ) ( IN-CITY ?auto_51809 ?auto_51816 ) ( IN-CITY ?auto_51814 ?auto_51816 ) ( DIFFERENT ?auto_51814 ?auto_51809 ) ( LOCATION ?auto_51805 ) ( CITY ?auto_51802 ) ( AT ?auto_51806 ?auto_51805 ) ( IN-CITY ?auto_51805 ?auto_51802 ) ( IN-CITY ?auto_51809 ?auto_51802 ) ( DIFFERENT ?auto_51809 ?auto_51805 ) ( AIRPLANE ?auto_51801 ) ( AIRPORT ?auto_51819 ) ( AIRPORT ?auto_51813 ) ( DIFFERENT ?auto_51813 ?auto_51819 ) ( LOCATION ?auto_51819 ) ( TRUCK ?auto_51817 ) ( LOCATION ?auto_51804 ) ( CITY ?auto_51808 ) ( IN-CITY ?auto_51804 ?auto_51808 ) ( IN-CITY ?auto_51819 ?auto_51808 ) ( DIFFERENT ?auto_51819 ?auto_51804 ) ( LOCATION ?auto_51818 ) ( CITY ?auto_51812 ) ( AT ?auto_51817 ?auto_51818 ) ( IN-CITY ?auto_51818 ?auto_51812 ) ( IN-CITY ?auto_51804 ?auto_51812 ) ( DIFFERENT ?auto_51804 ?auto_51818 ) ( LOCATION ?auto_51815 ) ( AT ?auto_51817 ?auto_51815 ) ( AT ?auto_51799 ?auto_51815 ) ( AIRPORT ?auto_51822 ) ( AT ?auto_51801 ?auto_51822 ) ( DIFFERENT ?auto_51819 ?auto_51822 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_51801 ?auto_51822 ?auto_51819 )
      ( DELIVER-PKG ?auto_51799 ?auto_51800 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51824
      ?auto_51825
    )
    :vars
    (
      ?auto_51836
      ?auto_51827
      ?auto_51838
      ?auto_51829
      ?auto_51843
      ?auto_51842
      ?auto_51831
      ?auto_51828
      ?auto_51845
      ?auto_51839
      ?auto_51837
      ?auto_51832
      ?auto_51835
      ?auto_51841
      ?auto_51830
      ?auto_51826
      ?auto_51833
      ?auto_51848
      ?auto_51847
    )
    :precondition
    ( and ( OBJ ?auto_51824 ) ( LOCATION ?auto_51825 ) ( TRUCK ?auto_51836 ) ( LOCATION ?auto_51827 ) ( CITY ?auto_51838 ) ( IN-CITY ?auto_51827 ?auto_51838 ) ( IN-CITY ?auto_51825 ?auto_51838 ) ( DIFFERENT ?auto_51825 ?auto_51827 ) ( LOCATION ?auto_51829 ) ( CITY ?auto_51843 ) ( IN-CITY ?auto_51829 ?auto_51843 ) ( IN-CITY ?auto_51827 ?auto_51843 ) ( DIFFERENT ?auto_51827 ?auto_51829 ) ( LOCATION ?auto_51842 ) ( CITY ?auto_51831 ) ( IN-CITY ?auto_51842 ?auto_51831 ) ( IN-CITY ?auto_51829 ?auto_51831 ) ( DIFFERENT ?auto_51829 ?auto_51842 ) ( LOCATION ?auto_51828 ) ( CITY ?auto_51845 ) ( AT ?auto_51836 ?auto_51828 ) ( IN-CITY ?auto_51828 ?auto_51845 ) ( IN-CITY ?auto_51842 ?auto_51845 ) ( DIFFERENT ?auto_51842 ?auto_51828 ) ( AIRPLANE ?auto_51839 ) ( AIRPORT ?auto_51837 ) ( AIRPORT ?auto_51827 ) ( DIFFERENT ?auto_51827 ?auto_51837 ) ( LOCATION ?auto_51837 ) ( TRUCK ?auto_51832 ) ( LOCATION ?auto_51835 ) ( CITY ?auto_51841 ) ( IN-CITY ?auto_51835 ?auto_51841 ) ( IN-CITY ?auto_51837 ?auto_51841 ) ( DIFFERENT ?auto_51837 ?auto_51835 ) ( LOCATION ?auto_51830 ) ( CITY ?auto_51826 ) ( IN-CITY ?auto_51830 ?auto_51826 ) ( IN-CITY ?auto_51835 ?auto_51826 ) ( DIFFERENT ?auto_51835 ?auto_51830 ) ( AT ?auto_51824 ?auto_51830 ) ( AIRPORT ?auto_51833 ) ( AT ?auto_51839 ?auto_51833 ) ( DIFFERENT ?auto_51837 ?auto_51833 ) ( LOCATION ?auto_51848 ) ( CITY ?auto_51847 ) ( AT ?auto_51832 ?auto_51848 ) ( IN-CITY ?auto_51848 ?auto_51847 ) ( IN-CITY ?auto_51830 ?auto_51847 ) ( DIFFERENT ?auto_51830 ?auto_51848 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_51832 ?auto_51848 ?auto_51830 ?auto_51847 )
      ( DELIVER-PKG ?auto_51824 ?auto_51825 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_51850
      ?auto_51851
    )
    :vars
    (
      ?auto_51857
      ?auto_51870
      ?auto_51858
      ?auto_51869
      ?auto_51867
      ?auto_51865
      ?auto_51871
      ?auto_51868
      ?auto_51859
      ?auto_51861
      ?auto_51863
      ?auto_51872
      ?auto_51856
      ?auto_51855
      ?auto_51864
      ?auto_51860
      ?auto_51854
      ?auto_51862
      ?auto_51866
      ?auto_51875
      ?auto_51874
    )
    :precondition
    ( and ( OBJ ?auto_51850 ) ( LOCATION ?auto_51851 ) ( TRUCK ?auto_51857 ) ( LOCATION ?auto_51870 ) ( CITY ?auto_51858 ) ( IN-CITY ?auto_51870 ?auto_51858 ) ( IN-CITY ?auto_51851 ?auto_51858 ) ( DIFFERENT ?auto_51851 ?auto_51870 ) ( LOCATION ?auto_51869 ) ( CITY ?auto_51867 ) ( IN-CITY ?auto_51869 ?auto_51867 ) ( IN-CITY ?auto_51870 ?auto_51867 ) ( DIFFERENT ?auto_51870 ?auto_51869 ) ( LOCATION ?auto_51865 ) ( CITY ?auto_51871 ) ( IN-CITY ?auto_51865 ?auto_51871 ) ( IN-CITY ?auto_51869 ?auto_51871 ) ( DIFFERENT ?auto_51869 ?auto_51865 ) ( LOCATION ?auto_51868 ) ( CITY ?auto_51859 ) ( IN-CITY ?auto_51868 ?auto_51859 ) ( IN-CITY ?auto_51865 ?auto_51859 ) ( DIFFERENT ?auto_51865 ?auto_51868 ) ( AIRPLANE ?auto_51861 ) ( AIRPORT ?auto_51863 ) ( AIRPORT ?auto_51870 ) ( DIFFERENT ?auto_51870 ?auto_51863 ) ( LOCATION ?auto_51863 ) ( TRUCK ?auto_51872 ) ( LOCATION ?auto_51856 ) ( CITY ?auto_51855 ) ( IN-CITY ?auto_51856 ?auto_51855 ) ( IN-CITY ?auto_51863 ?auto_51855 ) ( DIFFERENT ?auto_51863 ?auto_51856 ) ( LOCATION ?auto_51864 ) ( CITY ?auto_51860 ) ( IN-CITY ?auto_51864 ?auto_51860 ) ( IN-CITY ?auto_51856 ?auto_51860 ) ( DIFFERENT ?auto_51856 ?auto_51864 ) ( AT ?auto_51850 ?auto_51864 ) ( AIRPORT ?auto_51854 ) ( AT ?auto_51861 ?auto_51854 ) ( DIFFERENT ?auto_51863 ?auto_51854 ) ( LOCATION ?auto_51862 ) ( CITY ?auto_51866 ) ( AT ?auto_51872 ?auto_51862 ) ( IN-CITY ?auto_51862 ?auto_51866 ) ( IN-CITY ?auto_51864 ?auto_51866 ) ( DIFFERENT ?auto_51864 ?auto_51862 ) ( LOCATION ?auto_51875 ) ( CITY ?auto_51874 ) ( AT ?auto_51857 ?auto_51875 ) ( IN-CITY ?auto_51875 ?auto_51874 ) ( IN-CITY ?auto_51868 ?auto_51874 ) ( DIFFERENT ?auto_51868 ?auto_51875 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_51857 ?auto_51875 ?auto_51868 ?auto_51874 )
      ( DELIVER-PKG ?auto_51850 ?auto_51851 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52463
      ?auto_52464
    )
    :vars
    (
      ?auto_52467
      ?auto_52470
      ?auto_52468
      ?auto_52465
      ?auto_52472
    )
    :precondition
    ( and ( OBJ ?auto_52463 ) ( LOCATION ?auto_52464 ) ( AIRPLANE ?auto_52467 ) ( AIRPORT ?auto_52470 ) ( AIRPORT ?auto_52464 ) ( DIFFERENT ?auto_52464 ?auto_52470 ) ( LOCATION ?auto_52470 ) ( AT ?auto_52463 ?auto_52470 ) ( AIRPORT ?auto_52468 ) ( DIFFERENT ?auto_52470 ?auto_52468 ) ( AIRPORT ?auto_52465 ) ( DIFFERENT ?auto_52468 ?auto_52465 ) ( AIRPORT ?auto_52472 ) ( AT ?auto_52467 ?auto_52472 ) ( DIFFERENT ?auto_52465 ?auto_52472 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_52467 ?auto_52472 ?auto_52465 )
      ( DELIVER-PKG ?auto_52463 ?auto_52464 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52474
      ?auto_52475
    )
    :vars
    (
      ?auto_52481
      ?auto_52477
      ?auto_52482
      ?auto_52479
      ?auto_52480
      ?auto_52484
    )
    :precondition
    ( and ( OBJ ?auto_52474 ) ( LOCATION ?auto_52475 ) ( AIRPLANE ?auto_52481 ) ( AIRPORT ?auto_52477 ) ( AIRPORT ?auto_52475 ) ( DIFFERENT ?auto_52475 ?auto_52477 ) ( LOCATION ?auto_52477 ) ( AT ?auto_52474 ?auto_52477 ) ( AIRPORT ?auto_52482 ) ( DIFFERENT ?auto_52477 ?auto_52482 ) ( AIRPORT ?auto_52479 ) ( DIFFERENT ?auto_52482 ?auto_52479 ) ( AIRPORT ?auto_52480 ) ( DIFFERENT ?auto_52479 ?auto_52480 ) ( AIRPORT ?auto_52484 ) ( AT ?auto_52481 ?auto_52484 ) ( DIFFERENT ?auto_52480 ?auto_52484 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_52481 ?auto_52484 ?auto_52480 )
      ( DELIVER-PKG ?auto_52474 ?auto_52475 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52620
      ?auto_52621
    )
    :vars
    (
      ?auto_52624
      ?auto_52629
      ?auto_52628
      ?auto_52626
      ?auto_52625
      ?auto_52631
      ?auto_52630
      ?auto_52623
      ?auto_52633
    )
    :precondition
    ( and ( OBJ ?auto_52620 ) ( LOCATION ?auto_52621 ) ( TRUCK ?auto_52624 ) ( LOCATION ?auto_52629 ) ( CITY ?auto_52628 ) ( AT ?auto_52624 ?auto_52629 ) ( IN-CITY ?auto_52629 ?auto_52628 ) ( IN-CITY ?auto_52621 ?auto_52628 ) ( DIFFERENT ?auto_52621 ?auto_52629 ) ( LOCATION ?auto_52626 ) ( AT ?auto_52624 ?auto_52626 ) ( AIRPLANE ?auto_52625 ) ( IN ?auto_52620 ?auto_52625 ) ( AIRPORT ?auto_52631 ) ( AIRPORT ?auto_52626 ) ( DIFFERENT ?auto_52626 ?auto_52631 ) ( AIRPORT ?auto_52630 ) ( DIFFERENT ?auto_52631 ?auto_52630 ) ( AIRPORT ?auto_52623 ) ( DIFFERENT ?auto_52630 ?auto_52623 ) ( AIRPORT ?auto_52633 ) ( AT ?auto_52625 ?auto_52633 ) ( DIFFERENT ?auto_52623 ?auto_52633 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_52625 ?auto_52633 ?auto_52623 )
      ( DELIVER-PKG ?auto_52620 ?auto_52621 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52648
      ?auto_52649
    )
    :vars
    (
      ?auto_52653
      ?auto_52657
      ?auto_52656
      ?auto_52655
      ?auto_52654
      ?auto_52659
      ?auto_52658
      ?auto_52650
      ?auto_52660
      ?auto_52662
    )
    :precondition
    ( and ( OBJ ?auto_52648 ) ( LOCATION ?auto_52649 ) ( TRUCK ?auto_52653 ) ( LOCATION ?auto_52657 ) ( CITY ?auto_52656 ) ( AT ?auto_52653 ?auto_52657 ) ( IN-CITY ?auto_52657 ?auto_52656 ) ( IN-CITY ?auto_52649 ?auto_52656 ) ( DIFFERENT ?auto_52649 ?auto_52657 ) ( LOCATION ?auto_52655 ) ( AT ?auto_52653 ?auto_52655 ) ( AIRPLANE ?auto_52654 ) ( AIRPORT ?auto_52659 ) ( AIRPORT ?auto_52655 ) ( DIFFERENT ?auto_52655 ?auto_52659 ) ( AIRPORT ?auto_52658 ) ( DIFFERENT ?auto_52659 ?auto_52658 ) ( AIRPORT ?auto_52650 ) ( DIFFERENT ?auto_52658 ?auto_52650 ) ( AIRPORT ?auto_52660 ) ( AT ?auto_52654 ?auto_52660 ) ( DIFFERENT ?auto_52650 ?auto_52660 ) ( LOCATION ?auto_52662 ) ( AT ?auto_52648 ?auto_52662 ) ( AT ?auto_52654 ?auto_52662 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_52648 ?auto_52654 ?auto_52662 )
      ( DELIVER-PKG ?auto_52648 ?auto_52649 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_52664
      ?auto_52665
    )
    :vars
    (
      ?auto_52669
      ?auto_52671
      ?auto_52672
      ?auto_52670
      ?auto_52675
      ?auto_52674
      ?auto_52667
      ?auto_52668
      ?auto_52677
      ?auto_52680
      ?auto_52679
    )
    :precondition
    ( and ( OBJ ?auto_52664 ) ( LOCATION ?auto_52665 ) ( TRUCK ?auto_52669 ) ( LOCATION ?auto_52671 ) ( CITY ?auto_52672 ) ( IN-CITY ?auto_52671 ?auto_52672 ) ( IN-CITY ?auto_52665 ?auto_52672 ) ( DIFFERENT ?auto_52665 ?auto_52671 ) ( AIRPLANE ?auto_52670 ) ( AIRPORT ?auto_52675 ) ( AIRPORT ?auto_52671 ) ( DIFFERENT ?auto_52671 ?auto_52675 ) ( AIRPORT ?auto_52674 ) ( DIFFERENT ?auto_52675 ?auto_52674 ) ( AIRPORT ?auto_52667 ) ( DIFFERENT ?auto_52674 ?auto_52667 ) ( AIRPORT ?auto_52668 ) ( AT ?auto_52670 ?auto_52668 ) ( DIFFERENT ?auto_52667 ?auto_52668 ) ( LOCATION ?auto_52677 ) ( AT ?auto_52664 ?auto_52677 ) ( AT ?auto_52670 ?auto_52677 ) ( LOCATION ?auto_52680 ) ( CITY ?auto_52679 ) ( AT ?auto_52669 ?auto_52680 ) ( IN-CITY ?auto_52680 ?auto_52679 ) ( IN-CITY ?auto_52671 ?auto_52679 ) ( DIFFERENT ?auto_52671 ?auto_52680 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_52669 ?auto_52680 ?auto_52671 ?auto_52679 )
      ( DELIVER-PKG ?auto_52664 ?auto_52665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53206
      ?auto_53207
    )
    :vars
    (
      ?auto_53208
      ?auto_53209
      ?auto_53212
      ?auto_53211
      ?auto_53214
      ?auto_53216
    )
    :precondition
    ( and ( OBJ ?auto_53206 ) ( LOCATION ?auto_53207 ) ( AIRPLANE ?auto_53208 ) ( AIRPORT ?auto_53209 ) ( AIRPORT ?auto_53207 ) ( DIFFERENT ?auto_53207 ?auto_53209 ) ( AIRPORT ?auto_53212 ) ( DIFFERENT ?auto_53209 ?auto_53212 ) ( AIRPORT ?auto_53211 ) ( DIFFERENT ?auto_53212 ?auto_53211 ) ( LOCATION ?auto_53211 ) ( AT ?auto_53206 ?auto_53211 ) ( AIRPORT ?auto_53214 ) ( DIFFERENT ?auto_53211 ?auto_53214 ) ( AIRPORT ?auto_53216 ) ( AT ?auto_53208 ?auto_53216 ) ( DIFFERENT ?auto_53214 ?auto_53216 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53208 ?auto_53216 ?auto_53214 )
      ( DELIVER-PKG ?auto_53206 ?auto_53207 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53218
      ?auto_53219
    )
    :vars
    (
      ?auto_53222
      ?auto_53226
      ?auto_53227
      ?auto_53221
      ?auto_53220
      ?auto_53223
      ?auto_53229
    )
    :precondition
    ( and ( OBJ ?auto_53218 ) ( LOCATION ?auto_53219 ) ( AIRPLANE ?auto_53222 ) ( AIRPORT ?auto_53226 ) ( AIRPORT ?auto_53219 ) ( DIFFERENT ?auto_53219 ?auto_53226 ) ( AIRPORT ?auto_53227 ) ( DIFFERENT ?auto_53226 ?auto_53227 ) ( AIRPORT ?auto_53221 ) ( DIFFERENT ?auto_53227 ?auto_53221 ) ( LOCATION ?auto_53221 ) ( AT ?auto_53218 ?auto_53221 ) ( AIRPORT ?auto_53220 ) ( DIFFERENT ?auto_53221 ?auto_53220 ) ( AIRPORT ?auto_53223 ) ( DIFFERENT ?auto_53220 ?auto_53223 ) ( AIRPORT ?auto_53229 ) ( AT ?auto_53222 ?auto_53229 ) ( DIFFERENT ?auto_53223 ?auto_53229 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53222 ?auto_53229 ?auto_53223 )
      ( DELIVER-PKG ?auto_53218 ?auto_53219 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53231
      ?auto_53232
    )
    :vars
    (
      ?auto_53237
      ?auto_53239
      ?auto_53240
      ?auto_53234
      ?auto_53236
      ?auto_53238
      ?auto_53241
      ?auto_53243
    )
    :precondition
    ( and ( OBJ ?auto_53231 ) ( LOCATION ?auto_53232 ) ( AIRPLANE ?auto_53237 ) ( AIRPORT ?auto_53239 ) ( AIRPORT ?auto_53232 ) ( DIFFERENT ?auto_53232 ?auto_53239 ) ( AIRPORT ?auto_53240 ) ( DIFFERENT ?auto_53239 ?auto_53240 ) ( AIRPORT ?auto_53234 ) ( DIFFERENT ?auto_53240 ?auto_53234 ) ( LOCATION ?auto_53234 ) ( AT ?auto_53231 ?auto_53234 ) ( AIRPORT ?auto_53236 ) ( DIFFERENT ?auto_53234 ?auto_53236 ) ( AIRPORT ?auto_53238 ) ( DIFFERENT ?auto_53236 ?auto_53238 ) ( AIRPORT ?auto_53241 ) ( DIFFERENT ?auto_53238 ?auto_53241 ) ( AIRPORT ?auto_53243 ) ( AT ?auto_53237 ?auto_53243 ) ( DIFFERENT ?auto_53241 ?auto_53243 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53237 ?auto_53243 ?auto_53241 )
      ( DELIVER-PKG ?auto_53231 ?auto_53232 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53592
      ?auto_53593
    )
    :vars
    (
      ?auto_53603
      ?auto_53598
      ?auto_53596
      ?auto_53597
      ?auto_53599
      ?auto_53600
      ?auto_53601
      ?auto_53602
      ?auto_53604
      ?auto_53606
    )
    :precondition
    ( and ( OBJ ?auto_53592 ) ( LOCATION ?auto_53593 ) ( TRUCK ?auto_53603 ) ( LOCATION ?auto_53598 ) ( CITY ?auto_53596 ) ( AT ?auto_53603 ?auto_53598 ) ( IN-CITY ?auto_53598 ?auto_53596 ) ( IN-CITY ?auto_53593 ?auto_53596 ) ( DIFFERENT ?auto_53593 ?auto_53598 ) ( LOCATION ?auto_53597 ) ( AT ?auto_53603 ?auto_53597 ) ( AIRPLANE ?auto_53599 ) ( AIRPORT ?auto_53600 ) ( AIRPORT ?auto_53597 ) ( DIFFERENT ?auto_53597 ?auto_53600 ) ( AIRPORT ?auto_53601 ) ( DIFFERENT ?auto_53600 ?auto_53601 ) ( AIRPORT ?auto_53602 ) ( DIFFERENT ?auto_53601 ?auto_53602 ) ( LOCATION ?auto_53602 ) ( AT ?auto_53592 ?auto_53602 ) ( AIRPORT ?auto_53604 ) ( DIFFERENT ?auto_53602 ?auto_53604 ) ( AIRPORT ?auto_53606 ) ( AT ?auto_53599 ?auto_53606 ) ( DIFFERENT ?auto_53604 ?auto_53606 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53599 ?auto_53606 ?auto_53604 )
      ( DELIVER-PKG ?auto_53592 ?auto_53593 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53608
      ?auto_53609
    )
    :vars
    (
      ?auto_53614
      ?auto_53610
      ?auto_53620
      ?auto_53621
      ?auto_53611
      ?auto_53615
      ?auto_53619
      ?auto_53613
      ?auto_53616
      ?auto_53612
      ?auto_53623
    )
    :precondition
    ( and ( OBJ ?auto_53608 ) ( LOCATION ?auto_53609 ) ( TRUCK ?auto_53614 ) ( LOCATION ?auto_53610 ) ( CITY ?auto_53620 ) ( AT ?auto_53614 ?auto_53610 ) ( IN-CITY ?auto_53610 ?auto_53620 ) ( IN-CITY ?auto_53609 ?auto_53620 ) ( DIFFERENT ?auto_53609 ?auto_53610 ) ( LOCATION ?auto_53621 ) ( AT ?auto_53614 ?auto_53621 ) ( AIRPLANE ?auto_53611 ) ( AIRPORT ?auto_53615 ) ( AIRPORT ?auto_53621 ) ( DIFFERENT ?auto_53621 ?auto_53615 ) ( AIRPORT ?auto_53619 ) ( DIFFERENT ?auto_53615 ?auto_53619 ) ( AIRPORT ?auto_53613 ) ( DIFFERENT ?auto_53619 ?auto_53613 ) ( LOCATION ?auto_53613 ) ( AT ?auto_53608 ?auto_53613 ) ( AIRPORT ?auto_53616 ) ( DIFFERENT ?auto_53613 ?auto_53616 ) ( AIRPORT ?auto_53612 ) ( DIFFERENT ?auto_53616 ?auto_53612 ) ( AIRPORT ?auto_53623 ) ( AT ?auto_53611 ?auto_53623 ) ( DIFFERENT ?auto_53612 ?auto_53623 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53611 ?auto_53623 ?auto_53612 )
      ( DELIVER-PKG ?auto_53608 ?auto_53609 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53625
      ?auto_53626
    )
    :vars
    (
      ?auto_53633
      ?auto_53628
      ?auto_53637
      ?auto_53638
      ?auto_53629
      ?auto_53634
      ?auto_53636
      ?auto_53632
      ?auto_53635
      ?auto_53631
      ?auto_53639
      ?auto_53641
    )
    :precondition
    ( and ( OBJ ?auto_53625 ) ( LOCATION ?auto_53626 ) ( TRUCK ?auto_53633 ) ( LOCATION ?auto_53628 ) ( CITY ?auto_53637 ) ( AT ?auto_53633 ?auto_53628 ) ( IN-CITY ?auto_53628 ?auto_53637 ) ( IN-CITY ?auto_53626 ?auto_53637 ) ( DIFFERENT ?auto_53626 ?auto_53628 ) ( LOCATION ?auto_53638 ) ( AT ?auto_53633 ?auto_53638 ) ( AIRPLANE ?auto_53629 ) ( AIRPORT ?auto_53634 ) ( AIRPORT ?auto_53638 ) ( DIFFERENT ?auto_53638 ?auto_53634 ) ( AIRPORT ?auto_53636 ) ( DIFFERENT ?auto_53634 ?auto_53636 ) ( AIRPORT ?auto_53632 ) ( DIFFERENT ?auto_53636 ?auto_53632 ) ( LOCATION ?auto_53632 ) ( AT ?auto_53625 ?auto_53632 ) ( AIRPORT ?auto_53635 ) ( DIFFERENT ?auto_53632 ?auto_53635 ) ( AIRPORT ?auto_53631 ) ( DIFFERENT ?auto_53635 ?auto_53631 ) ( AIRPORT ?auto_53639 ) ( DIFFERENT ?auto_53631 ?auto_53639 ) ( AIRPORT ?auto_53641 ) ( AT ?auto_53629 ?auto_53641 ) ( DIFFERENT ?auto_53639 ?auto_53641 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_53629 ?auto_53641 ?auto_53639 )
      ( DELIVER-PKG ?auto_53625 ?auto_53626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_53643
      ?auto_53644
    )
    :vars
    (
      ?auto_53651
      ?auto_53656
      ?auto_53655
      ?auto_53645
      ?auto_53652
      ?auto_53654
      ?auto_53650
      ?auto_53653
      ?auto_53649
      ?auto_53657
      ?auto_53658
      ?auto_53661
      ?auto_53660
    )
    :precondition
    ( and ( OBJ ?auto_53643 ) ( LOCATION ?auto_53644 ) ( TRUCK ?auto_53651 ) ( LOCATION ?auto_53656 ) ( CITY ?auto_53655 ) ( IN-CITY ?auto_53656 ?auto_53655 ) ( IN-CITY ?auto_53644 ?auto_53655 ) ( DIFFERENT ?auto_53644 ?auto_53656 ) ( AIRPLANE ?auto_53645 ) ( AIRPORT ?auto_53652 ) ( AIRPORT ?auto_53656 ) ( DIFFERENT ?auto_53656 ?auto_53652 ) ( AIRPORT ?auto_53654 ) ( DIFFERENT ?auto_53652 ?auto_53654 ) ( AIRPORT ?auto_53650 ) ( DIFFERENT ?auto_53654 ?auto_53650 ) ( LOCATION ?auto_53650 ) ( AT ?auto_53643 ?auto_53650 ) ( AIRPORT ?auto_53653 ) ( DIFFERENT ?auto_53650 ?auto_53653 ) ( AIRPORT ?auto_53649 ) ( DIFFERENT ?auto_53653 ?auto_53649 ) ( AIRPORT ?auto_53657 ) ( DIFFERENT ?auto_53649 ?auto_53657 ) ( AIRPORT ?auto_53658 ) ( AT ?auto_53645 ?auto_53658 ) ( DIFFERENT ?auto_53657 ?auto_53658 ) ( LOCATION ?auto_53661 ) ( CITY ?auto_53660 ) ( AT ?auto_53651 ?auto_53661 ) ( IN-CITY ?auto_53661 ?auto_53660 ) ( IN-CITY ?auto_53656 ?auto_53660 ) ( DIFFERENT ?auto_53656 ?auto_53661 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_53651 ?auto_53661 ?auto_53656 ?auto_53660 )
      ( DELIVER-PKG ?auto_53643 ?auto_53644 ) )
  )

)

