( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_73
      ?auto_74
    )
    :vars
    (
      ?auto_77
    )
    :precondition
    ( and ( OBJ ?auto_73 ) ( LOCATION ?auto_74 ) ( TRUCK ?auto_77 ) ( AT ?auto_77 ?auto_74 ) ( IN ?auto_73 ?auto_77 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_73 ?auto_77 ?auto_74 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_78
      ?auto_79
    )
    :vars
    (
      ?auto_82
      ?auto_85
      ?auto_84
    )
    :precondition
    ( and ( OBJ ?auto_78 ) ( LOCATION ?auto_79 ) ( TRUCK ?auto_82 ) ( IN ?auto_78 ?auto_82 ) ( LOCATION ?auto_85 ) ( CITY ?auto_84 ) ( AT ?auto_82 ?auto_85 ) ( IN-CITY ?auto_85 ?auto_84 ) ( IN-CITY ?auto_79 ?auto_84 ) ( DIFFERENT ?auto_79 ?auto_85 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_82 ?auto_85 ?auto_79 ?auto_84 )
      ( DELIVER-PKG ?auto_78 ?auto_79 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_94
      ?auto_95
    )
    :vars
    (
      ?auto_96
      ?auto_100
      ?auto_99
      ?auto_103
      ?auto_102
    )
    :precondition
    ( and ( OBJ ?auto_94 ) ( LOCATION ?auto_95 ) ( TRUCK ?auto_96 ) ( IN ?auto_94 ?auto_96 ) ( LOCATION ?auto_100 ) ( CITY ?auto_99 ) ( IN-CITY ?auto_100 ?auto_99 ) ( IN-CITY ?auto_95 ?auto_99 ) ( DIFFERENT ?auto_95 ?auto_100 ) ( LOCATION ?auto_103 ) ( CITY ?auto_102 ) ( AT ?auto_96 ?auto_103 ) ( IN-CITY ?auto_103 ?auto_102 ) ( IN-CITY ?auto_100 ?auto_102 ) ( DIFFERENT ?auto_100 ?auto_103 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_96 ?auto_103 ?auto_100 ?auto_102 )
      ( DELIVER-PKG ?auto_94 ?auto_95 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_105
      ?auto_106
    )
    :vars
    (
      ?auto_109
      ?auto_111
      ?auto_108
      ?auto_113
      ?auto_112
      ?auto_115
    )
    :precondition
    ( and ( OBJ ?auto_105 ) ( LOCATION ?auto_106 ) ( TRUCK ?auto_109 ) ( LOCATION ?auto_111 ) ( CITY ?auto_108 ) ( IN-CITY ?auto_111 ?auto_108 ) ( IN-CITY ?auto_106 ?auto_108 ) ( DIFFERENT ?auto_106 ?auto_111 ) ( LOCATION ?auto_113 ) ( CITY ?auto_112 ) ( AT ?auto_109 ?auto_113 ) ( IN-CITY ?auto_113 ?auto_112 ) ( IN-CITY ?auto_111 ?auto_112 ) ( DIFFERENT ?auto_111 ?auto_113 ) ( LOCATION ?auto_115 ) ( AT ?auto_109 ?auto_115 ) ( AT ?auto_105 ?auto_115 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_105 ?auto_109 ?auto_115 )
      ( DELIVER-PKG ?auto_105 ?auto_106 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_174
      ?auto_175
    )
    :vars
    (
      ?auto_178
    )
    :precondition
    ( and ( OBJ ?auto_174 ) ( LOCATION ?auto_175 ) ( AIRPLANE ?auto_178 ) ( IN ?auto_174 ?auto_178 ) ( AT ?auto_178 ?auto_175 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_174 ?auto_178 ?auto_175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_179
      ?auto_180
    )
    :vars
    (
      ?auto_183
      ?auto_185
    )
    :precondition
    ( and ( OBJ ?auto_179 ) ( LOCATION ?auto_180 ) ( AIRPLANE ?auto_183 ) ( IN ?auto_179 ?auto_183 ) ( AIRPORT ?auto_185 ) ( AIRPORT ?auto_180 ) ( AT ?auto_183 ?auto_185 ) ( DIFFERENT ?auto_180 ?auto_185 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_183 ?auto_185 ?auto_180 )
      ( DELIVER-PKG ?auto_179 ?auto_180 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8740
      ?auto_8741
    )
    :vars
    (
      ?auto_8745
      ?auto_8742
      ?auto_8746
      ?auto_8747
      ?auto_8749
    )
    :precondition
    ( and ( OBJ ?auto_8740 ) ( LOCATION ?auto_8741 ) ( AIRPLANE ?auto_8745 ) ( AIRPORT ?auto_8742 ) ( AIRPORT ?auto_8741 ) ( AT ?auto_8745 ?auto_8742 ) ( DIFFERENT ?auto_8741 ?auto_8742 ) ( LOCATION ?auto_8746 ) ( AT ?auto_8745 ?auto_8746 ) ( AIRPLANE ?auto_8747 ) ( AT ?auto_8747 ?auto_8746 ) ( LOCATION ?auto_8749 ) ( AT ?auto_8740 ?auto_8749 ) ( AT ?auto_8747 ?auto_8749 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8740 ?auto_8747 ?auto_8749 )
      ( DELIVER-PKG ?auto_8740 ?auto_8741 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_228
      ?auto_229
    )
    :vars
    (
      ?auto_232
      ?auto_234
      ?auto_236
    )
    :precondition
    ( and ( OBJ ?auto_228 ) ( LOCATION ?auto_229 ) ( AIRPLANE ?auto_232 ) ( AIRPORT ?auto_234 ) ( AIRPORT ?auto_229 ) ( DIFFERENT ?auto_229 ?auto_234 ) ( LOCATION ?auto_234 ) ( AT ?auto_228 ?auto_234 ) ( AIRPORT ?auto_236 ) ( AT ?auto_232 ?auto_236 ) ( DIFFERENT ?auto_234 ?auto_236 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_232 ?auto_236 ?auto_234 )
      ( DELIVER-PKG ?auto_228 ?auto_229 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8751
      ?auto_8752
    )
    :vars
    (
      ?auto_8758
      ?auto_8757
      ?auto_8754
      ?auto_8759
      ?auto_8755
      ?auto_8762
    )
    :precondition
    ( and ( OBJ ?auto_8751 ) ( LOCATION ?auto_8752 ) ( AIRPLANE ?auto_8758 ) ( AIRPORT ?auto_8757 ) ( AIRPORT ?auto_8752 ) ( AT ?auto_8758 ?auto_8757 ) ( DIFFERENT ?auto_8752 ?auto_8757 ) ( LOCATION ?auto_8754 ) ( AT ?auto_8758 ?auto_8754 ) ( AIRPLANE ?auto_8759 ) ( AT ?auto_8759 ?auto_8754 ) ( LOCATION ?auto_8755 ) ( AT ?auto_8759 ?auto_8755 ) ( TRUCK ?auto_8762 ) ( AT ?auto_8762 ?auto_8755 ) ( IN ?auto_8751 ?auto_8762 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8751 ?auto_8755 )
      ( DELIVER-PKG ?auto_8751 ?auto_8752 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8763
      ?auto_8764
    )
    :vars
    (
      ?auto_8766
      ?auto_8772
      ?auto_8770
      ?auto_8768
      ?auto_8771
      ?auto_8769
      ?auto_8775
      ?auto_8774
    )
    :precondition
    ( and ( OBJ ?auto_8763 ) ( LOCATION ?auto_8764 ) ( AIRPLANE ?auto_8766 ) ( AIRPORT ?auto_8772 ) ( AIRPORT ?auto_8764 ) ( AT ?auto_8766 ?auto_8772 ) ( DIFFERENT ?auto_8764 ?auto_8772 ) ( LOCATION ?auto_8770 ) ( AT ?auto_8766 ?auto_8770 ) ( AIRPLANE ?auto_8768 ) ( AT ?auto_8768 ?auto_8770 ) ( LOCATION ?auto_8771 ) ( AT ?auto_8768 ?auto_8771 ) ( TRUCK ?auto_8769 ) ( IN ?auto_8763 ?auto_8769 ) ( LOCATION ?auto_8775 ) ( CITY ?auto_8774 ) ( AT ?auto_8769 ?auto_8775 ) ( IN-CITY ?auto_8775 ?auto_8774 ) ( IN-CITY ?auto_8771 ?auto_8774 ) ( DIFFERENT ?auto_8771 ?auto_8775 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8769 ?auto_8775 ?auto_8771 ?auto_8774 )
      ( DELIVER-PKG ?auto_8763 ?auto_8764 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_299
      ?auto_300
    )
    :vars
    (
      ?auto_308
      ?auto_307
      ?auto_302
      ?auto_305
      ?auto_306
      ?auto_303
      ?auto_311
      ?auto_310
    )
    :precondition
    ( and ( OBJ ?auto_299 ) ( LOCATION ?auto_300 ) ( AIRPLANE ?auto_308 ) ( AIRPORT ?auto_307 ) ( AIRPORT ?auto_300 ) ( AT ?auto_308 ?auto_307 ) ( DIFFERENT ?auto_300 ?auto_307 ) ( LOCATION ?auto_302 ) ( AT ?auto_308 ?auto_302 ) ( TRUCK ?auto_305 ) ( IN ?auto_299 ?auto_305 ) ( LOCATION ?auto_306 ) ( CITY ?auto_303 ) ( IN-CITY ?auto_306 ?auto_303 ) ( IN-CITY ?auto_302 ?auto_303 ) ( DIFFERENT ?auto_302 ?auto_306 ) ( LOCATION ?auto_311 ) ( CITY ?auto_310 ) ( AT ?auto_305 ?auto_311 ) ( IN-CITY ?auto_311 ?auto_310 ) ( IN-CITY ?auto_306 ?auto_310 ) ( DIFFERENT ?auto_306 ?auto_311 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_305 ?auto_311 ?auto_306 ?auto_310 )
      ( DELIVER-PKG ?auto_299 ?auto_300 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_313
      ?auto_314
    )
    :vars
    (
      ?auto_318
      ?auto_316
      ?auto_320
      ?auto_315
      ?auto_317
      ?auto_321
      ?auto_324
      ?auto_323
      ?auto_326
    )
    :precondition
    ( and ( OBJ ?auto_313 ) ( LOCATION ?auto_314 ) ( AIRPLANE ?auto_318 ) ( AIRPORT ?auto_316 ) ( AIRPORT ?auto_314 ) ( AT ?auto_318 ?auto_316 ) ( DIFFERENT ?auto_314 ?auto_316 ) ( LOCATION ?auto_320 ) ( AT ?auto_318 ?auto_320 ) ( TRUCK ?auto_315 ) ( LOCATION ?auto_317 ) ( CITY ?auto_321 ) ( IN-CITY ?auto_317 ?auto_321 ) ( IN-CITY ?auto_320 ?auto_321 ) ( DIFFERENT ?auto_320 ?auto_317 ) ( LOCATION ?auto_324 ) ( CITY ?auto_323 ) ( AT ?auto_315 ?auto_324 ) ( IN-CITY ?auto_324 ?auto_323 ) ( IN-CITY ?auto_317 ?auto_323 ) ( DIFFERENT ?auto_317 ?auto_324 ) ( LOCATION ?auto_326 ) ( AT ?auto_315 ?auto_326 ) ( AT ?auto_313 ?auto_326 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_313 ?auto_315 ?auto_326 )
      ( DELIVER-PKG ?auto_313 ?auto_314 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_328
      ?auto_329
    )
    :vars
    (
      ?auto_339
      ?auto_332
      ?auto_331
      ?auto_340
      ?auto_333
      ?auto_337
      ?auto_334
      ?auto_336
      ?auto_342
    )
    :precondition
    ( and ( OBJ ?auto_328 ) ( LOCATION ?auto_329 ) ( AIRPLANE ?auto_339 ) ( AIRPORT ?auto_332 ) ( AIRPORT ?auto_329 ) ( DIFFERENT ?auto_329 ?auto_332 ) ( LOCATION ?auto_332 ) ( TRUCK ?auto_331 ) ( LOCATION ?auto_340 ) ( CITY ?auto_333 ) ( IN-CITY ?auto_340 ?auto_333 ) ( IN-CITY ?auto_332 ?auto_333 ) ( DIFFERENT ?auto_332 ?auto_340 ) ( LOCATION ?auto_337 ) ( CITY ?auto_334 ) ( AT ?auto_331 ?auto_337 ) ( IN-CITY ?auto_337 ?auto_334 ) ( IN-CITY ?auto_340 ?auto_334 ) ( DIFFERENT ?auto_340 ?auto_337 ) ( LOCATION ?auto_336 ) ( AT ?auto_331 ?auto_336 ) ( AT ?auto_328 ?auto_336 ) ( AIRPORT ?auto_342 ) ( AT ?auto_339 ?auto_342 ) ( DIFFERENT ?auto_332 ?auto_342 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_339 ?auto_342 ?auto_332 )
      ( DELIVER-PKG ?auto_328 ?auto_329 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2500
      ?auto_2501
    )
    :vars
    (
      ?auto_2505
      ?auto_2506
      ?auto_2504
      ?auto_2502
      ?auto_2507
      ?auto_2510
    )
    :precondition
    ( and ( OBJ ?auto_2500 ) ( LOCATION ?auto_2501 ) ( TRUCK ?auto_2505 ) ( LOCATION ?auto_2506 ) ( CITY ?auto_2504 ) ( AT ?auto_2505 ?auto_2506 ) ( IN-CITY ?auto_2506 ?auto_2504 ) ( IN-CITY ?auto_2501 ?auto_2504 ) ( DIFFERENT ?auto_2501 ?auto_2506 ) ( LOCATION ?auto_2502 ) ( AT ?auto_2505 ?auto_2502 ) ( TRUCK ?auto_2507 ) ( AT ?auto_2507 ?auto_2502 ) ( LOCATION ?auto_2510 ) ( AT ?auto_2507 ?auto_2510 ) ( AT ?auto_2500 ?auto_2510 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2500 ?auto_2507 ?auto_2510 )
      ( DELIVER-PKG ?auto_2500 ?auto_2501 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2512
      ?auto_2513
    )
    :vars
    (
      ?auto_2517
      ?auto_2514
      ?auto_2518
      ?auto_2519
      ?auto_2515
      ?auto_2521
      ?auto_2524
    )
    :precondition
    ( and ( OBJ ?auto_2512 ) ( LOCATION ?auto_2513 ) ( TRUCK ?auto_2517 ) ( LOCATION ?auto_2514 ) ( CITY ?auto_2518 ) ( AT ?auto_2517 ?auto_2514 ) ( IN-CITY ?auto_2514 ?auto_2518 ) ( IN-CITY ?auto_2513 ?auto_2518 ) ( DIFFERENT ?auto_2513 ?auto_2514 ) ( LOCATION ?auto_2519 ) ( AT ?auto_2517 ?auto_2519 ) ( TRUCK ?auto_2515 ) ( AT ?auto_2515 ?auto_2519 ) ( LOCATION ?auto_2521 ) ( AT ?auto_2515 ?auto_2521 ) ( AIRPLANE ?auto_2524 ) ( IN ?auto_2512 ?auto_2524 ) ( AT ?auto_2524 ?auto_2521 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2512 ?auto_2521 )
      ( DELIVER-PKG ?auto_2512 ?auto_2513 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2525
      ?auto_2526
    )
    :vars
    (
      ?auto_2532
      ?auto_2529
      ?auto_2531
      ?auto_2527
      ?auto_2535
      ?auto_2528
      ?auto_2533
      ?auto_2537
    )
    :precondition
    ( and ( OBJ ?auto_2525 ) ( LOCATION ?auto_2526 ) ( TRUCK ?auto_2532 ) ( LOCATION ?auto_2529 ) ( CITY ?auto_2531 ) ( AT ?auto_2532 ?auto_2529 ) ( IN-CITY ?auto_2529 ?auto_2531 ) ( IN-CITY ?auto_2526 ?auto_2531 ) ( DIFFERENT ?auto_2526 ?auto_2529 ) ( LOCATION ?auto_2527 ) ( AT ?auto_2532 ?auto_2527 ) ( TRUCK ?auto_2535 ) ( AT ?auto_2535 ?auto_2527 ) ( LOCATION ?auto_2528 ) ( AT ?auto_2535 ?auto_2528 ) ( AIRPLANE ?auto_2533 ) ( IN ?auto_2525 ?auto_2533 ) ( AIRPORT ?auto_2537 ) ( AIRPORT ?auto_2528 ) ( AT ?auto_2533 ?auto_2537 ) ( DIFFERENT ?auto_2528 ?auto_2537 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2533 ?auto_2537 ?auto_2528 )
      ( DELIVER-PKG ?auto_2525 ?auto_2526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2539
      ?auto_2540
    )
    :vars
    (
      ?auto_2548
      ?auto_2543
      ?auto_2550
      ?auto_2545
      ?auto_2541
      ?auto_2549
      ?auto_2547
      ?auto_2544
      ?auto_2552
    )
    :precondition
    ( and ( OBJ ?auto_2539 ) ( LOCATION ?auto_2540 ) ( TRUCK ?auto_2548 ) ( LOCATION ?auto_2543 ) ( CITY ?auto_2550 ) ( AT ?auto_2548 ?auto_2543 ) ( IN-CITY ?auto_2543 ?auto_2550 ) ( IN-CITY ?auto_2540 ?auto_2550 ) ( DIFFERENT ?auto_2540 ?auto_2543 ) ( LOCATION ?auto_2545 ) ( AT ?auto_2548 ?auto_2545 ) ( TRUCK ?auto_2541 ) ( AT ?auto_2541 ?auto_2545 ) ( LOCATION ?auto_2549 ) ( AT ?auto_2541 ?auto_2549 ) ( AIRPLANE ?auto_2547 ) ( AIRPORT ?auto_2544 ) ( AIRPORT ?auto_2549 ) ( AT ?auto_2547 ?auto_2544 ) ( DIFFERENT ?auto_2549 ?auto_2544 ) ( LOCATION ?auto_2552 ) ( AT ?auto_2539 ?auto_2552 ) ( AT ?auto_2547 ?auto_2552 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2539 ?auto_2547 ?auto_2552 )
      ( DELIVER-PKG ?auto_2539 ?auto_2540 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3385
      ?auto_3386
    )
    :vars
    (
      ?auto_3390
      ?auto_3392
      ?auto_3389
      ?auto_3391
      ?auto_3393
      ?auto_3395
      ?auto_3388
      ?auto_3396
      ?auto_3399
    )
    :precondition
    ( and ( OBJ ?auto_3385 ) ( LOCATION ?auto_3386 ) ( TRUCK ?auto_3390 ) ( LOCATION ?auto_3392 ) ( CITY ?auto_3389 ) ( AT ?auto_3390 ?auto_3392 ) ( IN-CITY ?auto_3392 ?auto_3389 ) ( IN-CITY ?auto_3386 ?auto_3389 ) ( DIFFERENT ?auto_3386 ?auto_3392 ) ( LOCATION ?auto_3391 ) ( AT ?auto_3390 ?auto_3391 ) ( TRUCK ?auto_3393 ) ( AT ?auto_3393 ?auto_3391 ) ( LOCATION ?auto_3395 ) ( AT ?auto_3393 ?auto_3395 ) ( AIRPLANE ?auto_3388 ) ( AIRPORT ?auto_3396 ) ( AIRPORT ?auto_3395 ) ( DIFFERENT ?auto_3395 ?auto_3396 ) ( LOCATION ?auto_3396 ) ( AT ?auto_3385 ?auto_3396 ) ( AIRPORT ?auto_3399 ) ( AT ?auto_3388 ?auto_3399 ) ( DIFFERENT ?auto_3396 ?auto_3399 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3388 ?auto_3399 ?auto_3396 )
      ( DELIVER-PKG ?auto_3385 ?auto_3386 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_767
      ?auto_768
    )
    :vars
    (
      ?auto_773
      ?auto_775
      ?auto_769
      ?auto_771
      ?auto_770
      ?auto_772
      ?auto_779
    )
    :precondition
    ( and ( OBJ ?auto_767 ) ( LOCATION ?auto_768 ) ( TRUCK ?auto_773 ) ( LOCATION ?auto_775 ) ( CITY ?auto_769 ) ( IN-CITY ?auto_775 ?auto_769 ) ( IN-CITY ?auto_768 ?auto_769 ) ( DIFFERENT ?auto_768 ?auto_775 ) ( LOCATION ?auto_771 ) ( CITY ?auto_770 ) ( AT ?auto_773 ?auto_771 ) ( IN-CITY ?auto_771 ?auto_770 ) ( IN-CITY ?auto_775 ?auto_770 ) ( DIFFERENT ?auto_775 ?auto_771 ) ( LOCATION ?auto_772 ) ( AT ?auto_773 ?auto_772 ) ( AIRPLANE ?auto_779 ) ( IN ?auto_767 ?auto_779 ) ( AT ?auto_779 ?auto_772 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_767 ?auto_772 )
      ( DELIVER-PKG ?auto_767 ?auto_768 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_791
      ?auto_792
    )
    :vars
    (
      ?auto_795
      ?auto_796
      ?auto_798
      ?auto_797
      ?auto_799
      ?auto_794
      ?auto_800
      ?auto_803
    )
    :precondition
    ( and ( OBJ ?auto_791 ) ( LOCATION ?auto_792 ) ( TRUCK ?auto_795 ) ( LOCATION ?auto_796 ) ( CITY ?auto_798 ) ( IN-CITY ?auto_796 ?auto_798 ) ( IN-CITY ?auto_792 ?auto_798 ) ( DIFFERENT ?auto_792 ?auto_796 ) ( LOCATION ?auto_797 ) ( CITY ?auto_799 ) ( AT ?auto_795 ?auto_797 ) ( IN-CITY ?auto_797 ?auto_799 ) ( IN-CITY ?auto_796 ?auto_799 ) ( DIFFERENT ?auto_796 ?auto_797 ) ( LOCATION ?auto_794 ) ( AT ?auto_795 ?auto_794 ) ( AIRPLANE ?auto_800 ) ( IN ?auto_791 ?auto_800 ) ( AIRPORT ?auto_803 ) ( AIRPORT ?auto_794 ) ( AT ?auto_800 ?auto_803 ) ( DIFFERENT ?auto_794 ?auto_803 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_800 ?auto_803 ?auto_794 )
      ( DELIVER-PKG ?auto_791 ?auto_792 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9950
      ?auto_9951
    )
    :vars
    (
      ?auto_9954
      ?auto_9955
      ?auto_9956
      ?auto_9963
      ?auto_9962
      ?auto_9958
      ?auto_9959
      ?auto_9960
      ?auto_9957
      ?auto_9961
      ?auto_9965
    )
    :precondition
    ( and ( OBJ ?auto_9950 ) ( LOCATION ?auto_9951 ) ( TRUCK ?auto_9954 ) ( LOCATION ?auto_9955 ) ( CITY ?auto_9956 ) ( IN-CITY ?auto_9955 ?auto_9956 ) ( IN-CITY ?auto_9951 ?auto_9956 ) ( DIFFERENT ?auto_9951 ?auto_9955 ) ( LOCATION ?auto_9963 ) ( CITY ?auto_9962 ) ( AT ?auto_9954 ?auto_9963 ) ( IN-CITY ?auto_9963 ?auto_9962 ) ( IN-CITY ?auto_9955 ?auto_9962 ) ( DIFFERENT ?auto_9955 ?auto_9963 ) ( LOCATION ?auto_9958 ) ( AT ?auto_9954 ?auto_9958 ) ( AIRPLANE ?auto_9959 ) ( AIRPORT ?auto_9960 ) ( AIRPORT ?auto_9958 ) ( AT ?auto_9959 ?auto_9960 ) ( DIFFERENT ?auto_9958 ?auto_9960 ) ( LOCATION ?auto_9957 ) ( AT ?auto_9959 ?auto_9957 ) ( AIRPLANE ?auto_9961 ) ( AT ?auto_9961 ?auto_9957 ) ( LOCATION ?auto_9965 ) ( AT ?auto_9950 ?auto_9965 ) ( AT ?auto_9961 ?auto_9965 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9950 ?auto_9961 ?auto_9965 )
      ( DELIVER-PKG ?auto_9950 ?auto_9951 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9967
      ?auto_9968
    )
    :vars
    (
      ?auto_9979
      ?auto_9969
      ?auto_9970
      ?auto_9978
      ?auto_9977
      ?auto_9973
      ?auto_9974
      ?auto_9975
      ?auto_9972
      ?auto_9976
      ?auto_9981
      ?auto_9984
    )
    :precondition
    ( and ( OBJ ?auto_9967 ) ( LOCATION ?auto_9968 ) ( TRUCK ?auto_9979 ) ( LOCATION ?auto_9969 ) ( CITY ?auto_9970 ) ( IN-CITY ?auto_9969 ?auto_9970 ) ( IN-CITY ?auto_9968 ?auto_9970 ) ( DIFFERENT ?auto_9968 ?auto_9969 ) ( LOCATION ?auto_9978 ) ( CITY ?auto_9977 ) ( AT ?auto_9979 ?auto_9978 ) ( IN-CITY ?auto_9978 ?auto_9977 ) ( IN-CITY ?auto_9969 ?auto_9977 ) ( DIFFERENT ?auto_9969 ?auto_9978 ) ( LOCATION ?auto_9973 ) ( AT ?auto_9979 ?auto_9973 ) ( AIRPLANE ?auto_9974 ) ( AIRPORT ?auto_9975 ) ( AIRPORT ?auto_9973 ) ( AT ?auto_9974 ?auto_9975 ) ( DIFFERENT ?auto_9973 ?auto_9975 ) ( LOCATION ?auto_9972 ) ( AT ?auto_9974 ?auto_9972 ) ( AIRPLANE ?auto_9976 ) ( AT ?auto_9976 ?auto_9972 ) ( LOCATION ?auto_9981 ) ( AT ?auto_9976 ?auto_9981 ) ( TRUCK ?auto_9984 ) ( AT ?auto_9984 ?auto_9981 ) ( IN ?auto_9967 ?auto_9984 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9967 ?auto_9981 )
      ( DELIVER-PKG ?auto_9967 ?auto_9968 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9985
      ?auto_9986
    )
    :vars
    (
      ?auto_9993
      ?auto_9991
      ?auto_10000
      ?auto_9990
      ?auto_9998
      ?auto_9997
      ?auto_9987
      ?auto_9988
      ?auto_9989
      ?auto_9992
      ?auto_9996
      ?auto_9995
      ?auto_10003
      ?auto_10002
    )
    :precondition
    ( and ( OBJ ?auto_9985 ) ( LOCATION ?auto_9986 ) ( TRUCK ?auto_9993 ) ( LOCATION ?auto_9991 ) ( CITY ?auto_10000 ) ( IN-CITY ?auto_9991 ?auto_10000 ) ( IN-CITY ?auto_9986 ?auto_10000 ) ( DIFFERENT ?auto_9986 ?auto_9991 ) ( LOCATION ?auto_9990 ) ( CITY ?auto_9998 ) ( AT ?auto_9993 ?auto_9990 ) ( IN-CITY ?auto_9990 ?auto_9998 ) ( IN-CITY ?auto_9991 ?auto_9998 ) ( DIFFERENT ?auto_9991 ?auto_9990 ) ( LOCATION ?auto_9997 ) ( AT ?auto_9993 ?auto_9997 ) ( AIRPLANE ?auto_9987 ) ( AIRPORT ?auto_9988 ) ( AIRPORT ?auto_9997 ) ( AT ?auto_9987 ?auto_9988 ) ( DIFFERENT ?auto_9997 ?auto_9988 ) ( LOCATION ?auto_9989 ) ( AT ?auto_9987 ?auto_9989 ) ( AIRPLANE ?auto_9992 ) ( AT ?auto_9992 ?auto_9989 ) ( LOCATION ?auto_9996 ) ( AT ?auto_9992 ?auto_9996 ) ( TRUCK ?auto_9995 ) ( IN ?auto_9985 ?auto_9995 ) ( LOCATION ?auto_10003 ) ( CITY ?auto_10002 ) ( AT ?auto_9995 ?auto_10003 ) ( IN-CITY ?auto_10003 ?auto_10002 ) ( IN-CITY ?auto_9996 ?auto_10002 ) ( DIFFERENT ?auto_9996 ?auto_10003 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9995 ?auto_10003 ?auto_9996 ?auto_10002 )
      ( DELIVER-PKG ?auto_9985 ?auto_9986 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_870
      ?auto_871
    )
    :vars
    (
      ?auto_872
      ?auto_885
      ?auto_874
      ?auto_873
      ?auto_883
      ?auto_879
      ?auto_876
      ?auto_877
      ?auto_884
      ?auto_875
      ?auto_882
      ?auto_881
      ?auto_888
      ?auto_887
    )
    :precondition
    ( and ( OBJ ?auto_870 ) ( LOCATION ?auto_871 ) ( TRUCK ?auto_872 ) ( LOCATION ?auto_885 ) ( CITY ?auto_874 ) ( IN-CITY ?auto_885 ?auto_874 ) ( IN-CITY ?auto_871 ?auto_874 ) ( DIFFERENT ?auto_871 ?auto_885 ) ( LOCATION ?auto_873 ) ( CITY ?auto_883 ) ( AT ?auto_872 ?auto_873 ) ( IN-CITY ?auto_873 ?auto_883 ) ( IN-CITY ?auto_885 ?auto_883 ) ( DIFFERENT ?auto_885 ?auto_873 ) ( LOCATION ?auto_879 ) ( AT ?auto_872 ?auto_879 ) ( AIRPLANE ?auto_876 ) ( AIRPORT ?auto_877 ) ( AIRPORT ?auto_879 ) ( AT ?auto_876 ?auto_877 ) ( DIFFERENT ?auto_879 ?auto_877 ) ( LOCATION ?auto_884 ) ( AT ?auto_876 ?auto_884 ) ( TRUCK ?auto_875 ) ( IN ?auto_870 ?auto_875 ) ( LOCATION ?auto_882 ) ( CITY ?auto_881 ) ( IN-CITY ?auto_882 ?auto_881 ) ( IN-CITY ?auto_884 ?auto_881 ) ( DIFFERENT ?auto_884 ?auto_882 ) ( LOCATION ?auto_888 ) ( CITY ?auto_887 ) ( AT ?auto_875 ?auto_888 ) ( IN-CITY ?auto_888 ?auto_887 ) ( IN-CITY ?auto_882 ?auto_887 ) ( DIFFERENT ?auto_882 ?auto_888 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_875 ?auto_888 ?auto_882 ?auto_887 )
      ( DELIVER-PKG ?auto_870 ?auto_871 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_890
      ?auto_891
    )
    :vars
    (
      ?auto_905
      ?auto_902
      ?auto_896
      ?auto_899
      ?auto_900
      ?auto_898
      ?auto_892
      ?auto_893
      ?auto_901
      ?auto_903
      ?auto_895
      ?auto_894
      ?auto_907
      ?auto_906
      ?auto_909
    )
    :precondition
    ( and ( OBJ ?auto_890 ) ( LOCATION ?auto_891 ) ( TRUCK ?auto_905 ) ( LOCATION ?auto_902 ) ( CITY ?auto_896 ) ( IN-CITY ?auto_902 ?auto_896 ) ( IN-CITY ?auto_891 ?auto_896 ) ( DIFFERENT ?auto_891 ?auto_902 ) ( LOCATION ?auto_899 ) ( CITY ?auto_900 ) ( AT ?auto_905 ?auto_899 ) ( IN-CITY ?auto_899 ?auto_900 ) ( IN-CITY ?auto_902 ?auto_900 ) ( DIFFERENT ?auto_902 ?auto_899 ) ( LOCATION ?auto_898 ) ( AT ?auto_905 ?auto_898 ) ( AIRPLANE ?auto_892 ) ( AIRPORT ?auto_893 ) ( AIRPORT ?auto_898 ) ( AT ?auto_892 ?auto_893 ) ( DIFFERENT ?auto_898 ?auto_893 ) ( LOCATION ?auto_901 ) ( AT ?auto_892 ?auto_901 ) ( TRUCK ?auto_903 ) ( LOCATION ?auto_895 ) ( CITY ?auto_894 ) ( IN-CITY ?auto_895 ?auto_894 ) ( IN-CITY ?auto_901 ?auto_894 ) ( DIFFERENT ?auto_901 ?auto_895 ) ( LOCATION ?auto_907 ) ( CITY ?auto_906 ) ( AT ?auto_903 ?auto_907 ) ( IN-CITY ?auto_907 ?auto_906 ) ( IN-CITY ?auto_895 ?auto_906 ) ( DIFFERENT ?auto_895 ?auto_907 ) ( LOCATION ?auto_909 ) ( AT ?auto_903 ?auto_909 ) ( AT ?auto_890 ?auto_909 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_890 ?auto_903 ?auto_909 )
      ( DELIVER-PKG ?auto_890 ?auto_891 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_911
      ?auto_912
    )
    :vars
    (
      ?auto_922
      ?auto_924
      ?auto_928
      ?auto_913
      ?auto_920
      ?auto_915
      ?auto_914
      ?auto_921
      ?auto_926
      ?auto_929
      ?auto_925
      ?auto_917
      ?auto_923
      ?auto_918
      ?auto_931
    )
    :precondition
    ( and ( OBJ ?auto_911 ) ( LOCATION ?auto_912 ) ( TRUCK ?auto_922 ) ( LOCATION ?auto_924 ) ( CITY ?auto_928 ) ( IN-CITY ?auto_924 ?auto_928 ) ( IN-CITY ?auto_912 ?auto_928 ) ( DIFFERENT ?auto_912 ?auto_924 ) ( LOCATION ?auto_913 ) ( CITY ?auto_920 ) ( AT ?auto_922 ?auto_913 ) ( IN-CITY ?auto_913 ?auto_920 ) ( IN-CITY ?auto_924 ?auto_920 ) ( DIFFERENT ?auto_924 ?auto_913 ) ( LOCATION ?auto_915 ) ( AT ?auto_922 ?auto_915 ) ( AIRPLANE ?auto_914 ) ( AIRPORT ?auto_921 ) ( AIRPORT ?auto_915 ) ( DIFFERENT ?auto_915 ?auto_921 ) ( LOCATION ?auto_921 ) ( TRUCK ?auto_926 ) ( LOCATION ?auto_929 ) ( CITY ?auto_925 ) ( IN-CITY ?auto_929 ?auto_925 ) ( IN-CITY ?auto_921 ?auto_925 ) ( DIFFERENT ?auto_921 ?auto_929 ) ( LOCATION ?auto_917 ) ( CITY ?auto_923 ) ( AT ?auto_926 ?auto_917 ) ( IN-CITY ?auto_917 ?auto_923 ) ( IN-CITY ?auto_929 ?auto_923 ) ( DIFFERENT ?auto_929 ?auto_917 ) ( LOCATION ?auto_918 ) ( AT ?auto_926 ?auto_918 ) ( AT ?auto_911 ?auto_918 ) ( AIRPORT ?auto_931 ) ( AT ?auto_914 ?auto_931 ) ( DIFFERENT ?auto_921 ?auto_931 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_914 ?auto_931 ?auto_921 )
      ( DELIVER-PKG ?auto_911 ?auto_912 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1243
      ?auto_1244
    )
    :vars
    (
      ?auto_1245
      ?auto_1250
      ?auto_1246
      ?auto_1253
      ?auto_1252
    )
    :precondition
    ( and ( OBJ ?auto_1243 ) ( LOCATION ?auto_1244 ) ( TRUCK ?auto_1245 ) ( LOCATION ?auto_1250 ) ( CITY ?auto_1246 ) ( IN-CITY ?auto_1250 ?auto_1246 ) ( IN-CITY ?auto_1244 ?auto_1246 ) ( DIFFERENT ?auto_1244 ?auto_1250 ) ( AT ?auto_1243 ?auto_1250 ) ( LOCATION ?auto_1253 ) ( CITY ?auto_1252 ) ( AT ?auto_1245 ?auto_1253 ) ( IN-CITY ?auto_1253 ?auto_1252 ) ( IN-CITY ?auto_1250 ?auto_1252 ) ( DIFFERENT ?auto_1250 ?auto_1253 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1245 ?auto_1253 ?auto_1250 ?auto_1252 )
      ( DELIVER-PKG ?auto_1243 ?auto_1244 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8777
      ?auto_8778
    )
    :vars
    (
      ?auto_8781
      ?auto_8786
      ?auto_8784
      ?auto_8782
      ?auto_8785
      ?auto_8783
      ?auto_8788
      ?auto_8787
      ?auto_8790
    )
    :precondition
    ( and ( OBJ ?auto_8777 ) ( LOCATION ?auto_8778 ) ( AIRPLANE ?auto_8781 ) ( AIRPORT ?auto_8786 ) ( AIRPORT ?auto_8778 ) ( AT ?auto_8781 ?auto_8786 ) ( DIFFERENT ?auto_8778 ?auto_8786 ) ( LOCATION ?auto_8784 ) ( AT ?auto_8781 ?auto_8784 ) ( AIRPLANE ?auto_8782 ) ( AT ?auto_8782 ?auto_8784 ) ( LOCATION ?auto_8785 ) ( AT ?auto_8782 ?auto_8785 ) ( TRUCK ?auto_8783 ) ( LOCATION ?auto_8788 ) ( CITY ?auto_8787 ) ( AT ?auto_8783 ?auto_8788 ) ( IN-CITY ?auto_8788 ?auto_8787 ) ( IN-CITY ?auto_8785 ?auto_8787 ) ( DIFFERENT ?auto_8785 ?auto_8788 ) ( LOCATION ?auto_8790 ) ( AT ?auto_8783 ?auto_8790 ) ( AT ?auto_8777 ?auto_8790 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8777 ?auto_8783 ?auto_8790 )
      ( DELIVER-PKG ?auto_8777 ?auto_8778 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1537
      ?auto_1538
    )
    :vars
    (
      ?auto_1539
      ?auto_1541
      ?auto_1540
      ?auto_1543
      ?auto_1542
      ?auto_1547
      ?auto_1549
    )
    :precondition
    ( and ( OBJ ?auto_1537 ) ( LOCATION ?auto_1538 ) ( AIRPLANE ?auto_1539 ) ( AIRPORT ?auto_1541 ) ( AIRPORT ?auto_1538 ) ( DIFFERENT ?auto_1538 ?auto_1541 ) ( LOCATION ?auto_1541 ) ( TRUCK ?auto_1540 ) ( LOCATION ?auto_1543 ) ( CITY ?auto_1542 ) ( AT ?auto_1540 ?auto_1543 ) ( IN-CITY ?auto_1543 ?auto_1542 ) ( IN-CITY ?auto_1541 ?auto_1542 ) ( DIFFERENT ?auto_1541 ?auto_1543 ) ( LOCATION ?auto_1547 ) ( AT ?auto_1540 ?auto_1547 ) ( AT ?auto_1537 ?auto_1547 ) ( AIRPORT ?auto_1549 ) ( AT ?auto_1539 ?auto_1549 ) ( DIFFERENT ?auto_1541 ?auto_1549 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1539 ?auto_1549 ?auto_1541 )
      ( DELIVER-PKG ?auto_1537 ?auto_1538 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1551
      ?auto_1552
    )
    :vars
    (
      ?auto_1553
      ?auto_1554
      ?auto_1556
      ?auto_1559
      ?auto_1555
      ?auto_1561
      ?auto_1564
      ?auto_1563
    )
    :precondition
    ( and ( OBJ ?auto_1551 ) ( LOCATION ?auto_1552 ) ( AIRPLANE ?auto_1553 ) ( AIRPORT ?auto_1554 ) ( AIRPORT ?auto_1552 ) ( DIFFERENT ?auto_1552 ?auto_1554 ) ( LOCATION ?auto_1554 ) ( TRUCK ?auto_1556 ) ( LOCATION ?auto_1559 ) ( CITY ?auto_1555 ) ( IN-CITY ?auto_1559 ?auto_1555 ) ( IN-CITY ?auto_1554 ?auto_1555 ) ( DIFFERENT ?auto_1554 ?auto_1559 ) ( AT ?auto_1551 ?auto_1559 ) ( AIRPORT ?auto_1561 ) ( AT ?auto_1553 ?auto_1561 ) ( DIFFERENT ?auto_1554 ?auto_1561 ) ( LOCATION ?auto_1564 ) ( CITY ?auto_1563 ) ( AT ?auto_1556 ?auto_1564 ) ( IN-CITY ?auto_1564 ?auto_1563 ) ( IN-CITY ?auto_1559 ?auto_1563 ) ( DIFFERENT ?auto_1559 ?auto_1564 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1556 ?auto_1564 ?auto_1559 ?auto_1563 )
      ( DELIVER-PKG ?auto_1551 ?auto_1552 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1705
      ?auto_1706
    )
    :vars
    (
      ?auto_1709
      ?auto_1711
    )
    :precondition
    ( and ( OBJ ?auto_1705 ) ( LOCATION ?auto_1706 ) ( TRUCK ?auto_1709 ) ( AT ?auto_1709 ?auto_1706 ) ( LOCATION ?auto_1711 ) ( AT ?auto_1709 ?auto_1711 ) ( AT ?auto_1705 ?auto_1711 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1705 ?auto_1709 ?auto_1711 )
      ( DELIVER-PKG ?auto_1705 ?auto_1706 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1713
      ?auto_1714
    )
    :vars
    (
      ?auto_1716
      ?auto_1717
      ?auto_1721
    )
    :precondition
    ( and ( OBJ ?auto_1713 ) ( LOCATION ?auto_1714 ) ( TRUCK ?auto_1716 ) ( AT ?auto_1716 ?auto_1714 ) ( LOCATION ?auto_1717 ) ( AT ?auto_1716 ?auto_1717 ) ( AIRPLANE ?auto_1721 ) ( IN ?auto_1713 ?auto_1721 ) ( AT ?auto_1721 ?auto_1717 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1713 ?auto_1717 )
      ( DELIVER-PKG ?auto_1713 ?auto_1714 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1722
      ?auto_1723
    )
    :vars
    (
      ?auto_1726
      ?auto_1728
      ?auto_1725
      ?auto_1730
    )
    :precondition
    ( and ( OBJ ?auto_1722 ) ( LOCATION ?auto_1723 ) ( TRUCK ?auto_1726 ) ( AT ?auto_1726 ?auto_1723 ) ( LOCATION ?auto_1728 ) ( AT ?auto_1726 ?auto_1728 ) ( AIRPLANE ?auto_1725 ) ( IN ?auto_1722 ?auto_1725 ) ( AIRPORT ?auto_1730 ) ( AIRPORT ?auto_1728 ) ( AT ?auto_1725 ?auto_1730 ) ( DIFFERENT ?auto_1728 ?auto_1730 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1725 ?auto_1730 ?auto_1728 )
      ( DELIVER-PKG ?auto_1722 ?auto_1723 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1732
      ?auto_1733
    )
    :vars
    (
      ?auto_1738
      ?auto_1734
      ?auto_1739
      ?auto_1736
      ?auto_1741
    )
    :precondition
    ( and ( OBJ ?auto_1732 ) ( LOCATION ?auto_1733 ) ( TRUCK ?auto_1738 ) ( AT ?auto_1738 ?auto_1733 ) ( LOCATION ?auto_1734 ) ( AT ?auto_1738 ?auto_1734 ) ( AIRPLANE ?auto_1739 ) ( AIRPORT ?auto_1736 ) ( AIRPORT ?auto_1734 ) ( AT ?auto_1739 ?auto_1736 ) ( DIFFERENT ?auto_1734 ?auto_1736 ) ( LOCATION ?auto_1741 ) ( AT ?auto_1732 ?auto_1741 ) ( AT ?auto_1739 ?auto_1741 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1732 ?auto_1739 ?auto_1741 )
      ( DELIVER-PKG ?auto_1732 ?auto_1733 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11638
      ?auto_11639
    )
    :vars
    (
      ?auto_11648
      ?auto_11647
      ?auto_11643
      ?auto_11641
      ?auto_11645
      ?auto_11640
      ?auto_11642
      ?auto_11651
    )
    :precondition
    ( and ( OBJ ?auto_11638 ) ( LOCATION ?auto_11639 ) ( TRUCK ?auto_11648 ) ( AT ?auto_11648 ?auto_11639 ) ( LOCATION ?auto_11647 ) ( AT ?auto_11648 ?auto_11647 ) ( AIRPLANE ?auto_11643 ) ( AIRPORT ?auto_11641 ) ( AIRPORT ?auto_11647 ) ( AT ?auto_11643 ?auto_11641 ) ( DIFFERENT ?auto_11647 ?auto_11641 ) ( LOCATION ?auto_11645 ) ( AT ?auto_11643 ?auto_11645 ) ( TRUCK ?auto_11640 ) ( AT ?auto_11640 ?auto_11645 ) ( LOCATION ?auto_11642 ) ( AT ?auto_11640 ?auto_11642 ) ( TRUCK ?auto_11651 ) ( AT ?auto_11651 ?auto_11642 ) ( IN ?auto_11638 ?auto_11651 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11638 ?auto_11642 )
      ( DELIVER-PKG ?auto_11638 ?auto_11639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1774
      ?auto_1775
    )
    :vars
    (
      ?auto_1779
      ?auto_1782
      ?auto_1780
      ?auto_1776
      ?auto_1777
      ?auto_1783
      ?auto_1786
      ?auto_1785
    )
    :precondition
    ( and ( OBJ ?auto_1774 ) ( LOCATION ?auto_1775 ) ( TRUCK ?auto_1779 ) ( AT ?auto_1779 ?auto_1775 ) ( LOCATION ?auto_1782 ) ( AT ?auto_1779 ?auto_1782 ) ( AIRPLANE ?auto_1780 ) ( AIRPORT ?auto_1776 ) ( AIRPORT ?auto_1782 ) ( AT ?auto_1780 ?auto_1776 ) ( DIFFERENT ?auto_1782 ?auto_1776 ) ( LOCATION ?auto_1777 ) ( AT ?auto_1780 ?auto_1777 ) ( TRUCK ?auto_1783 ) ( IN ?auto_1774 ?auto_1783 ) ( LOCATION ?auto_1786 ) ( CITY ?auto_1785 ) ( AT ?auto_1783 ?auto_1786 ) ( IN-CITY ?auto_1786 ?auto_1785 ) ( IN-CITY ?auto_1777 ?auto_1785 ) ( DIFFERENT ?auto_1777 ?auto_1786 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1783 ?auto_1786 ?auto_1777 ?auto_1785 )
      ( DELIVER-PKG ?auto_1774 ?auto_1775 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1812
      ?auto_1813
    )
    :vars
    (
      ?auto_1816
      ?auto_1814
      ?auto_1817
      ?auto_1815
      ?auto_1820
      ?auto_1819
      ?auto_1823
      ?auto_1822
      ?auto_1825
    )
    :precondition
    ( and ( OBJ ?auto_1812 ) ( LOCATION ?auto_1813 ) ( TRUCK ?auto_1816 ) ( AT ?auto_1816 ?auto_1813 ) ( LOCATION ?auto_1814 ) ( AT ?auto_1816 ?auto_1814 ) ( AIRPLANE ?auto_1817 ) ( AIRPORT ?auto_1815 ) ( AIRPORT ?auto_1814 ) ( AT ?auto_1817 ?auto_1815 ) ( DIFFERENT ?auto_1814 ?auto_1815 ) ( LOCATION ?auto_1820 ) ( AT ?auto_1817 ?auto_1820 ) ( TRUCK ?auto_1819 ) ( LOCATION ?auto_1823 ) ( CITY ?auto_1822 ) ( AT ?auto_1819 ?auto_1823 ) ( IN-CITY ?auto_1823 ?auto_1822 ) ( IN-CITY ?auto_1820 ?auto_1822 ) ( DIFFERENT ?auto_1820 ?auto_1823 ) ( LOCATION ?auto_1825 ) ( AT ?auto_1819 ?auto_1825 ) ( AT ?auto_1812 ?auto_1825 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1812 ?auto_1819 ?auto_1825 )
      ( DELIVER-PKG ?auto_1812 ?auto_1813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1853
      ?auto_1854
    )
    :vars
    (
      ?auto_1862
      ?auto_1856
      ?auto_1863
      ?auto_1859
      ?auto_1858
      ?auto_1861
      ?auto_1860
      ?auto_1865
      ?auto_1867
    )
    :precondition
    ( and ( OBJ ?auto_1853 ) ( LOCATION ?auto_1854 ) ( TRUCK ?auto_1862 ) ( AT ?auto_1862 ?auto_1854 ) ( LOCATION ?auto_1856 ) ( AT ?auto_1862 ?auto_1856 ) ( AIRPLANE ?auto_1863 ) ( AIRPORT ?auto_1859 ) ( AIRPORT ?auto_1856 ) ( DIFFERENT ?auto_1856 ?auto_1859 ) ( LOCATION ?auto_1859 ) ( TRUCK ?auto_1858 ) ( LOCATION ?auto_1861 ) ( CITY ?auto_1860 ) ( AT ?auto_1858 ?auto_1861 ) ( IN-CITY ?auto_1861 ?auto_1860 ) ( IN-CITY ?auto_1859 ?auto_1860 ) ( DIFFERENT ?auto_1859 ?auto_1861 ) ( LOCATION ?auto_1865 ) ( AT ?auto_1858 ?auto_1865 ) ( AT ?auto_1853 ?auto_1865 ) ( AIRPORT ?auto_1867 ) ( AT ?auto_1863 ?auto_1867 ) ( DIFFERENT ?auto_1859 ?auto_1867 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1863 ?auto_1867 ?auto_1859 )
      ( DELIVER-PKG ?auto_1853 ?auto_1854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1869
      ?auto_1870
    )
    :vars
    (
      ?auto_1876
      ?auto_1879
      ?auto_1877
      ?auto_1873
      ?auto_1878
      ?auto_1880
      ?auto_1874
      ?auto_1881
      ?auto_1884
      ?auto_1883
    )
    :precondition
    ( and ( OBJ ?auto_1869 ) ( LOCATION ?auto_1870 ) ( TRUCK ?auto_1876 ) ( AT ?auto_1876 ?auto_1870 ) ( LOCATION ?auto_1879 ) ( AT ?auto_1876 ?auto_1879 ) ( AIRPLANE ?auto_1877 ) ( AIRPORT ?auto_1873 ) ( AIRPORT ?auto_1879 ) ( DIFFERENT ?auto_1879 ?auto_1873 ) ( LOCATION ?auto_1873 ) ( TRUCK ?auto_1878 ) ( LOCATION ?auto_1880 ) ( CITY ?auto_1874 ) ( IN-CITY ?auto_1880 ?auto_1874 ) ( IN-CITY ?auto_1873 ?auto_1874 ) ( DIFFERENT ?auto_1873 ?auto_1880 ) ( AT ?auto_1869 ?auto_1880 ) ( AIRPORT ?auto_1881 ) ( AT ?auto_1877 ?auto_1881 ) ( DIFFERENT ?auto_1873 ?auto_1881 ) ( LOCATION ?auto_1884 ) ( CITY ?auto_1883 ) ( AT ?auto_1878 ?auto_1884 ) ( IN-CITY ?auto_1884 ?auto_1883 ) ( IN-CITY ?auto_1880 ?auto_1883 ) ( DIFFERENT ?auto_1880 ?auto_1884 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1878 ?auto_1884 ?auto_1880 ?auto_1883 )
      ( DELIVER-PKG ?auto_1869 ?auto_1870 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2275
      ?auto_2276
    )
    :vars
    (
      ?auto_2277
      ?auto_2278
      ?auto_2280
      ?auto_2283
    )
    :precondition
    ( and ( OBJ ?auto_2275 ) ( LOCATION ?auto_2276 ) ( AIRPLANE ?auto_2277 ) ( AIRPORT ?auto_2278 ) ( AIRPORT ?auto_2276 ) ( DIFFERENT ?auto_2276 ?auto_2278 ) ( LOCATION ?auto_2278 ) ( AT ?auto_2275 ?auto_2278 ) ( AIRPORT ?auto_2280 ) ( DIFFERENT ?auto_2278 ?auto_2280 ) ( AIRPORT ?auto_2283 ) ( AT ?auto_2277 ?auto_2283 ) ( DIFFERENT ?auto_2280 ?auto_2283 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2277 ?auto_2283 ?auto_2280 )
      ( DELIVER-PKG ?auto_2275 ?auto_2276 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2293
      ?auto_2294
    )
    :vars
    (
      ?auto_2299
      ?auto_2295
      ?auto_2296
      ?auto_2300
      ?auto_2303
    )
    :precondition
    ( and ( OBJ ?auto_2293 ) ( LOCATION ?auto_2294 ) ( AIRPLANE ?auto_2299 ) ( AIRPORT ?auto_2295 ) ( AIRPORT ?auto_2294 ) ( DIFFERENT ?auto_2294 ?auto_2295 ) ( LOCATION ?auto_2295 ) ( AIRPORT ?auto_2296 ) ( DIFFERENT ?auto_2295 ?auto_2296 ) ( AIRPORT ?auto_2300 ) ( AT ?auto_2299 ?auto_2300 ) ( DIFFERENT ?auto_2296 ?auto_2300 ) ( TRUCK ?auto_2303 ) ( AT ?auto_2303 ?auto_2295 ) ( IN ?auto_2293 ?auto_2303 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2293 ?auto_2295 )
      ( DELIVER-PKG ?auto_2293 ?auto_2294 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2313
      ?auto_2314
    )
    :vars
    (
      ?auto_2318
      ?auto_2315
      ?auto_2321
      ?auto_2319
      ?auto_2317
      ?auto_2324
      ?auto_2323
    )
    :precondition
    ( and ( OBJ ?auto_2313 ) ( LOCATION ?auto_2314 ) ( AIRPLANE ?auto_2318 ) ( AIRPORT ?auto_2315 ) ( AIRPORT ?auto_2314 ) ( DIFFERENT ?auto_2314 ?auto_2315 ) ( LOCATION ?auto_2315 ) ( AIRPORT ?auto_2321 ) ( DIFFERENT ?auto_2315 ?auto_2321 ) ( AIRPORT ?auto_2319 ) ( AT ?auto_2318 ?auto_2319 ) ( DIFFERENT ?auto_2321 ?auto_2319 ) ( TRUCK ?auto_2317 ) ( IN ?auto_2313 ?auto_2317 ) ( LOCATION ?auto_2324 ) ( CITY ?auto_2323 ) ( AT ?auto_2317 ?auto_2324 ) ( IN-CITY ?auto_2324 ?auto_2323 ) ( IN-CITY ?auto_2315 ?auto_2323 ) ( DIFFERENT ?auto_2315 ?auto_2324 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2317 ?auto_2324 ?auto_2315 ?auto_2323 )
      ( DELIVER-PKG ?auto_2313 ?auto_2314 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2337
      ?auto_2338
    )
    :vars
    (
      ?auto_2340
      ?auto_2345
      ?auto_2342
      ?auto_2341
      ?auto_2339
      ?auto_2347
      ?auto_2346
      ?auto_2349
    )
    :precondition
    ( and ( OBJ ?auto_2337 ) ( LOCATION ?auto_2338 ) ( AIRPLANE ?auto_2340 ) ( AIRPORT ?auto_2345 ) ( AIRPORT ?auto_2338 ) ( DIFFERENT ?auto_2338 ?auto_2345 ) ( LOCATION ?auto_2345 ) ( AIRPORT ?auto_2342 ) ( DIFFERENT ?auto_2345 ?auto_2342 ) ( AIRPORT ?auto_2341 ) ( AT ?auto_2340 ?auto_2341 ) ( DIFFERENT ?auto_2342 ?auto_2341 ) ( TRUCK ?auto_2339 ) ( LOCATION ?auto_2347 ) ( CITY ?auto_2346 ) ( AT ?auto_2339 ?auto_2347 ) ( IN-CITY ?auto_2347 ?auto_2346 ) ( IN-CITY ?auto_2345 ?auto_2346 ) ( DIFFERENT ?auto_2345 ?auto_2347 ) ( LOCATION ?auto_2349 ) ( AT ?auto_2339 ?auto_2349 ) ( AT ?auto_2337 ?auto_2349 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2337 ?auto_2339 ?auto_2349 )
      ( DELIVER-PKG ?auto_2337 ?auto_2338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2375
      ?auto_2376
    )
    :vars
    (
      ?auto_2382
      ?auto_2380
      ?auto_2384
      ?auto_2383
      ?auto_2377
      ?auto_2386
      ?auto_2378
      ?auto_2389
      ?auto_2388
    )
    :precondition
    ( and ( OBJ ?auto_2375 ) ( LOCATION ?auto_2376 ) ( AIRPLANE ?auto_2382 ) ( AIRPORT ?auto_2380 ) ( AIRPORT ?auto_2376 ) ( DIFFERENT ?auto_2376 ?auto_2380 ) ( LOCATION ?auto_2380 ) ( AIRPORT ?auto_2384 ) ( DIFFERENT ?auto_2380 ?auto_2384 ) ( AIRPORT ?auto_2383 ) ( AT ?auto_2382 ?auto_2383 ) ( DIFFERENT ?auto_2384 ?auto_2383 ) ( TRUCK ?auto_2377 ) ( LOCATION ?auto_2386 ) ( CITY ?auto_2378 ) ( IN-CITY ?auto_2386 ?auto_2378 ) ( IN-CITY ?auto_2380 ?auto_2378 ) ( DIFFERENT ?auto_2380 ?auto_2386 ) ( AT ?auto_2375 ?auto_2386 ) ( LOCATION ?auto_2389 ) ( CITY ?auto_2388 ) ( AT ?auto_2377 ?auto_2389 ) ( IN-CITY ?auto_2389 ?auto_2388 ) ( IN-CITY ?auto_2386 ?auto_2388 ) ( DIFFERENT ?auto_2386 ?auto_2389 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2377 ?auto_2389 ?auto_2386 ?auto_2388 )
      ( DELIVER-PKG ?auto_2375 ?auto_2376 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2404
      ?auto_2405
    )
    :vars
    (
      ?auto_2413
      ?auto_2412
      ?auto_2410
      ?auto_2414
      ?auto_2407
      ?auto_2411
      ?auto_2408
      ?auto_2416
      ?auto_2415
      ?auto_2418
    )
    :precondition
    ( and ( OBJ ?auto_2404 ) ( LOCATION ?auto_2405 ) ( AIRPLANE ?auto_2413 ) ( AIRPORT ?auto_2412 ) ( AIRPORT ?auto_2405 ) ( DIFFERENT ?auto_2405 ?auto_2412 ) ( LOCATION ?auto_2412 ) ( AIRPORT ?auto_2410 ) ( DIFFERENT ?auto_2412 ?auto_2410 ) ( AIRPORT ?auto_2414 ) ( DIFFERENT ?auto_2410 ?auto_2414 ) ( TRUCK ?auto_2407 ) ( LOCATION ?auto_2411 ) ( CITY ?auto_2408 ) ( IN-CITY ?auto_2411 ?auto_2408 ) ( IN-CITY ?auto_2412 ?auto_2408 ) ( DIFFERENT ?auto_2412 ?auto_2411 ) ( AT ?auto_2404 ?auto_2411 ) ( LOCATION ?auto_2416 ) ( CITY ?auto_2415 ) ( AT ?auto_2407 ?auto_2416 ) ( IN-CITY ?auto_2416 ?auto_2415 ) ( IN-CITY ?auto_2411 ?auto_2415 ) ( DIFFERENT ?auto_2411 ?auto_2416 ) ( AIRPORT ?auto_2418 ) ( AT ?auto_2413 ?auto_2418 ) ( DIFFERENT ?auto_2414 ?auto_2418 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2413 ?auto_2418 ?auto_2414 )
      ( DELIVER-PKG ?auto_2404 ?auto_2405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2480
      ?auto_2481
    )
    :vars
    (
      ?auto_2486
      ?auto_2487
      ?auto_2485
      ?auto_2484
      ?auto_2490
    )
    :precondition
    ( and ( OBJ ?auto_2480 ) ( LOCATION ?auto_2481 ) ( TRUCK ?auto_2486 ) ( LOCATION ?auto_2487 ) ( CITY ?auto_2485 ) ( AT ?auto_2486 ?auto_2487 ) ( IN-CITY ?auto_2487 ?auto_2485 ) ( IN-CITY ?auto_2481 ?auto_2485 ) ( DIFFERENT ?auto_2481 ?auto_2487 ) ( LOCATION ?auto_2484 ) ( AT ?auto_2486 ?auto_2484 ) ( TRUCK ?auto_2490 ) ( AT ?auto_2490 ?auto_2484 ) ( IN ?auto_2480 ?auto_2490 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2480 ?auto_2484 )
      ( DELIVER-PKG ?auto_2480 ?auto_2481 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2567
      ?auto_2568
    )
    :vars
    (
      ?auto_2570
      ?auto_2577
      ?auto_2571
      ?auto_2575
      ?auto_2569
      ?auto_2576
      ?auto_2579
      ?auto_2578
      ?auto_2573
      ?auto_2582
    )
    :precondition
    ( and ( OBJ ?auto_2567 ) ( LOCATION ?auto_2568 ) ( TRUCK ?auto_2570 ) ( LOCATION ?auto_2577 ) ( CITY ?auto_2571 ) ( AT ?auto_2570 ?auto_2577 ) ( IN-CITY ?auto_2577 ?auto_2571 ) ( IN-CITY ?auto_2568 ?auto_2571 ) ( DIFFERENT ?auto_2568 ?auto_2577 ) ( LOCATION ?auto_2575 ) ( AT ?auto_2570 ?auto_2575 ) ( TRUCK ?auto_2569 ) ( AT ?auto_2569 ?auto_2575 ) ( LOCATION ?auto_2576 ) ( AT ?auto_2569 ?auto_2576 ) ( AIRPLANE ?auto_2579 ) ( AIRPORT ?auto_2578 ) ( AIRPORT ?auto_2576 ) ( AT ?auto_2579 ?auto_2578 ) ( DIFFERENT ?auto_2576 ?auto_2578 ) ( LOCATION ?auto_2573 ) ( AT ?auto_2579 ?auto_2573 ) ( TRUCK ?auto_2582 ) ( AT ?auto_2582 ?auto_2573 ) ( IN ?auto_2567 ?auto_2582 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2567 ?auto_2573 )
      ( DELIVER-PKG ?auto_2567 ?auto_2568 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2597
      ?auto_2598
    )
    :vars
    (
      ?auto_2600
      ?auto_2602
      ?auto_2599
      ?auto_2606
      ?auto_2601
      ?auto_2607
      ?auto_2604
      ?auto_2603
      ?auto_2605
      ?auto_2610
      ?auto_2613
      ?auto_2612
    )
    :precondition
    ( and ( OBJ ?auto_2597 ) ( LOCATION ?auto_2598 ) ( TRUCK ?auto_2600 ) ( LOCATION ?auto_2602 ) ( CITY ?auto_2599 ) ( AT ?auto_2600 ?auto_2602 ) ( IN-CITY ?auto_2602 ?auto_2599 ) ( IN-CITY ?auto_2598 ?auto_2599 ) ( DIFFERENT ?auto_2598 ?auto_2602 ) ( LOCATION ?auto_2606 ) ( AT ?auto_2600 ?auto_2606 ) ( TRUCK ?auto_2601 ) ( AT ?auto_2601 ?auto_2606 ) ( LOCATION ?auto_2607 ) ( AT ?auto_2601 ?auto_2607 ) ( AIRPLANE ?auto_2604 ) ( AIRPORT ?auto_2603 ) ( AIRPORT ?auto_2607 ) ( AT ?auto_2604 ?auto_2603 ) ( DIFFERENT ?auto_2607 ?auto_2603 ) ( LOCATION ?auto_2605 ) ( AT ?auto_2604 ?auto_2605 ) ( TRUCK ?auto_2610 ) ( IN ?auto_2597 ?auto_2610 ) ( LOCATION ?auto_2613 ) ( CITY ?auto_2612 ) ( AT ?auto_2610 ?auto_2613 ) ( IN-CITY ?auto_2613 ?auto_2612 ) ( IN-CITY ?auto_2605 ?auto_2612 ) ( DIFFERENT ?auto_2605 ?auto_2613 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2610 ?auto_2613 ?auto_2605 ?auto_2612 )
      ( DELIVER-PKG ?auto_2597 ?auto_2598 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2647
      ?auto_2648
    )
    :vars
    (
      ?auto_2651
      ?auto_2652
      ?auto_2655
      ?auto_2657
      ?auto_2660
      ?auto_2658
      ?auto_2654
      ?auto_2653
      ?auto_2656
      ?auto_2659
      ?auto_2662
      ?auto_2661
      ?auto_2664
    )
    :precondition
    ( and ( OBJ ?auto_2647 ) ( LOCATION ?auto_2648 ) ( TRUCK ?auto_2651 ) ( LOCATION ?auto_2652 ) ( CITY ?auto_2655 ) ( AT ?auto_2651 ?auto_2652 ) ( IN-CITY ?auto_2652 ?auto_2655 ) ( IN-CITY ?auto_2648 ?auto_2655 ) ( DIFFERENT ?auto_2648 ?auto_2652 ) ( LOCATION ?auto_2657 ) ( AT ?auto_2651 ?auto_2657 ) ( TRUCK ?auto_2660 ) ( AT ?auto_2660 ?auto_2657 ) ( LOCATION ?auto_2658 ) ( AT ?auto_2660 ?auto_2658 ) ( AIRPLANE ?auto_2654 ) ( AIRPORT ?auto_2653 ) ( AIRPORT ?auto_2658 ) ( AT ?auto_2654 ?auto_2653 ) ( DIFFERENT ?auto_2658 ?auto_2653 ) ( LOCATION ?auto_2656 ) ( AT ?auto_2654 ?auto_2656 ) ( TRUCK ?auto_2659 ) ( LOCATION ?auto_2662 ) ( CITY ?auto_2661 ) ( AT ?auto_2659 ?auto_2662 ) ( IN-CITY ?auto_2662 ?auto_2661 ) ( IN-CITY ?auto_2656 ?auto_2661 ) ( DIFFERENT ?auto_2656 ?auto_2662 ) ( LOCATION ?auto_2664 ) ( AT ?auto_2659 ?auto_2664 ) ( AT ?auto_2647 ?auto_2664 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2647 ?auto_2659 ?auto_2664 )
      ( DELIVER-PKG ?auto_2647 ?auto_2648 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2700
      ?auto_2701
    )
    :vars
    (
      ?auto_2703
      ?auto_2704
      ?auto_2711
      ?auto_2713
      ?auto_2707
      ?auto_2705
      ?auto_2710
      ?auto_2712
      ?auto_2706
      ?auto_2715
      ?auto_2708
      ?auto_2716
      ?auto_2718
    )
    :precondition
    ( and ( OBJ ?auto_2700 ) ( LOCATION ?auto_2701 ) ( TRUCK ?auto_2703 ) ( LOCATION ?auto_2704 ) ( CITY ?auto_2711 ) ( AT ?auto_2703 ?auto_2704 ) ( IN-CITY ?auto_2704 ?auto_2711 ) ( IN-CITY ?auto_2701 ?auto_2711 ) ( DIFFERENT ?auto_2701 ?auto_2704 ) ( LOCATION ?auto_2713 ) ( AT ?auto_2703 ?auto_2713 ) ( TRUCK ?auto_2707 ) ( AT ?auto_2707 ?auto_2713 ) ( LOCATION ?auto_2705 ) ( AT ?auto_2707 ?auto_2705 ) ( AIRPLANE ?auto_2710 ) ( AIRPORT ?auto_2712 ) ( AIRPORT ?auto_2705 ) ( DIFFERENT ?auto_2705 ?auto_2712 ) ( LOCATION ?auto_2712 ) ( TRUCK ?auto_2706 ) ( LOCATION ?auto_2715 ) ( CITY ?auto_2708 ) ( AT ?auto_2706 ?auto_2715 ) ( IN-CITY ?auto_2715 ?auto_2708 ) ( IN-CITY ?auto_2712 ?auto_2708 ) ( DIFFERENT ?auto_2712 ?auto_2715 ) ( LOCATION ?auto_2716 ) ( AT ?auto_2706 ?auto_2716 ) ( AT ?auto_2700 ?auto_2716 ) ( AIRPORT ?auto_2718 ) ( AT ?auto_2710 ?auto_2718 ) ( DIFFERENT ?auto_2712 ?auto_2718 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2710 ?auto_2718 ?auto_2712 )
      ( DELIVER-PKG ?auto_2700 ?auto_2701 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2720
      ?auto_2721
    )
    :vars
    (
      ?auto_2722
      ?auto_2734
      ?auto_2731
      ?auto_2733
      ?auto_2725
      ?auto_2728
      ?auto_2730
      ?auto_2732
      ?auto_2724
      ?auto_2736
      ?auto_2726
      ?auto_2723
      ?auto_2739
      ?auto_2738
    )
    :precondition
    ( and ( OBJ ?auto_2720 ) ( LOCATION ?auto_2721 ) ( TRUCK ?auto_2722 ) ( LOCATION ?auto_2734 ) ( CITY ?auto_2731 ) ( AT ?auto_2722 ?auto_2734 ) ( IN-CITY ?auto_2734 ?auto_2731 ) ( IN-CITY ?auto_2721 ?auto_2731 ) ( DIFFERENT ?auto_2721 ?auto_2734 ) ( LOCATION ?auto_2733 ) ( AT ?auto_2722 ?auto_2733 ) ( TRUCK ?auto_2725 ) ( AT ?auto_2725 ?auto_2733 ) ( LOCATION ?auto_2728 ) ( AT ?auto_2725 ?auto_2728 ) ( AIRPLANE ?auto_2730 ) ( AIRPORT ?auto_2732 ) ( AIRPORT ?auto_2728 ) ( DIFFERENT ?auto_2728 ?auto_2732 ) ( LOCATION ?auto_2732 ) ( TRUCK ?auto_2724 ) ( LOCATION ?auto_2736 ) ( CITY ?auto_2726 ) ( IN-CITY ?auto_2736 ?auto_2726 ) ( IN-CITY ?auto_2732 ?auto_2726 ) ( DIFFERENT ?auto_2732 ?auto_2736 ) ( AT ?auto_2720 ?auto_2736 ) ( AIRPORT ?auto_2723 ) ( AT ?auto_2730 ?auto_2723 ) ( DIFFERENT ?auto_2732 ?auto_2723 ) ( LOCATION ?auto_2739 ) ( CITY ?auto_2738 ) ( AT ?auto_2724 ?auto_2739 ) ( IN-CITY ?auto_2739 ?auto_2738 ) ( IN-CITY ?auto_2736 ?auto_2738 ) ( DIFFERENT ?auto_2736 ?auto_2739 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2724 ?auto_2739 ?auto_2736 ?auto_2738 )
      ( DELIVER-PKG ?auto_2720 ?auto_2721 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2816
      ?auto_2817
    )
    :vars
    (
      ?auto_2818
      ?auto_2820
      ?auto_2819
      ?auto_2823
      ?auto_2826
    )
    :precondition
    ( and ( OBJ ?auto_2816 ) ( LOCATION ?auto_2817 ) ( TRUCK ?auto_2818 ) ( AT ?auto_2818 ?auto_2817 ) ( LOCATION ?auto_2820 ) ( AT ?auto_2818 ?auto_2820 ) ( AIRPLANE ?auto_2819 ) ( AIRPORT ?auto_2823 ) ( AIRPORT ?auto_2820 ) ( DIFFERENT ?auto_2820 ?auto_2823 ) ( LOCATION ?auto_2823 ) ( AT ?auto_2816 ?auto_2823 ) ( AIRPORT ?auto_2826 ) ( AT ?auto_2819 ?auto_2826 ) ( DIFFERENT ?auto_2823 ?auto_2826 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2819 ?auto_2826 ?auto_2823 )
      ( DELIVER-PKG ?auto_2816 ?auto_2817 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2846
      ?auto_2847
    )
    :vars
    (
      ?auto_2851
      ?auto_2849
      ?auto_2848
      ?auto_2852
      ?auto_2853
      ?auto_2856
    )
    :precondition
    ( and ( OBJ ?auto_2846 ) ( LOCATION ?auto_2847 ) ( TRUCK ?auto_2851 ) ( AT ?auto_2851 ?auto_2847 ) ( LOCATION ?auto_2849 ) ( AT ?auto_2851 ?auto_2849 ) ( AIRPLANE ?auto_2848 ) ( AIRPORT ?auto_2852 ) ( AIRPORT ?auto_2849 ) ( DIFFERENT ?auto_2849 ?auto_2852 ) ( LOCATION ?auto_2852 ) ( AT ?auto_2846 ?auto_2852 ) ( AIRPORT ?auto_2853 ) ( DIFFERENT ?auto_2852 ?auto_2853 ) ( AIRPORT ?auto_2856 ) ( AT ?auto_2848 ?auto_2856 ) ( DIFFERENT ?auto_2853 ?auto_2856 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2848 ?auto_2856 ?auto_2853 )
      ( DELIVER-PKG ?auto_2846 ?auto_2847 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2868
      ?auto_2869
    )
    :vars
    (
      ?auto_2874
      ?auto_2873
      ?auto_2872
      ?auto_2875
      ?auto_2876
      ?auto_2877
      ?auto_2880
    )
    :precondition
    ( and ( OBJ ?auto_2868 ) ( LOCATION ?auto_2869 ) ( TRUCK ?auto_2874 ) ( AT ?auto_2874 ?auto_2869 ) ( LOCATION ?auto_2873 ) ( AT ?auto_2874 ?auto_2873 ) ( AIRPLANE ?auto_2872 ) ( AIRPORT ?auto_2875 ) ( AIRPORT ?auto_2873 ) ( DIFFERENT ?auto_2873 ?auto_2875 ) ( LOCATION ?auto_2875 ) ( AIRPORT ?auto_2876 ) ( DIFFERENT ?auto_2875 ?auto_2876 ) ( AIRPORT ?auto_2877 ) ( AT ?auto_2872 ?auto_2877 ) ( DIFFERENT ?auto_2876 ?auto_2877 ) ( TRUCK ?auto_2880 ) ( AT ?auto_2880 ?auto_2875 ) ( IN ?auto_2868 ?auto_2880 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2868 ?auto_2875 )
      ( DELIVER-PKG ?auto_2868 ?auto_2869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2892
      ?auto_2893
    )
    :vars
    (
      ?auto_2895
      ?auto_2900
      ?auto_2899
      ?auto_2896
      ?auto_2897
      ?auto_2898
      ?auto_2902
      ?auto_2905
      ?auto_2904
    )
    :precondition
    ( and ( OBJ ?auto_2892 ) ( LOCATION ?auto_2893 ) ( TRUCK ?auto_2895 ) ( AT ?auto_2895 ?auto_2893 ) ( LOCATION ?auto_2900 ) ( AT ?auto_2895 ?auto_2900 ) ( AIRPLANE ?auto_2899 ) ( AIRPORT ?auto_2896 ) ( AIRPORT ?auto_2900 ) ( DIFFERENT ?auto_2900 ?auto_2896 ) ( LOCATION ?auto_2896 ) ( AIRPORT ?auto_2897 ) ( DIFFERENT ?auto_2896 ?auto_2897 ) ( AIRPORT ?auto_2898 ) ( AT ?auto_2899 ?auto_2898 ) ( DIFFERENT ?auto_2897 ?auto_2898 ) ( TRUCK ?auto_2902 ) ( IN ?auto_2892 ?auto_2902 ) ( LOCATION ?auto_2905 ) ( CITY ?auto_2904 ) ( AT ?auto_2902 ?auto_2905 ) ( IN-CITY ?auto_2905 ?auto_2904 ) ( IN-CITY ?auto_2896 ?auto_2904 ) ( DIFFERENT ?auto_2896 ?auto_2905 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2902 ?auto_2905 ?auto_2896 ?auto_2904 )
      ( DELIVER-PKG ?auto_2892 ?auto_2893 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2920
      ?auto_2921
    )
    :vars
    (
      ?auto_2924
      ?auto_2930
      ?auto_2929
      ?auto_2927
      ?auto_2926
      ?auto_2928
      ?auto_2922
      ?auto_2932
      ?auto_2923
      ?auto_2934
    )
    :precondition
    ( and ( OBJ ?auto_2920 ) ( LOCATION ?auto_2921 ) ( TRUCK ?auto_2924 ) ( AT ?auto_2924 ?auto_2921 ) ( LOCATION ?auto_2930 ) ( AT ?auto_2924 ?auto_2930 ) ( AIRPLANE ?auto_2929 ) ( AIRPORT ?auto_2927 ) ( AIRPORT ?auto_2930 ) ( DIFFERENT ?auto_2930 ?auto_2927 ) ( LOCATION ?auto_2927 ) ( AIRPORT ?auto_2926 ) ( DIFFERENT ?auto_2927 ?auto_2926 ) ( AIRPORT ?auto_2928 ) ( AT ?auto_2929 ?auto_2928 ) ( DIFFERENT ?auto_2926 ?auto_2928 ) ( TRUCK ?auto_2922 ) ( LOCATION ?auto_2932 ) ( CITY ?auto_2923 ) ( AT ?auto_2922 ?auto_2932 ) ( IN-CITY ?auto_2932 ?auto_2923 ) ( IN-CITY ?auto_2927 ?auto_2923 ) ( DIFFERENT ?auto_2927 ?auto_2932 ) ( LOCATION ?auto_2934 ) ( AT ?auto_2922 ?auto_2934 ) ( AT ?auto_2920 ?auto_2934 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2920 ?auto_2922 ?auto_2934 )
      ( DELIVER-PKG ?auto_2920 ?auto_2921 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2936
      ?auto_2939
    )
    :vars
    (
      ?auto_2943
      ?auto_2938
      ?auto_2945
      ?auto_2940
      ?auto_2946
      ?auto_2942
      ?auto_2941
      ?auto_2944
      ?auto_2949
      ?auto_2952
      ?auto_2951
    )
    :precondition
    ( and ( OBJ ?auto_2936 ) ( LOCATION ?auto_2939 ) ( TRUCK ?auto_2943 ) ( AIRPLANE ?auto_2938 ) ( AIRPORT ?auto_2945 ) ( AIRPORT ?auto_2939 ) ( DIFFERENT ?auto_2939 ?auto_2945 ) ( LOCATION ?auto_2945 ) ( AIRPORT ?auto_2940 ) ( DIFFERENT ?auto_2945 ?auto_2940 ) ( AIRPORT ?auto_2946 ) ( AT ?auto_2938 ?auto_2946 ) ( DIFFERENT ?auto_2940 ?auto_2946 ) ( TRUCK ?auto_2942 ) ( LOCATION ?auto_2941 ) ( CITY ?auto_2944 ) ( AT ?auto_2942 ?auto_2941 ) ( IN-CITY ?auto_2941 ?auto_2944 ) ( IN-CITY ?auto_2945 ?auto_2944 ) ( DIFFERENT ?auto_2945 ?auto_2941 ) ( LOCATION ?auto_2949 ) ( AT ?auto_2942 ?auto_2949 ) ( AT ?auto_2936 ?auto_2949 ) ( LOCATION ?auto_2952 ) ( CITY ?auto_2951 ) ( AT ?auto_2943 ?auto_2952 ) ( IN-CITY ?auto_2952 ?auto_2951 ) ( IN-CITY ?auto_2939 ?auto_2951 ) ( DIFFERENT ?auto_2939 ?auto_2952 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2943 ?auto_2952 ?auto_2939 ?auto_2951 )
      ( DELIVER-PKG ?auto_2936 ?auto_2939 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2988
      ?auto_2989
    )
    :vars
    (
      ?auto_2998
      ?auto_2999
      ?auto_2996
      ?auto_2993
      ?auto_2997
      ?auto_2994
      ?auto_2995
      ?auto_3000
      ?auto_2991
      ?auto_2992
      ?auto_3003
      ?auto_3002
      ?auto_3006
      ?auto_3005
    )
    :precondition
    ( and ( OBJ ?auto_2988 ) ( LOCATION ?auto_2989 ) ( TRUCK ?auto_2998 ) ( AIRPLANE ?auto_2999 ) ( AIRPORT ?auto_2996 ) ( AIRPORT ?auto_2989 ) ( DIFFERENT ?auto_2989 ?auto_2996 ) ( LOCATION ?auto_2996 ) ( AIRPORT ?auto_2993 ) ( DIFFERENT ?auto_2996 ?auto_2993 ) ( AIRPORT ?auto_2997 ) ( AT ?auto_2999 ?auto_2997 ) ( DIFFERENT ?auto_2993 ?auto_2997 ) ( TRUCK ?auto_2994 ) ( LOCATION ?auto_2995 ) ( CITY ?auto_3000 ) ( IN-CITY ?auto_2995 ?auto_3000 ) ( IN-CITY ?auto_2996 ?auto_3000 ) ( DIFFERENT ?auto_2996 ?auto_2995 ) ( AT ?auto_2988 ?auto_2995 ) ( LOCATION ?auto_2991 ) ( CITY ?auto_2992 ) ( IN-CITY ?auto_2991 ?auto_2992 ) ( IN-CITY ?auto_2989 ?auto_2992 ) ( DIFFERENT ?auto_2989 ?auto_2991 ) ( LOCATION ?auto_3003 ) ( CITY ?auto_3002 ) ( AT ?auto_2994 ?auto_3003 ) ( IN-CITY ?auto_3003 ?auto_3002 ) ( IN-CITY ?auto_2995 ?auto_3002 ) ( DIFFERENT ?auto_2995 ?auto_3003 ) ( LOCATION ?auto_3006 ) ( CITY ?auto_3005 ) ( AT ?auto_2998 ?auto_3006 ) ( IN-CITY ?auto_3006 ?auto_3005 ) ( IN-CITY ?auto_2991 ?auto_3005 ) ( DIFFERENT ?auto_2991 ?auto_3006 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2998 ?auto_3006 ?auto_2991 ?auto_3005 )
      ( DELIVER-PKG ?auto_2988 ?auto_2989 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3427
      ?auto_3428
    )
    :vars
    (
      ?auto_3431
      ?auto_3433
      ?auto_3430
      ?auto_3432
      ?auto_3434
      ?auto_3437
      ?auto_3436
      ?auto_3438
      ?auto_3439
      ?auto_3441
    )
    :precondition
    ( and ( OBJ ?auto_3427 ) ( LOCATION ?auto_3428 ) ( TRUCK ?auto_3431 ) ( LOCATION ?auto_3433 ) ( CITY ?auto_3430 ) ( AT ?auto_3431 ?auto_3433 ) ( IN-CITY ?auto_3433 ?auto_3430 ) ( IN-CITY ?auto_3428 ?auto_3430 ) ( DIFFERENT ?auto_3428 ?auto_3433 ) ( LOCATION ?auto_3432 ) ( AT ?auto_3431 ?auto_3432 ) ( TRUCK ?auto_3434 ) ( AT ?auto_3434 ?auto_3432 ) ( LOCATION ?auto_3437 ) ( AT ?auto_3434 ?auto_3437 ) ( AIRPLANE ?auto_3436 ) ( AIRPORT ?auto_3438 ) ( AIRPORT ?auto_3437 ) ( DIFFERENT ?auto_3437 ?auto_3438 ) ( LOCATION ?auto_3438 ) ( AT ?auto_3427 ?auto_3438 ) ( AIRPORT ?auto_3439 ) ( DIFFERENT ?auto_3438 ?auto_3439 ) ( AIRPORT ?auto_3441 ) ( AT ?auto_3436 ?auto_3441 ) ( DIFFERENT ?auto_3439 ?auto_3441 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3436 ?auto_3441 ?auto_3439 )
      ( DELIVER-PKG ?auto_3427 ?auto_3428 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3457
      ?auto_3458
    )
    :vars
    (
      ?auto_3463
      ?auto_3467
      ?auto_3465
      ?auto_3466
      ?auto_3468
      ?auto_3460
      ?auto_3459
      ?auto_3461
      ?auto_3462
      ?auto_3470
      ?auto_3473
    )
    :precondition
    ( and ( OBJ ?auto_3457 ) ( LOCATION ?auto_3458 ) ( TRUCK ?auto_3463 ) ( LOCATION ?auto_3467 ) ( CITY ?auto_3465 ) ( AT ?auto_3463 ?auto_3467 ) ( IN-CITY ?auto_3467 ?auto_3465 ) ( IN-CITY ?auto_3458 ?auto_3465 ) ( DIFFERENT ?auto_3458 ?auto_3467 ) ( LOCATION ?auto_3466 ) ( AT ?auto_3463 ?auto_3466 ) ( TRUCK ?auto_3468 ) ( AT ?auto_3468 ?auto_3466 ) ( LOCATION ?auto_3460 ) ( AT ?auto_3468 ?auto_3460 ) ( AIRPLANE ?auto_3459 ) ( AIRPORT ?auto_3461 ) ( AIRPORT ?auto_3460 ) ( DIFFERENT ?auto_3460 ?auto_3461 ) ( LOCATION ?auto_3461 ) ( AIRPORT ?auto_3462 ) ( DIFFERENT ?auto_3461 ?auto_3462 ) ( AIRPORT ?auto_3470 ) ( AT ?auto_3459 ?auto_3470 ) ( DIFFERENT ?auto_3462 ?auto_3470 ) ( TRUCK ?auto_3473 ) ( AT ?auto_3473 ?auto_3461 ) ( IN ?auto_3457 ?auto_3473 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3457 ?auto_3461 )
      ( DELIVER-PKG ?auto_3457 ?auto_3458 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3489
      ?auto_3490
    )
    :vars
    (
      ?auto_3494
      ?auto_3498
      ?auto_3496
      ?auto_3497
      ?auto_3499
      ?auto_3493
      ?auto_3502
      ?auto_3501
      ?auto_3495
      ?auto_3500
      ?auto_3503
      ?auto_3506
      ?auto_3505
    )
    :precondition
    ( and ( OBJ ?auto_3489 ) ( LOCATION ?auto_3490 ) ( TRUCK ?auto_3494 ) ( LOCATION ?auto_3498 ) ( CITY ?auto_3496 ) ( AT ?auto_3494 ?auto_3498 ) ( IN-CITY ?auto_3498 ?auto_3496 ) ( IN-CITY ?auto_3490 ?auto_3496 ) ( DIFFERENT ?auto_3490 ?auto_3498 ) ( LOCATION ?auto_3497 ) ( AT ?auto_3494 ?auto_3497 ) ( TRUCK ?auto_3499 ) ( AT ?auto_3499 ?auto_3497 ) ( LOCATION ?auto_3493 ) ( AT ?auto_3499 ?auto_3493 ) ( AIRPLANE ?auto_3502 ) ( AIRPORT ?auto_3501 ) ( AIRPORT ?auto_3493 ) ( DIFFERENT ?auto_3493 ?auto_3501 ) ( LOCATION ?auto_3501 ) ( AIRPORT ?auto_3495 ) ( DIFFERENT ?auto_3501 ?auto_3495 ) ( AIRPORT ?auto_3500 ) ( AT ?auto_3502 ?auto_3500 ) ( DIFFERENT ?auto_3495 ?auto_3500 ) ( TRUCK ?auto_3503 ) ( IN ?auto_3489 ?auto_3503 ) ( LOCATION ?auto_3506 ) ( CITY ?auto_3505 ) ( AT ?auto_3503 ?auto_3506 ) ( IN-CITY ?auto_3506 ?auto_3505 ) ( IN-CITY ?auto_3501 ?auto_3505 ) ( DIFFERENT ?auto_3501 ?auto_3506 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3503 ?auto_3506 ?auto_3501 ?auto_3505 )
      ( DELIVER-PKG ?auto_3489 ?auto_3490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3525
      ?auto_3526
    )
    :vars
    (
      ?auto_3536
      ?auto_3534
      ?auto_3527
      ?auto_3528
      ?auto_3535
      ?auto_3539
      ?auto_3533
      ?auto_3532
      ?auto_3537
      ?auto_3531
      ?auto_3538
      ?auto_3541
      ?auto_3540
      ?auto_3543
    )
    :precondition
    ( and ( OBJ ?auto_3525 ) ( LOCATION ?auto_3526 ) ( TRUCK ?auto_3536 ) ( LOCATION ?auto_3534 ) ( CITY ?auto_3527 ) ( AT ?auto_3536 ?auto_3534 ) ( IN-CITY ?auto_3534 ?auto_3527 ) ( IN-CITY ?auto_3526 ?auto_3527 ) ( DIFFERENT ?auto_3526 ?auto_3534 ) ( LOCATION ?auto_3528 ) ( AT ?auto_3536 ?auto_3528 ) ( TRUCK ?auto_3535 ) ( AT ?auto_3535 ?auto_3528 ) ( LOCATION ?auto_3539 ) ( AT ?auto_3535 ?auto_3539 ) ( AIRPLANE ?auto_3533 ) ( AIRPORT ?auto_3532 ) ( AIRPORT ?auto_3539 ) ( DIFFERENT ?auto_3539 ?auto_3532 ) ( LOCATION ?auto_3532 ) ( AIRPORT ?auto_3537 ) ( DIFFERENT ?auto_3532 ?auto_3537 ) ( AIRPORT ?auto_3531 ) ( AT ?auto_3533 ?auto_3531 ) ( DIFFERENT ?auto_3537 ?auto_3531 ) ( TRUCK ?auto_3538 ) ( LOCATION ?auto_3541 ) ( CITY ?auto_3540 ) ( AT ?auto_3538 ?auto_3541 ) ( IN-CITY ?auto_3541 ?auto_3540 ) ( IN-CITY ?auto_3532 ?auto_3540 ) ( DIFFERENT ?auto_3532 ?auto_3541 ) ( LOCATION ?auto_3543 ) ( AT ?auto_3538 ?auto_3543 ) ( AT ?auto_3525 ?auto_3543 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3525 ?auto_3538 ?auto_3543 )
      ( DELIVER-PKG ?auto_3525 ?auto_3526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3545
      ?auto_3546
    )
    :vars
    (
      ?auto_3554
      ?auto_3558
      ?auto_3548
      ?auto_3552
      ?auto_3551
      ?auto_3556
      ?auto_3550
      ?auto_3557
      ?auto_3560
      ?auto_3559
      ?auto_3562
      ?auto_3565
      ?auto_3564
    )
    :precondition
    ( and ( OBJ ?auto_3545 ) ( LOCATION ?auto_3546 ) ( TRUCK ?auto_3554 ) ( LOCATION ?auto_3558 ) ( CITY ?auto_3548 ) ( IN-CITY ?auto_3558 ?auto_3548 ) ( IN-CITY ?auto_3546 ?auto_3548 ) ( DIFFERENT ?auto_3546 ?auto_3558 ) ( AIRPLANE ?auto_3552 ) ( AIRPORT ?auto_3551 ) ( AIRPORT ?auto_3558 ) ( DIFFERENT ?auto_3558 ?auto_3551 ) ( LOCATION ?auto_3551 ) ( AIRPORT ?auto_3556 ) ( DIFFERENT ?auto_3551 ?auto_3556 ) ( AIRPORT ?auto_3550 ) ( AT ?auto_3552 ?auto_3550 ) ( DIFFERENT ?auto_3556 ?auto_3550 ) ( TRUCK ?auto_3557 ) ( LOCATION ?auto_3560 ) ( CITY ?auto_3559 ) ( AT ?auto_3557 ?auto_3560 ) ( IN-CITY ?auto_3560 ?auto_3559 ) ( IN-CITY ?auto_3551 ?auto_3559 ) ( DIFFERENT ?auto_3551 ?auto_3560 ) ( LOCATION ?auto_3562 ) ( AT ?auto_3557 ?auto_3562 ) ( AT ?auto_3545 ?auto_3562 ) ( LOCATION ?auto_3565 ) ( CITY ?auto_3564 ) ( AT ?auto_3554 ?auto_3565 ) ( IN-CITY ?auto_3565 ?auto_3564 ) ( IN-CITY ?auto_3558 ?auto_3564 ) ( DIFFERENT ?auto_3558 ?auto_3565 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3554 ?auto_3565 ?auto_3558 ?auto_3564 )
      ( DELIVER-PKG ?auto_3545 ?auto_3546 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3584
      ?auto_3585
    )
    :vars
    (
      ?auto_3586
      ?auto_3597
      ?auto_3596
      ?auto_3599
      ?auto_3600
      ?auto_3588
      ?auto_3598
      ?auto_3590
      ?auto_3593
      ?auto_3591
      ?auto_3595
      ?auto_3594
      ?auto_3603
      ?auto_3602
    )
    :precondition
    ( and ( OBJ ?auto_3584 ) ( LOCATION ?auto_3585 ) ( TRUCK ?auto_3586 ) ( LOCATION ?auto_3597 ) ( CITY ?auto_3596 ) ( IN-CITY ?auto_3597 ?auto_3596 ) ( IN-CITY ?auto_3585 ?auto_3596 ) ( DIFFERENT ?auto_3585 ?auto_3597 ) ( AIRPLANE ?auto_3599 ) ( AIRPORT ?auto_3600 ) ( AIRPORT ?auto_3597 ) ( DIFFERENT ?auto_3597 ?auto_3600 ) ( LOCATION ?auto_3600 ) ( AIRPORT ?auto_3588 ) ( DIFFERENT ?auto_3600 ?auto_3588 ) ( AIRPORT ?auto_3598 ) ( AT ?auto_3599 ?auto_3598 ) ( DIFFERENT ?auto_3588 ?auto_3598 ) ( TRUCK ?auto_3590 ) ( LOCATION ?auto_3593 ) ( CITY ?auto_3591 ) ( IN-CITY ?auto_3593 ?auto_3591 ) ( IN-CITY ?auto_3600 ?auto_3591 ) ( DIFFERENT ?auto_3600 ?auto_3593 ) ( AT ?auto_3584 ?auto_3593 ) ( LOCATION ?auto_3595 ) ( CITY ?auto_3594 ) ( AT ?auto_3586 ?auto_3595 ) ( IN-CITY ?auto_3595 ?auto_3594 ) ( IN-CITY ?auto_3597 ?auto_3594 ) ( DIFFERENT ?auto_3597 ?auto_3595 ) ( LOCATION ?auto_3603 ) ( CITY ?auto_3602 ) ( AT ?auto_3590 ?auto_3603 ) ( IN-CITY ?auto_3603 ?auto_3602 ) ( IN-CITY ?auto_3593 ?auto_3602 ) ( DIFFERENT ?auto_3593 ?auto_3603 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3590 ?auto_3603 ?auto_3593 ?auto_3602 )
      ( DELIVER-PKG ?auto_3584 ?auto_3585 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3605
      ?auto_3606
    )
    :vars
    (
      ?auto_3611
      ?auto_3617
      ?auto_3610
      ?auto_3619
      ?auto_3620
      ?auto_3616
      ?auto_3618
      ?auto_3615
      ?auto_3613
      ?auto_3612
      ?auto_3609
      ?auto_3608
      ?auto_3622
      ?auto_3614
      ?auto_3625
      ?auto_3624
    )
    :precondition
    ( and ( OBJ ?auto_3605 ) ( LOCATION ?auto_3606 ) ( TRUCK ?auto_3611 ) ( LOCATION ?auto_3617 ) ( CITY ?auto_3610 ) ( IN-CITY ?auto_3617 ?auto_3610 ) ( IN-CITY ?auto_3606 ?auto_3610 ) ( DIFFERENT ?auto_3606 ?auto_3617 ) ( AIRPLANE ?auto_3619 ) ( AIRPORT ?auto_3620 ) ( AIRPORT ?auto_3617 ) ( DIFFERENT ?auto_3617 ?auto_3620 ) ( LOCATION ?auto_3620 ) ( AIRPORT ?auto_3616 ) ( DIFFERENT ?auto_3620 ?auto_3616 ) ( AIRPORT ?auto_3618 ) ( AT ?auto_3619 ?auto_3618 ) ( DIFFERENT ?auto_3616 ?auto_3618 ) ( TRUCK ?auto_3615 ) ( LOCATION ?auto_3613 ) ( CITY ?auto_3612 ) ( IN-CITY ?auto_3613 ?auto_3612 ) ( IN-CITY ?auto_3620 ?auto_3612 ) ( DIFFERENT ?auto_3620 ?auto_3613 ) ( AT ?auto_3605 ?auto_3613 ) ( LOCATION ?auto_3609 ) ( CITY ?auto_3608 ) ( IN-CITY ?auto_3609 ?auto_3608 ) ( IN-CITY ?auto_3617 ?auto_3608 ) ( DIFFERENT ?auto_3617 ?auto_3609 ) ( LOCATION ?auto_3622 ) ( CITY ?auto_3614 ) ( AT ?auto_3615 ?auto_3622 ) ( IN-CITY ?auto_3622 ?auto_3614 ) ( IN-CITY ?auto_3613 ?auto_3614 ) ( DIFFERENT ?auto_3613 ?auto_3622 ) ( LOCATION ?auto_3625 ) ( CITY ?auto_3624 ) ( AT ?auto_3611 ?auto_3625 ) ( IN-CITY ?auto_3625 ?auto_3624 ) ( IN-CITY ?auto_3609 ?auto_3624 ) ( DIFFERENT ?auto_3609 ?auto_3625 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3611 ?auto_3625 ?auto_3609 ?auto_3624 )
      ( DELIVER-PKG ?auto_3605 ?auto_3606 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3627
      ?auto_3628
    )
    :vars
    (
      ?auto_3646
      ?auto_3636
      ?auto_3644
      ?auto_3640
      ?auto_3637
      ?auto_3633
      ?auto_3641
      ?auto_3631
      ?auto_3645
      ?auto_3638
      ?auto_3642
      ?auto_3643
      ?auto_3635
      ?auto_3632
      ?auto_3639
      ?auto_3630
      ?auto_3648
    )
    :precondition
    ( and ( OBJ ?auto_3627 ) ( LOCATION ?auto_3628 ) ( TRUCK ?auto_3646 ) ( LOCATION ?auto_3636 ) ( CITY ?auto_3644 ) ( IN-CITY ?auto_3636 ?auto_3644 ) ( IN-CITY ?auto_3628 ?auto_3644 ) ( DIFFERENT ?auto_3628 ?auto_3636 ) ( AIRPLANE ?auto_3640 ) ( AIRPORT ?auto_3637 ) ( AIRPORT ?auto_3636 ) ( DIFFERENT ?auto_3636 ?auto_3637 ) ( LOCATION ?auto_3637 ) ( AIRPORT ?auto_3633 ) ( DIFFERENT ?auto_3637 ?auto_3633 ) ( AIRPORT ?auto_3641 ) ( DIFFERENT ?auto_3633 ?auto_3641 ) ( TRUCK ?auto_3631 ) ( LOCATION ?auto_3645 ) ( CITY ?auto_3638 ) ( IN-CITY ?auto_3645 ?auto_3638 ) ( IN-CITY ?auto_3637 ?auto_3638 ) ( DIFFERENT ?auto_3637 ?auto_3645 ) ( AT ?auto_3627 ?auto_3645 ) ( LOCATION ?auto_3642 ) ( CITY ?auto_3643 ) ( IN-CITY ?auto_3642 ?auto_3643 ) ( IN-CITY ?auto_3636 ?auto_3643 ) ( DIFFERENT ?auto_3636 ?auto_3642 ) ( LOCATION ?auto_3635 ) ( CITY ?auto_3632 ) ( AT ?auto_3631 ?auto_3635 ) ( IN-CITY ?auto_3635 ?auto_3632 ) ( IN-CITY ?auto_3645 ?auto_3632 ) ( DIFFERENT ?auto_3645 ?auto_3635 ) ( LOCATION ?auto_3639 ) ( CITY ?auto_3630 ) ( AT ?auto_3646 ?auto_3639 ) ( IN-CITY ?auto_3639 ?auto_3630 ) ( IN-CITY ?auto_3642 ?auto_3630 ) ( DIFFERENT ?auto_3642 ?auto_3639 ) ( AIRPORT ?auto_3648 ) ( AT ?auto_3640 ?auto_3648 ) ( DIFFERENT ?auto_3641 ?auto_3648 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3640 ?auto_3648 ?auto_3641 )
      ( DELIVER-PKG ?auto_3627 ?auto_3628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3686
      ?auto_3687
    )
    :vars
    (
      ?auto_3688
      ?auto_3690
      ?auto_3694
    )
    :precondition
    ( and ( OBJ ?auto_3686 ) ( LOCATION ?auto_3687 ) ( TRUCK ?auto_3688 ) ( AT ?auto_3688 ?auto_3687 ) ( LOCATION ?auto_3690 ) ( AT ?auto_3688 ?auto_3690 ) ( TRUCK ?auto_3694 ) ( AT ?auto_3694 ?auto_3690 ) ( IN ?auto_3686 ?auto_3694 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3686 ?auto_3690 )
      ( DELIVER-PKG ?auto_3686 ?auto_3687 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4131
      ?auto_4132
    )
    :vars
    (
      ?auto_4140
      ?auto_4139
      ?auto_4138
      ?auto_4136
      ?auto_4137
      ?auto_4143
      ?auto_4142
    )
    :precondition
    ( and ( OBJ ?auto_4131 ) ( LOCATION ?auto_4132 ) ( TRUCK ?auto_4140 ) ( LOCATION ?auto_4139 ) ( CITY ?auto_4138 ) ( IN-CITY ?auto_4139 ?auto_4138 ) ( IN-CITY ?auto_4132 ?auto_4138 ) ( DIFFERENT ?auto_4132 ?auto_4139 ) ( LOCATION ?auto_4136 ) ( CITY ?auto_4137 ) ( IN-CITY ?auto_4136 ?auto_4137 ) ( IN-CITY ?auto_4139 ?auto_4137 ) ( DIFFERENT ?auto_4139 ?auto_4136 ) ( AT ?auto_4131 ?auto_4136 ) ( LOCATION ?auto_4143 ) ( CITY ?auto_4142 ) ( AT ?auto_4140 ?auto_4143 ) ( IN-CITY ?auto_4143 ?auto_4142 ) ( IN-CITY ?auto_4136 ?auto_4142 ) ( DIFFERENT ?auto_4136 ?auto_4143 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4140 ?auto_4143 ?auto_4136 ?auto_4142 )
      ( DELIVER-PKG ?auto_4131 ?auto_4132 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4396
      ?auto_4397
    )
    :vars
    (
      ?auto_4401
      ?auto_4400
      ?auto_4398
      ?auto_4405
    )
    :precondition
    ( and ( OBJ ?auto_4396 ) ( LOCATION ?auto_4397 ) ( AIRPLANE ?auto_4401 ) ( AIRPORT ?auto_4400 ) ( AIRPORT ?auto_4397 ) ( DIFFERENT ?auto_4397 ?auto_4400 ) ( LOCATION ?auto_4400 ) ( AIRPORT ?auto_4398 ) ( AT ?auto_4401 ?auto_4398 ) ( DIFFERENT ?auto_4400 ?auto_4398 ) ( TRUCK ?auto_4405 ) ( AT ?auto_4405 ?auto_4400 ) ( IN ?auto_4396 ?auto_4405 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4396 ?auto_4400 )
      ( DELIVER-PKG ?auto_4396 ?auto_4397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4414
      ?auto_4415
    )
    :vars
    (
      ?auto_4419
      ?auto_4421
      ?auto_4420
      ?auto_4418
      ?auto_4424
      ?auto_4423
    )
    :precondition
    ( and ( OBJ ?auto_4414 ) ( LOCATION ?auto_4415 ) ( AIRPLANE ?auto_4419 ) ( AIRPORT ?auto_4421 ) ( AIRPORT ?auto_4415 ) ( DIFFERENT ?auto_4415 ?auto_4421 ) ( LOCATION ?auto_4421 ) ( AIRPORT ?auto_4420 ) ( AT ?auto_4419 ?auto_4420 ) ( DIFFERENT ?auto_4421 ?auto_4420 ) ( TRUCK ?auto_4418 ) ( IN ?auto_4414 ?auto_4418 ) ( LOCATION ?auto_4424 ) ( CITY ?auto_4423 ) ( AT ?auto_4418 ?auto_4424 ) ( IN-CITY ?auto_4424 ?auto_4423 ) ( IN-CITY ?auto_4421 ?auto_4423 ) ( DIFFERENT ?auto_4421 ?auto_4424 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4418 ?auto_4424 ?auto_4421 ?auto_4423 )
      ( DELIVER-PKG ?auto_4414 ?auto_4415 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4436
      ?auto_4437
    )
    :vars
    (
      ?auto_4443
      ?auto_4439
      ?auto_4441
      ?auto_4438
      ?auto_4445
      ?auto_4444
      ?auto_4448
      ?auto_4447
    )
    :precondition
    ( and ( OBJ ?auto_4436 ) ( LOCATION ?auto_4437 ) ( AIRPLANE ?auto_4443 ) ( AIRPORT ?auto_4439 ) ( AIRPORT ?auto_4437 ) ( DIFFERENT ?auto_4437 ?auto_4439 ) ( LOCATION ?auto_4439 ) ( AIRPORT ?auto_4441 ) ( AT ?auto_4443 ?auto_4441 ) ( DIFFERENT ?auto_4439 ?auto_4441 ) ( TRUCK ?auto_4438 ) ( IN ?auto_4436 ?auto_4438 ) ( LOCATION ?auto_4445 ) ( CITY ?auto_4444 ) ( IN-CITY ?auto_4445 ?auto_4444 ) ( IN-CITY ?auto_4439 ?auto_4444 ) ( DIFFERENT ?auto_4439 ?auto_4445 ) ( LOCATION ?auto_4448 ) ( CITY ?auto_4447 ) ( AT ?auto_4438 ?auto_4448 ) ( IN-CITY ?auto_4448 ?auto_4447 ) ( IN-CITY ?auto_4445 ?auto_4447 ) ( DIFFERENT ?auto_4445 ?auto_4448 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4438 ?auto_4448 ?auto_4445 ?auto_4447 )
      ( DELIVER-PKG ?auto_4436 ?auto_4437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4462
      ?auto_4463
    )
    :vars
    (
      ?auto_4470
      ?auto_4464
      ?auto_4466
      ?auto_4467
      ?auto_4465
      ?auto_4469
      ?auto_4473
      ?auto_4472
      ?auto_4475
    )
    :precondition
    ( and ( OBJ ?auto_4462 ) ( LOCATION ?auto_4463 ) ( AIRPLANE ?auto_4470 ) ( AIRPORT ?auto_4464 ) ( AIRPORT ?auto_4463 ) ( DIFFERENT ?auto_4463 ?auto_4464 ) ( LOCATION ?auto_4464 ) ( AIRPORT ?auto_4466 ) ( AT ?auto_4470 ?auto_4466 ) ( DIFFERENT ?auto_4464 ?auto_4466 ) ( TRUCK ?auto_4467 ) ( LOCATION ?auto_4465 ) ( CITY ?auto_4469 ) ( IN-CITY ?auto_4465 ?auto_4469 ) ( IN-CITY ?auto_4464 ?auto_4469 ) ( DIFFERENT ?auto_4464 ?auto_4465 ) ( LOCATION ?auto_4473 ) ( CITY ?auto_4472 ) ( AT ?auto_4467 ?auto_4473 ) ( IN-CITY ?auto_4473 ?auto_4472 ) ( IN-CITY ?auto_4465 ?auto_4472 ) ( DIFFERENT ?auto_4465 ?auto_4473 ) ( LOCATION ?auto_4475 ) ( AT ?auto_4467 ?auto_4475 ) ( AT ?auto_4462 ?auto_4475 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4462 ?auto_4467 ?auto_4475 )
      ( DELIVER-PKG ?auto_4462 ?auto_4463 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4503
      ?auto_4504
    )
    :vars
    (
      ?auto_4512
      ?auto_4505
      ?auto_4511
      ?auto_4508
      ?auto_4509
      ?auto_4510
      ?auto_4515
      ?auto_4506
      ?auto_4518
      ?auto_4517
    )
    :precondition
    ( and ( OBJ ?auto_4503 ) ( LOCATION ?auto_4504 ) ( AIRPLANE ?auto_4512 ) ( AIRPORT ?auto_4505 ) ( AIRPORT ?auto_4504 ) ( DIFFERENT ?auto_4504 ?auto_4505 ) ( LOCATION ?auto_4505 ) ( AIRPORT ?auto_4511 ) ( AT ?auto_4512 ?auto_4511 ) ( DIFFERENT ?auto_4505 ?auto_4511 ) ( TRUCK ?auto_4508 ) ( LOCATION ?auto_4509 ) ( CITY ?auto_4510 ) ( IN-CITY ?auto_4509 ?auto_4510 ) ( IN-CITY ?auto_4505 ?auto_4510 ) ( DIFFERENT ?auto_4505 ?auto_4509 ) ( LOCATION ?auto_4515 ) ( CITY ?auto_4506 ) ( IN-CITY ?auto_4515 ?auto_4506 ) ( IN-CITY ?auto_4509 ?auto_4506 ) ( DIFFERENT ?auto_4509 ?auto_4515 ) ( AT ?auto_4503 ?auto_4515 ) ( LOCATION ?auto_4518 ) ( CITY ?auto_4517 ) ( AT ?auto_4508 ?auto_4518 ) ( IN-CITY ?auto_4518 ?auto_4517 ) ( IN-CITY ?auto_4515 ?auto_4517 ) ( DIFFERENT ?auto_4515 ?auto_4518 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4508 ?auto_4518 ?auto_4515 ?auto_4517 )
      ( DELIVER-PKG ?auto_4503 ?auto_4504 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4520
      ?auto_4521
    )
    :vars
    (
      ?auto_4525
      ?auto_4523
      ?auto_4530
      ?auto_4527
      ?auto_4528
      ?auto_4529
      ?auto_4526
      ?auto_4524
      ?auto_4533
      ?auto_4532
      ?auto_4535
    )
    :precondition
    ( and ( OBJ ?auto_4520 ) ( LOCATION ?auto_4521 ) ( AIRPLANE ?auto_4525 ) ( AIRPORT ?auto_4523 ) ( AIRPORT ?auto_4521 ) ( DIFFERENT ?auto_4521 ?auto_4523 ) ( LOCATION ?auto_4523 ) ( AIRPORT ?auto_4530 ) ( DIFFERENT ?auto_4523 ?auto_4530 ) ( TRUCK ?auto_4527 ) ( LOCATION ?auto_4528 ) ( CITY ?auto_4529 ) ( IN-CITY ?auto_4528 ?auto_4529 ) ( IN-CITY ?auto_4523 ?auto_4529 ) ( DIFFERENT ?auto_4523 ?auto_4528 ) ( LOCATION ?auto_4526 ) ( CITY ?auto_4524 ) ( IN-CITY ?auto_4526 ?auto_4524 ) ( IN-CITY ?auto_4528 ?auto_4524 ) ( DIFFERENT ?auto_4528 ?auto_4526 ) ( AT ?auto_4520 ?auto_4526 ) ( LOCATION ?auto_4533 ) ( CITY ?auto_4532 ) ( AT ?auto_4527 ?auto_4533 ) ( IN-CITY ?auto_4533 ?auto_4532 ) ( IN-CITY ?auto_4526 ?auto_4532 ) ( DIFFERENT ?auto_4526 ?auto_4533 ) ( AIRPORT ?auto_4535 ) ( AT ?auto_4525 ?auto_4535 ) ( DIFFERENT ?auto_4530 ?auto_4535 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4525 ?auto_4535 ?auto_4530 )
      ( DELIVER-PKG ?auto_4520 ?auto_4521 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4761
      ?auto_4762
    )
    :vars
    (
      ?auto_4766
      ?auto_4764
      ?auto_4768
    )
    :precondition
    ( and ( OBJ ?auto_4761 ) ( LOCATION ?auto_4762 ) ( AIRPLANE ?auto_4766 ) ( IN ?auto_4761 ?auto_4766 ) ( AIRPORT ?auto_4764 ) ( AIRPORT ?auto_4762 ) ( DIFFERENT ?auto_4762 ?auto_4764 ) ( AIRPORT ?auto_4768 ) ( AT ?auto_4766 ?auto_4768 ) ( DIFFERENT ?auto_4764 ?auto_4768 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4766 ?auto_4768 ?auto_4764 )
      ( DELIVER-PKG ?auto_4761 ?auto_4762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4777
      ?auto_4778
    )
    :vars
    (
      ?auto_4782
      ?auto_4781
      ?auto_4783
      ?auto_4785
    )
    :precondition
    ( and ( OBJ ?auto_4777 ) ( LOCATION ?auto_4778 ) ( AIRPLANE ?auto_4782 ) ( IN ?auto_4777 ?auto_4782 ) ( AIRPORT ?auto_4781 ) ( AIRPORT ?auto_4778 ) ( DIFFERENT ?auto_4778 ?auto_4781 ) ( AIRPORT ?auto_4783 ) ( DIFFERENT ?auto_4781 ?auto_4783 ) ( AIRPORT ?auto_4785 ) ( AT ?auto_4782 ?auto_4785 ) ( DIFFERENT ?auto_4783 ?auto_4785 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4782 ?auto_4785 ?auto_4783 )
      ( DELIVER-PKG ?auto_4777 ?auto_4778 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4795
      ?auto_4796
    )
    :vars
    (
      ?auto_4799
      ?auto_4801
      ?auto_4798
      ?auto_4802
      ?auto_4804
    )
    :precondition
    ( and ( OBJ ?auto_4795 ) ( LOCATION ?auto_4796 ) ( AIRPLANE ?auto_4799 ) ( AIRPORT ?auto_4801 ) ( AIRPORT ?auto_4796 ) ( DIFFERENT ?auto_4796 ?auto_4801 ) ( AIRPORT ?auto_4798 ) ( DIFFERENT ?auto_4801 ?auto_4798 ) ( AIRPORT ?auto_4802 ) ( AT ?auto_4799 ?auto_4802 ) ( DIFFERENT ?auto_4798 ?auto_4802 ) ( LOCATION ?auto_4804 ) ( AT ?auto_4795 ?auto_4804 ) ( AT ?auto_4799 ?auto_4804 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4795 ?auto_4799 ?auto_4804 )
      ( DELIVER-PKG ?auto_4795 ?auto_4796 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4815
      ?auto_4816
    )
    :vars
    (
      ?auto_4818
      ?auto_4819
      ?auto_4817
      ?auto_4820
      ?auto_4823
      ?auto_4825
    )
    :precondition
    ( and ( OBJ ?auto_4815 ) ( LOCATION ?auto_4816 ) ( AIRPLANE ?auto_4818 ) ( AIRPORT ?auto_4819 ) ( AIRPORT ?auto_4816 ) ( DIFFERENT ?auto_4816 ?auto_4819 ) ( AIRPORT ?auto_4817 ) ( DIFFERENT ?auto_4819 ?auto_4817 ) ( AIRPORT ?auto_4820 ) ( AT ?auto_4818 ?auto_4820 ) ( DIFFERENT ?auto_4817 ?auto_4820 ) ( LOCATION ?auto_4823 ) ( AT ?auto_4818 ?auto_4823 ) ( TRUCK ?auto_4825 ) ( AT ?auto_4825 ?auto_4823 ) ( IN ?auto_4815 ?auto_4825 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4815 ?auto_4823 )
      ( DELIVER-PKG ?auto_4815 ?auto_4816 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4837
      ?auto_4838
    )
    :vars
    (
      ?auto_4842
      ?auto_4841
      ?auto_4845
      ?auto_4840
      ?auto_4843
      ?auto_4846
      ?auto_4849
      ?auto_4848
    )
    :precondition
    ( and ( OBJ ?auto_4837 ) ( LOCATION ?auto_4838 ) ( AIRPLANE ?auto_4842 ) ( AIRPORT ?auto_4841 ) ( AIRPORT ?auto_4838 ) ( DIFFERENT ?auto_4838 ?auto_4841 ) ( AIRPORT ?auto_4845 ) ( DIFFERENT ?auto_4841 ?auto_4845 ) ( AIRPORT ?auto_4840 ) ( AT ?auto_4842 ?auto_4840 ) ( DIFFERENT ?auto_4845 ?auto_4840 ) ( LOCATION ?auto_4843 ) ( AT ?auto_4842 ?auto_4843 ) ( TRUCK ?auto_4846 ) ( IN ?auto_4837 ?auto_4846 ) ( LOCATION ?auto_4849 ) ( CITY ?auto_4848 ) ( AT ?auto_4846 ?auto_4849 ) ( IN-CITY ?auto_4849 ?auto_4848 ) ( IN-CITY ?auto_4843 ?auto_4848 ) ( DIFFERENT ?auto_4843 ?auto_4849 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4846 ?auto_4849 ?auto_4843 ?auto_4848 )
      ( DELIVER-PKG ?auto_4837 ?auto_4838 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4863
      ?auto_4864
    )
    :vars
    (
      ?auto_4868
      ?auto_4867
      ?auto_4870
      ?auto_4866
      ?auto_4869
      ?auto_4871
      ?auto_4874
      ?auto_4873
      ?auto_4876
    )
    :precondition
    ( and ( OBJ ?auto_4863 ) ( LOCATION ?auto_4864 ) ( AIRPLANE ?auto_4868 ) ( AIRPORT ?auto_4867 ) ( AIRPORT ?auto_4864 ) ( DIFFERENT ?auto_4864 ?auto_4867 ) ( AIRPORT ?auto_4870 ) ( DIFFERENT ?auto_4867 ?auto_4870 ) ( AIRPORT ?auto_4866 ) ( AT ?auto_4868 ?auto_4866 ) ( DIFFERENT ?auto_4870 ?auto_4866 ) ( LOCATION ?auto_4869 ) ( AT ?auto_4868 ?auto_4869 ) ( TRUCK ?auto_4871 ) ( LOCATION ?auto_4874 ) ( CITY ?auto_4873 ) ( AT ?auto_4871 ?auto_4874 ) ( IN-CITY ?auto_4874 ?auto_4873 ) ( IN-CITY ?auto_4869 ?auto_4873 ) ( DIFFERENT ?auto_4869 ?auto_4874 ) ( LOCATION ?auto_4876 ) ( AT ?auto_4871 ?auto_4876 ) ( AT ?auto_4863 ?auto_4876 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4863 ?auto_4871 ?auto_4876 )
      ( DELIVER-PKG ?auto_4863 ?auto_4864 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4904
      ?auto_4905
    )
    :vars
    (
      ?auto_4914
      ?auto_4913
      ?auto_4908
      ?auto_4907
      ?auto_4909
      ?auto_4911
      ?auto_4910
      ?auto_4916
      ?auto_4918
    )
    :precondition
    ( and ( OBJ ?auto_4904 ) ( LOCATION ?auto_4905 ) ( AIRPLANE ?auto_4914 ) ( AIRPORT ?auto_4913 ) ( AIRPORT ?auto_4905 ) ( DIFFERENT ?auto_4905 ?auto_4913 ) ( AIRPORT ?auto_4908 ) ( DIFFERENT ?auto_4913 ?auto_4908 ) ( AIRPORT ?auto_4907 ) ( DIFFERENT ?auto_4908 ?auto_4907 ) ( LOCATION ?auto_4907 ) ( TRUCK ?auto_4909 ) ( LOCATION ?auto_4911 ) ( CITY ?auto_4910 ) ( AT ?auto_4909 ?auto_4911 ) ( IN-CITY ?auto_4911 ?auto_4910 ) ( IN-CITY ?auto_4907 ?auto_4910 ) ( DIFFERENT ?auto_4907 ?auto_4911 ) ( LOCATION ?auto_4916 ) ( AT ?auto_4909 ?auto_4916 ) ( AT ?auto_4904 ?auto_4916 ) ( AIRPORT ?auto_4918 ) ( AT ?auto_4914 ?auto_4918 ) ( DIFFERENT ?auto_4907 ?auto_4918 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4914 ?auto_4918 ?auto_4907 )
      ( DELIVER-PKG ?auto_4904 ?auto_4905 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4920
      ?auto_4921
    )
    :vars
    (
      ?auto_4922
      ?auto_4931
      ?auto_4927
      ?auto_4926
      ?auto_4928
      ?auto_4923
      ?auto_4929
      ?auto_4932
      ?auto_4935
      ?auto_4934
    )
    :precondition
    ( and ( OBJ ?auto_4920 ) ( LOCATION ?auto_4921 ) ( AIRPLANE ?auto_4922 ) ( AIRPORT ?auto_4931 ) ( AIRPORT ?auto_4921 ) ( DIFFERENT ?auto_4921 ?auto_4931 ) ( AIRPORT ?auto_4927 ) ( DIFFERENT ?auto_4931 ?auto_4927 ) ( AIRPORT ?auto_4926 ) ( DIFFERENT ?auto_4927 ?auto_4926 ) ( LOCATION ?auto_4926 ) ( TRUCK ?auto_4928 ) ( LOCATION ?auto_4923 ) ( CITY ?auto_4929 ) ( IN-CITY ?auto_4923 ?auto_4929 ) ( IN-CITY ?auto_4926 ?auto_4929 ) ( DIFFERENT ?auto_4926 ?auto_4923 ) ( AT ?auto_4920 ?auto_4923 ) ( AIRPORT ?auto_4932 ) ( AT ?auto_4922 ?auto_4932 ) ( DIFFERENT ?auto_4926 ?auto_4932 ) ( LOCATION ?auto_4935 ) ( CITY ?auto_4934 ) ( AT ?auto_4928 ?auto_4935 ) ( IN-CITY ?auto_4935 ?auto_4934 ) ( IN-CITY ?auto_4923 ?auto_4934 ) ( DIFFERENT ?auto_4923 ?auto_4935 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4928 ?auto_4935 ?auto_4923 ?auto_4934 )
      ( DELIVER-PKG ?auto_4920 ?auto_4921 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5379
      ?auto_5380
    )
    :vars
    (
      ?auto_5383
      ?auto_5384
      ?auto_5385
      ?auto_5387
    )
    :precondition
    ( and ( OBJ ?auto_5379 ) ( LOCATION ?auto_5380 ) ( AIRPLANE ?auto_5383 ) ( AIRPORT ?auto_5384 ) ( AIRPORT ?auto_5380 ) ( DIFFERENT ?auto_5380 ?auto_5384 ) ( AIRPORT ?auto_5385 ) ( AT ?auto_5383 ?auto_5385 ) ( DIFFERENT ?auto_5384 ?auto_5385 ) ( LOCATION ?auto_5387 ) ( AT ?auto_5379 ?auto_5387 ) ( AT ?auto_5383 ?auto_5387 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5379 ?auto_5383 ?auto_5387 )
      ( DELIVER-PKG ?auto_5379 ?auto_5380 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5389
      ?auto_5390
    )
    :vars
    (
      ?auto_5393
      ?auto_5395
      ?auto_5392
      ?auto_5394
      ?auto_5397
    )
    :precondition
    ( and ( OBJ ?auto_5389 ) ( LOCATION ?auto_5390 ) ( AIRPLANE ?auto_5393 ) ( AIRPORT ?auto_5395 ) ( AIRPORT ?auto_5390 ) ( DIFFERENT ?auto_5390 ?auto_5395 ) ( AIRPORT ?auto_5392 ) ( AT ?auto_5393 ?auto_5392 ) ( DIFFERENT ?auto_5395 ?auto_5392 ) ( LOCATION ?auto_5394 ) ( AT ?auto_5393 ?auto_5394 ) ( AIRPLANE ?auto_5397 ) ( IN ?auto_5389 ?auto_5397 ) ( AT ?auto_5397 ?auto_5394 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5389 ?auto_5394 )
      ( DELIVER-PKG ?auto_5389 ?auto_5390 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5423
      ?auto_5424
    )
    :vars
    (
      ?auto_5425
      ?auto_5430
      ?auto_5428
      ?auto_5427
      ?auto_5433
    )
    :precondition
    ( and ( OBJ ?auto_5423 ) ( LOCATION ?auto_5424 ) ( AIRPLANE ?auto_5425 ) ( AIRPORT ?auto_5430 ) ( AIRPORT ?auto_5424 ) ( DIFFERENT ?auto_5424 ?auto_5430 ) ( AIRPORT ?auto_5428 ) ( DIFFERENT ?auto_5430 ?auto_5428 ) ( LOCATION ?auto_5428 ) ( AIRPORT ?auto_5427 ) ( DIFFERENT ?auto_5428 ?auto_5427 ) ( LOCATION ?auto_5427 ) ( AT ?auto_5423 ?auto_5427 ) ( AIRPORT ?auto_5433 ) ( AT ?auto_5425 ?auto_5433 ) ( DIFFERENT ?auto_5427 ?auto_5433 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5425 ?auto_5433 ?auto_5427 )
      ( DELIVER-PKG ?auto_5423 ?auto_5424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5435
      ?auto_5436
    )
    :vars
    (
      ?auto_5443
      ?auto_5438
      ?auto_5437
      ?auto_5442
      ?auto_5441
      ?auto_5446
    )
    :precondition
    ( and ( OBJ ?auto_5435 ) ( LOCATION ?auto_5436 ) ( AIRPLANE ?auto_5443 ) ( AIRPORT ?auto_5438 ) ( AIRPORT ?auto_5436 ) ( DIFFERENT ?auto_5436 ?auto_5438 ) ( AIRPORT ?auto_5437 ) ( DIFFERENT ?auto_5438 ?auto_5437 ) ( LOCATION ?auto_5437 ) ( AIRPORT ?auto_5442 ) ( DIFFERENT ?auto_5437 ?auto_5442 ) ( LOCATION ?auto_5442 ) ( AIRPORT ?auto_5441 ) ( AT ?auto_5443 ?auto_5441 ) ( DIFFERENT ?auto_5442 ?auto_5441 ) ( TRUCK ?auto_5446 ) ( AT ?auto_5446 ?auto_5442 ) ( IN ?auto_5435 ?auto_5446 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5435 ?auto_5442 )
      ( DELIVER-PKG ?auto_5435 ?auto_5436 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5457
      ?auto_5458
    )
    :vars
    (
      ?auto_5460
      ?auto_5465
      ?auto_5461
      ?auto_5464
      ?auto_5466
      ?auto_5462
      ?auto_5469
      ?auto_5468
    )
    :precondition
    ( and ( OBJ ?auto_5457 ) ( LOCATION ?auto_5458 ) ( AIRPLANE ?auto_5460 ) ( AIRPORT ?auto_5465 ) ( AIRPORT ?auto_5458 ) ( DIFFERENT ?auto_5458 ?auto_5465 ) ( AIRPORT ?auto_5461 ) ( DIFFERENT ?auto_5465 ?auto_5461 ) ( LOCATION ?auto_5461 ) ( AIRPORT ?auto_5464 ) ( DIFFERENT ?auto_5461 ?auto_5464 ) ( LOCATION ?auto_5464 ) ( AIRPORT ?auto_5466 ) ( AT ?auto_5460 ?auto_5466 ) ( DIFFERENT ?auto_5464 ?auto_5466 ) ( TRUCK ?auto_5462 ) ( IN ?auto_5457 ?auto_5462 ) ( LOCATION ?auto_5469 ) ( CITY ?auto_5468 ) ( AT ?auto_5462 ?auto_5469 ) ( IN-CITY ?auto_5469 ?auto_5468 ) ( IN-CITY ?auto_5464 ?auto_5468 ) ( DIFFERENT ?auto_5464 ?auto_5469 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5462 ?auto_5469 ?auto_5464 ?auto_5468 )
      ( DELIVER-PKG ?auto_5457 ?auto_5458 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5483
      ?auto_5484
    )
    :vars
    (
      ?auto_5486
      ?auto_5491
      ?auto_5485
      ?auto_5489
      ?auto_5490
      ?auto_5492
      ?auto_5494
      ?auto_5493
      ?auto_5497
      ?auto_5496
    )
    :precondition
    ( and ( OBJ ?auto_5483 ) ( LOCATION ?auto_5484 ) ( AIRPLANE ?auto_5486 ) ( AIRPORT ?auto_5491 ) ( AIRPORT ?auto_5484 ) ( DIFFERENT ?auto_5484 ?auto_5491 ) ( AIRPORT ?auto_5485 ) ( DIFFERENT ?auto_5491 ?auto_5485 ) ( LOCATION ?auto_5485 ) ( AIRPORT ?auto_5489 ) ( DIFFERENT ?auto_5485 ?auto_5489 ) ( LOCATION ?auto_5489 ) ( AIRPORT ?auto_5490 ) ( AT ?auto_5486 ?auto_5490 ) ( DIFFERENT ?auto_5489 ?auto_5490 ) ( TRUCK ?auto_5492 ) ( IN ?auto_5483 ?auto_5492 ) ( LOCATION ?auto_5494 ) ( CITY ?auto_5493 ) ( IN-CITY ?auto_5494 ?auto_5493 ) ( IN-CITY ?auto_5489 ?auto_5493 ) ( DIFFERENT ?auto_5489 ?auto_5494 ) ( LOCATION ?auto_5497 ) ( CITY ?auto_5496 ) ( AT ?auto_5492 ?auto_5497 ) ( IN-CITY ?auto_5497 ?auto_5496 ) ( IN-CITY ?auto_5494 ?auto_5496 ) ( DIFFERENT ?auto_5494 ?auto_5497 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5492 ?auto_5497 ?auto_5494 ?auto_5496 )
      ( DELIVER-PKG ?auto_5483 ?auto_5484 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5513
      ?auto_5514
    )
    :vars
    (
      ?auto_5525
      ?auto_5515
      ?auto_5516
      ?auto_5517
      ?auto_5519
      ?auto_5518
      ?auto_5522
      ?auto_5521
      ?auto_5526
      ?auto_5523
      ?auto_5528
    )
    :precondition
    ( and ( OBJ ?auto_5513 ) ( LOCATION ?auto_5514 ) ( AIRPLANE ?auto_5525 ) ( AIRPORT ?auto_5515 ) ( AIRPORT ?auto_5514 ) ( DIFFERENT ?auto_5514 ?auto_5515 ) ( AIRPORT ?auto_5516 ) ( DIFFERENT ?auto_5515 ?auto_5516 ) ( LOCATION ?auto_5516 ) ( AIRPORT ?auto_5517 ) ( DIFFERENT ?auto_5516 ?auto_5517 ) ( LOCATION ?auto_5517 ) ( AIRPORT ?auto_5519 ) ( AT ?auto_5525 ?auto_5519 ) ( DIFFERENT ?auto_5517 ?auto_5519 ) ( TRUCK ?auto_5518 ) ( LOCATION ?auto_5522 ) ( CITY ?auto_5521 ) ( IN-CITY ?auto_5522 ?auto_5521 ) ( IN-CITY ?auto_5517 ?auto_5521 ) ( DIFFERENT ?auto_5517 ?auto_5522 ) ( LOCATION ?auto_5526 ) ( CITY ?auto_5523 ) ( AT ?auto_5518 ?auto_5526 ) ( IN-CITY ?auto_5526 ?auto_5523 ) ( IN-CITY ?auto_5522 ?auto_5523 ) ( DIFFERENT ?auto_5522 ?auto_5526 ) ( LOCATION ?auto_5528 ) ( AT ?auto_5518 ?auto_5528 ) ( AT ?auto_5513 ?auto_5528 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5513 ?auto_5518 ?auto_5528 )
      ( DELIVER-PKG ?auto_5513 ?auto_5514 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5560
      ?auto_5561
    )
    :vars
    (
      ?auto_5567
      ?auto_5569
      ?auto_5562
      ?auto_5572
      ?auto_5566
      ?auto_5565
      ?auto_5570
      ?auto_5564
      ?auto_5574
      ?auto_5571
      ?auto_5577
      ?auto_5576
    )
    :precondition
    ( and ( OBJ ?auto_5560 ) ( LOCATION ?auto_5561 ) ( AIRPLANE ?auto_5567 ) ( AIRPORT ?auto_5569 ) ( AIRPORT ?auto_5561 ) ( DIFFERENT ?auto_5561 ?auto_5569 ) ( AIRPORT ?auto_5562 ) ( DIFFERENT ?auto_5569 ?auto_5562 ) ( LOCATION ?auto_5562 ) ( AIRPORT ?auto_5572 ) ( DIFFERENT ?auto_5562 ?auto_5572 ) ( LOCATION ?auto_5572 ) ( AIRPORT ?auto_5566 ) ( AT ?auto_5567 ?auto_5566 ) ( DIFFERENT ?auto_5572 ?auto_5566 ) ( TRUCK ?auto_5565 ) ( LOCATION ?auto_5570 ) ( CITY ?auto_5564 ) ( IN-CITY ?auto_5570 ?auto_5564 ) ( IN-CITY ?auto_5572 ?auto_5564 ) ( DIFFERENT ?auto_5572 ?auto_5570 ) ( LOCATION ?auto_5574 ) ( CITY ?auto_5571 ) ( IN-CITY ?auto_5574 ?auto_5571 ) ( IN-CITY ?auto_5570 ?auto_5571 ) ( DIFFERENT ?auto_5570 ?auto_5574 ) ( AT ?auto_5560 ?auto_5574 ) ( LOCATION ?auto_5577 ) ( CITY ?auto_5576 ) ( AT ?auto_5565 ?auto_5577 ) ( IN-CITY ?auto_5577 ?auto_5576 ) ( IN-CITY ?auto_5574 ?auto_5576 ) ( DIFFERENT ?auto_5574 ?auto_5577 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5565 ?auto_5577 ?auto_5574 ?auto_5576 )
      ( DELIVER-PKG ?auto_5560 ?auto_5561 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5579
      ?auto_5580
    )
    :vars
    (
      ?auto_5590
      ?auto_5583
      ?auto_5582
      ?auto_5586
      ?auto_5589
      ?auto_5588
      ?auto_5584
      ?auto_5591
      ?auto_5587
      ?auto_5585
      ?auto_5594
      ?auto_5593
      ?auto_5596
    )
    :precondition
    ( and ( OBJ ?auto_5579 ) ( LOCATION ?auto_5580 ) ( AIRPLANE ?auto_5590 ) ( AIRPORT ?auto_5583 ) ( AIRPORT ?auto_5580 ) ( DIFFERENT ?auto_5580 ?auto_5583 ) ( AIRPORT ?auto_5582 ) ( DIFFERENT ?auto_5583 ?auto_5582 ) ( LOCATION ?auto_5582 ) ( AIRPORT ?auto_5586 ) ( DIFFERENT ?auto_5582 ?auto_5586 ) ( LOCATION ?auto_5586 ) ( AIRPORT ?auto_5589 ) ( DIFFERENT ?auto_5586 ?auto_5589 ) ( TRUCK ?auto_5588 ) ( LOCATION ?auto_5584 ) ( CITY ?auto_5591 ) ( IN-CITY ?auto_5584 ?auto_5591 ) ( IN-CITY ?auto_5586 ?auto_5591 ) ( DIFFERENT ?auto_5586 ?auto_5584 ) ( LOCATION ?auto_5587 ) ( CITY ?auto_5585 ) ( IN-CITY ?auto_5587 ?auto_5585 ) ( IN-CITY ?auto_5584 ?auto_5585 ) ( DIFFERENT ?auto_5584 ?auto_5587 ) ( AT ?auto_5579 ?auto_5587 ) ( LOCATION ?auto_5594 ) ( CITY ?auto_5593 ) ( AT ?auto_5588 ?auto_5594 ) ( IN-CITY ?auto_5594 ?auto_5593 ) ( IN-CITY ?auto_5587 ?auto_5593 ) ( DIFFERENT ?auto_5587 ?auto_5594 ) ( AIRPORT ?auto_5596 ) ( AT ?auto_5590 ?auto_5596 ) ( DIFFERENT ?auto_5589 ?auto_5596 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5590 ?auto_5596 ?auto_5589 )
      ( DELIVER-PKG ?auto_5579 ?auto_5580 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5976
      ?auto_5977
    )
    :vars
    (
      ?auto_5980
      ?auto_5983
      ?auto_5987
      ?auto_5985
      ?auto_5986
      ?auto_5981
      ?auto_5979
      ?auto_5982
      ?auto_5989
    )
    :precondition
    ( and ( OBJ ?auto_5976 ) ( LOCATION ?auto_5977 ) ( TRUCK ?auto_5980 ) ( LOCATION ?auto_5983 ) ( CITY ?auto_5987 ) ( IN-CITY ?auto_5983 ?auto_5987 ) ( IN-CITY ?auto_5977 ?auto_5987 ) ( DIFFERENT ?auto_5977 ?auto_5983 ) ( LOCATION ?auto_5985 ) ( CITY ?auto_5986 ) ( AT ?auto_5980 ?auto_5985 ) ( IN-CITY ?auto_5985 ?auto_5986 ) ( IN-CITY ?auto_5983 ?auto_5986 ) ( DIFFERENT ?auto_5983 ?auto_5985 ) ( LOCATION ?auto_5981 ) ( AT ?auto_5980 ?auto_5981 ) ( AIRPLANE ?auto_5979 ) ( IN ?auto_5976 ?auto_5979 ) ( AIRPORT ?auto_5982 ) ( AIRPORT ?auto_5981 ) ( DIFFERENT ?auto_5981 ?auto_5982 ) ( AIRPORT ?auto_5989 ) ( AT ?auto_5979 ?auto_5989 ) ( DIFFERENT ?auto_5982 ?auto_5989 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5979 ?auto_5989 ?auto_5982 )
      ( DELIVER-PKG ?auto_5976 ?auto_5977 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6004
      ?auto_6005
    )
    :vars
    (
      ?auto_6010
      ?auto_6013
      ?auto_6016
      ?auto_6014
      ?auto_6015
      ?auto_6011
      ?auto_6006
      ?auto_6012
      ?auto_6007
      ?auto_6018
    )
    :precondition
    ( and ( OBJ ?auto_6004 ) ( LOCATION ?auto_6005 ) ( TRUCK ?auto_6010 ) ( LOCATION ?auto_6013 ) ( CITY ?auto_6016 ) ( IN-CITY ?auto_6013 ?auto_6016 ) ( IN-CITY ?auto_6005 ?auto_6016 ) ( DIFFERENT ?auto_6005 ?auto_6013 ) ( LOCATION ?auto_6014 ) ( CITY ?auto_6015 ) ( AT ?auto_6010 ?auto_6014 ) ( IN-CITY ?auto_6014 ?auto_6015 ) ( IN-CITY ?auto_6013 ?auto_6015 ) ( DIFFERENT ?auto_6013 ?auto_6014 ) ( LOCATION ?auto_6011 ) ( AT ?auto_6010 ?auto_6011 ) ( AIRPLANE ?auto_6006 ) ( IN ?auto_6004 ?auto_6006 ) ( AIRPORT ?auto_6012 ) ( AIRPORT ?auto_6011 ) ( DIFFERENT ?auto_6011 ?auto_6012 ) ( AIRPORT ?auto_6007 ) ( DIFFERENT ?auto_6012 ?auto_6007 ) ( AIRPORT ?auto_6018 ) ( AT ?auto_6006 ?auto_6018 ) ( DIFFERENT ?auto_6007 ?auto_6018 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6006 ?auto_6018 ?auto_6007 )
      ( DELIVER-PKG ?auto_6004 ?auto_6005 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6034
      ?auto_6035
    )
    :vars
    (
      ?auto_6040
      ?auto_6037
      ?auto_6042
      ?auto_6038
      ?auto_6039
      ?auto_6041
      ?auto_6043
      ?auto_6036
      ?auto_6044
      ?auto_6047
      ?auto_6049
    )
    :precondition
    ( and ( OBJ ?auto_6034 ) ( LOCATION ?auto_6035 ) ( TRUCK ?auto_6040 ) ( LOCATION ?auto_6037 ) ( CITY ?auto_6042 ) ( IN-CITY ?auto_6037 ?auto_6042 ) ( IN-CITY ?auto_6035 ?auto_6042 ) ( DIFFERENT ?auto_6035 ?auto_6037 ) ( LOCATION ?auto_6038 ) ( CITY ?auto_6039 ) ( AT ?auto_6040 ?auto_6038 ) ( IN-CITY ?auto_6038 ?auto_6039 ) ( IN-CITY ?auto_6037 ?auto_6039 ) ( DIFFERENT ?auto_6037 ?auto_6038 ) ( LOCATION ?auto_6041 ) ( AT ?auto_6040 ?auto_6041 ) ( AIRPLANE ?auto_6043 ) ( AIRPORT ?auto_6036 ) ( AIRPORT ?auto_6041 ) ( DIFFERENT ?auto_6041 ?auto_6036 ) ( AIRPORT ?auto_6044 ) ( DIFFERENT ?auto_6036 ?auto_6044 ) ( AIRPORT ?auto_6047 ) ( AT ?auto_6043 ?auto_6047 ) ( DIFFERENT ?auto_6044 ?auto_6047 ) ( LOCATION ?auto_6049 ) ( AT ?auto_6034 ?auto_6049 ) ( AT ?auto_6043 ?auto_6049 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6034 ?auto_6043 ?auto_6049 )
      ( DELIVER-PKG ?auto_6034 ?auto_6035 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6066
      ?auto_6067
    )
    :vars
    (
      ?auto_6070
      ?auto_6078
      ?auto_6072
      ?auto_6068
      ?auto_6069
      ?auto_6071
      ?auto_6073
      ?auto_6077
      ?auto_6074
      ?auto_6076
      ?auto_6080
      ?auto_6082
    )
    :precondition
    ( and ( OBJ ?auto_6066 ) ( LOCATION ?auto_6067 ) ( TRUCK ?auto_6070 ) ( LOCATION ?auto_6078 ) ( CITY ?auto_6072 ) ( IN-CITY ?auto_6078 ?auto_6072 ) ( IN-CITY ?auto_6067 ?auto_6072 ) ( DIFFERENT ?auto_6067 ?auto_6078 ) ( LOCATION ?auto_6068 ) ( CITY ?auto_6069 ) ( AT ?auto_6070 ?auto_6068 ) ( IN-CITY ?auto_6068 ?auto_6069 ) ( IN-CITY ?auto_6078 ?auto_6069 ) ( DIFFERENT ?auto_6078 ?auto_6068 ) ( LOCATION ?auto_6071 ) ( AT ?auto_6070 ?auto_6071 ) ( AIRPLANE ?auto_6073 ) ( AIRPORT ?auto_6077 ) ( AIRPORT ?auto_6071 ) ( DIFFERENT ?auto_6071 ?auto_6077 ) ( AIRPORT ?auto_6074 ) ( DIFFERENT ?auto_6077 ?auto_6074 ) ( AIRPORT ?auto_6076 ) ( AT ?auto_6073 ?auto_6076 ) ( DIFFERENT ?auto_6074 ?auto_6076 ) ( LOCATION ?auto_6080 ) ( AT ?auto_6073 ?auto_6080 ) ( TRUCK ?auto_6082 ) ( AT ?auto_6082 ?auto_6080 ) ( IN ?auto_6066 ?auto_6082 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6066 ?auto_6080 )
      ( DELIVER-PKG ?auto_6066 ?auto_6067 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6100
      ?auto_6101
    )
    :vars
    (
      ?auto_6103
      ?auto_6111
      ?auto_6107
      ?auto_6102
      ?auto_6108
      ?auto_6106
      ?auto_6104
      ?auto_6110
      ?auto_6105
      ?auto_6109
      ?auto_6113
      ?auto_6112
      ?auto_6118
      ?auto_6117
    )
    :precondition
    ( and ( OBJ ?auto_6100 ) ( LOCATION ?auto_6101 ) ( TRUCK ?auto_6103 ) ( LOCATION ?auto_6111 ) ( CITY ?auto_6107 ) ( IN-CITY ?auto_6111 ?auto_6107 ) ( IN-CITY ?auto_6101 ?auto_6107 ) ( DIFFERENT ?auto_6101 ?auto_6111 ) ( LOCATION ?auto_6102 ) ( CITY ?auto_6108 ) ( AT ?auto_6103 ?auto_6102 ) ( IN-CITY ?auto_6102 ?auto_6108 ) ( IN-CITY ?auto_6111 ?auto_6108 ) ( DIFFERENT ?auto_6111 ?auto_6102 ) ( LOCATION ?auto_6106 ) ( AT ?auto_6103 ?auto_6106 ) ( AIRPLANE ?auto_6104 ) ( AIRPORT ?auto_6110 ) ( AIRPORT ?auto_6106 ) ( DIFFERENT ?auto_6106 ?auto_6110 ) ( AIRPORT ?auto_6105 ) ( DIFFERENT ?auto_6110 ?auto_6105 ) ( AIRPORT ?auto_6109 ) ( AT ?auto_6104 ?auto_6109 ) ( DIFFERENT ?auto_6105 ?auto_6109 ) ( LOCATION ?auto_6113 ) ( AT ?auto_6104 ?auto_6113 ) ( TRUCK ?auto_6112 ) ( IN ?auto_6100 ?auto_6112 ) ( LOCATION ?auto_6118 ) ( CITY ?auto_6117 ) ( AT ?auto_6112 ?auto_6118 ) ( IN-CITY ?auto_6118 ?auto_6117 ) ( IN-CITY ?auto_6113 ?auto_6117 ) ( DIFFERENT ?auto_6113 ?auto_6118 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6112 ?auto_6118 ?auto_6113 ?auto_6117 )
      ( DELIVER-PKG ?auto_6100 ?auto_6101 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6138
      ?auto_6139
    )
    :vars
    (
      ?auto_6143
      ?auto_6151
      ?auto_6147
      ?auto_6140
      ?auto_6148
      ?auto_6146
      ?auto_6142
      ?auto_6150
      ?auto_6145
      ?auto_6149
      ?auto_6144
      ?auto_6152
      ?auto_6155
      ?auto_6154
      ?auto_6157
    )
    :precondition
    ( and ( OBJ ?auto_6138 ) ( LOCATION ?auto_6139 ) ( TRUCK ?auto_6143 ) ( LOCATION ?auto_6151 ) ( CITY ?auto_6147 ) ( IN-CITY ?auto_6151 ?auto_6147 ) ( IN-CITY ?auto_6139 ?auto_6147 ) ( DIFFERENT ?auto_6139 ?auto_6151 ) ( LOCATION ?auto_6140 ) ( CITY ?auto_6148 ) ( AT ?auto_6143 ?auto_6140 ) ( IN-CITY ?auto_6140 ?auto_6148 ) ( IN-CITY ?auto_6151 ?auto_6148 ) ( DIFFERENT ?auto_6151 ?auto_6140 ) ( LOCATION ?auto_6146 ) ( AT ?auto_6143 ?auto_6146 ) ( AIRPLANE ?auto_6142 ) ( AIRPORT ?auto_6150 ) ( AIRPORT ?auto_6146 ) ( DIFFERENT ?auto_6146 ?auto_6150 ) ( AIRPORT ?auto_6145 ) ( DIFFERENT ?auto_6150 ?auto_6145 ) ( AIRPORT ?auto_6149 ) ( AT ?auto_6142 ?auto_6149 ) ( DIFFERENT ?auto_6145 ?auto_6149 ) ( LOCATION ?auto_6144 ) ( AT ?auto_6142 ?auto_6144 ) ( TRUCK ?auto_6152 ) ( LOCATION ?auto_6155 ) ( CITY ?auto_6154 ) ( AT ?auto_6152 ?auto_6155 ) ( IN-CITY ?auto_6155 ?auto_6154 ) ( IN-CITY ?auto_6144 ?auto_6154 ) ( DIFFERENT ?auto_6144 ?auto_6155 ) ( LOCATION ?auto_6157 ) ( AT ?auto_6152 ?auto_6157 ) ( AT ?auto_6138 ?auto_6157 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6138 ?auto_6152 ?auto_6157 )
      ( DELIVER-PKG ?auto_6138 ?auto_6139 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6159
      ?auto_6160
    )
    :vars
    (
      ?auto_6176
      ?auto_6170
      ?auto_6166
      ?auto_6163
      ?auto_6167
      ?auto_6161
      ?auto_6169
      ?auto_6162
      ?auto_6168
      ?auto_6175
      ?auto_6171
      ?auto_6173
      ?auto_6172
      ?auto_6174
      ?auto_6180
      ?auto_6179
    )
    :precondition
    ( and ( OBJ ?auto_6159 ) ( LOCATION ?auto_6160 ) ( TRUCK ?auto_6176 ) ( LOCATION ?auto_6170 ) ( CITY ?auto_6166 ) ( IN-CITY ?auto_6170 ?auto_6166 ) ( IN-CITY ?auto_6160 ?auto_6166 ) ( DIFFERENT ?auto_6160 ?auto_6170 ) ( LOCATION ?auto_6163 ) ( CITY ?auto_6167 ) ( IN-CITY ?auto_6163 ?auto_6167 ) ( IN-CITY ?auto_6170 ?auto_6167 ) ( DIFFERENT ?auto_6170 ?auto_6163 ) ( AIRPLANE ?auto_6161 ) ( AIRPORT ?auto_6169 ) ( AIRPORT ?auto_6163 ) ( DIFFERENT ?auto_6163 ?auto_6169 ) ( AIRPORT ?auto_6162 ) ( DIFFERENT ?auto_6169 ?auto_6162 ) ( AIRPORT ?auto_6168 ) ( AT ?auto_6161 ?auto_6168 ) ( DIFFERENT ?auto_6162 ?auto_6168 ) ( LOCATION ?auto_6175 ) ( AT ?auto_6161 ?auto_6175 ) ( TRUCK ?auto_6171 ) ( LOCATION ?auto_6173 ) ( CITY ?auto_6172 ) ( AT ?auto_6171 ?auto_6173 ) ( IN-CITY ?auto_6173 ?auto_6172 ) ( IN-CITY ?auto_6175 ?auto_6172 ) ( DIFFERENT ?auto_6175 ?auto_6173 ) ( LOCATION ?auto_6174 ) ( AT ?auto_6171 ?auto_6174 ) ( AT ?auto_6159 ?auto_6174 ) ( LOCATION ?auto_6180 ) ( CITY ?auto_6179 ) ( AT ?auto_6176 ?auto_6180 ) ( IN-CITY ?auto_6180 ?auto_6179 ) ( IN-CITY ?auto_6163 ?auto_6179 ) ( DIFFERENT ?auto_6163 ?auto_6180 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6176 ?auto_6180 ?auto_6163 ?auto_6179 )
      ( DELIVER-PKG ?auto_6159 ?auto_6160 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6202
      ?auto_6203
    )
    :vars
    (
      ?auto_6210
      ?auto_6207
      ?auto_6216
      ?auto_6219
      ?auto_6213
      ?auto_6212
      ?auto_6206
      ?auto_6220
      ?auto_6209
      ?auto_6208
      ?auto_6215
      ?auto_6214
      ?auto_6221
      ?auto_6218
      ?auto_6211
      ?auto_6223
    )
    :precondition
    ( and ( OBJ ?auto_6202 ) ( LOCATION ?auto_6203 ) ( TRUCK ?auto_6210 ) ( LOCATION ?auto_6207 ) ( CITY ?auto_6216 ) ( IN-CITY ?auto_6207 ?auto_6216 ) ( IN-CITY ?auto_6203 ?auto_6216 ) ( DIFFERENT ?auto_6203 ?auto_6207 ) ( LOCATION ?auto_6219 ) ( CITY ?auto_6213 ) ( IN-CITY ?auto_6219 ?auto_6213 ) ( IN-CITY ?auto_6207 ?auto_6213 ) ( DIFFERENT ?auto_6207 ?auto_6219 ) ( AIRPLANE ?auto_6212 ) ( AIRPORT ?auto_6206 ) ( AIRPORT ?auto_6219 ) ( DIFFERENT ?auto_6219 ?auto_6206 ) ( AIRPORT ?auto_6220 ) ( DIFFERENT ?auto_6206 ?auto_6220 ) ( AIRPORT ?auto_6209 ) ( DIFFERENT ?auto_6220 ?auto_6209 ) ( LOCATION ?auto_6209 ) ( TRUCK ?auto_6208 ) ( LOCATION ?auto_6215 ) ( CITY ?auto_6214 ) ( AT ?auto_6208 ?auto_6215 ) ( IN-CITY ?auto_6215 ?auto_6214 ) ( IN-CITY ?auto_6209 ?auto_6214 ) ( DIFFERENT ?auto_6209 ?auto_6215 ) ( LOCATION ?auto_6221 ) ( AT ?auto_6208 ?auto_6221 ) ( AT ?auto_6202 ?auto_6221 ) ( LOCATION ?auto_6218 ) ( CITY ?auto_6211 ) ( AT ?auto_6210 ?auto_6218 ) ( IN-CITY ?auto_6218 ?auto_6211 ) ( IN-CITY ?auto_6219 ?auto_6211 ) ( DIFFERENT ?auto_6219 ?auto_6218 ) ( AIRPORT ?auto_6223 ) ( AT ?auto_6212 ?auto_6223 ) ( DIFFERENT ?auto_6209 ?auto_6223 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6212 ?auto_6223 ?auto_6209 )
      ( DELIVER-PKG ?auto_6202 ?auto_6203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6225
      ?auto_6226
    )
    :vars
    (
      ?auto_6238
      ?auto_6227
      ?auto_6232
      ?auto_6234
      ?auto_6229
      ?auto_6242
      ?auto_6239
      ?auto_6235
      ?auto_6237
      ?auto_6244
      ?auto_6236
      ?auto_6230
      ?auto_6233
      ?auto_6241
      ?auto_6243
      ?auto_6247
      ?auto_6246
    )
    :precondition
    ( and ( OBJ ?auto_6225 ) ( LOCATION ?auto_6226 ) ( TRUCK ?auto_6238 ) ( LOCATION ?auto_6227 ) ( CITY ?auto_6232 ) ( IN-CITY ?auto_6227 ?auto_6232 ) ( IN-CITY ?auto_6226 ?auto_6232 ) ( DIFFERENT ?auto_6226 ?auto_6227 ) ( LOCATION ?auto_6234 ) ( CITY ?auto_6229 ) ( IN-CITY ?auto_6234 ?auto_6229 ) ( IN-CITY ?auto_6227 ?auto_6229 ) ( DIFFERENT ?auto_6227 ?auto_6234 ) ( AIRPLANE ?auto_6242 ) ( AIRPORT ?auto_6239 ) ( AIRPORT ?auto_6234 ) ( DIFFERENT ?auto_6234 ?auto_6239 ) ( AIRPORT ?auto_6235 ) ( DIFFERENT ?auto_6239 ?auto_6235 ) ( AIRPORT ?auto_6237 ) ( DIFFERENT ?auto_6235 ?auto_6237 ) ( LOCATION ?auto_6237 ) ( TRUCK ?auto_6244 ) ( LOCATION ?auto_6236 ) ( CITY ?auto_6230 ) ( IN-CITY ?auto_6236 ?auto_6230 ) ( IN-CITY ?auto_6237 ?auto_6230 ) ( DIFFERENT ?auto_6237 ?auto_6236 ) ( AT ?auto_6225 ?auto_6236 ) ( LOCATION ?auto_6233 ) ( CITY ?auto_6241 ) ( AT ?auto_6238 ?auto_6233 ) ( IN-CITY ?auto_6233 ?auto_6241 ) ( IN-CITY ?auto_6234 ?auto_6241 ) ( DIFFERENT ?auto_6234 ?auto_6233 ) ( AIRPORT ?auto_6243 ) ( AT ?auto_6242 ?auto_6243 ) ( DIFFERENT ?auto_6237 ?auto_6243 ) ( LOCATION ?auto_6247 ) ( CITY ?auto_6246 ) ( AT ?auto_6244 ?auto_6247 ) ( IN-CITY ?auto_6247 ?auto_6246 ) ( IN-CITY ?auto_6236 ?auto_6246 ) ( DIFFERENT ?auto_6236 ?auto_6247 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6244 ?auto_6247 ?auto_6236 ?auto_6246 )
      ( DELIVER-PKG ?auto_6225 ?auto_6226 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6506
      ?auto_6507
    )
    :vars
    (
      ?auto_6515
      ?auto_6510
      ?auto_6509
      ?auto_6508
      ?auto_6511
      ?auto_6514
      ?auto_6517
    )
    :precondition
    ( and ( OBJ ?auto_6506 ) ( LOCATION ?auto_6507 ) ( TRUCK ?auto_6515 ) ( LOCATION ?auto_6510 ) ( CITY ?auto_6509 ) ( AT ?auto_6515 ?auto_6510 ) ( IN-CITY ?auto_6510 ?auto_6509 ) ( IN-CITY ?auto_6507 ?auto_6509 ) ( DIFFERENT ?auto_6507 ?auto_6510 ) ( LOCATION ?auto_6508 ) ( AT ?auto_6515 ?auto_6508 ) ( AIRPLANE ?auto_6511 ) ( IN ?auto_6506 ?auto_6511 ) ( AIRPORT ?auto_6514 ) ( AIRPORT ?auto_6508 ) ( DIFFERENT ?auto_6508 ?auto_6514 ) ( AIRPORT ?auto_6517 ) ( AT ?auto_6511 ?auto_6517 ) ( DIFFERENT ?auto_6514 ?auto_6517 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6511 ?auto_6517 ?auto_6514 )
      ( DELIVER-PKG ?auto_6506 ?auto_6507 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6519
      ?auto_6520
    )
    :vars
    (
      ?auto_6528
      ?auto_6524
      ?auto_6523
      ?auto_6522
      ?auto_6525
      ?auto_6527
      ?auto_6526
      ?auto_6531
    )
    :precondition
    ( and ( OBJ ?auto_6519 ) ( LOCATION ?auto_6520 ) ( TRUCK ?auto_6528 ) ( LOCATION ?auto_6524 ) ( CITY ?auto_6523 ) ( AT ?auto_6528 ?auto_6524 ) ( IN-CITY ?auto_6524 ?auto_6523 ) ( IN-CITY ?auto_6520 ?auto_6523 ) ( DIFFERENT ?auto_6520 ?auto_6524 ) ( LOCATION ?auto_6522 ) ( AT ?auto_6528 ?auto_6522 ) ( AIRPLANE ?auto_6525 ) ( AIRPORT ?auto_6527 ) ( AIRPORT ?auto_6522 ) ( DIFFERENT ?auto_6522 ?auto_6527 ) ( AIRPORT ?auto_6526 ) ( AT ?auto_6525 ?auto_6526 ) ( DIFFERENT ?auto_6527 ?auto_6526 ) ( LOCATION ?auto_6531 ) ( AT ?auto_6519 ?auto_6531 ) ( AT ?auto_6525 ?auto_6531 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6519 ?auto_6525 ?auto_6531 )
      ( DELIVER-PKG ?auto_6519 ?auto_6520 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6533
      ?auto_6534
    )
    :vars
    (
      ?auto_6540
      ?auto_6544
      ?auto_6543
      ?auto_6542
      ?auto_6539
      ?auto_6535
      ?auto_6538
      ?auto_6536
      ?auto_6545
    )
    :precondition
    ( and ( OBJ ?auto_6533 ) ( LOCATION ?auto_6534 ) ( TRUCK ?auto_6540 ) ( LOCATION ?auto_6544 ) ( CITY ?auto_6543 ) ( AT ?auto_6540 ?auto_6544 ) ( IN-CITY ?auto_6544 ?auto_6543 ) ( IN-CITY ?auto_6534 ?auto_6543 ) ( DIFFERENT ?auto_6534 ?auto_6544 ) ( LOCATION ?auto_6542 ) ( AT ?auto_6540 ?auto_6542 ) ( AIRPLANE ?auto_6539 ) ( AIRPORT ?auto_6535 ) ( AIRPORT ?auto_6542 ) ( DIFFERENT ?auto_6542 ?auto_6535 ) ( AIRPORT ?auto_6538 ) ( AT ?auto_6539 ?auto_6538 ) ( DIFFERENT ?auto_6535 ?auto_6538 ) ( LOCATION ?auto_6536 ) ( AT ?auto_6539 ?auto_6536 ) ( AIRPLANE ?auto_6545 ) ( IN ?auto_6533 ?auto_6545 ) ( AT ?auto_6545 ?auto_6536 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6533 ?auto_6536 )
      ( DELIVER-PKG ?auto_6533 ?auto_6534 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6548
      ?auto_6549
    )
    :vars
    (
      ?auto_6559
      ?auto_6552
      ?auto_6557
      ?auto_6551
      ?auto_6555
      ?auto_6554
      ?auto_6553
      ?auto_6562
    )
    :precondition
    ( and ( OBJ ?auto_6548 ) ( LOCATION ?auto_6549 ) ( TRUCK ?auto_6559 ) ( LOCATION ?auto_6552 ) ( CITY ?auto_6557 ) ( AT ?auto_6559 ?auto_6552 ) ( IN-CITY ?auto_6552 ?auto_6557 ) ( IN-CITY ?auto_6549 ?auto_6557 ) ( DIFFERENT ?auto_6549 ?auto_6552 ) ( LOCATION ?auto_6551 ) ( AT ?auto_6559 ?auto_6551 ) ( AIRPLANE ?auto_6555 ) ( AIRPORT ?auto_6554 ) ( AIRPORT ?auto_6551 ) ( DIFFERENT ?auto_6551 ?auto_6554 ) ( AIRPORT ?auto_6553 ) ( DIFFERENT ?auto_6554 ?auto_6553 ) ( LOCATION ?auto_6553 ) ( IN ?auto_6548 ?auto_6555 ) ( AIRPORT ?auto_6562 ) ( AT ?auto_6555 ?auto_6562 ) ( DIFFERENT ?auto_6553 ?auto_6562 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6555 ?auto_6562 ?auto_6553 )
      ( DELIVER-PKG ?auto_6548 ?auto_6549 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6564
      ?auto_6565
    )
    :vars
    (
      ?auto_6569
      ?auto_6573
      ?auto_6571
      ?auto_6572
      ?auto_6575
      ?auto_6567
      ?auto_6574
      ?auto_6570
      ?auto_6577
    )
    :precondition
    ( and ( OBJ ?auto_6564 ) ( LOCATION ?auto_6565 ) ( TRUCK ?auto_6569 ) ( LOCATION ?auto_6573 ) ( CITY ?auto_6571 ) ( AT ?auto_6569 ?auto_6573 ) ( IN-CITY ?auto_6573 ?auto_6571 ) ( IN-CITY ?auto_6565 ?auto_6571 ) ( DIFFERENT ?auto_6565 ?auto_6573 ) ( LOCATION ?auto_6572 ) ( AT ?auto_6569 ?auto_6572 ) ( AIRPLANE ?auto_6575 ) ( AIRPORT ?auto_6567 ) ( AIRPORT ?auto_6572 ) ( DIFFERENT ?auto_6572 ?auto_6567 ) ( AIRPORT ?auto_6574 ) ( DIFFERENT ?auto_6567 ?auto_6574 ) ( LOCATION ?auto_6574 ) ( AIRPORT ?auto_6570 ) ( AT ?auto_6575 ?auto_6570 ) ( DIFFERENT ?auto_6574 ?auto_6570 ) ( LOCATION ?auto_6577 ) ( AT ?auto_6564 ?auto_6577 ) ( AT ?auto_6575 ?auto_6577 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6564 ?auto_6575 ?auto_6577 )
      ( DELIVER-PKG ?auto_6564 ?auto_6565 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6579
      ?auto_6580
    )
    :vars
    (
      ?auto_6591
      ?auto_6589
      ?auto_6588
      ?auto_6581
      ?auto_6587
      ?auto_6590
      ?auto_6586
      ?auto_6583
      ?auto_6593
    )
    :precondition
    ( and ( OBJ ?auto_6579 ) ( LOCATION ?auto_6580 ) ( TRUCK ?auto_6591 ) ( LOCATION ?auto_6589 ) ( CITY ?auto_6588 ) ( AT ?auto_6591 ?auto_6589 ) ( IN-CITY ?auto_6589 ?auto_6588 ) ( IN-CITY ?auto_6580 ?auto_6588 ) ( DIFFERENT ?auto_6580 ?auto_6589 ) ( LOCATION ?auto_6581 ) ( AT ?auto_6591 ?auto_6581 ) ( AIRPLANE ?auto_6587 ) ( AIRPORT ?auto_6590 ) ( AIRPORT ?auto_6581 ) ( DIFFERENT ?auto_6581 ?auto_6590 ) ( AIRPORT ?auto_6586 ) ( DIFFERENT ?auto_6590 ?auto_6586 ) ( LOCATION ?auto_6586 ) ( AIRPORT ?auto_6583 ) ( DIFFERENT ?auto_6586 ?auto_6583 ) ( LOCATION ?auto_6583 ) ( AT ?auto_6579 ?auto_6583 ) ( AIRPORT ?auto_6593 ) ( AT ?auto_6587 ?auto_6593 ) ( DIFFERENT ?auto_6583 ?auto_6593 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6587 ?auto_6593 ?auto_6583 )
      ( DELIVER-PKG ?auto_6579 ?auto_6580 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6595
      ?auto_6596
    )
    :vars
    (
      ?auto_6606
      ?auto_6604
      ?auto_6603
      ?auto_6598
      ?auto_6602
      ?auto_6605
      ?auto_6601
      ?auto_6600
      ?auto_6607
      ?auto_6610
    )
    :precondition
    ( and ( OBJ ?auto_6595 ) ( LOCATION ?auto_6596 ) ( TRUCK ?auto_6606 ) ( LOCATION ?auto_6604 ) ( CITY ?auto_6603 ) ( AT ?auto_6606 ?auto_6604 ) ( IN-CITY ?auto_6604 ?auto_6603 ) ( IN-CITY ?auto_6596 ?auto_6603 ) ( DIFFERENT ?auto_6596 ?auto_6604 ) ( LOCATION ?auto_6598 ) ( AT ?auto_6606 ?auto_6598 ) ( AIRPLANE ?auto_6602 ) ( AIRPORT ?auto_6605 ) ( AIRPORT ?auto_6598 ) ( DIFFERENT ?auto_6598 ?auto_6605 ) ( AIRPORT ?auto_6601 ) ( DIFFERENT ?auto_6605 ?auto_6601 ) ( LOCATION ?auto_6601 ) ( AIRPORT ?auto_6600 ) ( DIFFERENT ?auto_6601 ?auto_6600 ) ( LOCATION ?auto_6600 ) ( AIRPORT ?auto_6607 ) ( AT ?auto_6602 ?auto_6607 ) ( DIFFERENT ?auto_6600 ?auto_6607 ) ( TRUCK ?auto_6610 ) ( AT ?auto_6610 ?auto_6600 ) ( IN ?auto_6595 ?auto_6610 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6595 ?auto_6600 )
      ( DELIVER-PKG ?auto_6595 ?auto_6596 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6625
      ?auto_6626
    )
    :vars
    (
      ?auto_6634
      ?auto_6632
      ?auto_6628
      ?auto_6637
      ?auto_6627
      ?auto_6635
      ?auto_6638
      ?auto_6630
      ?auto_6633
      ?auto_6631
      ?auto_6641
      ?auto_6640
    )
    :precondition
    ( and ( OBJ ?auto_6625 ) ( LOCATION ?auto_6626 ) ( TRUCK ?auto_6634 ) ( LOCATION ?auto_6632 ) ( CITY ?auto_6628 ) ( AT ?auto_6634 ?auto_6632 ) ( IN-CITY ?auto_6632 ?auto_6628 ) ( IN-CITY ?auto_6626 ?auto_6628 ) ( DIFFERENT ?auto_6626 ?auto_6632 ) ( LOCATION ?auto_6637 ) ( AT ?auto_6634 ?auto_6637 ) ( AIRPLANE ?auto_6627 ) ( AIRPORT ?auto_6635 ) ( AIRPORT ?auto_6637 ) ( DIFFERENT ?auto_6637 ?auto_6635 ) ( AIRPORT ?auto_6638 ) ( DIFFERENT ?auto_6635 ?auto_6638 ) ( LOCATION ?auto_6638 ) ( AIRPORT ?auto_6630 ) ( DIFFERENT ?auto_6638 ?auto_6630 ) ( LOCATION ?auto_6630 ) ( AIRPORT ?auto_6633 ) ( AT ?auto_6627 ?auto_6633 ) ( DIFFERENT ?auto_6630 ?auto_6633 ) ( TRUCK ?auto_6631 ) ( IN ?auto_6625 ?auto_6631 ) ( LOCATION ?auto_6641 ) ( CITY ?auto_6640 ) ( AT ?auto_6631 ?auto_6641 ) ( IN-CITY ?auto_6641 ?auto_6640 ) ( IN-CITY ?auto_6630 ?auto_6640 ) ( DIFFERENT ?auto_6630 ?auto_6641 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6631 ?auto_6641 ?auto_6630 ?auto_6640 )
      ( DELIVER-PKG ?auto_6625 ?auto_6626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6659
      ?auto_6660
    )
    :vars
    (
      ?auto_6667
      ?auto_6662
      ?auto_6663
      ?auto_6672
      ?auto_6670
      ?auto_6671
      ?auto_6668
      ?auto_6664
      ?auto_6666
      ?auto_6661
      ?auto_6674
      ?auto_6673
      ?auto_6677
      ?auto_6676
    )
    :precondition
    ( and ( OBJ ?auto_6659 ) ( LOCATION ?auto_6660 ) ( TRUCK ?auto_6667 ) ( LOCATION ?auto_6662 ) ( CITY ?auto_6663 ) ( AT ?auto_6667 ?auto_6662 ) ( IN-CITY ?auto_6662 ?auto_6663 ) ( IN-CITY ?auto_6660 ?auto_6663 ) ( DIFFERENT ?auto_6660 ?auto_6662 ) ( LOCATION ?auto_6672 ) ( AT ?auto_6667 ?auto_6672 ) ( AIRPLANE ?auto_6670 ) ( AIRPORT ?auto_6671 ) ( AIRPORT ?auto_6672 ) ( DIFFERENT ?auto_6672 ?auto_6671 ) ( AIRPORT ?auto_6668 ) ( DIFFERENT ?auto_6671 ?auto_6668 ) ( LOCATION ?auto_6668 ) ( AIRPORT ?auto_6664 ) ( DIFFERENT ?auto_6668 ?auto_6664 ) ( LOCATION ?auto_6664 ) ( AIRPORT ?auto_6666 ) ( AT ?auto_6670 ?auto_6666 ) ( DIFFERENT ?auto_6664 ?auto_6666 ) ( TRUCK ?auto_6661 ) ( IN ?auto_6659 ?auto_6661 ) ( LOCATION ?auto_6674 ) ( CITY ?auto_6673 ) ( IN-CITY ?auto_6674 ?auto_6673 ) ( IN-CITY ?auto_6664 ?auto_6673 ) ( DIFFERENT ?auto_6664 ?auto_6674 ) ( LOCATION ?auto_6677 ) ( CITY ?auto_6676 ) ( AT ?auto_6661 ?auto_6677 ) ( IN-CITY ?auto_6677 ?auto_6676 ) ( IN-CITY ?auto_6674 ?auto_6676 ) ( DIFFERENT ?auto_6674 ?auto_6677 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6661 ?auto_6677 ?auto_6674 ?auto_6676 )
      ( DELIVER-PKG ?auto_6659 ?auto_6660 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6697
      ?auto_6698
    )
    :vars
    (
      ?auto_6707
      ?auto_6703
      ?auto_6708
      ?auto_6702
      ?auto_6700
      ?auto_6701
      ?auto_6699
      ?auto_6711
      ?auto_6706
      ?auto_6710
      ?auto_6705
      ?auto_6704
      ?auto_6714
      ?auto_6713
      ?auto_6716
    )
    :precondition
    ( and ( OBJ ?auto_6697 ) ( LOCATION ?auto_6698 ) ( TRUCK ?auto_6707 ) ( LOCATION ?auto_6703 ) ( CITY ?auto_6708 ) ( AT ?auto_6707 ?auto_6703 ) ( IN-CITY ?auto_6703 ?auto_6708 ) ( IN-CITY ?auto_6698 ?auto_6708 ) ( DIFFERENT ?auto_6698 ?auto_6703 ) ( LOCATION ?auto_6702 ) ( AT ?auto_6707 ?auto_6702 ) ( AIRPLANE ?auto_6700 ) ( AIRPORT ?auto_6701 ) ( AIRPORT ?auto_6702 ) ( DIFFERENT ?auto_6702 ?auto_6701 ) ( AIRPORT ?auto_6699 ) ( DIFFERENT ?auto_6701 ?auto_6699 ) ( LOCATION ?auto_6699 ) ( AIRPORT ?auto_6711 ) ( DIFFERENT ?auto_6699 ?auto_6711 ) ( LOCATION ?auto_6711 ) ( AIRPORT ?auto_6706 ) ( AT ?auto_6700 ?auto_6706 ) ( DIFFERENT ?auto_6711 ?auto_6706 ) ( TRUCK ?auto_6710 ) ( LOCATION ?auto_6705 ) ( CITY ?auto_6704 ) ( IN-CITY ?auto_6705 ?auto_6704 ) ( IN-CITY ?auto_6711 ?auto_6704 ) ( DIFFERENT ?auto_6711 ?auto_6705 ) ( LOCATION ?auto_6714 ) ( CITY ?auto_6713 ) ( AT ?auto_6710 ?auto_6714 ) ( IN-CITY ?auto_6714 ?auto_6713 ) ( IN-CITY ?auto_6705 ?auto_6713 ) ( DIFFERENT ?auto_6705 ?auto_6714 ) ( LOCATION ?auto_6716 ) ( AT ?auto_6710 ?auto_6716 ) ( AT ?auto_6697 ?auto_6716 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6697 ?auto_6710 ?auto_6716 )
      ( DELIVER-PKG ?auto_6697 ?auto_6698 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6756
      ?auto_6757
    )
    :vars
    (
      ?auto_6767
      ?auto_6761
      ?auto_6768
      ?auto_6759
      ?auto_6772
      ?auto_6760
      ?auto_6758
      ?auto_6770
      ?auto_6766
      ?auto_6769
      ?auto_6765
      ?auto_6764
      ?auto_6763
      ?auto_6771
      ?auto_6777
      ?auto_6776
    )
    :precondition
    ( and ( OBJ ?auto_6756 ) ( LOCATION ?auto_6757 ) ( TRUCK ?auto_6767 ) ( LOCATION ?auto_6761 ) ( CITY ?auto_6768 ) ( AT ?auto_6767 ?auto_6761 ) ( IN-CITY ?auto_6761 ?auto_6768 ) ( IN-CITY ?auto_6757 ?auto_6768 ) ( DIFFERENT ?auto_6757 ?auto_6761 ) ( LOCATION ?auto_6759 ) ( AT ?auto_6767 ?auto_6759 ) ( AIRPLANE ?auto_6772 ) ( AIRPORT ?auto_6760 ) ( AIRPORT ?auto_6759 ) ( DIFFERENT ?auto_6759 ?auto_6760 ) ( AIRPORT ?auto_6758 ) ( DIFFERENT ?auto_6760 ?auto_6758 ) ( LOCATION ?auto_6758 ) ( AIRPORT ?auto_6770 ) ( DIFFERENT ?auto_6758 ?auto_6770 ) ( LOCATION ?auto_6770 ) ( AIRPORT ?auto_6766 ) ( AT ?auto_6772 ?auto_6766 ) ( DIFFERENT ?auto_6770 ?auto_6766 ) ( TRUCK ?auto_6769 ) ( LOCATION ?auto_6765 ) ( CITY ?auto_6764 ) ( IN-CITY ?auto_6765 ?auto_6764 ) ( IN-CITY ?auto_6770 ?auto_6764 ) ( DIFFERENT ?auto_6770 ?auto_6765 ) ( LOCATION ?auto_6763 ) ( CITY ?auto_6771 ) ( IN-CITY ?auto_6763 ?auto_6771 ) ( IN-CITY ?auto_6765 ?auto_6771 ) ( DIFFERENT ?auto_6765 ?auto_6763 ) ( AT ?auto_6756 ?auto_6763 ) ( LOCATION ?auto_6777 ) ( CITY ?auto_6776 ) ( AT ?auto_6769 ?auto_6777 ) ( IN-CITY ?auto_6777 ?auto_6776 ) ( IN-CITY ?auto_6763 ?auto_6776 ) ( DIFFERENT ?auto_6763 ?auto_6777 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6769 ?auto_6777 ?auto_6763 ?auto_6776 )
      ( DELIVER-PKG ?auto_6756 ?auto_6757 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6779
      ?auto_6780
    )
    :vars
    (
      ?auto_6788
      ?auto_6787
      ?auto_6789
      ?auto_6784
      ?auto_6783
      ?auto_6786
      ?auto_6796
      ?auto_6791
      ?auto_6795
      ?auto_6790
      ?auto_6794
      ?auto_6793
      ?auto_6792
      ?auto_6782
      ?auto_6798
      ?auto_6785
      ?auto_6800
    )
    :precondition
    ( and ( OBJ ?auto_6779 ) ( LOCATION ?auto_6780 ) ( TRUCK ?auto_6788 ) ( LOCATION ?auto_6787 ) ( CITY ?auto_6789 ) ( AT ?auto_6788 ?auto_6787 ) ( IN-CITY ?auto_6787 ?auto_6789 ) ( IN-CITY ?auto_6780 ?auto_6789 ) ( DIFFERENT ?auto_6780 ?auto_6787 ) ( LOCATION ?auto_6784 ) ( AT ?auto_6788 ?auto_6784 ) ( AIRPLANE ?auto_6783 ) ( AIRPORT ?auto_6786 ) ( AIRPORT ?auto_6784 ) ( DIFFERENT ?auto_6784 ?auto_6786 ) ( AIRPORT ?auto_6796 ) ( DIFFERENT ?auto_6786 ?auto_6796 ) ( LOCATION ?auto_6796 ) ( AIRPORT ?auto_6791 ) ( DIFFERENT ?auto_6796 ?auto_6791 ) ( LOCATION ?auto_6791 ) ( AIRPORT ?auto_6795 ) ( DIFFERENT ?auto_6791 ?auto_6795 ) ( TRUCK ?auto_6790 ) ( LOCATION ?auto_6794 ) ( CITY ?auto_6793 ) ( IN-CITY ?auto_6794 ?auto_6793 ) ( IN-CITY ?auto_6791 ?auto_6793 ) ( DIFFERENT ?auto_6791 ?auto_6794 ) ( LOCATION ?auto_6792 ) ( CITY ?auto_6782 ) ( IN-CITY ?auto_6792 ?auto_6782 ) ( IN-CITY ?auto_6794 ?auto_6782 ) ( DIFFERENT ?auto_6794 ?auto_6792 ) ( AT ?auto_6779 ?auto_6792 ) ( LOCATION ?auto_6798 ) ( CITY ?auto_6785 ) ( AT ?auto_6790 ?auto_6798 ) ( IN-CITY ?auto_6798 ?auto_6785 ) ( IN-CITY ?auto_6792 ?auto_6785 ) ( DIFFERENT ?auto_6792 ?auto_6798 ) ( AIRPORT ?auto_6800 ) ( AT ?auto_6783 ?auto_6800 ) ( DIFFERENT ?auto_6795 ?auto_6800 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6783 ?auto_6800 ?auto_6795 )
      ( DELIVER-PKG ?auto_6779 ?auto_6780 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6985
      ?auto_6986
    )
    :vars
    (
      ?auto_6992
      ?auto_6993
      ?auto_6990
      ?auto_6991
      ?auto_6988
      ?auto_6996
      ?auto_6995
    )
    :precondition
    ( and ( OBJ ?auto_6985 ) ( LOCATION ?auto_6986 ) ( TRUCK ?auto_6992 ) ( LOCATION ?auto_6993 ) ( CITY ?auto_6990 ) ( IN-CITY ?auto_6993 ?auto_6990 ) ( IN-CITY ?auto_6986 ?auto_6990 ) ( DIFFERENT ?auto_6986 ?auto_6993 ) ( AT ?auto_6985 ?auto_6993 ) ( LOCATION ?auto_6991 ) ( CITY ?auto_6988 ) ( IN-CITY ?auto_6991 ?auto_6988 ) ( IN-CITY ?auto_6993 ?auto_6988 ) ( DIFFERENT ?auto_6993 ?auto_6991 ) ( LOCATION ?auto_6996 ) ( CITY ?auto_6995 ) ( AT ?auto_6992 ?auto_6996 ) ( IN-CITY ?auto_6996 ?auto_6995 ) ( IN-CITY ?auto_6991 ?auto_6995 ) ( DIFFERENT ?auto_6991 ?auto_6996 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6992 ?auto_6996 ?auto_6991 ?auto_6995 )
      ( DELIVER-PKG ?auto_6985 ?auto_6986 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8792
      ?auto_8793
    )
    :vars
    (
      ?auto_8804
      ?auto_8797
      ?auto_8801
      ?auto_8803
      ?auto_8796
      ?auto_8794
      ?auto_8800
      ?auto_8798
      ?auto_8807
      ?auto_8806
    )
    :precondition
    ( and ( OBJ ?auto_8792 ) ( LOCATION ?auto_8793 ) ( AIRPLANE ?auto_8804 ) ( AIRPORT ?auto_8797 ) ( AIRPORT ?auto_8793 ) ( AT ?auto_8804 ?auto_8797 ) ( DIFFERENT ?auto_8793 ?auto_8797 ) ( LOCATION ?auto_8801 ) ( AT ?auto_8804 ?auto_8801 ) ( AIRPLANE ?auto_8803 ) ( AT ?auto_8803 ?auto_8801 ) ( LOCATION ?auto_8796 ) ( AT ?auto_8803 ?auto_8796 ) ( TRUCK ?auto_8794 ) ( LOCATION ?auto_8800 ) ( CITY ?auto_8798 ) ( IN-CITY ?auto_8800 ?auto_8798 ) ( IN-CITY ?auto_8796 ?auto_8798 ) ( DIFFERENT ?auto_8796 ?auto_8800 ) ( AT ?auto_8792 ?auto_8800 ) ( LOCATION ?auto_8807 ) ( CITY ?auto_8806 ) ( AT ?auto_8794 ?auto_8807 ) ( IN-CITY ?auto_8807 ?auto_8806 ) ( IN-CITY ?auto_8800 ?auto_8806 ) ( DIFFERENT ?auto_8800 ?auto_8807 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8794 ?auto_8807 ?auto_8800 ?auto_8806 )
      ( DELIVER-PKG ?auto_8792 ?auto_8793 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7145
      ?auto_7146
    )
    :vars
    (
      ?auto_7148
      ?auto_7147
      ?auto_7156
      ?auto_7154
      ?auto_7155
      ?auto_7150
      ?auto_7153
      ?auto_7152
      ?auto_7159
      ?auto_7158
    )
    :precondition
    ( and ( OBJ ?auto_7145 ) ( LOCATION ?auto_7146 ) ( AIRPLANE ?auto_7148 ) ( AIRPORT ?auto_7147 ) ( AIRPORT ?auto_7146 ) ( AT ?auto_7148 ?auto_7147 ) ( DIFFERENT ?auto_7146 ?auto_7147 ) ( LOCATION ?auto_7156 ) ( AT ?auto_7148 ?auto_7156 ) ( TRUCK ?auto_7154 ) ( LOCATION ?auto_7155 ) ( CITY ?auto_7150 ) ( IN-CITY ?auto_7155 ?auto_7150 ) ( IN-CITY ?auto_7156 ?auto_7150 ) ( DIFFERENT ?auto_7156 ?auto_7155 ) ( AT ?auto_7145 ?auto_7155 ) ( LOCATION ?auto_7153 ) ( CITY ?auto_7152 ) ( IN-CITY ?auto_7153 ?auto_7152 ) ( IN-CITY ?auto_7155 ?auto_7152 ) ( DIFFERENT ?auto_7155 ?auto_7153 ) ( LOCATION ?auto_7159 ) ( CITY ?auto_7158 ) ( AT ?auto_7154 ?auto_7159 ) ( IN-CITY ?auto_7159 ?auto_7158 ) ( IN-CITY ?auto_7153 ?auto_7158 ) ( DIFFERENT ?auto_7153 ?auto_7159 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7154 ?auto_7159 ?auto_7153 ?auto_7158 )
      ( DELIVER-PKG ?auto_7145 ?auto_7146 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7161
      ?auto_7162
    )
    :vars
    (
      ?auto_7170
      ?auto_7169
      ?auto_7164
      ?auto_7168
      ?auto_7166
      ?auto_7171
      ?auto_7163
      ?auto_7174
      ?auto_7173
      ?auto_7176
    )
    :precondition
    ( and ( OBJ ?auto_7161 ) ( LOCATION ?auto_7162 ) ( AIRPLANE ?auto_7170 ) ( AIRPORT ?auto_7169 ) ( AIRPORT ?auto_7162 ) ( DIFFERENT ?auto_7162 ?auto_7169 ) ( LOCATION ?auto_7169 ) ( TRUCK ?auto_7164 ) ( LOCATION ?auto_7168 ) ( CITY ?auto_7166 ) ( IN-CITY ?auto_7168 ?auto_7166 ) ( IN-CITY ?auto_7169 ?auto_7166 ) ( DIFFERENT ?auto_7169 ?auto_7168 ) ( AT ?auto_7161 ?auto_7168 ) ( LOCATION ?auto_7171 ) ( CITY ?auto_7163 ) ( IN-CITY ?auto_7171 ?auto_7163 ) ( IN-CITY ?auto_7168 ?auto_7163 ) ( DIFFERENT ?auto_7168 ?auto_7171 ) ( LOCATION ?auto_7174 ) ( CITY ?auto_7173 ) ( AT ?auto_7164 ?auto_7174 ) ( IN-CITY ?auto_7174 ?auto_7173 ) ( IN-CITY ?auto_7171 ?auto_7173 ) ( DIFFERENT ?auto_7171 ?auto_7174 ) ( AIRPORT ?auto_7176 ) ( AT ?auto_7170 ?auto_7176 ) ( DIFFERENT ?auto_7169 ?auto_7176 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7170 ?auto_7176 ?auto_7169 )
      ( DELIVER-PKG ?auto_7161 ?auto_7162 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7743
      ?auto_7744
    )
    :vars
    (
      ?auto_7747
      ?auto_7749
    )
    :precondition
    ( and ( OBJ ?auto_7743 ) ( LOCATION ?auto_7744 ) ( AIRPLANE ?auto_7747 ) ( AT ?auto_7747 ?auto_7744 ) ( LOCATION ?auto_7749 ) ( AT ?auto_7743 ?auto_7749 ) ( AT ?auto_7747 ?auto_7749 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7743 ?auto_7747 ?auto_7749 )
      ( DELIVER-PKG ?auto_7743 ?auto_7744 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7751
      ?auto_7752
    )
    :vars
    (
      ?auto_7754
      ?auto_7756
      ?auto_7759
    )
    :precondition
    ( and ( OBJ ?auto_7751 ) ( LOCATION ?auto_7752 ) ( AIRPLANE ?auto_7754 ) ( AT ?auto_7754 ?auto_7752 ) ( LOCATION ?auto_7756 ) ( AT ?auto_7754 ?auto_7756 ) ( TRUCK ?auto_7759 ) ( AT ?auto_7759 ?auto_7756 ) ( IN ?auto_7751 ?auto_7759 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7751 ?auto_7756 )
      ( DELIVER-PKG ?auto_7751 ?auto_7752 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7760
      ?auto_7761
    )
    :vars
    (
      ?auto_7766
      ?auto_7764
      ?auto_7763
      ?auto_7769
      ?auto_7768
    )
    :precondition
    ( and ( OBJ ?auto_7760 ) ( LOCATION ?auto_7761 ) ( AIRPLANE ?auto_7766 ) ( AT ?auto_7766 ?auto_7761 ) ( LOCATION ?auto_7764 ) ( AT ?auto_7766 ?auto_7764 ) ( TRUCK ?auto_7763 ) ( IN ?auto_7760 ?auto_7763 ) ( LOCATION ?auto_7769 ) ( CITY ?auto_7768 ) ( AT ?auto_7763 ?auto_7769 ) ( IN-CITY ?auto_7769 ?auto_7768 ) ( IN-CITY ?auto_7764 ?auto_7768 ) ( DIFFERENT ?auto_7764 ?auto_7769 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7763 ?auto_7769 ?auto_7764 ?auto_7768 )
      ( DELIVER-PKG ?auto_7760 ?auto_7761 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7771
      ?auto_7772
    )
    :vars
    (
      ?auto_7773
      ?auto_7776
      ?auto_7779
      ?auto_7774
      ?auto_7775
      ?auto_7781
    )
    :precondition
    ( and ( OBJ ?auto_7771 ) ( LOCATION ?auto_7772 ) ( AIRPLANE ?auto_7773 ) ( AT ?auto_7773 ?auto_7772 ) ( LOCATION ?auto_7776 ) ( AT ?auto_7773 ?auto_7776 ) ( TRUCK ?auto_7779 ) ( LOCATION ?auto_7774 ) ( CITY ?auto_7775 ) ( AT ?auto_7779 ?auto_7774 ) ( IN-CITY ?auto_7774 ?auto_7775 ) ( IN-CITY ?auto_7776 ?auto_7775 ) ( DIFFERENT ?auto_7776 ?auto_7774 ) ( LOCATION ?auto_7781 ) ( AT ?auto_7779 ?auto_7781 ) ( AT ?auto_7771 ?auto_7781 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7771 ?auto_7779 ?auto_7781 )
      ( DELIVER-PKG ?auto_7771 ?auto_7772 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7783
      ?auto_7784
    )
    :vars
    (
      ?auto_7786
      ?auto_7789
      ?auto_7785
      ?auto_7788
      ?auto_7792
      ?auto_7795
      ?auto_7794
    )
    :precondition
    ( and ( OBJ ?auto_7783 ) ( LOCATION ?auto_7784 ) ( AIRPLANE ?auto_7786 ) ( AT ?auto_7786 ?auto_7784 ) ( LOCATION ?auto_7789 ) ( AT ?auto_7786 ?auto_7789 ) ( TRUCK ?auto_7785 ) ( LOCATION ?auto_7788 ) ( CITY ?auto_7792 ) ( IN-CITY ?auto_7788 ?auto_7792 ) ( IN-CITY ?auto_7789 ?auto_7792 ) ( DIFFERENT ?auto_7789 ?auto_7788 ) ( AT ?auto_7783 ?auto_7788 ) ( LOCATION ?auto_7795 ) ( CITY ?auto_7794 ) ( AT ?auto_7785 ?auto_7795 ) ( IN-CITY ?auto_7795 ?auto_7794 ) ( IN-CITY ?auto_7788 ?auto_7794 ) ( DIFFERENT ?auto_7788 ?auto_7795 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7785 ?auto_7795 ?auto_7788 ?auto_7794 )
      ( DELIVER-PKG ?auto_7783 ?auto_7784 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7819
      ?auto_7829
    )
    :vars
    (
      ?auto_7827
      ?auto_7821
      ?auto_7828
      ?auto_7824
      ?auto_7823
      ?auto_7822
      ?auto_7831
    )
    :precondition
    ( and ( OBJ ?auto_7819 ) ( LOCATION ?auto_7829 ) ( AIRPLANE ?auto_7827 ) ( TRUCK ?auto_7821 ) ( LOCATION ?auto_7828 ) ( CITY ?auto_7824 ) ( IN-CITY ?auto_7828 ?auto_7824 ) ( IN-CITY ?auto_7829 ?auto_7824 ) ( DIFFERENT ?auto_7829 ?auto_7828 ) ( AT ?auto_7819 ?auto_7828 ) ( LOCATION ?auto_7823 ) ( CITY ?auto_7822 ) ( AT ?auto_7821 ?auto_7823 ) ( IN-CITY ?auto_7823 ?auto_7822 ) ( IN-CITY ?auto_7828 ?auto_7822 ) ( DIFFERENT ?auto_7828 ?auto_7823 ) ( AIRPORT ?auto_7831 ) ( AIRPORT ?auto_7829 ) ( AT ?auto_7827 ?auto_7831 ) ( DIFFERENT ?auto_7829 ?auto_7831 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7827 ?auto_7831 ?auto_7829 )
      ( DELIVER-PKG ?auto_7819 ?auto_7829 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7910
      ?auto_7911
    )
    :vars
    (
      ?auto_7918
      ?auto_7912
      ?auto_7915
      ?auto_7914
      ?auto_7919
      ?auto_7917
      ?auto_7920
      ?auto_7922
    )
    :precondition
    ( and ( OBJ ?auto_7910 ) ( LOCATION ?auto_7911 ) ( AIRPLANE ?auto_7918 ) ( TRUCK ?auto_7912 ) ( LOCATION ?auto_7915 ) ( CITY ?auto_7914 ) ( IN-CITY ?auto_7915 ?auto_7914 ) ( IN-CITY ?auto_7911 ?auto_7914 ) ( DIFFERENT ?auto_7911 ?auto_7915 ) ( AT ?auto_7910 ?auto_7915 ) ( LOCATION ?auto_7919 ) ( CITY ?auto_7917 ) ( AT ?auto_7912 ?auto_7919 ) ( IN-CITY ?auto_7919 ?auto_7917 ) ( IN-CITY ?auto_7915 ?auto_7917 ) ( DIFFERENT ?auto_7915 ?auto_7919 ) ( AIRPORT ?auto_7920 ) ( AIRPORT ?auto_7911 ) ( DIFFERENT ?auto_7911 ?auto_7920 ) ( AIRPORT ?auto_7922 ) ( AT ?auto_7918 ?auto_7922 ) ( DIFFERENT ?auto_7920 ?auto_7922 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7918 ?auto_7922 ?auto_7920 )
      ( DELIVER-PKG ?auto_7910 ?auto_7911 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8269
      ?auto_8270
    )
    :vars
    (
      ?auto_8272
      ?auto_8276
      ?auto_8275
      ?auto_8274
      ?auto_8273
      ?auto_8280
      ?auto_8279
    )
    :precondition
    ( and ( OBJ ?auto_8269 ) ( LOCATION ?auto_8270 ) ( TRUCK ?auto_8272 ) ( IN ?auto_8269 ?auto_8272 ) ( LOCATION ?auto_8276 ) ( CITY ?auto_8275 ) ( IN-CITY ?auto_8276 ?auto_8275 ) ( IN-CITY ?auto_8270 ?auto_8275 ) ( DIFFERENT ?auto_8270 ?auto_8276 ) ( LOCATION ?auto_8274 ) ( CITY ?auto_8273 ) ( IN-CITY ?auto_8274 ?auto_8273 ) ( IN-CITY ?auto_8276 ?auto_8273 ) ( DIFFERENT ?auto_8276 ?auto_8274 ) ( LOCATION ?auto_8280 ) ( CITY ?auto_8279 ) ( AT ?auto_8272 ?auto_8280 ) ( IN-CITY ?auto_8280 ?auto_8279 ) ( IN-CITY ?auto_8274 ?auto_8279 ) ( DIFFERENT ?auto_8274 ?auto_8280 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8272 ?auto_8280 ?auto_8274 ?auto_8279 )
      ( DELIVER-PKG ?auto_8269 ?auto_8270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8293
      ?auto_8294
    )
    :vars
    (
      ?auto_8297
      ?auto_8301
      ?auto_8300
      ?auto_8299
      ?auto_8298
      ?auto_8303
      ?auto_8302
      ?auto_8306
      ?auto_8305
    )
    :precondition
    ( and ( OBJ ?auto_8293 ) ( LOCATION ?auto_8294 ) ( TRUCK ?auto_8297 ) ( IN ?auto_8293 ?auto_8297 ) ( LOCATION ?auto_8301 ) ( CITY ?auto_8300 ) ( IN-CITY ?auto_8301 ?auto_8300 ) ( IN-CITY ?auto_8294 ?auto_8300 ) ( DIFFERENT ?auto_8294 ?auto_8301 ) ( LOCATION ?auto_8299 ) ( CITY ?auto_8298 ) ( IN-CITY ?auto_8299 ?auto_8298 ) ( IN-CITY ?auto_8301 ?auto_8298 ) ( DIFFERENT ?auto_8301 ?auto_8299 ) ( LOCATION ?auto_8303 ) ( CITY ?auto_8302 ) ( IN-CITY ?auto_8303 ?auto_8302 ) ( IN-CITY ?auto_8299 ?auto_8302 ) ( DIFFERENT ?auto_8299 ?auto_8303 ) ( LOCATION ?auto_8306 ) ( CITY ?auto_8305 ) ( AT ?auto_8297 ?auto_8306 ) ( IN-CITY ?auto_8306 ?auto_8305 ) ( IN-CITY ?auto_8303 ?auto_8305 ) ( DIFFERENT ?auto_8303 ?auto_8306 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8297 ?auto_8306 ?auto_8303 ?auto_8305 )
      ( DELIVER-PKG ?auto_8293 ?auto_8294 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8308
      ?auto_8309
    )
    :vars
    (
      ?auto_8318
      ?auto_8314
      ?auto_8313
      ?auto_8311
      ?auto_8310
      ?auto_8317
      ?auto_8315
      ?auto_8320
      ?auto_8319
      ?auto_8322
    )
    :precondition
    ( and ( OBJ ?auto_8308 ) ( LOCATION ?auto_8309 ) ( TRUCK ?auto_8318 ) ( LOCATION ?auto_8314 ) ( CITY ?auto_8313 ) ( IN-CITY ?auto_8314 ?auto_8313 ) ( IN-CITY ?auto_8309 ?auto_8313 ) ( DIFFERENT ?auto_8309 ?auto_8314 ) ( LOCATION ?auto_8311 ) ( CITY ?auto_8310 ) ( IN-CITY ?auto_8311 ?auto_8310 ) ( IN-CITY ?auto_8314 ?auto_8310 ) ( DIFFERENT ?auto_8314 ?auto_8311 ) ( LOCATION ?auto_8317 ) ( CITY ?auto_8315 ) ( IN-CITY ?auto_8317 ?auto_8315 ) ( IN-CITY ?auto_8311 ?auto_8315 ) ( DIFFERENT ?auto_8311 ?auto_8317 ) ( LOCATION ?auto_8320 ) ( CITY ?auto_8319 ) ( AT ?auto_8318 ?auto_8320 ) ( IN-CITY ?auto_8320 ?auto_8319 ) ( IN-CITY ?auto_8317 ?auto_8319 ) ( DIFFERENT ?auto_8317 ?auto_8320 ) ( LOCATION ?auto_8322 ) ( AT ?auto_8318 ?auto_8322 ) ( AT ?auto_8308 ?auto_8322 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8308 ?auto_8318 ?auto_8322 )
      ( DELIVER-PKG ?auto_8308 ?auto_8309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8324
      ?auto_8325
    )
    :vars
    (
      ?auto_8334
      ?auto_8329
      ?auto_8337
      ?auto_8336
      ?auto_8326
      ?auto_8333
      ?auto_8327
      ?auto_8328
      ?auto_8332
      ?auto_8331
      ?auto_8340
    )
    :precondition
    ( and ( OBJ ?auto_8324 ) ( LOCATION ?auto_8325 ) ( TRUCK ?auto_8334 ) ( LOCATION ?auto_8329 ) ( CITY ?auto_8337 ) ( IN-CITY ?auto_8329 ?auto_8337 ) ( IN-CITY ?auto_8325 ?auto_8337 ) ( DIFFERENT ?auto_8325 ?auto_8329 ) ( LOCATION ?auto_8336 ) ( CITY ?auto_8326 ) ( IN-CITY ?auto_8336 ?auto_8326 ) ( IN-CITY ?auto_8329 ?auto_8326 ) ( DIFFERENT ?auto_8329 ?auto_8336 ) ( LOCATION ?auto_8333 ) ( CITY ?auto_8327 ) ( IN-CITY ?auto_8333 ?auto_8327 ) ( IN-CITY ?auto_8336 ?auto_8327 ) ( DIFFERENT ?auto_8336 ?auto_8333 ) ( LOCATION ?auto_8328 ) ( CITY ?auto_8332 ) ( AT ?auto_8334 ?auto_8328 ) ( IN-CITY ?auto_8328 ?auto_8332 ) ( IN-CITY ?auto_8333 ?auto_8332 ) ( DIFFERENT ?auto_8333 ?auto_8328 ) ( LOCATION ?auto_8331 ) ( AT ?auto_8334 ?auto_8331 ) ( AIRPLANE ?auto_8340 ) ( IN ?auto_8324 ?auto_8340 ) ( AT ?auto_8340 ?auto_8331 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8324 ?auto_8331 )
      ( DELIVER-PKG ?auto_8324 ?auto_8325 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8341
      ?auto_8342
    )
    :vars
    (
      ?auto_8343
      ?auto_8354
      ?auto_8350
      ?auto_8351
      ?auto_8348
      ?auto_8346
      ?auto_8353
      ?auto_8352
      ?auto_8344
      ?auto_8355
      ?auto_8345
      ?auto_8357
    )
    :precondition
    ( and ( OBJ ?auto_8341 ) ( LOCATION ?auto_8342 ) ( TRUCK ?auto_8343 ) ( LOCATION ?auto_8354 ) ( CITY ?auto_8350 ) ( IN-CITY ?auto_8354 ?auto_8350 ) ( IN-CITY ?auto_8342 ?auto_8350 ) ( DIFFERENT ?auto_8342 ?auto_8354 ) ( LOCATION ?auto_8351 ) ( CITY ?auto_8348 ) ( IN-CITY ?auto_8351 ?auto_8348 ) ( IN-CITY ?auto_8354 ?auto_8348 ) ( DIFFERENT ?auto_8354 ?auto_8351 ) ( LOCATION ?auto_8346 ) ( CITY ?auto_8353 ) ( IN-CITY ?auto_8346 ?auto_8353 ) ( IN-CITY ?auto_8351 ?auto_8353 ) ( DIFFERENT ?auto_8351 ?auto_8346 ) ( LOCATION ?auto_8352 ) ( CITY ?auto_8344 ) ( AT ?auto_8343 ?auto_8352 ) ( IN-CITY ?auto_8352 ?auto_8344 ) ( IN-CITY ?auto_8346 ?auto_8344 ) ( DIFFERENT ?auto_8346 ?auto_8352 ) ( LOCATION ?auto_8355 ) ( AT ?auto_8343 ?auto_8355 ) ( AIRPLANE ?auto_8345 ) ( IN ?auto_8341 ?auto_8345 ) ( AIRPORT ?auto_8357 ) ( AIRPORT ?auto_8355 ) ( AT ?auto_8345 ?auto_8357 ) ( DIFFERENT ?auto_8355 ?auto_8357 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8345 ?auto_8357 ?auto_8355 )
      ( DELIVER-PKG ?auto_8341 ?auto_8342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8359
      ?auto_8360
    )
    :vars
    (
      ?auto_8366
      ?auto_8364
      ?auto_8371
      ?auto_8361
      ?auto_8374
      ?auto_8367
      ?auto_8363
      ?auto_8362
      ?auto_8372
      ?auto_8370
      ?auto_8373
      ?auto_8365
      ?auto_8376
    )
    :precondition
    ( and ( OBJ ?auto_8359 ) ( LOCATION ?auto_8360 ) ( TRUCK ?auto_8366 ) ( LOCATION ?auto_8364 ) ( CITY ?auto_8371 ) ( IN-CITY ?auto_8364 ?auto_8371 ) ( IN-CITY ?auto_8360 ?auto_8371 ) ( DIFFERENT ?auto_8360 ?auto_8364 ) ( LOCATION ?auto_8361 ) ( CITY ?auto_8374 ) ( IN-CITY ?auto_8361 ?auto_8374 ) ( IN-CITY ?auto_8364 ?auto_8374 ) ( DIFFERENT ?auto_8364 ?auto_8361 ) ( LOCATION ?auto_8367 ) ( CITY ?auto_8363 ) ( IN-CITY ?auto_8367 ?auto_8363 ) ( IN-CITY ?auto_8361 ?auto_8363 ) ( DIFFERENT ?auto_8361 ?auto_8367 ) ( LOCATION ?auto_8362 ) ( CITY ?auto_8372 ) ( AT ?auto_8366 ?auto_8362 ) ( IN-CITY ?auto_8362 ?auto_8372 ) ( IN-CITY ?auto_8367 ?auto_8372 ) ( DIFFERENT ?auto_8367 ?auto_8362 ) ( LOCATION ?auto_8370 ) ( AT ?auto_8366 ?auto_8370 ) ( AIRPLANE ?auto_8373 ) ( AIRPORT ?auto_8365 ) ( AIRPORT ?auto_8370 ) ( AT ?auto_8373 ?auto_8365 ) ( DIFFERENT ?auto_8370 ?auto_8365 ) ( LOCATION ?auto_8376 ) ( AT ?auto_8359 ?auto_8376 ) ( AT ?auto_8373 ?auto_8376 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8359 ?auto_8373 ?auto_8376 )
      ( DELIVER-PKG ?auto_8359 ?auto_8360 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8378
      ?auto_8379
    )
    :vars
    (
      ?auto_8383
      ?auto_8392
      ?auto_8381
      ?auto_8389
      ?auto_8386
      ?auto_8384
      ?auto_8391
      ?auto_8393
      ?auto_8382
      ?auto_8388
      ?auto_8387
      ?auto_8394
      ?auto_8390
      ?auto_8396
    )
    :precondition
    ( and ( OBJ ?auto_8378 ) ( LOCATION ?auto_8379 ) ( TRUCK ?auto_8383 ) ( LOCATION ?auto_8392 ) ( CITY ?auto_8381 ) ( IN-CITY ?auto_8392 ?auto_8381 ) ( IN-CITY ?auto_8379 ?auto_8381 ) ( DIFFERENT ?auto_8379 ?auto_8392 ) ( LOCATION ?auto_8389 ) ( CITY ?auto_8386 ) ( IN-CITY ?auto_8389 ?auto_8386 ) ( IN-CITY ?auto_8392 ?auto_8386 ) ( DIFFERENT ?auto_8392 ?auto_8389 ) ( LOCATION ?auto_8384 ) ( CITY ?auto_8391 ) ( IN-CITY ?auto_8384 ?auto_8391 ) ( IN-CITY ?auto_8389 ?auto_8391 ) ( DIFFERENT ?auto_8389 ?auto_8384 ) ( LOCATION ?auto_8393 ) ( CITY ?auto_8382 ) ( AT ?auto_8383 ?auto_8393 ) ( IN-CITY ?auto_8393 ?auto_8382 ) ( IN-CITY ?auto_8384 ?auto_8382 ) ( DIFFERENT ?auto_8384 ?auto_8393 ) ( LOCATION ?auto_8388 ) ( AT ?auto_8383 ?auto_8388 ) ( AIRPLANE ?auto_8387 ) ( AIRPORT ?auto_8394 ) ( AIRPORT ?auto_8388 ) ( AT ?auto_8387 ?auto_8394 ) ( DIFFERENT ?auto_8388 ?auto_8394 ) ( LOCATION ?auto_8390 ) ( AT ?auto_8387 ?auto_8390 ) ( TRUCK ?auto_8396 ) ( AT ?auto_8396 ?auto_8390 ) ( IN ?auto_8378 ?auto_8396 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8378 ?auto_8390 )
      ( DELIVER-PKG ?auto_8378 ?auto_8379 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8398
      ?auto_8399
    )
    :vars
    (
      ?auto_8414
      ?auto_8406
      ?auto_8409
      ?auto_8412
      ?auto_8401
      ?auto_8415
      ?auto_8400
      ?auto_8410
      ?auto_8413
      ?auto_8405
      ?auto_8402
      ?auto_8411
      ?auto_8404
      ?auto_8403
      ?auto_8418
      ?auto_8417
    )
    :precondition
    ( and ( OBJ ?auto_8398 ) ( LOCATION ?auto_8399 ) ( TRUCK ?auto_8414 ) ( LOCATION ?auto_8406 ) ( CITY ?auto_8409 ) ( IN-CITY ?auto_8406 ?auto_8409 ) ( IN-CITY ?auto_8399 ?auto_8409 ) ( DIFFERENT ?auto_8399 ?auto_8406 ) ( LOCATION ?auto_8412 ) ( CITY ?auto_8401 ) ( IN-CITY ?auto_8412 ?auto_8401 ) ( IN-CITY ?auto_8406 ?auto_8401 ) ( DIFFERENT ?auto_8406 ?auto_8412 ) ( LOCATION ?auto_8415 ) ( CITY ?auto_8400 ) ( IN-CITY ?auto_8415 ?auto_8400 ) ( IN-CITY ?auto_8412 ?auto_8400 ) ( DIFFERENT ?auto_8412 ?auto_8415 ) ( LOCATION ?auto_8410 ) ( CITY ?auto_8413 ) ( AT ?auto_8414 ?auto_8410 ) ( IN-CITY ?auto_8410 ?auto_8413 ) ( IN-CITY ?auto_8415 ?auto_8413 ) ( DIFFERENT ?auto_8415 ?auto_8410 ) ( LOCATION ?auto_8405 ) ( AT ?auto_8414 ?auto_8405 ) ( AIRPLANE ?auto_8402 ) ( AIRPORT ?auto_8411 ) ( AIRPORT ?auto_8405 ) ( AT ?auto_8402 ?auto_8411 ) ( DIFFERENT ?auto_8405 ?auto_8411 ) ( LOCATION ?auto_8404 ) ( AT ?auto_8402 ?auto_8404 ) ( TRUCK ?auto_8403 ) ( IN ?auto_8398 ?auto_8403 ) ( LOCATION ?auto_8418 ) ( CITY ?auto_8417 ) ( AT ?auto_8403 ?auto_8418 ) ( IN-CITY ?auto_8418 ?auto_8417 ) ( IN-CITY ?auto_8404 ?auto_8417 ) ( DIFFERENT ?auto_8404 ?auto_8418 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8403 ?auto_8418 ?auto_8404 ?auto_8417 )
      ( DELIVER-PKG ?auto_8398 ?auto_8399 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8420
      ?auto_8421
    )
    :vars
    (
      ?auto_8429
      ?auto_8425
      ?auto_8434
      ?auto_8433
      ?auto_8437
      ?auto_8430
      ?auto_8422
      ?auto_8427
      ?auto_8423
      ?auto_8438
      ?auto_8435
      ?auto_8432
      ?auto_8439
      ?auto_8436
      ?auto_8424
      ?auto_8431
      ?auto_8441
    )
    :precondition
    ( and ( OBJ ?auto_8420 ) ( LOCATION ?auto_8421 ) ( TRUCK ?auto_8429 ) ( LOCATION ?auto_8425 ) ( CITY ?auto_8434 ) ( IN-CITY ?auto_8425 ?auto_8434 ) ( IN-CITY ?auto_8421 ?auto_8434 ) ( DIFFERENT ?auto_8421 ?auto_8425 ) ( LOCATION ?auto_8433 ) ( CITY ?auto_8437 ) ( IN-CITY ?auto_8433 ?auto_8437 ) ( IN-CITY ?auto_8425 ?auto_8437 ) ( DIFFERENT ?auto_8425 ?auto_8433 ) ( LOCATION ?auto_8430 ) ( CITY ?auto_8422 ) ( IN-CITY ?auto_8430 ?auto_8422 ) ( IN-CITY ?auto_8433 ?auto_8422 ) ( DIFFERENT ?auto_8433 ?auto_8430 ) ( LOCATION ?auto_8427 ) ( CITY ?auto_8423 ) ( AT ?auto_8429 ?auto_8427 ) ( IN-CITY ?auto_8427 ?auto_8423 ) ( IN-CITY ?auto_8430 ?auto_8423 ) ( DIFFERENT ?auto_8430 ?auto_8427 ) ( LOCATION ?auto_8438 ) ( AT ?auto_8429 ?auto_8438 ) ( AIRPLANE ?auto_8435 ) ( AIRPORT ?auto_8432 ) ( AIRPORT ?auto_8438 ) ( AT ?auto_8435 ?auto_8432 ) ( DIFFERENT ?auto_8438 ?auto_8432 ) ( LOCATION ?auto_8439 ) ( AT ?auto_8435 ?auto_8439 ) ( TRUCK ?auto_8436 ) ( LOCATION ?auto_8424 ) ( CITY ?auto_8431 ) ( AT ?auto_8436 ?auto_8424 ) ( IN-CITY ?auto_8424 ?auto_8431 ) ( IN-CITY ?auto_8439 ?auto_8431 ) ( DIFFERENT ?auto_8439 ?auto_8424 ) ( LOCATION ?auto_8441 ) ( AT ?auto_8436 ?auto_8441 ) ( AT ?auto_8420 ?auto_8441 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8420 ?auto_8436 ?auto_8441 )
      ( DELIVER-PKG ?auto_8420 ?auto_8421 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8443
      ?auto_8444
    )
    :vars
    (
      ?auto_8451
      ?auto_8462
      ?auto_8450
      ?auto_8458
      ?auto_8455
      ?auto_8452
      ?auto_8453
      ?auto_8463
      ?auto_8454
      ?auto_8457
      ?auto_8460
      ?auto_8448
      ?auto_8445
      ?auto_8461
      ?auto_8456
      ?auto_8447
      ?auto_8466
      ?auto_8465
    )
    :precondition
    ( and ( OBJ ?auto_8443 ) ( LOCATION ?auto_8444 ) ( TRUCK ?auto_8451 ) ( LOCATION ?auto_8462 ) ( CITY ?auto_8450 ) ( IN-CITY ?auto_8462 ?auto_8450 ) ( IN-CITY ?auto_8444 ?auto_8450 ) ( DIFFERENT ?auto_8444 ?auto_8462 ) ( LOCATION ?auto_8458 ) ( CITY ?auto_8455 ) ( IN-CITY ?auto_8458 ?auto_8455 ) ( IN-CITY ?auto_8462 ?auto_8455 ) ( DIFFERENT ?auto_8462 ?auto_8458 ) ( LOCATION ?auto_8452 ) ( CITY ?auto_8453 ) ( IN-CITY ?auto_8452 ?auto_8453 ) ( IN-CITY ?auto_8458 ?auto_8453 ) ( DIFFERENT ?auto_8458 ?auto_8452 ) ( LOCATION ?auto_8463 ) ( CITY ?auto_8454 ) ( AT ?auto_8451 ?auto_8463 ) ( IN-CITY ?auto_8463 ?auto_8454 ) ( IN-CITY ?auto_8452 ?auto_8454 ) ( DIFFERENT ?auto_8452 ?auto_8463 ) ( LOCATION ?auto_8457 ) ( AT ?auto_8451 ?auto_8457 ) ( AIRPLANE ?auto_8460 ) ( AIRPORT ?auto_8448 ) ( AIRPORT ?auto_8457 ) ( AT ?auto_8460 ?auto_8448 ) ( DIFFERENT ?auto_8457 ?auto_8448 ) ( LOCATION ?auto_8445 ) ( AT ?auto_8460 ?auto_8445 ) ( TRUCK ?auto_8461 ) ( LOCATION ?auto_8456 ) ( CITY ?auto_8447 ) ( IN-CITY ?auto_8456 ?auto_8447 ) ( IN-CITY ?auto_8445 ?auto_8447 ) ( DIFFERENT ?auto_8445 ?auto_8456 ) ( AT ?auto_8443 ?auto_8456 ) ( LOCATION ?auto_8466 ) ( CITY ?auto_8465 ) ( AT ?auto_8461 ?auto_8466 ) ( IN-CITY ?auto_8466 ?auto_8465 ) ( IN-CITY ?auto_8456 ?auto_8465 ) ( DIFFERENT ?auto_8456 ?auto_8466 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8461 ?auto_8466 ?auto_8456 ?auto_8465 )
      ( DELIVER-PKG ?auto_8443 ?auto_8444 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8490
      ?auto_8491
    )
    :vars
    (
      ?auto_8498
      ?auto_8509
      ?auto_8497
      ?auto_8505
      ?auto_8502
      ?auto_8499
      ?auto_8500
      ?auto_8510
      ?auto_8501
      ?auto_8504
      ?auto_8506
      ?auto_8496
      ?auto_8493
      ?auto_8508
      ?auto_8503
      ?auto_8495
      ?auto_8511
      ?auto_8507
      ?auto_8514
      ?auto_8513
    )
    :precondition
    ( and ( OBJ ?auto_8490 ) ( LOCATION ?auto_8491 ) ( TRUCK ?auto_8498 ) ( LOCATION ?auto_8509 ) ( CITY ?auto_8497 ) ( IN-CITY ?auto_8509 ?auto_8497 ) ( IN-CITY ?auto_8491 ?auto_8497 ) ( DIFFERENT ?auto_8491 ?auto_8509 ) ( LOCATION ?auto_8505 ) ( CITY ?auto_8502 ) ( IN-CITY ?auto_8505 ?auto_8502 ) ( IN-CITY ?auto_8509 ?auto_8502 ) ( DIFFERENT ?auto_8509 ?auto_8505 ) ( LOCATION ?auto_8499 ) ( CITY ?auto_8500 ) ( IN-CITY ?auto_8499 ?auto_8500 ) ( IN-CITY ?auto_8505 ?auto_8500 ) ( DIFFERENT ?auto_8505 ?auto_8499 ) ( LOCATION ?auto_8510 ) ( CITY ?auto_8501 ) ( AT ?auto_8498 ?auto_8510 ) ( IN-CITY ?auto_8510 ?auto_8501 ) ( IN-CITY ?auto_8499 ?auto_8501 ) ( DIFFERENT ?auto_8499 ?auto_8510 ) ( LOCATION ?auto_8504 ) ( AT ?auto_8498 ?auto_8504 ) ( AIRPLANE ?auto_8506 ) ( AIRPORT ?auto_8496 ) ( AIRPORT ?auto_8504 ) ( AT ?auto_8506 ?auto_8496 ) ( DIFFERENT ?auto_8504 ?auto_8496 ) ( LOCATION ?auto_8493 ) ( AT ?auto_8506 ?auto_8493 ) ( TRUCK ?auto_8508 ) ( LOCATION ?auto_8503 ) ( CITY ?auto_8495 ) ( IN-CITY ?auto_8503 ?auto_8495 ) ( IN-CITY ?auto_8493 ?auto_8495 ) ( DIFFERENT ?auto_8493 ?auto_8503 ) ( AT ?auto_8490 ?auto_8503 ) ( LOCATION ?auto_8511 ) ( CITY ?auto_8507 ) ( IN-CITY ?auto_8511 ?auto_8507 ) ( IN-CITY ?auto_8503 ?auto_8507 ) ( DIFFERENT ?auto_8503 ?auto_8511 ) ( LOCATION ?auto_8514 ) ( CITY ?auto_8513 ) ( AT ?auto_8508 ?auto_8514 ) ( IN-CITY ?auto_8514 ?auto_8513 ) ( IN-CITY ?auto_8511 ?auto_8513 ) ( DIFFERENT ?auto_8511 ?auto_8514 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8508 ?auto_8514 ?auto_8511 ?auto_8513 )
      ( DELIVER-PKG ?auto_8490 ?auto_8491 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8516
      ?auto_8517
    )
    :vars
    (
      ?auto_8526
      ?auto_8537
      ?auto_8525
      ?auto_8533
      ?auto_8530
      ?auto_8527
      ?auto_8528
      ?auto_8538
      ?auto_8529
      ?auto_8532
      ?auto_8534
      ?auto_8521
      ?auto_8536
      ?auto_8531
      ?auto_8523
      ?auto_8539
      ?auto_8535
      ?auto_8522
      ?auto_8520
      ?auto_8541
    )
    :precondition
    ( and ( OBJ ?auto_8516 ) ( LOCATION ?auto_8517 ) ( TRUCK ?auto_8526 ) ( LOCATION ?auto_8537 ) ( CITY ?auto_8525 ) ( IN-CITY ?auto_8537 ?auto_8525 ) ( IN-CITY ?auto_8517 ?auto_8525 ) ( DIFFERENT ?auto_8517 ?auto_8537 ) ( LOCATION ?auto_8533 ) ( CITY ?auto_8530 ) ( IN-CITY ?auto_8533 ?auto_8530 ) ( IN-CITY ?auto_8537 ?auto_8530 ) ( DIFFERENT ?auto_8537 ?auto_8533 ) ( LOCATION ?auto_8527 ) ( CITY ?auto_8528 ) ( IN-CITY ?auto_8527 ?auto_8528 ) ( IN-CITY ?auto_8533 ?auto_8528 ) ( DIFFERENT ?auto_8533 ?auto_8527 ) ( LOCATION ?auto_8538 ) ( CITY ?auto_8529 ) ( AT ?auto_8526 ?auto_8538 ) ( IN-CITY ?auto_8538 ?auto_8529 ) ( IN-CITY ?auto_8527 ?auto_8529 ) ( DIFFERENT ?auto_8527 ?auto_8538 ) ( LOCATION ?auto_8532 ) ( AT ?auto_8526 ?auto_8532 ) ( AIRPLANE ?auto_8534 ) ( AIRPORT ?auto_8521 ) ( AIRPORT ?auto_8532 ) ( DIFFERENT ?auto_8532 ?auto_8521 ) ( LOCATION ?auto_8521 ) ( TRUCK ?auto_8536 ) ( LOCATION ?auto_8531 ) ( CITY ?auto_8523 ) ( IN-CITY ?auto_8531 ?auto_8523 ) ( IN-CITY ?auto_8521 ?auto_8523 ) ( DIFFERENT ?auto_8521 ?auto_8531 ) ( AT ?auto_8516 ?auto_8531 ) ( LOCATION ?auto_8539 ) ( CITY ?auto_8535 ) ( IN-CITY ?auto_8539 ?auto_8535 ) ( IN-CITY ?auto_8531 ?auto_8535 ) ( DIFFERENT ?auto_8531 ?auto_8539 ) ( LOCATION ?auto_8522 ) ( CITY ?auto_8520 ) ( AT ?auto_8536 ?auto_8522 ) ( IN-CITY ?auto_8522 ?auto_8520 ) ( IN-CITY ?auto_8539 ?auto_8520 ) ( DIFFERENT ?auto_8539 ?auto_8522 ) ( AIRPORT ?auto_8541 ) ( AT ?auto_8534 ?auto_8541 ) ( DIFFERENT ?auto_8521 ?auto_8541 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8534 ?auto_8541 ?auto_8521 )
      ( DELIVER-PKG ?auto_8516 ?auto_8517 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8722
      ?auto_8723
    )
    :vars
    (
      ?auto_8726
      ?auto_8724
      ?auto_8727
      ?auto_8731
    )
    :precondition
    ( and ( OBJ ?auto_8722 ) ( LOCATION ?auto_8723 ) ( AIRPLANE ?auto_8726 ) ( AIRPORT ?auto_8724 ) ( AIRPORT ?auto_8723 ) ( AT ?auto_8726 ?auto_8724 ) ( DIFFERENT ?auto_8723 ?auto_8724 ) ( LOCATION ?auto_8727 ) ( AT ?auto_8726 ?auto_8727 ) ( AIRPLANE ?auto_8731 ) ( IN ?auto_8722 ?auto_8731 ) ( AT ?auto_8731 ?auto_8727 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8722 ?auto_8727 )
      ( DELIVER-PKG ?auto_8722 ?auto_8723 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8837
      ?auto_8838
    )
    :vars
    (
      ?auto_8845
      ?auto_8848
      ?auto_8843
      ?auto_8841
      ?auto_8850
      ?auto_8844
      ?auto_8842
      ?auto_8852
    )
    :precondition
    ( and ( OBJ ?auto_8837 ) ( LOCATION ?auto_8838 ) ( AIRPLANE ?auto_8845 ) ( AIRPORT ?auto_8848 ) ( AIRPORT ?auto_8838 ) ( DIFFERENT ?auto_8838 ?auto_8848 ) ( LOCATION ?auto_8848 ) ( TRUCK ?auto_8843 ) ( LOCATION ?auto_8841 ) ( CITY ?auto_8850 ) ( IN-CITY ?auto_8841 ?auto_8850 ) ( IN-CITY ?auto_8848 ?auto_8850 ) ( DIFFERENT ?auto_8848 ?auto_8841 ) ( AT ?auto_8837 ?auto_8841 ) ( LOCATION ?auto_8844 ) ( CITY ?auto_8842 ) ( AT ?auto_8843 ?auto_8844 ) ( IN-CITY ?auto_8844 ?auto_8842 ) ( IN-CITY ?auto_8841 ?auto_8842 ) ( DIFFERENT ?auto_8841 ?auto_8844 ) ( AIRPORT ?auto_8852 ) ( AT ?auto_8845 ?auto_8852 ) ( DIFFERENT ?auto_8848 ?auto_8852 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8845 ?auto_8852 ?auto_8848 )
      ( DELIVER-PKG ?auto_8837 ?auto_8838 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8938
      ?auto_8939
    )
    :vars
    (
      ?auto_8946
      ?auto_8940
      ?auto_8941
      ?auto_8948
      ?auto_8947
      ?auto_8942
      ?auto_8943
      ?auto_8949
      ?auto_8951
    )
    :precondition
    ( and ( OBJ ?auto_8938 ) ( LOCATION ?auto_8939 ) ( AIRPLANE ?auto_8946 ) ( AIRPORT ?auto_8940 ) ( AIRPORT ?auto_8939 ) ( DIFFERENT ?auto_8939 ?auto_8940 ) ( LOCATION ?auto_8940 ) ( TRUCK ?auto_8941 ) ( LOCATION ?auto_8948 ) ( CITY ?auto_8947 ) ( IN-CITY ?auto_8948 ?auto_8947 ) ( IN-CITY ?auto_8940 ?auto_8947 ) ( DIFFERENT ?auto_8940 ?auto_8948 ) ( AT ?auto_8938 ?auto_8948 ) ( LOCATION ?auto_8942 ) ( CITY ?auto_8943 ) ( AT ?auto_8941 ?auto_8942 ) ( IN-CITY ?auto_8942 ?auto_8943 ) ( IN-CITY ?auto_8948 ?auto_8943 ) ( DIFFERENT ?auto_8948 ?auto_8942 ) ( AIRPORT ?auto_8949 ) ( DIFFERENT ?auto_8940 ?auto_8949 ) ( AIRPORT ?auto_8951 ) ( AT ?auto_8946 ?auto_8951 ) ( DIFFERENT ?auto_8949 ?auto_8951 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8946 ?auto_8951 ?auto_8949 )
      ( DELIVER-PKG ?auto_8938 ?auto_8939 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9200
      ?auto_9201
    )
    :vars
    (
      ?auto_9203
      ?auto_9205
      ?auto_9209
      ?auto_9208
      ?auto_9204
      ?auto_9202
      ?auto_9206
      ?auto_9213
    )
    :precondition
    ( and ( OBJ ?auto_9200 ) ( LOCATION ?auto_9201 ) ( TRUCK ?auto_9203 ) ( LOCATION ?auto_9205 ) ( CITY ?auto_9209 ) ( AT ?auto_9203 ?auto_9205 ) ( IN-CITY ?auto_9205 ?auto_9209 ) ( IN-CITY ?auto_9201 ?auto_9209 ) ( DIFFERENT ?auto_9201 ?auto_9205 ) ( LOCATION ?auto_9208 ) ( AT ?auto_9203 ?auto_9208 ) ( AIRPLANE ?auto_9204 ) ( AIRPORT ?auto_9202 ) ( AIRPORT ?auto_9208 ) ( AT ?auto_9204 ?auto_9202 ) ( DIFFERENT ?auto_9208 ?auto_9202 ) ( LOCATION ?auto_9206 ) ( AT ?auto_9204 ?auto_9206 ) ( AIRPLANE ?auto_9213 ) ( IN ?auto_9200 ?auto_9213 ) ( AT ?auto_9213 ?auto_9206 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9200 ?auto_9206 )
      ( DELIVER-PKG ?auto_9200 ?auto_9201 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9226
      ?auto_9227
    )
    :vars
    (
      ?auto_9237
      ?auto_9230
      ?auto_9234
      ?auto_9233
      ?auto_9229
      ?auto_9235
      ?auto_9232
      ?auto_9236
      ?auto_9239
    )
    :precondition
    ( and ( OBJ ?auto_9226 ) ( LOCATION ?auto_9227 ) ( TRUCK ?auto_9237 ) ( LOCATION ?auto_9230 ) ( CITY ?auto_9234 ) ( AT ?auto_9237 ?auto_9230 ) ( IN-CITY ?auto_9230 ?auto_9234 ) ( IN-CITY ?auto_9227 ?auto_9234 ) ( DIFFERENT ?auto_9227 ?auto_9230 ) ( LOCATION ?auto_9233 ) ( AT ?auto_9237 ?auto_9233 ) ( AIRPLANE ?auto_9229 ) ( AIRPORT ?auto_9235 ) ( AIRPORT ?auto_9233 ) ( AT ?auto_9229 ?auto_9235 ) ( DIFFERENT ?auto_9233 ?auto_9235 ) ( LOCATION ?auto_9232 ) ( AT ?auto_9229 ?auto_9232 ) ( AIRPLANE ?auto_9236 ) ( AT ?auto_9236 ?auto_9232 ) ( LOCATION ?auto_9239 ) ( AT ?auto_9226 ?auto_9239 ) ( AT ?auto_9236 ?auto_9239 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9226 ?auto_9236 ?auto_9239 )
      ( DELIVER-PKG ?auto_9226 ?auto_9227 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9241
      ?auto_9242
    )
    :vars
    (
      ?auto_9248
      ?auto_9251
      ?auto_9245
      ?auto_9244
      ?auto_9243
      ?auto_9246
      ?auto_9249
      ?auto_9247
      ?auto_9253
      ?auto_9256
    )
    :precondition
    ( and ( OBJ ?auto_9241 ) ( LOCATION ?auto_9242 ) ( TRUCK ?auto_9248 ) ( LOCATION ?auto_9251 ) ( CITY ?auto_9245 ) ( AT ?auto_9248 ?auto_9251 ) ( IN-CITY ?auto_9251 ?auto_9245 ) ( IN-CITY ?auto_9242 ?auto_9245 ) ( DIFFERENT ?auto_9242 ?auto_9251 ) ( LOCATION ?auto_9244 ) ( AT ?auto_9248 ?auto_9244 ) ( AIRPLANE ?auto_9243 ) ( AIRPORT ?auto_9246 ) ( AIRPORT ?auto_9244 ) ( AT ?auto_9243 ?auto_9246 ) ( DIFFERENT ?auto_9244 ?auto_9246 ) ( LOCATION ?auto_9249 ) ( AT ?auto_9243 ?auto_9249 ) ( AIRPLANE ?auto_9247 ) ( AT ?auto_9247 ?auto_9249 ) ( LOCATION ?auto_9253 ) ( AT ?auto_9247 ?auto_9253 ) ( TRUCK ?auto_9256 ) ( AT ?auto_9256 ?auto_9253 ) ( IN ?auto_9241 ?auto_9256 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9241 ?auto_9253 )
      ( DELIVER-PKG ?auto_9241 ?auto_9242 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9257
      ?auto_9258
    )
    :vars
    (
      ?auto_9260
      ?auto_9264
      ?auto_9268
      ?auto_9267
      ?auto_9261
      ?auto_9270
      ?auto_9259
      ?auto_9269
      ?auto_9263
      ?auto_9265
      ?auto_9273
      ?auto_9272
    )
    :precondition
    ( and ( OBJ ?auto_9257 ) ( LOCATION ?auto_9258 ) ( TRUCK ?auto_9260 ) ( LOCATION ?auto_9264 ) ( CITY ?auto_9268 ) ( AT ?auto_9260 ?auto_9264 ) ( IN-CITY ?auto_9264 ?auto_9268 ) ( IN-CITY ?auto_9258 ?auto_9268 ) ( DIFFERENT ?auto_9258 ?auto_9264 ) ( LOCATION ?auto_9267 ) ( AT ?auto_9260 ?auto_9267 ) ( AIRPLANE ?auto_9261 ) ( AIRPORT ?auto_9270 ) ( AIRPORT ?auto_9267 ) ( AT ?auto_9261 ?auto_9270 ) ( DIFFERENT ?auto_9267 ?auto_9270 ) ( LOCATION ?auto_9259 ) ( AT ?auto_9261 ?auto_9259 ) ( AIRPLANE ?auto_9269 ) ( AT ?auto_9269 ?auto_9259 ) ( LOCATION ?auto_9263 ) ( AT ?auto_9269 ?auto_9263 ) ( TRUCK ?auto_9265 ) ( IN ?auto_9257 ?auto_9265 ) ( LOCATION ?auto_9273 ) ( CITY ?auto_9272 ) ( AT ?auto_9265 ?auto_9273 ) ( IN-CITY ?auto_9273 ?auto_9272 ) ( IN-CITY ?auto_9263 ?auto_9272 ) ( DIFFERENT ?auto_9263 ?auto_9273 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9265 ?auto_9273 ?auto_9263 ?auto_9272 )
      ( DELIVER-PKG ?auto_9257 ?auto_9258 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9275
      ?auto_9276
    )
    :vars
    (
      ?auto_9289
      ?auto_9278
      ?auto_9283
      ?auto_9279
      ?auto_9290
      ?auto_9280
      ?auto_9282
      ?auto_9281
      ?auto_9277
      ?auto_9288
      ?auto_9285
      ?auto_9284
      ?auto_9292
    )
    :precondition
    ( and ( OBJ ?auto_9275 ) ( LOCATION ?auto_9276 ) ( TRUCK ?auto_9289 ) ( LOCATION ?auto_9278 ) ( CITY ?auto_9283 ) ( AT ?auto_9289 ?auto_9278 ) ( IN-CITY ?auto_9278 ?auto_9283 ) ( IN-CITY ?auto_9276 ?auto_9283 ) ( DIFFERENT ?auto_9276 ?auto_9278 ) ( LOCATION ?auto_9279 ) ( AT ?auto_9289 ?auto_9279 ) ( AIRPLANE ?auto_9290 ) ( AIRPORT ?auto_9280 ) ( AIRPORT ?auto_9279 ) ( AT ?auto_9290 ?auto_9280 ) ( DIFFERENT ?auto_9279 ?auto_9280 ) ( LOCATION ?auto_9282 ) ( AT ?auto_9290 ?auto_9282 ) ( AIRPLANE ?auto_9281 ) ( AT ?auto_9281 ?auto_9282 ) ( LOCATION ?auto_9277 ) ( AT ?auto_9281 ?auto_9277 ) ( TRUCK ?auto_9288 ) ( LOCATION ?auto_9285 ) ( CITY ?auto_9284 ) ( AT ?auto_9288 ?auto_9285 ) ( IN-CITY ?auto_9285 ?auto_9284 ) ( IN-CITY ?auto_9277 ?auto_9284 ) ( DIFFERENT ?auto_9277 ?auto_9285 ) ( LOCATION ?auto_9292 ) ( AT ?auto_9288 ?auto_9292 ) ( AT ?auto_9275 ?auto_9292 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9275 ?auto_9288 ?auto_9292 )
      ( DELIVER-PKG ?auto_9275 ?auto_9276 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9294
      ?auto_9295
    )
    :vars
    (
      ?auto_9306
      ?auto_9304
      ?auto_9309
      ?auto_9305
      ?auto_9296
      ?auto_9303
      ?auto_9307
      ?auto_9308
      ?auto_9300
      ?auto_9298
      ?auto_9299
      ?auto_9297
      ?auto_9313
      ?auto_9312
    )
    :precondition
    ( and ( OBJ ?auto_9294 ) ( LOCATION ?auto_9295 ) ( TRUCK ?auto_9306 ) ( LOCATION ?auto_9304 ) ( CITY ?auto_9309 ) ( AT ?auto_9306 ?auto_9304 ) ( IN-CITY ?auto_9304 ?auto_9309 ) ( IN-CITY ?auto_9295 ?auto_9309 ) ( DIFFERENT ?auto_9295 ?auto_9304 ) ( LOCATION ?auto_9305 ) ( AT ?auto_9306 ?auto_9305 ) ( AIRPLANE ?auto_9296 ) ( AIRPORT ?auto_9303 ) ( AIRPORT ?auto_9305 ) ( AT ?auto_9296 ?auto_9303 ) ( DIFFERENT ?auto_9305 ?auto_9303 ) ( LOCATION ?auto_9307 ) ( AT ?auto_9296 ?auto_9307 ) ( AIRPLANE ?auto_9308 ) ( AT ?auto_9308 ?auto_9307 ) ( LOCATION ?auto_9300 ) ( AT ?auto_9308 ?auto_9300 ) ( TRUCK ?auto_9298 ) ( LOCATION ?auto_9299 ) ( CITY ?auto_9297 ) ( IN-CITY ?auto_9299 ?auto_9297 ) ( IN-CITY ?auto_9300 ?auto_9297 ) ( DIFFERENT ?auto_9300 ?auto_9299 ) ( AT ?auto_9294 ?auto_9299 ) ( LOCATION ?auto_9313 ) ( CITY ?auto_9312 ) ( AT ?auto_9298 ?auto_9313 ) ( IN-CITY ?auto_9313 ?auto_9312 ) ( IN-CITY ?auto_9299 ?auto_9312 ) ( DIFFERENT ?auto_9299 ?auto_9313 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9298 ?auto_9313 ?auto_9299 ?auto_9312 )
      ( DELIVER-PKG ?auto_9294 ?auto_9295 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9351
      ?auto_9352
    )
    :vars
    (
      ?auto_9354
      ?auto_9357
      ?auto_9355
      ?auto_9362
      ?auto_9367
      ?auto_9364
      ?auto_9366
      ?auto_9365
      ?auto_9356
      ?auto_9360
      ?auto_9359
      ?auto_9370
    )
    :precondition
    ( and ( OBJ ?auto_9351 ) ( LOCATION ?auto_9352 ) ( TRUCK ?auto_9354 ) ( LOCATION ?auto_9357 ) ( CITY ?auto_9355 ) ( AT ?auto_9354 ?auto_9357 ) ( IN-CITY ?auto_9357 ?auto_9355 ) ( IN-CITY ?auto_9352 ?auto_9355 ) ( DIFFERENT ?auto_9352 ?auto_9357 ) ( LOCATION ?auto_9362 ) ( AT ?auto_9354 ?auto_9362 ) ( AIRPLANE ?auto_9367 ) ( AIRPORT ?auto_9364 ) ( AIRPORT ?auto_9362 ) ( DIFFERENT ?auto_9362 ?auto_9364 ) ( LOCATION ?auto_9364 ) ( TRUCK ?auto_9366 ) ( LOCATION ?auto_9365 ) ( CITY ?auto_9356 ) ( IN-CITY ?auto_9365 ?auto_9356 ) ( IN-CITY ?auto_9364 ?auto_9356 ) ( DIFFERENT ?auto_9364 ?auto_9365 ) ( AT ?auto_9351 ?auto_9365 ) ( LOCATION ?auto_9360 ) ( CITY ?auto_9359 ) ( AT ?auto_9366 ?auto_9360 ) ( IN-CITY ?auto_9360 ?auto_9359 ) ( IN-CITY ?auto_9365 ?auto_9359 ) ( DIFFERENT ?auto_9365 ?auto_9360 ) ( AIRPORT ?auto_9370 ) ( AT ?auto_9367 ?auto_9370 ) ( DIFFERENT ?auto_9364 ?auto_9370 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9367 ?auto_9370 ?auto_9364 )
      ( DELIVER-PKG ?auto_9351 ?auto_9352 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9452
      ?auto_9453
    )
    :vars
    (
      ?auto_9454
      ?auto_9462
      ?auto_9455
      ?auto_9467
      ?auto_9463
      ?auto_9465
      ?auto_9464
      ?auto_9459
      ?auto_9461
      ?auto_9457
      ?auto_9458
      ?auto_9470
      ?auto_9469
    )
    :precondition
    ( and ( OBJ ?auto_9452 ) ( LOCATION ?auto_9453 ) ( TRUCK ?auto_9454 ) ( LOCATION ?auto_9462 ) ( CITY ?auto_9455 ) ( IN-CITY ?auto_9462 ?auto_9455 ) ( IN-CITY ?auto_9453 ?auto_9455 ) ( DIFFERENT ?auto_9453 ?auto_9462 ) ( AIRPLANE ?auto_9467 ) ( AIRPORT ?auto_9463 ) ( AIRPORT ?auto_9462 ) ( DIFFERENT ?auto_9462 ?auto_9463 ) ( LOCATION ?auto_9463 ) ( TRUCK ?auto_9465 ) ( LOCATION ?auto_9464 ) ( CITY ?auto_9459 ) ( IN-CITY ?auto_9464 ?auto_9459 ) ( IN-CITY ?auto_9463 ?auto_9459 ) ( DIFFERENT ?auto_9463 ?auto_9464 ) ( AT ?auto_9452 ?auto_9464 ) ( LOCATION ?auto_9461 ) ( CITY ?auto_9457 ) ( AT ?auto_9465 ?auto_9461 ) ( IN-CITY ?auto_9461 ?auto_9457 ) ( IN-CITY ?auto_9464 ?auto_9457 ) ( DIFFERENT ?auto_9464 ?auto_9461 ) ( AIRPORT ?auto_9458 ) ( AT ?auto_9467 ?auto_9458 ) ( DIFFERENT ?auto_9463 ?auto_9458 ) ( LOCATION ?auto_9470 ) ( CITY ?auto_9469 ) ( AT ?auto_9454 ?auto_9470 ) ( IN-CITY ?auto_9470 ?auto_9469 ) ( IN-CITY ?auto_9462 ?auto_9469 ) ( DIFFERENT ?auto_9462 ?auto_9470 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9454 ?auto_9470 ?auto_9462 ?auto_9469 )
      ( DELIVER-PKG ?auto_9452 ?auto_9453 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9489
      ?auto_9490
    )
    :vars
    (
      ?auto_9492
      ?auto_9499
      ?auto_9494
      ?auto_9503
      ?auto_9500
      ?auto_9502
      ?auto_9501
      ?auto_9497
      ?auto_9498
      ?auto_9495
      ?auto_9496
      ?auto_9505
      ?auto_9504
      ?auto_9507
    )
    :precondition
    ( and ( OBJ ?auto_9489 ) ( LOCATION ?auto_9490 ) ( TRUCK ?auto_9492 ) ( LOCATION ?auto_9499 ) ( CITY ?auto_9494 ) ( IN-CITY ?auto_9499 ?auto_9494 ) ( IN-CITY ?auto_9490 ?auto_9494 ) ( DIFFERENT ?auto_9490 ?auto_9499 ) ( AIRPLANE ?auto_9503 ) ( AIRPORT ?auto_9500 ) ( AIRPORT ?auto_9499 ) ( DIFFERENT ?auto_9499 ?auto_9500 ) ( LOCATION ?auto_9500 ) ( TRUCK ?auto_9502 ) ( LOCATION ?auto_9501 ) ( CITY ?auto_9497 ) ( IN-CITY ?auto_9501 ?auto_9497 ) ( IN-CITY ?auto_9500 ?auto_9497 ) ( DIFFERENT ?auto_9500 ?auto_9501 ) ( AT ?auto_9489 ?auto_9501 ) ( LOCATION ?auto_9498 ) ( CITY ?auto_9495 ) ( AT ?auto_9502 ?auto_9498 ) ( IN-CITY ?auto_9498 ?auto_9495 ) ( IN-CITY ?auto_9501 ?auto_9495 ) ( DIFFERENT ?auto_9501 ?auto_9498 ) ( AIRPORT ?auto_9496 ) ( DIFFERENT ?auto_9500 ?auto_9496 ) ( LOCATION ?auto_9505 ) ( CITY ?auto_9504 ) ( AT ?auto_9492 ?auto_9505 ) ( IN-CITY ?auto_9505 ?auto_9504 ) ( IN-CITY ?auto_9499 ?auto_9504 ) ( DIFFERENT ?auto_9499 ?auto_9505 ) ( AIRPORT ?auto_9507 ) ( AT ?auto_9503 ?auto_9507 ) ( DIFFERENT ?auto_9496 ?auto_9507 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9503 ?auto_9507 ?auto_9496 )
      ( DELIVER-PKG ?auto_9489 ?auto_9490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9920
      ?auto_9921
    )
    :vars
    (
      ?auto_9926
      ?auto_9927
      ?auto_9928
      ?auto_9922
      ?auto_9923
      ?auto_9931
      ?auto_9924
      ?auto_9925
      ?auto_9929
      ?auto_9935
    )
    :precondition
    ( and ( OBJ ?auto_9920 ) ( LOCATION ?auto_9921 ) ( TRUCK ?auto_9926 ) ( LOCATION ?auto_9927 ) ( CITY ?auto_9928 ) ( IN-CITY ?auto_9927 ?auto_9928 ) ( IN-CITY ?auto_9921 ?auto_9928 ) ( DIFFERENT ?auto_9921 ?auto_9927 ) ( LOCATION ?auto_9922 ) ( CITY ?auto_9923 ) ( AT ?auto_9926 ?auto_9922 ) ( IN-CITY ?auto_9922 ?auto_9923 ) ( IN-CITY ?auto_9927 ?auto_9923 ) ( DIFFERENT ?auto_9927 ?auto_9922 ) ( LOCATION ?auto_9931 ) ( AT ?auto_9926 ?auto_9931 ) ( AIRPLANE ?auto_9924 ) ( AIRPORT ?auto_9925 ) ( AIRPORT ?auto_9931 ) ( AT ?auto_9924 ?auto_9925 ) ( DIFFERENT ?auto_9931 ?auto_9925 ) ( LOCATION ?auto_9929 ) ( AT ?auto_9924 ?auto_9929 ) ( AIRPLANE ?auto_9935 ) ( IN ?auto_9920 ?auto_9935 ) ( AT ?auto_9935 ?auto_9929 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9920 ?auto_9929 )
      ( DELIVER-PKG ?auto_9920 ?auto_9921 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10005
      ?auto_10006
    )
    :vars
    (
      ?auto_10016
      ?auto_10017
      ?auto_10009
      ?auto_10022
      ?auto_10014
      ?auto_10008
      ?auto_10015
      ?auto_10020
      ?auto_10021
      ?auto_10010
      ?auto_10007
      ?auto_10019
      ?auto_10012
      ?auto_10011
      ?auto_10024
    )
    :precondition
    ( and ( OBJ ?auto_10005 ) ( LOCATION ?auto_10006 ) ( TRUCK ?auto_10016 ) ( LOCATION ?auto_10017 ) ( CITY ?auto_10009 ) ( IN-CITY ?auto_10017 ?auto_10009 ) ( IN-CITY ?auto_10006 ?auto_10009 ) ( DIFFERENT ?auto_10006 ?auto_10017 ) ( LOCATION ?auto_10022 ) ( CITY ?auto_10014 ) ( AT ?auto_10016 ?auto_10022 ) ( IN-CITY ?auto_10022 ?auto_10014 ) ( IN-CITY ?auto_10017 ?auto_10014 ) ( DIFFERENT ?auto_10017 ?auto_10022 ) ( LOCATION ?auto_10008 ) ( AT ?auto_10016 ?auto_10008 ) ( AIRPLANE ?auto_10015 ) ( AIRPORT ?auto_10020 ) ( AIRPORT ?auto_10008 ) ( AT ?auto_10015 ?auto_10020 ) ( DIFFERENT ?auto_10008 ?auto_10020 ) ( LOCATION ?auto_10021 ) ( AT ?auto_10015 ?auto_10021 ) ( AIRPLANE ?auto_10010 ) ( AT ?auto_10010 ?auto_10021 ) ( LOCATION ?auto_10007 ) ( AT ?auto_10010 ?auto_10007 ) ( TRUCK ?auto_10019 ) ( LOCATION ?auto_10012 ) ( CITY ?auto_10011 ) ( AT ?auto_10019 ?auto_10012 ) ( IN-CITY ?auto_10012 ?auto_10011 ) ( IN-CITY ?auto_10007 ?auto_10011 ) ( DIFFERENT ?auto_10007 ?auto_10012 ) ( LOCATION ?auto_10024 ) ( AT ?auto_10019 ?auto_10024 ) ( AT ?auto_10005 ?auto_10024 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10005 ?auto_10019 ?auto_10024 )
      ( DELIVER-PKG ?auto_10005 ?auto_10006 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10026
      ?auto_10027
    )
    :vars
    (
      ?auto_10035
      ?auto_10038
      ?auto_10039
      ?auto_10029
      ?auto_10044
      ?auto_10041
      ?auto_10028
      ?auto_10032
      ?auto_10034
      ?auto_10040
      ?auto_10033
      ?auto_10031
      ?auto_10037
      ?auto_10043
      ?auto_10047
      ?auto_10046
    )
    :precondition
    ( and ( OBJ ?auto_10026 ) ( LOCATION ?auto_10027 ) ( TRUCK ?auto_10035 ) ( LOCATION ?auto_10038 ) ( CITY ?auto_10039 ) ( IN-CITY ?auto_10038 ?auto_10039 ) ( IN-CITY ?auto_10027 ?auto_10039 ) ( DIFFERENT ?auto_10027 ?auto_10038 ) ( LOCATION ?auto_10029 ) ( CITY ?auto_10044 ) ( AT ?auto_10035 ?auto_10029 ) ( IN-CITY ?auto_10029 ?auto_10044 ) ( IN-CITY ?auto_10038 ?auto_10044 ) ( DIFFERENT ?auto_10038 ?auto_10029 ) ( LOCATION ?auto_10041 ) ( AT ?auto_10035 ?auto_10041 ) ( AIRPLANE ?auto_10028 ) ( AIRPORT ?auto_10032 ) ( AIRPORT ?auto_10041 ) ( AT ?auto_10028 ?auto_10032 ) ( DIFFERENT ?auto_10041 ?auto_10032 ) ( LOCATION ?auto_10034 ) ( AT ?auto_10028 ?auto_10034 ) ( AIRPLANE ?auto_10040 ) ( AT ?auto_10040 ?auto_10034 ) ( LOCATION ?auto_10033 ) ( AT ?auto_10040 ?auto_10033 ) ( TRUCK ?auto_10031 ) ( LOCATION ?auto_10037 ) ( CITY ?auto_10043 ) ( IN-CITY ?auto_10037 ?auto_10043 ) ( IN-CITY ?auto_10033 ?auto_10043 ) ( DIFFERENT ?auto_10033 ?auto_10037 ) ( AT ?auto_10026 ?auto_10037 ) ( LOCATION ?auto_10047 ) ( CITY ?auto_10046 ) ( AT ?auto_10031 ?auto_10047 ) ( IN-CITY ?auto_10047 ?auto_10046 ) ( IN-CITY ?auto_10037 ?auto_10046 ) ( DIFFERENT ?auto_10037 ?auto_10047 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10031 ?auto_10047 ?auto_10037 ?auto_10046 )
      ( DELIVER-PKG ?auto_10026 ?auto_10027 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10089
      ?auto_10090
    )
    :vars
    (
      ?auto_10097
      ?auto_10103
      ?auto_10100
      ?auto_10098
      ?auto_10096
      ?auto_10105
      ?auto_10091
      ?auto_10107
      ?auto_10104
      ?auto_10093
      ?auto_10094
      ?auto_10102
      ?auto_10095
      ?auto_10110
    )
    :precondition
    ( and ( OBJ ?auto_10089 ) ( LOCATION ?auto_10090 ) ( TRUCK ?auto_10097 ) ( LOCATION ?auto_10103 ) ( CITY ?auto_10100 ) ( IN-CITY ?auto_10103 ?auto_10100 ) ( IN-CITY ?auto_10090 ?auto_10100 ) ( DIFFERENT ?auto_10090 ?auto_10103 ) ( LOCATION ?auto_10098 ) ( CITY ?auto_10096 ) ( AT ?auto_10097 ?auto_10098 ) ( IN-CITY ?auto_10098 ?auto_10096 ) ( IN-CITY ?auto_10103 ?auto_10096 ) ( DIFFERENT ?auto_10103 ?auto_10098 ) ( LOCATION ?auto_10105 ) ( AT ?auto_10097 ?auto_10105 ) ( AIRPLANE ?auto_10091 ) ( AIRPORT ?auto_10107 ) ( AIRPORT ?auto_10105 ) ( DIFFERENT ?auto_10105 ?auto_10107 ) ( LOCATION ?auto_10107 ) ( TRUCK ?auto_10104 ) ( LOCATION ?auto_10093 ) ( CITY ?auto_10094 ) ( IN-CITY ?auto_10093 ?auto_10094 ) ( IN-CITY ?auto_10107 ?auto_10094 ) ( DIFFERENT ?auto_10107 ?auto_10093 ) ( AT ?auto_10089 ?auto_10093 ) ( LOCATION ?auto_10102 ) ( CITY ?auto_10095 ) ( AT ?auto_10104 ?auto_10102 ) ( IN-CITY ?auto_10102 ?auto_10095 ) ( IN-CITY ?auto_10093 ?auto_10095 ) ( DIFFERENT ?auto_10093 ?auto_10102 ) ( AIRPORT ?auto_10110 ) ( AT ?auto_10091 ?auto_10110 ) ( DIFFERENT ?auto_10107 ?auto_10110 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10091 ?auto_10110 ?auto_10107 )
      ( DELIVER-PKG ?auto_10089 ?auto_10090 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10202
      ?auto_10203
    )
    :vars
    (
      ?auto_10209
      ?auto_10216
      ?auto_10214
      ?auto_10218
      ?auto_10208
      ?auto_10205
      ?auto_10219
      ?auto_10217
      ?auto_10207
      ?auto_10212
      ?auto_10215
      ?auto_10211
      ?auto_10213
      ?auto_10222
      ?auto_10221
    )
    :precondition
    ( and ( OBJ ?auto_10202 ) ( LOCATION ?auto_10203 ) ( TRUCK ?auto_10209 ) ( LOCATION ?auto_10216 ) ( CITY ?auto_10214 ) ( IN-CITY ?auto_10216 ?auto_10214 ) ( IN-CITY ?auto_10203 ?auto_10214 ) ( DIFFERENT ?auto_10203 ?auto_10216 ) ( LOCATION ?auto_10218 ) ( CITY ?auto_10208 ) ( IN-CITY ?auto_10218 ?auto_10208 ) ( IN-CITY ?auto_10216 ?auto_10208 ) ( DIFFERENT ?auto_10216 ?auto_10218 ) ( AIRPLANE ?auto_10205 ) ( AIRPORT ?auto_10219 ) ( AIRPORT ?auto_10218 ) ( DIFFERENT ?auto_10218 ?auto_10219 ) ( LOCATION ?auto_10219 ) ( TRUCK ?auto_10217 ) ( LOCATION ?auto_10207 ) ( CITY ?auto_10212 ) ( IN-CITY ?auto_10207 ?auto_10212 ) ( IN-CITY ?auto_10219 ?auto_10212 ) ( DIFFERENT ?auto_10219 ?auto_10207 ) ( AT ?auto_10202 ?auto_10207 ) ( LOCATION ?auto_10215 ) ( CITY ?auto_10211 ) ( AT ?auto_10217 ?auto_10215 ) ( IN-CITY ?auto_10215 ?auto_10211 ) ( IN-CITY ?auto_10207 ?auto_10211 ) ( DIFFERENT ?auto_10207 ?auto_10215 ) ( AIRPORT ?auto_10213 ) ( AT ?auto_10205 ?auto_10213 ) ( DIFFERENT ?auto_10219 ?auto_10213 ) ( LOCATION ?auto_10222 ) ( CITY ?auto_10221 ) ( AT ?auto_10209 ?auto_10222 ) ( IN-CITY ?auto_10222 ?auto_10221 ) ( IN-CITY ?auto_10218 ?auto_10221 ) ( DIFFERENT ?auto_10218 ?auto_10222 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10209 ?auto_10222 ?auto_10218 ?auto_10221 )
      ( DELIVER-PKG ?auto_10202 ?auto_10203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10243
      ?auto_10244
    )
    :vars
    (
      ?auto_10251
      ?auto_10257
      ?auto_10255
      ?auto_10259
      ?auto_10250
      ?auto_10247
      ?auto_10260
      ?auto_10258
      ?auto_10249
      ?auto_10253
      ?auto_10256
      ?auto_10252
      ?auto_10254
      ?auto_10261
      ?auto_10248
      ?auto_10263
    )
    :precondition
    ( and ( OBJ ?auto_10243 ) ( LOCATION ?auto_10244 ) ( TRUCK ?auto_10251 ) ( LOCATION ?auto_10257 ) ( CITY ?auto_10255 ) ( IN-CITY ?auto_10257 ?auto_10255 ) ( IN-CITY ?auto_10244 ?auto_10255 ) ( DIFFERENT ?auto_10244 ?auto_10257 ) ( LOCATION ?auto_10259 ) ( CITY ?auto_10250 ) ( IN-CITY ?auto_10259 ?auto_10250 ) ( IN-CITY ?auto_10257 ?auto_10250 ) ( DIFFERENT ?auto_10257 ?auto_10259 ) ( AIRPLANE ?auto_10247 ) ( AIRPORT ?auto_10260 ) ( AIRPORT ?auto_10259 ) ( DIFFERENT ?auto_10259 ?auto_10260 ) ( LOCATION ?auto_10260 ) ( TRUCK ?auto_10258 ) ( LOCATION ?auto_10249 ) ( CITY ?auto_10253 ) ( IN-CITY ?auto_10249 ?auto_10253 ) ( IN-CITY ?auto_10260 ?auto_10253 ) ( DIFFERENT ?auto_10260 ?auto_10249 ) ( AT ?auto_10243 ?auto_10249 ) ( LOCATION ?auto_10256 ) ( CITY ?auto_10252 ) ( AT ?auto_10258 ?auto_10256 ) ( IN-CITY ?auto_10256 ?auto_10252 ) ( IN-CITY ?auto_10249 ?auto_10252 ) ( DIFFERENT ?auto_10249 ?auto_10256 ) ( AIRPORT ?auto_10254 ) ( DIFFERENT ?auto_10260 ?auto_10254 ) ( LOCATION ?auto_10261 ) ( CITY ?auto_10248 ) ( AT ?auto_10251 ?auto_10261 ) ( IN-CITY ?auto_10261 ?auto_10248 ) ( IN-CITY ?auto_10259 ?auto_10248 ) ( DIFFERENT ?auto_10259 ?auto_10261 ) ( AIRPORT ?auto_10263 ) ( AT ?auto_10247 ?auto_10263 ) ( DIFFERENT ?auto_10254 ?auto_10263 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10247 ?auto_10263 ?auto_10254 )
      ( DELIVER-PKG ?auto_10243 ?auto_10244 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11055
      ?auto_11056
    )
    :vars
    (
      ?auto_11060
      ?auto_11059
      ?auto_11058
      ?auto_11062
      ?auto_11064
    )
    :precondition
    ( and ( OBJ ?auto_11055 ) ( LOCATION ?auto_11056 ) ( AIRPLANE ?auto_11060 ) ( AIRPORT ?auto_11059 ) ( AIRPORT ?auto_11056 ) ( AT ?auto_11060 ?auto_11059 ) ( DIFFERENT ?auto_11056 ?auto_11059 ) ( LOCATION ?auto_11058 ) ( AT ?auto_11060 ?auto_11058 ) ( TRUCK ?auto_11062 ) ( AT ?auto_11062 ?auto_11058 ) ( LOCATION ?auto_11064 ) ( AT ?auto_11062 ?auto_11064 ) ( AT ?auto_11055 ?auto_11064 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11055 ?auto_11062 ?auto_11064 )
      ( DELIVER-PKG ?auto_11055 ?auto_11056 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11066
      ?auto_11067
    )
    :vars
    (
      ?auto_11070
      ?auto_11072
      ?auto_11073
      ?auto_11071
      ?auto_11068
      ?auto_11077
    )
    :precondition
    ( and ( OBJ ?auto_11066 ) ( LOCATION ?auto_11067 ) ( AIRPLANE ?auto_11070 ) ( AIRPORT ?auto_11072 ) ( AIRPORT ?auto_11067 ) ( AT ?auto_11070 ?auto_11072 ) ( DIFFERENT ?auto_11067 ?auto_11072 ) ( LOCATION ?auto_11073 ) ( AT ?auto_11070 ?auto_11073 ) ( TRUCK ?auto_11071 ) ( AT ?auto_11071 ?auto_11073 ) ( LOCATION ?auto_11068 ) ( AT ?auto_11071 ?auto_11068 ) ( TRUCK ?auto_11077 ) ( AT ?auto_11077 ?auto_11068 ) ( IN ?auto_11066 ?auto_11077 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11066 ?auto_11068 )
      ( DELIVER-PKG ?auto_11066 ?auto_11067 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11105
      ?auto_11106
    )
    :vars
    (
      ?auto_11108
      ?auto_11107
      ?auto_11110
      ?auto_11112
      ?auto_11115
      ?auto_11114
      ?auto_11109
      ?auto_11118
    )
    :precondition
    ( and ( OBJ ?auto_11105 ) ( LOCATION ?auto_11106 ) ( AIRPLANE ?auto_11108 ) ( AIRPORT ?auto_11107 ) ( AIRPORT ?auto_11106 ) ( AT ?auto_11108 ?auto_11107 ) ( DIFFERENT ?auto_11106 ?auto_11107 ) ( LOCATION ?auto_11110 ) ( AT ?auto_11108 ?auto_11110 ) ( TRUCK ?auto_11112 ) ( LOCATION ?auto_11115 ) ( CITY ?auto_11114 ) ( AT ?auto_11112 ?auto_11115 ) ( IN-CITY ?auto_11115 ?auto_11114 ) ( IN-CITY ?auto_11110 ?auto_11114 ) ( DIFFERENT ?auto_11110 ?auto_11115 ) ( LOCATION ?auto_11109 ) ( AT ?auto_11112 ?auto_11109 ) ( TRUCK ?auto_11118 ) ( AT ?auto_11118 ?auto_11109 ) ( IN ?auto_11105 ?auto_11118 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11105 ?auto_11109 )
      ( DELIVER-PKG ?auto_11105 ?auto_11106 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11150
      ?auto_11151
    )
    :vars
    (
      ?auto_11152
      ?auto_11160
      ?auto_11161
      ?auto_11153
      ?auto_11157
      ?auto_11162
      ?auto_11156
      ?auto_11155
      ?auto_11159
      ?auto_11165
    )
    :precondition
    ( and ( OBJ ?auto_11150 ) ( LOCATION ?auto_11151 ) ( AIRPLANE ?auto_11152 ) ( AIRPORT ?auto_11160 ) ( AIRPORT ?auto_11151 ) ( AT ?auto_11152 ?auto_11160 ) ( DIFFERENT ?auto_11151 ?auto_11160 ) ( LOCATION ?auto_11161 ) ( AT ?auto_11152 ?auto_11161 ) ( TRUCK ?auto_11153 ) ( LOCATION ?auto_11157 ) ( CITY ?auto_11162 ) ( IN-CITY ?auto_11157 ?auto_11162 ) ( IN-CITY ?auto_11161 ?auto_11162 ) ( DIFFERENT ?auto_11161 ?auto_11157 ) ( LOCATION ?auto_11156 ) ( CITY ?auto_11155 ) ( AT ?auto_11153 ?auto_11156 ) ( IN-CITY ?auto_11156 ?auto_11155 ) ( IN-CITY ?auto_11157 ?auto_11155 ) ( DIFFERENT ?auto_11157 ?auto_11156 ) ( LOCATION ?auto_11159 ) ( AT ?auto_11153 ?auto_11159 ) ( AIRPLANE ?auto_11165 ) ( IN ?auto_11150 ?auto_11165 ) ( AT ?auto_11165 ?auto_11159 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11150 ?auto_11159 )
      ( DELIVER-PKG ?auto_11150 ?auto_11151 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11253
      ?auto_11254
    )
    :vars
    (
      ?auto_11258
      ?auto_11259
      ?auto_11264
      ?auto_11257
      ?auto_11260
      ?auto_11266
      ?auto_11261
      ?auto_11256
      ?auto_11262
      ?auto_11263
      ?auto_11268
    )
    :precondition
    ( and ( OBJ ?auto_11253 ) ( LOCATION ?auto_11254 ) ( AIRPLANE ?auto_11258 ) ( AIRPORT ?auto_11259 ) ( AIRPORT ?auto_11254 ) ( DIFFERENT ?auto_11254 ?auto_11259 ) ( LOCATION ?auto_11259 ) ( TRUCK ?auto_11264 ) ( LOCATION ?auto_11257 ) ( CITY ?auto_11260 ) ( IN-CITY ?auto_11257 ?auto_11260 ) ( IN-CITY ?auto_11259 ?auto_11260 ) ( DIFFERENT ?auto_11259 ?auto_11257 ) ( LOCATION ?auto_11266 ) ( CITY ?auto_11261 ) ( AT ?auto_11264 ?auto_11266 ) ( IN-CITY ?auto_11266 ?auto_11261 ) ( IN-CITY ?auto_11257 ?auto_11261 ) ( DIFFERENT ?auto_11257 ?auto_11266 ) ( AT ?auto_11264 ?auto_11259 ) ( AIRPORT ?auto_11256 ) ( AT ?auto_11258 ?auto_11256 ) ( DIFFERENT ?auto_11259 ?auto_11256 ) ( LOCATION ?auto_11262 ) ( AT ?auto_11258 ?auto_11262 ) ( AIRPLANE ?auto_11263 ) ( AT ?auto_11263 ?auto_11262 ) ( LOCATION ?auto_11268 ) ( AT ?auto_11253 ?auto_11268 ) ( AT ?auto_11263 ?auto_11268 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_11253 ?auto_11263 ?auto_11268 )
      ( DELIVER-PKG ?auto_11253 ?auto_11254 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11270
      ?auto_11271
    )
    :vars
    (
      ?auto_11275
      ?auto_11276
      ?auto_11281
      ?auto_11274
      ?auto_11277
      ?auto_11282
      ?auto_11278
      ?auto_11284
      ?auto_11279
      ?auto_11280
      ?auto_11283
      ?auto_11287
    )
    :precondition
    ( and ( OBJ ?auto_11270 ) ( LOCATION ?auto_11271 ) ( AIRPLANE ?auto_11275 ) ( AIRPORT ?auto_11276 ) ( AIRPORT ?auto_11271 ) ( DIFFERENT ?auto_11271 ?auto_11276 ) ( LOCATION ?auto_11276 ) ( TRUCK ?auto_11281 ) ( LOCATION ?auto_11274 ) ( CITY ?auto_11277 ) ( IN-CITY ?auto_11274 ?auto_11277 ) ( IN-CITY ?auto_11276 ?auto_11277 ) ( DIFFERENT ?auto_11276 ?auto_11274 ) ( LOCATION ?auto_11282 ) ( CITY ?auto_11278 ) ( AT ?auto_11281 ?auto_11282 ) ( IN-CITY ?auto_11282 ?auto_11278 ) ( IN-CITY ?auto_11274 ?auto_11278 ) ( DIFFERENT ?auto_11274 ?auto_11282 ) ( AT ?auto_11281 ?auto_11276 ) ( AIRPORT ?auto_11284 ) ( AT ?auto_11275 ?auto_11284 ) ( DIFFERENT ?auto_11276 ?auto_11284 ) ( LOCATION ?auto_11279 ) ( AT ?auto_11275 ?auto_11279 ) ( AIRPLANE ?auto_11280 ) ( AT ?auto_11280 ?auto_11279 ) ( LOCATION ?auto_11283 ) ( AT ?auto_11280 ?auto_11283 ) ( TRUCK ?auto_11287 ) ( AT ?auto_11287 ?auto_11283 ) ( IN ?auto_11270 ?auto_11287 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11270 ?auto_11283 )
      ( DELIVER-PKG ?auto_11270 ?auto_11271 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11288
      ?auto_11289
    )
    :vars
    (
      ?auto_11297
      ?auto_11294
      ?auto_11302
      ?auto_11303
      ?auto_11292
      ?auto_11295
      ?auto_11291
      ?auto_11290
      ?auto_11293
      ?auto_11300
      ?auto_11299
      ?auto_11296
      ?auto_11306
      ?auto_11305
    )
    :precondition
    ( and ( OBJ ?auto_11288 ) ( LOCATION ?auto_11289 ) ( AIRPLANE ?auto_11297 ) ( AIRPORT ?auto_11294 ) ( AIRPORT ?auto_11289 ) ( DIFFERENT ?auto_11289 ?auto_11294 ) ( LOCATION ?auto_11294 ) ( TRUCK ?auto_11302 ) ( LOCATION ?auto_11303 ) ( CITY ?auto_11292 ) ( IN-CITY ?auto_11303 ?auto_11292 ) ( IN-CITY ?auto_11294 ?auto_11292 ) ( DIFFERENT ?auto_11294 ?auto_11303 ) ( LOCATION ?auto_11295 ) ( CITY ?auto_11291 ) ( AT ?auto_11302 ?auto_11295 ) ( IN-CITY ?auto_11295 ?auto_11291 ) ( IN-CITY ?auto_11303 ?auto_11291 ) ( DIFFERENT ?auto_11303 ?auto_11295 ) ( AT ?auto_11302 ?auto_11294 ) ( AIRPORT ?auto_11290 ) ( AT ?auto_11297 ?auto_11290 ) ( DIFFERENT ?auto_11294 ?auto_11290 ) ( LOCATION ?auto_11293 ) ( AT ?auto_11297 ?auto_11293 ) ( AIRPLANE ?auto_11300 ) ( AT ?auto_11300 ?auto_11293 ) ( LOCATION ?auto_11299 ) ( AT ?auto_11300 ?auto_11299 ) ( TRUCK ?auto_11296 ) ( IN ?auto_11288 ?auto_11296 ) ( LOCATION ?auto_11306 ) ( CITY ?auto_11305 ) ( AT ?auto_11296 ?auto_11306 ) ( IN-CITY ?auto_11306 ?auto_11305 ) ( IN-CITY ?auto_11299 ?auto_11305 ) ( DIFFERENT ?auto_11299 ?auto_11306 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11296 ?auto_11306 ?auto_11299 ?auto_11305 )
      ( DELIVER-PKG ?auto_11288 ?auto_11289 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11308
      ?auto_11309
    )
    :vars
    (
      ?auto_11322
      ?auto_11310
      ?auto_11312
      ?auto_11320
      ?auto_11324
      ?auto_11315
      ?auto_11323
      ?auto_11319
      ?auto_11325
      ?auto_11317
      ?auto_11311
      ?auto_11321
      ?auto_11316
      ?auto_11314
      ?auto_11327
    )
    :precondition
    ( and ( OBJ ?auto_11308 ) ( LOCATION ?auto_11309 ) ( AIRPLANE ?auto_11322 ) ( AIRPORT ?auto_11310 ) ( AIRPORT ?auto_11309 ) ( DIFFERENT ?auto_11309 ?auto_11310 ) ( LOCATION ?auto_11310 ) ( TRUCK ?auto_11312 ) ( LOCATION ?auto_11320 ) ( CITY ?auto_11324 ) ( IN-CITY ?auto_11320 ?auto_11324 ) ( IN-CITY ?auto_11310 ?auto_11324 ) ( DIFFERENT ?auto_11310 ?auto_11320 ) ( LOCATION ?auto_11315 ) ( CITY ?auto_11323 ) ( AT ?auto_11312 ?auto_11315 ) ( IN-CITY ?auto_11315 ?auto_11323 ) ( IN-CITY ?auto_11320 ?auto_11323 ) ( DIFFERENT ?auto_11320 ?auto_11315 ) ( AT ?auto_11312 ?auto_11310 ) ( AIRPORT ?auto_11319 ) ( AT ?auto_11322 ?auto_11319 ) ( DIFFERENT ?auto_11310 ?auto_11319 ) ( LOCATION ?auto_11325 ) ( AT ?auto_11322 ?auto_11325 ) ( AIRPLANE ?auto_11317 ) ( AT ?auto_11317 ?auto_11325 ) ( LOCATION ?auto_11311 ) ( AT ?auto_11317 ?auto_11311 ) ( TRUCK ?auto_11321 ) ( LOCATION ?auto_11316 ) ( CITY ?auto_11314 ) ( AT ?auto_11321 ?auto_11316 ) ( IN-CITY ?auto_11316 ?auto_11314 ) ( IN-CITY ?auto_11311 ?auto_11314 ) ( DIFFERENT ?auto_11311 ?auto_11316 ) ( LOCATION ?auto_11327 ) ( AT ?auto_11321 ?auto_11327 ) ( AT ?auto_11308 ?auto_11327 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11308 ?auto_11321 ?auto_11327 )
      ( DELIVER-PKG ?auto_11308 ?auto_11309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11329
      ?auto_11330
    )
    :vars
    (
      ?auto_11345
      ?auto_11340
      ?auto_11344
      ?auto_11342
      ?auto_11332
      ?auto_11346
      ?auto_11338
      ?auto_11331
      ?auto_11333
      ?auto_11334
      ?auto_11335
      ?auto_11337
      ?auto_11336
      ?auto_11343
      ?auto_11350
      ?auto_11349
    )
    :precondition
    ( and ( OBJ ?auto_11329 ) ( LOCATION ?auto_11330 ) ( AIRPLANE ?auto_11345 ) ( AIRPORT ?auto_11340 ) ( AIRPORT ?auto_11330 ) ( DIFFERENT ?auto_11330 ?auto_11340 ) ( LOCATION ?auto_11340 ) ( TRUCK ?auto_11344 ) ( LOCATION ?auto_11342 ) ( CITY ?auto_11332 ) ( IN-CITY ?auto_11342 ?auto_11332 ) ( IN-CITY ?auto_11340 ?auto_11332 ) ( DIFFERENT ?auto_11340 ?auto_11342 ) ( LOCATION ?auto_11346 ) ( CITY ?auto_11338 ) ( AT ?auto_11344 ?auto_11346 ) ( IN-CITY ?auto_11346 ?auto_11338 ) ( IN-CITY ?auto_11342 ?auto_11338 ) ( DIFFERENT ?auto_11342 ?auto_11346 ) ( AT ?auto_11344 ?auto_11340 ) ( AIRPORT ?auto_11331 ) ( AT ?auto_11345 ?auto_11331 ) ( DIFFERENT ?auto_11340 ?auto_11331 ) ( LOCATION ?auto_11333 ) ( AT ?auto_11345 ?auto_11333 ) ( AIRPLANE ?auto_11334 ) ( AT ?auto_11334 ?auto_11333 ) ( LOCATION ?auto_11335 ) ( AT ?auto_11334 ?auto_11335 ) ( TRUCK ?auto_11337 ) ( LOCATION ?auto_11336 ) ( CITY ?auto_11343 ) ( IN-CITY ?auto_11336 ?auto_11343 ) ( IN-CITY ?auto_11335 ?auto_11343 ) ( DIFFERENT ?auto_11335 ?auto_11336 ) ( AT ?auto_11329 ?auto_11336 ) ( LOCATION ?auto_11350 ) ( CITY ?auto_11349 ) ( AT ?auto_11337 ?auto_11350 ) ( IN-CITY ?auto_11350 ?auto_11349 ) ( IN-CITY ?auto_11336 ?auto_11349 ) ( DIFFERENT ?auto_11336 ?auto_11350 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11337 ?auto_11350 ?auto_11336 ?auto_11349 )
      ( DELIVER-PKG ?auto_11329 ?auto_11330 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11392
      ?auto_11393
    )
    :vars
    (
      ?auto_11409
      ?auto_11395
      ?auto_11407
      ?auto_11394
      ?auto_11408
      ?auto_11402
      ?auto_11397
      ?auto_11411
      ?auto_11398
      ?auto_11399
      ?auto_11396
      ?auto_11406
      ?auto_11405
      ?auto_11413
    )
    :precondition
    ( and ( OBJ ?auto_11392 ) ( LOCATION ?auto_11393 ) ( AIRPLANE ?auto_11409 ) ( AIRPORT ?auto_11395 ) ( AIRPORT ?auto_11393 ) ( DIFFERENT ?auto_11393 ?auto_11395 ) ( LOCATION ?auto_11395 ) ( TRUCK ?auto_11407 ) ( LOCATION ?auto_11394 ) ( CITY ?auto_11408 ) ( IN-CITY ?auto_11394 ?auto_11408 ) ( IN-CITY ?auto_11395 ?auto_11408 ) ( DIFFERENT ?auto_11395 ?auto_11394 ) ( LOCATION ?auto_11402 ) ( CITY ?auto_11397 ) ( AT ?auto_11407 ?auto_11402 ) ( IN-CITY ?auto_11402 ?auto_11397 ) ( IN-CITY ?auto_11394 ?auto_11397 ) ( DIFFERENT ?auto_11394 ?auto_11402 ) ( AT ?auto_11407 ?auto_11395 ) ( AIRPORT ?auto_11411 ) ( DIFFERENT ?auto_11395 ?auto_11411 ) ( LOCATION ?auto_11411 ) ( TRUCK ?auto_11398 ) ( LOCATION ?auto_11399 ) ( CITY ?auto_11396 ) ( IN-CITY ?auto_11399 ?auto_11396 ) ( IN-CITY ?auto_11411 ?auto_11396 ) ( DIFFERENT ?auto_11411 ?auto_11399 ) ( AT ?auto_11392 ?auto_11399 ) ( LOCATION ?auto_11406 ) ( CITY ?auto_11405 ) ( AT ?auto_11398 ?auto_11406 ) ( IN-CITY ?auto_11406 ?auto_11405 ) ( IN-CITY ?auto_11399 ?auto_11405 ) ( DIFFERENT ?auto_11399 ?auto_11406 ) ( AIRPORT ?auto_11413 ) ( AT ?auto_11409 ?auto_11413 ) ( DIFFERENT ?auto_11411 ?auto_11413 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11409 ?auto_11413 ?auto_11411 )
      ( DELIVER-PKG ?auto_11392 ?auto_11393 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11505
      ?auto_11506
    )
    :vars
    (
      ?auto_11510
      ?auto_11515
      ?auto_11508
      ?auto_11507
      ?auto_11509
      ?auto_11511
      ?auto_11522
      ?auto_11513
      ?auto_11517
      ?auto_11512
      ?auto_11520
      ?auto_11519
      ?auto_11514
      ?auto_11525
      ?auto_11524
    )
    :precondition
    ( and ( OBJ ?auto_11505 ) ( LOCATION ?auto_11506 ) ( AIRPLANE ?auto_11510 ) ( AIRPORT ?auto_11515 ) ( AIRPORT ?auto_11506 ) ( DIFFERENT ?auto_11506 ?auto_11515 ) ( LOCATION ?auto_11515 ) ( TRUCK ?auto_11508 ) ( LOCATION ?auto_11507 ) ( CITY ?auto_11509 ) ( IN-CITY ?auto_11507 ?auto_11509 ) ( IN-CITY ?auto_11515 ?auto_11509 ) ( DIFFERENT ?auto_11515 ?auto_11507 ) ( CITY ?auto_11511 ) ( IN-CITY ?auto_11515 ?auto_11511 ) ( IN-CITY ?auto_11507 ?auto_11511 ) ( DIFFERENT ?auto_11507 ?auto_11515 ) ( AIRPORT ?auto_11522 ) ( DIFFERENT ?auto_11515 ?auto_11522 ) ( LOCATION ?auto_11522 ) ( TRUCK ?auto_11513 ) ( LOCATION ?auto_11517 ) ( CITY ?auto_11512 ) ( IN-CITY ?auto_11517 ?auto_11512 ) ( IN-CITY ?auto_11522 ?auto_11512 ) ( DIFFERENT ?auto_11522 ?auto_11517 ) ( AT ?auto_11505 ?auto_11517 ) ( LOCATION ?auto_11520 ) ( CITY ?auto_11519 ) ( AT ?auto_11513 ?auto_11520 ) ( IN-CITY ?auto_11520 ?auto_11519 ) ( IN-CITY ?auto_11517 ?auto_11519 ) ( DIFFERENT ?auto_11517 ?auto_11520 ) ( AIRPORT ?auto_11514 ) ( AT ?auto_11510 ?auto_11514 ) ( DIFFERENT ?auto_11522 ?auto_11514 ) ( LOCATION ?auto_11525 ) ( CITY ?auto_11524 ) ( AT ?auto_11508 ?auto_11525 ) ( IN-CITY ?auto_11525 ?auto_11524 ) ( IN-CITY ?auto_11515 ?auto_11524 ) ( DIFFERENT ?auto_11515 ?auto_11525 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11508 ?auto_11525 ?auto_11515 ?auto_11524 )
      ( DELIVER-PKG ?auto_11505 ?auto_11506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11546
      ?auto_11547
    )
    :vars
    (
      ?auto_11553
      ?auto_11558
      ?auto_11550
      ?auto_11549
      ?auto_11552
      ?auto_11554
      ?auto_11562
      ?auto_11556
      ?auto_11559
      ?auto_11555
      ?auto_11561
      ?auto_11560
      ?auto_11557
      ?auto_11564
      ?auto_11563
      ?auto_11566
    )
    :precondition
    ( and ( OBJ ?auto_11546 ) ( LOCATION ?auto_11547 ) ( AIRPLANE ?auto_11553 ) ( AIRPORT ?auto_11558 ) ( AIRPORT ?auto_11547 ) ( DIFFERENT ?auto_11547 ?auto_11558 ) ( LOCATION ?auto_11558 ) ( TRUCK ?auto_11550 ) ( LOCATION ?auto_11549 ) ( CITY ?auto_11552 ) ( IN-CITY ?auto_11549 ?auto_11552 ) ( IN-CITY ?auto_11558 ?auto_11552 ) ( DIFFERENT ?auto_11558 ?auto_11549 ) ( CITY ?auto_11554 ) ( IN-CITY ?auto_11558 ?auto_11554 ) ( IN-CITY ?auto_11549 ?auto_11554 ) ( DIFFERENT ?auto_11549 ?auto_11558 ) ( AIRPORT ?auto_11562 ) ( DIFFERENT ?auto_11558 ?auto_11562 ) ( LOCATION ?auto_11562 ) ( TRUCK ?auto_11556 ) ( LOCATION ?auto_11559 ) ( CITY ?auto_11555 ) ( IN-CITY ?auto_11559 ?auto_11555 ) ( IN-CITY ?auto_11562 ?auto_11555 ) ( DIFFERENT ?auto_11562 ?auto_11559 ) ( AT ?auto_11546 ?auto_11559 ) ( LOCATION ?auto_11561 ) ( CITY ?auto_11560 ) ( AT ?auto_11556 ?auto_11561 ) ( IN-CITY ?auto_11561 ?auto_11560 ) ( IN-CITY ?auto_11559 ?auto_11560 ) ( DIFFERENT ?auto_11559 ?auto_11561 ) ( AIRPORT ?auto_11557 ) ( DIFFERENT ?auto_11562 ?auto_11557 ) ( LOCATION ?auto_11564 ) ( CITY ?auto_11563 ) ( AT ?auto_11550 ?auto_11564 ) ( IN-CITY ?auto_11564 ?auto_11563 ) ( IN-CITY ?auto_11558 ?auto_11563 ) ( DIFFERENT ?auto_11558 ?auto_11564 ) ( AIRPORT ?auto_11566 ) ( AT ?auto_11553 ?auto_11566 ) ( DIFFERENT ?auto_11557 ?auto_11566 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11553 ?auto_11566 ?auto_11557 )
      ( DELIVER-PKG ?auto_11546 ?auto_11547 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11625
      ?auto_11626
    )
    :vars
    (
      ?auto_11629
      ?auto_11628
      ?auto_11632
      ?auto_11634
      ?auto_11630
      ?auto_11633
      ?auto_11636
    )
    :precondition
    ( and ( OBJ ?auto_11625 ) ( LOCATION ?auto_11626 ) ( TRUCK ?auto_11629 ) ( AT ?auto_11629 ?auto_11626 ) ( LOCATION ?auto_11628 ) ( AT ?auto_11629 ?auto_11628 ) ( AIRPLANE ?auto_11632 ) ( AIRPORT ?auto_11634 ) ( AIRPORT ?auto_11628 ) ( AT ?auto_11632 ?auto_11634 ) ( DIFFERENT ?auto_11628 ?auto_11634 ) ( LOCATION ?auto_11630 ) ( AT ?auto_11632 ?auto_11630 ) ( TRUCK ?auto_11633 ) ( AT ?auto_11633 ?auto_11630 ) ( LOCATION ?auto_11636 ) ( AT ?auto_11633 ?auto_11636 ) ( AT ?auto_11625 ?auto_11636 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11625 ?auto_11633 ?auto_11636 )
      ( DELIVER-PKG ?auto_11625 ?auto_11626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11683
      ?auto_11684
    )
    :vars
    (
      ?auto_11687
      ?auto_11685
      ?auto_11694
      ?auto_11690
      ?auto_11692
      ?auto_11686
      ?auto_11695
      ?auto_11691
      ?auto_11688
      ?auto_11698
    )
    :precondition
    ( and ( OBJ ?auto_11683 ) ( LOCATION ?auto_11684 ) ( TRUCK ?auto_11687 ) ( AT ?auto_11687 ?auto_11684 ) ( LOCATION ?auto_11685 ) ( AT ?auto_11687 ?auto_11685 ) ( AIRPLANE ?auto_11694 ) ( AIRPORT ?auto_11690 ) ( AIRPORT ?auto_11685 ) ( AT ?auto_11694 ?auto_11690 ) ( DIFFERENT ?auto_11685 ?auto_11690 ) ( LOCATION ?auto_11692 ) ( AT ?auto_11694 ?auto_11692 ) ( TRUCK ?auto_11686 ) ( LOCATION ?auto_11695 ) ( CITY ?auto_11691 ) ( AT ?auto_11686 ?auto_11695 ) ( IN-CITY ?auto_11695 ?auto_11691 ) ( IN-CITY ?auto_11692 ?auto_11691 ) ( DIFFERENT ?auto_11692 ?auto_11695 ) ( LOCATION ?auto_11688 ) ( AT ?auto_11686 ?auto_11688 ) ( TRUCK ?auto_11698 ) ( AT ?auto_11698 ?auto_11688 ) ( IN ?auto_11683 ?auto_11698 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11683 ?auto_11688 )
      ( DELIVER-PKG ?auto_11683 ?auto_11684 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11699
      ?auto_11700
    )
    :vars
    (
      ?auto_11710
      ?auto_11705
      ?auto_11703
      ?auto_11712
      ?auto_11709
      ?auto_11707
      ?auto_11711
      ?auto_11701
      ?auto_11715
      ?auto_11714
    )
    :precondition
    ( and ( OBJ ?auto_11699 ) ( LOCATION ?auto_11700 ) ( TRUCK ?auto_11710 ) ( AT ?auto_11710 ?auto_11700 ) ( LOCATION ?auto_11705 ) ( AT ?auto_11710 ?auto_11705 ) ( AIRPLANE ?auto_11703 ) ( AIRPORT ?auto_11712 ) ( AIRPORT ?auto_11705 ) ( AT ?auto_11703 ?auto_11712 ) ( DIFFERENT ?auto_11705 ?auto_11712 ) ( LOCATION ?auto_11709 ) ( AT ?auto_11703 ?auto_11709 ) ( TRUCK ?auto_11707 ) ( LOCATION ?auto_11711 ) ( CITY ?auto_11701 ) ( IN-CITY ?auto_11711 ?auto_11701 ) ( IN-CITY ?auto_11709 ?auto_11701 ) ( DIFFERENT ?auto_11709 ?auto_11711 ) ( IN ?auto_11699 ?auto_11707 ) ( LOCATION ?auto_11715 ) ( CITY ?auto_11714 ) ( AT ?auto_11707 ?auto_11715 ) ( IN-CITY ?auto_11715 ?auto_11714 ) ( IN-CITY ?auto_11711 ?auto_11714 ) ( DIFFERENT ?auto_11711 ?auto_11715 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11707 ?auto_11715 ?auto_11711 ?auto_11714 )
      ( DELIVER-PKG ?auto_11699 ?auto_11700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11717
      ?auto_11718
    )
    :vars
    (
      ?auto_11729
      ?auto_11721
      ?auto_11730
      ?auto_11727
      ?auto_11719
      ?auto_11728
      ?auto_11726
      ?auto_11722
      ?auto_11724
      ?auto_11723
      ?auto_11732
    )
    :precondition
    ( and ( OBJ ?auto_11717 ) ( LOCATION ?auto_11718 ) ( TRUCK ?auto_11729 ) ( AT ?auto_11729 ?auto_11718 ) ( LOCATION ?auto_11721 ) ( AT ?auto_11729 ?auto_11721 ) ( AIRPLANE ?auto_11730 ) ( AIRPORT ?auto_11727 ) ( AIRPORT ?auto_11721 ) ( AT ?auto_11730 ?auto_11727 ) ( DIFFERENT ?auto_11721 ?auto_11727 ) ( LOCATION ?auto_11719 ) ( AT ?auto_11730 ?auto_11719 ) ( TRUCK ?auto_11728 ) ( LOCATION ?auto_11726 ) ( CITY ?auto_11722 ) ( IN-CITY ?auto_11726 ?auto_11722 ) ( IN-CITY ?auto_11719 ?auto_11722 ) ( DIFFERENT ?auto_11719 ?auto_11726 ) ( LOCATION ?auto_11724 ) ( CITY ?auto_11723 ) ( AT ?auto_11728 ?auto_11724 ) ( IN-CITY ?auto_11724 ?auto_11723 ) ( IN-CITY ?auto_11726 ?auto_11723 ) ( DIFFERENT ?auto_11726 ?auto_11724 ) ( LOCATION ?auto_11732 ) ( AT ?auto_11728 ?auto_11732 ) ( AT ?auto_11717 ?auto_11732 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11717 ?auto_11728 ?auto_11732 )
      ( DELIVER-PKG ?auto_11717 ?auto_11718 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11734
      ?auto_11735
    )
    :vars
    (
      ?auto_11740
      ?auto_11745
      ?auto_11746
      ?auto_11741
      ?auto_11744
      ?auto_11742
      ?auto_11737
      ?auto_11747
      ?auto_11739
      ?auto_11748
      ?auto_11738
      ?auto_11751
    )
    :precondition
    ( and ( OBJ ?auto_11734 ) ( LOCATION ?auto_11735 ) ( TRUCK ?auto_11740 ) ( AT ?auto_11740 ?auto_11735 ) ( LOCATION ?auto_11745 ) ( AT ?auto_11740 ?auto_11745 ) ( AIRPLANE ?auto_11746 ) ( AIRPORT ?auto_11741 ) ( AIRPORT ?auto_11745 ) ( AT ?auto_11746 ?auto_11741 ) ( DIFFERENT ?auto_11745 ?auto_11741 ) ( LOCATION ?auto_11744 ) ( AT ?auto_11746 ?auto_11744 ) ( TRUCK ?auto_11742 ) ( LOCATION ?auto_11737 ) ( CITY ?auto_11747 ) ( IN-CITY ?auto_11737 ?auto_11747 ) ( IN-CITY ?auto_11744 ?auto_11747 ) ( DIFFERENT ?auto_11744 ?auto_11737 ) ( LOCATION ?auto_11739 ) ( CITY ?auto_11748 ) ( AT ?auto_11742 ?auto_11739 ) ( IN-CITY ?auto_11739 ?auto_11748 ) ( IN-CITY ?auto_11737 ?auto_11748 ) ( DIFFERENT ?auto_11737 ?auto_11739 ) ( LOCATION ?auto_11738 ) ( AT ?auto_11742 ?auto_11738 ) ( AIRPLANE ?auto_11751 ) ( IN ?auto_11734 ?auto_11751 ) ( AT ?auto_11751 ?auto_11738 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11734 ?auto_11738 )
      ( DELIVER-PKG ?auto_11734 ?auto_11735 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11752
      ?auto_11753
    )
    :vars
    (
      ?auto_11767
      ?auto_11755
      ?auto_11757
      ?auto_11764
      ?auto_11759
      ?auto_11763
      ?auto_11756
      ?auto_11766
      ?auto_11758
      ?auto_11769
    )
    :precondition
    ( and ( OBJ ?auto_11752 ) ( LOCATION ?auto_11753 ) ( TRUCK ?auto_11767 ) ( AT ?auto_11767 ?auto_11753 ) ( LOCATION ?auto_11755 ) ( AT ?auto_11767 ?auto_11755 ) ( AIRPLANE ?auto_11757 ) ( AIRPORT ?auto_11764 ) ( AIRPORT ?auto_11755 ) ( DIFFERENT ?auto_11755 ?auto_11764 ) ( LOCATION ?auto_11764 ) ( TRUCK ?auto_11759 ) ( LOCATION ?auto_11763 ) ( CITY ?auto_11756 ) ( IN-CITY ?auto_11763 ?auto_11756 ) ( IN-CITY ?auto_11764 ?auto_11756 ) ( DIFFERENT ?auto_11764 ?auto_11763 ) ( LOCATION ?auto_11766 ) ( CITY ?auto_11758 ) ( AT ?auto_11759 ?auto_11766 ) ( IN-CITY ?auto_11766 ?auto_11758 ) ( IN-CITY ?auto_11763 ?auto_11758 ) ( DIFFERENT ?auto_11763 ?auto_11766 ) ( AT ?auto_11759 ?auto_11764 ) ( IN ?auto_11752 ?auto_11757 ) ( AIRPORT ?auto_11769 ) ( AT ?auto_11757 ?auto_11769 ) ( DIFFERENT ?auto_11764 ?auto_11769 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11757 ?auto_11769 ?auto_11764 )
      ( DELIVER-PKG ?auto_11752 ?auto_11753 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11851
      ?auto_11852
    )
    :vars
    (
      ?auto_11860
      ?auto_11859
      ?auto_11862
      ?auto_11858
      ?auto_11865
      ?auto_11863
      ?auto_11855
      ?auto_11861
      ?auto_11857
      ?auto_11856
      ?auto_11854
      ?auto_11866
      ?auto_11868
    )
    :precondition
    ( and ( OBJ ?auto_11851 ) ( LOCATION ?auto_11852 ) ( TRUCK ?auto_11860 ) ( AT ?auto_11860 ?auto_11852 ) ( LOCATION ?auto_11859 ) ( AT ?auto_11860 ?auto_11859 ) ( AIRPLANE ?auto_11862 ) ( AIRPORT ?auto_11858 ) ( AIRPORT ?auto_11859 ) ( DIFFERENT ?auto_11859 ?auto_11858 ) ( LOCATION ?auto_11858 ) ( TRUCK ?auto_11865 ) ( LOCATION ?auto_11863 ) ( CITY ?auto_11855 ) ( IN-CITY ?auto_11863 ?auto_11855 ) ( IN-CITY ?auto_11858 ?auto_11855 ) ( DIFFERENT ?auto_11858 ?auto_11863 ) ( LOCATION ?auto_11861 ) ( CITY ?auto_11857 ) ( AT ?auto_11865 ?auto_11861 ) ( IN-CITY ?auto_11861 ?auto_11857 ) ( IN-CITY ?auto_11863 ?auto_11857 ) ( DIFFERENT ?auto_11863 ?auto_11861 ) ( AT ?auto_11865 ?auto_11858 ) ( AIRPORT ?auto_11856 ) ( AT ?auto_11862 ?auto_11856 ) ( DIFFERENT ?auto_11858 ?auto_11856 ) ( LOCATION ?auto_11854 ) ( AT ?auto_11862 ?auto_11854 ) ( AIRPLANE ?auto_11866 ) ( AT ?auto_11866 ?auto_11854 ) ( LOCATION ?auto_11868 ) ( AT ?auto_11851 ?auto_11868 ) ( AT ?auto_11866 ?auto_11868 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_11851 ?auto_11866 ?auto_11868 )
      ( DELIVER-PKG ?auto_11851 ?auto_11852 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11817
      ?auto_11818
    )
    :vars
    (
      ?auto_11819
      ?auto_11820
      ?auto_11824
      ?auto_11827
      ?auto_11821
      ?auto_11825
      ?auto_11829
      ?auto_11831
      ?auto_11823
      ?auto_11822
      ?auto_11828
      ?auto_11834
    )
    :precondition
    ( and ( OBJ ?auto_11817 ) ( LOCATION ?auto_11818 ) ( TRUCK ?auto_11819 ) ( AT ?auto_11819 ?auto_11818 ) ( LOCATION ?auto_11820 ) ( AT ?auto_11819 ?auto_11820 ) ( AIRPLANE ?auto_11824 ) ( AIRPORT ?auto_11827 ) ( AIRPORT ?auto_11820 ) ( DIFFERENT ?auto_11820 ?auto_11827 ) ( LOCATION ?auto_11827 ) ( TRUCK ?auto_11821 ) ( LOCATION ?auto_11825 ) ( CITY ?auto_11829 ) ( IN-CITY ?auto_11825 ?auto_11829 ) ( IN-CITY ?auto_11827 ?auto_11829 ) ( DIFFERENT ?auto_11827 ?auto_11825 ) ( LOCATION ?auto_11831 ) ( CITY ?auto_11823 ) ( AT ?auto_11821 ?auto_11831 ) ( IN-CITY ?auto_11831 ?auto_11823 ) ( IN-CITY ?auto_11825 ?auto_11823 ) ( DIFFERENT ?auto_11825 ?auto_11831 ) ( AT ?auto_11821 ?auto_11827 ) ( AIRPORT ?auto_11822 ) ( AT ?auto_11824 ?auto_11822 ) ( DIFFERENT ?auto_11827 ?auto_11822 ) ( LOCATION ?auto_11828 ) ( AT ?auto_11824 ?auto_11828 ) ( AIRPLANE ?auto_11834 ) ( IN ?auto_11817 ?auto_11834 ) ( AT ?auto_11834 ?auto_11828 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11817 ?auto_11828 )
      ( DELIVER-PKG ?auto_11817 ?auto_11818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11870
      ?auto_11871
    )
    :vars
    (
      ?auto_11883
      ?auto_11881
      ?auto_11877
      ?auto_11880
      ?auto_11875
      ?auto_11878
      ?auto_11874
      ?auto_11884
      ?auto_11882
      ?auto_11885
      ?auto_11873
      ?auto_11876
      ?auto_11879
      ?auto_11889
    )
    :precondition
    ( and ( OBJ ?auto_11870 ) ( LOCATION ?auto_11871 ) ( TRUCK ?auto_11883 ) ( AT ?auto_11883 ?auto_11871 ) ( LOCATION ?auto_11881 ) ( AT ?auto_11883 ?auto_11881 ) ( AIRPLANE ?auto_11877 ) ( AIRPORT ?auto_11880 ) ( AIRPORT ?auto_11881 ) ( DIFFERENT ?auto_11881 ?auto_11880 ) ( LOCATION ?auto_11880 ) ( TRUCK ?auto_11875 ) ( LOCATION ?auto_11878 ) ( CITY ?auto_11874 ) ( IN-CITY ?auto_11878 ?auto_11874 ) ( IN-CITY ?auto_11880 ?auto_11874 ) ( DIFFERENT ?auto_11880 ?auto_11878 ) ( LOCATION ?auto_11884 ) ( CITY ?auto_11882 ) ( AT ?auto_11875 ?auto_11884 ) ( IN-CITY ?auto_11884 ?auto_11882 ) ( IN-CITY ?auto_11878 ?auto_11882 ) ( DIFFERENT ?auto_11878 ?auto_11884 ) ( AT ?auto_11875 ?auto_11880 ) ( AIRPORT ?auto_11885 ) ( AT ?auto_11877 ?auto_11885 ) ( DIFFERENT ?auto_11880 ?auto_11885 ) ( LOCATION ?auto_11873 ) ( AT ?auto_11877 ?auto_11873 ) ( AIRPLANE ?auto_11876 ) ( AT ?auto_11876 ?auto_11873 ) ( LOCATION ?auto_11879 ) ( AT ?auto_11876 ?auto_11879 ) ( TRUCK ?auto_11889 ) ( AT ?auto_11889 ?auto_11879 ) ( IN ?auto_11870 ?auto_11889 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11870 ?auto_11879 )
      ( DELIVER-PKG ?auto_11870 ?auto_11871 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11890
      ?auto_11891
    )
    :vars
    (
      ?auto_11893
      ?auto_11894
      ?auto_11898
      ?auto_11900
      ?auto_11907
      ?auto_11897
      ?auto_11904
      ?auto_11903
      ?auto_11902
      ?auto_11899
      ?auto_11905
      ?auto_11906
      ?auto_11896
      ?auto_11892
      ?auto_11910
      ?auto_11909
    )
    :precondition
    ( and ( OBJ ?auto_11890 ) ( LOCATION ?auto_11891 ) ( TRUCK ?auto_11893 ) ( AT ?auto_11893 ?auto_11891 ) ( LOCATION ?auto_11894 ) ( AT ?auto_11893 ?auto_11894 ) ( AIRPLANE ?auto_11898 ) ( AIRPORT ?auto_11900 ) ( AIRPORT ?auto_11894 ) ( DIFFERENT ?auto_11894 ?auto_11900 ) ( LOCATION ?auto_11900 ) ( TRUCK ?auto_11907 ) ( LOCATION ?auto_11897 ) ( CITY ?auto_11904 ) ( IN-CITY ?auto_11897 ?auto_11904 ) ( IN-CITY ?auto_11900 ?auto_11904 ) ( DIFFERENT ?auto_11900 ?auto_11897 ) ( LOCATION ?auto_11903 ) ( CITY ?auto_11902 ) ( AT ?auto_11907 ?auto_11903 ) ( IN-CITY ?auto_11903 ?auto_11902 ) ( IN-CITY ?auto_11897 ?auto_11902 ) ( DIFFERENT ?auto_11897 ?auto_11903 ) ( AT ?auto_11907 ?auto_11900 ) ( AIRPORT ?auto_11899 ) ( AT ?auto_11898 ?auto_11899 ) ( DIFFERENT ?auto_11900 ?auto_11899 ) ( LOCATION ?auto_11905 ) ( AT ?auto_11898 ?auto_11905 ) ( AIRPLANE ?auto_11906 ) ( AT ?auto_11906 ?auto_11905 ) ( LOCATION ?auto_11896 ) ( AT ?auto_11906 ?auto_11896 ) ( TRUCK ?auto_11892 ) ( IN ?auto_11890 ?auto_11892 ) ( LOCATION ?auto_11910 ) ( CITY ?auto_11909 ) ( AT ?auto_11892 ?auto_11910 ) ( IN-CITY ?auto_11910 ?auto_11909 ) ( IN-CITY ?auto_11896 ?auto_11909 ) ( DIFFERENT ?auto_11896 ?auto_11910 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11892 ?auto_11910 ?auto_11896 ?auto_11909 )
      ( DELIVER-PKG ?auto_11890 ?auto_11891 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11912
      ?auto_11913
    )
    :vars
    (
      ?auto_11930
      ?auto_11929
      ?auto_11917
      ?auto_11918
      ?auto_11923
      ?auto_11919
      ?auto_11924
      ?auto_11928
      ?auto_11925
      ?auto_11927
      ?auto_11915
      ?auto_11922
      ?auto_11931
      ?auto_11916
      ?auto_11926
      ?auto_11920
      ?auto_11933
    )
    :precondition
    ( and ( OBJ ?auto_11912 ) ( LOCATION ?auto_11913 ) ( TRUCK ?auto_11930 ) ( AT ?auto_11930 ?auto_11913 ) ( LOCATION ?auto_11929 ) ( AT ?auto_11930 ?auto_11929 ) ( AIRPLANE ?auto_11917 ) ( AIRPORT ?auto_11918 ) ( AIRPORT ?auto_11929 ) ( DIFFERENT ?auto_11929 ?auto_11918 ) ( LOCATION ?auto_11918 ) ( TRUCK ?auto_11923 ) ( LOCATION ?auto_11919 ) ( CITY ?auto_11924 ) ( IN-CITY ?auto_11919 ?auto_11924 ) ( IN-CITY ?auto_11918 ?auto_11924 ) ( DIFFERENT ?auto_11918 ?auto_11919 ) ( LOCATION ?auto_11928 ) ( CITY ?auto_11925 ) ( AT ?auto_11923 ?auto_11928 ) ( IN-CITY ?auto_11928 ?auto_11925 ) ( IN-CITY ?auto_11919 ?auto_11925 ) ( DIFFERENT ?auto_11919 ?auto_11928 ) ( AT ?auto_11923 ?auto_11918 ) ( AIRPORT ?auto_11927 ) ( AT ?auto_11917 ?auto_11927 ) ( DIFFERENT ?auto_11918 ?auto_11927 ) ( LOCATION ?auto_11915 ) ( AT ?auto_11917 ?auto_11915 ) ( AIRPLANE ?auto_11922 ) ( AT ?auto_11922 ?auto_11915 ) ( LOCATION ?auto_11931 ) ( AT ?auto_11922 ?auto_11931 ) ( TRUCK ?auto_11916 ) ( LOCATION ?auto_11926 ) ( CITY ?auto_11920 ) ( AT ?auto_11916 ?auto_11926 ) ( IN-CITY ?auto_11926 ?auto_11920 ) ( IN-CITY ?auto_11931 ?auto_11920 ) ( DIFFERENT ?auto_11931 ?auto_11926 ) ( LOCATION ?auto_11933 ) ( AT ?auto_11916 ?auto_11933 ) ( AT ?auto_11912 ?auto_11933 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11912 ?auto_11916 ?auto_11933 )
      ( DELIVER-PKG ?auto_11912 ?auto_11913 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11935
      ?auto_11936
    )
    :vars
    (
      ?auto_11942
      ?auto_11949
      ?auto_11951
      ?auto_11950
      ?auto_11940
      ?auto_11953
      ?auto_11947
      ?auto_11948
      ?auto_11944
      ?auto_11938
      ?auto_11945
      ?auto_11954
      ?auto_11943
      ?auto_11952
      ?auto_11941
      ?auto_11955
      ?auto_11958
      ?auto_11957
    )
    :precondition
    ( and ( OBJ ?auto_11935 ) ( LOCATION ?auto_11936 ) ( TRUCK ?auto_11942 ) ( AT ?auto_11942 ?auto_11936 ) ( LOCATION ?auto_11949 ) ( AT ?auto_11942 ?auto_11949 ) ( AIRPLANE ?auto_11951 ) ( AIRPORT ?auto_11950 ) ( AIRPORT ?auto_11949 ) ( DIFFERENT ?auto_11949 ?auto_11950 ) ( LOCATION ?auto_11950 ) ( TRUCK ?auto_11940 ) ( LOCATION ?auto_11953 ) ( CITY ?auto_11947 ) ( IN-CITY ?auto_11953 ?auto_11947 ) ( IN-CITY ?auto_11950 ?auto_11947 ) ( DIFFERENT ?auto_11950 ?auto_11953 ) ( LOCATION ?auto_11948 ) ( CITY ?auto_11944 ) ( AT ?auto_11940 ?auto_11948 ) ( IN-CITY ?auto_11948 ?auto_11944 ) ( IN-CITY ?auto_11953 ?auto_11944 ) ( DIFFERENT ?auto_11953 ?auto_11948 ) ( AT ?auto_11940 ?auto_11950 ) ( AIRPORT ?auto_11938 ) ( AT ?auto_11951 ?auto_11938 ) ( DIFFERENT ?auto_11950 ?auto_11938 ) ( LOCATION ?auto_11945 ) ( AT ?auto_11951 ?auto_11945 ) ( AIRPLANE ?auto_11954 ) ( AT ?auto_11954 ?auto_11945 ) ( LOCATION ?auto_11943 ) ( AT ?auto_11954 ?auto_11943 ) ( TRUCK ?auto_11952 ) ( LOCATION ?auto_11941 ) ( CITY ?auto_11955 ) ( IN-CITY ?auto_11941 ?auto_11955 ) ( IN-CITY ?auto_11943 ?auto_11955 ) ( DIFFERENT ?auto_11943 ?auto_11941 ) ( AT ?auto_11935 ?auto_11941 ) ( LOCATION ?auto_11958 ) ( CITY ?auto_11957 ) ( AT ?auto_11952 ?auto_11958 ) ( IN-CITY ?auto_11958 ?auto_11957 ) ( IN-CITY ?auto_11941 ?auto_11957 ) ( DIFFERENT ?auto_11941 ?auto_11958 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11952 ?auto_11958 ?auto_11941 ?auto_11957 )
      ( DELIVER-PKG ?auto_11935 ?auto_11936 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12004
      ?auto_12005
    )
    :vars
    (
      ?auto_12025
      ?auto_12016
      ?auto_12012
      ?auto_12020
      ?auto_12022
      ?auto_12011
      ?auto_12015
      ?auto_12019
      ?auto_12009
      ?auto_12024
      ?auto_12007
      ?auto_12023
      ?auto_12021
      ?auto_12006
      ?auto_12008
      ?auto_12027
    )
    :precondition
    ( and ( OBJ ?auto_12004 ) ( LOCATION ?auto_12005 ) ( TRUCK ?auto_12025 ) ( AT ?auto_12025 ?auto_12005 ) ( LOCATION ?auto_12016 ) ( AT ?auto_12025 ?auto_12016 ) ( AIRPLANE ?auto_12012 ) ( AIRPORT ?auto_12020 ) ( AIRPORT ?auto_12016 ) ( DIFFERENT ?auto_12016 ?auto_12020 ) ( LOCATION ?auto_12020 ) ( TRUCK ?auto_12022 ) ( LOCATION ?auto_12011 ) ( CITY ?auto_12015 ) ( IN-CITY ?auto_12011 ?auto_12015 ) ( IN-CITY ?auto_12020 ?auto_12015 ) ( DIFFERENT ?auto_12020 ?auto_12011 ) ( LOCATION ?auto_12019 ) ( CITY ?auto_12009 ) ( AT ?auto_12022 ?auto_12019 ) ( IN-CITY ?auto_12019 ?auto_12009 ) ( IN-CITY ?auto_12011 ?auto_12009 ) ( DIFFERENT ?auto_12011 ?auto_12019 ) ( AT ?auto_12022 ?auto_12020 ) ( AIRPORT ?auto_12024 ) ( DIFFERENT ?auto_12020 ?auto_12024 ) ( LOCATION ?auto_12024 ) ( TRUCK ?auto_12007 ) ( LOCATION ?auto_12023 ) ( CITY ?auto_12021 ) ( IN-CITY ?auto_12023 ?auto_12021 ) ( IN-CITY ?auto_12024 ?auto_12021 ) ( DIFFERENT ?auto_12024 ?auto_12023 ) ( AT ?auto_12004 ?auto_12023 ) ( LOCATION ?auto_12006 ) ( CITY ?auto_12008 ) ( AT ?auto_12007 ?auto_12006 ) ( IN-CITY ?auto_12006 ?auto_12008 ) ( IN-CITY ?auto_12023 ?auto_12008 ) ( DIFFERENT ?auto_12023 ?auto_12006 ) ( AIRPORT ?auto_12027 ) ( AT ?auto_12012 ?auto_12027 ) ( DIFFERENT ?auto_12024 ?auto_12027 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12012 ?auto_12027 ?auto_12024 )
      ( DELIVER-PKG ?auto_12004 ?auto_12005 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12069
      ?auto_12084
    )
    :vars
    (
      ?auto_12088
      ?auto_12082
      ?auto_12086
      ?auto_12075
      ?auto_12074
      ?auto_12083
      ?auto_12085
      ?auto_12081
      ?auto_12077
      ?auto_12079
      ?auto_12076
      ?auto_12072
      ?auto_12078
      ?auto_12080
      ?auto_12073
      ?auto_12091
      ?auto_12090
    )
    :precondition
    ( and ( OBJ ?auto_12069 ) ( LOCATION ?auto_12084 ) ( TRUCK ?auto_12088 ) ( AIRPLANE ?auto_12082 ) ( AIRPORT ?auto_12086 ) ( AIRPORT ?auto_12084 ) ( DIFFERENT ?auto_12084 ?auto_12086 ) ( LOCATION ?auto_12086 ) ( TRUCK ?auto_12075 ) ( LOCATION ?auto_12074 ) ( CITY ?auto_12083 ) ( IN-CITY ?auto_12074 ?auto_12083 ) ( IN-CITY ?auto_12086 ?auto_12083 ) ( DIFFERENT ?auto_12086 ?auto_12074 ) ( LOCATION ?auto_12085 ) ( CITY ?auto_12081 ) ( AT ?auto_12075 ?auto_12085 ) ( IN-CITY ?auto_12085 ?auto_12081 ) ( IN-CITY ?auto_12074 ?auto_12081 ) ( DIFFERENT ?auto_12074 ?auto_12085 ) ( AT ?auto_12075 ?auto_12086 ) ( AIRPORT ?auto_12077 ) ( DIFFERENT ?auto_12086 ?auto_12077 ) ( LOCATION ?auto_12077 ) ( TRUCK ?auto_12079 ) ( LOCATION ?auto_12076 ) ( CITY ?auto_12072 ) ( IN-CITY ?auto_12076 ?auto_12072 ) ( IN-CITY ?auto_12077 ?auto_12072 ) ( DIFFERENT ?auto_12077 ?auto_12076 ) ( AT ?auto_12069 ?auto_12076 ) ( LOCATION ?auto_12078 ) ( CITY ?auto_12080 ) ( AT ?auto_12079 ?auto_12078 ) ( IN-CITY ?auto_12078 ?auto_12080 ) ( IN-CITY ?auto_12076 ?auto_12080 ) ( DIFFERENT ?auto_12076 ?auto_12078 ) ( AIRPORT ?auto_12073 ) ( AT ?auto_12082 ?auto_12073 ) ( DIFFERENT ?auto_12077 ?auto_12073 ) ( LOCATION ?auto_12091 ) ( CITY ?auto_12090 ) ( AT ?auto_12088 ?auto_12091 ) ( IN-CITY ?auto_12091 ?auto_12090 ) ( IN-CITY ?auto_12084 ?auto_12090 ) ( DIFFERENT ?auto_12084 ?auto_12091 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12088 ?auto_12091 ?auto_12084 ?auto_12090 )
      ( DELIVER-PKG ?auto_12069 ?auto_12084 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12114
      ?auto_12115
    )
    :vars
    (
      ?auto_12122
      ?auto_12130
      ?auto_12121
      ?auto_12132
      ?auto_12133
      ?auto_12131
      ?auto_12120
      ?auto_12129
      ?auto_12125
      ?auto_12127
      ?auto_12124
      ?auto_12116
      ?auto_12126
      ?auto_12128
      ?auto_12118
      ?auto_12134
      ?auto_12117
      ?auto_12137
      ?auto_12136
    )
    :precondition
    ( and ( OBJ ?auto_12114 ) ( LOCATION ?auto_12115 ) ( TRUCK ?auto_12122 ) ( AIRPLANE ?auto_12130 ) ( AIRPORT ?auto_12121 ) ( AIRPORT ?auto_12115 ) ( DIFFERENT ?auto_12115 ?auto_12121 ) ( LOCATION ?auto_12121 ) ( TRUCK ?auto_12132 ) ( LOCATION ?auto_12133 ) ( CITY ?auto_12131 ) ( IN-CITY ?auto_12133 ?auto_12131 ) ( IN-CITY ?auto_12121 ?auto_12131 ) ( DIFFERENT ?auto_12121 ?auto_12133 ) ( LOCATION ?auto_12120 ) ( CITY ?auto_12129 ) ( AT ?auto_12132 ?auto_12120 ) ( IN-CITY ?auto_12120 ?auto_12129 ) ( IN-CITY ?auto_12133 ?auto_12129 ) ( DIFFERENT ?auto_12133 ?auto_12120 ) ( AT ?auto_12132 ?auto_12121 ) ( AIRPORT ?auto_12125 ) ( DIFFERENT ?auto_12121 ?auto_12125 ) ( LOCATION ?auto_12125 ) ( TRUCK ?auto_12127 ) ( LOCATION ?auto_12124 ) ( CITY ?auto_12116 ) ( IN-CITY ?auto_12124 ?auto_12116 ) ( IN-CITY ?auto_12125 ?auto_12116 ) ( DIFFERENT ?auto_12125 ?auto_12124 ) ( AT ?auto_12114 ?auto_12124 ) ( LOCATION ?auto_12126 ) ( CITY ?auto_12128 ) ( AT ?auto_12127 ?auto_12126 ) ( IN-CITY ?auto_12126 ?auto_12128 ) ( IN-CITY ?auto_12124 ?auto_12128 ) ( DIFFERENT ?auto_12124 ?auto_12126 ) ( AIRPORT ?auto_12118 ) ( AT ?auto_12130 ?auto_12118 ) ( DIFFERENT ?auto_12125 ?auto_12118 ) ( LOCATION ?auto_12134 ) ( CITY ?auto_12117 ) ( IN-CITY ?auto_12134 ?auto_12117 ) ( IN-CITY ?auto_12115 ?auto_12117 ) ( DIFFERENT ?auto_12115 ?auto_12134 ) ( LOCATION ?auto_12137 ) ( CITY ?auto_12136 ) ( AT ?auto_12122 ?auto_12137 ) ( IN-CITY ?auto_12137 ?auto_12136 ) ( IN-CITY ?auto_12134 ?auto_12136 ) ( DIFFERENT ?auto_12134 ?auto_12137 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12122 ?auto_12137 ?auto_12134 ?auto_12136 )
      ( DELIVER-PKG ?auto_12114 ?auto_12115 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12166
      ?auto_12167
    )
    :vars
    (
      ?auto_12178
      ?auto_12184
      ?auto_12180
      ?auto_12187
      ?auto_12170
      ?auto_12185
      ?auto_12186
      ?auto_12171
      ?auto_12179
      ?auto_12188
      ?auto_12174
      ?auto_12172
      ?auto_12183
      ?auto_12173
      ?auto_12175
      ?auto_12182
      ?auto_12176
      ?auto_12189
      ?auto_12177
      ?auto_12181
      ?auto_12192
      ?auto_12191
    )
    :precondition
    ( and ( OBJ ?auto_12166 ) ( LOCATION ?auto_12167 ) ( TRUCK ?auto_12178 ) ( AIRPLANE ?auto_12184 ) ( AIRPORT ?auto_12180 ) ( AIRPORT ?auto_12167 ) ( DIFFERENT ?auto_12167 ?auto_12180 ) ( LOCATION ?auto_12180 ) ( TRUCK ?auto_12187 ) ( LOCATION ?auto_12170 ) ( CITY ?auto_12185 ) ( IN-CITY ?auto_12170 ?auto_12185 ) ( IN-CITY ?auto_12180 ?auto_12185 ) ( DIFFERENT ?auto_12180 ?auto_12170 ) ( CITY ?auto_12186 ) ( IN-CITY ?auto_12180 ?auto_12186 ) ( IN-CITY ?auto_12170 ?auto_12186 ) ( DIFFERENT ?auto_12170 ?auto_12180 ) ( AIRPORT ?auto_12171 ) ( DIFFERENT ?auto_12180 ?auto_12171 ) ( LOCATION ?auto_12171 ) ( TRUCK ?auto_12179 ) ( LOCATION ?auto_12188 ) ( CITY ?auto_12174 ) ( IN-CITY ?auto_12188 ?auto_12174 ) ( IN-CITY ?auto_12171 ?auto_12174 ) ( DIFFERENT ?auto_12171 ?auto_12188 ) ( AT ?auto_12166 ?auto_12188 ) ( LOCATION ?auto_12172 ) ( CITY ?auto_12183 ) ( AT ?auto_12179 ?auto_12172 ) ( IN-CITY ?auto_12172 ?auto_12183 ) ( IN-CITY ?auto_12188 ?auto_12183 ) ( DIFFERENT ?auto_12188 ?auto_12172 ) ( AIRPORT ?auto_12173 ) ( AT ?auto_12184 ?auto_12173 ) ( DIFFERENT ?auto_12171 ?auto_12173 ) ( LOCATION ?auto_12175 ) ( CITY ?auto_12182 ) ( IN-CITY ?auto_12175 ?auto_12182 ) ( IN-CITY ?auto_12167 ?auto_12182 ) ( DIFFERENT ?auto_12167 ?auto_12175 ) ( LOCATION ?auto_12176 ) ( CITY ?auto_12189 ) ( IN-CITY ?auto_12176 ?auto_12189 ) ( IN-CITY ?auto_12175 ?auto_12189 ) ( DIFFERENT ?auto_12175 ?auto_12176 ) ( LOCATION ?auto_12177 ) ( CITY ?auto_12181 ) ( AT ?auto_12187 ?auto_12177 ) ( IN-CITY ?auto_12177 ?auto_12181 ) ( IN-CITY ?auto_12180 ?auto_12181 ) ( DIFFERENT ?auto_12180 ?auto_12177 ) ( LOCATION ?auto_12192 ) ( CITY ?auto_12191 ) ( AT ?auto_12178 ?auto_12192 ) ( IN-CITY ?auto_12192 ?auto_12191 ) ( IN-CITY ?auto_12176 ?auto_12191 ) ( DIFFERENT ?auto_12176 ?auto_12192 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12178 ?auto_12192 ?auto_12176 ?auto_12191 )
      ( DELIVER-PKG ?auto_12166 ?auto_12167 ) )
  )

)

