( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_244
      ?auto_245
    )
    :vars
    (
      ?auto_248
    )
    :precondition
    ( and ( OBJ ?auto_244 ) ( LOCATION ?auto_245 ) ( TRUCK ?auto_248 ) ( AT ?auto_248 ?auto_245 ) ( IN ?auto_244 ?auto_248 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_244 ?auto_248 ?auto_245 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_254
      ?auto_255
    )
    :vars
    (
      ?auto_256
      ?auto_261
      ?auto_260
    )
    :precondition
    ( and ( OBJ ?auto_254 ) ( LOCATION ?auto_255 ) ( TRUCK ?auto_256 ) ( IN ?auto_254 ?auto_256 ) ( LOCATION ?auto_261 ) ( CITY ?auto_260 ) ( AT ?auto_256 ?auto_261 ) ( IN-CITY ?auto_261 ?auto_260 ) ( IN-CITY ?auto_255 ?auto_260 ) ( DIFFERENT ?auto_255 ?auto_261 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_256 ?auto_261 ?auto_255 ?auto_260 )
      ( DELIVER-PKG ?auto_254 ?auto_255 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1568
      ?auto_1569
    )
    :vars
    (
      ?auto_1572
      ?auto_1573
      ?auto_1576
      ?auto_1571
      ?auto_1574
      ?auto_1578
    )
    :precondition
    ( and ( OBJ ?auto_1568 ) ( LOCATION ?auto_1569 ) ( TRUCK ?auto_1572 ) ( LOCATION ?auto_1573 ) ( CITY ?auto_1576 ) ( AT ?auto_1572 ?auto_1573 ) ( IN-CITY ?auto_1573 ?auto_1576 ) ( IN-CITY ?auto_1569 ?auto_1576 ) ( DIFFERENT ?auto_1569 ?auto_1573 ) ( LOCATION ?auto_1571 ) ( AT ?auto_1572 ?auto_1571 ) ( TRUCK ?auto_1574 ) ( AT ?auto_1574 ?auto_1571 ) ( LOCATION ?auto_1578 ) ( AT ?auto_1574 ?auto_1578 ) ( AT ?auto_1568 ?auto_1578 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1568 ?auto_1574 ?auto_1578 )
      ( DELIVER-PKG ?auto_1568 ?auto_1569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_311
      ?auto_312
    )
    :vars
    (
      ?auto_317
      ?auto_318
      ?auto_315
      ?auto_321
      ?auto_320
    )
    :precondition
    ( and ( OBJ ?auto_311 ) ( LOCATION ?auto_312 ) ( TRUCK ?auto_317 ) ( LOCATION ?auto_318 ) ( CITY ?auto_315 ) ( IN-CITY ?auto_318 ?auto_315 ) ( IN-CITY ?auto_312 ?auto_315 ) ( DIFFERENT ?auto_312 ?auto_318 ) ( AT ?auto_311 ?auto_318 ) ( LOCATION ?auto_321 ) ( CITY ?auto_320 ) ( AT ?auto_317 ?auto_321 ) ( IN-CITY ?auto_321 ?auto_320 ) ( IN-CITY ?auto_318 ?auto_320 ) ( DIFFERENT ?auto_318 ?auto_321 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_317 ?auto_321 ?auto_318 ?auto_320 )
      ( DELIVER-PKG ?auto_311 ?auto_312 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_491
      ?auto_492
    )
    :vars
    (
      ?auto_495
    )
    :precondition
    ( and ( OBJ ?auto_491 ) ( LOCATION ?auto_492 ) ( AIRPLANE ?auto_495 ) ( IN ?auto_491 ?auto_495 ) ( AT ?auto_495 ?auto_492 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_491 ?auto_495 ?auto_492 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_496
      ?auto_497
    )
    :vars
    (
      ?auto_500
      ?auto_502
    )
    :precondition
    ( and ( OBJ ?auto_496 ) ( LOCATION ?auto_497 ) ( AIRPLANE ?auto_500 ) ( IN ?auto_496 ?auto_500 ) ( AIRPORT ?auto_502 ) ( AIRPORT ?auto_497 ) ( AT ?auto_500 ?auto_502 ) ( DIFFERENT ?auto_497 ?auto_502 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_500 ?auto_502 ?auto_497 )
      ( DELIVER-PKG ?auto_496 ?auto_497 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17212
      ?auto_17213
    )
    :vars
    (
      ?auto_17217
      ?auto_17219
      ?auto_17215
      ?auto_17214
      ?auto_17221
    )
    :precondition
    ( and ( OBJ ?auto_17212 ) ( LOCATION ?auto_17213 ) ( AIRPLANE ?auto_17217 ) ( AIRPORT ?auto_17219 ) ( AIRPORT ?auto_17213 ) ( AT ?auto_17217 ?auto_17219 ) ( DIFFERENT ?auto_17213 ?auto_17219 ) ( LOCATION ?auto_17215 ) ( AT ?auto_17217 ?auto_17215 ) ( AIRPLANE ?auto_17214 ) ( AT ?auto_17214 ?auto_17215 ) ( LOCATION ?auto_17221 ) ( AT ?auto_17212 ?auto_17221 ) ( AT ?auto_17214 ?auto_17221 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_17212 ?auto_17214 ?auto_17221 )
      ( DELIVER-PKG ?auto_17212 ?auto_17213 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17223
      ?auto_17224
    )
    :vars
    (
      ?auto_17225
      ?auto_17226
      ?auto_17227
      ?auto_17231
      ?auto_17228
      ?auto_17234
    )
    :precondition
    ( and ( OBJ ?auto_17223 ) ( LOCATION ?auto_17224 ) ( AIRPLANE ?auto_17225 ) ( AIRPORT ?auto_17226 ) ( AIRPORT ?auto_17224 ) ( AT ?auto_17225 ?auto_17226 ) ( DIFFERENT ?auto_17224 ?auto_17226 ) ( LOCATION ?auto_17227 ) ( AT ?auto_17225 ?auto_17227 ) ( AIRPLANE ?auto_17231 ) ( AT ?auto_17231 ?auto_17227 ) ( LOCATION ?auto_17228 ) ( AT ?auto_17231 ?auto_17228 ) ( TRUCK ?auto_17234 ) ( AT ?auto_17234 ?auto_17228 ) ( IN ?auto_17223 ?auto_17234 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17223 ?auto_17228 )
      ( DELIVER-PKG ?auto_17223 ?auto_17224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17235
      ?auto_17236
    )
    :vars
    (
      ?auto_17241
      ?auto_17244
      ?auto_17239
      ?auto_17238
      ?auto_17237
      ?auto_17240
      ?auto_17247
      ?auto_17246
    )
    :precondition
    ( and ( OBJ ?auto_17235 ) ( LOCATION ?auto_17236 ) ( AIRPLANE ?auto_17241 ) ( AIRPORT ?auto_17244 ) ( AIRPORT ?auto_17236 ) ( AT ?auto_17241 ?auto_17244 ) ( DIFFERENT ?auto_17236 ?auto_17244 ) ( LOCATION ?auto_17239 ) ( AT ?auto_17241 ?auto_17239 ) ( AIRPLANE ?auto_17238 ) ( AT ?auto_17238 ?auto_17239 ) ( LOCATION ?auto_17237 ) ( AT ?auto_17238 ?auto_17237 ) ( TRUCK ?auto_17240 ) ( IN ?auto_17235 ?auto_17240 ) ( LOCATION ?auto_17247 ) ( CITY ?auto_17246 ) ( AT ?auto_17240 ?auto_17247 ) ( IN-CITY ?auto_17247 ?auto_17246 ) ( IN-CITY ?auto_17237 ?auto_17246 ) ( DIFFERENT ?auto_17237 ?auto_17247 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17240 ?auto_17247 ?auto_17237 ?auto_17246 )
      ( DELIVER-PKG ?auto_17235 ?auto_17236 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17249
      ?auto_17250
    )
    :vars
    (
      ?auto_17251
      ?auto_17256
      ?auto_17260
      ?auto_17259
      ?auto_17255
      ?auto_17257
      ?auto_17254
      ?auto_17253
      ?auto_17262
    )
    :precondition
    ( and ( OBJ ?auto_17249 ) ( LOCATION ?auto_17250 ) ( AIRPLANE ?auto_17251 ) ( AIRPORT ?auto_17256 ) ( AIRPORT ?auto_17250 ) ( AT ?auto_17251 ?auto_17256 ) ( DIFFERENT ?auto_17250 ?auto_17256 ) ( LOCATION ?auto_17260 ) ( AT ?auto_17251 ?auto_17260 ) ( AIRPLANE ?auto_17259 ) ( AT ?auto_17259 ?auto_17260 ) ( LOCATION ?auto_17255 ) ( AT ?auto_17259 ?auto_17255 ) ( TRUCK ?auto_17257 ) ( LOCATION ?auto_17254 ) ( CITY ?auto_17253 ) ( AT ?auto_17257 ?auto_17254 ) ( IN-CITY ?auto_17254 ?auto_17253 ) ( IN-CITY ?auto_17255 ?auto_17253 ) ( DIFFERENT ?auto_17255 ?auto_17254 ) ( LOCATION ?auto_17262 ) ( AT ?auto_17257 ?auto_17262 ) ( AT ?auto_17249 ?auto_17262 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17249 ?auto_17257 ?auto_17262 )
      ( DELIVER-PKG ?auto_17249 ?auto_17250 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_605
      ?auto_606
    )
    :vars
    (
      ?auto_614
      ?auto_609
      ?auto_610
      ?auto_613
      ?auto_612
      ?auto_615
      ?auto_617
    )
    :precondition
    ( and ( OBJ ?auto_605 ) ( LOCATION ?auto_606 ) ( AIRPLANE ?auto_614 ) ( AIRPORT ?auto_609 ) ( AIRPORT ?auto_606 ) ( DIFFERENT ?auto_606 ?auto_609 ) ( LOCATION ?auto_609 ) ( TRUCK ?auto_610 ) ( LOCATION ?auto_613 ) ( CITY ?auto_612 ) ( AT ?auto_610 ?auto_613 ) ( IN-CITY ?auto_613 ?auto_612 ) ( IN-CITY ?auto_609 ?auto_612 ) ( DIFFERENT ?auto_609 ?auto_613 ) ( LOCATION ?auto_615 ) ( AT ?auto_610 ?auto_615 ) ( AT ?auto_605 ?auto_615 ) ( AIRPORT ?auto_617 ) ( AT ?auto_614 ?auto_617 ) ( DIFFERENT ?auto_609 ?auto_617 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_614 ?auto_617 ?auto_609 )
      ( DELIVER-PKG ?auto_605 ?auto_606 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_619
      ?auto_620
    )
    :vars
    (
      ?auto_627
      ?auto_623
      ?auto_624
      ?auto_628
      ?auto_625
      ?auto_629
      ?auto_632
      ?auto_631
    )
    :precondition
    ( and ( OBJ ?auto_619 ) ( LOCATION ?auto_620 ) ( AIRPLANE ?auto_627 ) ( AIRPORT ?auto_623 ) ( AIRPORT ?auto_620 ) ( DIFFERENT ?auto_620 ?auto_623 ) ( LOCATION ?auto_623 ) ( TRUCK ?auto_624 ) ( LOCATION ?auto_628 ) ( CITY ?auto_625 ) ( IN-CITY ?auto_628 ?auto_625 ) ( IN-CITY ?auto_623 ?auto_625 ) ( DIFFERENT ?auto_623 ?auto_628 ) ( AT ?auto_619 ?auto_628 ) ( AIRPORT ?auto_629 ) ( AT ?auto_627 ?auto_629 ) ( DIFFERENT ?auto_623 ?auto_629 ) ( LOCATION ?auto_632 ) ( CITY ?auto_631 ) ( AT ?auto_624 ?auto_632 ) ( IN-CITY ?auto_632 ?auto_631 ) ( IN-CITY ?auto_628 ?auto_631 ) ( DIFFERENT ?auto_628 ?auto_632 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_624 ?auto_632 ?auto_628 ?auto_631 )
      ( DELIVER-PKG ?auto_619 ?auto_620 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_773
      ?auto_774
    )
    :vars
    (
      ?auto_777
      ?auto_779
    )
    :precondition
    ( and ( OBJ ?auto_773 ) ( LOCATION ?auto_774 ) ( TRUCK ?auto_777 ) ( AT ?auto_777 ?auto_774 ) ( LOCATION ?auto_779 ) ( AT ?auto_777 ?auto_779 ) ( AT ?auto_773 ?auto_779 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_773 ?auto_777 ?auto_779 )
      ( DELIVER-PKG ?auto_773 ?auto_774 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_781
      ?auto_782
    )
    :vars
    (
      ?auto_786
      ?auto_784
      ?auto_789
    )
    :precondition
    ( and ( OBJ ?auto_781 ) ( LOCATION ?auto_782 ) ( TRUCK ?auto_786 ) ( AT ?auto_786 ?auto_782 ) ( LOCATION ?auto_784 ) ( AT ?auto_786 ?auto_784 ) ( AIRPLANE ?auto_789 ) ( IN ?auto_781 ?auto_789 ) ( AT ?auto_789 ?auto_784 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_781 ?auto_784 )
      ( DELIVER-PKG ?auto_781 ?auto_782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_790
      ?auto_791
    )
    :vars
    (
      ?auto_792
      ?auto_795
      ?auto_793
      ?auto_798
    )
    :precondition
    ( and ( OBJ ?auto_790 ) ( LOCATION ?auto_791 ) ( TRUCK ?auto_792 ) ( AT ?auto_792 ?auto_791 ) ( LOCATION ?auto_795 ) ( AT ?auto_792 ?auto_795 ) ( AIRPLANE ?auto_793 ) ( IN ?auto_790 ?auto_793 ) ( AIRPORT ?auto_798 ) ( AIRPORT ?auto_795 ) ( AT ?auto_793 ?auto_798 ) ( DIFFERENT ?auto_795 ?auto_798 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_793 ?auto_798 ?auto_795 )
      ( DELIVER-PKG ?auto_790 ?auto_791 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_800
      ?auto_801
    )
    :vars
    (
      ?auto_807
      ?auto_802
      ?auto_806
      ?auto_804
      ?auto_809
    )
    :precondition
    ( and ( OBJ ?auto_800 ) ( LOCATION ?auto_801 ) ( TRUCK ?auto_807 ) ( AT ?auto_807 ?auto_801 ) ( LOCATION ?auto_802 ) ( AT ?auto_807 ?auto_802 ) ( AIRPLANE ?auto_806 ) ( AIRPORT ?auto_804 ) ( AIRPORT ?auto_802 ) ( AT ?auto_806 ?auto_804 ) ( DIFFERENT ?auto_802 ?auto_804 ) ( LOCATION ?auto_809 ) ( AT ?auto_800 ?auto_809 ) ( AT ?auto_806 ?auto_809 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_800 ?auto_806 ?auto_809 )
      ( DELIVER-PKG ?auto_800 ?auto_801 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_820
      ?auto_821
    )
    :vars
    (
      ?auto_826
      ?auto_828
      ?auto_823
      ?auto_827
      ?auto_825
      ?auto_829
    )
    :precondition
    ( and ( OBJ ?auto_820 ) ( LOCATION ?auto_821 ) ( TRUCK ?auto_826 ) ( AT ?auto_826 ?auto_821 ) ( LOCATION ?auto_828 ) ( AT ?auto_826 ?auto_828 ) ( AIRPLANE ?auto_823 ) ( AIRPORT ?auto_827 ) ( AIRPORT ?auto_828 ) ( AT ?auto_823 ?auto_827 ) ( DIFFERENT ?auto_828 ?auto_827 ) ( LOCATION ?auto_825 ) ( AT ?auto_823 ?auto_825 ) ( TRUCK ?auto_829 ) ( AT ?auto_829 ?auto_825 ) ( IN ?auto_820 ?auto_829 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_820 ?auto_825 )
      ( DELIVER-PKG ?auto_820 ?auto_821 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_842
      ?auto_843
    )
    :vars
    (
      ?auto_846
      ?auto_848
      ?auto_850
      ?auto_844
      ?auto_847
      ?auto_849
      ?auto_854
      ?auto_853
    )
    :precondition
    ( and ( OBJ ?auto_842 ) ( LOCATION ?auto_843 ) ( TRUCK ?auto_846 ) ( AT ?auto_846 ?auto_843 ) ( LOCATION ?auto_848 ) ( AT ?auto_846 ?auto_848 ) ( AIRPLANE ?auto_850 ) ( AIRPORT ?auto_844 ) ( AIRPORT ?auto_848 ) ( AT ?auto_850 ?auto_844 ) ( DIFFERENT ?auto_848 ?auto_844 ) ( LOCATION ?auto_847 ) ( AT ?auto_850 ?auto_847 ) ( TRUCK ?auto_849 ) ( IN ?auto_842 ?auto_849 ) ( LOCATION ?auto_854 ) ( CITY ?auto_853 ) ( AT ?auto_849 ?auto_854 ) ( IN-CITY ?auto_854 ?auto_853 ) ( IN-CITY ?auto_847 ?auto_853 ) ( DIFFERENT ?auto_847 ?auto_854 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_849 ?auto_854 ?auto_847 ?auto_853 )
      ( DELIVER-PKG ?auto_842 ?auto_843 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_880
      ?auto_881
    )
    :vars
    (
      ?auto_884
      ?auto_886
      ?auto_888
      ?auto_889
      ?auto_885
      ?auto_887
      ?auto_891
      ?auto_890
      ?auto_893
    )
    :precondition
    ( and ( OBJ ?auto_880 ) ( LOCATION ?auto_881 ) ( TRUCK ?auto_884 ) ( AT ?auto_884 ?auto_881 ) ( LOCATION ?auto_886 ) ( AT ?auto_884 ?auto_886 ) ( AIRPLANE ?auto_888 ) ( AIRPORT ?auto_889 ) ( AIRPORT ?auto_886 ) ( AT ?auto_888 ?auto_889 ) ( DIFFERENT ?auto_886 ?auto_889 ) ( LOCATION ?auto_885 ) ( AT ?auto_888 ?auto_885 ) ( TRUCK ?auto_887 ) ( LOCATION ?auto_891 ) ( CITY ?auto_890 ) ( AT ?auto_887 ?auto_891 ) ( IN-CITY ?auto_891 ?auto_890 ) ( IN-CITY ?auto_885 ?auto_890 ) ( DIFFERENT ?auto_885 ?auto_891 ) ( LOCATION ?auto_893 ) ( AT ?auto_887 ?auto_893 ) ( AT ?auto_880 ?auto_893 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_880 ?auto_887 ?auto_893 )
      ( DELIVER-PKG ?auto_880 ?auto_881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_921
      ?auto_922
    )
    :vars
    (
      ?auto_928
      ?auto_930
      ?auto_924
      ?auto_929
      ?auto_931
      ?auto_927
      ?auto_926
      ?auto_933
      ?auto_935
    )
    :precondition
    ( and ( OBJ ?auto_921 ) ( LOCATION ?auto_922 ) ( TRUCK ?auto_928 ) ( AT ?auto_928 ?auto_922 ) ( LOCATION ?auto_930 ) ( AT ?auto_928 ?auto_930 ) ( AIRPLANE ?auto_924 ) ( AIRPORT ?auto_929 ) ( AIRPORT ?auto_930 ) ( DIFFERENT ?auto_930 ?auto_929 ) ( LOCATION ?auto_929 ) ( TRUCK ?auto_931 ) ( LOCATION ?auto_927 ) ( CITY ?auto_926 ) ( AT ?auto_931 ?auto_927 ) ( IN-CITY ?auto_927 ?auto_926 ) ( IN-CITY ?auto_929 ?auto_926 ) ( DIFFERENT ?auto_929 ?auto_927 ) ( LOCATION ?auto_933 ) ( AT ?auto_931 ?auto_933 ) ( AT ?auto_921 ?auto_933 ) ( AIRPORT ?auto_935 ) ( AT ?auto_924 ?auto_935 ) ( DIFFERENT ?auto_929 ?auto_935 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_924 ?auto_935 ?auto_929 )
      ( DELIVER-PKG ?auto_921 ?auto_922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_937
      ?auto_938
    )
    :vars
    (
      ?auto_945
      ?auto_940
      ?auto_942
      ?auto_946
      ?auto_941
      ?auto_948
      ?auto_943
      ?auto_949
      ?auto_952
      ?auto_951
    )
    :precondition
    ( and ( OBJ ?auto_937 ) ( LOCATION ?auto_938 ) ( TRUCK ?auto_945 ) ( AT ?auto_945 ?auto_938 ) ( LOCATION ?auto_940 ) ( AT ?auto_945 ?auto_940 ) ( AIRPLANE ?auto_942 ) ( AIRPORT ?auto_946 ) ( AIRPORT ?auto_940 ) ( DIFFERENT ?auto_940 ?auto_946 ) ( LOCATION ?auto_946 ) ( TRUCK ?auto_941 ) ( LOCATION ?auto_948 ) ( CITY ?auto_943 ) ( IN-CITY ?auto_948 ?auto_943 ) ( IN-CITY ?auto_946 ?auto_943 ) ( DIFFERENT ?auto_946 ?auto_948 ) ( AT ?auto_937 ?auto_948 ) ( AIRPORT ?auto_949 ) ( AT ?auto_942 ?auto_949 ) ( DIFFERENT ?auto_946 ?auto_949 ) ( LOCATION ?auto_952 ) ( CITY ?auto_951 ) ( AT ?auto_941 ?auto_952 ) ( IN-CITY ?auto_952 ?auto_951 ) ( IN-CITY ?auto_948 ?auto_951 ) ( DIFFERENT ?auto_948 ?auto_952 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_941 ?auto_952 ?auto_948 ?auto_951 )
      ( DELIVER-PKG ?auto_937 ?auto_938 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1319
      ?auto_1320
    )
    :vars
    (
      ?auto_1321
      ?auto_1325
      ?auto_1327
    )
    :precondition
    ( and ( OBJ ?auto_1319 ) ( LOCATION ?auto_1320 ) ( AIRPLANE ?auto_1321 ) ( AIRPORT ?auto_1325 ) ( AIRPORT ?auto_1320 ) ( DIFFERENT ?auto_1320 ?auto_1325 ) ( LOCATION ?auto_1325 ) ( AT ?auto_1319 ?auto_1325 ) ( AIRPORT ?auto_1327 ) ( AT ?auto_1321 ?auto_1327 ) ( DIFFERENT ?auto_1325 ?auto_1327 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1321 ?auto_1327 ?auto_1325 )
      ( DELIVER-PKG ?auto_1319 ?auto_1320 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1343
      ?auto_1344
    )
    :vars
    (
      ?auto_1346
      ?auto_1347
      ?auto_1348
      ?auto_1351
    )
    :precondition
    ( and ( OBJ ?auto_1343 ) ( LOCATION ?auto_1344 ) ( AIRPLANE ?auto_1346 ) ( AIRPORT ?auto_1347 ) ( AIRPORT ?auto_1344 ) ( DIFFERENT ?auto_1344 ?auto_1347 ) ( LOCATION ?auto_1347 ) ( AT ?auto_1343 ?auto_1347 ) ( AIRPORT ?auto_1348 ) ( DIFFERENT ?auto_1347 ?auto_1348 ) ( AIRPORT ?auto_1351 ) ( AT ?auto_1346 ?auto_1351 ) ( DIFFERENT ?auto_1348 ?auto_1351 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1346 ?auto_1351 ?auto_1348 )
      ( DELIVER-PKG ?auto_1343 ?auto_1344 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1361
      ?auto_1362
    )
    :vars
    (
      ?auto_1365
      ?auto_1366
      ?auto_1367
      ?auto_1368
      ?auto_1369
    )
    :precondition
    ( and ( OBJ ?auto_1361 ) ( LOCATION ?auto_1362 ) ( AIRPLANE ?auto_1365 ) ( AIRPORT ?auto_1366 ) ( AIRPORT ?auto_1362 ) ( DIFFERENT ?auto_1362 ?auto_1366 ) ( LOCATION ?auto_1366 ) ( AIRPORT ?auto_1367 ) ( DIFFERENT ?auto_1366 ?auto_1367 ) ( AIRPORT ?auto_1368 ) ( AT ?auto_1365 ?auto_1368 ) ( DIFFERENT ?auto_1367 ?auto_1368 ) ( TRUCK ?auto_1369 ) ( AT ?auto_1369 ?auto_1366 ) ( IN ?auto_1361 ?auto_1369 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1361 ?auto_1366 )
      ( DELIVER-PKG ?auto_1361 ?auto_1362 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1381
      ?auto_1382
    )
    :vars
    (
      ?auto_1389
      ?auto_1383
      ?auto_1385
      ?auto_1387
      ?auto_1386
      ?auto_1392
      ?auto_1391
    )
    :precondition
    ( and ( OBJ ?auto_1381 ) ( LOCATION ?auto_1382 ) ( AIRPLANE ?auto_1389 ) ( AIRPORT ?auto_1383 ) ( AIRPORT ?auto_1382 ) ( DIFFERENT ?auto_1382 ?auto_1383 ) ( LOCATION ?auto_1383 ) ( AIRPORT ?auto_1385 ) ( DIFFERENT ?auto_1383 ?auto_1385 ) ( AIRPORT ?auto_1387 ) ( AT ?auto_1389 ?auto_1387 ) ( DIFFERENT ?auto_1385 ?auto_1387 ) ( TRUCK ?auto_1386 ) ( IN ?auto_1381 ?auto_1386 ) ( LOCATION ?auto_1392 ) ( CITY ?auto_1391 ) ( AT ?auto_1386 ?auto_1392 ) ( IN-CITY ?auto_1392 ?auto_1391 ) ( IN-CITY ?auto_1383 ?auto_1391 ) ( DIFFERENT ?auto_1383 ?auto_1392 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1386 ?auto_1392 ?auto_1383 ?auto_1391 )
      ( DELIVER-PKG ?auto_1381 ?auto_1382 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1405
      ?auto_1406
    )
    :vars
    (
      ?auto_1413
      ?auto_1408
      ?auto_1409
      ?auto_1412
      ?auto_1411
      ?auto_1415
      ?auto_1414
      ?auto_1417
    )
    :precondition
    ( and ( OBJ ?auto_1405 ) ( LOCATION ?auto_1406 ) ( AIRPLANE ?auto_1413 ) ( AIRPORT ?auto_1408 ) ( AIRPORT ?auto_1406 ) ( DIFFERENT ?auto_1406 ?auto_1408 ) ( LOCATION ?auto_1408 ) ( AIRPORT ?auto_1409 ) ( DIFFERENT ?auto_1408 ?auto_1409 ) ( AIRPORT ?auto_1412 ) ( AT ?auto_1413 ?auto_1412 ) ( DIFFERENT ?auto_1409 ?auto_1412 ) ( TRUCK ?auto_1411 ) ( LOCATION ?auto_1415 ) ( CITY ?auto_1414 ) ( AT ?auto_1411 ?auto_1415 ) ( IN-CITY ?auto_1415 ?auto_1414 ) ( IN-CITY ?auto_1408 ?auto_1414 ) ( DIFFERENT ?auto_1408 ?auto_1415 ) ( LOCATION ?auto_1417 ) ( AT ?auto_1411 ?auto_1417 ) ( AT ?auto_1405 ?auto_1417 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1405 ?auto_1411 ?auto_1417 )
      ( DELIVER-PKG ?auto_1405 ?auto_1406 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1443
      ?auto_1444
    )
    :vars
    (
      ?auto_1448
      ?auto_1446
      ?auto_1453
      ?auto_1447
      ?auto_1445
      ?auto_1452
      ?auto_1450
      ?auto_1457
      ?auto_1456
    )
    :precondition
    ( and ( OBJ ?auto_1443 ) ( LOCATION ?auto_1444 ) ( AIRPLANE ?auto_1448 ) ( AIRPORT ?auto_1446 ) ( AIRPORT ?auto_1444 ) ( DIFFERENT ?auto_1444 ?auto_1446 ) ( LOCATION ?auto_1446 ) ( AIRPORT ?auto_1453 ) ( DIFFERENT ?auto_1446 ?auto_1453 ) ( AIRPORT ?auto_1447 ) ( AT ?auto_1448 ?auto_1447 ) ( DIFFERENT ?auto_1453 ?auto_1447 ) ( TRUCK ?auto_1445 ) ( LOCATION ?auto_1452 ) ( CITY ?auto_1450 ) ( IN-CITY ?auto_1452 ?auto_1450 ) ( IN-CITY ?auto_1446 ?auto_1450 ) ( DIFFERENT ?auto_1446 ?auto_1452 ) ( AT ?auto_1443 ?auto_1452 ) ( LOCATION ?auto_1457 ) ( CITY ?auto_1456 ) ( AT ?auto_1445 ?auto_1457 ) ( IN-CITY ?auto_1457 ?auto_1456 ) ( IN-CITY ?auto_1452 ?auto_1456 ) ( DIFFERENT ?auto_1452 ?auto_1457 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1445 ?auto_1457 ?auto_1452 ?auto_1456 )
      ( DELIVER-PKG ?auto_1443 ?auto_1444 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1472
      ?auto_1473
    )
    :vars
    (
      ?auto_1482
      ?auto_1474
      ?auto_1479
      ?auto_1481
      ?auto_1476
      ?auto_1478
      ?auto_1483
      ?auto_1484
      ?auto_1480
      ?auto_1486
    )
    :precondition
    ( and ( OBJ ?auto_1472 ) ( LOCATION ?auto_1473 ) ( AIRPLANE ?auto_1482 ) ( AIRPORT ?auto_1474 ) ( AIRPORT ?auto_1473 ) ( DIFFERENT ?auto_1473 ?auto_1474 ) ( LOCATION ?auto_1474 ) ( AIRPORT ?auto_1479 ) ( DIFFERENT ?auto_1474 ?auto_1479 ) ( AIRPORT ?auto_1481 ) ( DIFFERENT ?auto_1479 ?auto_1481 ) ( TRUCK ?auto_1476 ) ( LOCATION ?auto_1478 ) ( CITY ?auto_1483 ) ( IN-CITY ?auto_1478 ?auto_1483 ) ( IN-CITY ?auto_1474 ?auto_1483 ) ( DIFFERENT ?auto_1474 ?auto_1478 ) ( AT ?auto_1472 ?auto_1478 ) ( LOCATION ?auto_1484 ) ( CITY ?auto_1480 ) ( AT ?auto_1476 ?auto_1484 ) ( IN-CITY ?auto_1484 ?auto_1480 ) ( IN-CITY ?auto_1478 ?auto_1480 ) ( DIFFERENT ?auto_1478 ?auto_1484 ) ( AIRPORT ?auto_1486 ) ( AT ?auto_1482 ?auto_1486 ) ( DIFFERENT ?auto_1481 ?auto_1486 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1482 ?auto_1486 ?auto_1481 )
      ( DELIVER-PKG ?auto_1472 ?auto_1473 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1548
      ?auto_1549
    )
    :vars
    (
      ?auto_1554
      ?auto_1555
      ?auto_1551
      ?auto_1553
      ?auto_1558
    )
    :precondition
    ( and ( OBJ ?auto_1548 ) ( LOCATION ?auto_1549 ) ( TRUCK ?auto_1554 ) ( LOCATION ?auto_1555 ) ( CITY ?auto_1551 ) ( AT ?auto_1554 ?auto_1555 ) ( IN-CITY ?auto_1555 ?auto_1551 ) ( IN-CITY ?auto_1549 ?auto_1551 ) ( DIFFERENT ?auto_1549 ?auto_1555 ) ( LOCATION ?auto_1553 ) ( AT ?auto_1554 ?auto_1553 ) ( TRUCK ?auto_1558 ) ( AT ?auto_1558 ?auto_1553 ) ( IN ?auto_1548 ?auto_1558 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1548 ?auto_1553 )
      ( DELIVER-PKG ?auto_1548 ?auto_1549 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1580
      ?auto_1581
    )
    :vars
    (
      ?auto_1587
      ?auto_1585
      ?auto_1584
      ?auto_1586
      ?auto_1583
      ?auto_1589
      ?auto_1592
    )
    :precondition
    ( and ( OBJ ?auto_1580 ) ( LOCATION ?auto_1581 ) ( TRUCK ?auto_1587 ) ( LOCATION ?auto_1585 ) ( CITY ?auto_1584 ) ( AT ?auto_1587 ?auto_1585 ) ( IN-CITY ?auto_1585 ?auto_1584 ) ( IN-CITY ?auto_1581 ?auto_1584 ) ( DIFFERENT ?auto_1581 ?auto_1585 ) ( LOCATION ?auto_1586 ) ( AT ?auto_1587 ?auto_1586 ) ( TRUCK ?auto_1583 ) ( AT ?auto_1583 ?auto_1586 ) ( LOCATION ?auto_1589 ) ( AT ?auto_1583 ?auto_1589 ) ( AIRPLANE ?auto_1592 ) ( IN ?auto_1580 ?auto_1592 ) ( AT ?auto_1592 ?auto_1589 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1580 ?auto_1589 )
      ( DELIVER-PKG ?auto_1580 ?auto_1581 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1593
      ?auto_1594
    )
    :vars
    (
      ?auto_1595
      ?auto_1603
      ?auto_1599
      ?auto_1596
      ?auto_1602
      ?auto_1597
      ?auto_1598
      ?auto_1605
    )
    :precondition
    ( and ( OBJ ?auto_1593 ) ( LOCATION ?auto_1594 ) ( TRUCK ?auto_1595 ) ( LOCATION ?auto_1603 ) ( CITY ?auto_1599 ) ( AT ?auto_1595 ?auto_1603 ) ( IN-CITY ?auto_1603 ?auto_1599 ) ( IN-CITY ?auto_1594 ?auto_1599 ) ( DIFFERENT ?auto_1594 ?auto_1603 ) ( LOCATION ?auto_1596 ) ( AT ?auto_1595 ?auto_1596 ) ( TRUCK ?auto_1602 ) ( AT ?auto_1602 ?auto_1596 ) ( LOCATION ?auto_1597 ) ( AT ?auto_1602 ?auto_1597 ) ( AIRPLANE ?auto_1598 ) ( IN ?auto_1593 ?auto_1598 ) ( AIRPORT ?auto_1605 ) ( AIRPORT ?auto_1597 ) ( AT ?auto_1598 ?auto_1605 ) ( DIFFERENT ?auto_1597 ?auto_1605 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1598 ?auto_1605 ?auto_1597 )
      ( DELIVER-PKG ?auto_1593 ?auto_1594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1607
      ?auto_1608
    )
    :vars
    (
      ?auto_1614
      ?auto_1609
      ?auto_1615
      ?auto_1618
      ?auto_1611
      ?auto_1610
      ?auto_1616
      ?auto_1612
      ?auto_1620
    )
    :precondition
    ( and ( OBJ ?auto_1607 ) ( LOCATION ?auto_1608 ) ( TRUCK ?auto_1614 ) ( LOCATION ?auto_1609 ) ( CITY ?auto_1615 ) ( AT ?auto_1614 ?auto_1609 ) ( IN-CITY ?auto_1609 ?auto_1615 ) ( IN-CITY ?auto_1608 ?auto_1615 ) ( DIFFERENT ?auto_1608 ?auto_1609 ) ( LOCATION ?auto_1618 ) ( AT ?auto_1614 ?auto_1618 ) ( TRUCK ?auto_1611 ) ( AT ?auto_1611 ?auto_1618 ) ( LOCATION ?auto_1610 ) ( AT ?auto_1611 ?auto_1610 ) ( AIRPLANE ?auto_1616 ) ( AIRPORT ?auto_1612 ) ( AIRPORT ?auto_1610 ) ( AT ?auto_1616 ?auto_1612 ) ( DIFFERENT ?auto_1610 ?auto_1612 ) ( LOCATION ?auto_1620 ) ( AT ?auto_1607 ?auto_1620 ) ( AT ?auto_1616 ?auto_1620 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1607 ?auto_1616 ?auto_1620 )
      ( DELIVER-PKG ?auto_1607 ?auto_1608 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1635
      ?auto_1636
    )
    :vars
    (
      ?auto_1643
      ?auto_1640
      ?auto_1639
      ?auto_1645
      ?auto_1644
      ?auto_1646
      ?auto_1638
      ?auto_1647
      ?auto_1642
      ?auto_1648
    )
    :precondition
    ( and ( OBJ ?auto_1635 ) ( LOCATION ?auto_1636 ) ( TRUCK ?auto_1643 ) ( LOCATION ?auto_1640 ) ( CITY ?auto_1639 ) ( AT ?auto_1643 ?auto_1640 ) ( IN-CITY ?auto_1640 ?auto_1639 ) ( IN-CITY ?auto_1636 ?auto_1639 ) ( DIFFERENT ?auto_1636 ?auto_1640 ) ( LOCATION ?auto_1645 ) ( AT ?auto_1643 ?auto_1645 ) ( TRUCK ?auto_1644 ) ( AT ?auto_1644 ?auto_1645 ) ( LOCATION ?auto_1646 ) ( AT ?auto_1644 ?auto_1646 ) ( AIRPLANE ?auto_1638 ) ( AIRPORT ?auto_1647 ) ( AIRPORT ?auto_1646 ) ( AT ?auto_1638 ?auto_1647 ) ( DIFFERENT ?auto_1646 ?auto_1647 ) ( LOCATION ?auto_1642 ) ( AT ?auto_1638 ?auto_1642 ) ( TRUCK ?auto_1648 ) ( AT ?auto_1648 ?auto_1642 ) ( IN ?auto_1635 ?auto_1648 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1635 ?auto_1642 )
      ( DELIVER-PKG ?auto_1635 ?auto_1636 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1665
      ?auto_1666
    )
    :vars
    (
      ?auto_1674
      ?auto_1667
      ?auto_1672
      ?auto_1668
      ?auto_1676
      ?auto_1669
      ?auto_1673
      ?auto_1670
      ?auto_1671
      ?auto_1675
      ?auto_1681
      ?auto_1680
    )
    :precondition
    ( and ( OBJ ?auto_1665 ) ( LOCATION ?auto_1666 ) ( TRUCK ?auto_1674 ) ( LOCATION ?auto_1667 ) ( CITY ?auto_1672 ) ( AT ?auto_1674 ?auto_1667 ) ( IN-CITY ?auto_1667 ?auto_1672 ) ( IN-CITY ?auto_1666 ?auto_1672 ) ( DIFFERENT ?auto_1666 ?auto_1667 ) ( LOCATION ?auto_1668 ) ( AT ?auto_1674 ?auto_1668 ) ( TRUCK ?auto_1676 ) ( AT ?auto_1676 ?auto_1668 ) ( LOCATION ?auto_1669 ) ( AT ?auto_1676 ?auto_1669 ) ( AIRPLANE ?auto_1673 ) ( AIRPORT ?auto_1670 ) ( AIRPORT ?auto_1669 ) ( AT ?auto_1673 ?auto_1670 ) ( DIFFERENT ?auto_1669 ?auto_1670 ) ( LOCATION ?auto_1671 ) ( AT ?auto_1673 ?auto_1671 ) ( TRUCK ?auto_1675 ) ( IN ?auto_1665 ?auto_1675 ) ( LOCATION ?auto_1681 ) ( CITY ?auto_1680 ) ( AT ?auto_1675 ?auto_1681 ) ( IN-CITY ?auto_1681 ?auto_1680 ) ( IN-CITY ?auto_1671 ?auto_1680 ) ( DIFFERENT ?auto_1671 ?auto_1681 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1675 ?auto_1681 ?auto_1671 ?auto_1680 )
      ( DELIVER-PKG ?auto_1665 ?auto_1666 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1715
      ?auto_1716
    )
    :vars
    (
      ?auto_1722
      ?auto_1725
      ?auto_1720
      ?auto_1728
      ?auto_1724
      ?auto_1717
      ?auto_1721
      ?auto_1718
      ?auto_1719
      ?auto_1723
      ?auto_1730
      ?auto_1729
      ?auto_1732
    )
    :precondition
    ( and ( OBJ ?auto_1715 ) ( LOCATION ?auto_1716 ) ( TRUCK ?auto_1722 ) ( LOCATION ?auto_1725 ) ( CITY ?auto_1720 ) ( AT ?auto_1722 ?auto_1725 ) ( IN-CITY ?auto_1725 ?auto_1720 ) ( IN-CITY ?auto_1716 ?auto_1720 ) ( DIFFERENT ?auto_1716 ?auto_1725 ) ( LOCATION ?auto_1728 ) ( AT ?auto_1722 ?auto_1728 ) ( TRUCK ?auto_1724 ) ( AT ?auto_1724 ?auto_1728 ) ( LOCATION ?auto_1717 ) ( AT ?auto_1724 ?auto_1717 ) ( AIRPLANE ?auto_1721 ) ( AIRPORT ?auto_1718 ) ( AIRPORT ?auto_1717 ) ( AT ?auto_1721 ?auto_1718 ) ( DIFFERENT ?auto_1717 ?auto_1718 ) ( LOCATION ?auto_1719 ) ( AT ?auto_1721 ?auto_1719 ) ( TRUCK ?auto_1723 ) ( LOCATION ?auto_1730 ) ( CITY ?auto_1729 ) ( AT ?auto_1723 ?auto_1730 ) ( IN-CITY ?auto_1730 ?auto_1729 ) ( IN-CITY ?auto_1719 ?auto_1729 ) ( DIFFERENT ?auto_1719 ?auto_1730 ) ( LOCATION ?auto_1732 ) ( AT ?auto_1723 ?auto_1732 ) ( AT ?auto_1715 ?auto_1732 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1715 ?auto_1723 ?auto_1732 )
      ( DELIVER-PKG ?auto_1715 ?auto_1716 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1768
      ?auto_1769
    )
    :vars
    (
      ?auto_1779
      ?auto_1782
      ?auto_1775
      ?auto_1776
      ?auto_1781
      ?auto_1771
      ?auto_1778
      ?auto_1773
      ?auto_1780
      ?auto_1783
      ?auto_1777
      ?auto_1784
      ?auto_1786
    )
    :precondition
    ( and ( OBJ ?auto_1768 ) ( LOCATION ?auto_1769 ) ( TRUCK ?auto_1779 ) ( LOCATION ?auto_1782 ) ( CITY ?auto_1775 ) ( AT ?auto_1779 ?auto_1782 ) ( IN-CITY ?auto_1782 ?auto_1775 ) ( IN-CITY ?auto_1769 ?auto_1775 ) ( DIFFERENT ?auto_1769 ?auto_1782 ) ( LOCATION ?auto_1776 ) ( AT ?auto_1779 ?auto_1776 ) ( TRUCK ?auto_1781 ) ( AT ?auto_1781 ?auto_1776 ) ( LOCATION ?auto_1771 ) ( AT ?auto_1781 ?auto_1771 ) ( AIRPLANE ?auto_1778 ) ( AIRPORT ?auto_1773 ) ( AIRPORT ?auto_1771 ) ( DIFFERENT ?auto_1771 ?auto_1773 ) ( LOCATION ?auto_1773 ) ( TRUCK ?auto_1780 ) ( LOCATION ?auto_1783 ) ( CITY ?auto_1777 ) ( AT ?auto_1780 ?auto_1783 ) ( IN-CITY ?auto_1783 ?auto_1777 ) ( IN-CITY ?auto_1773 ?auto_1777 ) ( DIFFERENT ?auto_1773 ?auto_1783 ) ( LOCATION ?auto_1784 ) ( AT ?auto_1780 ?auto_1784 ) ( AT ?auto_1768 ?auto_1784 ) ( AIRPORT ?auto_1786 ) ( AT ?auto_1778 ?auto_1786 ) ( DIFFERENT ?auto_1773 ?auto_1786 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1778 ?auto_1786 ?auto_1773 )
      ( DELIVER-PKG ?auto_1768 ?auto_1769 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1788
      ?auto_1789
    )
    :vars
    (
      ?auto_1798
      ?auto_1801
      ?auto_1794
      ?auto_1795
      ?auto_1800
      ?auto_1793
      ?auto_1797
      ?auto_1792
      ?auto_1799
      ?auto_1803
      ?auto_1796
      ?auto_1804
      ?auto_1807
      ?auto_1806
    )
    :precondition
    ( and ( OBJ ?auto_1788 ) ( LOCATION ?auto_1789 ) ( TRUCK ?auto_1798 ) ( LOCATION ?auto_1801 ) ( CITY ?auto_1794 ) ( AT ?auto_1798 ?auto_1801 ) ( IN-CITY ?auto_1801 ?auto_1794 ) ( IN-CITY ?auto_1789 ?auto_1794 ) ( DIFFERENT ?auto_1789 ?auto_1801 ) ( LOCATION ?auto_1795 ) ( AT ?auto_1798 ?auto_1795 ) ( TRUCK ?auto_1800 ) ( AT ?auto_1800 ?auto_1795 ) ( LOCATION ?auto_1793 ) ( AT ?auto_1800 ?auto_1793 ) ( AIRPLANE ?auto_1797 ) ( AIRPORT ?auto_1792 ) ( AIRPORT ?auto_1793 ) ( DIFFERENT ?auto_1793 ?auto_1792 ) ( LOCATION ?auto_1792 ) ( TRUCK ?auto_1799 ) ( LOCATION ?auto_1803 ) ( CITY ?auto_1796 ) ( IN-CITY ?auto_1803 ?auto_1796 ) ( IN-CITY ?auto_1792 ?auto_1796 ) ( DIFFERENT ?auto_1792 ?auto_1803 ) ( AT ?auto_1788 ?auto_1803 ) ( AIRPORT ?auto_1804 ) ( AT ?auto_1797 ?auto_1804 ) ( DIFFERENT ?auto_1792 ?auto_1804 ) ( LOCATION ?auto_1807 ) ( CITY ?auto_1806 ) ( AT ?auto_1799 ?auto_1807 ) ( IN-CITY ?auto_1807 ?auto_1806 ) ( IN-CITY ?auto_1803 ?auto_1806 ) ( DIFFERENT ?auto_1803 ?auto_1807 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1799 ?auto_1807 ?auto_1803 ?auto_1806 )
      ( DELIVER-PKG ?auto_1788 ?auto_1789 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1884
      ?auto_1885
    )
    :vars
    (
      ?auto_1888
      ?auto_1890
      ?auto_1889
      ?auto_1891
      ?auto_1894
    )
    :precondition
    ( and ( OBJ ?auto_1884 ) ( LOCATION ?auto_1885 ) ( TRUCK ?auto_1888 ) ( AT ?auto_1888 ?auto_1885 ) ( LOCATION ?auto_1890 ) ( AT ?auto_1888 ?auto_1890 ) ( AIRPLANE ?auto_1889 ) ( AIRPORT ?auto_1891 ) ( AIRPORT ?auto_1890 ) ( DIFFERENT ?auto_1890 ?auto_1891 ) ( LOCATION ?auto_1891 ) ( AT ?auto_1884 ?auto_1891 ) ( AIRPORT ?auto_1894 ) ( AT ?auto_1889 ?auto_1894 ) ( DIFFERENT ?auto_1891 ?auto_1894 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1889 ?auto_1894 ?auto_1891 )
      ( DELIVER-PKG ?auto_1884 ?auto_1885 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1914
      ?auto_1915
    )
    :vars
    (
      ?auto_1919
      ?auto_1921
      ?auto_1920
      ?auto_1917
      ?auto_1922
      ?auto_1924
    )
    :precondition
    ( and ( OBJ ?auto_1914 ) ( LOCATION ?auto_1915 ) ( TRUCK ?auto_1919 ) ( AT ?auto_1919 ?auto_1915 ) ( LOCATION ?auto_1921 ) ( AT ?auto_1919 ?auto_1921 ) ( AIRPLANE ?auto_1920 ) ( AIRPORT ?auto_1917 ) ( AIRPORT ?auto_1921 ) ( DIFFERENT ?auto_1921 ?auto_1917 ) ( LOCATION ?auto_1917 ) ( AT ?auto_1914 ?auto_1917 ) ( AIRPORT ?auto_1922 ) ( DIFFERENT ?auto_1917 ?auto_1922 ) ( AIRPORT ?auto_1924 ) ( AT ?auto_1920 ?auto_1924 ) ( DIFFERENT ?auto_1922 ?auto_1924 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1920 ?auto_1924 ?auto_1922 )
      ( DELIVER-PKG ?auto_1914 ?auto_1915 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1936
      ?auto_1937
    )
    :vars
    (
      ?auto_1939
      ?auto_1941
      ?auto_1940
      ?auto_1938
      ?auto_1942
      ?auto_1945
      ?auto_1946
    )
    :precondition
    ( and ( OBJ ?auto_1936 ) ( LOCATION ?auto_1937 ) ( TRUCK ?auto_1939 ) ( AT ?auto_1939 ?auto_1937 ) ( LOCATION ?auto_1941 ) ( AT ?auto_1939 ?auto_1941 ) ( AIRPLANE ?auto_1940 ) ( AIRPORT ?auto_1938 ) ( AIRPORT ?auto_1941 ) ( DIFFERENT ?auto_1941 ?auto_1938 ) ( LOCATION ?auto_1938 ) ( AIRPORT ?auto_1942 ) ( DIFFERENT ?auto_1938 ?auto_1942 ) ( AIRPORT ?auto_1945 ) ( AT ?auto_1940 ?auto_1945 ) ( DIFFERENT ?auto_1942 ?auto_1945 ) ( TRUCK ?auto_1946 ) ( AT ?auto_1946 ?auto_1938 ) ( IN ?auto_1936 ?auto_1946 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1936 ?auto_1938 )
      ( DELIVER-PKG ?auto_1936 ?auto_1937 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1960
      ?auto_1961
    )
    :vars
    (
      ?auto_1962
      ?auto_1969
      ?auto_1968
      ?auto_1963
      ?auto_1966
      ?auto_1964
      ?auto_1967
      ?auto_1973
      ?auto_1972
    )
    :precondition
    ( and ( OBJ ?auto_1960 ) ( LOCATION ?auto_1961 ) ( TRUCK ?auto_1962 ) ( AT ?auto_1962 ?auto_1961 ) ( LOCATION ?auto_1969 ) ( AT ?auto_1962 ?auto_1969 ) ( AIRPLANE ?auto_1968 ) ( AIRPORT ?auto_1963 ) ( AIRPORT ?auto_1969 ) ( DIFFERENT ?auto_1969 ?auto_1963 ) ( LOCATION ?auto_1963 ) ( AIRPORT ?auto_1966 ) ( DIFFERENT ?auto_1963 ?auto_1966 ) ( AIRPORT ?auto_1964 ) ( AT ?auto_1968 ?auto_1964 ) ( DIFFERENT ?auto_1966 ?auto_1964 ) ( TRUCK ?auto_1967 ) ( IN ?auto_1960 ?auto_1967 ) ( LOCATION ?auto_1973 ) ( CITY ?auto_1972 ) ( AT ?auto_1967 ?auto_1973 ) ( IN-CITY ?auto_1973 ?auto_1972 ) ( IN-CITY ?auto_1963 ?auto_1972 ) ( DIFFERENT ?auto_1963 ?auto_1973 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1967 ?auto_1973 ?auto_1963 ?auto_1972 )
      ( DELIVER-PKG ?auto_1960 ?auto_1961 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1988
      ?auto_1989
    )
    :vars
    (
      ?auto_1990
      ?auto_1997
      ?auto_1996
      ?auto_1991
      ?auto_1993
      ?auto_1995
      ?auto_1994
      ?auto_2000
      ?auto_1999
      ?auto_2002
    )
    :precondition
    ( and ( OBJ ?auto_1988 ) ( LOCATION ?auto_1989 ) ( TRUCK ?auto_1990 ) ( AT ?auto_1990 ?auto_1989 ) ( LOCATION ?auto_1997 ) ( AT ?auto_1990 ?auto_1997 ) ( AIRPLANE ?auto_1996 ) ( AIRPORT ?auto_1991 ) ( AIRPORT ?auto_1997 ) ( DIFFERENT ?auto_1997 ?auto_1991 ) ( LOCATION ?auto_1991 ) ( AIRPORT ?auto_1993 ) ( DIFFERENT ?auto_1991 ?auto_1993 ) ( AIRPORT ?auto_1995 ) ( AT ?auto_1996 ?auto_1995 ) ( DIFFERENT ?auto_1993 ?auto_1995 ) ( TRUCK ?auto_1994 ) ( LOCATION ?auto_2000 ) ( CITY ?auto_1999 ) ( AT ?auto_1994 ?auto_2000 ) ( IN-CITY ?auto_2000 ?auto_1999 ) ( IN-CITY ?auto_1991 ?auto_1999 ) ( DIFFERENT ?auto_1991 ?auto_2000 ) ( LOCATION ?auto_2002 ) ( AT ?auto_1994 ?auto_2002 ) ( AT ?auto_1988 ?auto_2002 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1988 ?auto_1994 ?auto_2002 )
      ( DELIVER-PKG ?auto_1988 ?auto_1989 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2004
      ?auto_2010
    )
    :vars
    (
      ?auto_2013
      ?auto_2009
      ?auto_2016
      ?auto_2008
      ?auto_2007
      ?auto_2006
      ?auto_2014
      ?auto_2011
      ?auto_2017
      ?auto_2020
      ?auto_2019
    )
    :precondition
    ( and ( OBJ ?auto_2004 ) ( LOCATION ?auto_2010 ) ( TRUCK ?auto_2013 ) ( AIRPLANE ?auto_2009 ) ( AIRPORT ?auto_2016 ) ( AIRPORT ?auto_2010 ) ( DIFFERENT ?auto_2010 ?auto_2016 ) ( LOCATION ?auto_2016 ) ( AIRPORT ?auto_2008 ) ( DIFFERENT ?auto_2016 ?auto_2008 ) ( AIRPORT ?auto_2007 ) ( AT ?auto_2009 ?auto_2007 ) ( DIFFERENT ?auto_2008 ?auto_2007 ) ( TRUCK ?auto_2006 ) ( LOCATION ?auto_2014 ) ( CITY ?auto_2011 ) ( AT ?auto_2006 ?auto_2014 ) ( IN-CITY ?auto_2014 ?auto_2011 ) ( IN-CITY ?auto_2016 ?auto_2011 ) ( DIFFERENT ?auto_2016 ?auto_2014 ) ( LOCATION ?auto_2017 ) ( AT ?auto_2006 ?auto_2017 ) ( AT ?auto_2004 ?auto_2017 ) ( LOCATION ?auto_2020 ) ( CITY ?auto_2019 ) ( AT ?auto_2013 ?auto_2020 ) ( IN-CITY ?auto_2020 ?auto_2019 ) ( IN-CITY ?auto_2010 ?auto_2019 ) ( DIFFERENT ?auto_2010 ?auto_2020 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2013 ?auto_2020 ?auto_2010 ?auto_2019 )
      ( DELIVER-PKG ?auto_2004 ?auto_2010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2056
      ?auto_2057
    )
    :vars
    (
      ?auto_2063
      ?auto_2064
      ?auto_2069
      ?auto_2065
      ?auto_2060
      ?auto_2058
      ?auto_2067
      ?auto_2061
      ?auto_2066
      ?auto_2059
      ?auto_2071
      ?auto_2070
      ?auto_2074
      ?auto_2073
    )
    :precondition
    ( and ( OBJ ?auto_2056 ) ( LOCATION ?auto_2057 ) ( TRUCK ?auto_2063 ) ( AIRPLANE ?auto_2064 ) ( AIRPORT ?auto_2069 ) ( AIRPORT ?auto_2057 ) ( DIFFERENT ?auto_2057 ?auto_2069 ) ( LOCATION ?auto_2069 ) ( AIRPORT ?auto_2065 ) ( DIFFERENT ?auto_2069 ?auto_2065 ) ( AIRPORT ?auto_2060 ) ( AT ?auto_2064 ?auto_2060 ) ( DIFFERENT ?auto_2065 ?auto_2060 ) ( TRUCK ?auto_2058 ) ( LOCATION ?auto_2067 ) ( CITY ?auto_2061 ) ( IN-CITY ?auto_2067 ?auto_2061 ) ( IN-CITY ?auto_2069 ?auto_2061 ) ( DIFFERENT ?auto_2069 ?auto_2067 ) ( AT ?auto_2056 ?auto_2067 ) ( LOCATION ?auto_2066 ) ( CITY ?auto_2059 ) ( IN-CITY ?auto_2066 ?auto_2059 ) ( IN-CITY ?auto_2057 ?auto_2059 ) ( DIFFERENT ?auto_2057 ?auto_2066 ) ( LOCATION ?auto_2071 ) ( CITY ?auto_2070 ) ( AT ?auto_2058 ?auto_2071 ) ( IN-CITY ?auto_2071 ?auto_2070 ) ( IN-CITY ?auto_2067 ?auto_2070 ) ( DIFFERENT ?auto_2067 ?auto_2071 ) ( LOCATION ?auto_2074 ) ( CITY ?auto_2073 ) ( AT ?auto_2063 ?auto_2074 ) ( IN-CITY ?auto_2074 ?auto_2073 ) ( IN-CITY ?auto_2066 ?auto_2073 ) ( DIFFERENT ?auto_2066 ?auto_2074 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2063 ?auto_2074 ?auto_2066 ?auto_2073 )
      ( DELIVER-PKG ?auto_2056 ?auto_2057 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2453
      ?auto_2454
    )
    :vars
    (
      ?auto_2462
      ?auto_2456
      ?auto_2459
      ?auto_2460
      ?auto_2458
      ?auto_2455
      ?auto_2457
      ?auto_2463
      ?auto_2467
    )
    :precondition
    ( and ( OBJ ?auto_2453 ) ( LOCATION ?auto_2454 ) ( TRUCK ?auto_2462 ) ( LOCATION ?auto_2456 ) ( CITY ?auto_2459 ) ( AT ?auto_2462 ?auto_2456 ) ( IN-CITY ?auto_2456 ?auto_2459 ) ( IN-CITY ?auto_2454 ?auto_2459 ) ( DIFFERENT ?auto_2454 ?auto_2456 ) ( LOCATION ?auto_2460 ) ( AT ?auto_2462 ?auto_2460 ) ( TRUCK ?auto_2458 ) ( AT ?auto_2458 ?auto_2460 ) ( LOCATION ?auto_2455 ) ( AT ?auto_2458 ?auto_2455 ) ( AIRPLANE ?auto_2457 ) ( AIRPORT ?auto_2463 ) ( AIRPORT ?auto_2455 ) ( DIFFERENT ?auto_2455 ?auto_2463 ) ( LOCATION ?auto_2463 ) ( AT ?auto_2453 ?auto_2463 ) ( AIRPORT ?auto_2467 ) ( AT ?auto_2457 ?auto_2467 ) ( DIFFERENT ?auto_2463 ?auto_2467 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2457 ?auto_2467 ?auto_2463 )
      ( DELIVER-PKG ?auto_2453 ?auto_2454 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2495
      ?auto_2496
    )
    :vars
    (
      ?auto_2502
      ?auto_2503
      ?auto_2500
      ?auto_2501
      ?auto_2499
      ?auto_2498
      ?auto_2504
      ?auto_2505
      ?auto_2506
      ?auto_2509
    )
    :precondition
    ( and ( OBJ ?auto_2495 ) ( LOCATION ?auto_2496 ) ( TRUCK ?auto_2502 ) ( LOCATION ?auto_2503 ) ( CITY ?auto_2500 ) ( AT ?auto_2502 ?auto_2503 ) ( IN-CITY ?auto_2503 ?auto_2500 ) ( IN-CITY ?auto_2496 ?auto_2500 ) ( DIFFERENT ?auto_2496 ?auto_2503 ) ( LOCATION ?auto_2501 ) ( AT ?auto_2502 ?auto_2501 ) ( TRUCK ?auto_2499 ) ( AT ?auto_2499 ?auto_2501 ) ( LOCATION ?auto_2498 ) ( AT ?auto_2499 ?auto_2498 ) ( AIRPLANE ?auto_2504 ) ( AIRPORT ?auto_2505 ) ( AIRPORT ?auto_2498 ) ( DIFFERENT ?auto_2498 ?auto_2505 ) ( LOCATION ?auto_2505 ) ( AT ?auto_2495 ?auto_2505 ) ( AIRPORT ?auto_2506 ) ( DIFFERENT ?auto_2505 ?auto_2506 ) ( AIRPORT ?auto_2509 ) ( AT ?auto_2504 ?auto_2509 ) ( DIFFERENT ?auto_2506 ?auto_2509 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2504 ?auto_2509 ?auto_2506 )
      ( DELIVER-PKG ?auto_2495 ?auto_2496 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2525
      ?auto_2526
    )
    :vars
    (
      ?auto_2536
      ?auto_2537
      ?auto_2534
      ?auto_2535
      ?auto_2529
      ?auto_2533
      ?auto_2530
      ?auto_2531
      ?auto_2532
      ?auto_2538
      ?auto_2539
    )
    :precondition
    ( and ( OBJ ?auto_2525 ) ( LOCATION ?auto_2526 ) ( TRUCK ?auto_2536 ) ( LOCATION ?auto_2537 ) ( CITY ?auto_2534 ) ( AT ?auto_2536 ?auto_2537 ) ( IN-CITY ?auto_2537 ?auto_2534 ) ( IN-CITY ?auto_2526 ?auto_2534 ) ( DIFFERENT ?auto_2526 ?auto_2537 ) ( LOCATION ?auto_2535 ) ( AT ?auto_2536 ?auto_2535 ) ( TRUCK ?auto_2529 ) ( AT ?auto_2529 ?auto_2535 ) ( LOCATION ?auto_2533 ) ( AT ?auto_2529 ?auto_2533 ) ( AIRPLANE ?auto_2530 ) ( AIRPORT ?auto_2531 ) ( AIRPORT ?auto_2533 ) ( DIFFERENT ?auto_2533 ?auto_2531 ) ( LOCATION ?auto_2531 ) ( AIRPORT ?auto_2532 ) ( DIFFERENT ?auto_2531 ?auto_2532 ) ( AIRPORT ?auto_2538 ) ( AT ?auto_2530 ?auto_2538 ) ( DIFFERENT ?auto_2532 ?auto_2538 ) ( TRUCK ?auto_2539 ) ( AT ?auto_2539 ?auto_2531 ) ( IN ?auto_2525 ?auto_2539 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2525 ?auto_2531 )
      ( DELIVER-PKG ?auto_2525 ?auto_2526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2557
      ?auto_2558
    )
    :vars
    (
      ?auto_2569
      ?auto_2564
      ?auto_2566
      ?auto_2568
      ?auto_2571
      ?auto_2561
      ?auto_2562
      ?auto_2563
      ?auto_2560
      ?auto_2565
      ?auto_2567
      ?auto_2574
      ?auto_2573
    )
    :precondition
    ( and ( OBJ ?auto_2557 ) ( LOCATION ?auto_2558 ) ( TRUCK ?auto_2569 ) ( LOCATION ?auto_2564 ) ( CITY ?auto_2566 ) ( AT ?auto_2569 ?auto_2564 ) ( IN-CITY ?auto_2564 ?auto_2566 ) ( IN-CITY ?auto_2558 ?auto_2566 ) ( DIFFERENT ?auto_2558 ?auto_2564 ) ( LOCATION ?auto_2568 ) ( AT ?auto_2569 ?auto_2568 ) ( TRUCK ?auto_2571 ) ( AT ?auto_2571 ?auto_2568 ) ( LOCATION ?auto_2561 ) ( AT ?auto_2571 ?auto_2561 ) ( AIRPLANE ?auto_2562 ) ( AIRPORT ?auto_2563 ) ( AIRPORT ?auto_2561 ) ( DIFFERENT ?auto_2561 ?auto_2563 ) ( LOCATION ?auto_2563 ) ( AIRPORT ?auto_2560 ) ( DIFFERENT ?auto_2563 ?auto_2560 ) ( AIRPORT ?auto_2565 ) ( AT ?auto_2562 ?auto_2565 ) ( DIFFERENT ?auto_2560 ?auto_2565 ) ( TRUCK ?auto_2567 ) ( IN ?auto_2557 ?auto_2567 ) ( LOCATION ?auto_2574 ) ( CITY ?auto_2573 ) ( AT ?auto_2567 ?auto_2574 ) ( IN-CITY ?auto_2574 ?auto_2573 ) ( IN-CITY ?auto_2563 ?auto_2573 ) ( DIFFERENT ?auto_2563 ?auto_2574 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2567 ?auto_2574 ?auto_2563 ?auto_2573 )
      ( DELIVER-PKG ?auto_2557 ?auto_2558 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2593
      ?auto_2594
    )
    :vars
    (
      ?auto_2597
      ?auto_2598
      ?auto_2600
      ?auto_2596
      ?auto_2604
      ?auto_2605
      ?auto_2601
      ?auto_2602
      ?auto_2603
      ?auto_2599
      ?auto_2595
      ?auto_2609
      ?auto_2608
      ?auto_2611
    )
    :precondition
    ( and ( OBJ ?auto_2593 ) ( LOCATION ?auto_2594 ) ( TRUCK ?auto_2597 ) ( LOCATION ?auto_2598 ) ( CITY ?auto_2600 ) ( AT ?auto_2597 ?auto_2598 ) ( IN-CITY ?auto_2598 ?auto_2600 ) ( IN-CITY ?auto_2594 ?auto_2600 ) ( DIFFERENT ?auto_2594 ?auto_2598 ) ( LOCATION ?auto_2596 ) ( AT ?auto_2597 ?auto_2596 ) ( TRUCK ?auto_2604 ) ( AT ?auto_2604 ?auto_2596 ) ( LOCATION ?auto_2605 ) ( AT ?auto_2604 ?auto_2605 ) ( AIRPLANE ?auto_2601 ) ( AIRPORT ?auto_2602 ) ( AIRPORT ?auto_2605 ) ( DIFFERENT ?auto_2605 ?auto_2602 ) ( LOCATION ?auto_2602 ) ( AIRPORT ?auto_2603 ) ( DIFFERENT ?auto_2602 ?auto_2603 ) ( AIRPORT ?auto_2599 ) ( AT ?auto_2601 ?auto_2599 ) ( DIFFERENT ?auto_2603 ?auto_2599 ) ( TRUCK ?auto_2595 ) ( LOCATION ?auto_2609 ) ( CITY ?auto_2608 ) ( AT ?auto_2595 ?auto_2609 ) ( IN-CITY ?auto_2609 ?auto_2608 ) ( IN-CITY ?auto_2602 ?auto_2608 ) ( DIFFERENT ?auto_2602 ?auto_2609 ) ( LOCATION ?auto_2611 ) ( AT ?auto_2595 ?auto_2611 ) ( AT ?auto_2593 ?auto_2611 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2593 ?auto_2595 ?auto_2611 )
      ( DELIVER-PKG ?auto_2593 ?auto_2594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2613
      ?auto_2614
    )
    :vars
    (
      ?auto_2616
      ?auto_2617
      ?auto_2620
      ?auto_2623
      ?auto_2624
      ?auto_2625
      ?auto_2618
      ?auto_2628
      ?auto_2622
      ?auto_2621
      ?auto_2630
      ?auto_2633
      ?auto_2632
    )
    :precondition
    ( and ( OBJ ?auto_2613 ) ( LOCATION ?auto_2614 ) ( TRUCK ?auto_2616 ) ( LOCATION ?auto_2617 ) ( CITY ?auto_2620 ) ( IN-CITY ?auto_2617 ?auto_2620 ) ( IN-CITY ?auto_2614 ?auto_2620 ) ( DIFFERENT ?auto_2614 ?auto_2617 ) ( AIRPLANE ?auto_2623 ) ( AIRPORT ?auto_2624 ) ( AIRPORT ?auto_2617 ) ( DIFFERENT ?auto_2617 ?auto_2624 ) ( LOCATION ?auto_2624 ) ( AIRPORT ?auto_2625 ) ( DIFFERENT ?auto_2624 ?auto_2625 ) ( AIRPORT ?auto_2618 ) ( AT ?auto_2623 ?auto_2618 ) ( DIFFERENT ?auto_2625 ?auto_2618 ) ( TRUCK ?auto_2628 ) ( LOCATION ?auto_2622 ) ( CITY ?auto_2621 ) ( AT ?auto_2628 ?auto_2622 ) ( IN-CITY ?auto_2622 ?auto_2621 ) ( IN-CITY ?auto_2624 ?auto_2621 ) ( DIFFERENT ?auto_2624 ?auto_2622 ) ( LOCATION ?auto_2630 ) ( AT ?auto_2628 ?auto_2630 ) ( AT ?auto_2613 ?auto_2630 ) ( LOCATION ?auto_2633 ) ( CITY ?auto_2632 ) ( AT ?auto_2616 ?auto_2633 ) ( IN-CITY ?auto_2633 ?auto_2632 ) ( IN-CITY ?auto_2617 ?auto_2632 ) ( DIFFERENT ?auto_2617 ?auto_2633 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2616 ?auto_2633 ?auto_2617 ?auto_2632 )
      ( DELIVER-PKG ?auto_2613 ?auto_2614 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2652
      ?auto_2653
    )
    :vars
    (
      ?auto_2666
      ?auto_2667
      ?auto_2655
      ?auto_2657
      ?auto_2665
      ?auto_2663
      ?auto_2668
      ?auto_2659
      ?auto_2660
      ?auto_2656
      ?auto_2662
      ?auto_2661
      ?auto_2671
      ?auto_2670
    )
    :precondition
    ( and ( OBJ ?auto_2652 ) ( LOCATION ?auto_2653 ) ( TRUCK ?auto_2666 ) ( LOCATION ?auto_2667 ) ( CITY ?auto_2655 ) ( IN-CITY ?auto_2667 ?auto_2655 ) ( IN-CITY ?auto_2653 ?auto_2655 ) ( DIFFERENT ?auto_2653 ?auto_2667 ) ( AIRPLANE ?auto_2657 ) ( AIRPORT ?auto_2665 ) ( AIRPORT ?auto_2667 ) ( DIFFERENT ?auto_2667 ?auto_2665 ) ( LOCATION ?auto_2665 ) ( AIRPORT ?auto_2663 ) ( DIFFERENT ?auto_2665 ?auto_2663 ) ( AIRPORT ?auto_2668 ) ( AT ?auto_2657 ?auto_2668 ) ( DIFFERENT ?auto_2663 ?auto_2668 ) ( TRUCK ?auto_2659 ) ( LOCATION ?auto_2660 ) ( CITY ?auto_2656 ) ( IN-CITY ?auto_2660 ?auto_2656 ) ( IN-CITY ?auto_2665 ?auto_2656 ) ( DIFFERENT ?auto_2665 ?auto_2660 ) ( AT ?auto_2652 ?auto_2660 ) ( LOCATION ?auto_2662 ) ( CITY ?auto_2661 ) ( AT ?auto_2666 ?auto_2662 ) ( IN-CITY ?auto_2662 ?auto_2661 ) ( IN-CITY ?auto_2667 ?auto_2661 ) ( DIFFERENT ?auto_2667 ?auto_2662 ) ( LOCATION ?auto_2671 ) ( CITY ?auto_2670 ) ( AT ?auto_2659 ?auto_2671 ) ( IN-CITY ?auto_2671 ?auto_2670 ) ( IN-CITY ?auto_2660 ?auto_2670 ) ( DIFFERENT ?auto_2660 ?auto_2671 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2659 ?auto_2671 ?auto_2660 ?auto_2670 )
      ( DELIVER-PKG ?auto_2652 ?auto_2653 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2673
      ?auto_2674
    )
    :vars
    (
      ?auto_2676
      ?auto_2677
      ?auto_2689
      ?auto_2688
      ?auto_2675
      ?auto_2681
      ?auto_2678
      ?auto_2683
      ?auto_2684
      ?auto_2685
      ?auto_2680
      ?auto_2679
      ?auto_2690
      ?auto_2682
      ?auto_2693
      ?auto_2692
    )
    :precondition
    ( and ( OBJ ?auto_2673 ) ( LOCATION ?auto_2674 ) ( TRUCK ?auto_2676 ) ( LOCATION ?auto_2677 ) ( CITY ?auto_2689 ) ( IN-CITY ?auto_2677 ?auto_2689 ) ( IN-CITY ?auto_2674 ?auto_2689 ) ( DIFFERENT ?auto_2674 ?auto_2677 ) ( AIRPLANE ?auto_2688 ) ( AIRPORT ?auto_2675 ) ( AIRPORT ?auto_2677 ) ( DIFFERENT ?auto_2677 ?auto_2675 ) ( LOCATION ?auto_2675 ) ( AIRPORT ?auto_2681 ) ( DIFFERENT ?auto_2675 ?auto_2681 ) ( AIRPORT ?auto_2678 ) ( AT ?auto_2688 ?auto_2678 ) ( DIFFERENT ?auto_2681 ?auto_2678 ) ( TRUCK ?auto_2683 ) ( LOCATION ?auto_2684 ) ( CITY ?auto_2685 ) ( IN-CITY ?auto_2684 ?auto_2685 ) ( IN-CITY ?auto_2675 ?auto_2685 ) ( DIFFERENT ?auto_2675 ?auto_2684 ) ( AT ?auto_2673 ?auto_2684 ) ( LOCATION ?auto_2680 ) ( CITY ?auto_2679 ) ( IN-CITY ?auto_2680 ?auto_2679 ) ( IN-CITY ?auto_2677 ?auto_2679 ) ( DIFFERENT ?auto_2677 ?auto_2680 ) ( LOCATION ?auto_2690 ) ( CITY ?auto_2682 ) ( AT ?auto_2683 ?auto_2690 ) ( IN-CITY ?auto_2690 ?auto_2682 ) ( IN-CITY ?auto_2684 ?auto_2682 ) ( DIFFERENT ?auto_2684 ?auto_2690 ) ( LOCATION ?auto_2693 ) ( CITY ?auto_2692 ) ( AT ?auto_2676 ?auto_2693 ) ( IN-CITY ?auto_2693 ?auto_2692 ) ( IN-CITY ?auto_2680 ?auto_2692 ) ( DIFFERENT ?auto_2680 ?auto_2693 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2676 ?auto_2693 ?auto_2680 ?auto_2692 )
      ( DELIVER-PKG ?auto_2673 ?auto_2674 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2695
      ?auto_2696
    )
    :vars
    (
      ?auto_2712
      ?auto_2711
      ?auto_2706
      ?auto_2705
      ?auto_2710
      ?auto_2708
      ?auto_2714
      ?auto_2700
      ?auto_2703
      ?auto_2699
      ?auto_2707
      ?auto_2713
      ?auto_2697
      ?auto_2698
      ?auto_2709
      ?auto_2702
      ?auto_2716
    )
    :precondition
    ( and ( OBJ ?auto_2695 ) ( LOCATION ?auto_2696 ) ( TRUCK ?auto_2712 ) ( LOCATION ?auto_2711 ) ( CITY ?auto_2706 ) ( IN-CITY ?auto_2711 ?auto_2706 ) ( IN-CITY ?auto_2696 ?auto_2706 ) ( DIFFERENT ?auto_2696 ?auto_2711 ) ( AIRPLANE ?auto_2705 ) ( AIRPORT ?auto_2710 ) ( AIRPORT ?auto_2711 ) ( DIFFERENT ?auto_2711 ?auto_2710 ) ( LOCATION ?auto_2710 ) ( AIRPORT ?auto_2708 ) ( DIFFERENT ?auto_2710 ?auto_2708 ) ( AIRPORT ?auto_2714 ) ( DIFFERENT ?auto_2708 ?auto_2714 ) ( TRUCK ?auto_2700 ) ( LOCATION ?auto_2703 ) ( CITY ?auto_2699 ) ( IN-CITY ?auto_2703 ?auto_2699 ) ( IN-CITY ?auto_2710 ?auto_2699 ) ( DIFFERENT ?auto_2710 ?auto_2703 ) ( AT ?auto_2695 ?auto_2703 ) ( LOCATION ?auto_2707 ) ( CITY ?auto_2713 ) ( IN-CITY ?auto_2707 ?auto_2713 ) ( IN-CITY ?auto_2711 ?auto_2713 ) ( DIFFERENT ?auto_2711 ?auto_2707 ) ( LOCATION ?auto_2697 ) ( CITY ?auto_2698 ) ( AT ?auto_2700 ?auto_2697 ) ( IN-CITY ?auto_2697 ?auto_2698 ) ( IN-CITY ?auto_2703 ?auto_2698 ) ( DIFFERENT ?auto_2703 ?auto_2697 ) ( LOCATION ?auto_2709 ) ( CITY ?auto_2702 ) ( AT ?auto_2712 ?auto_2709 ) ( IN-CITY ?auto_2709 ?auto_2702 ) ( IN-CITY ?auto_2707 ?auto_2702 ) ( DIFFERENT ?auto_2707 ?auto_2709 ) ( AIRPORT ?auto_2716 ) ( AT ?auto_2705 ?auto_2716 ) ( DIFFERENT ?auto_2714 ?auto_2716 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2705 ?auto_2716 ?auto_2714 )
      ( DELIVER-PKG ?auto_2695 ?auto_2696 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2754
      ?auto_2755
    )
    :vars
    (
      ?auto_2758
      ?auto_2757
      ?auto_2762
    )
    :precondition
    ( and ( OBJ ?auto_2754 ) ( LOCATION ?auto_2755 ) ( TRUCK ?auto_2758 ) ( AT ?auto_2758 ?auto_2755 ) ( LOCATION ?auto_2757 ) ( AT ?auto_2758 ?auto_2757 ) ( TRUCK ?auto_2762 ) ( AT ?auto_2762 ?auto_2757 ) ( IN ?auto_2754 ?auto_2762 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2754 ?auto_2757 )
      ( DELIVER-PKG ?auto_2754 ?auto_2755 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2857
      ?auto_2858
    )
    :vars
    (
      ?auto_2863
      ?auto_2861
      ?auto_2860
      ?auto_2866
      ?auto_2865
    )
    :precondition
    ( and ( OBJ ?auto_2857 ) ( LOCATION ?auto_2858 ) ( TRUCK ?auto_2863 ) ( IN ?auto_2857 ?auto_2863 ) ( LOCATION ?auto_2861 ) ( CITY ?auto_2860 ) ( IN-CITY ?auto_2861 ?auto_2860 ) ( IN-CITY ?auto_2858 ?auto_2860 ) ( DIFFERENT ?auto_2858 ?auto_2861 ) ( LOCATION ?auto_2866 ) ( CITY ?auto_2865 ) ( AT ?auto_2863 ?auto_2866 ) ( IN-CITY ?auto_2866 ?auto_2865 ) ( IN-CITY ?auto_2861 ?auto_2865 ) ( DIFFERENT ?auto_2861 ?auto_2866 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2863 ?auto_2866 ?auto_2861 ?auto_2865 )
      ( DELIVER-PKG ?auto_2857 ?auto_2858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2868
      ?auto_2869
    )
    :vars
    (
      ?auto_2870
      ?auto_2873
      ?auto_2876
      ?auto_2875
      ?auto_2874
      ?auto_2878
    )
    :precondition
    ( and ( OBJ ?auto_2868 ) ( LOCATION ?auto_2869 ) ( TRUCK ?auto_2870 ) ( LOCATION ?auto_2873 ) ( CITY ?auto_2876 ) ( IN-CITY ?auto_2873 ?auto_2876 ) ( IN-CITY ?auto_2869 ?auto_2876 ) ( DIFFERENT ?auto_2869 ?auto_2873 ) ( LOCATION ?auto_2875 ) ( CITY ?auto_2874 ) ( AT ?auto_2870 ?auto_2875 ) ( IN-CITY ?auto_2875 ?auto_2874 ) ( IN-CITY ?auto_2873 ?auto_2874 ) ( DIFFERENT ?auto_2873 ?auto_2875 ) ( LOCATION ?auto_2878 ) ( AT ?auto_2870 ?auto_2878 ) ( AT ?auto_2868 ?auto_2878 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2868 ?auto_2870 ?auto_2878 )
      ( DELIVER-PKG ?auto_2868 ?auto_2869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3062
      ?auto_3063
    )
    :vars
    (
      ?auto_3068
      ?auto_3067
      ?auto_3071
      ?auto_3066
      ?auto_3065
      ?auto_3064
      ?auto_3074
      ?auto_3073
    )
    :precondition
    ( and ( OBJ ?auto_3062 ) ( LOCATION ?auto_3063 ) ( AIRPLANE ?auto_3068 ) ( AIRPORT ?auto_3067 ) ( AIRPORT ?auto_3063 ) ( AT ?auto_3068 ?auto_3067 ) ( DIFFERENT ?auto_3063 ?auto_3067 ) ( LOCATION ?auto_3071 ) ( AT ?auto_3068 ?auto_3071 ) ( TRUCK ?auto_3066 ) ( IN ?auto_3062 ?auto_3066 ) ( LOCATION ?auto_3065 ) ( CITY ?auto_3064 ) ( IN-CITY ?auto_3065 ?auto_3064 ) ( IN-CITY ?auto_3071 ?auto_3064 ) ( DIFFERENT ?auto_3071 ?auto_3065 ) ( LOCATION ?auto_3074 ) ( CITY ?auto_3073 ) ( AT ?auto_3066 ?auto_3074 ) ( IN-CITY ?auto_3074 ?auto_3073 ) ( IN-CITY ?auto_3065 ?auto_3073 ) ( DIFFERENT ?auto_3065 ?auto_3074 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3066 ?auto_3074 ?auto_3065 ?auto_3073 )
      ( DELIVER-PKG ?auto_3062 ?auto_3063 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3076
      ?auto_3077
    )
    :vars
    (
      ?auto_3080
      ?auto_3081
      ?auto_3086
      ?auto_3082
      ?auto_3083
      ?auto_3078
      ?auto_3085
      ?auto_3084
      ?auto_3089
    )
    :precondition
    ( and ( OBJ ?auto_3076 ) ( LOCATION ?auto_3077 ) ( AIRPLANE ?auto_3080 ) ( AIRPORT ?auto_3081 ) ( AIRPORT ?auto_3077 ) ( AT ?auto_3080 ?auto_3081 ) ( DIFFERENT ?auto_3077 ?auto_3081 ) ( LOCATION ?auto_3086 ) ( AT ?auto_3080 ?auto_3086 ) ( TRUCK ?auto_3082 ) ( LOCATION ?auto_3083 ) ( CITY ?auto_3078 ) ( IN-CITY ?auto_3083 ?auto_3078 ) ( IN-CITY ?auto_3086 ?auto_3078 ) ( DIFFERENT ?auto_3086 ?auto_3083 ) ( LOCATION ?auto_3085 ) ( CITY ?auto_3084 ) ( AT ?auto_3082 ?auto_3085 ) ( IN-CITY ?auto_3085 ?auto_3084 ) ( IN-CITY ?auto_3083 ?auto_3084 ) ( DIFFERENT ?auto_3083 ?auto_3085 ) ( LOCATION ?auto_3089 ) ( AT ?auto_3082 ?auto_3089 ) ( AT ?auto_3076 ?auto_3089 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3076 ?auto_3082 ?auto_3089 )
      ( DELIVER-PKG ?auto_3076 ?auto_3077 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3091
      ?auto_3092
    )
    :vars
    (
      ?auto_3102
      ?auto_3099
      ?auto_3093
      ?auto_3098
      ?auto_3096
      ?auto_3101
      ?auto_3100
      ?auto_3097
      ?auto_3105
    )
    :precondition
    ( and ( OBJ ?auto_3091 ) ( LOCATION ?auto_3092 ) ( AIRPLANE ?auto_3102 ) ( AIRPORT ?auto_3099 ) ( AIRPORT ?auto_3092 ) ( DIFFERENT ?auto_3092 ?auto_3099 ) ( LOCATION ?auto_3099 ) ( TRUCK ?auto_3093 ) ( LOCATION ?auto_3098 ) ( CITY ?auto_3096 ) ( IN-CITY ?auto_3098 ?auto_3096 ) ( IN-CITY ?auto_3099 ?auto_3096 ) ( DIFFERENT ?auto_3099 ?auto_3098 ) ( LOCATION ?auto_3101 ) ( CITY ?auto_3100 ) ( AT ?auto_3093 ?auto_3101 ) ( IN-CITY ?auto_3101 ?auto_3100 ) ( IN-CITY ?auto_3098 ?auto_3100 ) ( DIFFERENT ?auto_3098 ?auto_3101 ) ( LOCATION ?auto_3097 ) ( AT ?auto_3093 ?auto_3097 ) ( AT ?auto_3091 ?auto_3097 ) ( AIRPORT ?auto_3105 ) ( AT ?auto_3102 ?auto_3105 ) ( DIFFERENT ?auto_3099 ?auto_3105 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3102 ?auto_3105 ?auto_3099 )
      ( DELIVER-PKG ?auto_3091 ?auto_3092 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3530
      ?auto_3531
    )
    :vars
    (
      ?auto_3532
      ?auto_3539
      ?auto_3534
      ?auto_3535
      ?auto_3533
      ?auto_3536
      ?auto_3540
    )
    :precondition
    ( and ( OBJ ?auto_3530 ) ( LOCATION ?auto_3531 ) ( TRUCK ?auto_3532 ) ( LOCATION ?auto_3539 ) ( CITY ?auto_3534 ) ( IN-CITY ?auto_3539 ?auto_3534 ) ( IN-CITY ?auto_3531 ?auto_3534 ) ( DIFFERENT ?auto_3531 ?auto_3539 ) ( LOCATION ?auto_3535 ) ( CITY ?auto_3533 ) ( AT ?auto_3532 ?auto_3535 ) ( IN-CITY ?auto_3535 ?auto_3533 ) ( IN-CITY ?auto_3539 ?auto_3533 ) ( DIFFERENT ?auto_3539 ?auto_3535 ) ( LOCATION ?auto_3536 ) ( AT ?auto_3532 ?auto_3536 ) ( AIRPLANE ?auto_3540 ) ( IN ?auto_3530 ?auto_3540 ) ( AT ?auto_3540 ?auto_3536 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3530 ?auto_3536 )
      ( DELIVER-PKG ?auto_3530 ?auto_3531 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3554
      ?auto_3555
    )
    :vars
    (
      ?auto_3556
      ?auto_3560
      ?auto_3561
      ?auto_3557
      ?auto_3562
      ?auto_3558
      ?auto_3559
      ?auto_3566
    )
    :precondition
    ( and ( OBJ ?auto_3554 ) ( LOCATION ?auto_3555 ) ( TRUCK ?auto_3556 ) ( LOCATION ?auto_3560 ) ( CITY ?auto_3561 ) ( IN-CITY ?auto_3560 ?auto_3561 ) ( IN-CITY ?auto_3555 ?auto_3561 ) ( DIFFERENT ?auto_3555 ?auto_3560 ) ( LOCATION ?auto_3557 ) ( CITY ?auto_3562 ) ( AT ?auto_3556 ?auto_3557 ) ( IN-CITY ?auto_3557 ?auto_3562 ) ( IN-CITY ?auto_3560 ?auto_3562 ) ( DIFFERENT ?auto_3560 ?auto_3557 ) ( LOCATION ?auto_3558 ) ( AT ?auto_3556 ?auto_3558 ) ( AIRPLANE ?auto_3559 ) ( IN ?auto_3554 ?auto_3559 ) ( AIRPORT ?auto_3566 ) ( AIRPORT ?auto_3558 ) ( AT ?auto_3559 ?auto_3566 ) ( DIFFERENT ?auto_3558 ?auto_3566 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3559 ?auto_3566 ?auto_3558 )
      ( DELIVER-PKG ?auto_3554 ?auto_3555 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3568
      ?auto_3569
    )
    :vars
    (
      ?auto_3574
      ?auto_3570
      ?auto_3572
      ?auto_3577
      ?auto_3573
      ?auto_3575
      ?auto_3576
      ?auto_3579
      ?auto_3581
    )
    :precondition
    ( and ( OBJ ?auto_3568 ) ( LOCATION ?auto_3569 ) ( TRUCK ?auto_3574 ) ( LOCATION ?auto_3570 ) ( CITY ?auto_3572 ) ( IN-CITY ?auto_3570 ?auto_3572 ) ( IN-CITY ?auto_3569 ?auto_3572 ) ( DIFFERENT ?auto_3569 ?auto_3570 ) ( LOCATION ?auto_3577 ) ( CITY ?auto_3573 ) ( AT ?auto_3574 ?auto_3577 ) ( IN-CITY ?auto_3577 ?auto_3573 ) ( IN-CITY ?auto_3570 ?auto_3573 ) ( DIFFERENT ?auto_3570 ?auto_3577 ) ( LOCATION ?auto_3575 ) ( AT ?auto_3574 ?auto_3575 ) ( AIRPLANE ?auto_3576 ) ( AIRPORT ?auto_3579 ) ( AIRPORT ?auto_3575 ) ( AT ?auto_3576 ?auto_3579 ) ( DIFFERENT ?auto_3575 ?auto_3579 ) ( LOCATION ?auto_3581 ) ( AT ?auto_3568 ?auto_3581 ) ( AT ?auto_3576 ?auto_3581 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3568 ?auto_3576 ?auto_3581 )
      ( DELIVER-PKG ?auto_3568 ?auto_3569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3583
      ?auto_3584
    )
    :vars
    (
      ?auto_3586
      ?auto_3585
      ?auto_3594
      ?auto_3593
      ?auto_3595
      ?auto_3589
      ?auto_3590
      ?auto_3587
      ?auto_3591
      ?auto_3596
    )
    :precondition
    ( and ( OBJ ?auto_3583 ) ( LOCATION ?auto_3584 ) ( TRUCK ?auto_3586 ) ( LOCATION ?auto_3585 ) ( CITY ?auto_3594 ) ( IN-CITY ?auto_3585 ?auto_3594 ) ( IN-CITY ?auto_3584 ?auto_3594 ) ( DIFFERENT ?auto_3584 ?auto_3585 ) ( LOCATION ?auto_3593 ) ( CITY ?auto_3595 ) ( AT ?auto_3586 ?auto_3593 ) ( IN-CITY ?auto_3593 ?auto_3595 ) ( IN-CITY ?auto_3585 ?auto_3595 ) ( DIFFERENT ?auto_3585 ?auto_3593 ) ( LOCATION ?auto_3589 ) ( AT ?auto_3586 ?auto_3589 ) ( AIRPLANE ?auto_3590 ) ( AIRPORT ?auto_3587 ) ( AIRPORT ?auto_3589 ) ( AT ?auto_3590 ?auto_3587 ) ( DIFFERENT ?auto_3589 ?auto_3587 ) ( LOCATION ?auto_3591 ) ( AT ?auto_3590 ?auto_3591 ) ( TRUCK ?auto_3596 ) ( AT ?auto_3596 ?auto_3591 ) ( IN ?auto_3583 ?auto_3596 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3583 ?auto_3591 )
      ( DELIVER-PKG ?auto_3583 ?auto_3584 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3599
      ?auto_3600
    )
    :vars
    (
      ?auto_3611
      ?auto_3605
      ?auto_3603
      ?auto_3609
      ?auto_3604
      ?auto_3612
      ?auto_3608
      ?auto_3610
      ?auto_3606
      ?auto_3607
      ?auto_3615
      ?auto_3614
    )
    :precondition
    ( and ( OBJ ?auto_3599 ) ( LOCATION ?auto_3600 ) ( TRUCK ?auto_3611 ) ( LOCATION ?auto_3605 ) ( CITY ?auto_3603 ) ( IN-CITY ?auto_3605 ?auto_3603 ) ( IN-CITY ?auto_3600 ?auto_3603 ) ( DIFFERENT ?auto_3600 ?auto_3605 ) ( LOCATION ?auto_3609 ) ( CITY ?auto_3604 ) ( AT ?auto_3611 ?auto_3609 ) ( IN-CITY ?auto_3609 ?auto_3604 ) ( IN-CITY ?auto_3605 ?auto_3604 ) ( DIFFERENT ?auto_3605 ?auto_3609 ) ( LOCATION ?auto_3612 ) ( AT ?auto_3611 ?auto_3612 ) ( AIRPLANE ?auto_3608 ) ( AIRPORT ?auto_3610 ) ( AIRPORT ?auto_3612 ) ( AT ?auto_3608 ?auto_3610 ) ( DIFFERENT ?auto_3612 ?auto_3610 ) ( LOCATION ?auto_3606 ) ( AT ?auto_3608 ?auto_3606 ) ( TRUCK ?auto_3607 ) ( IN ?auto_3599 ?auto_3607 ) ( LOCATION ?auto_3615 ) ( CITY ?auto_3614 ) ( AT ?auto_3607 ?auto_3615 ) ( IN-CITY ?auto_3615 ?auto_3614 ) ( IN-CITY ?auto_3606 ?auto_3614 ) ( DIFFERENT ?auto_3606 ?auto_3615 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3607 ?auto_3615 ?auto_3606 ?auto_3614 )
      ( DELIVER-PKG ?auto_3599 ?auto_3600 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3633
      ?auto_3634
    )
    :vars
    (
      ?auto_3638
      ?auto_3635
      ?auto_3648
      ?auto_3646
      ?auto_3641
      ?auto_3640
      ?auto_3642
      ?auto_3637
      ?auto_3639
      ?auto_3647
      ?auto_3644
      ?auto_3643
      ?auto_3651
      ?auto_3650
    )
    :precondition
    ( and ( OBJ ?auto_3633 ) ( LOCATION ?auto_3634 ) ( TRUCK ?auto_3638 ) ( LOCATION ?auto_3635 ) ( CITY ?auto_3648 ) ( IN-CITY ?auto_3635 ?auto_3648 ) ( IN-CITY ?auto_3634 ?auto_3648 ) ( DIFFERENT ?auto_3634 ?auto_3635 ) ( LOCATION ?auto_3646 ) ( CITY ?auto_3641 ) ( AT ?auto_3638 ?auto_3646 ) ( IN-CITY ?auto_3646 ?auto_3641 ) ( IN-CITY ?auto_3635 ?auto_3641 ) ( DIFFERENT ?auto_3635 ?auto_3646 ) ( LOCATION ?auto_3640 ) ( AT ?auto_3638 ?auto_3640 ) ( AIRPLANE ?auto_3642 ) ( AIRPORT ?auto_3637 ) ( AIRPORT ?auto_3640 ) ( AT ?auto_3642 ?auto_3637 ) ( DIFFERENT ?auto_3640 ?auto_3637 ) ( LOCATION ?auto_3639 ) ( AT ?auto_3642 ?auto_3639 ) ( TRUCK ?auto_3647 ) ( IN ?auto_3633 ?auto_3647 ) ( LOCATION ?auto_3644 ) ( CITY ?auto_3643 ) ( IN-CITY ?auto_3644 ?auto_3643 ) ( IN-CITY ?auto_3639 ?auto_3643 ) ( DIFFERENT ?auto_3639 ?auto_3644 ) ( LOCATION ?auto_3651 ) ( CITY ?auto_3650 ) ( AT ?auto_3647 ?auto_3651 ) ( IN-CITY ?auto_3651 ?auto_3650 ) ( IN-CITY ?auto_3644 ?auto_3650 ) ( DIFFERENT ?auto_3644 ?auto_3651 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3647 ?auto_3651 ?auto_3644 ?auto_3650 )
      ( DELIVER-PKG ?auto_3633 ?auto_3634 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3653
      ?auto_3654
    )
    :vars
    (
      ?auto_3667
      ?auto_3668
      ?auto_3664
      ?auto_3662
      ?auto_3657
      ?auto_3660
      ?auto_3658
      ?auto_3661
      ?auto_3659
      ?auto_3663
      ?auto_3656
      ?auto_3655
      ?auto_3670
      ?auto_3669
      ?auto_3672
    )
    :precondition
    ( and ( OBJ ?auto_3653 ) ( LOCATION ?auto_3654 ) ( TRUCK ?auto_3667 ) ( LOCATION ?auto_3668 ) ( CITY ?auto_3664 ) ( IN-CITY ?auto_3668 ?auto_3664 ) ( IN-CITY ?auto_3654 ?auto_3664 ) ( DIFFERENT ?auto_3654 ?auto_3668 ) ( LOCATION ?auto_3662 ) ( CITY ?auto_3657 ) ( AT ?auto_3667 ?auto_3662 ) ( IN-CITY ?auto_3662 ?auto_3657 ) ( IN-CITY ?auto_3668 ?auto_3657 ) ( DIFFERENT ?auto_3668 ?auto_3662 ) ( LOCATION ?auto_3660 ) ( AT ?auto_3667 ?auto_3660 ) ( AIRPLANE ?auto_3658 ) ( AIRPORT ?auto_3661 ) ( AIRPORT ?auto_3660 ) ( AT ?auto_3658 ?auto_3661 ) ( DIFFERENT ?auto_3660 ?auto_3661 ) ( LOCATION ?auto_3659 ) ( AT ?auto_3658 ?auto_3659 ) ( TRUCK ?auto_3663 ) ( LOCATION ?auto_3656 ) ( CITY ?auto_3655 ) ( IN-CITY ?auto_3656 ?auto_3655 ) ( IN-CITY ?auto_3659 ?auto_3655 ) ( DIFFERENT ?auto_3659 ?auto_3656 ) ( LOCATION ?auto_3670 ) ( CITY ?auto_3669 ) ( AT ?auto_3663 ?auto_3670 ) ( IN-CITY ?auto_3670 ?auto_3669 ) ( IN-CITY ?auto_3656 ?auto_3669 ) ( DIFFERENT ?auto_3656 ?auto_3670 ) ( LOCATION ?auto_3672 ) ( AT ?auto_3663 ?auto_3672 ) ( AT ?auto_3653 ?auto_3672 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3653 ?auto_3663 ?auto_3672 )
      ( DELIVER-PKG ?auto_3653 ?auto_3654 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3674
      ?auto_3675
    )
    :vars
    (
      ?auto_3687
      ?auto_3685
      ?auto_3678
      ?auto_3682
      ?auto_3692
      ?auto_3684
      ?auto_3691
      ?auto_3677
      ?auto_3681
      ?auto_3689
      ?auto_3688
      ?auto_3683
      ?auto_3676
      ?auto_3686
      ?auto_3694
    )
    :precondition
    ( and ( OBJ ?auto_3674 ) ( LOCATION ?auto_3675 ) ( TRUCK ?auto_3687 ) ( LOCATION ?auto_3685 ) ( CITY ?auto_3678 ) ( IN-CITY ?auto_3685 ?auto_3678 ) ( IN-CITY ?auto_3675 ?auto_3678 ) ( DIFFERENT ?auto_3675 ?auto_3685 ) ( LOCATION ?auto_3682 ) ( CITY ?auto_3692 ) ( AT ?auto_3687 ?auto_3682 ) ( IN-CITY ?auto_3682 ?auto_3692 ) ( IN-CITY ?auto_3685 ?auto_3692 ) ( DIFFERENT ?auto_3685 ?auto_3682 ) ( LOCATION ?auto_3684 ) ( AT ?auto_3687 ?auto_3684 ) ( AIRPLANE ?auto_3691 ) ( AIRPORT ?auto_3677 ) ( AIRPORT ?auto_3684 ) ( DIFFERENT ?auto_3684 ?auto_3677 ) ( LOCATION ?auto_3677 ) ( TRUCK ?auto_3681 ) ( LOCATION ?auto_3689 ) ( CITY ?auto_3688 ) ( IN-CITY ?auto_3689 ?auto_3688 ) ( IN-CITY ?auto_3677 ?auto_3688 ) ( DIFFERENT ?auto_3677 ?auto_3689 ) ( LOCATION ?auto_3683 ) ( CITY ?auto_3676 ) ( AT ?auto_3681 ?auto_3683 ) ( IN-CITY ?auto_3683 ?auto_3676 ) ( IN-CITY ?auto_3689 ?auto_3676 ) ( DIFFERENT ?auto_3689 ?auto_3683 ) ( LOCATION ?auto_3686 ) ( AT ?auto_3681 ?auto_3686 ) ( AT ?auto_3674 ?auto_3686 ) ( AIRPORT ?auto_3694 ) ( AT ?auto_3691 ?auto_3694 ) ( DIFFERENT ?auto_3677 ?auto_3694 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3691 ?auto_3694 ?auto_3677 )
      ( DELIVER-PKG ?auto_3674 ?auto_3675 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4044
      ?auto_4045
    )
    :vars
    (
      ?auto_4050
      ?auto_4046
      ?auto_4052
      ?auto_4053
      ?auto_4051
      ?auto_4056
      ?auto_4055
    )
    :precondition
    ( and ( OBJ ?auto_4044 ) ( LOCATION ?auto_4045 ) ( TRUCK ?auto_4050 ) ( LOCATION ?auto_4046 ) ( CITY ?auto_4052 ) ( IN-CITY ?auto_4046 ?auto_4052 ) ( IN-CITY ?auto_4045 ?auto_4052 ) ( DIFFERENT ?auto_4045 ?auto_4046 ) ( LOCATION ?auto_4053 ) ( CITY ?auto_4051 ) ( IN-CITY ?auto_4053 ?auto_4051 ) ( IN-CITY ?auto_4046 ?auto_4051 ) ( DIFFERENT ?auto_4046 ?auto_4053 ) ( AT ?auto_4044 ?auto_4053 ) ( LOCATION ?auto_4056 ) ( CITY ?auto_4055 ) ( AT ?auto_4050 ?auto_4056 ) ( IN-CITY ?auto_4056 ?auto_4055 ) ( IN-CITY ?auto_4053 ?auto_4055 ) ( DIFFERENT ?auto_4053 ?auto_4056 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4050 ?auto_4056 ?auto_4053 ?auto_4055 )
      ( DELIVER-PKG ?auto_4044 ?auto_4045 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4732
      ?auto_4733
    )
    :vars
    (
      ?auto_4734
      ?auto_4738
      ?auto_4742
      ?auto_4735
      ?auto_4736
      ?auto_4739
      ?auto_4740
      ?auto_4737
      ?auto_4747
      ?auto_4746
    )
    :precondition
    ( and ( OBJ ?auto_4732 ) ( LOCATION ?auto_4733 ) ( AIRPLANE ?auto_4734 ) ( AIRPORT ?auto_4738 ) ( AIRPORT ?auto_4733 ) ( DIFFERENT ?auto_4733 ?auto_4738 ) ( LOCATION ?auto_4738 ) ( TRUCK ?auto_4742 ) ( LOCATION ?auto_4735 ) ( CITY ?auto_4736 ) ( IN-CITY ?auto_4735 ?auto_4736 ) ( IN-CITY ?auto_4738 ?auto_4736 ) ( DIFFERENT ?auto_4738 ?auto_4735 ) ( LOCATION ?auto_4739 ) ( CITY ?auto_4740 ) ( IN-CITY ?auto_4739 ?auto_4740 ) ( IN-CITY ?auto_4735 ?auto_4740 ) ( DIFFERENT ?auto_4735 ?auto_4739 ) ( AT ?auto_4732 ?auto_4739 ) ( AIRPORT ?auto_4737 ) ( AT ?auto_4734 ?auto_4737 ) ( DIFFERENT ?auto_4738 ?auto_4737 ) ( LOCATION ?auto_4747 ) ( CITY ?auto_4746 ) ( AT ?auto_4742 ?auto_4747 ) ( IN-CITY ?auto_4747 ?auto_4746 ) ( IN-CITY ?auto_4739 ?auto_4746 ) ( DIFFERENT ?auto_4739 ?auto_4747 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4742 ?auto_4747 ?auto_4739 ?auto_4746 )
      ( DELIVER-PKG ?auto_4732 ?auto_4733 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5131
      ?auto_5132
    )
    :vars
    (
      ?auto_5136
      ?auto_5134
      ?auto_5142
      ?auto_5135
      ?auto_5137
      ?auto_5138
      ?auto_5139
      ?auto_5133
      ?auto_5141
      ?auto_5140
      ?auto_5147
      ?auto_5146
    )
    :precondition
    ( and ( OBJ ?auto_5131 ) ( LOCATION ?auto_5132 ) ( TRUCK ?auto_5136 ) ( LOCATION ?auto_5134 ) ( CITY ?auto_5142 ) ( AT ?auto_5136 ?auto_5134 ) ( IN-CITY ?auto_5134 ?auto_5142 ) ( IN-CITY ?auto_5132 ?auto_5142 ) ( DIFFERENT ?auto_5132 ?auto_5134 ) ( LOCATION ?auto_5135 ) ( AT ?auto_5136 ?auto_5135 ) ( AIRPLANE ?auto_5137 ) ( AIRPORT ?auto_5138 ) ( AIRPORT ?auto_5135 ) ( AT ?auto_5137 ?auto_5138 ) ( DIFFERENT ?auto_5135 ?auto_5138 ) ( LOCATION ?auto_5139 ) ( AT ?auto_5137 ?auto_5139 ) ( TRUCK ?auto_5133 ) ( IN ?auto_5131 ?auto_5133 ) ( LOCATION ?auto_5141 ) ( CITY ?auto_5140 ) ( IN-CITY ?auto_5141 ?auto_5140 ) ( IN-CITY ?auto_5139 ?auto_5140 ) ( DIFFERENT ?auto_5139 ?auto_5141 ) ( LOCATION ?auto_5147 ) ( CITY ?auto_5146 ) ( AT ?auto_5133 ?auto_5147 ) ( IN-CITY ?auto_5147 ?auto_5146 ) ( IN-CITY ?auto_5141 ?auto_5146 ) ( DIFFERENT ?auto_5141 ?auto_5147 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5133 ?auto_5147 ?auto_5141 ?auto_5146 )
      ( DELIVER-PKG ?auto_5131 ?auto_5132 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5165
      ?auto_5166
    )
    :vars
    (
      ?auto_5167
      ?auto_5175
      ?auto_5173
      ?auto_5174
      ?auto_5168
      ?auto_5169
      ?auto_5170
      ?auto_5180
      ?auto_5172
      ?auto_5171
      ?auto_5177
      ?auto_5176
      ?auto_5182
    )
    :precondition
    ( and ( OBJ ?auto_5165 ) ( LOCATION ?auto_5166 ) ( TRUCK ?auto_5167 ) ( LOCATION ?auto_5175 ) ( CITY ?auto_5173 ) ( AT ?auto_5167 ?auto_5175 ) ( IN-CITY ?auto_5175 ?auto_5173 ) ( IN-CITY ?auto_5166 ?auto_5173 ) ( DIFFERENT ?auto_5166 ?auto_5175 ) ( LOCATION ?auto_5174 ) ( AT ?auto_5167 ?auto_5174 ) ( AIRPLANE ?auto_5168 ) ( AIRPORT ?auto_5169 ) ( AIRPORT ?auto_5174 ) ( AT ?auto_5168 ?auto_5169 ) ( DIFFERENT ?auto_5174 ?auto_5169 ) ( LOCATION ?auto_5170 ) ( AT ?auto_5168 ?auto_5170 ) ( TRUCK ?auto_5180 ) ( LOCATION ?auto_5172 ) ( CITY ?auto_5171 ) ( IN-CITY ?auto_5172 ?auto_5171 ) ( IN-CITY ?auto_5170 ?auto_5171 ) ( DIFFERENT ?auto_5170 ?auto_5172 ) ( LOCATION ?auto_5177 ) ( CITY ?auto_5176 ) ( AT ?auto_5180 ?auto_5177 ) ( IN-CITY ?auto_5177 ?auto_5176 ) ( IN-CITY ?auto_5172 ?auto_5176 ) ( DIFFERENT ?auto_5172 ?auto_5177 ) ( LOCATION ?auto_5182 ) ( AT ?auto_5180 ?auto_5182 ) ( AT ?auto_5165 ?auto_5182 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5165 ?auto_5180 ?auto_5182 )
      ( DELIVER-PKG ?auto_5165 ?auto_5166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5201
      ?auto_5202
    )
    :vars
    (
      ?auto_5216
      ?auto_5205
      ?auto_5209
      ?auto_5204
      ?auto_5210
      ?auto_5214
      ?auto_5206
      ?auto_5208
      ?auto_5211
      ?auto_5213
      ?auto_5212
      ?auto_5217
      ?auto_5219
    )
    :precondition
    ( and ( OBJ ?auto_5201 ) ( LOCATION ?auto_5202 ) ( TRUCK ?auto_5216 ) ( LOCATION ?auto_5205 ) ( CITY ?auto_5209 ) ( AT ?auto_5216 ?auto_5205 ) ( IN-CITY ?auto_5205 ?auto_5209 ) ( IN-CITY ?auto_5202 ?auto_5209 ) ( DIFFERENT ?auto_5202 ?auto_5205 ) ( LOCATION ?auto_5204 ) ( AT ?auto_5216 ?auto_5204 ) ( AIRPLANE ?auto_5210 ) ( AIRPORT ?auto_5214 ) ( AIRPORT ?auto_5204 ) ( DIFFERENT ?auto_5204 ?auto_5214 ) ( LOCATION ?auto_5214 ) ( TRUCK ?auto_5206 ) ( LOCATION ?auto_5208 ) ( CITY ?auto_5211 ) ( IN-CITY ?auto_5208 ?auto_5211 ) ( IN-CITY ?auto_5214 ?auto_5211 ) ( DIFFERENT ?auto_5214 ?auto_5208 ) ( LOCATION ?auto_5213 ) ( CITY ?auto_5212 ) ( AT ?auto_5206 ?auto_5213 ) ( IN-CITY ?auto_5213 ?auto_5212 ) ( IN-CITY ?auto_5208 ?auto_5212 ) ( DIFFERENT ?auto_5208 ?auto_5213 ) ( LOCATION ?auto_5217 ) ( AT ?auto_5206 ?auto_5217 ) ( AT ?auto_5201 ?auto_5217 ) ( AIRPORT ?auto_5219 ) ( AT ?auto_5210 ?auto_5219 ) ( DIFFERENT ?auto_5214 ?auto_5219 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5210 ?auto_5219 ?auto_5214 )
      ( DELIVER-PKG ?auto_5201 ?auto_5202 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5221
      ?auto_5222
    )
    :vars
    (
      ?auto_5233
      ?auto_5224
      ?auto_5226
      ?auto_5223
      ?auto_5227
      ?auto_5232
      ?auto_5236
      ?auto_5235
      ?auto_5228
      ?auto_5234
      ?auto_5229
      ?auto_5231
      ?auto_5240
      ?auto_5239
    )
    :precondition
    ( and ( OBJ ?auto_5221 ) ( LOCATION ?auto_5222 ) ( TRUCK ?auto_5233 ) ( LOCATION ?auto_5224 ) ( CITY ?auto_5226 ) ( AT ?auto_5233 ?auto_5224 ) ( IN-CITY ?auto_5224 ?auto_5226 ) ( IN-CITY ?auto_5222 ?auto_5226 ) ( DIFFERENT ?auto_5222 ?auto_5224 ) ( LOCATION ?auto_5223 ) ( AT ?auto_5233 ?auto_5223 ) ( AIRPLANE ?auto_5227 ) ( AIRPORT ?auto_5232 ) ( AIRPORT ?auto_5223 ) ( DIFFERENT ?auto_5223 ?auto_5232 ) ( LOCATION ?auto_5232 ) ( TRUCK ?auto_5236 ) ( LOCATION ?auto_5235 ) ( CITY ?auto_5228 ) ( IN-CITY ?auto_5235 ?auto_5228 ) ( IN-CITY ?auto_5232 ?auto_5228 ) ( DIFFERENT ?auto_5232 ?auto_5235 ) ( LOCATION ?auto_5234 ) ( CITY ?auto_5229 ) ( IN-CITY ?auto_5234 ?auto_5229 ) ( IN-CITY ?auto_5235 ?auto_5229 ) ( DIFFERENT ?auto_5235 ?auto_5234 ) ( AT ?auto_5221 ?auto_5234 ) ( AIRPORT ?auto_5231 ) ( AT ?auto_5227 ?auto_5231 ) ( DIFFERENT ?auto_5232 ?auto_5231 ) ( LOCATION ?auto_5240 ) ( CITY ?auto_5239 ) ( AT ?auto_5236 ?auto_5240 ) ( IN-CITY ?auto_5240 ?auto_5239 ) ( IN-CITY ?auto_5234 ?auto_5239 ) ( DIFFERENT ?auto_5234 ?auto_5240 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5236 ?auto_5240 ?auto_5234 ?auto_5239 )
      ( DELIVER-PKG ?auto_5221 ?auto_5222 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5242
      ?auto_5243
    )
    :vars
    (
      ?auto_5254
      ?auto_5250
      ?auto_5256
      ?auto_5257
      ?auto_5245
      ?auto_5253
      ?auto_5252
      ?auto_5259
      ?auto_5247
      ?auto_5258
      ?auto_5246
      ?auto_5249
      ?auto_5248
      ?auto_5262
      ?auto_5261
    )
    :precondition
    ( and ( OBJ ?auto_5242 ) ( LOCATION ?auto_5243 ) ( TRUCK ?auto_5254 ) ( LOCATION ?auto_5250 ) ( CITY ?auto_5256 ) ( IN-CITY ?auto_5250 ?auto_5256 ) ( IN-CITY ?auto_5243 ?auto_5256 ) ( DIFFERENT ?auto_5243 ?auto_5250 ) ( AIRPLANE ?auto_5257 ) ( AIRPORT ?auto_5245 ) ( AIRPORT ?auto_5250 ) ( DIFFERENT ?auto_5250 ?auto_5245 ) ( LOCATION ?auto_5245 ) ( TRUCK ?auto_5253 ) ( LOCATION ?auto_5252 ) ( CITY ?auto_5259 ) ( IN-CITY ?auto_5252 ?auto_5259 ) ( IN-CITY ?auto_5245 ?auto_5259 ) ( DIFFERENT ?auto_5245 ?auto_5252 ) ( LOCATION ?auto_5247 ) ( CITY ?auto_5258 ) ( IN-CITY ?auto_5247 ?auto_5258 ) ( IN-CITY ?auto_5252 ?auto_5258 ) ( DIFFERENT ?auto_5252 ?auto_5247 ) ( AT ?auto_5242 ?auto_5247 ) ( AIRPORT ?auto_5246 ) ( AT ?auto_5257 ?auto_5246 ) ( DIFFERENT ?auto_5245 ?auto_5246 ) ( LOCATION ?auto_5249 ) ( CITY ?auto_5248 ) ( AT ?auto_5253 ?auto_5249 ) ( IN-CITY ?auto_5249 ?auto_5248 ) ( IN-CITY ?auto_5247 ?auto_5248 ) ( DIFFERENT ?auto_5247 ?auto_5249 ) ( LOCATION ?auto_5262 ) ( CITY ?auto_5261 ) ( AT ?auto_5254 ?auto_5262 ) ( IN-CITY ?auto_5262 ?auto_5261 ) ( IN-CITY ?auto_5250 ?auto_5261 ) ( DIFFERENT ?auto_5250 ?auto_5262 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5254 ?auto_5262 ?auto_5250 ?auto_5261 )
      ( DELIVER-PKG ?auto_5242 ?auto_5243 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6202
      ?auto_6203
    )
    :vars
    (
      ?auto_6213
      ?auto_6216
      ?auto_6206
      ?auto_6212
      ?auto_6207
      ?auto_6205
      ?auto_6210
      ?auto_6211
      ?auto_6217
      ?auto_6209
      ?auto_6208
      ?auto_6214
      ?auto_6218
      ?auto_6215
      ?auto_6223
      ?auto_6222
    )
    :precondition
    ( and ( OBJ ?auto_6202 ) ( LOCATION ?auto_6203 ) ( TRUCK ?auto_6213 ) ( LOCATION ?auto_6216 ) ( CITY ?auto_6206 ) ( IN-CITY ?auto_6216 ?auto_6206 ) ( IN-CITY ?auto_6203 ?auto_6206 ) ( DIFFERENT ?auto_6203 ?auto_6216 ) ( LOCATION ?auto_6212 ) ( CITY ?auto_6207 ) ( AT ?auto_6213 ?auto_6212 ) ( IN-CITY ?auto_6212 ?auto_6207 ) ( IN-CITY ?auto_6216 ?auto_6207 ) ( DIFFERENT ?auto_6216 ?auto_6212 ) ( LOCATION ?auto_6205 ) ( AT ?auto_6213 ?auto_6205 ) ( AIRPLANE ?auto_6210 ) ( AIRPORT ?auto_6211 ) ( AIRPORT ?auto_6205 ) ( DIFFERENT ?auto_6205 ?auto_6211 ) ( LOCATION ?auto_6211 ) ( TRUCK ?auto_6217 ) ( LOCATION ?auto_6209 ) ( CITY ?auto_6208 ) ( IN-CITY ?auto_6209 ?auto_6208 ) ( IN-CITY ?auto_6211 ?auto_6208 ) ( DIFFERENT ?auto_6211 ?auto_6209 ) ( LOCATION ?auto_6214 ) ( CITY ?auto_6218 ) ( IN-CITY ?auto_6214 ?auto_6218 ) ( IN-CITY ?auto_6209 ?auto_6218 ) ( DIFFERENT ?auto_6209 ?auto_6214 ) ( AT ?auto_6202 ?auto_6214 ) ( AIRPORT ?auto_6215 ) ( AT ?auto_6210 ?auto_6215 ) ( DIFFERENT ?auto_6211 ?auto_6215 ) ( LOCATION ?auto_6223 ) ( CITY ?auto_6222 ) ( AT ?auto_6217 ?auto_6223 ) ( IN-CITY ?auto_6223 ?auto_6222 ) ( IN-CITY ?auto_6214 ?auto_6222 ) ( DIFFERENT ?auto_6214 ?auto_6223 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6217 ?auto_6223 ?auto_6214 ?auto_6222 )
      ( DELIVER-PKG ?auto_6202 ?auto_6203 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6225
      ?auto_6226
    )
    :vars
    (
      ?auto_6229
      ?auto_6240
      ?auto_6244
      ?auto_6241
      ?auto_6243
      ?auto_6238
      ?auto_6232
      ?auto_6233
      ?auto_6231
      ?auto_6242
      ?auto_6227
      ?auto_6234
      ?auto_6239
      ?auto_6236
      ?auto_6235
      ?auto_6247
      ?auto_6246
    )
    :precondition
    ( and ( OBJ ?auto_6225 ) ( LOCATION ?auto_6226 ) ( TRUCK ?auto_6229 ) ( LOCATION ?auto_6240 ) ( CITY ?auto_6244 ) ( IN-CITY ?auto_6240 ?auto_6244 ) ( IN-CITY ?auto_6226 ?auto_6244 ) ( DIFFERENT ?auto_6226 ?auto_6240 ) ( LOCATION ?auto_6241 ) ( CITY ?auto_6243 ) ( IN-CITY ?auto_6241 ?auto_6243 ) ( IN-CITY ?auto_6240 ?auto_6243 ) ( DIFFERENT ?auto_6240 ?auto_6241 ) ( AIRPLANE ?auto_6238 ) ( AIRPORT ?auto_6232 ) ( AIRPORT ?auto_6241 ) ( DIFFERENT ?auto_6241 ?auto_6232 ) ( LOCATION ?auto_6232 ) ( TRUCK ?auto_6233 ) ( LOCATION ?auto_6231 ) ( CITY ?auto_6242 ) ( IN-CITY ?auto_6231 ?auto_6242 ) ( IN-CITY ?auto_6232 ?auto_6242 ) ( DIFFERENT ?auto_6232 ?auto_6231 ) ( LOCATION ?auto_6227 ) ( CITY ?auto_6234 ) ( IN-CITY ?auto_6227 ?auto_6234 ) ( IN-CITY ?auto_6231 ?auto_6234 ) ( DIFFERENT ?auto_6231 ?auto_6227 ) ( AT ?auto_6225 ?auto_6227 ) ( AIRPORT ?auto_6239 ) ( AT ?auto_6238 ?auto_6239 ) ( DIFFERENT ?auto_6232 ?auto_6239 ) ( LOCATION ?auto_6236 ) ( CITY ?auto_6235 ) ( AT ?auto_6233 ?auto_6236 ) ( IN-CITY ?auto_6236 ?auto_6235 ) ( IN-CITY ?auto_6227 ?auto_6235 ) ( DIFFERENT ?auto_6227 ?auto_6236 ) ( LOCATION ?auto_6247 ) ( CITY ?auto_6246 ) ( AT ?auto_6229 ?auto_6247 ) ( IN-CITY ?auto_6247 ?auto_6246 ) ( IN-CITY ?auto_6241 ?auto_6246 ) ( DIFFERENT ?auto_6241 ?auto_6247 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6229 ?auto_6247 ?auto_6241 ?auto_6246 )
      ( DELIVER-PKG ?auto_6225 ?auto_6226 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6675
      ?auto_6676
    )
    :vars
    (
      ?auto_6679
      ?auto_6681
      ?auto_6680
      ?auto_6685
      ?auto_6682
      ?auto_6684
      ?auto_6686
      ?auto_6687
      ?auto_6690
      ?auto_6689
    )
    :precondition
    ( and ( OBJ ?auto_6675 ) ( LOCATION ?auto_6676 ) ( TRUCK ?auto_6679 ) ( LOCATION ?auto_6681 ) ( CITY ?auto_6680 ) ( IN-CITY ?auto_6681 ?auto_6680 ) ( IN-CITY ?auto_6676 ?auto_6680 ) ( DIFFERENT ?auto_6676 ?auto_6681 ) ( AIRPLANE ?auto_6685 ) ( AIRPORT ?auto_6682 ) ( AIRPORT ?auto_6681 ) ( DIFFERENT ?auto_6681 ?auto_6682 ) ( LOCATION ?auto_6682 ) ( AIRPORT ?auto_6684 ) ( DIFFERENT ?auto_6682 ?auto_6684 ) ( AIRPORT ?auto_6686 ) ( AT ?auto_6685 ?auto_6686 ) ( DIFFERENT ?auto_6684 ?auto_6686 ) ( TRUCK ?auto_6687 ) ( AT ?auto_6687 ?auto_6682 ) ( IN ?auto_6675 ?auto_6687 ) ( LOCATION ?auto_6690 ) ( CITY ?auto_6689 ) ( AT ?auto_6679 ?auto_6690 ) ( IN-CITY ?auto_6690 ?auto_6689 ) ( IN-CITY ?auto_6681 ?auto_6689 ) ( DIFFERENT ?auto_6681 ?auto_6690 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6679 ?auto_6690 ?auto_6681 ?auto_6689 )
      ( DELIVER-PKG ?auto_6675 ?auto_6676 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6692
      ?auto_6693
    )
    :vars
    (
      ?auto_6696
      ?auto_6698
      ?auto_6697
      ?auto_6703
      ?auto_6699
      ?auto_6700
      ?auto_6702
      ?auto_6701
      ?auto_6705
      ?auto_6704
      ?auto_6708
      ?auto_6707
    )
    :precondition
    ( and ( OBJ ?auto_6692 ) ( LOCATION ?auto_6693 ) ( TRUCK ?auto_6696 ) ( LOCATION ?auto_6698 ) ( CITY ?auto_6697 ) ( IN-CITY ?auto_6698 ?auto_6697 ) ( IN-CITY ?auto_6693 ?auto_6697 ) ( DIFFERENT ?auto_6693 ?auto_6698 ) ( AIRPLANE ?auto_6703 ) ( AIRPORT ?auto_6699 ) ( AIRPORT ?auto_6698 ) ( DIFFERENT ?auto_6698 ?auto_6699 ) ( LOCATION ?auto_6699 ) ( AIRPORT ?auto_6700 ) ( DIFFERENT ?auto_6699 ?auto_6700 ) ( AIRPORT ?auto_6702 ) ( AT ?auto_6703 ?auto_6702 ) ( DIFFERENT ?auto_6700 ?auto_6702 ) ( TRUCK ?auto_6701 ) ( IN ?auto_6692 ?auto_6701 ) ( LOCATION ?auto_6705 ) ( CITY ?auto_6704 ) ( AT ?auto_6696 ?auto_6705 ) ( IN-CITY ?auto_6705 ?auto_6704 ) ( IN-CITY ?auto_6698 ?auto_6704 ) ( DIFFERENT ?auto_6698 ?auto_6705 ) ( LOCATION ?auto_6708 ) ( CITY ?auto_6707 ) ( AT ?auto_6701 ?auto_6708 ) ( IN-CITY ?auto_6708 ?auto_6707 ) ( IN-CITY ?auto_6699 ?auto_6707 ) ( DIFFERENT ?auto_6699 ?auto_6708 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6701 ?auto_6708 ?auto_6699 ?auto_6707 )
      ( DELIVER-PKG ?auto_6692 ?auto_6693 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6710
      ?auto_6711
    )
    :vars
    (
      ?auto_6712
      ?auto_6721
      ?auto_6718
      ?auto_6713
      ?auto_6722
      ?auto_6725
      ?auto_6723
      ?auto_6724
      ?auto_6714
      ?auto_6717
      ?auto_6720
      ?auto_6719
      ?auto_6728
      ?auto_6727
    )
    :precondition
    ( and ( OBJ ?auto_6710 ) ( LOCATION ?auto_6711 ) ( TRUCK ?auto_6712 ) ( LOCATION ?auto_6721 ) ( CITY ?auto_6718 ) ( IN-CITY ?auto_6721 ?auto_6718 ) ( IN-CITY ?auto_6711 ?auto_6718 ) ( DIFFERENT ?auto_6711 ?auto_6721 ) ( AIRPLANE ?auto_6713 ) ( AIRPORT ?auto_6722 ) ( AIRPORT ?auto_6721 ) ( DIFFERENT ?auto_6721 ?auto_6722 ) ( LOCATION ?auto_6722 ) ( AIRPORT ?auto_6725 ) ( DIFFERENT ?auto_6722 ?auto_6725 ) ( AIRPORT ?auto_6723 ) ( AT ?auto_6713 ?auto_6723 ) ( DIFFERENT ?auto_6725 ?auto_6723 ) ( TRUCK ?auto_6724 ) ( IN ?auto_6710 ?auto_6724 ) ( LOCATION ?auto_6714 ) ( CITY ?auto_6717 ) ( IN-CITY ?auto_6714 ?auto_6717 ) ( IN-CITY ?auto_6721 ?auto_6717 ) ( DIFFERENT ?auto_6721 ?auto_6714 ) ( LOCATION ?auto_6720 ) ( CITY ?auto_6719 ) ( AT ?auto_6724 ?auto_6720 ) ( IN-CITY ?auto_6720 ?auto_6719 ) ( IN-CITY ?auto_6722 ?auto_6719 ) ( DIFFERENT ?auto_6722 ?auto_6720 ) ( LOCATION ?auto_6728 ) ( CITY ?auto_6727 ) ( AT ?auto_6712 ?auto_6728 ) ( IN-CITY ?auto_6728 ?auto_6727 ) ( IN-CITY ?auto_6714 ?auto_6727 ) ( DIFFERENT ?auto_6714 ?auto_6728 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6712 ?auto_6728 ?auto_6714 ?auto_6727 )
      ( DELIVER-PKG ?auto_6710 ?auto_6711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6730
      ?auto_6731
    )
    :vars
    (
      ?auto_6732
      ?auto_6733
      ?auto_6745
      ?auto_6734
      ?auto_6741
      ?auto_6740
      ?auto_6742
      ?auto_6738
      ?auto_6744
      ?auto_6746
      ?auto_6737
      ?auto_6747
      ?auto_6739
      ?auto_6743
      ?auto_6749
    )
    :precondition
    ( and ( OBJ ?auto_6730 ) ( LOCATION ?auto_6731 ) ( TRUCK ?auto_6732 ) ( LOCATION ?auto_6733 ) ( CITY ?auto_6745 ) ( IN-CITY ?auto_6733 ?auto_6745 ) ( IN-CITY ?auto_6731 ?auto_6745 ) ( DIFFERENT ?auto_6731 ?auto_6733 ) ( AIRPLANE ?auto_6734 ) ( AIRPORT ?auto_6741 ) ( AIRPORT ?auto_6733 ) ( DIFFERENT ?auto_6733 ?auto_6741 ) ( LOCATION ?auto_6741 ) ( AIRPORT ?auto_6740 ) ( DIFFERENT ?auto_6741 ?auto_6740 ) ( AIRPORT ?auto_6742 ) ( AT ?auto_6734 ?auto_6742 ) ( DIFFERENT ?auto_6740 ?auto_6742 ) ( TRUCK ?auto_6738 ) ( LOCATION ?auto_6744 ) ( CITY ?auto_6746 ) ( IN-CITY ?auto_6744 ?auto_6746 ) ( IN-CITY ?auto_6733 ?auto_6746 ) ( DIFFERENT ?auto_6733 ?auto_6744 ) ( LOCATION ?auto_6737 ) ( CITY ?auto_6747 ) ( AT ?auto_6738 ?auto_6737 ) ( IN-CITY ?auto_6737 ?auto_6747 ) ( IN-CITY ?auto_6741 ?auto_6747 ) ( DIFFERENT ?auto_6741 ?auto_6737 ) ( LOCATION ?auto_6739 ) ( CITY ?auto_6743 ) ( AT ?auto_6732 ?auto_6739 ) ( IN-CITY ?auto_6739 ?auto_6743 ) ( IN-CITY ?auto_6744 ?auto_6743 ) ( DIFFERENT ?auto_6744 ?auto_6739 ) ( LOCATION ?auto_6749 ) ( AT ?auto_6738 ?auto_6749 ) ( AT ?auto_6730 ?auto_6749 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6730 ?auto_6738 ?auto_6749 )
      ( DELIVER-PKG ?auto_6730 ?auto_6731 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6770
      ?auto_6771
    )
    :vars
    (
      ?auto_6772
      ?auto_6775
      ?auto_6776
      ?auto_6785
      ?auto_6779
      ?auto_6786
      ?auto_6780
      ?auto_6787
      ?auto_6773
      ?auto_6777
      ?auto_6784
      ?auto_6778
      ?auto_6783
      ?auto_6781
      ?auto_6791
      ?auto_6790
    )
    :precondition
    ( and ( OBJ ?auto_6770 ) ( LOCATION ?auto_6771 ) ( TRUCK ?auto_6772 ) ( LOCATION ?auto_6775 ) ( CITY ?auto_6776 ) ( IN-CITY ?auto_6775 ?auto_6776 ) ( IN-CITY ?auto_6771 ?auto_6776 ) ( DIFFERENT ?auto_6771 ?auto_6775 ) ( AIRPLANE ?auto_6785 ) ( AIRPORT ?auto_6779 ) ( AIRPORT ?auto_6775 ) ( DIFFERENT ?auto_6775 ?auto_6779 ) ( LOCATION ?auto_6779 ) ( AIRPORT ?auto_6786 ) ( DIFFERENT ?auto_6779 ?auto_6786 ) ( AIRPORT ?auto_6780 ) ( AT ?auto_6785 ?auto_6780 ) ( DIFFERENT ?auto_6786 ?auto_6780 ) ( TRUCK ?auto_6787 ) ( LOCATION ?auto_6773 ) ( CITY ?auto_6777 ) ( IN-CITY ?auto_6773 ?auto_6777 ) ( IN-CITY ?auto_6775 ?auto_6777 ) ( DIFFERENT ?auto_6775 ?auto_6773 ) ( LOCATION ?auto_6784 ) ( CITY ?auto_6778 ) ( IN-CITY ?auto_6784 ?auto_6778 ) ( IN-CITY ?auto_6779 ?auto_6778 ) ( DIFFERENT ?auto_6779 ?auto_6784 ) ( LOCATION ?auto_6783 ) ( CITY ?auto_6781 ) ( AT ?auto_6772 ?auto_6783 ) ( IN-CITY ?auto_6783 ?auto_6781 ) ( IN-CITY ?auto_6773 ?auto_6781 ) ( DIFFERENT ?auto_6773 ?auto_6783 ) ( AT ?auto_6770 ?auto_6784 ) ( LOCATION ?auto_6791 ) ( CITY ?auto_6790 ) ( AT ?auto_6787 ?auto_6791 ) ( IN-CITY ?auto_6791 ?auto_6790 ) ( IN-CITY ?auto_6784 ?auto_6790 ) ( DIFFERENT ?auto_6784 ?auto_6791 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6787 ?auto_6791 ?auto_6784 ?auto_6790 )
      ( DELIVER-PKG ?auto_6770 ?auto_6771 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6816
      ?auto_6817
    )
    :vars
    (
      ?auto_6833
      ?auto_6826
      ?auto_6821
      ?auto_6830
      ?auto_6829
      ?auto_6827
      ?auto_6836
      ?auto_6831
      ?auto_6819
      ?auto_6834
      ?auto_6818
      ?auto_6828
      ?auto_6823
      ?auto_6835
      ?auto_6822
      ?auto_6832
      ?auto_6820
      ?auto_6839
      ?auto_6838
    )
    :precondition
    ( and ( OBJ ?auto_6816 ) ( LOCATION ?auto_6817 ) ( TRUCK ?auto_6833 ) ( LOCATION ?auto_6826 ) ( CITY ?auto_6821 ) ( IN-CITY ?auto_6826 ?auto_6821 ) ( IN-CITY ?auto_6817 ?auto_6821 ) ( DIFFERENT ?auto_6817 ?auto_6826 ) ( AIRPLANE ?auto_6830 ) ( AIRPORT ?auto_6829 ) ( AIRPORT ?auto_6826 ) ( DIFFERENT ?auto_6826 ?auto_6829 ) ( LOCATION ?auto_6829 ) ( AIRPORT ?auto_6827 ) ( DIFFERENT ?auto_6829 ?auto_6827 ) ( AIRPORT ?auto_6836 ) ( DIFFERENT ?auto_6827 ?auto_6836 ) ( TRUCK ?auto_6831 ) ( LOCATION ?auto_6819 ) ( CITY ?auto_6834 ) ( IN-CITY ?auto_6819 ?auto_6834 ) ( IN-CITY ?auto_6826 ?auto_6834 ) ( DIFFERENT ?auto_6826 ?auto_6819 ) ( LOCATION ?auto_6818 ) ( CITY ?auto_6828 ) ( IN-CITY ?auto_6818 ?auto_6828 ) ( IN-CITY ?auto_6829 ?auto_6828 ) ( DIFFERENT ?auto_6829 ?auto_6818 ) ( LOCATION ?auto_6823 ) ( CITY ?auto_6835 ) ( IN-CITY ?auto_6823 ?auto_6835 ) ( IN-CITY ?auto_6819 ?auto_6835 ) ( DIFFERENT ?auto_6819 ?auto_6823 ) ( AT ?auto_6816 ?auto_6818 ) ( LOCATION ?auto_6822 ) ( CITY ?auto_6832 ) ( AT ?auto_6831 ?auto_6822 ) ( IN-CITY ?auto_6822 ?auto_6832 ) ( IN-CITY ?auto_6818 ?auto_6832 ) ( DIFFERENT ?auto_6818 ?auto_6822 ) ( AIRPORT ?auto_6820 ) ( AT ?auto_6830 ?auto_6820 ) ( DIFFERENT ?auto_6836 ?auto_6820 ) ( LOCATION ?auto_6839 ) ( CITY ?auto_6838 ) ( AT ?auto_6833 ?auto_6839 ) ( IN-CITY ?auto_6839 ?auto_6838 ) ( IN-CITY ?auto_6823 ?auto_6838 ) ( DIFFERENT ?auto_6823 ?auto_6839 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6833 ?auto_6839 ?auto_6823 ?auto_6838 )
      ( DELIVER-PKG ?auto_6816 ?auto_6817 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7036
      ?auto_7037
    )
    :vars
    (
      ?auto_7040
      ?auto_7043
      ?auto_7041
      ?auto_7039
      ?auto_7038
      ?auto_7047
      ?auto_7046
    )
    :precondition
    ( and ( OBJ ?auto_7036 ) ( LOCATION ?auto_7037 ) ( TRUCK ?auto_7040 ) ( LOCATION ?auto_7043 ) ( CITY ?auto_7041 ) ( IN-CITY ?auto_7043 ?auto_7041 ) ( IN-CITY ?auto_7037 ?auto_7041 ) ( DIFFERENT ?auto_7037 ?auto_7043 ) ( AT ?auto_7036 ?auto_7043 ) ( LOCATION ?auto_7039 ) ( CITY ?auto_7038 ) ( IN-CITY ?auto_7039 ?auto_7038 ) ( IN-CITY ?auto_7043 ?auto_7038 ) ( DIFFERENT ?auto_7043 ?auto_7039 ) ( LOCATION ?auto_7047 ) ( CITY ?auto_7046 ) ( AT ?auto_7040 ?auto_7047 ) ( IN-CITY ?auto_7047 ?auto_7046 ) ( IN-CITY ?auto_7039 ?auto_7046 ) ( DIFFERENT ?auto_7039 ?auto_7047 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7040 ?auto_7047 ?auto_7039 ?auto_7046 )
      ( DELIVER-PKG ?auto_7036 ?auto_7037 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17277
      ?auto_17278
    )
    :vars
    (
      ?auto_17283
      ?auto_17282
      ?auto_17288
      ?auto_17281
      ?auto_17286
      ?auto_17280
      ?auto_17285
      ?auto_17287
      ?auto_17292
      ?auto_17291
    )
    :precondition
    ( and ( OBJ ?auto_17277 ) ( LOCATION ?auto_17278 ) ( AIRPLANE ?auto_17283 ) ( AIRPORT ?auto_17282 ) ( AIRPORT ?auto_17278 ) ( AT ?auto_17283 ?auto_17282 ) ( DIFFERENT ?auto_17278 ?auto_17282 ) ( LOCATION ?auto_17288 ) ( AT ?auto_17283 ?auto_17288 ) ( AIRPLANE ?auto_17281 ) ( AT ?auto_17281 ?auto_17288 ) ( LOCATION ?auto_17286 ) ( AT ?auto_17281 ?auto_17286 ) ( TRUCK ?auto_17280 ) ( LOCATION ?auto_17285 ) ( CITY ?auto_17287 ) ( IN-CITY ?auto_17285 ?auto_17287 ) ( IN-CITY ?auto_17286 ?auto_17287 ) ( DIFFERENT ?auto_17286 ?auto_17285 ) ( AT ?auto_17277 ?auto_17285 ) ( LOCATION ?auto_17292 ) ( CITY ?auto_17291 ) ( AT ?auto_17280 ?auto_17292 ) ( IN-CITY ?auto_17292 ?auto_17291 ) ( IN-CITY ?auto_17285 ?auto_17291 ) ( DIFFERENT ?auto_17285 ?auto_17292 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17280 ?auto_17292 ?auto_17285 ?auto_17291 )
      ( DELIVER-PKG ?auto_17277 ?auto_17278 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7396
      ?auto_7397
    )
    :vars
    (
      ?auto_7407
      ?auto_7398
      ?auto_7401
      ?auto_7406
      ?auto_7403
      ?auto_7402
      ?auto_7405
      ?auto_7404
      ?auto_7410
      ?auto_7409
    )
    :precondition
    ( and ( OBJ ?auto_7396 ) ( LOCATION ?auto_7397 ) ( AIRPLANE ?auto_7407 ) ( AIRPORT ?auto_7398 ) ( AIRPORT ?auto_7397 ) ( AT ?auto_7407 ?auto_7398 ) ( DIFFERENT ?auto_7397 ?auto_7398 ) ( LOCATION ?auto_7401 ) ( AT ?auto_7407 ?auto_7401 ) ( TRUCK ?auto_7406 ) ( LOCATION ?auto_7403 ) ( CITY ?auto_7402 ) ( IN-CITY ?auto_7403 ?auto_7402 ) ( IN-CITY ?auto_7401 ?auto_7402 ) ( DIFFERENT ?auto_7401 ?auto_7403 ) ( AT ?auto_7396 ?auto_7403 ) ( LOCATION ?auto_7405 ) ( CITY ?auto_7404 ) ( IN-CITY ?auto_7405 ?auto_7404 ) ( IN-CITY ?auto_7403 ?auto_7404 ) ( DIFFERENT ?auto_7403 ?auto_7405 ) ( LOCATION ?auto_7410 ) ( CITY ?auto_7409 ) ( AT ?auto_7406 ?auto_7410 ) ( IN-CITY ?auto_7410 ?auto_7409 ) ( IN-CITY ?auto_7405 ?auto_7409 ) ( DIFFERENT ?auto_7405 ?auto_7410 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7406 ?auto_7410 ?auto_7405 ?auto_7409 )
      ( DELIVER-PKG ?auto_7396 ?auto_7397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7536
      ?auto_7537
    )
    :vars
    (
      ?auto_7543
      ?auto_7544
      ?auto_7540
      ?auto_7539
      ?auto_7541
      ?auto_7546
      ?auto_7545
      ?auto_7549
    )
    :precondition
    ( and ( OBJ ?auto_7536 ) ( LOCATION ?auto_7537 ) ( AIRPLANE ?auto_7543 ) ( AIRPORT ?auto_7544 ) ( AIRPORT ?auto_7537 ) ( DIFFERENT ?auto_7537 ?auto_7544 ) ( LOCATION ?auto_7544 ) ( TRUCK ?auto_7540 ) ( LOCATION ?auto_7539 ) ( CITY ?auto_7541 ) ( IN-CITY ?auto_7539 ?auto_7541 ) ( IN-CITY ?auto_7544 ?auto_7541 ) ( DIFFERENT ?auto_7544 ?auto_7539 ) ( AT ?auto_7536 ?auto_7539 ) ( LOCATION ?auto_7546 ) ( CITY ?auto_7545 ) ( AT ?auto_7540 ?auto_7546 ) ( IN-CITY ?auto_7546 ?auto_7545 ) ( IN-CITY ?auto_7539 ?auto_7545 ) ( DIFFERENT ?auto_7539 ?auto_7546 ) ( AIRPORT ?auto_7549 ) ( AT ?auto_7543 ?auto_7549 ) ( DIFFERENT ?auto_7544 ?auto_7549 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7543 ?auto_7549 ?auto_7544 )
      ( DELIVER-PKG ?auto_7536 ?auto_7537 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7551
      ?auto_7552
    )
    :vars
    (
      ?auto_7555
      ?auto_7554
      ?auto_7562
      ?auto_7561
      ?auto_7553
      ?auto_7557
      ?auto_7559
      ?auto_7556
      ?auto_7565
      ?auto_7564
    )
    :precondition
    ( and ( OBJ ?auto_7551 ) ( LOCATION ?auto_7552 ) ( AIRPLANE ?auto_7555 ) ( AIRPORT ?auto_7554 ) ( AIRPORT ?auto_7552 ) ( DIFFERENT ?auto_7552 ?auto_7554 ) ( LOCATION ?auto_7554 ) ( TRUCK ?auto_7562 ) ( LOCATION ?auto_7561 ) ( CITY ?auto_7553 ) ( IN-CITY ?auto_7561 ?auto_7553 ) ( IN-CITY ?auto_7554 ?auto_7553 ) ( DIFFERENT ?auto_7554 ?auto_7561 ) ( AT ?auto_7551 ?auto_7561 ) ( LOCATION ?auto_7557 ) ( CITY ?auto_7559 ) ( IN-CITY ?auto_7557 ?auto_7559 ) ( IN-CITY ?auto_7561 ?auto_7559 ) ( DIFFERENT ?auto_7561 ?auto_7557 ) ( AIRPORT ?auto_7556 ) ( AT ?auto_7555 ?auto_7556 ) ( DIFFERENT ?auto_7554 ?auto_7556 ) ( LOCATION ?auto_7565 ) ( CITY ?auto_7564 ) ( AT ?auto_7562 ?auto_7565 ) ( IN-CITY ?auto_7565 ?auto_7564 ) ( IN-CITY ?auto_7557 ?auto_7564 ) ( DIFFERENT ?auto_7557 ?auto_7565 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7562 ?auto_7565 ?auto_7557 ?auto_7564 )
      ( DELIVER-PKG ?auto_7551 ?auto_7552 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7710
      ?auto_7711
    )
    :vars
    (
      ?auto_7716
      ?auto_7715
      ?auto_7714
      ?auto_7719
    )
    :precondition
    ( and ( OBJ ?auto_7710 ) ( LOCATION ?auto_7711 ) ( AIRPLANE ?auto_7716 ) ( AIRPORT ?auto_7715 ) ( AIRPORT ?auto_7711 ) ( AT ?auto_7716 ?auto_7715 ) ( DIFFERENT ?auto_7711 ?auto_7715 ) ( LOCATION ?auto_7714 ) ( AT ?auto_7716 ?auto_7714 ) ( AIRPLANE ?auto_7719 ) ( IN ?auto_7710 ?auto_7719 ) ( AT ?auto_7719 ?auto_7714 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7710 ?auto_7714 )
      ( DELIVER-PKG ?auto_7710 ?auto_7711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7728
      ?auto_7729
    )
    :vars
    (
      ?auto_7731
      ?auto_7730
      ?auto_7732
      ?auto_7734
      ?auto_7737
    )
    :precondition
    ( and ( OBJ ?auto_7728 ) ( LOCATION ?auto_7729 ) ( AIRPLANE ?auto_7731 ) ( AIRPORT ?auto_7730 ) ( AIRPORT ?auto_7729 ) ( AT ?auto_7731 ?auto_7730 ) ( DIFFERENT ?auto_7729 ?auto_7730 ) ( LOCATION ?auto_7732 ) ( AT ?auto_7731 ?auto_7732 ) ( AIRPLANE ?auto_7734 ) ( IN ?auto_7728 ?auto_7734 ) ( AIRPORT ?auto_7737 ) ( AIRPORT ?auto_7732 ) ( AT ?auto_7734 ?auto_7737 ) ( DIFFERENT ?auto_7732 ?auto_7737 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7734 ?auto_7737 ?auto_7732 )
      ( DELIVER-PKG ?auto_7728 ?auto_7729 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7748
      ?auto_7749
    )
    :vars
    (
      ?auto_7756
      ?auto_7752
      ?auto_7750
      ?auto_7754
      ?auto_7753
      ?auto_7758
    )
    :precondition
    ( and ( OBJ ?auto_7748 ) ( LOCATION ?auto_7749 ) ( AIRPLANE ?auto_7756 ) ( AIRPORT ?auto_7752 ) ( AIRPORT ?auto_7749 ) ( AT ?auto_7756 ?auto_7752 ) ( DIFFERENT ?auto_7749 ?auto_7752 ) ( LOCATION ?auto_7750 ) ( AT ?auto_7756 ?auto_7750 ) ( AIRPLANE ?auto_7754 ) ( AIRPORT ?auto_7753 ) ( AIRPORT ?auto_7750 ) ( AT ?auto_7754 ?auto_7753 ) ( DIFFERENT ?auto_7750 ?auto_7753 ) ( LOCATION ?auto_7758 ) ( AT ?auto_7748 ?auto_7758 ) ( AT ?auto_7754 ?auto_7758 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7748 ?auto_7754 ?auto_7758 )
      ( DELIVER-PKG ?auto_7748 ?auto_7749 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7760
      ?auto_7761
    )
    :vars
    (
      ?auto_7768
      ?auto_7762
      ?auto_7767
      ?auto_7765
      ?auto_7763
      ?auto_7769
      ?auto_7772
    )
    :precondition
    ( and ( OBJ ?auto_7760 ) ( LOCATION ?auto_7761 ) ( AIRPLANE ?auto_7768 ) ( AIRPORT ?auto_7762 ) ( AIRPORT ?auto_7761 ) ( AT ?auto_7768 ?auto_7762 ) ( DIFFERENT ?auto_7761 ?auto_7762 ) ( LOCATION ?auto_7767 ) ( AT ?auto_7768 ?auto_7767 ) ( AIRPLANE ?auto_7765 ) ( AIRPORT ?auto_7763 ) ( AIRPORT ?auto_7767 ) ( AT ?auto_7765 ?auto_7763 ) ( DIFFERENT ?auto_7767 ?auto_7763 ) ( LOCATION ?auto_7769 ) ( AT ?auto_7765 ?auto_7769 ) ( TRUCK ?auto_7772 ) ( AT ?auto_7772 ?auto_7769 ) ( IN ?auto_7760 ?auto_7772 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7760 ?auto_7769 )
      ( DELIVER-PKG ?auto_7760 ?auto_7761 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7784
      ?auto_7785
    )
    :vars
    (
      ?auto_7793
      ?auto_7788
      ?auto_7789
      ?auto_7787
      ?auto_7794
      ?auto_7790
      ?auto_7791
      ?auto_7797
      ?auto_7796
    )
    :precondition
    ( and ( OBJ ?auto_7784 ) ( LOCATION ?auto_7785 ) ( AIRPLANE ?auto_7793 ) ( AIRPORT ?auto_7788 ) ( AIRPORT ?auto_7785 ) ( AT ?auto_7793 ?auto_7788 ) ( DIFFERENT ?auto_7785 ?auto_7788 ) ( LOCATION ?auto_7789 ) ( AT ?auto_7793 ?auto_7789 ) ( AIRPLANE ?auto_7787 ) ( AIRPORT ?auto_7794 ) ( AIRPORT ?auto_7789 ) ( AT ?auto_7787 ?auto_7794 ) ( DIFFERENT ?auto_7789 ?auto_7794 ) ( LOCATION ?auto_7790 ) ( AT ?auto_7787 ?auto_7790 ) ( TRUCK ?auto_7791 ) ( IN ?auto_7784 ?auto_7791 ) ( LOCATION ?auto_7797 ) ( CITY ?auto_7796 ) ( AT ?auto_7791 ?auto_7797 ) ( IN-CITY ?auto_7797 ?auto_7796 ) ( IN-CITY ?auto_7790 ?auto_7796 ) ( DIFFERENT ?auto_7790 ?auto_7797 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7791 ?auto_7797 ?auto_7790 ?auto_7796 )
      ( DELIVER-PKG ?auto_7784 ?auto_7785 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7812
      ?auto_7813
    )
    :vars
    (
      ?auto_7815
      ?auto_7819
      ?auto_7820
      ?auto_7817
      ?auto_7816
      ?auto_7814
      ?auto_7818
      ?auto_7824
      ?auto_7823
      ?auto_7826
    )
    :precondition
    ( and ( OBJ ?auto_7812 ) ( LOCATION ?auto_7813 ) ( AIRPLANE ?auto_7815 ) ( AIRPORT ?auto_7819 ) ( AIRPORT ?auto_7813 ) ( AT ?auto_7815 ?auto_7819 ) ( DIFFERENT ?auto_7813 ?auto_7819 ) ( LOCATION ?auto_7820 ) ( AT ?auto_7815 ?auto_7820 ) ( AIRPLANE ?auto_7817 ) ( AIRPORT ?auto_7816 ) ( AIRPORT ?auto_7820 ) ( AT ?auto_7817 ?auto_7816 ) ( DIFFERENT ?auto_7820 ?auto_7816 ) ( LOCATION ?auto_7814 ) ( AT ?auto_7817 ?auto_7814 ) ( TRUCK ?auto_7818 ) ( LOCATION ?auto_7824 ) ( CITY ?auto_7823 ) ( AT ?auto_7818 ?auto_7824 ) ( IN-CITY ?auto_7824 ?auto_7823 ) ( IN-CITY ?auto_7814 ?auto_7823 ) ( DIFFERENT ?auto_7814 ?auto_7824 ) ( LOCATION ?auto_7826 ) ( AT ?auto_7818 ?auto_7826 ) ( AT ?auto_7812 ?auto_7826 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7812 ?auto_7818 ?auto_7826 )
      ( DELIVER-PKG ?auto_7812 ?auto_7813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7828
      ?auto_7829
    )
    :vars
    (
      ?auto_7836
      ?auto_7834
      ?auto_7832
      ?auto_7839
      ?auto_7830
      ?auto_7831
      ?auto_7833
      ?auto_7841
      ?auto_7837
      ?auto_7844
      ?auto_7843
    )
    :precondition
    ( and ( OBJ ?auto_7828 ) ( LOCATION ?auto_7829 ) ( AIRPLANE ?auto_7836 ) ( AIRPORT ?auto_7834 ) ( AIRPORT ?auto_7829 ) ( AT ?auto_7836 ?auto_7834 ) ( DIFFERENT ?auto_7829 ?auto_7834 ) ( LOCATION ?auto_7832 ) ( AT ?auto_7836 ?auto_7832 ) ( AIRPLANE ?auto_7839 ) ( AIRPORT ?auto_7830 ) ( AIRPORT ?auto_7832 ) ( AT ?auto_7839 ?auto_7830 ) ( DIFFERENT ?auto_7832 ?auto_7830 ) ( LOCATION ?auto_7831 ) ( AT ?auto_7839 ?auto_7831 ) ( TRUCK ?auto_7833 ) ( LOCATION ?auto_7841 ) ( CITY ?auto_7837 ) ( IN-CITY ?auto_7841 ?auto_7837 ) ( IN-CITY ?auto_7831 ?auto_7837 ) ( DIFFERENT ?auto_7831 ?auto_7841 ) ( AT ?auto_7828 ?auto_7841 ) ( LOCATION ?auto_7844 ) ( CITY ?auto_7843 ) ( AT ?auto_7833 ?auto_7844 ) ( IN-CITY ?auto_7844 ?auto_7843 ) ( IN-CITY ?auto_7841 ?auto_7843 ) ( DIFFERENT ?auto_7841 ?auto_7844 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7833 ?auto_7844 ?auto_7841 ?auto_7843 )
      ( DELIVER-PKG ?auto_7828 ?auto_7829 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7861
      ?auto_7862
    )
    :vars
    (
      ?auto_7864
      ?auto_7875
      ?auto_7872
      ?auto_7873
      ?auto_7867
      ?auto_7871
      ?auto_7874
      ?auto_7870
      ?auto_7863
      ?auto_7869
      ?auto_7868
      ?auto_7878
      ?auto_7877
    )
    :precondition
    ( and ( OBJ ?auto_7861 ) ( LOCATION ?auto_7862 ) ( AIRPLANE ?auto_7864 ) ( AIRPORT ?auto_7875 ) ( AIRPORT ?auto_7862 ) ( AT ?auto_7864 ?auto_7875 ) ( DIFFERENT ?auto_7862 ?auto_7875 ) ( LOCATION ?auto_7872 ) ( AT ?auto_7864 ?auto_7872 ) ( AIRPLANE ?auto_7873 ) ( AIRPORT ?auto_7867 ) ( AIRPORT ?auto_7872 ) ( AT ?auto_7873 ?auto_7867 ) ( DIFFERENT ?auto_7872 ?auto_7867 ) ( LOCATION ?auto_7871 ) ( AT ?auto_7873 ?auto_7871 ) ( TRUCK ?auto_7874 ) ( LOCATION ?auto_7870 ) ( CITY ?auto_7863 ) ( IN-CITY ?auto_7870 ?auto_7863 ) ( IN-CITY ?auto_7871 ?auto_7863 ) ( DIFFERENT ?auto_7871 ?auto_7870 ) ( AT ?auto_7861 ?auto_7870 ) ( LOCATION ?auto_7869 ) ( CITY ?auto_7868 ) ( IN-CITY ?auto_7869 ?auto_7868 ) ( IN-CITY ?auto_7870 ?auto_7868 ) ( DIFFERENT ?auto_7870 ?auto_7869 ) ( LOCATION ?auto_7878 ) ( CITY ?auto_7877 ) ( AT ?auto_7874 ?auto_7878 ) ( IN-CITY ?auto_7878 ?auto_7877 ) ( IN-CITY ?auto_7869 ?auto_7877 ) ( DIFFERENT ?auto_7869 ?auto_7878 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7874 ?auto_7878 ?auto_7869 ?auto_7877 )
      ( DELIVER-PKG ?auto_7861 ?auto_7862 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8112
      ?auto_8113
    )
    :vars
    (
      ?auto_8119
      ?auto_8116
      ?auto_8114
      ?auto_8115
      ?auto_8118
      ?auto_8121
      ?auto_8122
      ?auto_8125
    )
    :precondition
    ( and ( OBJ ?auto_8112 ) ( LOCATION ?auto_8113 ) ( TRUCK ?auto_8119 ) ( LOCATION ?auto_8116 ) ( CITY ?auto_8114 ) ( AT ?auto_8119 ?auto_8116 ) ( IN-CITY ?auto_8116 ?auto_8114 ) ( IN-CITY ?auto_8113 ?auto_8114 ) ( DIFFERENT ?auto_8113 ?auto_8116 ) ( LOCATION ?auto_8115 ) ( AT ?auto_8119 ?auto_8115 ) ( AIRPLANE ?auto_8118 ) ( AIRPORT ?auto_8121 ) ( AIRPORT ?auto_8115 ) ( AT ?auto_8118 ?auto_8121 ) ( DIFFERENT ?auto_8115 ?auto_8121 ) ( LOCATION ?auto_8122 ) ( AT ?auto_8118 ?auto_8122 ) ( AIRPLANE ?auto_8125 ) ( IN ?auto_8112 ?auto_8125 ) ( AT ?auto_8125 ?auto_8122 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8112 ?auto_8122 )
      ( DELIVER-PKG ?auto_8112 ?auto_8113 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8138
      ?auto_8139
    )
    :vars
    (
      ?auto_8148
      ?auto_8144
      ?auto_8140
      ?auto_8145
      ?auto_8143
      ?auto_8142
      ?auto_8146
      ?auto_8149
      ?auto_8151
    )
    :precondition
    ( and ( OBJ ?auto_8138 ) ( LOCATION ?auto_8139 ) ( TRUCK ?auto_8148 ) ( LOCATION ?auto_8144 ) ( CITY ?auto_8140 ) ( AT ?auto_8148 ?auto_8144 ) ( IN-CITY ?auto_8144 ?auto_8140 ) ( IN-CITY ?auto_8139 ?auto_8140 ) ( DIFFERENT ?auto_8139 ?auto_8144 ) ( LOCATION ?auto_8145 ) ( AT ?auto_8148 ?auto_8145 ) ( AIRPLANE ?auto_8143 ) ( AIRPORT ?auto_8142 ) ( AIRPORT ?auto_8145 ) ( AT ?auto_8143 ?auto_8142 ) ( DIFFERENT ?auto_8145 ?auto_8142 ) ( LOCATION ?auto_8146 ) ( AT ?auto_8143 ?auto_8146 ) ( AIRPLANE ?auto_8149 ) ( IN ?auto_8138 ?auto_8149 ) ( AIRPORT ?auto_8151 ) ( AIRPORT ?auto_8146 ) ( AT ?auto_8149 ?auto_8151 ) ( DIFFERENT ?auto_8146 ?auto_8151 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8149 ?auto_8151 ?auto_8146 )
      ( DELIVER-PKG ?auto_8138 ?auto_8139 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8166
      ?auto_8167
    )
    :vars
    (
      ?auto_8171
      ?auto_8168
      ?auto_8174
      ?auto_8169
      ?auto_8176
      ?auto_8175
      ?auto_8170
      ?auto_8172
      ?auto_8178
      ?auto_8180
    )
    :precondition
    ( and ( OBJ ?auto_8166 ) ( LOCATION ?auto_8167 ) ( TRUCK ?auto_8171 ) ( LOCATION ?auto_8168 ) ( CITY ?auto_8174 ) ( AT ?auto_8171 ?auto_8168 ) ( IN-CITY ?auto_8168 ?auto_8174 ) ( IN-CITY ?auto_8167 ?auto_8174 ) ( DIFFERENT ?auto_8167 ?auto_8168 ) ( LOCATION ?auto_8169 ) ( AT ?auto_8171 ?auto_8169 ) ( AIRPLANE ?auto_8176 ) ( AIRPORT ?auto_8175 ) ( AIRPORT ?auto_8169 ) ( AT ?auto_8176 ?auto_8175 ) ( DIFFERENT ?auto_8169 ?auto_8175 ) ( LOCATION ?auto_8170 ) ( AT ?auto_8176 ?auto_8170 ) ( AIRPLANE ?auto_8172 ) ( AIRPORT ?auto_8178 ) ( AIRPORT ?auto_8170 ) ( AT ?auto_8172 ?auto_8178 ) ( DIFFERENT ?auto_8170 ?auto_8178 ) ( LOCATION ?auto_8180 ) ( AT ?auto_8166 ?auto_8180 ) ( AT ?auto_8172 ?auto_8180 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8166 ?auto_8172 ?auto_8180 )
      ( DELIVER-PKG ?auto_8166 ?auto_8167 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8182
      ?auto_8183
    )
    :vars
    (
      ?auto_8187
      ?auto_8184
      ?auto_8189
      ?auto_8185
      ?auto_8191
      ?auto_8190
      ?auto_8186
      ?auto_8188
      ?auto_8192
      ?auto_8195
      ?auto_8198
    )
    :precondition
    ( and ( OBJ ?auto_8182 ) ( LOCATION ?auto_8183 ) ( TRUCK ?auto_8187 ) ( LOCATION ?auto_8184 ) ( CITY ?auto_8189 ) ( AT ?auto_8187 ?auto_8184 ) ( IN-CITY ?auto_8184 ?auto_8189 ) ( IN-CITY ?auto_8183 ?auto_8189 ) ( DIFFERENT ?auto_8183 ?auto_8184 ) ( LOCATION ?auto_8185 ) ( AT ?auto_8187 ?auto_8185 ) ( AIRPLANE ?auto_8191 ) ( AIRPORT ?auto_8190 ) ( AIRPORT ?auto_8185 ) ( AT ?auto_8191 ?auto_8190 ) ( DIFFERENT ?auto_8185 ?auto_8190 ) ( LOCATION ?auto_8186 ) ( AT ?auto_8191 ?auto_8186 ) ( AIRPLANE ?auto_8188 ) ( AIRPORT ?auto_8192 ) ( AIRPORT ?auto_8186 ) ( AT ?auto_8188 ?auto_8192 ) ( DIFFERENT ?auto_8186 ?auto_8192 ) ( LOCATION ?auto_8195 ) ( AT ?auto_8188 ?auto_8195 ) ( TRUCK ?auto_8198 ) ( AT ?auto_8198 ?auto_8195 ) ( IN ?auto_8182 ?auto_8198 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8182 ?auto_8195 )
      ( DELIVER-PKG ?auto_8182 ?auto_8183 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8214
      ?auto_8215
    )
    :vars
    (
      ?auto_8218
      ?auto_8216
      ?auto_8220
      ?auto_8226
      ?auto_8225
      ?auto_8219
      ?auto_8228
      ?auto_8217
      ?auto_8227
      ?auto_8222
      ?auto_8223
      ?auto_8231
      ?auto_8230
    )
    :precondition
    ( and ( OBJ ?auto_8214 ) ( LOCATION ?auto_8215 ) ( TRUCK ?auto_8218 ) ( LOCATION ?auto_8216 ) ( CITY ?auto_8220 ) ( AT ?auto_8218 ?auto_8216 ) ( IN-CITY ?auto_8216 ?auto_8220 ) ( IN-CITY ?auto_8215 ?auto_8220 ) ( DIFFERENT ?auto_8215 ?auto_8216 ) ( LOCATION ?auto_8226 ) ( AT ?auto_8218 ?auto_8226 ) ( AIRPLANE ?auto_8225 ) ( AIRPORT ?auto_8219 ) ( AIRPORT ?auto_8226 ) ( AT ?auto_8225 ?auto_8219 ) ( DIFFERENT ?auto_8226 ?auto_8219 ) ( LOCATION ?auto_8228 ) ( AT ?auto_8225 ?auto_8228 ) ( AIRPLANE ?auto_8217 ) ( AIRPORT ?auto_8227 ) ( AIRPORT ?auto_8228 ) ( AT ?auto_8217 ?auto_8227 ) ( DIFFERENT ?auto_8228 ?auto_8227 ) ( LOCATION ?auto_8222 ) ( AT ?auto_8217 ?auto_8222 ) ( TRUCK ?auto_8223 ) ( IN ?auto_8214 ?auto_8223 ) ( LOCATION ?auto_8231 ) ( CITY ?auto_8230 ) ( AT ?auto_8223 ?auto_8231 ) ( IN-CITY ?auto_8231 ?auto_8230 ) ( IN-CITY ?auto_8222 ?auto_8230 ) ( DIFFERENT ?auto_8222 ?auto_8231 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8223 ?auto_8231 ?auto_8222 ?auto_8230 )
      ( DELIVER-PKG ?auto_8214 ?auto_8215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8250
      ?auto_8251
    )
    :vars
    (
      ?auto_8262
      ?auto_8259
      ?auto_8261
      ?auto_8253
      ?auto_8252
      ?auto_8260
      ?auto_8255
      ?auto_8263
      ?auto_8254
      ?auto_8257
      ?auto_8258
      ?auto_8266
      ?auto_8265
      ?auto_8268
    )
    :precondition
    ( and ( OBJ ?auto_8250 ) ( LOCATION ?auto_8251 ) ( TRUCK ?auto_8262 ) ( LOCATION ?auto_8259 ) ( CITY ?auto_8261 ) ( AT ?auto_8262 ?auto_8259 ) ( IN-CITY ?auto_8259 ?auto_8261 ) ( IN-CITY ?auto_8251 ?auto_8261 ) ( DIFFERENT ?auto_8251 ?auto_8259 ) ( LOCATION ?auto_8253 ) ( AT ?auto_8262 ?auto_8253 ) ( AIRPLANE ?auto_8252 ) ( AIRPORT ?auto_8260 ) ( AIRPORT ?auto_8253 ) ( AT ?auto_8252 ?auto_8260 ) ( DIFFERENT ?auto_8253 ?auto_8260 ) ( LOCATION ?auto_8255 ) ( AT ?auto_8252 ?auto_8255 ) ( AIRPLANE ?auto_8263 ) ( AIRPORT ?auto_8254 ) ( AIRPORT ?auto_8255 ) ( AT ?auto_8263 ?auto_8254 ) ( DIFFERENT ?auto_8255 ?auto_8254 ) ( LOCATION ?auto_8257 ) ( AT ?auto_8263 ?auto_8257 ) ( TRUCK ?auto_8258 ) ( LOCATION ?auto_8266 ) ( CITY ?auto_8265 ) ( AT ?auto_8258 ?auto_8266 ) ( IN-CITY ?auto_8266 ?auto_8265 ) ( IN-CITY ?auto_8257 ?auto_8265 ) ( DIFFERENT ?auto_8257 ?auto_8266 ) ( LOCATION ?auto_8268 ) ( AT ?auto_8258 ?auto_8268 ) ( AT ?auto_8250 ?auto_8268 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8250 ?auto_8258 ?auto_8268 )
      ( DELIVER-PKG ?auto_8250 ?auto_8251 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8270
      ?auto_8271
    )
    :vars
    (
      ?auto_8275
      ?auto_8283
      ?auto_8274
      ?auto_8273
      ?auto_8272
      ?auto_8284
      ?auto_8286
      ?auto_8277
      ?auto_8279
      ?auto_8278
      ?auto_8282
      ?auto_8276
      ?auto_8280
      ?auto_8290
      ?auto_8289
    )
    :precondition
    ( and ( OBJ ?auto_8270 ) ( LOCATION ?auto_8271 ) ( TRUCK ?auto_8275 ) ( LOCATION ?auto_8283 ) ( CITY ?auto_8274 ) ( AT ?auto_8275 ?auto_8283 ) ( IN-CITY ?auto_8283 ?auto_8274 ) ( IN-CITY ?auto_8271 ?auto_8274 ) ( DIFFERENT ?auto_8271 ?auto_8283 ) ( LOCATION ?auto_8273 ) ( AT ?auto_8275 ?auto_8273 ) ( AIRPLANE ?auto_8272 ) ( AIRPORT ?auto_8284 ) ( AIRPORT ?auto_8273 ) ( AT ?auto_8272 ?auto_8284 ) ( DIFFERENT ?auto_8273 ?auto_8284 ) ( LOCATION ?auto_8286 ) ( AT ?auto_8272 ?auto_8286 ) ( AIRPLANE ?auto_8277 ) ( AIRPORT ?auto_8279 ) ( AIRPORT ?auto_8286 ) ( AT ?auto_8277 ?auto_8279 ) ( DIFFERENT ?auto_8286 ?auto_8279 ) ( LOCATION ?auto_8278 ) ( AT ?auto_8277 ?auto_8278 ) ( TRUCK ?auto_8282 ) ( LOCATION ?auto_8276 ) ( CITY ?auto_8280 ) ( IN-CITY ?auto_8276 ?auto_8280 ) ( IN-CITY ?auto_8278 ?auto_8280 ) ( DIFFERENT ?auto_8278 ?auto_8276 ) ( AT ?auto_8270 ?auto_8276 ) ( LOCATION ?auto_8290 ) ( CITY ?auto_8289 ) ( AT ?auto_8282 ?auto_8290 ) ( IN-CITY ?auto_8290 ?auto_8289 ) ( IN-CITY ?auto_8276 ?auto_8289 ) ( DIFFERENT ?auto_8276 ?auto_8290 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8282 ?auto_8290 ?auto_8276 ?auto_8289 )
      ( DELIVER-PKG ?auto_8270 ?auto_8271 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8311
      ?auto_8312
    )
    :vars
    (
      ?auto_8328
      ?auto_8318
      ?auto_8329
      ?auto_8327
      ?auto_8319
      ?auto_8322
      ?auto_8320
      ?auto_8325
      ?auto_8315
      ?auto_8314
      ?auto_8317
      ?auto_8313
      ?auto_8316
      ?auto_8324
      ?auto_8321
      ?auto_8332
      ?auto_8331
    )
    :precondition
    ( and ( OBJ ?auto_8311 ) ( LOCATION ?auto_8312 ) ( TRUCK ?auto_8328 ) ( LOCATION ?auto_8318 ) ( CITY ?auto_8329 ) ( AT ?auto_8328 ?auto_8318 ) ( IN-CITY ?auto_8318 ?auto_8329 ) ( IN-CITY ?auto_8312 ?auto_8329 ) ( DIFFERENT ?auto_8312 ?auto_8318 ) ( LOCATION ?auto_8327 ) ( AT ?auto_8328 ?auto_8327 ) ( AIRPLANE ?auto_8319 ) ( AIRPORT ?auto_8322 ) ( AIRPORT ?auto_8327 ) ( AT ?auto_8319 ?auto_8322 ) ( DIFFERENT ?auto_8327 ?auto_8322 ) ( LOCATION ?auto_8320 ) ( AT ?auto_8319 ?auto_8320 ) ( AIRPLANE ?auto_8325 ) ( AIRPORT ?auto_8315 ) ( AIRPORT ?auto_8320 ) ( AT ?auto_8325 ?auto_8315 ) ( DIFFERENT ?auto_8320 ?auto_8315 ) ( LOCATION ?auto_8314 ) ( AT ?auto_8325 ?auto_8314 ) ( TRUCK ?auto_8317 ) ( LOCATION ?auto_8313 ) ( CITY ?auto_8316 ) ( IN-CITY ?auto_8313 ?auto_8316 ) ( IN-CITY ?auto_8314 ?auto_8316 ) ( DIFFERENT ?auto_8314 ?auto_8313 ) ( AT ?auto_8311 ?auto_8313 ) ( LOCATION ?auto_8324 ) ( CITY ?auto_8321 ) ( IN-CITY ?auto_8324 ?auto_8321 ) ( IN-CITY ?auto_8313 ?auto_8321 ) ( DIFFERENT ?auto_8313 ?auto_8324 ) ( LOCATION ?auto_8332 ) ( CITY ?auto_8331 ) ( AT ?auto_8317 ?auto_8332 ) ( IN-CITY ?auto_8332 ?auto_8331 ) ( IN-CITY ?auto_8324 ?auto_8331 ) ( DIFFERENT ?auto_8324 ?auto_8332 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8317 ?auto_8332 ?auto_8324 ?auto_8331 )
      ( DELIVER-PKG ?auto_8311 ?auto_8312 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8334
      ?auto_8335
    )
    :vars
    (
      ?auto_8345
      ?auto_8344
      ?auto_8348
      ?auto_8337
      ?auto_8341
      ?auto_8338
      ?auto_8343
      ?auto_8351
      ?auto_8353
      ?auto_8340
      ?auto_8350
      ?auto_8349
      ?auto_8342
      ?auto_8339
      ?auto_8354
      ?auto_8346
      ?auto_8357
      ?auto_8356
    )
    :precondition
    ( and ( OBJ ?auto_8334 ) ( LOCATION ?auto_8335 ) ( TRUCK ?auto_8345 ) ( LOCATION ?auto_8344 ) ( CITY ?auto_8348 ) ( IN-CITY ?auto_8344 ?auto_8348 ) ( IN-CITY ?auto_8335 ?auto_8348 ) ( DIFFERENT ?auto_8335 ?auto_8344 ) ( AIRPLANE ?auto_8337 ) ( AIRPORT ?auto_8341 ) ( AIRPORT ?auto_8344 ) ( AT ?auto_8337 ?auto_8341 ) ( DIFFERENT ?auto_8344 ?auto_8341 ) ( LOCATION ?auto_8338 ) ( AT ?auto_8337 ?auto_8338 ) ( AIRPLANE ?auto_8343 ) ( AIRPORT ?auto_8351 ) ( AIRPORT ?auto_8338 ) ( AT ?auto_8343 ?auto_8351 ) ( DIFFERENT ?auto_8338 ?auto_8351 ) ( LOCATION ?auto_8353 ) ( AT ?auto_8343 ?auto_8353 ) ( TRUCK ?auto_8340 ) ( LOCATION ?auto_8350 ) ( CITY ?auto_8349 ) ( IN-CITY ?auto_8350 ?auto_8349 ) ( IN-CITY ?auto_8353 ?auto_8349 ) ( DIFFERENT ?auto_8353 ?auto_8350 ) ( AT ?auto_8334 ?auto_8350 ) ( LOCATION ?auto_8342 ) ( CITY ?auto_8339 ) ( IN-CITY ?auto_8342 ?auto_8339 ) ( IN-CITY ?auto_8350 ?auto_8339 ) ( DIFFERENT ?auto_8350 ?auto_8342 ) ( LOCATION ?auto_8354 ) ( CITY ?auto_8346 ) ( AT ?auto_8340 ?auto_8354 ) ( IN-CITY ?auto_8354 ?auto_8346 ) ( IN-CITY ?auto_8342 ?auto_8346 ) ( DIFFERENT ?auto_8342 ?auto_8354 ) ( LOCATION ?auto_8357 ) ( CITY ?auto_8356 ) ( AT ?auto_8345 ?auto_8357 ) ( IN-CITY ?auto_8357 ?auto_8356 ) ( IN-CITY ?auto_8344 ?auto_8356 ) ( DIFFERENT ?auto_8344 ?auto_8357 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8345 ?auto_8357 ?auto_8344 ?auto_8356 )
      ( DELIVER-PKG ?auto_8334 ?auto_8335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8795
      ?auto_8796
    )
    :vars
    (
      ?auto_8808
      ?auto_8810
      ?auto_8809
      ?auto_8798
      ?auto_8799
      ?auto_8806
      ?auto_8802
      ?auto_8800
      ?auto_8801
      ?auto_8805
      ?auto_8804
      ?auto_8803
      ?auto_8812
    )
    :precondition
    ( and ( OBJ ?auto_8795 ) ( LOCATION ?auto_8796 ) ( TRUCK ?auto_8808 ) ( LOCATION ?auto_8810 ) ( CITY ?auto_8809 ) ( IN-CITY ?auto_8810 ?auto_8809 ) ( IN-CITY ?auto_8796 ?auto_8809 ) ( DIFFERENT ?auto_8796 ?auto_8810 ) ( LOCATION ?auto_8798 ) ( CITY ?auto_8799 ) ( AT ?auto_8808 ?auto_8798 ) ( IN-CITY ?auto_8798 ?auto_8799 ) ( IN-CITY ?auto_8810 ?auto_8799 ) ( DIFFERENT ?auto_8810 ?auto_8798 ) ( LOCATION ?auto_8806 ) ( AT ?auto_8808 ?auto_8806 ) ( AIRPLANE ?auto_8802 ) ( AIRPORT ?auto_8800 ) ( AIRPORT ?auto_8806 ) ( AT ?auto_8802 ?auto_8800 ) ( DIFFERENT ?auto_8806 ?auto_8800 ) ( LOCATION ?auto_8801 ) ( AT ?auto_8802 ?auto_8801 ) ( TRUCK ?auto_8805 ) ( LOCATION ?auto_8804 ) ( CITY ?auto_8803 ) ( AT ?auto_8805 ?auto_8804 ) ( IN-CITY ?auto_8804 ?auto_8803 ) ( IN-CITY ?auto_8801 ?auto_8803 ) ( DIFFERENT ?auto_8801 ?auto_8804 ) ( LOCATION ?auto_8812 ) ( AT ?auto_8805 ?auto_8812 ) ( AT ?auto_8795 ?auto_8812 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8795 ?auto_8805 ?auto_8812 )
      ( DELIVER-PKG ?auto_8795 ?auto_8796 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8831
      ?auto_8832
    )
    :vars
    (
      ?auto_8836
      ?auto_8835
      ?auto_8834
      ?auto_8841
      ?auto_8843
      ?auto_8842
      ?auto_8844
      ?auto_8846
      ?auto_8845
      ?auto_8840
      ?auto_8839
      ?auto_8847
      ?auto_8850
      ?auto_8849
    )
    :precondition
    ( and ( OBJ ?auto_8831 ) ( LOCATION ?auto_8832 ) ( TRUCK ?auto_8836 ) ( LOCATION ?auto_8835 ) ( CITY ?auto_8834 ) ( IN-CITY ?auto_8835 ?auto_8834 ) ( IN-CITY ?auto_8832 ?auto_8834 ) ( DIFFERENT ?auto_8832 ?auto_8835 ) ( LOCATION ?auto_8841 ) ( CITY ?auto_8843 ) ( AT ?auto_8836 ?auto_8841 ) ( IN-CITY ?auto_8841 ?auto_8843 ) ( IN-CITY ?auto_8835 ?auto_8843 ) ( DIFFERENT ?auto_8835 ?auto_8841 ) ( LOCATION ?auto_8842 ) ( AT ?auto_8836 ?auto_8842 ) ( AIRPLANE ?auto_8844 ) ( AIRPORT ?auto_8846 ) ( AIRPORT ?auto_8842 ) ( AT ?auto_8844 ?auto_8846 ) ( DIFFERENT ?auto_8842 ?auto_8846 ) ( LOCATION ?auto_8845 ) ( AT ?auto_8844 ?auto_8845 ) ( TRUCK ?auto_8840 ) ( LOCATION ?auto_8839 ) ( CITY ?auto_8847 ) ( IN-CITY ?auto_8839 ?auto_8847 ) ( IN-CITY ?auto_8845 ?auto_8847 ) ( DIFFERENT ?auto_8845 ?auto_8839 ) ( AT ?auto_8831 ?auto_8839 ) ( LOCATION ?auto_8850 ) ( CITY ?auto_8849 ) ( AT ?auto_8840 ?auto_8850 ) ( IN-CITY ?auto_8850 ?auto_8849 ) ( IN-CITY ?auto_8839 ?auto_8849 ) ( DIFFERENT ?auto_8839 ?auto_8850 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8840 ?auto_8850 ?auto_8839 ?auto_8849 )
      ( DELIVER-PKG ?auto_8831 ?auto_8832 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8852
      ?auto_8853
    )
    :vars
    (
      ?auto_8866
      ?auto_8868
      ?auto_8857
      ?auto_8859
      ?auto_8861
      ?auto_8860
      ?auto_8863
      ?auto_8854
      ?auto_8858
      ?auto_8864
      ?auto_8856
      ?auto_8869
      ?auto_8862
      ?auto_8871
    )
    :precondition
    ( and ( OBJ ?auto_8852 ) ( LOCATION ?auto_8853 ) ( TRUCK ?auto_8866 ) ( LOCATION ?auto_8868 ) ( CITY ?auto_8857 ) ( IN-CITY ?auto_8868 ?auto_8857 ) ( IN-CITY ?auto_8853 ?auto_8857 ) ( DIFFERENT ?auto_8853 ?auto_8868 ) ( LOCATION ?auto_8859 ) ( CITY ?auto_8861 ) ( AT ?auto_8866 ?auto_8859 ) ( IN-CITY ?auto_8859 ?auto_8861 ) ( IN-CITY ?auto_8868 ?auto_8861 ) ( DIFFERENT ?auto_8868 ?auto_8859 ) ( LOCATION ?auto_8860 ) ( AT ?auto_8866 ?auto_8860 ) ( AIRPLANE ?auto_8863 ) ( AIRPORT ?auto_8854 ) ( AIRPORT ?auto_8860 ) ( DIFFERENT ?auto_8860 ?auto_8854 ) ( LOCATION ?auto_8854 ) ( TRUCK ?auto_8858 ) ( LOCATION ?auto_8864 ) ( CITY ?auto_8856 ) ( IN-CITY ?auto_8864 ?auto_8856 ) ( IN-CITY ?auto_8854 ?auto_8856 ) ( DIFFERENT ?auto_8854 ?auto_8864 ) ( AT ?auto_8852 ?auto_8864 ) ( LOCATION ?auto_8869 ) ( CITY ?auto_8862 ) ( AT ?auto_8858 ?auto_8869 ) ( IN-CITY ?auto_8869 ?auto_8862 ) ( IN-CITY ?auto_8864 ?auto_8862 ) ( DIFFERENT ?auto_8864 ?auto_8869 ) ( AIRPORT ?auto_8871 ) ( AT ?auto_8863 ?auto_8871 ) ( DIFFERENT ?auto_8854 ?auto_8871 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8863 ?auto_8871 ?auto_8854 )
      ( DELIVER-PKG ?auto_8852 ?auto_8853 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8873
      ?auto_8874
    )
    :vars
    (
      ?auto_8888
      ?auto_8879
      ?auto_8885
      ?auto_8889
      ?auto_8890
      ?auto_8881
      ?auto_8878
      ?auto_8886
      ?auto_8887
      ?auto_8875
      ?auto_8884
      ?auto_8880
      ?auto_8877
      ?auto_8883
      ?auto_8893
      ?auto_8892
    )
    :precondition
    ( and ( OBJ ?auto_8873 ) ( LOCATION ?auto_8874 ) ( TRUCK ?auto_8888 ) ( LOCATION ?auto_8879 ) ( CITY ?auto_8885 ) ( IN-CITY ?auto_8879 ?auto_8885 ) ( IN-CITY ?auto_8874 ?auto_8885 ) ( DIFFERENT ?auto_8874 ?auto_8879 ) ( LOCATION ?auto_8889 ) ( CITY ?auto_8890 ) ( AT ?auto_8888 ?auto_8889 ) ( IN-CITY ?auto_8889 ?auto_8890 ) ( IN-CITY ?auto_8879 ?auto_8890 ) ( DIFFERENT ?auto_8879 ?auto_8889 ) ( LOCATION ?auto_8881 ) ( AT ?auto_8888 ?auto_8881 ) ( AIRPLANE ?auto_8878 ) ( AIRPORT ?auto_8886 ) ( AIRPORT ?auto_8881 ) ( DIFFERENT ?auto_8881 ?auto_8886 ) ( LOCATION ?auto_8886 ) ( TRUCK ?auto_8887 ) ( LOCATION ?auto_8875 ) ( CITY ?auto_8884 ) ( IN-CITY ?auto_8875 ?auto_8884 ) ( IN-CITY ?auto_8886 ?auto_8884 ) ( DIFFERENT ?auto_8886 ?auto_8875 ) ( AT ?auto_8873 ?auto_8875 ) ( LOCATION ?auto_8880 ) ( CITY ?auto_8877 ) ( IN-CITY ?auto_8880 ?auto_8877 ) ( IN-CITY ?auto_8875 ?auto_8877 ) ( DIFFERENT ?auto_8875 ?auto_8880 ) ( AIRPORT ?auto_8883 ) ( AT ?auto_8878 ?auto_8883 ) ( DIFFERENT ?auto_8886 ?auto_8883 ) ( LOCATION ?auto_8893 ) ( CITY ?auto_8892 ) ( AT ?auto_8887 ?auto_8893 ) ( IN-CITY ?auto_8893 ?auto_8892 ) ( IN-CITY ?auto_8880 ?auto_8892 ) ( DIFFERENT ?auto_8880 ?auto_8893 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8887 ?auto_8893 ?auto_8880 ?auto_8892 )
      ( DELIVER-PKG ?auto_8873 ?auto_8874 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8895
      ?auto_8896
    )
    :vars
    (
      ?auto_8904
      ?auto_8911
      ?auto_8909
      ?auto_8914
      ?auto_8899
      ?auto_8910
      ?auto_8902
      ?auto_8903
      ?auto_8906
      ?auto_8907
      ?auto_8913
      ?auto_8912
      ?auto_8898
      ?auto_8908
      ?auto_8900
      ?auto_8917
      ?auto_8916
    )
    :precondition
    ( and ( OBJ ?auto_8895 ) ( LOCATION ?auto_8896 ) ( TRUCK ?auto_8904 ) ( LOCATION ?auto_8911 ) ( CITY ?auto_8909 ) ( IN-CITY ?auto_8911 ?auto_8909 ) ( IN-CITY ?auto_8896 ?auto_8909 ) ( DIFFERENT ?auto_8896 ?auto_8911 ) ( LOCATION ?auto_8914 ) ( CITY ?auto_8899 ) ( IN-CITY ?auto_8914 ?auto_8899 ) ( IN-CITY ?auto_8911 ?auto_8899 ) ( DIFFERENT ?auto_8911 ?auto_8914 ) ( AIRPLANE ?auto_8910 ) ( AIRPORT ?auto_8902 ) ( AIRPORT ?auto_8914 ) ( DIFFERENT ?auto_8914 ?auto_8902 ) ( LOCATION ?auto_8902 ) ( TRUCK ?auto_8903 ) ( LOCATION ?auto_8906 ) ( CITY ?auto_8907 ) ( IN-CITY ?auto_8906 ?auto_8907 ) ( IN-CITY ?auto_8902 ?auto_8907 ) ( DIFFERENT ?auto_8902 ?auto_8906 ) ( AT ?auto_8895 ?auto_8906 ) ( LOCATION ?auto_8913 ) ( CITY ?auto_8912 ) ( IN-CITY ?auto_8913 ?auto_8912 ) ( IN-CITY ?auto_8906 ?auto_8912 ) ( DIFFERENT ?auto_8906 ?auto_8913 ) ( AIRPORT ?auto_8898 ) ( AT ?auto_8910 ?auto_8898 ) ( DIFFERENT ?auto_8902 ?auto_8898 ) ( LOCATION ?auto_8908 ) ( CITY ?auto_8900 ) ( AT ?auto_8903 ?auto_8908 ) ( IN-CITY ?auto_8908 ?auto_8900 ) ( IN-CITY ?auto_8913 ?auto_8900 ) ( DIFFERENT ?auto_8913 ?auto_8908 ) ( LOCATION ?auto_8917 ) ( CITY ?auto_8916 ) ( AT ?auto_8904 ?auto_8917 ) ( IN-CITY ?auto_8917 ?auto_8916 ) ( IN-CITY ?auto_8914 ?auto_8916 ) ( DIFFERENT ?auto_8914 ?auto_8917 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8904 ?auto_8917 ?auto_8914 ?auto_8916 )
      ( DELIVER-PKG ?auto_8895 ?auto_8896 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9630
      ?auto_9631
    )
    :vars
    (
      ?auto_9638
      ?auto_9637
      ?auto_9639
      ?auto_9632
      ?auto_9634
      ?auto_9636
      ?auto_9643
      ?auto_9642
    )
    :precondition
    ( and ( OBJ ?auto_9630 ) ( LOCATION ?auto_9631 ) ( TRUCK ?auto_9638 ) ( LOCATION ?auto_9637 ) ( CITY ?auto_9639 ) ( IN-CITY ?auto_9637 ?auto_9639 ) ( IN-CITY ?auto_9631 ?auto_9639 ) ( DIFFERENT ?auto_9631 ?auto_9637 ) ( AIRPLANE ?auto_9632 ) ( AIRPORT ?auto_9634 ) ( AIRPORT ?auto_9637 ) ( AT ?auto_9632 ?auto_9634 ) ( DIFFERENT ?auto_9637 ?auto_9634 ) ( LOCATION ?auto_9636 ) ( AT ?auto_9630 ?auto_9636 ) ( AT ?auto_9632 ?auto_9636 ) ( LOCATION ?auto_9643 ) ( CITY ?auto_9642 ) ( AT ?auto_9638 ?auto_9643 ) ( IN-CITY ?auto_9643 ?auto_9642 ) ( IN-CITY ?auto_9637 ?auto_9642 ) ( DIFFERENT ?auto_9637 ?auto_9643 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9638 ?auto_9643 ?auto_9637 ?auto_9642 )
      ( DELIVER-PKG ?auto_9630 ?auto_9631 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9657
      ?auto_9658
    )
    :vars
    (
      ?auto_9659
      ?auto_9666
      ?auto_9660
      ?auto_9668
      ?auto_9665
      ?auto_9664
      ?auto_9663
      ?auto_9670
    )
    :precondition
    ( and ( OBJ ?auto_9657 ) ( LOCATION ?auto_9658 ) ( TRUCK ?auto_9659 ) ( LOCATION ?auto_9666 ) ( CITY ?auto_9660 ) ( IN-CITY ?auto_9666 ?auto_9660 ) ( IN-CITY ?auto_9658 ?auto_9660 ) ( DIFFERENT ?auto_9658 ?auto_9666 ) ( AIRPLANE ?auto_9668 ) ( AIRPORT ?auto_9665 ) ( AIRPORT ?auto_9666 ) ( DIFFERENT ?auto_9666 ?auto_9665 ) ( LOCATION ?auto_9665 ) ( AT ?auto_9657 ?auto_9665 ) ( LOCATION ?auto_9664 ) ( CITY ?auto_9663 ) ( AT ?auto_9659 ?auto_9664 ) ( IN-CITY ?auto_9664 ?auto_9663 ) ( IN-CITY ?auto_9666 ?auto_9663 ) ( DIFFERENT ?auto_9666 ?auto_9664 ) ( AIRPORT ?auto_9670 ) ( AT ?auto_9668 ?auto_9670 ) ( DIFFERENT ?auto_9665 ?auto_9670 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9668 ?auto_9670 ?auto_9665 )
      ( DELIVER-PKG ?auto_9657 ?auto_9658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9956
      ?auto_9957
    )
    :vars
    (
      ?auto_9963
      ?auto_9962
      ?auto_9964
      ?auto_9961
      ?auto_9965
      ?auto_9966
      ?auto_9969
      ?auto_9968
    )
    :precondition
    ( and ( OBJ ?auto_9956 ) ( LOCATION ?auto_9957 ) ( TRUCK ?auto_9963 ) ( LOCATION ?auto_9962 ) ( CITY ?auto_9964 ) ( IN-CITY ?auto_9962 ?auto_9964 ) ( IN-CITY ?auto_9957 ?auto_9964 ) ( DIFFERENT ?auto_9957 ?auto_9962 ) ( AIRPLANE ?auto_9961 ) ( AIRPORT ?auto_9965 ) ( AIRPORT ?auto_9962 ) ( DIFFERENT ?auto_9962 ?auto_9965 ) ( LOCATION ?auto_9965 ) ( AT ?auto_9956 ?auto_9965 ) ( AIRPORT ?auto_9966 ) ( AT ?auto_9961 ?auto_9966 ) ( DIFFERENT ?auto_9965 ?auto_9966 ) ( LOCATION ?auto_9969 ) ( CITY ?auto_9968 ) ( AT ?auto_9963 ?auto_9969 ) ( IN-CITY ?auto_9969 ?auto_9968 ) ( IN-CITY ?auto_9962 ?auto_9968 ) ( DIFFERENT ?auto_9962 ?auto_9969 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9963 ?auto_9969 ?auto_9962 ?auto_9968 )
      ( DELIVER-PKG ?auto_9956 ?auto_9957 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9995
      ?auto_9996
    )
    :vars
    (
      ?auto_10001
      ?auto_10000
      ?auto_10002
      ?auto_9999
      ?auto_10003
      ?auto_10004
      ?auto_10006
      ?auto_10005
      ?auto_10008
    )
    :precondition
    ( and ( OBJ ?auto_9995 ) ( LOCATION ?auto_9996 ) ( TRUCK ?auto_10001 ) ( LOCATION ?auto_10000 ) ( CITY ?auto_10002 ) ( IN-CITY ?auto_10000 ?auto_10002 ) ( IN-CITY ?auto_9996 ?auto_10002 ) ( DIFFERENT ?auto_9996 ?auto_10000 ) ( AIRPLANE ?auto_9999 ) ( AIRPORT ?auto_10003 ) ( AIRPORT ?auto_10000 ) ( DIFFERENT ?auto_10000 ?auto_10003 ) ( LOCATION ?auto_10003 ) ( AT ?auto_9995 ?auto_10003 ) ( AIRPORT ?auto_10004 ) ( DIFFERENT ?auto_10003 ?auto_10004 ) ( LOCATION ?auto_10006 ) ( CITY ?auto_10005 ) ( AT ?auto_10001 ?auto_10006 ) ( IN-CITY ?auto_10006 ?auto_10005 ) ( IN-CITY ?auto_10000 ?auto_10005 ) ( DIFFERENT ?auto_10000 ?auto_10006 ) ( AIRPORT ?auto_10008 ) ( AT ?auto_9999 ?auto_10008 ) ( DIFFERENT ?auto_10004 ?auto_10008 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9999 ?auto_10008 ?auto_10004 )
      ( DELIVER-PKG ?auto_9995 ?auto_9996 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11365
      ?auto_11366
    )
    :vars
    (
      ?auto_11371
      ?auto_11369
      ?auto_11370
      ?auto_11373
      ?auto_11372
      ?auto_11376
      ?auto_11375
    )
    :precondition
    ( and ( OBJ ?auto_11365 ) ( LOCATION ?auto_11366 ) ( TRUCK ?auto_11371 ) ( IN ?auto_11365 ?auto_11371 ) ( LOCATION ?auto_11369 ) ( CITY ?auto_11370 ) ( IN-CITY ?auto_11369 ?auto_11370 ) ( IN-CITY ?auto_11366 ?auto_11370 ) ( DIFFERENT ?auto_11366 ?auto_11369 ) ( LOCATION ?auto_11373 ) ( CITY ?auto_11372 ) ( IN-CITY ?auto_11373 ?auto_11372 ) ( IN-CITY ?auto_11369 ?auto_11372 ) ( DIFFERENT ?auto_11369 ?auto_11373 ) ( LOCATION ?auto_11376 ) ( CITY ?auto_11375 ) ( AT ?auto_11371 ?auto_11376 ) ( IN-CITY ?auto_11376 ?auto_11375 ) ( IN-CITY ?auto_11373 ?auto_11375 ) ( DIFFERENT ?auto_11373 ?auto_11376 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11371 ?auto_11376 ?auto_11373 ?auto_11375 )
      ( DELIVER-PKG ?auto_11365 ?auto_11366 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11389
      ?auto_11390
    )
    :vars
    (
      ?auto_11395
      ?auto_11393
      ?auto_11394
      ?auto_11397
      ?auto_11396
      ?auto_11399
      ?auto_11398
      ?auto_11402
      ?auto_11401
    )
    :precondition
    ( and ( OBJ ?auto_11389 ) ( LOCATION ?auto_11390 ) ( TRUCK ?auto_11395 ) ( IN ?auto_11389 ?auto_11395 ) ( LOCATION ?auto_11393 ) ( CITY ?auto_11394 ) ( IN-CITY ?auto_11393 ?auto_11394 ) ( IN-CITY ?auto_11390 ?auto_11394 ) ( DIFFERENT ?auto_11390 ?auto_11393 ) ( LOCATION ?auto_11397 ) ( CITY ?auto_11396 ) ( IN-CITY ?auto_11397 ?auto_11396 ) ( IN-CITY ?auto_11393 ?auto_11396 ) ( DIFFERENT ?auto_11393 ?auto_11397 ) ( LOCATION ?auto_11399 ) ( CITY ?auto_11398 ) ( IN-CITY ?auto_11399 ?auto_11398 ) ( IN-CITY ?auto_11397 ?auto_11398 ) ( DIFFERENT ?auto_11397 ?auto_11399 ) ( LOCATION ?auto_11402 ) ( CITY ?auto_11401 ) ( AT ?auto_11395 ?auto_11402 ) ( IN-CITY ?auto_11402 ?auto_11401 ) ( IN-CITY ?auto_11399 ?auto_11401 ) ( DIFFERENT ?auto_11399 ?auto_11402 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11395 ?auto_11402 ?auto_11399 ?auto_11401 )
      ( DELIVER-PKG ?auto_11389 ?auto_11390 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11404
      ?auto_11405
    )
    :vars
    (
      ?auto_11407
      ?auto_11413
      ?auto_11406
      ?auto_11410
      ?auto_11409
      ?auto_11412
      ?auto_11411
      ?auto_11416
      ?auto_11415
      ?auto_11418
    )
    :precondition
    ( and ( OBJ ?auto_11404 ) ( LOCATION ?auto_11405 ) ( TRUCK ?auto_11407 ) ( LOCATION ?auto_11413 ) ( CITY ?auto_11406 ) ( IN-CITY ?auto_11413 ?auto_11406 ) ( IN-CITY ?auto_11405 ?auto_11406 ) ( DIFFERENT ?auto_11405 ?auto_11413 ) ( LOCATION ?auto_11410 ) ( CITY ?auto_11409 ) ( IN-CITY ?auto_11410 ?auto_11409 ) ( IN-CITY ?auto_11413 ?auto_11409 ) ( DIFFERENT ?auto_11413 ?auto_11410 ) ( LOCATION ?auto_11412 ) ( CITY ?auto_11411 ) ( IN-CITY ?auto_11412 ?auto_11411 ) ( IN-CITY ?auto_11410 ?auto_11411 ) ( DIFFERENT ?auto_11410 ?auto_11412 ) ( LOCATION ?auto_11416 ) ( CITY ?auto_11415 ) ( AT ?auto_11407 ?auto_11416 ) ( IN-CITY ?auto_11416 ?auto_11415 ) ( IN-CITY ?auto_11412 ?auto_11415 ) ( DIFFERENT ?auto_11412 ?auto_11416 ) ( LOCATION ?auto_11418 ) ( AT ?auto_11407 ?auto_11418 ) ( AT ?auto_11404 ?auto_11418 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11404 ?auto_11407 ?auto_11418 )
      ( DELIVER-PKG ?auto_11404 ?auto_11405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11420
      ?auto_11421
    )
    :vars
    (
      ?auto_11432
      ?auto_11431
      ?auto_11423
      ?auto_11427
      ?auto_11433
      ?auto_11424
      ?auto_11422
      ?auto_11426
      ?auto_11425
      ?auto_11428
      ?auto_11436
    )
    :precondition
    ( and ( OBJ ?auto_11420 ) ( LOCATION ?auto_11421 ) ( TRUCK ?auto_11432 ) ( LOCATION ?auto_11431 ) ( CITY ?auto_11423 ) ( IN-CITY ?auto_11431 ?auto_11423 ) ( IN-CITY ?auto_11421 ?auto_11423 ) ( DIFFERENT ?auto_11421 ?auto_11431 ) ( LOCATION ?auto_11427 ) ( CITY ?auto_11433 ) ( IN-CITY ?auto_11427 ?auto_11433 ) ( IN-CITY ?auto_11431 ?auto_11433 ) ( DIFFERENT ?auto_11431 ?auto_11427 ) ( LOCATION ?auto_11424 ) ( CITY ?auto_11422 ) ( IN-CITY ?auto_11424 ?auto_11422 ) ( IN-CITY ?auto_11427 ?auto_11422 ) ( DIFFERENT ?auto_11427 ?auto_11424 ) ( LOCATION ?auto_11426 ) ( CITY ?auto_11425 ) ( AT ?auto_11432 ?auto_11426 ) ( IN-CITY ?auto_11426 ?auto_11425 ) ( IN-CITY ?auto_11424 ?auto_11425 ) ( DIFFERENT ?auto_11424 ?auto_11426 ) ( LOCATION ?auto_11428 ) ( AT ?auto_11432 ?auto_11428 ) ( AIRPLANE ?auto_11436 ) ( IN ?auto_11420 ?auto_11436 ) ( AT ?auto_11436 ?auto_11428 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11420 ?auto_11428 )
      ( DELIVER-PKG ?auto_11420 ?auto_11421 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11437
      ?auto_11438
    )
    :vars
    (
      ?auto_11442
      ?auto_11441
      ?auto_11448
      ?auto_11439
      ?auto_11446
      ?auto_11447
      ?auto_11443
      ?auto_11450
      ?auto_11449
      ?auto_11451
      ?auto_11445
      ?auto_11453
    )
    :precondition
    ( and ( OBJ ?auto_11437 ) ( LOCATION ?auto_11438 ) ( TRUCK ?auto_11442 ) ( LOCATION ?auto_11441 ) ( CITY ?auto_11448 ) ( IN-CITY ?auto_11441 ?auto_11448 ) ( IN-CITY ?auto_11438 ?auto_11448 ) ( DIFFERENT ?auto_11438 ?auto_11441 ) ( LOCATION ?auto_11439 ) ( CITY ?auto_11446 ) ( IN-CITY ?auto_11439 ?auto_11446 ) ( IN-CITY ?auto_11441 ?auto_11446 ) ( DIFFERENT ?auto_11441 ?auto_11439 ) ( LOCATION ?auto_11447 ) ( CITY ?auto_11443 ) ( IN-CITY ?auto_11447 ?auto_11443 ) ( IN-CITY ?auto_11439 ?auto_11443 ) ( DIFFERENT ?auto_11439 ?auto_11447 ) ( LOCATION ?auto_11450 ) ( CITY ?auto_11449 ) ( AT ?auto_11442 ?auto_11450 ) ( IN-CITY ?auto_11450 ?auto_11449 ) ( IN-CITY ?auto_11447 ?auto_11449 ) ( DIFFERENT ?auto_11447 ?auto_11450 ) ( LOCATION ?auto_11451 ) ( AT ?auto_11442 ?auto_11451 ) ( AIRPLANE ?auto_11445 ) ( IN ?auto_11437 ?auto_11445 ) ( AIRPORT ?auto_11453 ) ( AIRPORT ?auto_11451 ) ( AT ?auto_11445 ?auto_11453 ) ( DIFFERENT ?auto_11451 ?auto_11453 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11445 ?auto_11453 ?auto_11451 )
      ( DELIVER-PKG ?auto_11437 ?auto_11438 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11455
      ?auto_11456
    )
    :vars
    (
      ?auto_11468
      ?auto_11467
      ?auto_11460
      ?auto_11458
      ?auto_11465
      ?auto_11466
      ?auto_11469
      ?auto_11457
      ?auto_11462
      ?auto_11461
      ?auto_11470
      ?auto_11464
      ?auto_11472
    )
    :precondition
    ( and ( OBJ ?auto_11455 ) ( LOCATION ?auto_11456 ) ( TRUCK ?auto_11468 ) ( LOCATION ?auto_11467 ) ( CITY ?auto_11460 ) ( IN-CITY ?auto_11467 ?auto_11460 ) ( IN-CITY ?auto_11456 ?auto_11460 ) ( DIFFERENT ?auto_11456 ?auto_11467 ) ( LOCATION ?auto_11458 ) ( CITY ?auto_11465 ) ( IN-CITY ?auto_11458 ?auto_11465 ) ( IN-CITY ?auto_11467 ?auto_11465 ) ( DIFFERENT ?auto_11467 ?auto_11458 ) ( LOCATION ?auto_11466 ) ( CITY ?auto_11469 ) ( IN-CITY ?auto_11466 ?auto_11469 ) ( IN-CITY ?auto_11458 ?auto_11469 ) ( DIFFERENT ?auto_11458 ?auto_11466 ) ( LOCATION ?auto_11457 ) ( CITY ?auto_11462 ) ( AT ?auto_11468 ?auto_11457 ) ( IN-CITY ?auto_11457 ?auto_11462 ) ( IN-CITY ?auto_11466 ?auto_11462 ) ( DIFFERENT ?auto_11466 ?auto_11457 ) ( LOCATION ?auto_11461 ) ( AT ?auto_11468 ?auto_11461 ) ( AIRPLANE ?auto_11470 ) ( AIRPORT ?auto_11464 ) ( AIRPORT ?auto_11461 ) ( AT ?auto_11470 ?auto_11464 ) ( DIFFERENT ?auto_11461 ?auto_11464 ) ( LOCATION ?auto_11472 ) ( AT ?auto_11455 ?auto_11472 ) ( AT ?auto_11470 ?auto_11472 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_11455 ?auto_11470 ?auto_11472 )
      ( DELIVER-PKG ?auto_11455 ?auto_11456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11474
      ?auto_11475
    )
    :vars
    (
      ?auto_11478
      ?auto_11479
      ?auto_11487
      ?auto_11485
      ?auto_11482
      ?auto_11486
      ?auto_11483
      ?auto_11477
      ?auto_11489
      ?auto_11488
      ?auto_11484
      ?auto_11490
      ?auto_11480
      ?auto_11493
    )
    :precondition
    ( and ( OBJ ?auto_11474 ) ( LOCATION ?auto_11475 ) ( TRUCK ?auto_11478 ) ( LOCATION ?auto_11479 ) ( CITY ?auto_11487 ) ( IN-CITY ?auto_11479 ?auto_11487 ) ( IN-CITY ?auto_11475 ?auto_11487 ) ( DIFFERENT ?auto_11475 ?auto_11479 ) ( LOCATION ?auto_11485 ) ( CITY ?auto_11482 ) ( IN-CITY ?auto_11485 ?auto_11482 ) ( IN-CITY ?auto_11479 ?auto_11482 ) ( DIFFERENT ?auto_11479 ?auto_11485 ) ( LOCATION ?auto_11486 ) ( CITY ?auto_11483 ) ( IN-CITY ?auto_11486 ?auto_11483 ) ( IN-CITY ?auto_11485 ?auto_11483 ) ( DIFFERENT ?auto_11485 ?auto_11486 ) ( LOCATION ?auto_11477 ) ( CITY ?auto_11489 ) ( AT ?auto_11478 ?auto_11477 ) ( IN-CITY ?auto_11477 ?auto_11489 ) ( IN-CITY ?auto_11486 ?auto_11489 ) ( DIFFERENT ?auto_11486 ?auto_11477 ) ( LOCATION ?auto_11488 ) ( AT ?auto_11478 ?auto_11488 ) ( AIRPLANE ?auto_11484 ) ( AIRPORT ?auto_11490 ) ( AIRPORT ?auto_11488 ) ( AT ?auto_11484 ?auto_11490 ) ( DIFFERENT ?auto_11488 ?auto_11490 ) ( LOCATION ?auto_11480 ) ( AT ?auto_11484 ?auto_11480 ) ( TRUCK ?auto_11493 ) ( AT ?auto_11493 ?auto_11480 ) ( IN ?auto_11474 ?auto_11493 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11474 ?auto_11480 )
      ( DELIVER-PKG ?auto_11474 ?auto_11475 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11494
      ?auto_11495
    )
    :vars
    (
      ?auto_11509
      ?auto_11508
      ?auto_11502
      ?auto_11498
      ?auto_11511
      ?auto_11507
      ?auto_11505
      ?auto_11496
      ?auto_11499
      ?auto_11503
      ?auto_11497
      ?auto_11501
      ?auto_11510
      ?auto_11500
      ?auto_11514
      ?auto_11513
    )
    :precondition
    ( and ( OBJ ?auto_11494 ) ( LOCATION ?auto_11495 ) ( TRUCK ?auto_11509 ) ( LOCATION ?auto_11508 ) ( CITY ?auto_11502 ) ( IN-CITY ?auto_11508 ?auto_11502 ) ( IN-CITY ?auto_11495 ?auto_11502 ) ( DIFFERENT ?auto_11495 ?auto_11508 ) ( LOCATION ?auto_11498 ) ( CITY ?auto_11511 ) ( IN-CITY ?auto_11498 ?auto_11511 ) ( IN-CITY ?auto_11508 ?auto_11511 ) ( DIFFERENT ?auto_11508 ?auto_11498 ) ( LOCATION ?auto_11507 ) ( CITY ?auto_11505 ) ( IN-CITY ?auto_11507 ?auto_11505 ) ( IN-CITY ?auto_11498 ?auto_11505 ) ( DIFFERENT ?auto_11498 ?auto_11507 ) ( LOCATION ?auto_11496 ) ( CITY ?auto_11499 ) ( AT ?auto_11509 ?auto_11496 ) ( IN-CITY ?auto_11496 ?auto_11499 ) ( IN-CITY ?auto_11507 ?auto_11499 ) ( DIFFERENT ?auto_11507 ?auto_11496 ) ( LOCATION ?auto_11503 ) ( AT ?auto_11509 ?auto_11503 ) ( AIRPLANE ?auto_11497 ) ( AIRPORT ?auto_11501 ) ( AIRPORT ?auto_11503 ) ( AT ?auto_11497 ?auto_11501 ) ( DIFFERENT ?auto_11503 ?auto_11501 ) ( LOCATION ?auto_11510 ) ( AT ?auto_11497 ?auto_11510 ) ( TRUCK ?auto_11500 ) ( IN ?auto_11494 ?auto_11500 ) ( LOCATION ?auto_11514 ) ( CITY ?auto_11513 ) ( AT ?auto_11500 ?auto_11514 ) ( IN-CITY ?auto_11514 ?auto_11513 ) ( IN-CITY ?auto_11510 ?auto_11513 ) ( DIFFERENT ?auto_11510 ?auto_11514 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11500 ?auto_11514 ?auto_11510 ?auto_11513 )
      ( DELIVER-PKG ?auto_11494 ?auto_11495 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11516
      ?auto_11517
    )
    :vars
    (
      ?auto_11531
      ?auto_11529
      ?auto_11527
      ?auto_11532
      ?auto_11522
      ?auto_11528
      ?auto_11525
      ?auto_11520
      ?auto_11535
      ?auto_11524
      ?auto_11533
      ?auto_11523
      ?auto_11521
      ?auto_11534
      ?auto_11519
      ?auto_11518
      ?auto_11538
      ?auto_11537
    )
    :precondition
    ( and ( OBJ ?auto_11516 ) ( LOCATION ?auto_11517 ) ( TRUCK ?auto_11531 ) ( LOCATION ?auto_11529 ) ( CITY ?auto_11527 ) ( IN-CITY ?auto_11529 ?auto_11527 ) ( IN-CITY ?auto_11517 ?auto_11527 ) ( DIFFERENT ?auto_11517 ?auto_11529 ) ( LOCATION ?auto_11532 ) ( CITY ?auto_11522 ) ( IN-CITY ?auto_11532 ?auto_11522 ) ( IN-CITY ?auto_11529 ?auto_11522 ) ( DIFFERENT ?auto_11529 ?auto_11532 ) ( LOCATION ?auto_11528 ) ( CITY ?auto_11525 ) ( IN-CITY ?auto_11528 ?auto_11525 ) ( IN-CITY ?auto_11532 ?auto_11525 ) ( DIFFERENT ?auto_11532 ?auto_11528 ) ( LOCATION ?auto_11520 ) ( CITY ?auto_11535 ) ( AT ?auto_11531 ?auto_11520 ) ( IN-CITY ?auto_11520 ?auto_11535 ) ( IN-CITY ?auto_11528 ?auto_11535 ) ( DIFFERENT ?auto_11528 ?auto_11520 ) ( LOCATION ?auto_11524 ) ( AT ?auto_11531 ?auto_11524 ) ( AIRPLANE ?auto_11533 ) ( AIRPORT ?auto_11523 ) ( AIRPORT ?auto_11524 ) ( AT ?auto_11533 ?auto_11523 ) ( DIFFERENT ?auto_11524 ?auto_11523 ) ( LOCATION ?auto_11521 ) ( AT ?auto_11533 ?auto_11521 ) ( TRUCK ?auto_11534 ) ( IN ?auto_11516 ?auto_11534 ) ( LOCATION ?auto_11519 ) ( CITY ?auto_11518 ) ( IN-CITY ?auto_11519 ?auto_11518 ) ( IN-CITY ?auto_11521 ?auto_11518 ) ( DIFFERENT ?auto_11521 ?auto_11519 ) ( LOCATION ?auto_11538 ) ( CITY ?auto_11537 ) ( AT ?auto_11534 ?auto_11538 ) ( IN-CITY ?auto_11538 ?auto_11537 ) ( IN-CITY ?auto_11519 ?auto_11537 ) ( DIFFERENT ?auto_11519 ?auto_11538 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11534 ?auto_11538 ?auto_11519 ?auto_11537 )
      ( DELIVER-PKG ?auto_11516 ?auto_11517 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11540
      ?auto_11541
    )
    :vars
    (
      ?auto_11547
      ?auto_11554
      ?auto_11543
      ?auto_11557
      ?auto_11555
      ?auto_11553
      ?auto_11560
      ?auto_11559
      ?auto_11552
      ?auto_11548
      ?auto_11558
      ?auto_11561
      ?auto_11556
      ?auto_11551
      ?auto_11549
      ?auto_11542
      ?auto_11546
      ?auto_11550
      ?auto_11563
    )
    :precondition
    ( and ( OBJ ?auto_11540 ) ( LOCATION ?auto_11541 ) ( TRUCK ?auto_11547 ) ( LOCATION ?auto_11554 ) ( CITY ?auto_11543 ) ( IN-CITY ?auto_11554 ?auto_11543 ) ( IN-CITY ?auto_11541 ?auto_11543 ) ( DIFFERENT ?auto_11541 ?auto_11554 ) ( LOCATION ?auto_11557 ) ( CITY ?auto_11555 ) ( IN-CITY ?auto_11557 ?auto_11555 ) ( IN-CITY ?auto_11554 ?auto_11555 ) ( DIFFERENT ?auto_11554 ?auto_11557 ) ( LOCATION ?auto_11553 ) ( CITY ?auto_11560 ) ( IN-CITY ?auto_11553 ?auto_11560 ) ( IN-CITY ?auto_11557 ?auto_11560 ) ( DIFFERENT ?auto_11557 ?auto_11553 ) ( LOCATION ?auto_11559 ) ( CITY ?auto_11552 ) ( AT ?auto_11547 ?auto_11559 ) ( IN-CITY ?auto_11559 ?auto_11552 ) ( IN-CITY ?auto_11553 ?auto_11552 ) ( DIFFERENT ?auto_11553 ?auto_11559 ) ( LOCATION ?auto_11548 ) ( AT ?auto_11547 ?auto_11548 ) ( AIRPLANE ?auto_11558 ) ( AIRPORT ?auto_11561 ) ( AIRPORT ?auto_11548 ) ( AT ?auto_11558 ?auto_11561 ) ( DIFFERENT ?auto_11548 ?auto_11561 ) ( LOCATION ?auto_11556 ) ( AT ?auto_11558 ?auto_11556 ) ( TRUCK ?auto_11551 ) ( LOCATION ?auto_11549 ) ( CITY ?auto_11542 ) ( IN-CITY ?auto_11549 ?auto_11542 ) ( IN-CITY ?auto_11556 ?auto_11542 ) ( DIFFERENT ?auto_11556 ?auto_11549 ) ( LOCATION ?auto_11546 ) ( CITY ?auto_11550 ) ( AT ?auto_11551 ?auto_11546 ) ( IN-CITY ?auto_11546 ?auto_11550 ) ( IN-CITY ?auto_11549 ?auto_11550 ) ( DIFFERENT ?auto_11549 ?auto_11546 ) ( LOCATION ?auto_11563 ) ( AT ?auto_11551 ?auto_11563 ) ( AT ?auto_11540 ?auto_11563 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11540 ?auto_11551 ?auto_11563 )
      ( DELIVER-PKG ?auto_11540 ?auto_11541 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11565
      ?auto_11566
    )
    :vars
    (
      ?auto_11584
      ?auto_11574
      ?auto_11573
      ?auto_11582
      ?auto_11581
      ?auto_11580
      ?auto_11569
      ?auto_11568
      ?auto_11571
      ?auto_11587
      ?auto_11583
      ?auto_11575
      ?auto_11577
      ?auto_11586
      ?auto_11570
      ?auto_11585
      ?auto_11576
      ?auto_11567
      ?auto_11589
    )
    :precondition
    ( and ( OBJ ?auto_11565 ) ( LOCATION ?auto_11566 ) ( TRUCK ?auto_11584 ) ( LOCATION ?auto_11574 ) ( CITY ?auto_11573 ) ( IN-CITY ?auto_11574 ?auto_11573 ) ( IN-CITY ?auto_11566 ?auto_11573 ) ( DIFFERENT ?auto_11566 ?auto_11574 ) ( LOCATION ?auto_11582 ) ( CITY ?auto_11581 ) ( IN-CITY ?auto_11582 ?auto_11581 ) ( IN-CITY ?auto_11574 ?auto_11581 ) ( DIFFERENT ?auto_11574 ?auto_11582 ) ( LOCATION ?auto_11580 ) ( CITY ?auto_11569 ) ( IN-CITY ?auto_11580 ?auto_11569 ) ( IN-CITY ?auto_11582 ?auto_11569 ) ( DIFFERENT ?auto_11582 ?auto_11580 ) ( LOCATION ?auto_11568 ) ( CITY ?auto_11571 ) ( AT ?auto_11584 ?auto_11568 ) ( IN-CITY ?auto_11568 ?auto_11571 ) ( IN-CITY ?auto_11580 ?auto_11571 ) ( DIFFERENT ?auto_11580 ?auto_11568 ) ( LOCATION ?auto_11587 ) ( AT ?auto_11584 ?auto_11587 ) ( AIRPLANE ?auto_11583 ) ( AIRPORT ?auto_11575 ) ( AIRPORT ?auto_11587 ) ( DIFFERENT ?auto_11587 ?auto_11575 ) ( LOCATION ?auto_11575 ) ( TRUCK ?auto_11577 ) ( LOCATION ?auto_11586 ) ( CITY ?auto_11570 ) ( IN-CITY ?auto_11586 ?auto_11570 ) ( IN-CITY ?auto_11575 ?auto_11570 ) ( DIFFERENT ?auto_11575 ?auto_11586 ) ( LOCATION ?auto_11585 ) ( CITY ?auto_11576 ) ( AT ?auto_11577 ?auto_11585 ) ( IN-CITY ?auto_11585 ?auto_11576 ) ( IN-CITY ?auto_11586 ?auto_11576 ) ( DIFFERENT ?auto_11586 ?auto_11585 ) ( LOCATION ?auto_11567 ) ( AT ?auto_11577 ?auto_11567 ) ( AT ?auto_11565 ?auto_11567 ) ( AIRPORT ?auto_11589 ) ( AT ?auto_11583 ?auto_11589 ) ( DIFFERENT ?auto_11575 ?auto_11589 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11583 ?auto_11589 ?auto_11575 )
      ( DELIVER-PKG ?auto_11565 ?auto_11566 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11591
      ?auto_11592
    )
    :vars
    (
      ?auto_11602
      ?auto_11613
      ?auto_11610
      ?auto_11601
      ?auto_11600
      ?auto_11599
      ?auto_11596
      ?auto_11605
      ?auto_11612
      ?auto_11595
      ?auto_11609
      ?auto_11598
      ?auto_11597
      ?auto_11594
      ?auto_11611
      ?auto_11606
      ?auto_11604
      ?auto_11608
      ?auto_11616
      ?auto_11615
    )
    :precondition
    ( and ( OBJ ?auto_11591 ) ( LOCATION ?auto_11592 ) ( TRUCK ?auto_11602 ) ( LOCATION ?auto_11613 ) ( CITY ?auto_11610 ) ( IN-CITY ?auto_11613 ?auto_11610 ) ( IN-CITY ?auto_11592 ?auto_11610 ) ( DIFFERENT ?auto_11592 ?auto_11613 ) ( LOCATION ?auto_11601 ) ( CITY ?auto_11600 ) ( IN-CITY ?auto_11601 ?auto_11600 ) ( IN-CITY ?auto_11613 ?auto_11600 ) ( DIFFERENT ?auto_11613 ?auto_11601 ) ( LOCATION ?auto_11599 ) ( CITY ?auto_11596 ) ( IN-CITY ?auto_11599 ?auto_11596 ) ( IN-CITY ?auto_11601 ?auto_11596 ) ( DIFFERENT ?auto_11601 ?auto_11599 ) ( LOCATION ?auto_11605 ) ( CITY ?auto_11612 ) ( AT ?auto_11602 ?auto_11605 ) ( IN-CITY ?auto_11605 ?auto_11612 ) ( IN-CITY ?auto_11599 ?auto_11612 ) ( DIFFERENT ?auto_11599 ?auto_11605 ) ( LOCATION ?auto_11595 ) ( AT ?auto_11602 ?auto_11595 ) ( AIRPLANE ?auto_11609 ) ( AIRPORT ?auto_11598 ) ( AIRPORT ?auto_11595 ) ( DIFFERENT ?auto_11595 ?auto_11598 ) ( LOCATION ?auto_11598 ) ( TRUCK ?auto_11597 ) ( LOCATION ?auto_11594 ) ( CITY ?auto_11611 ) ( IN-CITY ?auto_11594 ?auto_11611 ) ( IN-CITY ?auto_11598 ?auto_11611 ) ( DIFFERENT ?auto_11598 ?auto_11594 ) ( LOCATION ?auto_11606 ) ( CITY ?auto_11604 ) ( IN-CITY ?auto_11606 ?auto_11604 ) ( IN-CITY ?auto_11594 ?auto_11604 ) ( DIFFERENT ?auto_11594 ?auto_11606 ) ( AT ?auto_11591 ?auto_11606 ) ( AIRPORT ?auto_11608 ) ( AT ?auto_11609 ?auto_11608 ) ( DIFFERENT ?auto_11598 ?auto_11608 ) ( LOCATION ?auto_11616 ) ( CITY ?auto_11615 ) ( AT ?auto_11597 ?auto_11616 ) ( IN-CITY ?auto_11616 ?auto_11615 ) ( IN-CITY ?auto_11606 ?auto_11615 ) ( DIFFERENT ?auto_11606 ?auto_11616 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11597 ?auto_11616 ?auto_11606 ?auto_11615 )
      ( DELIVER-PKG ?auto_11591 ?auto_11592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11826
      ?auto_11827
    )
    :vars
    (
      ?auto_11828
      ?auto_11831
      ?auto_11829
      ?auto_11836
      ?auto_11832
      ?auto_11835
      ?auto_11830
      ?auto_11839
    )
    :precondition
    ( and ( OBJ ?auto_11826 ) ( LOCATION ?auto_11827 ) ( AIRPLANE ?auto_11828 ) ( AIRPORT ?auto_11831 ) ( AIRPORT ?auto_11827 ) ( AT ?auto_11828 ?auto_11831 ) ( DIFFERENT ?auto_11827 ?auto_11831 ) ( LOCATION ?auto_11829 ) ( AT ?auto_11828 ?auto_11829 ) ( TRUCK ?auto_11836 ) ( LOCATION ?auto_11832 ) ( CITY ?auto_11835 ) ( AT ?auto_11836 ?auto_11832 ) ( IN-CITY ?auto_11832 ?auto_11835 ) ( IN-CITY ?auto_11829 ?auto_11835 ) ( DIFFERENT ?auto_11829 ?auto_11832 ) ( LOCATION ?auto_11830 ) ( AT ?auto_11836 ?auto_11830 ) ( TRUCK ?auto_11839 ) ( AT ?auto_11839 ?auto_11830 ) ( IN ?auto_11826 ?auto_11839 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11826 ?auto_11830 )
      ( DELIVER-PKG ?auto_11826 ?auto_11827 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11871
      ?auto_11872
    )
    :vars
    (
      ?auto_11874
      ?auto_11878
      ?auto_11881
      ?auto_11875
      ?auto_11883
      ?auto_11879
      ?auto_11876
      ?auto_11880
      ?auto_11886
      ?auto_11885
    )
    :precondition
    ( and ( OBJ ?auto_11871 ) ( LOCATION ?auto_11872 ) ( AIRPLANE ?auto_11874 ) ( AIRPORT ?auto_11878 ) ( AIRPORT ?auto_11872 ) ( AT ?auto_11874 ?auto_11878 ) ( DIFFERENT ?auto_11872 ?auto_11878 ) ( LOCATION ?auto_11881 ) ( AT ?auto_11874 ?auto_11881 ) ( TRUCK ?auto_11875 ) ( LOCATION ?auto_11883 ) ( CITY ?auto_11879 ) ( IN-CITY ?auto_11883 ?auto_11879 ) ( IN-CITY ?auto_11881 ?auto_11879 ) ( DIFFERENT ?auto_11881 ?auto_11883 ) ( LOCATION ?auto_11876 ) ( CITY ?auto_11880 ) ( IN-CITY ?auto_11876 ?auto_11880 ) ( IN-CITY ?auto_11883 ?auto_11880 ) ( DIFFERENT ?auto_11883 ?auto_11876 ) ( AT ?auto_11871 ?auto_11876 ) ( LOCATION ?auto_11886 ) ( CITY ?auto_11885 ) ( AT ?auto_11875 ?auto_11886 ) ( IN-CITY ?auto_11886 ?auto_11885 ) ( IN-CITY ?auto_11876 ?auto_11885 ) ( DIFFERENT ?auto_11876 ?auto_11886 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11875 ?auto_11886 ?auto_11876 ?auto_11885 )
      ( DELIVER-PKG ?auto_11871 ?auto_11872 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11916
      ?auto_11917
    )
    :vars
    (
      ?auto_11926
      ?auto_11918
      ?auto_11928
      ?auto_11920
      ?auto_11919
      ?auto_11929
      ?auto_11927
      ?auto_11925
      ?auto_11924
      ?auto_11931
    )
    :precondition
    ( and ( OBJ ?auto_11916 ) ( LOCATION ?auto_11917 ) ( AIRPLANE ?auto_11926 ) ( AIRPORT ?auto_11918 ) ( AIRPORT ?auto_11917 ) ( DIFFERENT ?auto_11917 ?auto_11918 ) ( LOCATION ?auto_11918 ) ( TRUCK ?auto_11928 ) ( LOCATION ?auto_11920 ) ( CITY ?auto_11919 ) ( IN-CITY ?auto_11920 ?auto_11919 ) ( IN-CITY ?auto_11918 ?auto_11919 ) ( DIFFERENT ?auto_11918 ?auto_11920 ) ( LOCATION ?auto_11929 ) ( CITY ?auto_11927 ) ( IN-CITY ?auto_11929 ?auto_11927 ) ( IN-CITY ?auto_11920 ?auto_11927 ) ( DIFFERENT ?auto_11920 ?auto_11929 ) ( AT ?auto_11916 ?auto_11929 ) ( LOCATION ?auto_11925 ) ( CITY ?auto_11924 ) ( AT ?auto_11928 ?auto_11925 ) ( IN-CITY ?auto_11925 ?auto_11924 ) ( IN-CITY ?auto_11929 ?auto_11924 ) ( DIFFERENT ?auto_11929 ?auto_11925 ) ( AIRPORT ?auto_11931 ) ( AT ?auto_11926 ?auto_11931 ) ( DIFFERENT ?auto_11918 ?auto_11931 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11926 ?auto_11931 ?auto_11918 )
      ( DELIVER-PKG ?auto_11916 ?auto_11917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12003
      ?auto_12004
    )
    :vars
    (
      ?auto_12009
      ?auto_12015
      ?auto_12013
      ?auto_12007
      ?auto_12006
      ?auto_12014
      ?auto_12010
      ?auto_12008
      ?auto_12012
      ?auto_12016
      ?auto_12018
    )
    :precondition
    ( and ( OBJ ?auto_12003 ) ( LOCATION ?auto_12004 ) ( AIRPLANE ?auto_12009 ) ( AIRPORT ?auto_12015 ) ( AIRPORT ?auto_12004 ) ( DIFFERENT ?auto_12004 ?auto_12015 ) ( LOCATION ?auto_12015 ) ( TRUCK ?auto_12013 ) ( LOCATION ?auto_12007 ) ( CITY ?auto_12006 ) ( IN-CITY ?auto_12007 ?auto_12006 ) ( IN-CITY ?auto_12015 ?auto_12006 ) ( DIFFERENT ?auto_12015 ?auto_12007 ) ( LOCATION ?auto_12014 ) ( CITY ?auto_12010 ) ( IN-CITY ?auto_12014 ?auto_12010 ) ( IN-CITY ?auto_12007 ?auto_12010 ) ( DIFFERENT ?auto_12007 ?auto_12014 ) ( AT ?auto_12003 ?auto_12014 ) ( LOCATION ?auto_12008 ) ( CITY ?auto_12012 ) ( AT ?auto_12013 ?auto_12008 ) ( IN-CITY ?auto_12008 ?auto_12012 ) ( IN-CITY ?auto_12014 ?auto_12012 ) ( DIFFERENT ?auto_12014 ?auto_12008 ) ( AIRPORT ?auto_12016 ) ( DIFFERENT ?auto_12015 ?auto_12016 ) ( AIRPORT ?auto_12018 ) ( AT ?auto_12009 ?auto_12018 ) ( DIFFERENT ?auto_12016 ?auto_12018 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12009 ?auto_12018 ?auto_12016 )
      ( DELIVER-PKG ?auto_12003 ?auto_12004 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12857
      ?auto_12858
    )
    :vars
    (
      ?auto_12860
      ?auto_12863
      ?auto_12861
      ?auto_12862
      ?auto_12859
      ?auto_12865
      ?auto_12864
      ?auto_12870
      ?auto_12866
      ?auto_12873
      ?auto_12872
    )
    :precondition
    ( and ( OBJ ?auto_12857 ) ( LOCATION ?auto_12858 ) ( TRUCK ?auto_12860 ) ( LOCATION ?auto_12863 ) ( CITY ?auto_12861 ) ( IN-CITY ?auto_12863 ?auto_12861 ) ( IN-CITY ?auto_12858 ?auto_12861 ) ( DIFFERENT ?auto_12858 ?auto_12863 ) ( LOCATION ?auto_12862 ) ( CITY ?auto_12859 ) ( IN-CITY ?auto_12862 ?auto_12859 ) ( IN-CITY ?auto_12863 ?auto_12859 ) ( DIFFERENT ?auto_12863 ?auto_12862 ) ( LOCATION ?auto_12865 ) ( CITY ?auto_12864 ) ( IN-CITY ?auto_12865 ?auto_12864 ) ( IN-CITY ?auto_12862 ?auto_12864 ) ( DIFFERENT ?auto_12862 ?auto_12865 ) ( LOCATION ?auto_12870 ) ( CITY ?auto_12866 ) ( IN-CITY ?auto_12870 ?auto_12866 ) ( IN-CITY ?auto_12865 ?auto_12866 ) ( DIFFERENT ?auto_12865 ?auto_12870 ) ( AT ?auto_12857 ?auto_12870 ) ( LOCATION ?auto_12873 ) ( CITY ?auto_12872 ) ( AT ?auto_12860 ?auto_12873 ) ( IN-CITY ?auto_12873 ?auto_12872 ) ( IN-CITY ?auto_12870 ?auto_12872 ) ( DIFFERENT ?auto_12870 ?auto_12873 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12860 ?auto_12873 ?auto_12870 ?auto_12872 )
      ( DELIVER-PKG ?auto_12857 ?auto_12858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13269
      ?auto_13270
    )
    :vars
    (
      ?auto_13274
      ?auto_13278
      ?auto_13277
      ?auto_13271
      ?auto_13276
      ?auto_13272
      ?auto_13273
      ?auto_13280
      ?auto_13279
      ?auto_13284
      ?auto_13283
    )
    :precondition
    ( and ( OBJ ?auto_13269 ) ( LOCATION ?auto_13270 ) ( TRUCK ?auto_13274 ) ( LOCATION ?auto_13278 ) ( CITY ?auto_13277 ) ( IN-CITY ?auto_13278 ?auto_13277 ) ( IN-CITY ?auto_13270 ?auto_13277 ) ( DIFFERENT ?auto_13270 ?auto_13278 ) ( IN ?auto_13269 ?auto_13274 ) ( LOCATION ?auto_13271 ) ( CITY ?auto_13276 ) ( IN-CITY ?auto_13271 ?auto_13276 ) ( IN-CITY ?auto_13278 ?auto_13276 ) ( DIFFERENT ?auto_13278 ?auto_13271 ) ( LOCATION ?auto_13272 ) ( CITY ?auto_13273 ) ( IN-CITY ?auto_13272 ?auto_13273 ) ( IN-CITY ?auto_13271 ?auto_13273 ) ( DIFFERENT ?auto_13271 ?auto_13272 ) ( LOCATION ?auto_13280 ) ( CITY ?auto_13279 ) ( IN-CITY ?auto_13280 ?auto_13279 ) ( IN-CITY ?auto_13272 ?auto_13279 ) ( DIFFERENT ?auto_13272 ?auto_13280 ) ( LOCATION ?auto_13284 ) ( CITY ?auto_13283 ) ( AT ?auto_13274 ?auto_13284 ) ( IN-CITY ?auto_13284 ?auto_13283 ) ( IN-CITY ?auto_13280 ?auto_13283 ) ( DIFFERENT ?auto_13280 ?auto_13284 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13274 ?auto_13284 ?auto_13280 ?auto_13283 )
      ( DELIVER-PKG ?auto_13269 ?auto_13270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13316
      ?auto_13317
    )
    :vars
    (
      ?auto_13323
      ?auto_13326
      ?auto_13325
      ?auto_13320
      ?auto_13324
      ?auto_13321
      ?auto_13322
      ?auto_13328
      ?auto_13327
      ?auto_13330
      ?auto_13329
      ?auto_13332
    )
    :precondition
    ( and ( OBJ ?auto_13316 ) ( LOCATION ?auto_13317 ) ( TRUCK ?auto_13323 ) ( LOCATION ?auto_13326 ) ( CITY ?auto_13325 ) ( IN-CITY ?auto_13326 ?auto_13325 ) ( IN-CITY ?auto_13317 ?auto_13325 ) ( DIFFERENT ?auto_13317 ?auto_13326 ) ( LOCATION ?auto_13320 ) ( CITY ?auto_13324 ) ( IN-CITY ?auto_13320 ?auto_13324 ) ( IN-CITY ?auto_13326 ?auto_13324 ) ( DIFFERENT ?auto_13326 ?auto_13320 ) ( LOCATION ?auto_13321 ) ( CITY ?auto_13322 ) ( IN-CITY ?auto_13321 ?auto_13322 ) ( IN-CITY ?auto_13320 ?auto_13322 ) ( DIFFERENT ?auto_13320 ?auto_13321 ) ( LOCATION ?auto_13328 ) ( CITY ?auto_13327 ) ( IN-CITY ?auto_13328 ?auto_13327 ) ( IN-CITY ?auto_13321 ?auto_13327 ) ( DIFFERENT ?auto_13321 ?auto_13328 ) ( LOCATION ?auto_13330 ) ( CITY ?auto_13329 ) ( AT ?auto_13323 ?auto_13330 ) ( IN-CITY ?auto_13330 ?auto_13329 ) ( IN-CITY ?auto_13328 ?auto_13329 ) ( DIFFERENT ?auto_13328 ?auto_13330 ) ( LOCATION ?auto_13332 ) ( AT ?auto_13323 ?auto_13332 ) ( AT ?auto_13316 ?auto_13332 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13316 ?auto_13323 ?auto_13332 )
      ( DELIVER-PKG ?auto_13316 ?auto_13317 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13350
      ?auto_13351
    )
    :vars
    (
      ?auto_13362
      ?auto_13355
      ?auto_13354
      ?auto_13359
      ?auto_13353
      ?auto_13360
      ?auto_13361
      ?auto_13357
      ?auto_13356
      ?auto_13365
      ?auto_13358
      ?auto_13368
      ?auto_13367
    )
    :precondition
    ( and ( OBJ ?auto_13350 ) ( LOCATION ?auto_13351 ) ( TRUCK ?auto_13362 ) ( LOCATION ?auto_13355 ) ( CITY ?auto_13354 ) ( IN-CITY ?auto_13355 ?auto_13354 ) ( IN-CITY ?auto_13351 ?auto_13354 ) ( DIFFERENT ?auto_13351 ?auto_13355 ) ( LOCATION ?auto_13359 ) ( CITY ?auto_13353 ) ( IN-CITY ?auto_13359 ?auto_13353 ) ( IN-CITY ?auto_13355 ?auto_13353 ) ( DIFFERENT ?auto_13355 ?auto_13359 ) ( LOCATION ?auto_13360 ) ( CITY ?auto_13361 ) ( IN-CITY ?auto_13360 ?auto_13361 ) ( IN-CITY ?auto_13359 ?auto_13361 ) ( DIFFERENT ?auto_13359 ?auto_13360 ) ( LOCATION ?auto_13357 ) ( CITY ?auto_13356 ) ( IN-CITY ?auto_13357 ?auto_13356 ) ( IN-CITY ?auto_13360 ?auto_13356 ) ( DIFFERENT ?auto_13360 ?auto_13357 ) ( LOCATION ?auto_13365 ) ( CITY ?auto_13358 ) ( IN-CITY ?auto_13365 ?auto_13358 ) ( IN-CITY ?auto_13357 ?auto_13358 ) ( DIFFERENT ?auto_13357 ?auto_13365 ) ( AT ?auto_13350 ?auto_13365 ) ( LOCATION ?auto_13368 ) ( CITY ?auto_13367 ) ( AT ?auto_13362 ?auto_13368 ) ( IN-CITY ?auto_13368 ?auto_13367 ) ( IN-CITY ?auto_13365 ?auto_13367 ) ( DIFFERENT ?auto_13365 ?auto_13368 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13362 ?auto_13368 ?auto_13365 ?auto_13367 )
      ( DELIVER-PKG ?auto_13350 ?auto_13351 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15289
      ?auto_15290
    )
    :vars
    (
      ?auto_15292
      ?auto_15293
      ?auto_15299
      ?auto_15295
      ?auto_15297
      ?auto_15294
      ?auto_15296
      ?auto_15301
    )
    :precondition
    ( and ( OBJ ?auto_15289 ) ( LOCATION ?auto_15290 ) ( AIRPLANE ?auto_15292 ) ( AT ?auto_15292 ?auto_15290 ) ( LOCATION ?auto_15293 ) ( AT ?auto_15292 ?auto_15293 ) ( AIRPLANE ?auto_15299 ) ( AT ?auto_15299 ?auto_15293 ) ( LOCATION ?auto_15295 ) ( AT ?auto_15299 ?auto_15295 ) ( AIRPLANE ?auto_15297 ) ( AT ?auto_15297 ?auto_15295 ) ( LOCATION ?auto_15294 ) ( AT ?auto_15297 ?auto_15294 ) ( AIRPLANE ?auto_15296 ) ( AT ?auto_15296 ?auto_15294 ) ( LOCATION ?auto_15301 ) ( AT ?auto_15289 ?auto_15301 ) ( AT ?auto_15296 ?auto_15301 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_15289 ?auto_15296 ?auto_15301 )
      ( DELIVER-PKG ?auto_15289 ?auto_15290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15303
      ?auto_15304
    )
    :vars
    (
      ?auto_15314
      ?auto_15311
      ?auto_15309
      ?auto_15306
      ?auto_15313
      ?auto_15308
      ?auto_15310
      ?auto_15307
      ?auto_15315
    )
    :precondition
    ( and ( OBJ ?auto_15303 ) ( LOCATION ?auto_15304 ) ( AIRPLANE ?auto_15314 ) ( AT ?auto_15314 ?auto_15304 ) ( LOCATION ?auto_15311 ) ( AT ?auto_15314 ?auto_15311 ) ( AIRPLANE ?auto_15309 ) ( AT ?auto_15309 ?auto_15311 ) ( LOCATION ?auto_15306 ) ( AT ?auto_15309 ?auto_15306 ) ( AIRPLANE ?auto_15313 ) ( AT ?auto_15313 ?auto_15306 ) ( LOCATION ?auto_15308 ) ( AT ?auto_15313 ?auto_15308 ) ( AIRPLANE ?auto_15310 ) ( AT ?auto_15310 ?auto_15308 ) ( LOCATION ?auto_15307 ) ( AT ?auto_15310 ?auto_15307 ) ( TRUCK ?auto_15315 ) ( AT ?auto_15315 ?auto_15307 ) ( IN ?auto_15303 ?auto_15315 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15303 ?auto_15307 )
      ( DELIVER-PKG ?auto_15303 ?auto_15304 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15318
      ?auto_15319
    )
    :vars
    (
      ?auto_15326
      ?auto_15321
      ?auto_15330
      ?auto_15328
      ?auto_15320
      ?auto_15329
      ?auto_15322
      ?auto_15327
      ?auto_15324
      ?auto_15333
      ?auto_15332
    )
    :precondition
    ( and ( OBJ ?auto_15318 ) ( LOCATION ?auto_15319 ) ( AIRPLANE ?auto_15326 ) ( AT ?auto_15326 ?auto_15319 ) ( LOCATION ?auto_15321 ) ( AT ?auto_15326 ?auto_15321 ) ( AIRPLANE ?auto_15330 ) ( AT ?auto_15330 ?auto_15321 ) ( LOCATION ?auto_15328 ) ( AT ?auto_15330 ?auto_15328 ) ( AIRPLANE ?auto_15320 ) ( AT ?auto_15320 ?auto_15328 ) ( LOCATION ?auto_15329 ) ( AT ?auto_15320 ?auto_15329 ) ( AIRPLANE ?auto_15322 ) ( AT ?auto_15322 ?auto_15329 ) ( LOCATION ?auto_15327 ) ( AT ?auto_15322 ?auto_15327 ) ( TRUCK ?auto_15324 ) ( IN ?auto_15318 ?auto_15324 ) ( LOCATION ?auto_15333 ) ( CITY ?auto_15332 ) ( AT ?auto_15324 ?auto_15333 ) ( IN-CITY ?auto_15333 ?auto_15332 ) ( IN-CITY ?auto_15327 ?auto_15332 ) ( DIFFERENT ?auto_15327 ?auto_15333 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15324 ?auto_15333 ?auto_15327 ?auto_15332 )
      ( DELIVER-PKG ?auto_15318 ?auto_15319 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15335
      ?auto_15336
    )
    :vars
    (
      ?auto_15341
      ?auto_15347
      ?auto_15339
      ?auto_15346
      ?auto_15340
      ?auto_15342
      ?auto_15348
      ?auto_15343
      ?auto_15349
      ?auto_15338
      ?auto_15337
      ?auto_15351
    )
    :precondition
    ( and ( OBJ ?auto_15335 ) ( LOCATION ?auto_15336 ) ( AIRPLANE ?auto_15341 ) ( AT ?auto_15341 ?auto_15336 ) ( LOCATION ?auto_15347 ) ( AT ?auto_15341 ?auto_15347 ) ( AIRPLANE ?auto_15339 ) ( AT ?auto_15339 ?auto_15347 ) ( LOCATION ?auto_15346 ) ( AT ?auto_15339 ?auto_15346 ) ( AIRPLANE ?auto_15340 ) ( AT ?auto_15340 ?auto_15346 ) ( LOCATION ?auto_15342 ) ( AT ?auto_15340 ?auto_15342 ) ( AIRPLANE ?auto_15348 ) ( AT ?auto_15348 ?auto_15342 ) ( LOCATION ?auto_15343 ) ( AT ?auto_15348 ?auto_15343 ) ( TRUCK ?auto_15349 ) ( LOCATION ?auto_15338 ) ( CITY ?auto_15337 ) ( AT ?auto_15349 ?auto_15338 ) ( IN-CITY ?auto_15338 ?auto_15337 ) ( IN-CITY ?auto_15343 ?auto_15337 ) ( DIFFERENT ?auto_15343 ?auto_15338 ) ( LOCATION ?auto_15351 ) ( AT ?auto_15349 ?auto_15351 ) ( AT ?auto_15335 ?auto_15351 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15335 ?auto_15349 ?auto_15351 )
      ( DELIVER-PKG ?auto_15335 ?auto_15336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15353
      ?auto_15354
    )
    :vars
    (
      ?auto_15367
      ?auto_15356
      ?auto_15363
      ?auto_15355
      ?auto_15365
      ?auto_15368
      ?auto_15362
      ?auto_15358
      ?auto_15366
      ?auto_15364
      ?auto_15359
      ?auto_15361
      ?auto_15369
    )
    :precondition
    ( and ( OBJ ?auto_15353 ) ( LOCATION ?auto_15354 ) ( AIRPLANE ?auto_15367 ) ( AT ?auto_15367 ?auto_15354 ) ( LOCATION ?auto_15356 ) ( AT ?auto_15367 ?auto_15356 ) ( AIRPLANE ?auto_15363 ) ( AT ?auto_15363 ?auto_15356 ) ( LOCATION ?auto_15355 ) ( AT ?auto_15363 ?auto_15355 ) ( AIRPLANE ?auto_15365 ) ( AT ?auto_15365 ?auto_15355 ) ( LOCATION ?auto_15368 ) ( AT ?auto_15365 ?auto_15368 ) ( AIRPLANE ?auto_15362 ) ( AT ?auto_15362 ?auto_15368 ) ( LOCATION ?auto_15358 ) ( AT ?auto_15362 ?auto_15358 ) ( TRUCK ?auto_15366 ) ( LOCATION ?auto_15364 ) ( CITY ?auto_15359 ) ( AT ?auto_15366 ?auto_15364 ) ( IN-CITY ?auto_15364 ?auto_15359 ) ( IN-CITY ?auto_15358 ?auto_15359 ) ( DIFFERENT ?auto_15358 ?auto_15364 ) ( LOCATION ?auto_15361 ) ( AT ?auto_15366 ?auto_15361 ) ( TRUCK ?auto_15369 ) ( AT ?auto_15369 ?auto_15361 ) ( IN ?auto_15353 ?auto_15369 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15353 ?auto_15361 )
      ( DELIVER-PKG ?auto_15353 ?auto_15354 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15372
      ?auto_15373
    )
    :vars
    (
      ?auto_15378
      ?auto_15383
      ?auto_15379
      ?auto_15381
      ?auto_15377
      ?auto_15374
      ?auto_15387
      ?auto_15384
      ?auto_15382
      ?auto_15385
      ?auto_15388
      ?auto_15391
      ?auto_15390
    )
    :precondition
    ( and ( OBJ ?auto_15372 ) ( LOCATION ?auto_15373 ) ( AIRPLANE ?auto_15378 ) ( AT ?auto_15378 ?auto_15373 ) ( LOCATION ?auto_15383 ) ( AT ?auto_15378 ?auto_15383 ) ( AIRPLANE ?auto_15379 ) ( AT ?auto_15379 ?auto_15383 ) ( LOCATION ?auto_15381 ) ( AT ?auto_15379 ?auto_15381 ) ( AIRPLANE ?auto_15377 ) ( AT ?auto_15377 ?auto_15381 ) ( LOCATION ?auto_15374 ) ( AT ?auto_15377 ?auto_15374 ) ( AIRPLANE ?auto_15387 ) ( AT ?auto_15387 ?auto_15374 ) ( LOCATION ?auto_15384 ) ( AT ?auto_15387 ?auto_15384 ) ( TRUCK ?auto_15382 ) ( LOCATION ?auto_15385 ) ( CITY ?auto_15388 ) ( IN-CITY ?auto_15385 ?auto_15388 ) ( IN-CITY ?auto_15384 ?auto_15388 ) ( DIFFERENT ?auto_15384 ?auto_15385 ) ( IN ?auto_15372 ?auto_15382 ) ( LOCATION ?auto_15391 ) ( CITY ?auto_15390 ) ( AT ?auto_15382 ?auto_15391 ) ( IN-CITY ?auto_15391 ?auto_15390 ) ( IN-CITY ?auto_15385 ?auto_15390 ) ( DIFFERENT ?auto_15385 ?auto_15391 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15382 ?auto_15391 ?auto_15385 ?auto_15390 )
      ( DELIVER-PKG ?auto_15372 ?auto_15373 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15393
      ?auto_15394
    )
    :vars
    (
      ?auto_15409
      ?auto_15397
      ?auto_15396
      ?auto_15401
      ?auto_15408
      ?auto_15403
      ?auto_15398
      ?auto_15406
      ?auto_15405
      ?auto_15400
      ?auto_15395
      ?auto_15399
      ?auto_15407
      ?auto_15412
      ?auto_15411
    )
    :precondition
    ( and ( OBJ ?auto_15393 ) ( LOCATION ?auto_15394 ) ( AIRPLANE ?auto_15409 ) ( AT ?auto_15409 ?auto_15394 ) ( LOCATION ?auto_15397 ) ( AT ?auto_15409 ?auto_15397 ) ( AIRPLANE ?auto_15396 ) ( AT ?auto_15396 ?auto_15397 ) ( LOCATION ?auto_15401 ) ( AT ?auto_15396 ?auto_15401 ) ( AIRPLANE ?auto_15408 ) ( AT ?auto_15408 ?auto_15401 ) ( LOCATION ?auto_15403 ) ( AT ?auto_15408 ?auto_15403 ) ( AIRPLANE ?auto_15398 ) ( AT ?auto_15398 ?auto_15403 ) ( LOCATION ?auto_15406 ) ( AT ?auto_15398 ?auto_15406 ) ( TRUCK ?auto_15405 ) ( LOCATION ?auto_15400 ) ( CITY ?auto_15395 ) ( IN-CITY ?auto_15400 ?auto_15395 ) ( IN-CITY ?auto_15406 ?auto_15395 ) ( DIFFERENT ?auto_15406 ?auto_15400 ) ( IN ?auto_15393 ?auto_15405 ) ( LOCATION ?auto_15399 ) ( CITY ?auto_15407 ) ( IN-CITY ?auto_15399 ?auto_15407 ) ( IN-CITY ?auto_15400 ?auto_15407 ) ( DIFFERENT ?auto_15400 ?auto_15399 ) ( LOCATION ?auto_15412 ) ( CITY ?auto_15411 ) ( AT ?auto_15405 ?auto_15412 ) ( IN-CITY ?auto_15412 ?auto_15411 ) ( IN-CITY ?auto_15399 ?auto_15411 ) ( DIFFERENT ?auto_15399 ?auto_15412 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15405 ?auto_15412 ?auto_15399 ?auto_15411 )
      ( DELIVER-PKG ?auto_15393 ?auto_15394 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15433
      ?auto_15434
    )
    :vars
    (
      ?auto_15441
      ?auto_15447
      ?auto_15448
      ?auto_15451
      ?auto_15449
      ?auto_15439
      ?auto_15446
      ?auto_15436
      ?auto_15438
      ?auto_15450
      ?auto_15440
      ?auto_15445
      ?auto_15444
      ?auto_15443
      ?auto_15442
      ?auto_15454
      ?auto_15453
    )
    :precondition
    ( and ( OBJ ?auto_15433 ) ( LOCATION ?auto_15434 ) ( AIRPLANE ?auto_15441 ) ( AT ?auto_15441 ?auto_15434 ) ( LOCATION ?auto_15447 ) ( AT ?auto_15441 ?auto_15447 ) ( AIRPLANE ?auto_15448 ) ( AT ?auto_15448 ?auto_15447 ) ( LOCATION ?auto_15451 ) ( AT ?auto_15448 ?auto_15451 ) ( AIRPLANE ?auto_15449 ) ( AT ?auto_15449 ?auto_15451 ) ( LOCATION ?auto_15439 ) ( AT ?auto_15449 ?auto_15439 ) ( AIRPLANE ?auto_15446 ) ( AT ?auto_15446 ?auto_15439 ) ( LOCATION ?auto_15436 ) ( AT ?auto_15446 ?auto_15436 ) ( TRUCK ?auto_15438 ) ( LOCATION ?auto_15450 ) ( CITY ?auto_15440 ) ( IN-CITY ?auto_15450 ?auto_15440 ) ( IN-CITY ?auto_15436 ?auto_15440 ) ( DIFFERENT ?auto_15436 ?auto_15450 ) ( IN ?auto_15433 ?auto_15438 ) ( LOCATION ?auto_15445 ) ( CITY ?auto_15444 ) ( IN-CITY ?auto_15445 ?auto_15444 ) ( IN-CITY ?auto_15450 ?auto_15444 ) ( DIFFERENT ?auto_15450 ?auto_15445 ) ( LOCATION ?auto_15443 ) ( CITY ?auto_15442 ) ( IN-CITY ?auto_15443 ?auto_15442 ) ( IN-CITY ?auto_15445 ?auto_15442 ) ( DIFFERENT ?auto_15445 ?auto_15443 ) ( LOCATION ?auto_15454 ) ( CITY ?auto_15453 ) ( AT ?auto_15438 ?auto_15454 ) ( IN-CITY ?auto_15454 ?auto_15453 ) ( IN-CITY ?auto_15443 ?auto_15453 ) ( DIFFERENT ?auto_15443 ?auto_15454 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15438 ?auto_15454 ?auto_15443 ?auto_15453 )
      ( DELIVER-PKG ?auto_15433 ?auto_15434 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15519
      ?auto_15520
    )
    :vars
    (
      ?auto_15529
      ?auto_15523
      ?auto_15524
      ?auto_15532
      ?auto_15533
      ?auto_15535
      ?auto_15527
      ?auto_15538
      ?auto_15525
      ?auto_15534
      ?auto_15528
      ?auto_15526
      ?auto_15522
      ?auto_15521
      ?auto_15530
      ?auto_15539
      ?auto_15536
      ?auto_15542
      ?auto_15541
    )
    :precondition
    ( and ( OBJ ?auto_15519 ) ( LOCATION ?auto_15520 ) ( AIRPLANE ?auto_15529 ) ( AT ?auto_15529 ?auto_15520 ) ( LOCATION ?auto_15523 ) ( AT ?auto_15529 ?auto_15523 ) ( AIRPLANE ?auto_15524 ) ( AT ?auto_15524 ?auto_15523 ) ( LOCATION ?auto_15532 ) ( AT ?auto_15524 ?auto_15532 ) ( AIRPLANE ?auto_15533 ) ( AT ?auto_15533 ?auto_15532 ) ( LOCATION ?auto_15535 ) ( AT ?auto_15533 ?auto_15535 ) ( AIRPLANE ?auto_15527 ) ( AT ?auto_15527 ?auto_15535 ) ( LOCATION ?auto_15538 ) ( AT ?auto_15527 ?auto_15538 ) ( TRUCK ?auto_15525 ) ( LOCATION ?auto_15534 ) ( CITY ?auto_15528 ) ( IN-CITY ?auto_15534 ?auto_15528 ) ( IN-CITY ?auto_15538 ?auto_15528 ) ( DIFFERENT ?auto_15538 ?auto_15534 ) ( IN ?auto_15519 ?auto_15525 ) ( LOCATION ?auto_15526 ) ( CITY ?auto_15522 ) ( IN-CITY ?auto_15526 ?auto_15522 ) ( IN-CITY ?auto_15534 ?auto_15522 ) ( DIFFERENT ?auto_15534 ?auto_15526 ) ( LOCATION ?auto_15521 ) ( CITY ?auto_15530 ) ( IN-CITY ?auto_15521 ?auto_15530 ) ( IN-CITY ?auto_15526 ?auto_15530 ) ( DIFFERENT ?auto_15526 ?auto_15521 ) ( LOCATION ?auto_15539 ) ( CITY ?auto_15536 ) ( IN-CITY ?auto_15539 ?auto_15536 ) ( IN-CITY ?auto_15521 ?auto_15536 ) ( DIFFERENT ?auto_15521 ?auto_15539 ) ( LOCATION ?auto_15542 ) ( CITY ?auto_15541 ) ( AT ?auto_15525 ?auto_15542 ) ( IN-CITY ?auto_15542 ?auto_15541 ) ( IN-CITY ?auto_15539 ?auto_15541 ) ( DIFFERENT ?auto_15539 ?auto_15542 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15525 ?auto_15542 ?auto_15539 ?auto_15541 )
      ( DELIVER-PKG ?auto_15519 ?auto_15520 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15590
      ?auto_15591
    )
    :vars
    (
      ?auto_15603
      ?auto_15594
      ?auto_15597
      ?auto_15605
      ?auto_15606
      ?auto_15608
      ?auto_15601
      ?auto_15610
      ?auto_15595
      ?auto_15607
      ?auto_15602
      ?auto_15600
      ?auto_15593
      ?auto_15599
      ?auto_15604
      ?auto_15611
      ?auto_15609
      ?auto_15612
      ?auto_15592
      ?auto_15614
    )
    :precondition
    ( and ( OBJ ?auto_15590 ) ( LOCATION ?auto_15591 ) ( AIRPLANE ?auto_15603 ) ( AT ?auto_15603 ?auto_15591 ) ( LOCATION ?auto_15594 ) ( AT ?auto_15603 ?auto_15594 ) ( AIRPLANE ?auto_15597 ) ( AT ?auto_15597 ?auto_15594 ) ( LOCATION ?auto_15605 ) ( AT ?auto_15597 ?auto_15605 ) ( AIRPLANE ?auto_15606 ) ( AT ?auto_15606 ?auto_15605 ) ( LOCATION ?auto_15608 ) ( AT ?auto_15606 ?auto_15608 ) ( AIRPLANE ?auto_15601 ) ( AT ?auto_15601 ?auto_15608 ) ( LOCATION ?auto_15610 ) ( AT ?auto_15601 ?auto_15610 ) ( TRUCK ?auto_15595 ) ( LOCATION ?auto_15607 ) ( CITY ?auto_15602 ) ( IN-CITY ?auto_15607 ?auto_15602 ) ( IN-CITY ?auto_15610 ?auto_15602 ) ( DIFFERENT ?auto_15610 ?auto_15607 ) ( LOCATION ?auto_15600 ) ( CITY ?auto_15593 ) ( IN-CITY ?auto_15600 ?auto_15593 ) ( IN-CITY ?auto_15607 ?auto_15593 ) ( DIFFERENT ?auto_15607 ?auto_15600 ) ( LOCATION ?auto_15599 ) ( CITY ?auto_15604 ) ( IN-CITY ?auto_15599 ?auto_15604 ) ( IN-CITY ?auto_15600 ?auto_15604 ) ( DIFFERENT ?auto_15600 ?auto_15599 ) ( LOCATION ?auto_15611 ) ( CITY ?auto_15609 ) ( IN-CITY ?auto_15611 ?auto_15609 ) ( IN-CITY ?auto_15599 ?auto_15609 ) ( DIFFERENT ?auto_15599 ?auto_15611 ) ( LOCATION ?auto_15612 ) ( CITY ?auto_15592 ) ( AT ?auto_15595 ?auto_15612 ) ( IN-CITY ?auto_15612 ?auto_15592 ) ( IN-CITY ?auto_15611 ?auto_15592 ) ( DIFFERENT ?auto_15611 ?auto_15612 ) ( LOCATION ?auto_15614 ) ( AT ?auto_15595 ?auto_15614 ) ( AT ?auto_15590 ?auto_15614 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15590 ?auto_15595 ?auto_15614 )
      ( DELIVER-PKG ?auto_15590 ?auto_15591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15640
      ?auto_15641
    )
    :vars
    (
      ?auto_15654
      ?auto_15648
      ?auto_15649
      ?auto_15642
      ?auto_15643
      ?auto_15645
      ?auto_15652
      ?auto_15661
      ?auto_15650
      ?auto_15644
      ?auto_15653
      ?auto_15657
      ?auto_15646
      ?auto_15656
      ?auto_15655
      ?auto_15662
      ?auto_15660
      ?auto_15647
      ?auto_15659
      ?auto_15666
      ?auto_15665
    )
    :precondition
    ( and ( OBJ ?auto_15640 ) ( LOCATION ?auto_15641 ) ( AIRPLANE ?auto_15654 ) ( AT ?auto_15654 ?auto_15641 ) ( LOCATION ?auto_15648 ) ( AT ?auto_15654 ?auto_15648 ) ( AIRPLANE ?auto_15649 ) ( AT ?auto_15649 ?auto_15648 ) ( LOCATION ?auto_15642 ) ( AT ?auto_15649 ?auto_15642 ) ( AIRPLANE ?auto_15643 ) ( AT ?auto_15643 ?auto_15642 ) ( LOCATION ?auto_15645 ) ( AT ?auto_15643 ?auto_15645 ) ( AIRPLANE ?auto_15652 ) ( AT ?auto_15652 ?auto_15645 ) ( LOCATION ?auto_15661 ) ( AT ?auto_15652 ?auto_15661 ) ( TRUCK ?auto_15650 ) ( LOCATION ?auto_15644 ) ( CITY ?auto_15653 ) ( IN-CITY ?auto_15644 ?auto_15653 ) ( IN-CITY ?auto_15661 ?auto_15653 ) ( DIFFERENT ?auto_15661 ?auto_15644 ) ( LOCATION ?auto_15657 ) ( CITY ?auto_15646 ) ( IN-CITY ?auto_15657 ?auto_15646 ) ( IN-CITY ?auto_15644 ?auto_15646 ) ( DIFFERENT ?auto_15644 ?auto_15657 ) ( LOCATION ?auto_15656 ) ( CITY ?auto_15655 ) ( IN-CITY ?auto_15656 ?auto_15655 ) ( IN-CITY ?auto_15657 ?auto_15655 ) ( DIFFERENT ?auto_15657 ?auto_15656 ) ( LOCATION ?auto_15662 ) ( CITY ?auto_15660 ) ( IN-CITY ?auto_15662 ?auto_15660 ) ( IN-CITY ?auto_15656 ?auto_15660 ) ( DIFFERENT ?auto_15656 ?auto_15662 ) ( LOCATION ?auto_15647 ) ( CITY ?auto_15659 ) ( IN-CITY ?auto_15647 ?auto_15659 ) ( IN-CITY ?auto_15662 ?auto_15659 ) ( DIFFERENT ?auto_15662 ?auto_15647 ) ( AT ?auto_15640 ?auto_15647 ) ( LOCATION ?auto_15666 ) ( CITY ?auto_15665 ) ( AT ?auto_15650 ?auto_15666 ) ( IN-CITY ?auto_15666 ?auto_15665 ) ( IN-CITY ?auto_15647 ?auto_15665 ) ( DIFFERENT ?auto_15647 ?auto_15666 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15650 ?auto_15666 ?auto_15647 ?auto_15665 )
      ( DELIVER-PKG ?auto_15640 ?auto_15641 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15276
      ?auto_15277
    )
    :vars
    (
      ?auto_15281
      ?auto_15280
      ?auto_15279
      ?auto_15282
      ?auto_15283
      ?auto_15285
      ?auto_15288
    )
    :precondition
    ( and ( OBJ ?auto_15276 ) ( LOCATION ?auto_15277 ) ( AIRPLANE ?auto_15281 ) ( AT ?auto_15281 ?auto_15277 ) ( LOCATION ?auto_15280 ) ( AT ?auto_15281 ?auto_15280 ) ( AIRPLANE ?auto_15279 ) ( AT ?auto_15279 ?auto_15280 ) ( LOCATION ?auto_15282 ) ( AT ?auto_15279 ?auto_15282 ) ( AIRPLANE ?auto_15283 ) ( AT ?auto_15283 ?auto_15282 ) ( LOCATION ?auto_15285 ) ( AT ?auto_15283 ?auto_15285 ) ( AIRPLANE ?auto_15288 ) ( IN ?auto_15276 ?auto_15288 ) ( AT ?auto_15288 ?auto_15285 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15276 ?auto_15285 )
      ( DELIVER-PKG ?auto_15276 ?auto_15277 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17529
      ?auto_17530
    )
    :vars
    (
      ?auto_17534
      ?auto_17533
      ?auto_17541
      ?auto_17532
      ?auto_17544
      ?auto_17531
      ?auto_17537
      ?auto_17545
      ?auto_17543
      ?auto_17539
      ?auto_17536
      ?auto_17535
      ?auto_17548
      ?auto_17547
    )
    :precondition
    ( and ( OBJ ?auto_17529 ) ( LOCATION ?auto_17530 ) ( TRUCK ?auto_17534 ) ( LOCATION ?auto_17533 ) ( CITY ?auto_17541 ) ( AT ?auto_17534 ?auto_17533 ) ( IN-CITY ?auto_17533 ?auto_17541 ) ( IN-CITY ?auto_17530 ?auto_17541 ) ( DIFFERENT ?auto_17530 ?auto_17533 ) ( LOCATION ?auto_17532 ) ( AT ?auto_17534 ?auto_17532 ) ( AIRPLANE ?auto_17544 ) ( AIRPORT ?auto_17531 ) ( AIRPORT ?auto_17532 ) ( AT ?auto_17544 ?auto_17531 ) ( DIFFERENT ?auto_17532 ?auto_17531 ) ( LOCATION ?auto_17537 ) ( AT ?auto_17544 ?auto_17537 ) ( AIRPLANE ?auto_17545 ) ( AT ?auto_17545 ?auto_17537 ) ( LOCATION ?auto_17543 ) ( AT ?auto_17545 ?auto_17543 ) ( TRUCK ?auto_17539 ) ( LOCATION ?auto_17536 ) ( CITY ?auto_17535 ) ( IN-CITY ?auto_17536 ?auto_17535 ) ( IN-CITY ?auto_17543 ?auto_17535 ) ( DIFFERENT ?auto_17543 ?auto_17536 ) ( AT ?auto_17529 ?auto_17536 ) ( LOCATION ?auto_17548 ) ( CITY ?auto_17547 ) ( AT ?auto_17539 ?auto_17548 ) ( IN-CITY ?auto_17548 ?auto_17547 ) ( IN-CITY ?auto_17536 ?auto_17547 ) ( DIFFERENT ?auto_17536 ?auto_17548 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17539 ?auto_17548 ?auto_17536 ?auto_17547 )
      ( DELIVER-PKG ?auto_17529 ?auto_17530 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16943
      ?auto_16944
    )
    :vars
    (
      ?auto_16945
      ?auto_16954
      ?auto_16956
      ?auto_16952
      ?auto_16951
      ?auto_16953
      ?auto_16955
      ?auto_16946
      ?auto_16947
      ?auto_16957
      ?auto_16948
      ?auto_16961
      ?auto_16960
    )
    :precondition
    ( and ( OBJ ?auto_16943 ) ( LOCATION ?auto_16944 ) ( TRUCK ?auto_16945 ) ( LOCATION ?auto_16954 ) ( CITY ?auto_16956 ) ( AT ?auto_16945 ?auto_16954 ) ( IN-CITY ?auto_16954 ?auto_16956 ) ( IN-CITY ?auto_16944 ?auto_16956 ) ( DIFFERENT ?auto_16944 ?auto_16954 ) ( LOCATION ?auto_16952 ) ( AT ?auto_16945 ?auto_16952 ) ( AIRPLANE ?auto_16951 ) ( AIRPORT ?auto_16953 ) ( AIRPORT ?auto_16952 ) ( DIFFERENT ?auto_16952 ?auto_16953 ) ( LOCATION ?auto_16953 ) ( AIRPORT ?auto_16955 ) ( DIFFERENT ?auto_16953 ?auto_16955 ) ( AIRPORT ?auto_16946 ) ( AT ?auto_16951 ?auto_16946 ) ( DIFFERENT ?auto_16955 ?auto_16946 ) ( TRUCK ?auto_16947 ) ( LOCATION ?auto_16957 ) ( CITY ?auto_16948 ) ( IN-CITY ?auto_16957 ?auto_16948 ) ( IN-CITY ?auto_16953 ?auto_16948 ) ( DIFFERENT ?auto_16953 ?auto_16957 ) ( AT ?auto_16943 ?auto_16957 ) ( LOCATION ?auto_16961 ) ( CITY ?auto_16960 ) ( AT ?auto_16947 ?auto_16961 ) ( IN-CITY ?auto_16961 ?auto_16960 ) ( IN-CITY ?auto_16957 ?auto_16960 ) ( DIFFERENT ?auto_16957 ?auto_16961 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16947 ?auto_16961 ?auto_16957 ?auto_16960 )
      ( DELIVER-PKG ?auto_16943 ?auto_16944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17117
      ?auto_17118
    )
    :vars
    (
      ?auto_17119
      ?auto_17120
      ?auto_17122
      ?auto_17124
      ?auto_17125
      ?auto_17129
      ?auto_17128
    )
    :precondition
    ( and ( OBJ ?auto_17117 ) ( LOCATION ?auto_17118 ) ( AIRPLANE ?auto_17119 ) ( AT ?auto_17119 ?auto_17118 ) ( LOCATION ?auto_17120 ) ( AT ?auto_17119 ?auto_17120 ) ( TRUCK ?auto_17122 ) ( LOCATION ?auto_17124 ) ( CITY ?auto_17125 ) ( IN-CITY ?auto_17124 ?auto_17125 ) ( IN-CITY ?auto_17120 ?auto_17125 ) ( DIFFERENT ?auto_17120 ?auto_17124 ) ( AT ?auto_17117 ?auto_17124 ) ( LOCATION ?auto_17129 ) ( CITY ?auto_17128 ) ( AT ?auto_17122 ?auto_17129 ) ( IN-CITY ?auto_17129 ?auto_17128 ) ( IN-CITY ?auto_17124 ?auto_17128 ) ( DIFFERENT ?auto_17124 ?auto_17129 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17122 ?auto_17129 ?auto_17124 ?auto_17128 )
      ( DELIVER-PKG ?auto_17117 ?auto_17118 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17444
      ?auto_17445
    )
    :vars
    (
      ?auto_17447
      ?auto_17451
      ?auto_17452
      ?auto_17455
      ?auto_17453
      ?auto_17446
      ?auto_17454
      ?auto_17450
      ?auto_17457
    )
    :precondition
    ( and ( OBJ ?auto_17444 ) ( LOCATION ?auto_17445 ) ( TRUCK ?auto_17447 ) ( LOCATION ?auto_17451 ) ( CITY ?auto_17452 ) ( AT ?auto_17447 ?auto_17451 ) ( IN-CITY ?auto_17451 ?auto_17452 ) ( IN-CITY ?auto_17445 ?auto_17452 ) ( DIFFERENT ?auto_17445 ?auto_17451 ) ( LOCATION ?auto_17455 ) ( AT ?auto_17447 ?auto_17455 ) ( AIRPLANE ?auto_17453 ) ( AIRPORT ?auto_17446 ) ( AIRPORT ?auto_17455 ) ( AT ?auto_17453 ?auto_17446 ) ( DIFFERENT ?auto_17455 ?auto_17446 ) ( LOCATION ?auto_17454 ) ( AT ?auto_17453 ?auto_17454 ) ( AIRPLANE ?auto_17450 ) ( AT ?auto_17450 ?auto_17454 ) ( LOCATION ?auto_17457 ) ( AT ?auto_17444 ?auto_17457 ) ( AT ?auto_17450 ?auto_17457 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_17444 ?auto_17450 ?auto_17457 )
      ( DELIVER-PKG ?auto_17444 ?auto_17445 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17459
      ?auto_17460
    )
    :vars
    (
      ?auto_17471
      ?auto_17469
      ?auto_17470
      ?auto_17461
      ?auto_17463
      ?auto_17468
      ?auto_17467
      ?auto_17464
      ?auto_17466
      ?auto_17474
    )
    :precondition
    ( and ( OBJ ?auto_17459 ) ( LOCATION ?auto_17460 ) ( TRUCK ?auto_17471 ) ( LOCATION ?auto_17469 ) ( CITY ?auto_17470 ) ( AT ?auto_17471 ?auto_17469 ) ( IN-CITY ?auto_17469 ?auto_17470 ) ( IN-CITY ?auto_17460 ?auto_17470 ) ( DIFFERENT ?auto_17460 ?auto_17469 ) ( LOCATION ?auto_17461 ) ( AT ?auto_17471 ?auto_17461 ) ( AIRPLANE ?auto_17463 ) ( AIRPORT ?auto_17468 ) ( AIRPORT ?auto_17461 ) ( AT ?auto_17463 ?auto_17468 ) ( DIFFERENT ?auto_17461 ?auto_17468 ) ( LOCATION ?auto_17467 ) ( AT ?auto_17463 ?auto_17467 ) ( AIRPLANE ?auto_17464 ) ( AT ?auto_17464 ?auto_17467 ) ( LOCATION ?auto_17466 ) ( AT ?auto_17464 ?auto_17466 ) ( TRUCK ?auto_17474 ) ( AT ?auto_17474 ?auto_17466 ) ( IN ?auto_17459 ?auto_17474 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17459 ?auto_17466 )
      ( DELIVER-PKG ?auto_17459 ?auto_17460 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17475
      ?auto_17476
    )
    :vars
    (
      ?auto_17480
      ?auto_17478
      ?auto_17477
      ?auto_17485
      ?auto_17486
      ?auto_17487
      ?auto_17481
      ?auto_17488
      ?auto_17483
      ?auto_17479
      ?auto_17491
      ?auto_17490
    )
    :precondition
    ( and ( OBJ ?auto_17475 ) ( LOCATION ?auto_17476 ) ( TRUCK ?auto_17480 ) ( LOCATION ?auto_17478 ) ( CITY ?auto_17477 ) ( AT ?auto_17480 ?auto_17478 ) ( IN-CITY ?auto_17478 ?auto_17477 ) ( IN-CITY ?auto_17476 ?auto_17477 ) ( DIFFERENT ?auto_17476 ?auto_17478 ) ( LOCATION ?auto_17485 ) ( AT ?auto_17480 ?auto_17485 ) ( AIRPLANE ?auto_17486 ) ( AIRPORT ?auto_17487 ) ( AIRPORT ?auto_17485 ) ( AT ?auto_17486 ?auto_17487 ) ( DIFFERENT ?auto_17485 ?auto_17487 ) ( LOCATION ?auto_17481 ) ( AT ?auto_17486 ?auto_17481 ) ( AIRPLANE ?auto_17488 ) ( AT ?auto_17488 ?auto_17481 ) ( LOCATION ?auto_17483 ) ( AT ?auto_17488 ?auto_17483 ) ( TRUCK ?auto_17479 ) ( IN ?auto_17475 ?auto_17479 ) ( LOCATION ?auto_17491 ) ( CITY ?auto_17490 ) ( AT ?auto_17479 ?auto_17491 ) ( IN-CITY ?auto_17491 ?auto_17490 ) ( IN-CITY ?auto_17483 ?auto_17490 ) ( DIFFERENT ?auto_17483 ?auto_17491 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17479 ?auto_17491 ?auto_17483 ?auto_17490 )
      ( DELIVER-PKG ?auto_17475 ?auto_17476 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17493
      ?auto_17494
    )
    :vars
    (
      ?auto_17508
      ?auto_17506
      ?auto_17500
      ?auto_17501
      ?auto_17498
      ?auto_17502
      ?auto_17495
      ?auto_17499
      ?auto_17505
      ?auto_17507
      ?auto_17497
      ?auto_17496
      ?auto_17510
    )
    :precondition
    ( and ( OBJ ?auto_17493 ) ( LOCATION ?auto_17494 ) ( TRUCK ?auto_17508 ) ( LOCATION ?auto_17506 ) ( CITY ?auto_17500 ) ( AT ?auto_17508 ?auto_17506 ) ( IN-CITY ?auto_17506 ?auto_17500 ) ( IN-CITY ?auto_17494 ?auto_17500 ) ( DIFFERENT ?auto_17494 ?auto_17506 ) ( LOCATION ?auto_17501 ) ( AT ?auto_17508 ?auto_17501 ) ( AIRPLANE ?auto_17498 ) ( AIRPORT ?auto_17502 ) ( AIRPORT ?auto_17501 ) ( AT ?auto_17498 ?auto_17502 ) ( DIFFERENT ?auto_17501 ?auto_17502 ) ( LOCATION ?auto_17495 ) ( AT ?auto_17498 ?auto_17495 ) ( AIRPLANE ?auto_17499 ) ( AT ?auto_17499 ?auto_17495 ) ( LOCATION ?auto_17505 ) ( AT ?auto_17499 ?auto_17505 ) ( TRUCK ?auto_17507 ) ( LOCATION ?auto_17497 ) ( CITY ?auto_17496 ) ( AT ?auto_17507 ?auto_17497 ) ( IN-CITY ?auto_17497 ?auto_17496 ) ( IN-CITY ?auto_17505 ?auto_17496 ) ( DIFFERENT ?auto_17505 ?auto_17497 ) ( LOCATION ?auto_17510 ) ( AT ?auto_17507 ?auto_17510 ) ( AT ?auto_17493 ?auto_17510 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17493 ?auto_17507 ?auto_17510 )
      ( DELIVER-PKG ?auto_17493 ?auto_17494 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18485
      ?auto_18486
    )
    :vars
    (
      ?auto_18493
      ?auto_18487
      ?auto_18492
      ?auto_18495
      ?auto_18489
      ?auto_18491
      ?auto_18494
      ?auto_18499
      ?auto_18490
      ?auto_18498
      ?auto_18497
      ?auto_18502
    )
    :precondition
    ( and ( OBJ ?auto_18485 ) ( LOCATION ?auto_18486 ) ( TRUCK ?auto_18493 ) ( LOCATION ?auto_18487 ) ( CITY ?auto_18492 ) ( AT ?auto_18493 ?auto_18487 ) ( IN-CITY ?auto_18487 ?auto_18492 ) ( IN-CITY ?auto_18486 ?auto_18492 ) ( DIFFERENT ?auto_18486 ?auto_18487 ) ( LOCATION ?auto_18495 ) ( AT ?auto_18493 ?auto_18495 ) ( AIRPLANE ?auto_18489 ) ( AIRPORT ?auto_18491 ) ( AIRPORT ?auto_18495 ) ( DIFFERENT ?auto_18495 ?auto_18491 ) ( LOCATION ?auto_18491 ) ( TRUCK ?auto_18494 ) ( LOCATION ?auto_18499 ) ( CITY ?auto_18490 ) ( IN-CITY ?auto_18499 ?auto_18490 ) ( IN-CITY ?auto_18491 ?auto_18490 ) ( DIFFERENT ?auto_18491 ?auto_18499 ) ( AT ?auto_18485 ?auto_18499 ) ( LOCATION ?auto_18498 ) ( CITY ?auto_18497 ) ( AT ?auto_18494 ?auto_18498 ) ( IN-CITY ?auto_18498 ?auto_18497 ) ( IN-CITY ?auto_18499 ?auto_18497 ) ( DIFFERENT ?auto_18499 ?auto_18498 ) ( AIRPORT ?auto_18502 ) ( AT ?auto_18489 ?auto_18502 ) ( DIFFERENT ?auto_18491 ?auto_18502 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18489 ?auto_18502 ?auto_18491 )
      ( DELIVER-PKG ?auto_18485 ?auto_18486 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18600
      ?auto_18601
    )
    :vars
    (
      ?auto_18607
      ?auto_18609
      ?auto_18604
      ?auto_18614
      ?auto_18603
      ?auto_18608
      ?auto_18612
      ?auto_18602
      ?auto_18611
      ?auto_18610
      ?auto_18613
      ?auto_18618
      ?auto_18617
    )
    :precondition
    ( and ( OBJ ?auto_18600 ) ( LOCATION ?auto_18601 ) ( TRUCK ?auto_18607 ) ( LOCATION ?auto_18609 ) ( CITY ?auto_18604 ) ( IN-CITY ?auto_18609 ?auto_18604 ) ( IN-CITY ?auto_18601 ?auto_18604 ) ( DIFFERENT ?auto_18601 ?auto_18609 ) ( AIRPLANE ?auto_18614 ) ( AIRPORT ?auto_18603 ) ( AIRPORT ?auto_18609 ) ( DIFFERENT ?auto_18609 ?auto_18603 ) ( LOCATION ?auto_18603 ) ( TRUCK ?auto_18608 ) ( LOCATION ?auto_18612 ) ( CITY ?auto_18602 ) ( IN-CITY ?auto_18612 ?auto_18602 ) ( IN-CITY ?auto_18603 ?auto_18602 ) ( DIFFERENT ?auto_18603 ?auto_18612 ) ( AT ?auto_18600 ?auto_18612 ) ( LOCATION ?auto_18611 ) ( CITY ?auto_18610 ) ( AT ?auto_18608 ?auto_18611 ) ( IN-CITY ?auto_18611 ?auto_18610 ) ( IN-CITY ?auto_18612 ?auto_18610 ) ( DIFFERENT ?auto_18612 ?auto_18611 ) ( AIRPORT ?auto_18613 ) ( AT ?auto_18614 ?auto_18613 ) ( DIFFERENT ?auto_18603 ?auto_18613 ) ( LOCATION ?auto_18618 ) ( CITY ?auto_18617 ) ( AT ?auto_18607 ?auto_18618 ) ( IN-CITY ?auto_18618 ?auto_18617 ) ( IN-CITY ?auto_18609 ?auto_18617 ) ( DIFFERENT ?auto_18609 ?auto_18618 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18607 ?auto_18618 ?auto_18609 ?auto_18617 )
      ( DELIVER-PKG ?auto_18600 ?auto_18601 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19235
      ?auto_19236
    )
    :vars
    (
      ?auto_19252
      ?auto_19251
      ?auto_19250
      ?auto_19239
      ?auto_19241
      ?auto_19244
      ?auto_19246
      ?auto_19242
      ?auto_19248
      ?auto_19249
      ?auto_19247
      ?auto_19240
      ?auto_19243
      ?auto_19255
      ?auto_19254
    )
    :precondition
    ( and ( OBJ ?auto_19235 ) ( LOCATION ?auto_19236 ) ( TRUCK ?auto_19252 ) ( LOCATION ?auto_19251 ) ( CITY ?auto_19250 ) ( IN-CITY ?auto_19251 ?auto_19250 ) ( IN-CITY ?auto_19236 ?auto_19250 ) ( DIFFERENT ?auto_19236 ?auto_19251 ) ( LOCATION ?auto_19239 ) ( CITY ?auto_19241 ) ( IN-CITY ?auto_19239 ?auto_19241 ) ( IN-CITY ?auto_19251 ?auto_19241 ) ( DIFFERENT ?auto_19251 ?auto_19239 ) ( AIRPLANE ?auto_19244 ) ( AIRPORT ?auto_19246 ) ( AIRPORT ?auto_19239 ) ( DIFFERENT ?auto_19239 ?auto_19246 ) ( LOCATION ?auto_19246 ) ( TRUCK ?auto_19242 ) ( LOCATION ?auto_19248 ) ( CITY ?auto_19249 ) ( IN-CITY ?auto_19248 ?auto_19249 ) ( IN-CITY ?auto_19246 ?auto_19249 ) ( DIFFERENT ?auto_19246 ?auto_19248 ) ( AT ?auto_19235 ?auto_19248 ) ( LOCATION ?auto_19247 ) ( CITY ?auto_19240 ) ( AT ?auto_19242 ?auto_19247 ) ( IN-CITY ?auto_19247 ?auto_19240 ) ( IN-CITY ?auto_19248 ?auto_19240 ) ( DIFFERENT ?auto_19248 ?auto_19247 ) ( AIRPORT ?auto_19243 ) ( AT ?auto_19244 ?auto_19243 ) ( DIFFERENT ?auto_19246 ?auto_19243 ) ( LOCATION ?auto_19255 ) ( CITY ?auto_19254 ) ( AT ?auto_19252 ?auto_19255 ) ( IN-CITY ?auto_19255 ?auto_19254 ) ( IN-CITY ?auto_19239 ?auto_19254 ) ( DIFFERENT ?auto_19239 ?auto_19255 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19252 ?auto_19255 ?auto_19239 ?auto_19254 )
      ( DELIVER-PKG ?auto_19235 ?auto_19236 ) )
  )

)

