( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_163
      ?auto_164
    )
    :vars
    (
      ?auto_167
    )
    :precondition
    ( and ( OBJ ?auto_163 ) ( LOCATION ?auto_164 ) ( TRUCK ?auto_167 ) ( AT ?auto_167 ?auto_164 ) ( IN ?auto_163 ?auto_167 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_163 ?auto_167 ?auto_164 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_168
      ?auto_169
    )
    :vars
    (
      ?auto_172
      ?auto_175
      ?auto_174
    )
    :precondition
    ( and ( OBJ ?auto_168 ) ( LOCATION ?auto_169 ) ( TRUCK ?auto_172 ) ( IN ?auto_168 ?auto_172 ) ( LOCATION ?auto_175 ) ( CITY ?auto_174 ) ( AT ?auto_172 ?auto_175 ) ( IN-CITY ?auto_175 ?auto_174 ) ( IN-CITY ?auto_169 ?auto_174 ) ( DIFFERENT ?auto_169 ?auto_175 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_172 ?auto_175 ?auto_169 ?auto_174 )
      ( DELIVER-PKG ?auto_168 ?auto_169 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_177
      ?auto_178
    )
    :vars
    (
      ?auto_180
      ?auto_183
      ?auto_182
      ?auto_186
      ?auto_185
    )
    :precondition
    ( and ( OBJ ?auto_177 ) ( LOCATION ?auto_178 ) ( TRUCK ?auto_180 ) ( IN ?auto_177 ?auto_180 ) ( LOCATION ?auto_183 ) ( CITY ?auto_182 ) ( IN-CITY ?auto_183 ?auto_182 ) ( IN-CITY ?auto_178 ?auto_182 ) ( DIFFERENT ?auto_178 ?auto_183 ) ( LOCATION ?auto_186 ) ( CITY ?auto_185 ) ( AT ?auto_180 ?auto_186 ) ( IN-CITY ?auto_186 ?auto_185 ) ( IN-CITY ?auto_183 ?auto_185 ) ( DIFFERENT ?auto_183 ?auto_186 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_180 ?auto_186 ?auto_183 ?auto_185 )
      ( DELIVER-PKG ?auto_177 ?auto_178 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_188
      ?auto_189
    )
    :vars
    (
      ?auto_195
      ?auto_194
      ?auto_191
      ?auto_196
      ?auto_193
      ?auto_198
    )
    :precondition
    ( and ( OBJ ?auto_188 ) ( LOCATION ?auto_189 ) ( TRUCK ?auto_195 ) ( LOCATION ?auto_194 ) ( CITY ?auto_191 ) ( IN-CITY ?auto_194 ?auto_191 ) ( IN-CITY ?auto_189 ?auto_191 ) ( DIFFERENT ?auto_189 ?auto_194 ) ( LOCATION ?auto_196 ) ( CITY ?auto_193 ) ( AT ?auto_195 ?auto_196 ) ( IN-CITY ?auto_196 ?auto_193 ) ( IN-CITY ?auto_194 ?auto_193 ) ( DIFFERENT ?auto_194 ?auto_196 ) ( LOCATION ?auto_198 ) ( AT ?auto_195 ?auto_198 ) ( AT ?auto_188 ?auto_198 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_188 ?auto_195 ?auto_198 )
      ( DELIVER-PKG ?auto_188 ?auto_189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_220
      ?auto_221
    )
    :vars
    (
      ?auto_226
      ?auto_222
      ?auto_227
      ?auto_225
      ?auto_223
      ?auto_232
      ?auto_231
    )
    :precondition
    ( and ( OBJ ?auto_220 ) ( LOCATION ?auto_221 ) ( TRUCK ?auto_226 ) ( LOCATION ?auto_222 ) ( CITY ?auto_227 ) ( IN-CITY ?auto_222 ?auto_227 ) ( IN-CITY ?auto_221 ?auto_227 ) ( DIFFERENT ?auto_221 ?auto_222 ) ( LOCATION ?auto_225 ) ( CITY ?auto_223 ) ( IN-CITY ?auto_225 ?auto_223 ) ( IN-CITY ?auto_222 ?auto_223 ) ( DIFFERENT ?auto_222 ?auto_225 ) ( AT ?auto_220 ?auto_225 ) ( LOCATION ?auto_232 ) ( CITY ?auto_231 ) ( AT ?auto_226 ?auto_232 ) ( IN-CITY ?auto_232 ?auto_231 ) ( IN-CITY ?auto_225 ?auto_231 ) ( DIFFERENT ?auto_225 ?auto_232 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_226 ?auto_232 ?auto_225 ?auto_231 )
      ( DELIVER-PKG ?auto_220 ?auto_221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_473
      ?auto_474
    )
    :vars
    (
      ?auto_477
    )
    :precondition
    ( and ( OBJ ?auto_473 ) ( LOCATION ?auto_474 ) ( AIRPLANE ?auto_477 ) ( IN ?auto_473 ?auto_477 ) ( AT ?auto_477 ?auto_474 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_473 ?auto_477 ?auto_474 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_483
      ?auto_484
    )
    :vars
    (
      ?auto_487
      ?auto_489
    )
    :precondition
    ( and ( OBJ ?auto_483 ) ( LOCATION ?auto_484 ) ( AIRPLANE ?auto_487 ) ( IN ?auto_483 ?auto_487 ) ( AIRPORT ?auto_489 ) ( AIRPORT ?auto_484 ) ( AT ?auto_487 ?auto_489 ) ( DIFFERENT ?auto_484 ?auto_489 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_487 ?auto_489 ?auto_484 )
      ( DELIVER-PKG ?auto_483 ?auto_484 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_497
      ?auto_498
    )
    :vars
    (
      ?auto_500
      ?auto_502
      ?auto_504
    )
    :precondition
    ( and ( OBJ ?auto_497 ) ( LOCATION ?auto_498 ) ( AIRPLANE ?auto_500 ) ( AIRPORT ?auto_502 ) ( AIRPORT ?auto_498 ) ( AT ?auto_500 ?auto_502 ) ( DIFFERENT ?auto_498 ?auto_502 ) ( LOCATION ?auto_504 ) ( AT ?auto_497 ?auto_504 ) ( AT ?auto_500 ?auto_504 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_497 ?auto_500 ?auto_504 )
      ( DELIVER-PKG ?auto_497 ?auto_498 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21460
      ?auto_21461
    )
    :vars
    (
      ?auto_21463
      ?auto_21467
      ?auto_21465
      ?auto_21464
      ?auto_21462
      ?auto_21470
    )
    :precondition
    ( and ( OBJ ?auto_21460 ) ( LOCATION ?auto_21461 ) ( AIRPLANE ?auto_21463 ) ( AIRPORT ?auto_21467 ) ( AIRPORT ?auto_21461 ) ( AT ?auto_21463 ?auto_21467 ) ( DIFFERENT ?auto_21461 ?auto_21467 ) ( LOCATION ?auto_21465 ) ( AT ?auto_21463 ?auto_21465 ) ( TRUCK ?auto_21464 ) ( AT ?auto_21464 ?auto_21465 ) ( LOCATION ?auto_21462 ) ( AT ?auto_21464 ?auto_21462 ) ( TRUCK ?auto_21470 ) ( AT ?auto_21470 ?auto_21462 ) ( IN ?auto_21460 ?auto_21470 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21460 ?auto_21462 )
      ( DELIVER-PKG ?auto_21460 ?auto_21461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_524
      ?auto_525
    )
    :vars
    (
      ?auto_530
      ?auto_531
      ?auto_526
      ?auto_529
      ?auto_534
      ?auto_533
    )
    :precondition
    ( and ( OBJ ?auto_524 ) ( LOCATION ?auto_525 ) ( AIRPLANE ?auto_530 ) ( AIRPORT ?auto_531 ) ( AIRPORT ?auto_525 ) ( AT ?auto_530 ?auto_531 ) ( DIFFERENT ?auto_525 ?auto_531 ) ( LOCATION ?auto_526 ) ( AT ?auto_530 ?auto_526 ) ( TRUCK ?auto_529 ) ( IN ?auto_524 ?auto_529 ) ( LOCATION ?auto_534 ) ( CITY ?auto_533 ) ( AT ?auto_529 ?auto_534 ) ( IN-CITY ?auto_534 ?auto_533 ) ( IN-CITY ?auto_526 ?auto_533 ) ( DIFFERENT ?auto_526 ?auto_534 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_529 ?auto_534 ?auto_526 ?auto_533 )
      ( DELIVER-PKG ?auto_524 ?auto_525 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_536
      ?auto_537
    )
    :vars
    (
      ?auto_539
      ?auto_540
      ?auto_543
      ?auto_541
      ?auto_545
      ?auto_544
      ?auto_548
      ?auto_547
    )
    :precondition
    ( and ( OBJ ?auto_536 ) ( LOCATION ?auto_537 ) ( AIRPLANE ?auto_539 ) ( AIRPORT ?auto_540 ) ( AIRPORT ?auto_537 ) ( AT ?auto_539 ?auto_540 ) ( DIFFERENT ?auto_537 ?auto_540 ) ( LOCATION ?auto_543 ) ( AT ?auto_539 ?auto_543 ) ( TRUCK ?auto_541 ) ( IN ?auto_536 ?auto_541 ) ( LOCATION ?auto_545 ) ( CITY ?auto_544 ) ( IN-CITY ?auto_545 ?auto_544 ) ( IN-CITY ?auto_543 ?auto_544 ) ( DIFFERENT ?auto_543 ?auto_545 ) ( LOCATION ?auto_548 ) ( CITY ?auto_547 ) ( AT ?auto_541 ?auto_548 ) ( IN-CITY ?auto_548 ?auto_547 ) ( IN-CITY ?auto_545 ?auto_547 ) ( DIFFERENT ?auto_545 ?auto_548 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_541 ?auto_548 ?auto_545 ?auto_547 )
      ( DELIVER-PKG ?auto_536 ?auto_537 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_562
      ?auto_563
    )
    :vars
    (
      ?auto_573
      ?auto_571
      ?auto_568
      ?auto_572
      ?auto_565
      ?auto_566
      ?auto_570
      ?auto_569
      ?auto_575
    )
    :precondition
    ( and ( OBJ ?auto_562 ) ( LOCATION ?auto_563 ) ( AIRPLANE ?auto_573 ) ( AIRPORT ?auto_571 ) ( AIRPORT ?auto_563 ) ( AT ?auto_573 ?auto_571 ) ( DIFFERENT ?auto_563 ?auto_571 ) ( LOCATION ?auto_568 ) ( AT ?auto_573 ?auto_568 ) ( TRUCK ?auto_572 ) ( LOCATION ?auto_565 ) ( CITY ?auto_566 ) ( IN-CITY ?auto_565 ?auto_566 ) ( IN-CITY ?auto_568 ?auto_566 ) ( DIFFERENT ?auto_568 ?auto_565 ) ( LOCATION ?auto_570 ) ( CITY ?auto_569 ) ( AT ?auto_572 ?auto_570 ) ( IN-CITY ?auto_570 ?auto_569 ) ( IN-CITY ?auto_565 ?auto_569 ) ( DIFFERENT ?auto_565 ?auto_570 ) ( LOCATION ?auto_575 ) ( AT ?auto_572 ?auto_575 ) ( AT ?auto_562 ?auto_575 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_562 ?auto_572 ?auto_575 )
      ( DELIVER-PKG ?auto_562 ?auto_563 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_590
      ?auto_591
    )
    :vars
    (
      ?auto_592
      ?auto_598
      ?auto_594
      ?auto_600
      ?auto_595
      ?auto_593
      ?auto_602
      ?auto_599
      ?auto_605
      ?auto_604
    )
    :precondition
    ( and ( OBJ ?auto_590 ) ( LOCATION ?auto_591 ) ( AIRPLANE ?auto_592 ) ( AIRPORT ?auto_598 ) ( AIRPORT ?auto_591 ) ( AT ?auto_592 ?auto_598 ) ( DIFFERENT ?auto_591 ?auto_598 ) ( LOCATION ?auto_594 ) ( AT ?auto_592 ?auto_594 ) ( TRUCK ?auto_600 ) ( LOCATION ?auto_595 ) ( CITY ?auto_593 ) ( IN-CITY ?auto_595 ?auto_593 ) ( IN-CITY ?auto_594 ?auto_593 ) ( DIFFERENT ?auto_594 ?auto_595 ) ( LOCATION ?auto_602 ) ( CITY ?auto_599 ) ( IN-CITY ?auto_602 ?auto_599 ) ( IN-CITY ?auto_595 ?auto_599 ) ( DIFFERENT ?auto_595 ?auto_602 ) ( AT ?auto_590 ?auto_602 ) ( LOCATION ?auto_605 ) ( CITY ?auto_604 ) ( AT ?auto_600 ?auto_605 ) ( IN-CITY ?auto_605 ?auto_604 ) ( IN-CITY ?auto_602 ?auto_604 ) ( DIFFERENT ?auto_602 ?auto_605 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_600 ?auto_605 ?auto_602 ?auto_604 )
      ( DELIVER-PKG ?auto_590 ?auto_591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_734
      ?auto_735
    )
    :vars
    (
      ?auto_743
      ?auto_740
      ?auto_746
      ?auto_744
      ?auto_738
      ?auto_745
      ?auto_737
      ?auto_742
      ?auto_748
    )
    :precondition
    ( and ( OBJ ?auto_734 ) ( LOCATION ?auto_735 ) ( AIRPLANE ?auto_743 ) ( AIRPORT ?auto_740 ) ( AIRPORT ?auto_735 ) ( DIFFERENT ?auto_735 ?auto_740 ) ( LOCATION ?auto_740 ) ( TRUCK ?auto_746 ) ( LOCATION ?auto_744 ) ( CITY ?auto_738 ) ( IN-CITY ?auto_744 ?auto_738 ) ( IN-CITY ?auto_740 ?auto_738 ) ( DIFFERENT ?auto_740 ?auto_744 ) ( LOCATION ?auto_745 ) ( CITY ?auto_737 ) ( AT ?auto_746 ?auto_745 ) ( IN-CITY ?auto_745 ?auto_737 ) ( IN-CITY ?auto_744 ?auto_737 ) ( DIFFERENT ?auto_744 ?auto_745 ) ( LOCATION ?auto_742 ) ( AT ?auto_746 ?auto_742 ) ( AT ?auto_734 ?auto_742 ) ( AIRPORT ?auto_748 ) ( AT ?auto_743 ?auto_748 ) ( DIFFERENT ?auto_740 ?auto_748 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_743 ?auto_748 ?auto_740 )
      ( DELIVER-PKG ?auto_734 ?auto_735 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_750
      ?auto_751
    )
    :vars
    (
      ?auto_759
      ?auto_757
      ?auto_753
      ?auto_760
      ?auto_754
      ?auto_758
      ?auto_761
      ?auto_755
      ?auto_765
      ?auto_764
    )
    :precondition
    ( and ( OBJ ?auto_750 ) ( LOCATION ?auto_751 ) ( AIRPLANE ?auto_759 ) ( AIRPORT ?auto_757 ) ( AIRPORT ?auto_751 ) ( DIFFERENT ?auto_751 ?auto_757 ) ( LOCATION ?auto_757 ) ( TRUCK ?auto_753 ) ( LOCATION ?auto_760 ) ( CITY ?auto_754 ) ( IN-CITY ?auto_760 ?auto_754 ) ( IN-CITY ?auto_757 ?auto_754 ) ( DIFFERENT ?auto_757 ?auto_760 ) ( LOCATION ?auto_758 ) ( CITY ?auto_761 ) ( IN-CITY ?auto_758 ?auto_761 ) ( IN-CITY ?auto_760 ?auto_761 ) ( DIFFERENT ?auto_760 ?auto_758 ) ( AT ?auto_750 ?auto_758 ) ( AIRPORT ?auto_755 ) ( AT ?auto_759 ?auto_755 ) ( DIFFERENT ?auto_757 ?auto_755 ) ( LOCATION ?auto_765 ) ( CITY ?auto_764 ) ( AT ?auto_753 ?auto_765 ) ( IN-CITY ?auto_765 ?auto_764 ) ( IN-CITY ?auto_758 ?auto_764 ) ( DIFFERENT ?auto_758 ?auto_765 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_753 ?auto_765 ?auto_758 ?auto_764 )
      ( DELIVER-PKG ?auto_750 ?auto_751 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_905
      ?auto_906
    )
    :vars
    (
      ?auto_907
      ?auto_909
      ?auto_910
      ?auto_913
    )
    :precondition
    ( and ( OBJ ?auto_905 ) ( LOCATION ?auto_906 ) ( TRUCK ?auto_907 ) ( LOCATION ?auto_909 ) ( CITY ?auto_910 ) ( AT ?auto_907 ?auto_909 ) ( IN-CITY ?auto_909 ?auto_910 ) ( IN-CITY ?auto_906 ?auto_910 ) ( DIFFERENT ?auto_906 ?auto_909 ) ( LOCATION ?auto_913 ) ( AT ?auto_907 ?auto_913 ) ( AT ?auto_905 ?auto_913 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_905 ?auto_907 ?auto_913 )
      ( DELIVER-PKG ?auto_905 ?auto_906 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_923
      ?auto_924
    )
    :vars
    (
      ?auto_926
      ?auto_929
      ?auto_925
      ?auto_927
      ?auto_933
    )
    :precondition
    ( and ( OBJ ?auto_923 ) ( LOCATION ?auto_924 ) ( TRUCK ?auto_926 ) ( LOCATION ?auto_929 ) ( CITY ?auto_925 ) ( AT ?auto_926 ?auto_929 ) ( IN-CITY ?auto_929 ?auto_925 ) ( IN-CITY ?auto_924 ?auto_925 ) ( DIFFERENT ?auto_924 ?auto_929 ) ( LOCATION ?auto_927 ) ( AT ?auto_926 ?auto_927 ) ( AIRPLANE ?auto_933 ) ( IN ?auto_923 ?auto_933 ) ( AT ?auto_933 ?auto_927 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_923 ?auto_927 )
      ( DELIVER-PKG ?auto_923 ?auto_924 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_943
      ?auto_944
    )
    :vars
    (
      ?auto_946
      ?auto_948
      ?auto_950
      ?auto_945
      ?auto_951
      ?auto_953
    )
    :precondition
    ( and ( OBJ ?auto_943 ) ( LOCATION ?auto_944 ) ( TRUCK ?auto_946 ) ( LOCATION ?auto_948 ) ( CITY ?auto_950 ) ( AT ?auto_946 ?auto_948 ) ( IN-CITY ?auto_948 ?auto_950 ) ( IN-CITY ?auto_944 ?auto_950 ) ( DIFFERENT ?auto_944 ?auto_948 ) ( LOCATION ?auto_945 ) ( AT ?auto_946 ?auto_945 ) ( AIRPLANE ?auto_951 ) ( IN ?auto_943 ?auto_951 ) ( AIRPORT ?auto_953 ) ( AIRPORT ?auto_945 ) ( AT ?auto_951 ?auto_953 ) ( DIFFERENT ?auto_945 ?auto_953 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_951 ?auto_953 ?auto_945 )
      ( DELIVER-PKG ?auto_943 ?auto_944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_965
      ?auto_966
    )
    :vars
    (
      ?auto_970
      ?auto_971
      ?auto_968
      ?auto_967
      ?auto_969
      ?auto_974
      ?auto_976
    )
    :precondition
    ( and ( OBJ ?auto_965 ) ( LOCATION ?auto_966 ) ( TRUCK ?auto_970 ) ( LOCATION ?auto_971 ) ( CITY ?auto_968 ) ( AT ?auto_970 ?auto_971 ) ( IN-CITY ?auto_971 ?auto_968 ) ( IN-CITY ?auto_966 ?auto_968 ) ( DIFFERENT ?auto_966 ?auto_971 ) ( LOCATION ?auto_967 ) ( AT ?auto_970 ?auto_967 ) ( AIRPLANE ?auto_969 ) ( AIRPORT ?auto_974 ) ( AIRPORT ?auto_967 ) ( AT ?auto_969 ?auto_974 ) ( DIFFERENT ?auto_967 ?auto_974 ) ( LOCATION ?auto_976 ) ( AT ?auto_965 ?auto_976 ) ( AT ?auto_969 ?auto_976 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_965 ?auto_969 ?auto_976 )
      ( DELIVER-PKG ?auto_965 ?auto_966 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_978
      ?auto_979
    )
    :vars
    (
      ?auto_984
      ?auto_981
      ?auto_985
      ?auto_986
      ?auto_983
      ?auto_982
      ?auto_988
      ?auto_990
    )
    :precondition
    ( and ( OBJ ?auto_978 ) ( LOCATION ?auto_979 ) ( TRUCK ?auto_984 ) ( LOCATION ?auto_981 ) ( CITY ?auto_985 ) ( AT ?auto_984 ?auto_981 ) ( IN-CITY ?auto_981 ?auto_985 ) ( IN-CITY ?auto_979 ?auto_985 ) ( DIFFERENT ?auto_979 ?auto_981 ) ( LOCATION ?auto_986 ) ( AT ?auto_984 ?auto_986 ) ( AIRPLANE ?auto_983 ) ( AIRPORT ?auto_982 ) ( AIRPORT ?auto_986 ) ( AT ?auto_983 ?auto_982 ) ( DIFFERENT ?auto_986 ?auto_982 ) ( LOCATION ?auto_988 ) ( AT ?auto_983 ?auto_988 ) ( TRUCK ?auto_990 ) ( AT ?auto_990 ?auto_988 ) ( IN ?auto_978 ?auto_990 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_978 ?auto_988 )
      ( DELIVER-PKG ?auto_978 ?auto_979 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1004
      ?auto_1005
    )
    :vars
    (
      ?auto_1008
      ?auto_1015
      ?auto_1010
      ?auto_1007
      ?auto_1006
      ?auto_1009
      ?auto_1011
      ?auto_1012
      ?auto_1018
      ?auto_1017
    )
    :precondition
    ( and ( OBJ ?auto_1004 ) ( LOCATION ?auto_1005 ) ( TRUCK ?auto_1008 ) ( LOCATION ?auto_1015 ) ( CITY ?auto_1010 ) ( AT ?auto_1008 ?auto_1015 ) ( IN-CITY ?auto_1015 ?auto_1010 ) ( IN-CITY ?auto_1005 ?auto_1010 ) ( DIFFERENT ?auto_1005 ?auto_1015 ) ( LOCATION ?auto_1007 ) ( AT ?auto_1008 ?auto_1007 ) ( AIRPLANE ?auto_1006 ) ( AIRPORT ?auto_1009 ) ( AIRPORT ?auto_1007 ) ( AT ?auto_1006 ?auto_1009 ) ( DIFFERENT ?auto_1007 ?auto_1009 ) ( LOCATION ?auto_1011 ) ( AT ?auto_1006 ?auto_1011 ) ( TRUCK ?auto_1012 ) ( IN ?auto_1004 ?auto_1012 ) ( LOCATION ?auto_1018 ) ( CITY ?auto_1017 ) ( AT ?auto_1012 ?auto_1018 ) ( IN-CITY ?auto_1018 ?auto_1017 ) ( IN-CITY ?auto_1011 ?auto_1017 ) ( DIFFERENT ?auto_1011 ?auto_1018 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1012 ?auto_1018 ?auto_1011 ?auto_1017 )
      ( DELIVER-PKG ?auto_1004 ?auto_1005 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1020
      ?auto_1021
    )
    :vars
    (
      ?auto_1023
      ?auto_1030
      ?auto_1028
      ?auto_1025
      ?auto_1029
      ?auto_1024
      ?auto_1026
      ?auto_1027
      ?auto_1033
      ?auto_1032
      ?auto_1036
      ?auto_1035
    )
    :precondition
    ( and ( OBJ ?auto_1020 ) ( LOCATION ?auto_1021 ) ( TRUCK ?auto_1023 ) ( LOCATION ?auto_1030 ) ( CITY ?auto_1028 ) ( AT ?auto_1023 ?auto_1030 ) ( IN-CITY ?auto_1030 ?auto_1028 ) ( IN-CITY ?auto_1021 ?auto_1028 ) ( DIFFERENT ?auto_1021 ?auto_1030 ) ( LOCATION ?auto_1025 ) ( AT ?auto_1023 ?auto_1025 ) ( AIRPLANE ?auto_1029 ) ( AIRPORT ?auto_1024 ) ( AIRPORT ?auto_1025 ) ( AT ?auto_1029 ?auto_1024 ) ( DIFFERENT ?auto_1025 ?auto_1024 ) ( LOCATION ?auto_1026 ) ( AT ?auto_1029 ?auto_1026 ) ( TRUCK ?auto_1027 ) ( IN ?auto_1020 ?auto_1027 ) ( LOCATION ?auto_1033 ) ( CITY ?auto_1032 ) ( IN-CITY ?auto_1033 ?auto_1032 ) ( IN-CITY ?auto_1026 ?auto_1032 ) ( DIFFERENT ?auto_1026 ?auto_1033 ) ( LOCATION ?auto_1036 ) ( CITY ?auto_1035 ) ( AT ?auto_1027 ?auto_1036 ) ( IN-CITY ?auto_1036 ?auto_1035 ) ( IN-CITY ?auto_1033 ?auto_1035 ) ( DIFFERENT ?auto_1033 ?auto_1036 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1027 ?auto_1036 ?auto_1033 ?auto_1035 )
      ( DELIVER-PKG ?auto_1020 ?auto_1021 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1054
      ?auto_1055
    )
    :vars
    (
      ?auto_1069
      ?auto_1057
      ?auto_1058
      ?auto_1067
      ?auto_1059
      ?auto_1068
      ?auto_1065
      ?auto_1062
      ?auto_1061
      ?auto_1060
      ?auto_1064
      ?auto_1063
      ?auto_1071
    )
    :precondition
    ( and ( OBJ ?auto_1054 ) ( LOCATION ?auto_1055 ) ( TRUCK ?auto_1069 ) ( LOCATION ?auto_1057 ) ( CITY ?auto_1058 ) ( AT ?auto_1069 ?auto_1057 ) ( IN-CITY ?auto_1057 ?auto_1058 ) ( IN-CITY ?auto_1055 ?auto_1058 ) ( DIFFERENT ?auto_1055 ?auto_1057 ) ( LOCATION ?auto_1067 ) ( AT ?auto_1069 ?auto_1067 ) ( AIRPLANE ?auto_1059 ) ( AIRPORT ?auto_1068 ) ( AIRPORT ?auto_1067 ) ( AT ?auto_1059 ?auto_1068 ) ( DIFFERENT ?auto_1067 ?auto_1068 ) ( LOCATION ?auto_1065 ) ( AT ?auto_1059 ?auto_1065 ) ( TRUCK ?auto_1062 ) ( LOCATION ?auto_1061 ) ( CITY ?auto_1060 ) ( IN-CITY ?auto_1061 ?auto_1060 ) ( IN-CITY ?auto_1065 ?auto_1060 ) ( DIFFERENT ?auto_1065 ?auto_1061 ) ( LOCATION ?auto_1064 ) ( CITY ?auto_1063 ) ( AT ?auto_1062 ?auto_1064 ) ( IN-CITY ?auto_1064 ?auto_1063 ) ( IN-CITY ?auto_1061 ?auto_1063 ) ( DIFFERENT ?auto_1061 ?auto_1064 ) ( LOCATION ?auto_1071 ) ( AT ?auto_1062 ?auto_1071 ) ( AT ?auto_1054 ?auto_1071 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1054 ?auto_1062 ?auto_1071 )
      ( DELIVER-PKG ?auto_1054 ?auto_1055 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1090
      ?auto_1091
    )
    :vars
    (
      ?auto_1098
      ?auto_1099
      ?auto_1100
      ?auto_1096
      ?auto_1092
      ?auto_1097
      ?auto_1102
      ?auto_1093
      ?auto_1095
      ?auto_1103
      ?auto_1106
      ?auto_1094
      ?auto_1109
      ?auto_1108
    )
    :precondition
    ( and ( OBJ ?auto_1090 ) ( LOCATION ?auto_1091 ) ( TRUCK ?auto_1098 ) ( LOCATION ?auto_1099 ) ( CITY ?auto_1100 ) ( AT ?auto_1098 ?auto_1099 ) ( IN-CITY ?auto_1099 ?auto_1100 ) ( IN-CITY ?auto_1091 ?auto_1100 ) ( DIFFERENT ?auto_1091 ?auto_1099 ) ( LOCATION ?auto_1096 ) ( AT ?auto_1098 ?auto_1096 ) ( AIRPLANE ?auto_1092 ) ( AIRPORT ?auto_1097 ) ( AIRPORT ?auto_1096 ) ( AT ?auto_1092 ?auto_1097 ) ( DIFFERENT ?auto_1096 ?auto_1097 ) ( LOCATION ?auto_1102 ) ( AT ?auto_1092 ?auto_1102 ) ( TRUCK ?auto_1093 ) ( LOCATION ?auto_1095 ) ( CITY ?auto_1103 ) ( IN-CITY ?auto_1095 ?auto_1103 ) ( IN-CITY ?auto_1102 ?auto_1103 ) ( DIFFERENT ?auto_1102 ?auto_1095 ) ( LOCATION ?auto_1106 ) ( CITY ?auto_1094 ) ( IN-CITY ?auto_1106 ?auto_1094 ) ( IN-CITY ?auto_1095 ?auto_1094 ) ( DIFFERENT ?auto_1095 ?auto_1106 ) ( AT ?auto_1090 ?auto_1106 ) ( LOCATION ?auto_1109 ) ( CITY ?auto_1108 ) ( AT ?auto_1093 ?auto_1109 ) ( IN-CITY ?auto_1109 ?auto_1108 ) ( IN-CITY ?auto_1106 ?auto_1108 ) ( DIFFERENT ?auto_1106 ?auto_1109 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1093 ?auto_1109 ?auto_1106 ?auto_1108 )
      ( DELIVER-PKG ?auto_1090 ?auto_1091 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1111
      ?auto_1112
    )
    :vars
    (
      ?auto_1119
      ?auto_1126
      ?auto_1121
      ?auto_1116
      ?auto_1118
      ?auto_1122
      ?auto_1115
      ?auto_1114
      ?auto_1124
      ?auto_1125
      ?auto_1113
      ?auto_1128
      ?auto_1123
      ?auto_1131
      ?auto_1130
    )
    :precondition
    ( and ( OBJ ?auto_1111 ) ( LOCATION ?auto_1112 ) ( TRUCK ?auto_1119 ) ( LOCATION ?auto_1126 ) ( CITY ?auto_1121 ) ( IN-CITY ?auto_1126 ?auto_1121 ) ( IN-CITY ?auto_1112 ?auto_1121 ) ( DIFFERENT ?auto_1112 ?auto_1126 ) ( AIRPLANE ?auto_1116 ) ( AIRPORT ?auto_1118 ) ( AIRPORT ?auto_1126 ) ( AT ?auto_1116 ?auto_1118 ) ( DIFFERENT ?auto_1126 ?auto_1118 ) ( LOCATION ?auto_1122 ) ( AT ?auto_1116 ?auto_1122 ) ( TRUCK ?auto_1115 ) ( LOCATION ?auto_1114 ) ( CITY ?auto_1124 ) ( IN-CITY ?auto_1114 ?auto_1124 ) ( IN-CITY ?auto_1122 ?auto_1124 ) ( DIFFERENT ?auto_1122 ?auto_1114 ) ( LOCATION ?auto_1125 ) ( CITY ?auto_1113 ) ( IN-CITY ?auto_1125 ?auto_1113 ) ( IN-CITY ?auto_1114 ?auto_1113 ) ( DIFFERENT ?auto_1114 ?auto_1125 ) ( AT ?auto_1111 ?auto_1125 ) ( LOCATION ?auto_1128 ) ( CITY ?auto_1123 ) ( AT ?auto_1115 ?auto_1128 ) ( IN-CITY ?auto_1128 ?auto_1123 ) ( IN-CITY ?auto_1125 ?auto_1123 ) ( DIFFERENT ?auto_1125 ?auto_1128 ) ( LOCATION ?auto_1131 ) ( CITY ?auto_1130 ) ( AT ?auto_1119 ?auto_1131 ) ( IN-CITY ?auto_1131 ?auto_1130 ) ( IN-CITY ?auto_1126 ?auto_1130 ) ( DIFFERENT ?auto_1126 ?auto_1131 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1119 ?auto_1131 ?auto_1126 ?auto_1130 )
      ( DELIVER-PKG ?auto_1111 ?auto_1112 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1353
      ?auto_1354
    )
    :vars
    (
      ?auto_1355
      ?auto_1356
      ?auto_1359
      ?auto_1357
      ?auto_1363
    )
    :precondition
    ( and ( OBJ ?auto_1353 ) ( LOCATION ?auto_1354 ) ( TRUCK ?auto_1355 ) ( LOCATION ?auto_1356 ) ( CITY ?auto_1359 ) ( AT ?auto_1355 ?auto_1356 ) ( IN-CITY ?auto_1356 ?auto_1359 ) ( IN-CITY ?auto_1354 ?auto_1359 ) ( DIFFERENT ?auto_1354 ?auto_1356 ) ( LOCATION ?auto_1357 ) ( AT ?auto_1355 ?auto_1357 ) ( TRUCK ?auto_1363 ) ( AT ?auto_1363 ?auto_1357 ) ( IN ?auto_1353 ?auto_1363 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1353 ?auto_1357 )
      ( DELIVER-PKG ?auto_1353 ?auto_1354 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1399
      ?auto_1400
    )
    :vars
    (
      ?auto_1406
      ?auto_1408
      ?auto_1402
      ?auto_1407
      ?auto_1401
      ?auto_1405
      ?auto_1411
    )
    :precondition
    ( and ( OBJ ?auto_1399 ) ( LOCATION ?auto_1400 ) ( TRUCK ?auto_1406 ) ( LOCATION ?auto_1408 ) ( CITY ?auto_1402 ) ( IN-CITY ?auto_1408 ?auto_1402 ) ( IN-CITY ?auto_1400 ?auto_1402 ) ( DIFFERENT ?auto_1400 ?auto_1408 ) ( LOCATION ?auto_1407 ) ( CITY ?auto_1401 ) ( AT ?auto_1406 ?auto_1407 ) ( IN-CITY ?auto_1407 ?auto_1401 ) ( IN-CITY ?auto_1408 ?auto_1401 ) ( DIFFERENT ?auto_1408 ?auto_1407 ) ( LOCATION ?auto_1405 ) ( AT ?auto_1406 ?auto_1405 ) ( AIRPLANE ?auto_1411 ) ( IN ?auto_1399 ?auto_1411 ) ( AT ?auto_1411 ?auto_1405 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1399 ?auto_1405 )
      ( DELIVER-PKG ?auto_1399 ?auto_1400 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1423
      ?auto_1424
    )
    :vars
    (
      ?auto_1425
      ?auto_1429
      ?auto_1427
      ?auto_1426
      ?auto_1428
      ?auto_1430
      ?auto_1431
      ?auto_1435
    )
    :precondition
    ( and ( OBJ ?auto_1423 ) ( LOCATION ?auto_1424 ) ( TRUCK ?auto_1425 ) ( LOCATION ?auto_1429 ) ( CITY ?auto_1427 ) ( IN-CITY ?auto_1429 ?auto_1427 ) ( IN-CITY ?auto_1424 ?auto_1427 ) ( DIFFERENT ?auto_1424 ?auto_1429 ) ( LOCATION ?auto_1426 ) ( CITY ?auto_1428 ) ( AT ?auto_1425 ?auto_1426 ) ( IN-CITY ?auto_1426 ?auto_1428 ) ( IN-CITY ?auto_1429 ?auto_1428 ) ( DIFFERENT ?auto_1429 ?auto_1426 ) ( LOCATION ?auto_1430 ) ( AT ?auto_1425 ?auto_1430 ) ( AIRPLANE ?auto_1431 ) ( IN ?auto_1423 ?auto_1431 ) ( AIRPORT ?auto_1435 ) ( AIRPORT ?auto_1430 ) ( AT ?auto_1431 ?auto_1435 ) ( DIFFERENT ?auto_1430 ?auto_1435 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1431 ?auto_1435 ?auto_1430 )
      ( DELIVER-PKG ?auto_1423 ?auto_1424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1449
      ?auto_1450
    )
    :vars
    (
      ?auto_1459
      ?auto_1454
      ?auto_1453
      ?auto_1452
      ?auto_1457
      ?auto_1455
      ?auto_1456
      ?auto_1460
      ?auto_1462
    )
    :precondition
    ( and ( OBJ ?auto_1449 ) ( LOCATION ?auto_1450 ) ( TRUCK ?auto_1459 ) ( LOCATION ?auto_1454 ) ( CITY ?auto_1453 ) ( IN-CITY ?auto_1454 ?auto_1453 ) ( IN-CITY ?auto_1450 ?auto_1453 ) ( DIFFERENT ?auto_1450 ?auto_1454 ) ( LOCATION ?auto_1452 ) ( CITY ?auto_1457 ) ( AT ?auto_1459 ?auto_1452 ) ( IN-CITY ?auto_1452 ?auto_1457 ) ( IN-CITY ?auto_1454 ?auto_1457 ) ( DIFFERENT ?auto_1454 ?auto_1452 ) ( LOCATION ?auto_1455 ) ( AT ?auto_1459 ?auto_1455 ) ( AIRPLANE ?auto_1456 ) ( AIRPORT ?auto_1460 ) ( AIRPORT ?auto_1455 ) ( AT ?auto_1456 ?auto_1460 ) ( DIFFERENT ?auto_1455 ?auto_1460 ) ( LOCATION ?auto_1462 ) ( AT ?auto_1449 ?auto_1462 ) ( AT ?auto_1456 ?auto_1462 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1449 ?auto_1456 ?auto_1462 )
      ( DELIVER-PKG ?auto_1449 ?auto_1450 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1464
      ?auto_1465
    )
    :vars
    (
      ?auto_1473
      ?auto_1466
      ?auto_1467
      ?auto_1472
      ?auto_1470
      ?auto_1468
      ?auto_1469
      ?auto_1474
      ?auto_1476
      ?auto_1478
    )
    :precondition
    ( and ( OBJ ?auto_1464 ) ( LOCATION ?auto_1465 ) ( TRUCK ?auto_1473 ) ( LOCATION ?auto_1466 ) ( CITY ?auto_1467 ) ( IN-CITY ?auto_1466 ?auto_1467 ) ( IN-CITY ?auto_1465 ?auto_1467 ) ( DIFFERENT ?auto_1465 ?auto_1466 ) ( LOCATION ?auto_1472 ) ( CITY ?auto_1470 ) ( AT ?auto_1473 ?auto_1472 ) ( IN-CITY ?auto_1472 ?auto_1470 ) ( IN-CITY ?auto_1466 ?auto_1470 ) ( DIFFERENT ?auto_1466 ?auto_1472 ) ( LOCATION ?auto_1468 ) ( AT ?auto_1473 ?auto_1468 ) ( AIRPLANE ?auto_1469 ) ( AIRPORT ?auto_1474 ) ( AIRPORT ?auto_1468 ) ( AT ?auto_1469 ?auto_1474 ) ( DIFFERENT ?auto_1468 ?auto_1474 ) ( LOCATION ?auto_1476 ) ( AT ?auto_1469 ?auto_1476 ) ( TRUCK ?auto_1478 ) ( AT ?auto_1478 ?auto_1476 ) ( IN ?auto_1464 ?auto_1478 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1464 ?auto_1476 )
      ( DELIVER-PKG ?auto_1464 ?auto_1465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1494
      ?auto_1495
    )
    :vars
    (
      ?auto_1503
      ?auto_1496
      ?auto_1506
      ?auto_1499
      ?auto_1498
      ?auto_1507
      ?auto_1501
      ?auto_1500
      ?auto_1502
      ?auto_1504
      ?auto_1510
      ?auto_1509
    )
    :precondition
    ( and ( OBJ ?auto_1494 ) ( LOCATION ?auto_1495 ) ( TRUCK ?auto_1503 ) ( LOCATION ?auto_1496 ) ( CITY ?auto_1506 ) ( IN-CITY ?auto_1496 ?auto_1506 ) ( IN-CITY ?auto_1495 ?auto_1506 ) ( DIFFERENT ?auto_1495 ?auto_1496 ) ( LOCATION ?auto_1499 ) ( CITY ?auto_1498 ) ( AT ?auto_1503 ?auto_1499 ) ( IN-CITY ?auto_1499 ?auto_1498 ) ( IN-CITY ?auto_1496 ?auto_1498 ) ( DIFFERENT ?auto_1496 ?auto_1499 ) ( LOCATION ?auto_1507 ) ( AT ?auto_1503 ?auto_1507 ) ( AIRPLANE ?auto_1501 ) ( AIRPORT ?auto_1500 ) ( AIRPORT ?auto_1507 ) ( AT ?auto_1501 ?auto_1500 ) ( DIFFERENT ?auto_1507 ?auto_1500 ) ( LOCATION ?auto_1502 ) ( AT ?auto_1501 ?auto_1502 ) ( TRUCK ?auto_1504 ) ( IN ?auto_1494 ?auto_1504 ) ( LOCATION ?auto_1510 ) ( CITY ?auto_1509 ) ( AT ?auto_1504 ?auto_1510 ) ( IN-CITY ?auto_1510 ?auto_1509 ) ( IN-CITY ?auto_1502 ?auto_1509 ) ( DIFFERENT ?auto_1502 ?auto_1510 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1504 ?auto_1510 ?auto_1502 ?auto_1509 )
      ( DELIVER-PKG ?auto_1494 ?auto_1495 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1512
      ?auto_1513
    )
    :vars
    (
      ?auto_1523
      ?auto_1525
      ?auto_1518
      ?auto_1520
      ?auto_1517
      ?auto_1519
      ?auto_1516
      ?auto_1515
      ?auto_1522
      ?auto_1524
      ?auto_1527
      ?auto_1526
      ?auto_1530
      ?auto_1529
    )
    :precondition
    ( and ( OBJ ?auto_1512 ) ( LOCATION ?auto_1513 ) ( TRUCK ?auto_1523 ) ( LOCATION ?auto_1525 ) ( CITY ?auto_1518 ) ( IN-CITY ?auto_1525 ?auto_1518 ) ( IN-CITY ?auto_1513 ?auto_1518 ) ( DIFFERENT ?auto_1513 ?auto_1525 ) ( LOCATION ?auto_1520 ) ( CITY ?auto_1517 ) ( AT ?auto_1523 ?auto_1520 ) ( IN-CITY ?auto_1520 ?auto_1517 ) ( IN-CITY ?auto_1525 ?auto_1517 ) ( DIFFERENT ?auto_1525 ?auto_1520 ) ( LOCATION ?auto_1519 ) ( AT ?auto_1523 ?auto_1519 ) ( AIRPLANE ?auto_1516 ) ( AIRPORT ?auto_1515 ) ( AIRPORT ?auto_1519 ) ( AT ?auto_1516 ?auto_1515 ) ( DIFFERENT ?auto_1519 ?auto_1515 ) ( LOCATION ?auto_1522 ) ( AT ?auto_1516 ?auto_1522 ) ( TRUCK ?auto_1524 ) ( IN ?auto_1512 ?auto_1524 ) ( LOCATION ?auto_1527 ) ( CITY ?auto_1526 ) ( IN-CITY ?auto_1527 ?auto_1526 ) ( IN-CITY ?auto_1522 ?auto_1526 ) ( DIFFERENT ?auto_1522 ?auto_1527 ) ( LOCATION ?auto_1530 ) ( CITY ?auto_1529 ) ( AT ?auto_1524 ?auto_1530 ) ( IN-CITY ?auto_1530 ?auto_1529 ) ( IN-CITY ?auto_1527 ?auto_1529 ) ( DIFFERENT ?auto_1527 ?auto_1530 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1524 ?auto_1530 ?auto_1527 ?auto_1529 )
      ( DELIVER-PKG ?auto_1512 ?auto_1513 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1550
      ?auto_1551
    )
    :vars
    (
      ?auto_1562
      ?auto_1565
      ?auto_1567
      ?auto_1553
      ?auto_1566
      ?auto_1555
      ?auto_1564
      ?auto_1563
      ?auto_1552
      ?auto_1556
      ?auto_1558
      ?auto_1557
      ?auto_1561
      ?auto_1560
      ?auto_1569
    )
    :precondition
    ( and ( OBJ ?auto_1550 ) ( LOCATION ?auto_1551 ) ( TRUCK ?auto_1562 ) ( LOCATION ?auto_1565 ) ( CITY ?auto_1567 ) ( IN-CITY ?auto_1565 ?auto_1567 ) ( IN-CITY ?auto_1551 ?auto_1567 ) ( DIFFERENT ?auto_1551 ?auto_1565 ) ( LOCATION ?auto_1553 ) ( CITY ?auto_1566 ) ( AT ?auto_1562 ?auto_1553 ) ( IN-CITY ?auto_1553 ?auto_1566 ) ( IN-CITY ?auto_1565 ?auto_1566 ) ( DIFFERENT ?auto_1565 ?auto_1553 ) ( LOCATION ?auto_1555 ) ( AT ?auto_1562 ?auto_1555 ) ( AIRPLANE ?auto_1564 ) ( AIRPORT ?auto_1563 ) ( AIRPORT ?auto_1555 ) ( AT ?auto_1564 ?auto_1563 ) ( DIFFERENT ?auto_1555 ?auto_1563 ) ( LOCATION ?auto_1552 ) ( AT ?auto_1564 ?auto_1552 ) ( TRUCK ?auto_1556 ) ( LOCATION ?auto_1558 ) ( CITY ?auto_1557 ) ( IN-CITY ?auto_1558 ?auto_1557 ) ( IN-CITY ?auto_1552 ?auto_1557 ) ( DIFFERENT ?auto_1552 ?auto_1558 ) ( LOCATION ?auto_1561 ) ( CITY ?auto_1560 ) ( AT ?auto_1556 ?auto_1561 ) ( IN-CITY ?auto_1561 ?auto_1560 ) ( IN-CITY ?auto_1558 ?auto_1560 ) ( DIFFERENT ?auto_1558 ?auto_1561 ) ( LOCATION ?auto_1569 ) ( AT ?auto_1556 ?auto_1569 ) ( AT ?auto_1550 ?auto_1569 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1550 ?auto_1556 ?auto_1569 )
      ( DELIVER-PKG ?auto_1550 ?auto_1551 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1590
      ?auto_1591
    )
    :vars
    (
      ?auto_1598
      ?auto_1601
      ?auto_1593
      ?auto_1605
      ?auto_1602
      ?auto_1607
      ?auto_1600
      ?auto_1599
      ?auto_1606
      ?auto_1604
      ?auto_1595
      ?auto_1594
      ?auto_1592
      ?auto_1596
      ?auto_1611
      ?auto_1610
    )
    :precondition
    ( and ( OBJ ?auto_1590 ) ( LOCATION ?auto_1591 ) ( TRUCK ?auto_1598 ) ( LOCATION ?auto_1601 ) ( CITY ?auto_1593 ) ( IN-CITY ?auto_1601 ?auto_1593 ) ( IN-CITY ?auto_1591 ?auto_1593 ) ( DIFFERENT ?auto_1591 ?auto_1601 ) ( LOCATION ?auto_1605 ) ( CITY ?auto_1602 ) ( AT ?auto_1598 ?auto_1605 ) ( IN-CITY ?auto_1605 ?auto_1602 ) ( IN-CITY ?auto_1601 ?auto_1602 ) ( DIFFERENT ?auto_1601 ?auto_1605 ) ( LOCATION ?auto_1607 ) ( AT ?auto_1598 ?auto_1607 ) ( AIRPLANE ?auto_1600 ) ( AIRPORT ?auto_1599 ) ( AIRPORT ?auto_1607 ) ( AT ?auto_1600 ?auto_1599 ) ( DIFFERENT ?auto_1607 ?auto_1599 ) ( LOCATION ?auto_1606 ) ( AT ?auto_1600 ?auto_1606 ) ( TRUCK ?auto_1604 ) ( LOCATION ?auto_1595 ) ( CITY ?auto_1594 ) ( IN-CITY ?auto_1595 ?auto_1594 ) ( IN-CITY ?auto_1606 ?auto_1594 ) ( DIFFERENT ?auto_1606 ?auto_1595 ) ( LOCATION ?auto_1592 ) ( CITY ?auto_1596 ) ( IN-CITY ?auto_1592 ?auto_1596 ) ( IN-CITY ?auto_1595 ?auto_1596 ) ( DIFFERENT ?auto_1595 ?auto_1592 ) ( AT ?auto_1590 ?auto_1592 ) ( LOCATION ?auto_1611 ) ( CITY ?auto_1610 ) ( AT ?auto_1604 ?auto_1611 ) ( IN-CITY ?auto_1611 ?auto_1610 ) ( IN-CITY ?auto_1592 ?auto_1610 ) ( DIFFERENT ?auto_1592 ?auto_1611 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1604 ?auto_1611 ?auto_1592 ?auto_1610 )
      ( DELIVER-PKG ?auto_1590 ?auto_1591 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1613
      ?auto_1614
    )
    :vars
    (
      ?auto_1624
      ?auto_1627
      ?auto_1615
      ?auto_1620
      ?auto_1628
      ?auto_1626
      ?auto_1625
      ?auto_1619
      ?auto_1629
      ?auto_1632
      ?auto_1621
      ?auto_1616
      ?auto_1623
      ?auto_1631
      ?auto_1622
      ?auto_1635
      ?auto_1634
    )
    :precondition
    ( and ( OBJ ?auto_1613 ) ( LOCATION ?auto_1614 ) ( TRUCK ?auto_1624 ) ( LOCATION ?auto_1627 ) ( CITY ?auto_1615 ) ( IN-CITY ?auto_1627 ?auto_1615 ) ( IN-CITY ?auto_1614 ?auto_1615 ) ( DIFFERENT ?auto_1614 ?auto_1627 ) ( LOCATION ?auto_1620 ) ( CITY ?auto_1628 ) ( IN-CITY ?auto_1620 ?auto_1628 ) ( IN-CITY ?auto_1627 ?auto_1628 ) ( DIFFERENT ?auto_1627 ?auto_1620 ) ( AIRPLANE ?auto_1626 ) ( AIRPORT ?auto_1625 ) ( AIRPORT ?auto_1620 ) ( AT ?auto_1626 ?auto_1625 ) ( DIFFERENT ?auto_1620 ?auto_1625 ) ( LOCATION ?auto_1619 ) ( AT ?auto_1626 ?auto_1619 ) ( TRUCK ?auto_1629 ) ( LOCATION ?auto_1632 ) ( CITY ?auto_1621 ) ( IN-CITY ?auto_1632 ?auto_1621 ) ( IN-CITY ?auto_1619 ?auto_1621 ) ( DIFFERENT ?auto_1619 ?auto_1632 ) ( LOCATION ?auto_1616 ) ( CITY ?auto_1623 ) ( IN-CITY ?auto_1616 ?auto_1623 ) ( IN-CITY ?auto_1632 ?auto_1623 ) ( DIFFERENT ?auto_1632 ?auto_1616 ) ( AT ?auto_1613 ?auto_1616 ) ( LOCATION ?auto_1631 ) ( CITY ?auto_1622 ) ( AT ?auto_1629 ?auto_1631 ) ( IN-CITY ?auto_1631 ?auto_1622 ) ( IN-CITY ?auto_1616 ?auto_1622 ) ( DIFFERENT ?auto_1616 ?auto_1631 ) ( LOCATION ?auto_1635 ) ( CITY ?auto_1634 ) ( AT ?auto_1624 ?auto_1635 ) ( IN-CITY ?auto_1635 ?auto_1634 ) ( IN-CITY ?auto_1620 ?auto_1634 ) ( DIFFERENT ?auto_1620 ?auto_1635 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1624 ?auto_1635 ?auto_1620 ?auto_1634 )
      ( DELIVER-PKG ?auto_1613 ?auto_1614 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2335
      ?auto_2336
    )
    :vars
    (
      ?auto_2338
      ?auto_2340
      ?auto_2339
      ?auto_2345
      ?auto_2344
    )
    :precondition
    ( and ( OBJ ?auto_2335 ) ( LOCATION ?auto_2336 ) ( TRUCK ?auto_2338 ) ( LOCATION ?auto_2340 ) ( CITY ?auto_2339 ) ( IN-CITY ?auto_2340 ?auto_2339 ) ( IN-CITY ?auto_2336 ?auto_2339 ) ( DIFFERENT ?auto_2336 ?auto_2340 ) ( AT ?auto_2335 ?auto_2340 ) ( LOCATION ?auto_2345 ) ( CITY ?auto_2344 ) ( AT ?auto_2338 ?auto_2345 ) ( IN-CITY ?auto_2345 ?auto_2344 ) ( IN-CITY ?auto_2340 ?auto_2344 ) ( DIFFERENT ?auto_2340 ?auto_2345 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2338 ?auto_2345 ?auto_2340 ?auto_2344 )
      ( DELIVER-PKG ?auto_2335 ?auto_2336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2356
      ?auto_2357
    )
    :vars
    (
      ?auto_2363
      ?auto_2362
      ?auto_2364
      ?auto_2361
      ?auto_2360
      ?auto_2367
      ?auto_2366
    )
    :precondition
    ( and ( OBJ ?auto_2356 ) ( LOCATION ?auto_2357 ) ( TRUCK ?auto_2363 ) ( LOCATION ?auto_2362 ) ( CITY ?auto_2364 ) ( IN-CITY ?auto_2362 ?auto_2364 ) ( IN-CITY ?auto_2357 ?auto_2364 ) ( DIFFERENT ?auto_2357 ?auto_2362 ) ( AT ?auto_2356 ?auto_2362 ) ( LOCATION ?auto_2361 ) ( CITY ?auto_2360 ) ( IN-CITY ?auto_2361 ?auto_2360 ) ( IN-CITY ?auto_2362 ?auto_2360 ) ( DIFFERENT ?auto_2362 ?auto_2361 ) ( LOCATION ?auto_2367 ) ( CITY ?auto_2366 ) ( AT ?auto_2363 ?auto_2367 ) ( IN-CITY ?auto_2367 ?auto_2366 ) ( IN-CITY ?auto_2361 ?auto_2366 ) ( DIFFERENT ?auto_2361 ?auto_2367 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2363 ?auto_2367 ?auto_2361 ?auto_2366 )
      ( DELIVER-PKG ?auto_2356 ?auto_2357 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2391
      ?auto_2392
    )
    :vars
    (
      ?auto_2394
      ?auto_2400
      ?auto_2395
      ?auto_2397
      ?auto_2396
      ?auto_2401
      ?auto_2398
      ?auto_2404
      ?auto_2403
    )
    :precondition
    ( and ( OBJ ?auto_2391 ) ( LOCATION ?auto_2392 ) ( TRUCK ?auto_2394 ) ( LOCATION ?auto_2400 ) ( CITY ?auto_2395 ) ( IN-CITY ?auto_2400 ?auto_2395 ) ( IN-CITY ?auto_2392 ?auto_2395 ) ( DIFFERENT ?auto_2392 ?auto_2400 ) ( AT ?auto_2391 ?auto_2400 ) ( LOCATION ?auto_2397 ) ( CITY ?auto_2396 ) ( IN-CITY ?auto_2397 ?auto_2396 ) ( IN-CITY ?auto_2400 ?auto_2396 ) ( DIFFERENT ?auto_2400 ?auto_2397 ) ( LOCATION ?auto_2401 ) ( CITY ?auto_2398 ) ( IN-CITY ?auto_2401 ?auto_2398 ) ( IN-CITY ?auto_2397 ?auto_2398 ) ( DIFFERENT ?auto_2397 ?auto_2401 ) ( LOCATION ?auto_2404 ) ( CITY ?auto_2403 ) ( AT ?auto_2394 ?auto_2404 ) ( IN-CITY ?auto_2404 ?auto_2403 ) ( IN-CITY ?auto_2401 ?auto_2403 ) ( DIFFERENT ?auto_2401 ?auto_2404 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2394 ?auto_2404 ?auto_2401 ?auto_2403 )
      ( DELIVER-PKG ?auto_2391 ?auto_2392 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2419
      ?auto_2420
    )
    :vars
    (
      ?auto_2421
      ?auto_2427
      ?auto_2423
      ?auto_2425
      ?auto_2424
      ?auto_2428
      ?auto_2426
      ?auto_2431
      ?auto_2430
      ?auto_2432
    )
    :precondition
    ( and ( OBJ ?auto_2419 ) ( LOCATION ?auto_2420 ) ( TRUCK ?auto_2421 ) ( LOCATION ?auto_2427 ) ( CITY ?auto_2423 ) ( IN-CITY ?auto_2427 ?auto_2423 ) ( IN-CITY ?auto_2420 ?auto_2423 ) ( DIFFERENT ?auto_2420 ?auto_2427 ) ( LOCATION ?auto_2425 ) ( CITY ?auto_2424 ) ( IN-CITY ?auto_2425 ?auto_2424 ) ( IN-CITY ?auto_2427 ?auto_2424 ) ( DIFFERENT ?auto_2427 ?auto_2425 ) ( LOCATION ?auto_2428 ) ( CITY ?auto_2426 ) ( IN-CITY ?auto_2428 ?auto_2426 ) ( IN-CITY ?auto_2425 ?auto_2426 ) ( DIFFERENT ?auto_2425 ?auto_2428 ) ( LOCATION ?auto_2431 ) ( CITY ?auto_2430 ) ( AT ?auto_2421 ?auto_2431 ) ( IN-CITY ?auto_2431 ?auto_2430 ) ( IN-CITY ?auto_2428 ?auto_2430 ) ( DIFFERENT ?auto_2428 ?auto_2431 ) ( AIRPLANE ?auto_2432 ) ( IN ?auto_2419 ?auto_2432 ) ( AT ?auto_2432 ?auto_2427 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2419 ?auto_2427 )
      ( DELIVER-PKG ?auto_2419 ?auto_2420 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2449
      ?auto_2450
    )
    :vars
    (
      ?auto_2455
      ?auto_2456
      ?auto_2462
      ?auto_2453
      ?auto_2452
      ?auto_2457
      ?auto_2454
      ?auto_2460
      ?auto_2459
      ?auto_2458
      ?auto_2464
    )
    :precondition
    ( and ( OBJ ?auto_2449 ) ( LOCATION ?auto_2450 ) ( TRUCK ?auto_2455 ) ( LOCATION ?auto_2456 ) ( CITY ?auto_2462 ) ( IN-CITY ?auto_2456 ?auto_2462 ) ( IN-CITY ?auto_2450 ?auto_2462 ) ( DIFFERENT ?auto_2450 ?auto_2456 ) ( LOCATION ?auto_2453 ) ( CITY ?auto_2452 ) ( IN-CITY ?auto_2453 ?auto_2452 ) ( IN-CITY ?auto_2456 ?auto_2452 ) ( DIFFERENT ?auto_2456 ?auto_2453 ) ( LOCATION ?auto_2457 ) ( CITY ?auto_2454 ) ( IN-CITY ?auto_2457 ?auto_2454 ) ( IN-CITY ?auto_2453 ?auto_2454 ) ( DIFFERENT ?auto_2453 ?auto_2457 ) ( LOCATION ?auto_2460 ) ( CITY ?auto_2459 ) ( AT ?auto_2455 ?auto_2460 ) ( IN-CITY ?auto_2460 ?auto_2459 ) ( IN-CITY ?auto_2457 ?auto_2459 ) ( DIFFERENT ?auto_2457 ?auto_2460 ) ( AIRPLANE ?auto_2458 ) ( IN ?auto_2449 ?auto_2458 ) ( AIRPORT ?auto_2464 ) ( AIRPORT ?auto_2456 ) ( AT ?auto_2458 ?auto_2464 ) ( DIFFERENT ?auto_2456 ?auto_2464 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2458 ?auto_2464 ?auto_2456 )
      ( DELIVER-PKG ?auto_2449 ?auto_2450 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2481
      ?auto_2482
    )
    :vars
    (
      ?auto_2492
      ?auto_2493
      ?auto_2490
      ?auto_2484
      ?auto_2488
      ?auto_2485
      ?auto_2491
      ?auto_2489
      ?auto_2487
      ?auto_2486
      ?auto_2495
      ?auto_2497
    )
    :precondition
    ( and ( OBJ ?auto_2481 ) ( LOCATION ?auto_2482 ) ( TRUCK ?auto_2492 ) ( LOCATION ?auto_2493 ) ( CITY ?auto_2490 ) ( IN-CITY ?auto_2493 ?auto_2490 ) ( IN-CITY ?auto_2482 ?auto_2490 ) ( DIFFERENT ?auto_2482 ?auto_2493 ) ( LOCATION ?auto_2484 ) ( CITY ?auto_2488 ) ( IN-CITY ?auto_2484 ?auto_2488 ) ( IN-CITY ?auto_2493 ?auto_2488 ) ( DIFFERENT ?auto_2493 ?auto_2484 ) ( LOCATION ?auto_2485 ) ( CITY ?auto_2491 ) ( IN-CITY ?auto_2485 ?auto_2491 ) ( IN-CITY ?auto_2484 ?auto_2491 ) ( DIFFERENT ?auto_2484 ?auto_2485 ) ( LOCATION ?auto_2489 ) ( CITY ?auto_2487 ) ( AT ?auto_2492 ?auto_2489 ) ( IN-CITY ?auto_2489 ?auto_2487 ) ( IN-CITY ?auto_2485 ?auto_2487 ) ( DIFFERENT ?auto_2485 ?auto_2489 ) ( AIRPLANE ?auto_2486 ) ( AIRPORT ?auto_2495 ) ( AIRPORT ?auto_2493 ) ( AT ?auto_2486 ?auto_2495 ) ( DIFFERENT ?auto_2493 ?auto_2495 ) ( LOCATION ?auto_2497 ) ( AT ?auto_2481 ?auto_2497 ) ( AT ?auto_2486 ?auto_2497 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2481 ?auto_2486 ?auto_2497 )
      ( DELIVER-PKG ?auto_2481 ?auto_2482 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2531
      ?auto_2532
    )
    :vars
    (
      ?auto_2542
      ?auto_2543
      ?auto_2540
      ?auto_2537
      ?auto_2534
      ?auto_2536
      ?auto_2541
      ?auto_2539
      ?auto_2533
      ?auto_2535
      ?auto_2544
      ?auto_2546
      ?auto_2549
    )
    :precondition
    ( and ( OBJ ?auto_2531 ) ( LOCATION ?auto_2532 ) ( TRUCK ?auto_2542 ) ( LOCATION ?auto_2543 ) ( CITY ?auto_2540 ) ( IN-CITY ?auto_2543 ?auto_2540 ) ( IN-CITY ?auto_2532 ?auto_2540 ) ( DIFFERENT ?auto_2532 ?auto_2543 ) ( LOCATION ?auto_2537 ) ( CITY ?auto_2534 ) ( IN-CITY ?auto_2537 ?auto_2534 ) ( IN-CITY ?auto_2543 ?auto_2534 ) ( DIFFERENT ?auto_2543 ?auto_2537 ) ( LOCATION ?auto_2536 ) ( CITY ?auto_2541 ) ( IN-CITY ?auto_2536 ?auto_2541 ) ( IN-CITY ?auto_2537 ?auto_2541 ) ( DIFFERENT ?auto_2537 ?auto_2536 ) ( LOCATION ?auto_2539 ) ( CITY ?auto_2533 ) ( AT ?auto_2542 ?auto_2539 ) ( IN-CITY ?auto_2539 ?auto_2533 ) ( IN-CITY ?auto_2536 ?auto_2533 ) ( DIFFERENT ?auto_2536 ?auto_2539 ) ( AIRPLANE ?auto_2535 ) ( AIRPORT ?auto_2544 ) ( AIRPORT ?auto_2543 ) ( AT ?auto_2535 ?auto_2544 ) ( DIFFERENT ?auto_2543 ?auto_2544 ) ( LOCATION ?auto_2546 ) ( AT ?auto_2535 ?auto_2546 ) ( TRUCK ?auto_2549 ) ( AT ?auto_2549 ?auto_2546 ) ( IN ?auto_2531 ?auto_2549 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2531 ?auto_2546 )
      ( DELIVER-PKG ?auto_2531 ?auto_2532 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2550
      ?auto_2551
    )
    :vars
    (
      ?auto_2555
      ?auto_2556
      ?auto_2564
      ?auto_2562
      ?auto_2558
      ?auto_2554
      ?auto_2565
      ?auto_2563
      ?auto_2552
      ?auto_2561
      ?auto_2557
      ?auto_2566
      ?auto_2560
      ?auto_2569
      ?auto_2568
    )
    :precondition
    ( and ( OBJ ?auto_2550 ) ( LOCATION ?auto_2551 ) ( TRUCK ?auto_2555 ) ( LOCATION ?auto_2556 ) ( CITY ?auto_2564 ) ( IN-CITY ?auto_2556 ?auto_2564 ) ( IN-CITY ?auto_2551 ?auto_2564 ) ( DIFFERENT ?auto_2551 ?auto_2556 ) ( LOCATION ?auto_2562 ) ( CITY ?auto_2558 ) ( IN-CITY ?auto_2562 ?auto_2558 ) ( IN-CITY ?auto_2556 ?auto_2558 ) ( DIFFERENT ?auto_2556 ?auto_2562 ) ( LOCATION ?auto_2554 ) ( CITY ?auto_2565 ) ( IN-CITY ?auto_2554 ?auto_2565 ) ( IN-CITY ?auto_2562 ?auto_2565 ) ( DIFFERENT ?auto_2562 ?auto_2554 ) ( LOCATION ?auto_2563 ) ( CITY ?auto_2552 ) ( AT ?auto_2555 ?auto_2563 ) ( IN-CITY ?auto_2563 ?auto_2552 ) ( IN-CITY ?auto_2554 ?auto_2552 ) ( DIFFERENT ?auto_2554 ?auto_2563 ) ( AIRPLANE ?auto_2561 ) ( AIRPORT ?auto_2557 ) ( AIRPORT ?auto_2556 ) ( AT ?auto_2561 ?auto_2557 ) ( DIFFERENT ?auto_2556 ?auto_2557 ) ( LOCATION ?auto_2566 ) ( AT ?auto_2561 ?auto_2566 ) ( TRUCK ?auto_2560 ) ( IN ?auto_2550 ?auto_2560 ) ( LOCATION ?auto_2569 ) ( CITY ?auto_2568 ) ( AT ?auto_2560 ?auto_2569 ) ( IN-CITY ?auto_2569 ?auto_2568 ) ( IN-CITY ?auto_2566 ?auto_2568 ) ( DIFFERENT ?auto_2566 ?auto_2569 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2560 ?auto_2569 ?auto_2566 ?auto_2568 )
      ( DELIVER-PKG ?auto_2550 ?auto_2551 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2571
      ?auto_2572
    )
    :vars
    (
      ?auto_2587
      ?auto_2588
      ?auto_2583
      ?auto_2579
      ?auto_2589
      ?auto_2586
      ?auto_2580
      ?auto_2584
      ?auto_2573
      ?auto_2578
      ?auto_2574
      ?auto_2581
      ?auto_2585
      ?auto_2577
      ?auto_2582
      ?auto_2592
      ?auto_2591
    )
    :precondition
    ( and ( OBJ ?auto_2571 ) ( LOCATION ?auto_2572 ) ( TRUCK ?auto_2587 ) ( LOCATION ?auto_2588 ) ( CITY ?auto_2583 ) ( IN-CITY ?auto_2588 ?auto_2583 ) ( IN-CITY ?auto_2572 ?auto_2583 ) ( DIFFERENT ?auto_2572 ?auto_2588 ) ( LOCATION ?auto_2579 ) ( CITY ?auto_2589 ) ( IN-CITY ?auto_2579 ?auto_2589 ) ( IN-CITY ?auto_2588 ?auto_2589 ) ( DIFFERENT ?auto_2588 ?auto_2579 ) ( LOCATION ?auto_2586 ) ( CITY ?auto_2580 ) ( IN-CITY ?auto_2586 ?auto_2580 ) ( IN-CITY ?auto_2579 ?auto_2580 ) ( DIFFERENT ?auto_2579 ?auto_2586 ) ( LOCATION ?auto_2584 ) ( CITY ?auto_2573 ) ( AT ?auto_2587 ?auto_2584 ) ( IN-CITY ?auto_2584 ?auto_2573 ) ( IN-CITY ?auto_2586 ?auto_2573 ) ( DIFFERENT ?auto_2586 ?auto_2584 ) ( AIRPLANE ?auto_2578 ) ( AIRPORT ?auto_2574 ) ( AIRPORT ?auto_2588 ) ( AT ?auto_2578 ?auto_2574 ) ( DIFFERENT ?auto_2588 ?auto_2574 ) ( LOCATION ?auto_2581 ) ( AT ?auto_2578 ?auto_2581 ) ( TRUCK ?auto_2585 ) ( IN ?auto_2571 ?auto_2585 ) ( LOCATION ?auto_2577 ) ( CITY ?auto_2582 ) ( IN-CITY ?auto_2577 ?auto_2582 ) ( IN-CITY ?auto_2581 ?auto_2582 ) ( DIFFERENT ?auto_2581 ?auto_2577 ) ( LOCATION ?auto_2592 ) ( CITY ?auto_2591 ) ( AT ?auto_2585 ?auto_2592 ) ( IN-CITY ?auto_2592 ?auto_2591 ) ( IN-CITY ?auto_2577 ?auto_2591 ) ( DIFFERENT ?auto_2577 ?auto_2592 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2585 ?auto_2592 ?auto_2577 ?auto_2591 )
      ( DELIVER-PKG ?auto_2571 ?auto_2572 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2594
      ?auto_2595
    )
    :vars
    (
      ?auto_2603
      ?auto_2610
      ?auto_2608
      ?auto_2601
      ?auto_2611
      ?auto_2605
      ?auto_2614
      ?auto_2602
      ?auto_2607
      ?auto_2613
      ?auto_2612
      ?auto_2600
      ?auto_2597
      ?auto_2609
      ?auto_2599
      ?auto_2606
      ?auto_2604
      ?auto_2616
    )
    :precondition
    ( and ( OBJ ?auto_2594 ) ( LOCATION ?auto_2595 ) ( TRUCK ?auto_2603 ) ( LOCATION ?auto_2610 ) ( CITY ?auto_2608 ) ( IN-CITY ?auto_2610 ?auto_2608 ) ( IN-CITY ?auto_2595 ?auto_2608 ) ( DIFFERENT ?auto_2595 ?auto_2610 ) ( LOCATION ?auto_2601 ) ( CITY ?auto_2611 ) ( IN-CITY ?auto_2601 ?auto_2611 ) ( IN-CITY ?auto_2610 ?auto_2611 ) ( DIFFERENT ?auto_2610 ?auto_2601 ) ( LOCATION ?auto_2605 ) ( CITY ?auto_2614 ) ( IN-CITY ?auto_2605 ?auto_2614 ) ( IN-CITY ?auto_2601 ?auto_2614 ) ( DIFFERENT ?auto_2601 ?auto_2605 ) ( LOCATION ?auto_2602 ) ( CITY ?auto_2607 ) ( AT ?auto_2603 ?auto_2602 ) ( IN-CITY ?auto_2602 ?auto_2607 ) ( IN-CITY ?auto_2605 ?auto_2607 ) ( DIFFERENT ?auto_2605 ?auto_2602 ) ( AIRPLANE ?auto_2613 ) ( AIRPORT ?auto_2612 ) ( AIRPORT ?auto_2610 ) ( AT ?auto_2613 ?auto_2612 ) ( DIFFERENT ?auto_2610 ?auto_2612 ) ( LOCATION ?auto_2600 ) ( AT ?auto_2613 ?auto_2600 ) ( TRUCK ?auto_2597 ) ( LOCATION ?auto_2609 ) ( CITY ?auto_2599 ) ( IN-CITY ?auto_2609 ?auto_2599 ) ( IN-CITY ?auto_2600 ?auto_2599 ) ( DIFFERENT ?auto_2600 ?auto_2609 ) ( LOCATION ?auto_2606 ) ( CITY ?auto_2604 ) ( AT ?auto_2597 ?auto_2606 ) ( IN-CITY ?auto_2606 ?auto_2604 ) ( IN-CITY ?auto_2609 ?auto_2604 ) ( DIFFERENT ?auto_2609 ?auto_2606 ) ( LOCATION ?auto_2616 ) ( AT ?auto_2597 ?auto_2616 ) ( AT ?auto_2594 ?auto_2616 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2594 ?auto_2597 ?auto_2616 )
      ( DELIVER-PKG ?auto_2594 ?auto_2595 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2640
      ?auto_2641
    )
    :vars
    (
      ?auto_2661
      ?auto_2648
      ?auto_2646
      ?auto_2659
      ?auto_2644
      ?auto_2643
      ?auto_2650
      ?auto_2660
      ?auto_2645
      ?auto_2657
      ?auto_2655
      ?auto_2653
      ?auto_2647
      ?auto_2658
      ?auto_2654
      ?auto_2642
      ?auto_2649
      ?auto_2663
    )
    :precondition
    ( and ( OBJ ?auto_2640 ) ( LOCATION ?auto_2641 ) ( TRUCK ?auto_2661 ) ( LOCATION ?auto_2648 ) ( CITY ?auto_2646 ) ( IN-CITY ?auto_2648 ?auto_2646 ) ( IN-CITY ?auto_2641 ?auto_2646 ) ( DIFFERENT ?auto_2641 ?auto_2648 ) ( LOCATION ?auto_2659 ) ( CITY ?auto_2644 ) ( IN-CITY ?auto_2659 ?auto_2644 ) ( IN-CITY ?auto_2648 ?auto_2644 ) ( DIFFERENT ?auto_2648 ?auto_2659 ) ( LOCATION ?auto_2643 ) ( CITY ?auto_2650 ) ( IN-CITY ?auto_2643 ?auto_2650 ) ( IN-CITY ?auto_2659 ?auto_2650 ) ( DIFFERENT ?auto_2659 ?auto_2643 ) ( LOCATION ?auto_2660 ) ( CITY ?auto_2645 ) ( AT ?auto_2661 ?auto_2660 ) ( IN-CITY ?auto_2660 ?auto_2645 ) ( IN-CITY ?auto_2643 ?auto_2645 ) ( DIFFERENT ?auto_2643 ?auto_2660 ) ( AIRPLANE ?auto_2657 ) ( AIRPORT ?auto_2655 ) ( AIRPORT ?auto_2648 ) ( DIFFERENT ?auto_2648 ?auto_2655 ) ( LOCATION ?auto_2655 ) ( TRUCK ?auto_2653 ) ( LOCATION ?auto_2647 ) ( CITY ?auto_2658 ) ( IN-CITY ?auto_2647 ?auto_2658 ) ( IN-CITY ?auto_2655 ?auto_2658 ) ( DIFFERENT ?auto_2655 ?auto_2647 ) ( LOCATION ?auto_2654 ) ( CITY ?auto_2642 ) ( AT ?auto_2653 ?auto_2654 ) ( IN-CITY ?auto_2654 ?auto_2642 ) ( IN-CITY ?auto_2647 ?auto_2642 ) ( DIFFERENT ?auto_2647 ?auto_2654 ) ( LOCATION ?auto_2649 ) ( AT ?auto_2653 ?auto_2649 ) ( AT ?auto_2640 ?auto_2649 ) ( AIRPORT ?auto_2663 ) ( AT ?auto_2657 ?auto_2663 ) ( DIFFERENT ?auto_2655 ?auto_2663 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2657 ?auto_2663 ?auto_2655 )
      ( DELIVER-PKG ?auto_2640 ?auto_2641 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2665
      ?auto_2666
    )
    :vars
    (
      ?auto_2669
      ?auto_2670
      ?auto_2673
      ?auto_2667
      ?auto_2686
      ?auto_2685
      ?auto_2672
      ?auto_2668
      ?auto_2674
      ?auto_2680
      ?auto_2679
      ?auto_2677
      ?auto_2684
      ?auto_2682
      ?auto_2671
      ?auto_2675
      ?auto_2681
      ?auto_2689
      ?auto_2688
    )
    :precondition
    ( and ( OBJ ?auto_2665 ) ( LOCATION ?auto_2666 ) ( TRUCK ?auto_2669 ) ( LOCATION ?auto_2670 ) ( CITY ?auto_2673 ) ( IN-CITY ?auto_2670 ?auto_2673 ) ( IN-CITY ?auto_2666 ?auto_2673 ) ( DIFFERENT ?auto_2666 ?auto_2670 ) ( LOCATION ?auto_2667 ) ( CITY ?auto_2686 ) ( IN-CITY ?auto_2667 ?auto_2686 ) ( IN-CITY ?auto_2670 ?auto_2686 ) ( DIFFERENT ?auto_2670 ?auto_2667 ) ( LOCATION ?auto_2685 ) ( CITY ?auto_2672 ) ( IN-CITY ?auto_2685 ?auto_2672 ) ( IN-CITY ?auto_2667 ?auto_2672 ) ( DIFFERENT ?auto_2667 ?auto_2685 ) ( LOCATION ?auto_2668 ) ( CITY ?auto_2674 ) ( AT ?auto_2669 ?auto_2668 ) ( IN-CITY ?auto_2668 ?auto_2674 ) ( IN-CITY ?auto_2685 ?auto_2674 ) ( DIFFERENT ?auto_2685 ?auto_2668 ) ( AIRPLANE ?auto_2680 ) ( AIRPORT ?auto_2679 ) ( AIRPORT ?auto_2670 ) ( DIFFERENT ?auto_2670 ?auto_2679 ) ( LOCATION ?auto_2679 ) ( TRUCK ?auto_2677 ) ( LOCATION ?auto_2684 ) ( CITY ?auto_2682 ) ( IN-CITY ?auto_2684 ?auto_2682 ) ( IN-CITY ?auto_2679 ?auto_2682 ) ( DIFFERENT ?auto_2679 ?auto_2684 ) ( LOCATION ?auto_2671 ) ( CITY ?auto_2675 ) ( IN-CITY ?auto_2671 ?auto_2675 ) ( IN-CITY ?auto_2684 ?auto_2675 ) ( DIFFERENT ?auto_2684 ?auto_2671 ) ( AT ?auto_2665 ?auto_2671 ) ( AIRPORT ?auto_2681 ) ( AT ?auto_2680 ?auto_2681 ) ( DIFFERENT ?auto_2679 ?auto_2681 ) ( LOCATION ?auto_2689 ) ( CITY ?auto_2688 ) ( AT ?auto_2677 ?auto_2689 ) ( IN-CITY ?auto_2689 ?auto_2688 ) ( IN-CITY ?auto_2671 ?auto_2688 ) ( DIFFERENT ?auto_2671 ?auto_2689 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2677 ?auto_2689 ?auto_2671 ?auto_2688 )
      ( DELIVER-PKG ?auto_2665 ?auto_2666 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2691
      ?auto_2692
    )
    :vars
    (
      ?auto_2709
      ?auto_2710
      ?auto_2711
      ?auto_2701
      ?auto_2700
      ?auto_2695
      ?auto_2712
      ?auto_2708
      ?auto_2697
      ?auto_2702
      ?auto_2704
      ?auto_2696
      ?auto_2694
      ?auto_2707
      ?auto_2705
      ?auto_2713
      ?auto_2706
      ?auto_2703
      ?auto_2693
      ?auto_2716
      ?auto_2715
    )
    :precondition
    ( and ( OBJ ?auto_2691 ) ( LOCATION ?auto_2692 ) ( TRUCK ?auto_2709 ) ( LOCATION ?auto_2710 ) ( CITY ?auto_2711 ) ( IN-CITY ?auto_2710 ?auto_2711 ) ( IN-CITY ?auto_2692 ?auto_2711 ) ( DIFFERENT ?auto_2692 ?auto_2710 ) ( LOCATION ?auto_2701 ) ( CITY ?auto_2700 ) ( IN-CITY ?auto_2701 ?auto_2700 ) ( IN-CITY ?auto_2710 ?auto_2700 ) ( DIFFERENT ?auto_2710 ?auto_2701 ) ( LOCATION ?auto_2695 ) ( CITY ?auto_2712 ) ( IN-CITY ?auto_2695 ?auto_2712 ) ( IN-CITY ?auto_2701 ?auto_2712 ) ( DIFFERENT ?auto_2701 ?auto_2695 ) ( LOCATION ?auto_2708 ) ( CITY ?auto_2697 ) ( IN-CITY ?auto_2708 ?auto_2697 ) ( IN-CITY ?auto_2695 ?auto_2697 ) ( DIFFERENT ?auto_2695 ?auto_2708 ) ( AIRPLANE ?auto_2702 ) ( AIRPORT ?auto_2704 ) ( AIRPORT ?auto_2710 ) ( DIFFERENT ?auto_2710 ?auto_2704 ) ( LOCATION ?auto_2704 ) ( TRUCK ?auto_2696 ) ( LOCATION ?auto_2694 ) ( CITY ?auto_2707 ) ( IN-CITY ?auto_2694 ?auto_2707 ) ( IN-CITY ?auto_2704 ?auto_2707 ) ( DIFFERENT ?auto_2704 ?auto_2694 ) ( LOCATION ?auto_2705 ) ( CITY ?auto_2713 ) ( IN-CITY ?auto_2705 ?auto_2713 ) ( IN-CITY ?auto_2694 ?auto_2713 ) ( DIFFERENT ?auto_2694 ?auto_2705 ) ( AT ?auto_2691 ?auto_2705 ) ( AIRPORT ?auto_2706 ) ( AT ?auto_2702 ?auto_2706 ) ( DIFFERENT ?auto_2704 ?auto_2706 ) ( LOCATION ?auto_2703 ) ( CITY ?auto_2693 ) ( AT ?auto_2696 ?auto_2703 ) ( IN-CITY ?auto_2703 ?auto_2693 ) ( IN-CITY ?auto_2705 ?auto_2693 ) ( DIFFERENT ?auto_2705 ?auto_2703 ) ( LOCATION ?auto_2716 ) ( CITY ?auto_2715 ) ( AT ?auto_2709 ?auto_2716 ) ( IN-CITY ?auto_2716 ?auto_2715 ) ( IN-CITY ?auto_2708 ?auto_2715 ) ( DIFFERENT ?auto_2708 ?auto_2716 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2709 ?auto_2716 ?auto_2708 ?auto_2715 )
      ( DELIVER-PKG ?auto_2691 ?auto_2692 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3416
      ?auto_3417
    )
    :vars
    (
      ?auto_3419
      ?auto_3422
      ?auto_3424
    )
    :precondition
    ( and ( OBJ ?auto_3416 ) ( LOCATION ?auto_3417 ) ( AIRPLANE ?auto_3419 ) ( AIRPORT ?auto_3422 ) ( AIRPORT ?auto_3417 ) ( DIFFERENT ?auto_3417 ?auto_3422 ) ( LOCATION ?auto_3422 ) ( AT ?auto_3416 ?auto_3422 ) ( AIRPORT ?auto_3424 ) ( AT ?auto_3419 ?auto_3424 ) ( DIFFERENT ?auto_3422 ?auto_3424 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3419 ?auto_3424 ?auto_3422 )
      ( DELIVER-PKG ?auto_3416 ?auto_3417 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3454
      ?auto_3455
    )
    :vars
    (
      ?auto_3457
      ?auto_3456
      ?auto_3458
      ?auto_3462
    )
    :precondition
    ( and ( OBJ ?auto_3454 ) ( LOCATION ?auto_3455 ) ( AIRPLANE ?auto_3457 ) ( AIRPORT ?auto_3456 ) ( AIRPORT ?auto_3455 ) ( DIFFERENT ?auto_3455 ?auto_3456 ) ( LOCATION ?auto_3456 ) ( AT ?auto_3454 ?auto_3456 ) ( AIRPORT ?auto_3458 ) ( DIFFERENT ?auto_3456 ?auto_3458 ) ( AIRPORT ?auto_3462 ) ( AT ?auto_3457 ?auto_3462 ) ( DIFFERENT ?auto_3458 ?auto_3462 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3457 ?auto_3462 ?auto_3458 )
      ( DELIVER-PKG ?auto_3454 ?auto_3455 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3925
      ?auto_3926
    )
    :vars
    (
      ?auto_3929
      ?auto_3931
    )
    :precondition
    ( and ( OBJ ?auto_3925 ) ( LOCATION ?auto_3926 ) ( AIRPLANE ?auto_3929 ) ( AT ?auto_3929 ?auto_3926 ) ( LOCATION ?auto_3931 ) ( AT ?auto_3925 ?auto_3931 ) ( AT ?auto_3929 ?auto_3931 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3925 ?auto_3929 ?auto_3931 )
      ( DELIVER-PKG ?auto_3925 ?auto_3926 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3945
      ?auto_3946
    )
    :vars
    (
      ?auto_3949
      ?auto_3950
      ?auto_3953
    )
    :precondition
    ( and ( OBJ ?auto_3945 ) ( LOCATION ?auto_3946 ) ( AIRPLANE ?auto_3949 ) ( AT ?auto_3949 ?auto_3946 ) ( LOCATION ?auto_3950 ) ( AT ?auto_3949 ?auto_3950 ) ( AIRPLANE ?auto_3953 ) ( IN ?auto_3945 ?auto_3953 ) ( AT ?auto_3953 ?auto_3950 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3945 ?auto_3950 )
      ( DELIVER-PKG ?auto_3945 ?auto_3946 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3968
      ?auto_3969
    )
    :vars
    (
      ?auto_3970
      ?auto_3971
      ?auto_3974
      ?auto_3976
    )
    :precondition
    ( and ( OBJ ?auto_3968 ) ( LOCATION ?auto_3969 ) ( AIRPLANE ?auto_3970 ) ( AT ?auto_3970 ?auto_3969 ) ( LOCATION ?auto_3971 ) ( AT ?auto_3970 ?auto_3971 ) ( AIRPLANE ?auto_3974 ) ( IN ?auto_3968 ?auto_3974 ) ( AIRPORT ?auto_3976 ) ( AIRPORT ?auto_3971 ) ( AT ?auto_3974 ?auto_3976 ) ( DIFFERENT ?auto_3971 ?auto_3976 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3974 ?auto_3976 ?auto_3971 )
      ( DELIVER-PKG ?auto_3968 ?auto_3969 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3994
      ?auto_3995
    )
    :vars
    (
      ?auto_4000
      ?auto_3996
      ?auto_3998
      ?auto_4001
      ?auto_4003
    )
    :precondition
    ( and ( OBJ ?auto_3994 ) ( LOCATION ?auto_3995 ) ( AIRPLANE ?auto_4000 ) ( AT ?auto_4000 ?auto_3995 ) ( LOCATION ?auto_3996 ) ( AT ?auto_4000 ?auto_3996 ) ( AIRPLANE ?auto_3998 ) ( AIRPORT ?auto_4001 ) ( AIRPORT ?auto_3996 ) ( AT ?auto_3998 ?auto_4001 ) ( DIFFERENT ?auto_3996 ?auto_4001 ) ( LOCATION ?auto_4003 ) ( AT ?auto_3994 ?auto_4003 ) ( AT ?auto_3998 ?auto_4003 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3994 ?auto_3998 ?auto_4003 )
      ( DELIVER-PKG ?auto_3994 ?auto_3995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4023
      ?auto_4024
    )
    :vars
    (
      ?auto_4027
      ?auto_4025
      ?auto_4026
      ?auto_4031
      ?auto_4033
    )
    :precondition
    ( and ( OBJ ?auto_4023 ) ( LOCATION ?auto_4024 ) ( AIRPLANE ?auto_4027 ) ( AT ?auto_4027 ?auto_4024 ) ( LOCATION ?auto_4025 ) ( AT ?auto_4027 ?auto_4025 ) ( AIRPLANE ?auto_4026 ) ( AIRPORT ?auto_4031 ) ( AIRPORT ?auto_4025 ) ( DIFFERENT ?auto_4025 ?auto_4031 ) ( LOCATION ?auto_4031 ) ( AT ?auto_4023 ?auto_4031 ) ( AIRPORT ?auto_4033 ) ( AT ?auto_4026 ?auto_4033 ) ( DIFFERENT ?auto_4031 ?auto_4033 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4026 ?auto_4033 ?auto_4031 )
      ( DELIVER-PKG ?auto_4023 ?auto_4024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4071
      ?auto_4072
    )
    :vars
    (
      ?auto_4078
      ?auto_4076
      ?auto_4075
      ?auto_4077
      ?auto_4079
      ?auto_4081
    )
    :precondition
    ( and ( OBJ ?auto_4071 ) ( LOCATION ?auto_4072 ) ( AIRPLANE ?auto_4078 ) ( AT ?auto_4078 ?auto_4072 ) ( LOCATION ?auto_4076 ) ( AT ?auto_4078 ?auto_4076 ) ( AIRPLANE ?auto_4075 ) ( AIRPORT ?auto_4077 ) ( AIRPORT ?auto_4076 ) ( DIFFERENT ?auto_4076 ?auto_4077 ) ( LOCATION ?auto_4077 ) ( AT ?auto_4071 ?auto_4077 ) ( AIRPORT ?auto_4079 ) ( DIFFERENT ?auto_4077 ?auto_4079 ) ( AIRPORT ?auto_4081 ) ( AT ?auto_4075 ?auto_4081 ) ( DIFFERENT ?auto_4079 ?auto_4081 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4075 ?auto_4081 ?auto_4079 )
      ( DELIVER-PKG ?auto_4071 ?auto_4072 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4490
      ?auto_4491
    )
    :vars
    (
      ?auto_4494
      ?auto_4495
      ?auto_4496
      ?auto_4497
      ?auto_4499
      ?auto_4498
      ?auto_4501
    )
    :precondition
    ( and ( OBJ ?auto_4490 ) ( LOCATION ?auto_4491 ) ( AIRPLANE ?auto_4494 ) ( AIRPORT ?auto_4495 ) ( AIRPORT ?auto_4491 ) ( AT ?auto_4494 ?auto_4495 ) ( DIFFERENT ?auto_4491 ?auto_4495 ) ( LOCATION ?auto_4496 ) ( AT ?auto_4494 ?auto_4496 ) ( TRUCK ?auto_4497 ) ( LOCATION ?auto_4499 ) ( CITY ?auto_4498 ) ( AT ?auto_4497 ?auto_4499 ) ( IN-CITY ?auto_4499 ?auto_4498 ) ( IN-CITY ?auto_4496 ?auto_4498 ) ( DIFFERENT ?auto_4496 ?auto_4499 ) ( LOCATION ?auto_4501 ) ( AT ?auto_4497 ?auto_4501 ) ( AT ?auto_4490 ?auto_4501 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4490 ?auto_4497 ?auto_4501 )
      ( DELIVER-PKG ?auto_4490 ?auto_4491 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4525
      ?auto_4526
    )
    :vars
    (
      ?auto_4530
      ?auto_4531
      ?auto_4532
      ?auto_4533
      ?auto_4529
      ?auto_4534
      ?auto_4538
      ?auto_4537
    )
    :precondition
    ( and ( OBJ ?auto_4525 ) ( LOCATION ?auto_4526 ) ( AIRPLANE ?auto_4530 ) ( AIRPORT ?auto_4531 ) ( AIRPORT ?auto_4526 ) ( AT ?auto_4530 ?auto_4531 ) ( DIFFERENT ?auto_4526 ?auto_4531 ) ( LOCATION ?auto_4532 ) ( AT ?auto_4530 ?auto_4532 ) ( TRUCK ?auto_4533 ) ( LOCATION ?auto_4529 ) ( CITY ?auto_4534 ) ( IN-CITY ?auto_4529 ?auto_4534 ) ( IN-CITY ?auto_4532 ?auto_4534 ) ( DIFFERENT ?auto_4532 ?auto_4529 ) ( AT ?auto_4525 ?auto_4529 ) ( LOCATION ?auto_4538 ) ( CITY ?auto_4537 ) ( AT ?auto_4533 ?auto_4538 ) ( IN-CITY ?auto_4538 ?auto_4537 ) ( IN-CITY ?auto_4529 ?auto_4537 ) ( DIFFERENT ?auto_4529 ?auto_4538 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4533 ?auto_4538 ?auto_4529 ?auto_4537 )
      ( DELIVER-PKG ?auto_4525 ?auto_4526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4540
      ?auto_4541
    )
    :vars
    (
      ?auto_4543
      ?auto_4546
      ?auto_4547
      ?auto_4542
      ?auto_4548
      ?auto_4551
      ?auto_4550
      ?auto_4553
    )
    :precondition
    ( and ( OBJ ?auto_4540 ) ( LOCATION ?auto_4541 ) ( AIRPLANE ?auto_4543 ) ( AIRPORT ?auto_4546 ) ( AIRPORT ?auto_4541 ) ( DIFFERENT ?auto_4541 ?auto_4546 ) ( LOCATION ?auto_4546 ) ( TRUCK ?auto_4547 ) ( LOCATION ?auto_4542 ) ( CITY ?auto_4548 ) ( IN-CITY ?auto_4542 ?auto_4548 ) ( IN-CITY ?auto_4546 ?auto_4548 ) ( DIFFERENT ?auto_4546 ?auto_4542 ) ( AT ?auto_4540 ?auto_4542 ) ( LOCATION ?auto_4551 ) ( CITY ?auto_4550 ) ( AT ?auto_4547 ?auto_4551 ) ( IN-CITY ?auto_4551 ?auto_4550 ) ( IN-CITY ?auto_4542 ?auto_4550 ) ( DIFFERENT ?auto_4542 ?auto_4551 ) ( AIRPORT ?auto_4553 ) ( AT ?auto_4543 ?auto_4553 ) ( DIFFERENT ?auto_4546 ?auto_4553 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4543 ?auto_4553 ?auto_4546 )
      ( DELIVER-PKG ?auto_4540 ?auto_4541 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5222
      ?auto_5223
    )
    :vars
    (
      ?auto_5224
      ?auto_5227
      ?auto_5228
      ?auto_5229
    )
    :precondition
    ( and ( OBJ ?auto_5222 ) ( LOCATION ?auto_5223 ) ( AIRPLANE ?auto_5224 ) ( AIRPORT ?auto_5227 ) ( AIRPORT ?auto_5223 ) ( DIFFERENT ?auto_5223 ?auto_5227 ) ( LOCATION ?auto_5227 ) ( AIRPORT ?auto_5228 ) ( AT ?auto_5224 ?auto_5228 ) ( DIFFERENT ?auto_5227 ?auto_5228 ) ( TRUCK ?auto_5229 ) ( AT ?auto_5229 ?auto_5227 ) ( IN ?auto_5222 ?auto_5229 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5222 ?auto_5227 )
      ( DELIVER-PKG ?auto_5222 ?auto_5223 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5232
      ?auto_5233
    )
    :vars
    (
      ?auto_5236
      ?auto_5238
      ?auto_5239
      ?auto_5237
      ?auto_5241
    )
    :precondition
    ( and ( OBJ ?auto_5232 ) ( LOCATION ?auto_5233 ) ( AIRPLANE ?auto_5236 ) ( AIRPORT ?auto_5238 ) ( AIRPORT ?auto_5233 ) ( DIFFERENT ?auto_5233 ?auto_5238 ) ( LOCATION ?auto_5238 ) ( AIRPORT ?auto_5239 ) ( DIFFERENT ?auto_5238 ?auto_5239 ) ( TRUCK ?auto_5237 ) ( AT ?auto_5237 ?auto_5238 ) ( IN ?auto_5232 ?auto_5237 ) ( AIRPORT ?auto_5241 ) ( AT ?auto_5236 ?auto_5241 ) ( DIFFERENT ?auto_5239 ?auto_5241 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5236 ?auto_5241 ?auto_5239 )
      ( DELIVER-PKG ?auto_5232 ?auto_5233 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5252
      ?auto_5253
    )
    :vars
    (
      ?auto_5254
      ?auto_5257
      ?auto_5256
      ?auto_5259
      ?auto_5258
      ?auto_5263
      ?auto_5262
    )
    :precondition
    ( and ( OBJ ?auto_5252 ) ( LOCATION ?auto_5253 ) ( AIRPLANE ?auto_5254 ) ( AIRPORT ?auto_5257 ) ( AIRPORT ?auto_5253 ) ( DIFFERENT ?auto_5253 ?auto_5257 ) ( LOCATION ?auto_5257 ) ( AIRPORT ?auto_5256 ) ( DIFFERENT ?auto_5257 ?auto_5256 ) ( TRUCK ?auto_5259 ) ( IN ?auto_5252 ?auto_5259 ) ( AIRPORT ?auto_5258 ) ( AT ?auto_5254 ?auto_5258 ) ( DIFFERENT ?auto_5256 ?auto_5258 ) ( LOCATION ?auto_5263 ) ( CITY ?auto_5262 ) ( AT ?auto_5259 ?auto_5263 ) ( IN-CITY ?auto_5263 ?auto_5262 ) ( IN-CITY ?auto_5257 ?auto_5262 ) ( DIFFERENT ?auto_5257 ?auto_5263 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5259 ?auto_5263 ?auto_5257 ?auto_5262 )
      ( DELIVER-PKG ?auto_5252 ?auto_5253 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5287
      ?auto_5288
    )
    :vars
    (
      ?auto_5295
      ?auto_5294
      ?auto_5290
      ?auto_5289
      ?auto_5291
      ?auto_5297
      ?auto_5293
      ?auto_5300
      ?auto_5299
    )
    :precondition
    ( and ( OBJ ?auto_5287 ) ( LOCATION ?auto_5288 ) ( AIRPLANE ?auto_5295 ) ( AIRPORT ?auto_5294 ) ( AIRPORT ?auto_5288 ) ( DIFFERENT ?auto_5288 ?auto_5294 ) ( LOCATION ?auto_5294 ) ( AIRPORT ?auto_5290 ) ( DIFFERENT ?auto_5294 ?auto_5290 ) ( TRUCK ?auto_5289 ) ( IN ?auto_5287 ?auto_5289 ) ( AIRPORT ?auto_5291 ) ( AT ?auto_5295 ?auto_5291 ) ( DIFFERENT ?auto_5290 ?auto_5291 ) ( LOCATION ?auto_5297 ) ( CITY ?auto_5293 ) ( IN-CITY ?auto_5297 ?auto_5293 ) ( IN-CITY ?auto_5294 ?auto_5293 ) ( DIFFERENT ?auto_5294 ?auto_5297 ) ( LOCATION ?auto_5300 ) ( CITY ?auto_5299 ) ( AT ?auto_5289 ?auto_5300 ) ( IN-CITY ?auto_5300 ?auto_5299 ) ( IN-CITY ?auto_5297 ?auto_5299 ) ( DIFFERENT ?auto_5297 ?auto_5300 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5289 ?auto_5300 ?auto_5297 ?auto_5299 )
      ( DELIVER-PKG ?auto_5287 ?auto_5288 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5302
      ?auto_5303
    )
    :vars
    (
      ?auto_5311
      ?auto_5310
      ?auto_5307
      ?auto_5306
      ?auto_5308
      ?auto_5312
      ?auto_5309
      ?auto_5314
      ?auto_5313
      ?auto_5316
    )
    :precondition
    ( and ( OBJ ?auto_5302 ) ( LOCATION ?auto_5303 ) ( AIRPLANE ?auto_5311 ) ( AIRPORT ?auto_5310 ) ( AIRPORT ?auto_5303 ) ( DIFFERENT ?auto_5303 ?auto_5310 ) ( LOCATION ?auto_5310 ) ( AIRPORT ?auto_5307 ) ( DIFFERENT ?auto_5310 ?auto_5307 ) ( TRUCK ?auto_5306 ) ( IN ?auto_5302 ?auto_5306 ) ( AIRPORT ?auto_5308 ) ( DIFFERENT ?auto_5307 ?auto_5308 ) ( LOCATION ?auto_5312 ) ( CITY ?auto_5309 ) ( IN-CITY ?auto_5312 ?auto_5309 ) ( IN-CITY ?auto_5310 ?auto_5309 ) ( DIFFERENT ?auto_5310 ?auto_5312 ) ( LOCATION ?auto_5314 ) ( CITY ?auto_5313 ) ( AT ?auto_5306 ?auto_5314 ) ( IN-CITY ?auto_5314 ?auto_5313 ) ( IN-CITY ?auto_5312 ?auto_5313 ) ( DIFFERENT ?auto_5312 ?auto_5314 ) ( AIRPORT ?auto_5316 ) ( AT ?auto_5311 ?auto_5316 ) ( DIFFERENT ?auto_5308 ?auto_5316 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5311 ?auto_5316 ?auto_5308 )
      ( DELIVER-PKG ?auto_5302 ?auto_5303 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5346
      ?auto_5347
    )
    :vars
    (
      ?auto_5358
      ?auto_5351
      ?auto_5356
      ?auto_5359
      ?auto_5349
      ?auto_5354
      ?auto_5350
      ?auto_5353
      ?auto_5352
      ?auto_5355
      ?auto_5361
    )
    :precondition
    ( and ( OBJ ?auto_5346 ) ( LOCATION ?auto_5347 ) ( AIRPLANE ?auto_5358 ) ( AIRPORT ?auto_5351 ) ( AIRPORT ?auto_5347 ) ( DIFFERENT ?auto_5347 ?auto_5351 ) ( LOCATION ?auto_5351 ) ( AIRPORT ?auto_5356 ) ( DIFFERENT ?auto_5351 ?auto_5356 ) ( TRUCK ?auto_5359 ) ( AIRPORT ?auto_5349 ) ( DIFFERENT ?auto_5356 ?auto_5349 ) ( LOCATION ?auto_5354 ) ( CITY ?auto_5350 ) ( IN-CITY ?auto_5354 ?auto_5350 ) ( IN-CITY ?auto_5351 ?auto_5350 ) ( DIFFERENT ?auto_5351 ?auto_5354 ) ( LOCATION ?auto_5353 ) ( CITY ?auto_5352 ) ( AT ?auto_5359 ?auto_5353 ) ( IN-CITY ?auto_5353 ?auto_5352 ) ( IN-CITY ?auto_5354 ?auto_5352 ) ( DIFFERENT ?auto_5354 ?auto_5353 ) ( AIRPORT ?auto_5355 ) ( AT ?auto_5358 ?auto_5355 ) ( DIFFERENT ?auto_5349 ?auto_5355 ) ( LOCATION ?auto_5361 ) ( AT ?auto_5359 ?auto_5361 ) ( AT ?auto_5346 ?auto_5361 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5346 ?auto_5359 ?auto_5361 )
      ( DELIVER-PKG ?auto_5346 ?auto_5347 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5378
      ?auto_5379
    )
    :vars
    (
      ?auto_5381
      ?auto_5387
      ?auto_5382
      ?auto_5383
      ?auto_5386
      ?auto_5390
      ?auto_5380
      ?auto_5389
      ?auto_5388
      ?auto_5391
      ?auto_5392
      ?auto_5394
    )
    :precondition
    ( and ( OBJ ?auto_5378 ) ( LOCATION ?auto_5379 ) ( AIRPLANE ?auto_5381 ) ( AIRPORT ?auto_5387 ) ( AIRPORT ?auto_5379 ) ( DIFFERENT ?auto_5379 ?auto_5387 ) ( LOCATION ?auto_5387 ) ( AIRPORT ?auto_5382 ) ( DIFFERENT ?auto_5387 ?auto_5382 ) ( TRUCK ?auto_5383 ) ( AIRPORT ?auto_5386 ) ( DIFFERENT ?auto_5382 ?auto_5386 ) ( LOCATION ?auto_5390 ) ( CITY ?auto_5380 ) ( IN-CITY ?auto_5390 ?auto_5380 ) ( IN-CITY ?auto_5387 ?auto_5380 ) ( DIFFERENT ?auto_5387 ?auto_5390 ) ( LOCATION ?auto_5389 ) ( CITY ?auto_5388 ) ( AT ?auto_5383 ?auto_5389 ) ( IN-CITY ?auto_5389 ?auto_5388 ) ( IN-CITY ?auto_5390 ?auto_5388 ) ( DIFFERENT ?auto_5390 ?auto_5389 ) ( AIRPORT ?auto_5391 ) ( DIFFERENT ?auto_5386 ?auto_5391 ) ( LOCATION ?auto_5392 ) ( AT ?auto_5383 ?auto_5392 ) ( AT ?auto_5378 ?auto_5392 ) ( AIRPORT ?auto_5394 ) ( AT ?auto_5381 ?auto_5394 ) ( DIFFERENT ?auto_5391 ?auto_5394 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5381 ?auto_5394 ?auto_5391 )
      ( DELIVER-PKG ?auto_5378 ?auto_5379 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5498
      ?auto_5499
    )
    :vars
    (
      ?auto_5501
      ?auto_5506
      ?auto_5507
      ?auto_5504
      ?auto_5502
      ?auto_5508
      ?auto_5510
    )
    :precondition
    ( and ( OBJ ?auto_5498 ) ( LOCATION ?auto_5499 ) ( AIRPLANE ?auto_5501 ) ( AIRPORT ?auto_5506 ) ( AIRPORT ?auto_5499 ) ( DIFFERENT ?auto_5499 ?auto_5506 ) ( LOCATION ?auto_5506 ) ( TRUCK ?auto_5507 ) ( LOCATION ?auto_5504 ) ( CITY ?auto_5502 ) ( AT ?auto_5507 ?auto_5504 ) ( IN-CITY ?auto_5504 ?auto_5502 ) ( IN-CITY ?auto_5506 ?auto_5502 ) ( DIFFERENT ?auto_5506 ?auto_5504 ) ( LOCATION ?auto_5508 ) ( AT ?auto_5507 ?auto_5508 ) ( AT ?auto_5498 ?auto_5508 ) ( AIRPORT ?auto_5510 ) ( AT ?auto_5501 ?auto_5510 ) ( DIFFERENT ?auto_5506 ?auto_5510 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5501 ?auto_5510 ?auto_5506 )
      ( DELIVER-PKG ?auto_5498 ?auto_5499 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5534
      ?auto_5535
    )
    :vars
    (
      ?auto_5544
      ?auto_5543
      ?auto_5541
      ?auto_5539
      ?auto_5536
      ?auto_5540
      ?auto_5547
      ?auto_5546
    )
    :precondition
    ( and ( OBJ ?auto_5534 ) ( LOCATION ?auto_5535 ) ( AIRPLANE ?auto_5544 ) ( AIRPORT ?auto_5543 ) ( AIRPORT ?auto_5535 ) ( DIFFERENT ?auto_5535 ?auto_5543 ) ( LOCATION ?auto_5543 ) ( TRUCK ?auto_5541 ) ( LOCATION ?auto_5539 ) ( CITY ?auto_5536 ) ( IN-CITY ?auto_5539 ?auto_5536 ) ( IN-CITY ?auto_5543 ?auto_5536 ) ( DIFFERENT ?auto_5543 ?auto_5539 ) ( AT ?auto_5534 ?auto_5539 ) ( AIRPORT ?auto_5540 ) ( AT ?auto_5544 ?auto_5540 ) ( DIFFERENT ?auto_5543 ?auto_5540 ) ( LOCATION ?auto_5547 ) ( CITY ?auto_5546 ) ( AT ?auto_5541 ?auto_5547 ) ( IN-CITY ?auto_5547 ?auto_5546 ) ( IN-CITY ?auto_5539 ?auto_5546 ) ( DIFFERENT ?auto_5539 ?auto_5547 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5541 ?auto_5547 ?auto_5539 ?auto_5546 )
      ( DELIVER-PKG ?auto_5534 ?auto_5535 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5585
      ?auto_5586
    )
    :vars
    (
      ?auto_5591
      ?auto_5590
      ?auto_5589
      ?auto_5587
      ?auto_5593
      ?auto_5588
      ?auto_5596
      ?auto_5595
      ?auto_5598
    )
    :precondition
    ( and ( OBJ ?auto_5585 ) ( LOCATION ?auto_5586 ) ( AIRPLANE ?auto_5591 ) ( AIRPORT ?auto_5590 ) ( AIRPORT ?auto_5586 ) ( DIFFERENT ?auto_5586 ?auto_5590 ) ( LOCATION ?auto_5590 ) ( TRUCK ?auto_5589 ) ( LOCATION ?auto_5587 ) ( CITY ?auto_5593 ) ( IN-CITY ?auto_5587 ?auto_5593 ) ( IN-CITY ?auto_5590 ?auto_5593 ) ( DIFFERENT ?auto_5590 ?auto_5587 ) ( AT ?auto_5585 ?auto_5587 ) ( AIRPORT ?auto_5588 ) ( DIFFERENT ?auto_5590 ?auto_5588 ) ( LOCATION ?auto_5596 ) ( CITY ?auto_5595 ) ( AT ?auto_5589 ?auto_5596 ) ( IN-CITY ?auto_5596 ?auto_5595 ) ( IN-CITY ?auto_5587 ?auto_5595 ) ( DIFFERENT ?auto_5587 ?auto_5596 ) ( AIRPORT ?auto_5598 ) ( AT ?auto_5591 ?auto_5598 ) ( DIFFERENT ?auto_5588 ?auto_5598 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5591 ?auto_5598 ?auto_5588 )
      ( DELIVER-PKG ?auto_5585 ?auto_5586 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5613
      ?auto_5614
    )
    :vars
    (
      ?auto_5621
      ?auto_5620
      ?auto_5618
      ?auto_5615
      ?auto_5622
      ?auto_5617
      ?auto_5624
      ?auto_5623
      ?auto_5625
      ?auto_5628
      ?auto_5627
    )
    :precondition
    ( and ( OBJ ?auto_5613 ) ( LOCATION ?auto_5614 ) ( AIRPLANE ?auto_5621 ) ( AIRPORT ?auto_5620 ) ( AIRPORT ?auto_5614 ) ( DIFFERENT ?auto_5614 ?auto_5620 ) ( LOCATION ?auto_5620 ) ( TRUCK ?auto_5618 ) ( LOCATION ?auto_5615 ) ( CITY ?auto_5622 ) ( IN-CITY ?auto_5615 ?auto_5622 ) ( IN-CITY ?auto_5620 ?auto_5622 ) ( DIFFERENT ?auto_5620 ?auto_5615 ) ( AT ?auto_5613 ?auto_5615 ) ( AIRPORT ?auto_5617 ) ( DIFFERENT ?auto_5620 ?auto_5617 ) ( LOCATION ?auto_5624 ) ( CITY ?auto_5623 ) ( IN-CITY ?auto_5624 ?auto_5623 ) ( IN-CITY ?auto_5615 ?auto_5623 ) ( DIFFERENT ?auto_5615 ?auto_5624 ) ( AIRPORT ?auto_5625 ) ( AT ?auto_5621 ?auto_5625 ) ( DIFFERENT ?auto_5617 ?auto_5625 ) ( LOCATION ?auto_5628 ) ( CITY ?auto_5627 ) ( AT ?auto_5618 ?auto_5628 ) ( IN-CITY ?auto_5628 ?auto_5627 ) ( IN-CITY ?auto_5624 ?auto_5627 ) ( DIFFERENT ?auto_5624 ?auto_5628 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5618 ?auto_5628 ?auto_5624 ?auto_5627 )
      ( DELIVER-PKG ?auto_5613 ?auto_5614 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5660
      ?auto_5661
    )
    :vars
    (
      ?auto_5669
      ?auto_5668
      ?auto_5664
      ?auto_5672
      ?auto_5665
      ?auto_5670
      ?auto_5667
      ?auto_5666
      ?auto_5671
      ?auto_5674
      ?auto_5673
      ?auto_5677
      ?auto_5676
    )
    :precondition
    ( and ( OBJ ?auto_5660 ) ( LOCATION ?auto_5661 ) ( AIRPLANE ?auto_5669 ) ( AIRPORT ?auto_5668 ) ( AIRPORT ?auto_5661 ) ( DIFFERENT ?auto_5661 ?auto_5668 ) ( LOCATION ?auto_5668 ) ( TRUCK ?auto_5664 ) ( LOCATION ?auto_5672 ) ( CITY ?auto_5665 ) ( IN-CITY ?auto_5672 ?auto_5665 ) ( IN-CITY ?auto_5668 ?auto_5665 ) ( DIFFERENT ?auto_5668 ?auto_5672 ) ( AT ?auto_5660 ?auto_5672 ) ( AIRPORT ?auto_5670 ) ( DIFFERENT ?auto_5668 ?auto_5670 ) ( LOCATION ?auto_5667 ) ( CITY ?auto_5666 ) ( IN-CITY ?auto_5667 ?auto_5666 ) ( IN-CITY ?auto_5672 ?auto_5666 ) ( DIFFERENT ?auto_5672 ?auto_5667 ) ( AIRPORT ?auto_5671 ) ( AT ?auto_5669 ?auto_5671 ) ( DIFFERENT ?auto_5670 ?auto_5671 ) ( LOCATION ?auto_5674 ) ( CITY ?auto_5673 ) ( IN-CITY ?auto_5674 ?auto_5673 ) ( IN-CITY ?auto_5667 ?auto_5673 ) ( DIFFERENT ?auto_5667 ?auto_5674 ) ( LOCATION ?auto_5677 ) ( CITY ?auto_5676 ) ( AT ?auto_5664 ?auto_5677 ) ( IN-CITY ?auto_5677 ?auto_5676 ) ( IN-CITY ?auto_5674 ?auto_5676 ) ( DIFFERENT ?auto_5674 ?auto_5677 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5664 ?auto_5677 ?auto_5674 ?auto_5676 )
      ( DELIVER-PKG ?auto_5660 ?auto_5661 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5679
      ?auto_5680
    )
    :vars
    (
      ?auto_5688
      ?auto_5687
      ?auto_5682
      ?auto_5691
      ?auto_5684
      ?auto_5689
      ?auto_5686
      ?auto_5685
      ?auto_5690
      ?auto_5693
      ?auto_5692
      ?auto_5695
      ?auto_5694
      ?auto_5697
    )
    :precondition
    ( and ( OBJ ?auto_5679 ) ( LOCATION ?auto_5680 ) ( AIRPLANE ?auto_5688 ) ( AIRPORT ?auto_5687 ) ( AIRPORT ?auto_5680 ) ( DIFFERENT ?auto_5680 ?auto_5687 ) ( LOCATION ?auto_5687 ) ( TRUCK ?auto_5682 ) ( LOCATION ?auto_5691 ) ( CITY ?auto_5684 ) ( IN-CITY ?auto_5691 ?auto_5684 ) ( IN-CITY ?auto_5687 ?auto_5684 ) ( DIFFERENT ?auto_5687 ?auto_5691 ) ( AT ?auto_5679 ?auto_5691 ) ( AIRPORT ?auto_5689 ) ( DIFFERENT ?auto_5687 ?auto_5689 ) ( LOCATION ?auto_5686 ) ( CITY ?auto_5685 ) ( IN-CITY ?auto_5686 ?auto_5685 ) ( IN-CITY ?auto_5691 ?auto_5685 ) ( DIFFERENT ?auto_5691 ?auto_5686 ) ( AIRPORT ?auto_5690 ) ( DIFFERENT ?auto_5689 ?auto_5690 ) ( LOCATION ?auto_5693 ) ( CITY ?auto_5692 ) ( IN-CITY ?auto_5693 ?auto_5692 ) ( IN-CITY ?auto_5686 ?auto_5692 ) ( DIFFERENT ?auto_5686 ?auto_5693 ) ( LOCATION ?auto_5695 ) ( CITY ?auto_5694 ) ( AT ?auto_5682 ?auto_5695 ) ( IN-CITY ?auto_5695 ?auto_5694 ) ( IN-CITY ?auto_5693 ?auto_5694 ) ( DIFFERENT ?auto_5693 ?auto_5695 ) ( AIRPORT ?auto_5697 ) ( AT ?auto_5688 ?auto_5697 ) ( DIFFERENT ?auto_5690 ?auto_5697 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5688 ?auto_5697 ?auto_5690 )
      ( DELIVER-PKG ?auto_5679 ?auto_5680 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5771
      ?auto_5772
    )
    :vars
    (
      ?auto_5774
      ?auto_5775
      ?auto_5785
      ?auto_5784
      ?auto_5788
      ?auto_5777
      ?auto_5781
      ?auto_5776
      ?auto_5778
      ?auto_5780
      ?auto_5787
      ?auto_5783
      ?auto_5779
      ?auto_5782
      ?auto_5790
    )
    :precondition
    ( and ( OBJ ?auto_5771 ) ( LOCATION ?auto_5772 ) ( AIRPLANE ?auto_5774 ) ( AIRPORT ?auto_5775 ) ( AIRPORT ?auto_5772 ) ( DIFFERENT ?auto_5772 ?auto_5775 ) ( LOCATION ?auto_5775 ) ( TRUCK ?auto_5785 ) ( LOCATION ?auto_5784 ) ( CITY ?auto_5788 ) ( IN-CITY ?auto_5784 ?auto_5788 ) ( IN-CITY ?auto_5775 ?auto_5788 ) ( DIFFERENT ?auto_5775 ?auto_5784 ) ( AT ?auto_5771 ?auto_5784 ) ( AIRPORT ?auto_5777 ) ( DIFFERENT ?auto_5775 ?auto_5777 ) ( LOCATION ?auto_5781 ) ( CITY ?auto_5776 ) ( IN-CITY ?auto_5781 ?auto_5776 ) ( IN-CITY ?auto_5784 ?auto_5776 ) ( DIFFERENT ?auto_5784 ?auto_5781 ) ( AIRPORT ?auto_5778 ) ( DIFFERENT ?auto_5777 ?auto_5778 ) ( LOCATION ?auto_5780 ) ( CITY ?auto_5787 ) ( IN-CITY ?auto_5780 ?auto_5787 ) ( IN-CITY ?auto_5781 ?auto_5787 ) ( DIFFERENT ?auto_5781 ?auto_5780 ) ( LOCATION ?auto_5783 ) ( CITY ?auto_5779 ) ( AT ?auto_5785 ?auto_5783 ) ( IN-CITY ?auto_5783 ?auto_5779 ) ( IN-CITY ?auto_5780 ?auto_5779 ) ( DIFFERENT ?auto_5780 ?auto_5783 ) ( AIRPORT ?auto_5782 ) ( DIFFERENT ?auto_5778 ?auto_5782 ) ( AIRPORT ?auto_5790 ) ( AT ?auto_5774 ?auto_5790 ) ( DIFFERENT ?auto_5782 ?auto_5790 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5774 ?auto_5790 ?auto_5782 )
      ( DELIVER-PKG ?auto_5771 ?auto_5772 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6150
      ?auto_6151
    )
    :vars
    (
      ?auto_6154
      ?auto_6156
      ?auto_6158
      ?auto_6159
      ?auto_6157
      ?auto_6160
      ?auto_6162
    )
    :precondition
    ( and ( OBJ ?auto_6150 ) ( LOCATION ?auto_6151 ) ( TRUCK ?auto_6154 ) ( LOCATION ?auto_6156 ) ( CITY ?auto_6158 ) ( AT ?auto_6154 ?auto_6156 ) ( IN-CITY ?auto_6156 ?auto_6158 ) ( IN-CITY ?auto_6151 ?auto_6158 ) ( DIFFERENT ?auto_6151 ?auto_6156 ) ( LOCATION ?auto_6159 ) ( AT ?auto_6154 ?auto_6159 ) ( AIRPLANE ?auto_6157 ) ( AIRPORT ?auto_6160 ) ( AIRPORT ?auto_6159 ) ( DIFFERENT ?auto_6159 ?auto_6160 ) ( LOCATION ?auto_6160 ) ( AT ?auto_6150 ?auto_6160 ) ( AIRPORT ?auto_6162 ) ( AT ?auto_6157 ?auto_6162 ) ( DIFFERENT ?auto_6160 ?auto_6162 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6157 ?auto_6162 ?auto_6160 )
      ( DELIVER-PKG ?auto_6150 ?auto_6151 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6219
      ?auto_6220
    )
    :vars
    (
      ?auto_6223
      ?auto_6224
      ?auto_6226
      ?auto_6227
      ?auto_6225
      ?auto_6228
      ?auto_6229
      ?auto_6230
    )
    :precondition
    ( and ( OBJ ?auto_6219 ) ( LOCATION ?auto_6220 ) ( TRUCK ?auto_6223 ) ( LOCATION ?auto_6224 ) ( CITY ?auto_6226 ) ( AT ?auto_6223 ?auto_6224 ) ( IN-CITY ?auto_6224 ?auto_6226 ) ( IN-CITY ?auto_6220 ?auto_6226 ) ( DIFFERENT ?auto_6220 ?auto_6224 ) ( LOCATION ?auto_6227 ) ( AT ?auto_6223 ?auto_6227 ) ( AIRPLANE ?auto_6225 ) ( AIRPORT ?auto_6228 ) ( AIRPORT ?auto_6227 ) ( DIFFERENT ?auto_6227 ?auto_6228 ) ( LOCATION ?auto_6228 ) ( AIRPORT ?auto_6229 ) ( AT ?auto_6225 ?auto_6229 ) ( DIFFERENT ?auto_6228 ?auto_6229 ) ( TRUCK ?auto_6230 ) ( AT ?auto_6230 ?auto_6228 ) ( IN ?auto_6219 ?auto_6230 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6219 ?auto_6228 )
      ( DELIVER-PKG ?auto_6219 ?auto_6220 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6233
      ?auto_6234
    )
    :vars
    (
      ?auto_6237
      ?auto_6238
      ?auto_6241
      ?auto_6242
      ?auto_6240
      ?auto_6243
      ?auto_6244
      ?auto_6239
      ?auto_6246
    )
    :precondition
    ( and ( OBJ ?auto_6233 ) ( LOCATION ?auto_6234 ) ( TRUCK ?auto_6237 ) ( LOCATION ?auto_6238 ) ( CITY ?auto_6241 ) ( AT ?auto_6237 ?auto_6238 ) ( IN-CITY ?auto_6238 ?auto_6241 ) ( IN-CITY ?auto_6234 ?auto_6241 ) ( DIFFERENT ?auto_6234 ?auto_6238 ) ( LOCATION ?auto_6242 ) ( AT ?auto_6237 ?auto_6242 ) ( AIRPLANE ?auto_6240 ) ( AIRPORT ?auto_6243 ) ( AIRPORT ?auto_6242 ) ( DIFFERENT ?auto_6242 ?auto_6243 ) ( LOCATION ?auto_6243 ) ( AIRPORT ?auto_6244 ) ( DIFFERENT ?auto_6243 ?auto_6244 ) ( TRUCK ?auto_6239 ) ( AT ?auto_6239 ?auto_6243 ) ( IN ?auto_6233 ?auto_6239 ) ( AIRPORT ?auto_6246 ) ( AT ?auto_6240 ?auto_6246 ) ( DIFFERENT ?auto_6244 ?auto_6246 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6240 ?auto_6246 ?auto_6244 )
      ( DELIVER-PKG ?auto_6233 ?auto_6234 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6261
      ?auto_6262
    )
    :vars
    (
      ?auto_6266
      ?auto_6273
      ?auto_6272
      ?auto_6270
      ?auto_6265
      ?auto_6268
      ?auto_6269
      ?auto_6264
      ?auto_6267
      ?auto_6276
      ?auto_6275
    )
    :precondition
    ( and ( OBJ ?auto_6261 ) ( LOCATION ?auto_6262 ) ( TRUCK ?auto_6266 ) ( LOCATION ?auto_6273 ) ( CITY ?auto_6272 ) ( AT ?auto_6266 ?auto_6273 ) ( IN-CITY ?auto_6273 ?auto_6272 ) ( IN-CITY ?auto_6262 ?auto_6272 ) ( DIFFERENT ?auto_6262 ?auto_6273 ) ( LOCATION ?auto_6270 ) ( AT ?auto_6266 ?auto_6270 ) ( AIRPLANE ?auto_6265 ) ( AIRPORT ?auto_6268 ) ( AIRPORT ?auto_6270 ) ( DIFFERENT ?auto_6270 ?auto_6268 ) ( LOCATION ?auto_6268 ) ( AIRPORT ?auto_6269 ) ( DIFFERENT ?auto_6268 ?auto_6269 ) ( TRUCK ?auto_6264 ) ( IN ?auto_6261 ?auto_6264 ) ( AIRPORT ?auto_6267 ) ( AT ?auto_6265 ?auto_6267 ) ( DIFFERENT ?auto_6269 ?auto_6267 ) ( LOCATION ?auto_6276 ) ( CITY ?auto_6275 ) ( AT ?auto_6264 ?auto_6276 ) ( IN-CITY ?auto_6276 ?auto_6275 ) ( IN-CITY ?auto_6268 ?auto_6275 ) ( DIFFERENT ?auto_6268 ?auto_6276 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6264 ?auto_6276 ?auto_6268 ?auto_6275 )
      ( DELIVER-PKG ?auto_6261 ?auto_6262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6308
      ?auto_6309
    )
    :vars
    (
      ?auto_6317
      ?auto_6313
      ?auto_6312
      ?auto_6311
      ?auto_6315
      ?auto_6319
      ?auto_6320
      ?auto_6310
      ?auto_6318
      ?auto_6322
      ?auto_6321
      ?auto_6325
      ?auto_6324
    )
    :precondition
    ( and ( OBJ ?auto_6308 ) ( LOCATION ?auto_6309 ) ( TRUCK ?auto_6317 ) ( LOCATION ?auto_6313 ) ( CITY ?auto_6312 ) ( AT ?auto_6317 ?auto_6313 ) ( IN-CITY ?auto_6313 ?auto_6312 ) ( IN-CITY ?auto_6309 ?auto_6312 ) ( DIFFERENT ?auto_6309 ?auto_6313 ) ( LOCATION ?auto_6311 ) ( AT ?auto_6317 ?auto_6311 ) ( AIRPLANE ?auto_6315 ) ( AIRPORT ?auto_6319 ) ( AIRPORT ?auto_6311 ) ( DIFFERENT ?auto_6311 ?auto_6319 ) ( LOCATION ?auto_6319 ) ( AIRPORT ?auto_6320 ) ( DIFFERENT ?auto_6319 ?auto_6320 ) ( TRUCK ?auto_6310 ) ( IN ?auto_6308 ?auto_6310 ) ( AIRPORT ?auto_6318 ) ( AT ?auto_6315 ?auto_6318 ) ( DIFFERENT ?auto_6320 ?auto_6318 ) ( LOCATION ?auto_6322 ) ( CITY ?auto_6321 ) ( IN-CITY ?auto_6322 ?auto_6321 ) ( IN-CITY ?auto_6319 ?auto_6321 ) ( DIFFERENT ?auto_6319 ?auto_6322 ) ( LOCATION ?auto_6325 ) ( CITY ?auto_6324 ) ( AT ?auto_6310 ?auto_6325 ) ( IN-CITY ?auto_6325 ?auto_6324 ) ( IN-CITY ?auto_6322 ?auto_6324 ) ( DIFFERENT ?auto_6322 ?auto_6325 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6310 ?auto_6325 ?auto_6322 ?auto_6324 )
      ( DELIVER-PKG ?auto_6308 ?auto_6309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6327
      ?auto_6328
    )
    :vars
    (
      ?auto_6340
      ?auto_6338
      ?auto_6331
      ?auto_6330
      ?auto_6339
      ?auto_6334
      ?auto_6335
      ?auto_6341
      ?auto_6333
      ?auto_6337
      ?auto_6336
      ?auto_6343
      ?auto_6342
      ?auto_6345
    )
    :precondition
    ( and ( OBJ ?auto_6327 ) ( LOCATION ?auto_6328 ) ( TRUCK ?auto_6340 ) ( LOCATION ?auto_6338 ) ( CITY ?auto_6331 ) ( AT ?auto_6340 ?auto_6338 ) ( IN-CITY ?auto_6338 ?auto_6331 ) ( IN-CITY ?auto_6328 ?auto_6331 ) ( DIFFERENT ?auto_6328 ?auto_6338 ) ( LOCATION ?auto_6330 ) ( AT ?auto_6340 ?auto_6330 ) ( AIRPLANE ?auto_6339 ) ( AIRPORT ?auto_6334 ) ( AIRPORT ?auto_6330 ) ( DIFFERENT ?auto_6330 ?auto_6334 ) ( LOCATION ?auto_6334 ) ( AIRPORT ?auto_6335 ) ( DIFFERENT ?auto_6334 ?auto_6335 ) ( TRUCK ?auto_6341 ) ( IN ?auto_6327 ?auto_6341 ) ( AIRPORT ?auto_6333 ) ( DIFFERENT ?auto_6335 ?auto_6333 ) ( LOCATION ?auto_6337 ) ( CITY ?auto_6336 ) ( IN-CITY ?auto_6337 ?auto_6336 ) ( IN-CITY ?auto_6334 ?auto_6336 ) ( DIFFERENT ?auto_6334 ?auto_6337 ) ( LOCATION ?auto_6343 ) ( CITY ?auto_6342 ) ( AT ?auto_6341 ?auto_6343 ) ( IN-CITY ?auto_6343 ?auto_6342 ) ( IN-CITY ?auto_6337 ?auto_6342 ) ( DIFFERENT ?auto_6337 ?auto_6343 ) ( AIRPORT ?auto_6345 ) ( AT ?auto_6339 ?auto_6345 ) ( DIFFERENT ?auto_6333 ?auto_6345 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6339 ?auto_6345 ?auto_6333 )
      ( DELIVER-PKG ?auto_6327 ?auto_6328 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6383
      ?auto_6384
    )
    :vars
    (
      ?auto_6398
      ?auto_6393
      ?auto_6399
      ?auto_6397
      ?auto_6395
      ?auto_6391
      ?auto_6400
      ?auto_6390
      ?auto_6385
      ?auto_6387
      ?auto_6388
      ?auto_6394
      ?auto_6386
      ?auto_6392
      ?auto_6402
    )
    :precondition
    ( and ( OBJ ?auto_6383 ) ( LOCATION ?auto_6384 ) ( TRUCK ?auto_6398 ) ( LOCATION ?auto_6393 ) ( CITY ?auto_6399 ) ( AT ?auto_6398 ?auto_6393 ) ( IN-CITY ?auto_6393 ?auto_6399 ) ( IN-CITY ?auto_6384 ?auto_6399 ) ( DIFFERENT ?auto_6384 ?auto_6393 ) ( LOCATION ?auto_6397 ) ( AT ?auto_6398 ?auto_6397 ) ( AIRPLANE ?auto_6395 ) ( AIRPORT ?auto_6391 ) ( AIRPORT ?auto_6397 ) ( DIFFERENT ?auto_6397 ?auto_6391 ) ( LOCATION ?auto_6391 ) ( AIRPORT ?auto_6400 ) ( DIFFERENT ?auto_6391 ?auto_6400 ) ( TRUCK ?auto_6390 ) ( AIRPORT ?auto_6385 ) ( DIFFERENT ?auto_6400 ?auto_6385 ) ( LOCATION ?auto_6387 ) ( CITY ?auto_6388 ) ( IN-CITY ?auto_6387 ?auto_6388 ) ( IN-CITY ?auto_6391 ?auto_6388 ) ( DIFFERENT ?auto_6391 ?auto_6387 ) ( LOCATION ?auto_6394 ) ( CITY ?auto_6386 ) ( AT ?auto_6390 ?auto_6394 ) ( IN-CITY ?auto_6394 ?auto_6386 ) ( IN-CITY ?auto_6387 ?auto_6386 ) ( DIFFERENT ?auto_6387 ?auto_6394 ) ( AIRPORT ?auto_6392 ) ( AT ?auto_6395 ?auto_6392 ) ( DIFFERENT ?auto_6385 ?auto_6392 ) ( LOCATION ?auto_6402 ) ( AT ?auto_6390 ?auto_6402 ) ( AT ?auto_6383 ?auto_6402 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6383 ?auto_6390 ?auto_6402 )
      ( DELIVER-PKG ?auto_6383 ?auto_6384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6404
      ?auto_6405
    )
    :vars
    (
      ?auto_6419
      ?auto_6418
      ?auto_6420
      ?auto_6417
      ?auto_6413
      ?auto_6421
      ?auto_6409
      ?auto_6407
      ?auto_6411
      ?auto_6408
      ?auto_6416
      ?auto_6410
      ?auto_6414
      ?auto_6422
      ?auto_6425
      ?auto_6424
    )
    :precondition
    ( and ( OBJ ?auto_6404 ) ( LOCATION ?auto_6405 ) ( TRUCK ?auto_6419 ) ( LOCATION ?auto_6418 ) ( CITY ?auto_6420 ) ( IN-CITY ?auto_6418 ?auto_6420 ) ( IN-CITY ?auto_6405 ?auto_6420 ) ( DIFFERENT ?auto_6405 ?auto_6418 ) ( AIRPLANE ?auto_6417 ) ( AIRPORT ?auto_6413 ) ( AIRPORT ?auto_6418 ) ( DIFFERENT ?auto_6418 ?auto_6413 ) ( LOCATION ?auto_6413 ) ( AIRPORT ?auto_6421 ) ( DIFFERENT ?auto_6413 ?auto_6421 ) ( TRUCK ?auto_6409 ) ( AIRPORT ?auto_6407 ) ( DIFFERENT ?auto_6421 ?auto_6407 ) ( LOCATION ?auto_6411 ) ( CITY ?auto_6408 ) ( IN-CITY ?auto_6411 ?auto_6408 ) ( IN-CITY ?auto_6413 ?auto_6408 ) ( DIFFERENT ?auto_6413 ?auto_6411 ) ( LOCATION ?auto_6416 ) ( CITY ?auto_6410 ) ( AT ?auto_6409 ?auto_6416 ) ( IN-CITY ?auto_6416 ?auto_6410 ) ( IN-CITY ?auto_6411 ?auto_6410 ) ( DIFFERENT ?auto_6411 ?auto_6416 ) ( AIRPORT ?auto_6414 ) ( AT ?auto_6417 ?auto_6414 ) ( DIFFERENT ?auto_6407 ?auto_6414 ) ( LOCATION ?auto_6422 ) ( AT ?auto_6409 ?auto_6422 ) ( AT ?auto_6404 ?auto_6422 ) ( LOCATION ?auto_6425 ) ( CITY ?auto_6424 ) ( AT ?auto_6419 ?auto_6425 ) ( IN-CITY ?auto_6425 ?auto_6424 ) ( IN-CITY ?auto_6418 ?auto_6424 ) ( DIFFERENT ?auto_6418 ?auto_6425 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6419 ?auto_6425 ?auto_6418 ?auto_6424 )
      ( DELIVER-PKG ?auto_6404 ?auto_6405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6427
      ?auto_6428
    )
    :vars
    (
      ?auto_6442
      ?auto_6436
      ?auto_6443
      ?auto_6440
      ?auto_6431
      ?auto_6433
      ?auto_6446
      ?auto_6445
      ?auto_6437
      ?auto_6444
      ?auto_6438
      ?auto_6430
      ?auto_6429
      ?auto_6435
      ?auto_6439
      ?auto_6434
      ?auto_6448
    )
    :precondition
    ( and ( OBJ ?auto_6427 ) ( LOCATION ?auto_6428 ) ( TRUCK ?auto_6442 ) ( LOCATION ?auto_6436 ) ( CITY ?auto_6443 ) ( IN-CITY ?auto_6436 ?auto_6443 ) ( IN-CITY ?auto_6428 ?auto_6443 ) ( DIFFERENT ?auto_6428 ?auto_6436 ) ( AIRPLANE ?auto_6440 ) ( AIRPORT ?auto_6431 ) ( AIRPORT ?auto_6436 ) ( DIFFERENT ?auto_6436 ?auto_6431 ) ( LOCATION ?auto_6431 ) ( AIRPORT ?auto_6433 ) ( DIFFERENT ?auto_6431 ?auto_6433 ) ( TRUCK ?auto_6446 ) ( AIRPORT ?auto_6445 ) ( DIFFERENT ?auto_6433 ?auto_6445 ) ( LOCATION ?auto_6437 ) ( CITY ?auto_6444 ) ( IN-CITY ?auto_6437 ?auto_6444 ) ( IN-CITY ?auto_6431 ?auto_6444 ) ( DIFFERENT ?auto_6431 ?auto_6437 ) ( LOCATION ?auto_6438 ) ( CITY ?auto_6430 ) ( AT ?auto_6446 ?auto_6438 ) ( IN-CITY ?auto_6438 ?auto_6430 ) ( IN-CITY ?auto_6437 ?auto_6430 ) ( DIFFERENT ?auto_6437 ?auto_6438 ) ( AIRPORT ?auto_6429 ) ( DIFFERENT ?auto_6445 ?auto_6429 ) ( LOCATION ?auto_6435 ) ( AT ?auto_6446 ?auto_6435 ) ( AT ?auto_6427 ?auto_6435 ) ( LOCATION ?auto_6439 ) ( CITY ?auto_6434 ) ( AT ?auto_6442 ?auto_6439 ) ( IN-CITY ?auto_6439 ?auto_6434 ) ( IN-CITY ?auto_6436 ?auto_6434 ) ( DIFFERENT ?auto_6436 ?auto_6439 ) ( AIRPORT ?auto_6448 ) ( AT ?auto_6440 ?auto_6448 ) ( DIFFERENT ?auto_6429 ?auto_6448 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6440 ?auto_6448 ?auto_6429 )
      ( DELIVER-PKG ?auto_6427 ?auto_6428 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7007
      ?auto_7008
    )
    :vars
    (
      ?auto_7019
      ?auto_7009
      ?auto_7011
      ?auto_7016
      ?auto_7017
      ?auto_7018
      ?auto_7020
      ?auto_7012
      ?auto_7013
      ?auto_7010
      ?auto_7015
      ?auto_7014
      ?auto_7024
    )
    :precondition
    ( and ( OBJ ?auto_7007 ) ( LOCATION ?auto_7008 ) ( TRUCK ?auto_7019 ) ( LOCATION ?auto_7009 ) ( CITY ?auto_7011 ) ( IN-CITY ?auto_7009 ?auto_7011 ) ( IN-CITY ?auto_7008 ?auto_7011 ) ( DIFFERENT ?auto_7008 ?auto_7009 ) ( LOCATION ?auto_7016 ) ( CITY ?auto_7017 ) ( AT ?auto_7019 ?auto_7016 ) ( IN-CITY ?auto_7016 ?auto_7017 ) ( IN-CITY ?auto_7009 ?auto_7017 ) ( DIFFERENT ?auto_7009 ?auto_7016 ) ( LOCATION ?auto_7018 ) ( AT ?auto_7019 ?auto_7018 ) ( AIRPLANE ?auto_7020 ) ( AIRPORT ?auto_7012 ) ( AIRPORT ?auto_7018 ) ( AT ?auto_7020 ?auto_7012 ) ( DIFFERENT ?auto_7018 ?auto_7012 ) ( LOCATION ?auto_7013 ) ( AT ?auto_7020 ?auto_7013 ) ( TRUCK ?auto_7010 ) ( LOCATION ?auto_7015 ) ( CITY ?auto_7014 ) ( AT ?auto_7010 ?auto_7015 ) ( IN-CITY ?auto_7015 ?auto_7014 ) ( IN-CITY ?auto_7013 ?auto_7014 ) ( DIFFERENT ?auto_7013 ?auto_7015 ) ( LOCATION ?auto_7024 ) ( AT ?auto_7010 ?auto_7024 ) ( AT ?auto_7007 ?auto_7024 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7007 ?auto_7010 ?auto_7024 )
      ( DELIVER-PKG ?auto_7007 ?auto_7008 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7026
      ?auto_7027
    )
    :vars
    (
      ?auto_7040
      ?auto_7030
      ?auto_7032
      ?auto_7037
      ?auto_7038
      ?auto_7039
      ?auto_7041
      ?auto_7034
      ?auto_7031
      ?auto_7036
      ?auto_7035
      ?auto_7042
      ?auto_7044
    )
    :precondition
    ( and ( OBJ ?auto_7026 ) ( LOCATION ?auto_7027 ) ( TRUCK ?auto_7040 ) ( LOCATION ?auto_7030 ) ( CITY ?auto_7032 ) ( IN-CITY ?auto_7030 ?auto_7032 ) ( IN-CITY ?auto_7027 ?auto_7032 ) ( DIFFERENT ?auto_7027 ?auto_7030 ) ( LOCATION ?auto_7037 ) ( CITY ?auto_7038 ) ( AT ?auto_7040 ?auto_7037 ) ( IN-CITY ?auto_7037 ?auto_7038 ) ( IN-CITY ?auto_7030 ?auto_7038 ) ( DIFFERENT ?auto_7030 ?auto_7037 ) ( LOCATION ?auto_7039 ) ( AT ?auto_7040 ?auto_7039 ) ( AIRPLANE ?auto_7041 ) ( AIRPORT ?auto_7034 ) ( AIRPORT ?auto_7039 ) ( DIFFERENT ?auto_7039 ?auto_7034 ) ( LOCATION ?auto_7034 ) ( TRUCK ?auto_7031 ) ( LOCATION ?auto_7036 ) ( CITY ?auto_7035 ) ( AT ?auto_7031 ?auto_7036 ) ( IN-CITY ?auto_7036 ?auto_7035 ) ( IN-CITY ?auto_7034 ?auto_7035 ) ( DIFFERENT ?auto_7034 ?auto_7036 ) ( LOCATION ?auto_7042 ) ( AT ?auto_7031 ?auto_7042 ) ( AT ?auto_7026 ?auto_7042 ) ( AIRPORT ?auto_7044 ) ( AT ?auto_7041 ?auto_7044 ) ( DIFFERENT ?auto_7034 ?auto_7044 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7041 ?auto_7044 ?auto_7034 )
      ( DELIVER-PKG ?auto_7026 ?auto_7027 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7080
      ?auto_7081
    )
    :vars
    (
      ?auto_7086
      ?auto_7093
      ?auto_7095
      ?auto_7083
      ?auto_7092
      ?auto_7094
      ?auto_7089
      ?auto_7087
      ?auto_7096
      ?auto_7090
      ?auto_7091
      ?auto_7088
      ?auto_7099
      ?auto_7098
    )
    :precondition
    ( and ( OBJ ?auto_7080 ) ( LOCATION ?auto_7081 ) ( TRUCK ?auto_7086 ) ( LOCATION ?auto_7093 ) ( CITY ?auto_7095 ) ( IN-CITY ?auto_7093 ?auto_7095 ) ( IN-CITY ?auto_7081 ?auto_7095 ) ( DIFFERENT ?auto_7081 ?auto_7093 ) ( LOCATION ?auto_7083 ) ( CITY ?auto_7092 ) ( AT ?auto_7086 ?auto_7083 ) ( IN-CITY ?auto_7083 ?auto_7092 ) ( IN-CITY ?auto_7093 ?auto_7092 ) ( DIFFERENT ?auto_7093 ?auto_7083 ) ( LOCATION ?auto_7094 ) ( AT ?auto_7086 ?auto_7094 ) ( AIRPLANE ?auto_7089 ) ( AIRPORT ?auto_7087 ) ( AIRPORT ?auto_7094 ) ( DIFFERENT ?auto_7094 ?auto_7087 ) ( LOCATION ?auto_7087 ) ( TRUCK ?auto_7096 ) ( LOCATION ?auto_7090 ) ( CITY ?auto_7091 ) ( IN-CITY ?auto_7090 ?auto_7091 ) ( IN-CITY ?auto_7087 ?auto_7091 ) ( DIFFERENT ?auto_7087 ?auto_7090 ) ( AT ?auto_7080 ?auto_7090 ) ( AIRPORT ?auto_7088 ) ( AT ?auto_7089 ?auto_7088 ) ( DIFFERENT ?auto_7087 ?auto_7088 ) ( LOCATION ?auto_7099 ) ( CITY ?auto_7098 ) ( AT ?auto_7096 ?auto_7099 ) ( IN-CITY ?auto_7099 ?auto_7098 ) ( IN-CITY ?auto_7090 ?auto_7098 ) ( DIFFERENT ?auto_7090 ?auto_7099 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7096 ?auto_7099 ?auto_7090 ?auto_7098 )
      ( DELIVER-PKG ?auto_7080 ?auto_7081 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7155
      ?auto_7156
    )
    :vars
    (
      ?auto_7166
      ?auto_7162
      ?auto_7164
      ?auto_7158
      ?auto_7161
      ?auto_7163
      ?auto_7169
      ?auto_7167
      ?auto_7171
      ?auto_7159
      ?auto_7160
      ?auto_7168
      ?auto_7172
      ?auto_7157
      ?auto_7174
    )
    :precondition
    ( and ( OBJ ?auto_7155 ) ( LOCATION ?auto_7156 ) ( TRUCK ?auto_7166 ) ( LOCATION ?auto_7162 ) ( CITY ?auto_7164 ) ( IN-CITY ?auto_7162 ?auto_7164 ) ( IN-CITY ?auto_7156 ?auto_7164 ) ( DIFFERENT ?auto_7156 ?auto_7162 ) ( LOCATION ?auto_7158 ) ( CITY ?auto_7161 ) ( AT ?auto_7166 ?auto_7158 ) ( IN-CITY ?auto_7158 ?auto_7161 ) ( IN-CITY ?auto_7162 ?auto_7161 ) ( DIFFERENT ?auto_7162 ?auto_7158 ) ( LOCATION ?auto_7163 ) ( AT ?auto_7166 ?auto_7163 ) ( AIRPLANE ?auto_7169 ) ( AIRPORT ?auto_7167 ) ( AIRPORT ?auto_7163 ) ( DIFFERENT ?auto_7163 ?auto_7167 ) ( LOCATION ?auto_7167 ) ( TRUCK ?auto_7171 ) ( LOCATION ?auto_7159 ) ( CITY ?auto_7160 ) ( IN-CITY ?auto_7159 ?auto_7160 ) ( IN-CITY ?auto_7167 ?auto_7160 ) ( DIFFERENT ?auto_7167 ?auto_7159 ) ( AT ?auto_7155 ?auto_7159 ) ( AIRPORT ?auto_7168 ) ( DIFFERENT ?auto_7167 ?auto_7168 ) ( LOCATION ?auto_7172 ) ( CITY ?auto_7157 ) ( AT ?auto_7171 ?auto_7172 ) ( IN-CITY ?auto_7172 ?auto_7157 ) ( IN-CITY ?auto_7159 ?auto_7157 ) ( DIFFERENT ?auto_7159 ?auto_7172 ) ( AIRPORT ?auto_7174 ) ( AT ?auto_7169 ?auto_7174 ) ( DIFFERENT ?auto_7168 ?auto_7174 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7169 ?auto_7174 ?auto_7168 )
      ( DELIVER-PKG ?auto_7155 ?auto_7156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7195
      ?auto_7196
    )
    :vars
    (
      ?auto_7208
      ?auto_7205
      ?auto_7207
      ?auto_7198
      ?auto_7204
      ?auto_7206
      ?auto_7211
      ?auto_7209
      ?auto_7212
      ?auto_7201
      ?auto_7202
      ?auto_7210
      ?auto_7213
      ?auto_7203
      ?auto_7199
      ?auto_7216
      ?auto_7215
    )
    :precondition
    ( and ( OBJ ?auto_7195 ) ( LOCATION ?auto_7196 ) ( TRUCK ?auto_7208 ) ( LOCATION ?auto_7205 ) ( CITY ?auto_7207 ) ( IN-CITY ?auto_7205 ?auto_7207 ) ( IN-CITY ?auto_7196 ?auto_7207 ) ( DIFFERENT ?auto_7196 ?auto_7205 ) ( LOCATION ?auto_7198 ) ( CITY ?auto_7204 ) ( AT ?auto_7208 ?auto_7198 ) ( IN-CITY ?auto_7198 ?auto_7204 ) ( IN-CITY ?auto_7205 ?auto_7204 ) ( DIFFERENT ?auto_7205 ?auto_7198 ) ( LOCATION ?auto_7206 ) ( AT ?auto_7208 ?auto_7206 ) ( AIRPLANE ?auto_7211 ) ( AIRPORT ?auto_7209 ) ( AIRPORT ?auto_7206 ) ( DIFFERENT ?auto_7206 ?auto_7209 ) ( LOCATION ?auto_7209 ) ( TRUCK ?auto_7212 ) ( LOCATION ?auto_7201 ) ( CITY ?auto_7202 ) ( IN-CITY ?auto_7201 ?auto_7202 ) ( IN-CITY ?auto_7209 ?auto_7202 ) ( DIFFERENT ?auto_7209 ?auto_7201 ) ( AT ?auto_7195 ?auto_7201 ) ( AIRPORT ?auto_7210 ) ( DIFFERENT ?auto_7209 ?auto_7210 ) ( LOCATION ?auto_7213 ) ( CITY ?auto_7203 ) ( IN-CITY ?auto_7213 ?auto_7203 ) ( IN-CITY ?auto_7201 ?auto_7203 ) ( DIFFERENT ?auto_7201 ?auto_7213 ) ( AIRPORT ?auto_7199 ) ( AT ?auto_7211 ?auto_7199 ) ( DIFFERENT ?auto_7210 ?auto_7199 ) ( LOCATION ?auto_7216 ) ( CITY ?auto_7215 ) ( AT ?auto_7212 ?auto_7216 ) ( IN-CITY ?auto_7216 ?auto_7215 ) ( IN-CITY ?auto_7213 ?auto_7215 ) ( DIFFERENT ?auto_7213 ?auto_7216 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7212 ?auto_7216 ?auto_7213 ?auto_7215 )
      ( DELIVER-PKG ?auto_7195 ?auto_7196 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7260
      ?auto_7261
    )
    :vars
    (
      ?auto_7274
      ?auto_7271
      ?auto_7273
      ?auto_7262
      ?auto_7270
      ?auto_7272
      ?auto_7277
      ?auto_7275
      ?auto_7278
      ?auto_7267
      ?auto_7268
      ?auto_7276
      ?auto_7265
      ?auto_7269
      ?auto_7263
      ?auto_7280
      ?auto_7266
      ?auto_7283
      ?auto_7282
    )
    :precondition
    ( and ( OBJ ?auto_7260 ) ( LOCATION ?auto_7261 ) ( TRUCK ?auto_7274 ) ( LOCATION ?auto_7271 ) ( CITY ?auto_7273 ) ( IN-CITY ?auto_7271 ?auto_7273 ) ( IN-CITY ?auto_7261 ?auto_7273 ) ( DIFFERENT ?auto_7261 ?auto_7271 ) ( LOCATION ?auto_7262 ) ( CITY ?auto_7270 ) ( AT ?auto_7274 ?auto_7262 ) ( IN-CITY ?auto_7262 ?auto_7270 ) ( IN-CITY ?auto_7271 ?auto_7270 ) ( DIFFERENT ?auto_7271 ?auto_7262 ) ( LOCATION ?auto_7272 ) ( AT ?auto_7274 ?auto_7272 ) ( AIRPLANE ?auto_7277 ) ( AIRPORT ?auto_7275 ) ( AIRPORT ?auto_7272 ) ( DIFFERENT ?auto_7272 ?auto_7275 ) ( LOCATION ?auto_7275 ) ( TRUCK ?auto_7278 ) ( LOCATION ?auto_7267 ) ( CITY ?auto_7268 ) ( IN-CITY ?auto_7267 ?auto_7268 ) ( IN-CITY ?auto_7275 ?auto_7268 ) ( DIFFERENT ?auto_7275 ?auto_7267 ) ( AT ?auto_7260 ?auto_7267 ) ( AIRPORT ?auto_7276 ) ( DIFFERENT ?auto_7275 ?auto_7276 ) ( LOCATION ?auto_7265 ) ( CITY ?auto_7269 ) ( IN-CITY ?auto_7265 ?auto_7269 ) ( IN-CITY ?auto_7267 ?auto_7269 ) ( DIFFERENT ?auto_7267 ?auto_7265 ) ( AIRPORT ?auto_7263 ) ( AT ?auto_7277 ?auto_7263 ) ( DIFFERENT ?auto_7276 ?auto_7263 ) ( LOCATION ?auto_7280 ) ( CITY ?auto_7266 ) ( IN-CITY ?auto_7280 ?auto_7266 ) ( IN-CITY ?auto_7265 ?auto_7266 ) ( DIFFERENT ?auto_7265 ?auto_7280 ) ( LOCATION ?auto_7283 ) ( CITY ?auto_7282 ) ( AT ?auto_7278 ?auto_7283 ) ( IN-CITY ?auto_7283 ?auto_7282 ) ( IN-CITY ?auto_7280 ?auto_7282 ) ( DIFFERENT ?auto_7280 ?auto_7283 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7278 ?auto_7283 ?auto_7280 ?auto_7282 )
      ( DELIVER-PKG ?auto_7260 ?auto_7261 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7285
      ?auto_7286
    )
    :vars
    (
      ?auto_7301
      ?auto_7305
      ?auto_7300
      ?auto_7289
      ?auto_7304
      ?auto_7299
      ?auto_7293
      ?auto_7302
      ?auto_7294
      ?auto_7291
      ?auto_7290
      ?auto_7292
      ?auto_7297
      ?auto_7303
      ?auto_7295
      ?auto_7306
      ?auto_7298
      ?auto_7307
      ?auto_7296
      ?auto_7309
    )
    :precondition
    ( and ( OBJ ?auto_7285 ) ( LOCATION ?auto_7286 ) ( TRUCK ?auto_7301 ) ( LOCATION ?auto_7305 ) ( CITY ?auto_7300 ) ( IN-CITY ?auto_7305 ?auto_7300 ) ( IN-CITY ?auto_7286 ?auto_7300 ) ( DIFFERENT ?auto_7286 ?auto_7305 ) ( LOCATION ?auto_7289 ) ( CITY ?auto_7304 ) ( AT ?auto_7301 ?auto_7289 ) ( IN-CITY ?auto_7289 ?auto_7304 ) ( IN-CITY ?auto_7305 ?auto_7304 ) ( DIFFERENT ?auto_7305 ?auto_7289 ) ( LOCATION ?auto_7299 ) ( AT ?auto_7301 ?auto_7299 ) ( AIRPLANE ?auto_7293 ) ( AIRPORT ?auto_7302 ) ( AIRPORT ?auto_7299 ) ( DIFFERENT ?auto_7299 ?auto_7302 ) ( LOCATION ?auto_7302 ) ( TRUCK ?auto_7294 ) ( LOCATION ?auto_7291 ) ( CITY ?auto_7290 ) ( IN-CITY ?auto_7291 ?auto_7290 ) ( IN-CITY ?auto_7302 ?auto_7290 ) ( DIFFERENT ?auto_7302 ?auto_7291 ) ( AT ?auto_7285 ?auto_7291 ) ( AIRPORT ?auto_7292 ) ( DIFFERENT ?auto_7302 ?auto_7292 ) ( LOCATION ?auto_7297 ) ( CITY ?auto_7303 ) ( IN-CITY ?auto_7297 ?auto_7303 ) ( IN-CITY ?auto_7291 ?auto_7303 ) ( DIFFERENT ?auto_7291 ?auto_7297 ) ( AIRPORT ?auto_7295 ) ( DIFFERENT ?auto_7292 ?auto_7295 ) ( LOCATION ?auto_7306 ) ( CITY ?auto_7298 ) ( IN-CITY ?auto_7306 ?auto_7298 ) ( IN-CITY ?auto_7297 ?auto_7298 ) ( DIFFERENT ?auto_7297 ?auto_7306 ) ( LOCATION ?auto_7307 ) ( CITY ?auto_7296 ) ( AT ?auto_7294 ?auto_7307 ) ( IN-CITY ?auto_7307 ?auto_7296 ) ( IN-CITY ?auto_7306 ?auto_7296 ) ( DIFFERENT ?auto_7306 ?auto_7307 ) ( AIRPORT ?auto_7309 ) ( AT ?auto_7293 ?auto_7309 ) ( DIFFERENT ?auto_7295 ?auto_7309 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7293 ?auto_7309 ?auto_7295 )
      ( DELIVER-PKG ?auto_7285 ?auto_7286 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7383
      ?auto_7384
    )
    :vars
    (
      ?auto_7396
      ?auto_7393
      ?auto_7399
      ?auto_7395
      ?auto_7392
      ?auto_7405
      ?auto_7401
      ?auto_7387
      ?auto_7406
      ?auto_7400
      ?auto_7404
      ?auto_7390
      ?auto_7402
      ?auto_7386
      ?auto_7397
      ?auto_7389
      ?auto_7398
      ?auto_7391
      ?auto_7394
      ?auto_7409
      ?auto_7408
    )
    :precondition
    ( and ( OBJ ?auto_7383 ) ( LOCATION ?auto_7384 ) ( TRUCK ?auto_7396 ) ( LOCATION ?auto_7393 ) ( CITY ?auto_7399 ) ( IN-CITY ?auto_7393 ?auto_7399 ) ( IN-CITY ?auto_7384 ?auto_7399 ) ( DIFFERENT ?auto_7384 ?auto_7393 ) ( LOCATION ?auto_7395 ) ( CITY ?auto_7392 ) ( IN-CITY ?auto_7395 ?auto_7392 ) ( IN-CITY ?auto_7393 ?auto_7392 ) ( DIFFERENT ?auto_7393 ?auto_7395 ) ( AIRPLANE ?auto_7405 ) ( AIRPORT ?auto_7401 ) ( AIRPORT ?auto_7395 ) ( DIFFERENT ?auto_7395 ?auto_7401 ) ( LOCATION ?auto_7401 ) ( TRUCK ?auto_7387 ) ( LOCATION ?auto_7406 ) ( CITY ?auto_7400 ) ( IN-CITY ?auto_7406 ?auto_7400 ) ( IN-CITY ?auto_7401 ?auto_7400 ) ( DIFFERENT ?auto_7401 ?auto_7406 ) ( AT ?auto_7383 ?auto_7406 ) ( AIRPORT ?auto_7404 ) ( DIFFERENT ?auto_7401 ?auto_7404 ) ( LOCATION ?auto_7390 ) ( CITY ?auto_7402 ) ( IN-CITY ?auto_7390 ?auto_7402 ) ( IN-CITY ?auto_7406 ?auto_7402 ) ( DIFFERENT ?auto_7406 ?auto_7390 ) ( AIRPORT ?auto_7386 ) ( DIFFERENT ?auto_7404 ?auto_7386 ) ( LOCATION ?auto_7397 ) ( CITY ?auto_7389 ) ( IN-CITY ?auto_7397 ?auto_7389 ) ( IN-CITY ?auto_7390 ?auto_7389 ) ( DIFFERENT ?auto_7390 ?auto_7397 ) ( LOCATION ?auto_7398 ) ( CITY ?auto_7391 ) ( AT ?auto_7387 ?auto_7398 ) ( IN-CITY ?auto_7398 ?auto_7391 ) ( IN-CITY ?auto_7397 ?auto_7391 ) ( DIFFERENT ?auto_7397 ?auto_7398 ) ( AIRPORT ?auto_7394 ) ( AT ?auto_7405 ?auto_7394 ) ( DIFFERENT ?auto_7386 ?auto_7394 ) ( LOCATION ?auto_7409 ) ( CITY ?auto_7408 ) ( AT ?auto_7396 ?auto_7409 ) ( IN-CITY ?auto_7409 ?auto_7408 ) ( IN-CITY ?auto_7395 ?auto_7408 ) ( DIFFERENT ?auto_7395 ?auto_7409 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7396 ?auto_7409 ?auto_7395 ?auto_7408 )
      ( DELIVER-PKG ?auto_7383 ?auto_7384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7411
      ?auto_7412
    )
    :vars
    (
      ?auto_7424
      ?auto_7421
      ?auto_7427
      ?auto_7423
      ?auto_7420
      ?auto_7434
      ?auto_7429
      ?auto_7416
      ?auto_7435
      ?auto_7428
      ?auto_7433
      ?auto_7418
      ?auto_7431
      ?auto_7415
      ?auto_7425
      ?auto_7417
      ?auto_7426
      ?auto_7419
      ?auto_7422
      ?auto_7430
      ?auto_7432
      ?auto_7437
    )
    :precondition
    ( and ( OBJ ?auto_7411 ) ( LOCATION ?auto_7412 ) ( TRUCK ?auto_7424 ) ( LOCATION ?auto_7421 ) ( CITY ?auto_7427 ) ( IN-CITY ?auto_7421 ?auto_7427 ) ( IN-CITY ?auto_7412 ?auto_7427 ) ( DIFFERENT ?auto_7412 ?auto_7421 ) ( LOCATION ?auto_7423 ) ( CITY ?auto_7420 ) ( IN-CITY ?auto_7423 ?auto_7420 ) ( IN-CITY ?auto_7421 ?auto_7420 ) ( DIFFERENT ?auto_7421 ?auto_7423 ) ( AIRPLANE ?auto_7434 ) ( AIRPORT ?auto_7429 ) ( AIRPORT ?auto_7423 ) ( DIFFERENT ?auto_7423 ?auto_7429 ) ( LOCATION ?auto_7429 ) ( TRUCK ?auto_7416 ) ( LOCATION ?auto_7435 ) ( CITY ?auto_7428 ) ( IN-CITY ?auto_7435 ?auto_7428 ) ( IN-CITY ?auto_7429 ?auto_7428 ) ( DIFFERENT ?auto_7429 ?auto_7435 ) ( AT ?auto_7411 ?auto_7435 ) ( AIRPORT ?auto_7433 ) ( DIFFERENT ?auto_7429 ?auto_7433 ) ( LOCATION ?auto_7418 ) ( CITY ?auto_7431 ) ( IN-CITY ?auto_7418 ?auto_7431 ) ( IN-CITY ?auto_7435 ?auto_7431 ) ( DIFFERENT ?auto_7435 ?auto_7418 ) ( AIRPORT ?auto_7415 ) ( DIFFERENT ?auto_7433 ?auto_7415 ) ( LOCATION ?auto_7425 ) ( CITY ?auto_7417 ) ( IN-CITY ?auto_7425 ?auto_7417 ) ( IN-CITY ?auto_7418 ?auto_7417 ) ( DIFFERENT ?auto_7418 ?auto_7425 ) ( LOCATION ?auto_7426 ) ( CITY ?auto_7419 ) ( AT ?auto_7416 ?auto_7426 ) ( IN-CITY ?auto_7426 ?auto_7419 ) ( IN-CITY ?auto_7425 ?auto_7419 ) ( DIFFERENT ?auto_7425 ?auto_7426 ) ( AIRPORT ?auto_7422 ) ( DIFFERENT ?auto_7415 ?auto_7422 ) ( LOCATION ?auto_7430 ) ( CITY ?auto_7432 ) ( AT ?auto_7424 ?auto_7430 ) ( IN-CITY ?auto_7430 ?auto_7432 ) ( IN-CITY ?auto_7423 ?auto_7432 ) ( DIFFERENT ?auto_7423 ?auto_7430 ) ( AIRPORT ?auto_7437 ) ( AT ?auto_7434 ?auto_7437 ) ( DIFFERENT ?auto_7422 ?auto_7437 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7434 ?auto_7437 ?auto_7422 )
      ( DELIVER-PKG ?auto_7411 ?auto_7412 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7994
      ?auto_7995
    )
    :vars
    (
      ?auto_8004
      ?auto_8005
      ?auto_7996
      ?auto_8000
      ?auto_8001
      ?auto_7997
      ?auto_8002
      ?auto_7998
      ?auto_8008
      ?auto_8007
    )
    :precondition
    ( and ( OBJ ?auto_7994 ) ( LOCATION ?auto_7995 ) ( AIRPLANE ?auto_8004 ) ( AIRPORT ?auto_8005 ) ( AIRPORT ?auto_7995 ) ( AT ?auto_8004 ?auto_8005 ) ( DIFFERENT ?auto_7995 ?auto_8005 ) ( LOCATION ?auto_7996 ) ( AT ?auto_8004 ?auto_7996 ) ( TRUCK ?auto_8000 ) ( LOCATION ?auto_8001 ) ( CITY ?auto_7997 ) ( IN-CITY ?auto_8001 ?auto_7997 ) ( IN-CITY ?auto_7996 ?auto_7997 ) ( DIFFERENT ?auto_7996 ?auto_8001 ) ( AT ?auto_7994 ?auto_8001 ) ( LOCATION ?auto_8002 ) ( CITY ?auto_7998 ) ( IN-CITY ?auto_8002 ?auto_7998 ) ( IN-CITY ?auto_8001 ?auto_7998 ) ( DIFFERENT ?auto_8001 ?auto_8002 ) ( LOCATION ?auto_8008 ) ( CITY ?auto_8007 ) ( AT ?auto_8000 ?auto_8008 ) ( IN-CITY ?auto_8008 ?auto_8007 ) ( IN-CITY ?auto_8002 ?auto_8007 ) ( DIFFERENT ?auto_8002 ?auto_8008 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8000 ?auto_8008 ?auto_8002 ?auto_8007 )
      ( DELIVER-PKG ?auto_7994 ?auto_7995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8149
      ?auto_8150
    )
    :vars
    (
      ?auto_8151
      ?auto_8159
      ?auto_8158
      ?auto_8156
      ?auto_8155
      ?auto_8154
      ?auto_8157
      ?auto_8153
      ?auto_8163
      ?auto_8162
    )
    :precondition
    ( and ( OBJ ?auto_8149 ) ( LOCATION ?auto_8150 ) ( AIRPLANE ?auto_8151 ) ( AIRPORT ?auto_8159 ) ( AIRPORT ?auto_8150 ) ( DIFFERENT ?auto_8150 ?auto_8159 ) ( LOCATION ?auto_8159 ) ( TRUCK ?auto_8158 ) ( LOCATION ?auto_8156 ) ( CITY ?auto_8155 ) ( IN-CITY ?auto_8156 ?auto_8155 ) ( IN-CITY ?auto_8159 ?auto_8155 ) ( DIFFERENT ?auto_8159 ?auto_8156 ) ( AT ?auto_8149 ?auto_8156 ) ( LOCATION ?auto_8154 ) ( CITY ?auto_8157 ) ( IN-CITY ?auto_8154 ?auto_8157 ) ( IN-CITY ?auto_8156 ?auto_8157 ) ( DIFFERENT ?auto_8156 ?auto_8154 ) ( AIRPORT ?auto_8153 ) ( AT ?auto_8151 ?auto_8153 ) ( DIFFERENT ?auto_8159 ?auto_8153 ) ( LOCATION ?auto_8163 ) ( CITY ?auto_8162 ) ( AT ?auto_8158 ?auto_8163 ) ( IN-CITY ?auto_8163 ?auto_8162 ) ( IN-CITY ?auto_8154 ?auto_8162 ) ( DIFFERENT ?auto_8154 ?auto_8163 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8158 ?auto_8163 ?auto_8154 ?auto_8162 )
      ( DELIVER-PKG ?auto_8149 ?auto_8150 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8308
      ?auto_8309
    )
    :vars
    (
      ?auto_8313
      ?auto_8312
      ?auto_8314
      ?auto_8317
    )
    :precondition
    ( and ( OBJ ?auto_8308 ) ( LOCATION ?auto_8309 ) ( AIRPLANE ?auto_8313 ) ( AIRPORT ?auto_8312 ) ( AIRPORT ?auto_8309 ) ( AT ?auto_8313 ?auto_8312 ) ( DIFFERENT ?auto_8309 ?auto_8312 ) ( LOCATION ?auto_8314 ) ( AT ?auto_8313 ?auto_8314 ) ( AIRPLANE ?auto_8317 ) ( IN ?auto_8308 ?auto_8317 ) ( AT ?auto_8317 ?auto_8314 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8308 ?auto_8314 )
      ( DELIVER-PKG ?auto_8308 ?auto_8309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8326
      ?auto_8327
    )
    :vars
    (
      ?auto_8330
      ?auto_8329
      ?auto_8331
      ?auto_8332
      ?auto_8335
    )
    :precondition
    ( and ( OBJ ?auto_8326 ) ( LOCATION ?auto_8327 ) ( AIRPLANE ?auto_8330 ) ( AIRPORT ?auto_8329 ) ( AIRPORT ?auto_8327 ) ( AT ?auto_8330 ?auto_8329 ) ( DIFFERENT ?auto_8327 ?auto_8329 ) ( LOCATION ?auto_8331 ) ( AT ?auto_8330 ?auto_8331 ) ( AIRPLANE ?auto_8332 ) ( IN ?auto_8326 ?auto_8332 ) ( AIRPORT ?auto_8335 ) ( AIRPORT ?auto_8331 ) ( AT ?auto_8332 ?auto_8335 ) ( DIFFERENT ?auto_8331 ?auto_8335 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8332 ?auto_8335 ?auto_8331 )
      ( DELIVER-PKG ?auto_8326 ?auto_8327 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8346
      ?auto_8347
    )
    :vars
    (
      ?auto_8351
      ?auto_8354
      ?auto_8352
      ?auto_8353
      ?auto_8350
      ?auto_8356
    )
    :precondition
    ( and ( OBJ ?auto_8346 ) ( LOCATION ?auto_8347 ) ( AIRPLANE ?auto_8351 ) ( AIRPORT ?auto_8354 ) ( AIRPORT ?auto_8347 ) ( AT ?auto_8351 ?auto_8354 ) ( DIFFERENT ?auto_8347 ?auto_8354 ) ( LOCATION ?auto_8352 ) ( AT ?auto_8351 ?auto_8352 ) ( AIRPLANE ?auto_8353 ) ( AIRPORT ?auto_8350 ) ( AIRPORT ?auto_8352 ) ( AT ?auto_8353 ?auto_8350 ) ( DIFFERENT ?auto_8352 ?auto_8350 ) ( LOCATION ?auto_8356 ) ( AT ?auto_8346 ?auto_8356 ) ( AT ?auto_8353 ?auto_8356 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8346 ?auto_8353 ?auto_8356 )
      ( DELIVER-PKG ?auto_8346 ?auto_8347 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8358
      ?auto_8359
    )
    :vars
    (
      ?auto_8366
      ?auto_8361
      ?auto_8365
      ?auto_8362
      ?auto_8360
      ?auto_8364
      ?auto_8370
    )
    :precondition
    ( and ( OBJ ?auto_8358 ) ( LOCATION ?auto_8359 ) ( AIRPLANE ?auto_8366 ) ( AIRPORT ?auto_8361 ) ( AIRPORT ?auto_8359 ) ( AT ?auto_8366 ?auto_8361 ) ( DIFFERENT ?auto_8359 ?auto_8361 ) ( LOCATION ?auto_8365 ) ( AT ?auto_8366 ?auto_8365 ) ( AIRPLANE ?auto_8362 ) ( AIRPORT ?auto_8360 ) ( AIRPORT ?auto_8365 ) ( AT ?auto_8362 ?auto_8360 ) ( DIFFERENT ?auto_8365 ?auto_8360 ) ( LOCATION ?auto_8364 ) ( AT ?auto_8362 ?auto_8364 ) ( TRUCK ?auto_8370 ) ( AT ?auto_8370 ?auto_8364 ) ( IN ?auto_8358 ?auto_8370 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8358 ?auto_8364 )
      ( DELIVER-PKG ?auto_8358 ?auto_8359 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8382
      ?auto_8383
    )
    :vars
    (
      ?auto_8384
      ?auto_8392
      ?auto_8391
      ?auto_8385
      ?auto_8388
      ?auto_8387
      ?auto_8389
      ?auto_8395
      ?auto_8394
    )
    :precondition
    ( and ( OBJ ?auto_8382 ) ( LOCATION ?auto_8383 ) ( AIRPLANE ?auto_8384 ) ( AIRPORT ?auto_8392 ) ( AIRPORT ?auto_8383 ) ( AT ?auto_8384 ?auto_8392 ) ( DIFFERENT ?auto_8383 ?auto_8392 ) ( LOCATION ?auto_8391 ) ( AT ?auto_8384 ?auto_8391 ) ( AIRPLANE ?auto_8385 ) ( AIRPORT ?auto_8388 ) ( AIRPORT ?auto_8391 ) ( AT ?auto_8385 ?auto_8388 ) ( DIFFERENT ?auto_8391 ?auto_8388 ) ( LOCATION ?auto_8387 ) ( AT ?auto_8385 ?auto_8387 ) ( TRUCK ?auto_8389 ) ( IN ?auto_8382 ?auto_8389 ) ( LOCATION ?auto_8395 ) ( CITY ?auto_8394 ) ( AT ?auto_8389 ?auto_8395 ) ( IN-CITY ?auto_8395 ?auto_8394 ) ( IN-CITY ?auto_8387 ?auto_8394 ) ( DIFFERENT ?auto_8387 ?auto_8395 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8389 ?auto_8395 ?auto_8387 ?auto_8394 )
      ( DELIVER-PKG ?auto_8382 ?auto_8383 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8410
      ?auto_8411
    )
    :vars
    (
      ?auto_8412
      ?auto_8420
      ?auto_8415
      ?auto_8414
      ?auto_8419
      ?auto_8418
      ?auto_8416
      ?auto_8422
      ?auto_8421
      ?auto_8424
    )
    :precondition
    ( and ( OBJ ?auto_8410 ) ( LOCATION ?auto_8411 ) ( AIRPLANE ?auto_8412 ) ( AIRPORT ?auto_8420 ) ( AIRPORT ?auto_8411 ) ( AT ?auto_8412 ?auto_8420 ) ( DIFFERENT ?auto_8411 ?auto_8420 ) ( LOCATION ?auto_8415 ) ( AT ?auto_8412 ?auto_8415 ) ( AIRPLANE ?auto_8414 ) ( AIRPORT ?auto_8419 ) ( AIRPORT ?auto_8415 ) ( AT ?auto_8414 ?auto_8419 ) ( DIFFERENT ?auto_8415 ?auto_8419 ) ( LOCATION ?auto_8418 ) ( AT ?auto_8414 ?auto_8418 ) ( TRUCK ?auto_8416 ) ( LOCATION ?auto_8422 ) ( CITY ?auto_8421 ) ( AT ?auto_8416 ?auto_8422 ) ( IN-CITY ?auto_8422 ?auto_8421 ) ( IN-CITY ?auto_8418 ?auto_8421 ) ( DIFFERENT ?auto_8418 ?auto_8422 ) ( LOCATION ?auto_8424 ) ( AT ?auto_8416 ?auto_8424 ) ( AT ?auto_8410 ?auto_8424 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8410 ?auto_8416 ?auto_8424 )
      ( DELIVER-PKG ?auto_8410 ?auto_8411 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8426
      ?auto_8427
    )
    :vars
    (
      ?auto_8437
      ?auto_8432
      ?auto_8428
      ?auto_8434
      ?auto_8431
      ?auto_8430
      ?auto_8429
      ?auto_8439
      ?auto_8435
      ?auto_8442
      ?auto_8441
    )
    :precondition
    ( and ( OBJ ?auto_8426 ) ( LOCATION ?auto_8427 ) ( AIRPLANE ?auto_8437 ) ( AIRPORT ?auto_8432 ) ( AIRPORT ?auto_8427 ) ( AT ?auto_8437 ?auto_8432 ) ( DIFFERENT ?auto_8427 ?auto_8432 ) ( LOCATION ?auto_8428 ) ( AT ?auto_8437 ?auto_8428 ) ( AIRPLANE ?auto_8434 ) ( AIRPORT ?auto_8431 ) ( AIRPORT ?auto_8428 ) ( AT ?auto_8434 ?auto_8431 ) ( DIFFERENT ?auto_8428 ?auto_8431 ) ( LOCATION ?auto_8430 ) ( AT ?auto_8434 ?auto_8430 ) ( TRUCK ?auto_8429 ) ( LOCATION ?auto_8439 ) ( CITY ?auto_8435 ) ( IN-CITY ?auto_8439 ?auto_8435 ) ( IN-CITY ?auto_8430 ?auto_8435 ) ( DIFFERENT ?auto_8430 ?auto_8439 ) ( AT ?auto_8426 ?auto_8439 ) ( LOCATION ?auto_8442 ) ( CITY ?auto_8441 ) ( AT ?auto_8429 ?auto_8442 ) ( IN-CITY ?auto_8442 ?auto_8441 ) ( IN-CITY ?auto_8439 ?auto_8441 ) ( DIFFERENT ?auto_8439 ?auto_8442 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8429 ?auto_8442 ?auto_8439 ?auto_8441 )
      ( DELIVER-PKG ?auto_8426 ?auto_8427 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8459
      ?auto_8460
    )
    :vars
    (
      ?auto_8467
      ?auto_8464
      ?auto_8466
      ?auto_8462
      ?auto_8473
      ?auto_8472
      ?auto_8471
      ?auto_8470
      ?auto_8463
      ?auto_8465
      ?auto_8468
      ?auto_8476
      ?auto_8475
    )
    :precondition
    ( and ( OBJ ?auto_8459 ) ( LOCATION ?auto_8460 ) ( AIRPLANE ?auto_8467 ) ( AIRPORT ?auto_8464 ) ( AIRPORT ?auto_8460 ) ( AT ?auto_8467 ?auto_8464 ) ( DIFFERENT ?auto_8460 ?auto_8464 ) ( LOCATION ?auto_8466 ) ( AT ?auto_8467 ?auto_8466 ) ( AIRPLANE ?auto_8462 ) ( AIRPORT ?auto_8473 ) ( AIRPORT ?auto_8466 ) ( AT ?auto_8462 ?auto_8473 ) ( DIFFERENT ?auto_8466 ?auto_8473 ) ( LOCATION ?auto_8472 ) ( AT ?auto_8462 ?auto_8472 ) ( TRUCK ?auto_8471 ) ( LOCATION ?auto_8470 ) ( CITY ?auto_8463 ) ( IN-CITY ?auto_8470 ?auto_8463 ) ( IN-CITY ?auto_8472 ?auto_8463 ) ( DIFFERENT ?auto_8472 ?auto_8470 ) ( AT ?auto_8459 ?auto_8470 ) ( LOCATION ?auto_8465 ) ( CITY ?auto_8468 ) ( IN-CITY ?auto_8465 ?auto_8468 ) ( IN-CITY ?auto_8470 ?auto_8468 ) ( DIFFERENT ?auto_8470 ?auto_8465 ) ( LOCATION ?auto_8476 ) ( CITY ?auto_8475 ) ( AT ?auto_8471 ?auto_8476 ) ( IN-CITY ?auto_8476 ?auto_8475 ) ( IN-CITY ?auto_8465 ?auto_8475 ) ( DIFFERENT ?auto_8465 ?auto_8476 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8471 ?auto_8476 ?auto_8465 ?auto_8475 )
      ( DELIVER-PKG ?auto_8459 ?auto_8460 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8710
      ?auto_8711
    )
    :vars
    (
      ?auto_8712
      ?auto_8713
      ?auto_8719
      ?auto_8717
      ?auto_8716
      ?auto_8714
      ?auto_8718
      ?auto_8723
    )
    :precondition
    ( and ( OBJ ?auto_8710 ) ( LOCATION ?auto_8711 ) ( TRUCK ?auto_8712 ) ( LOCATION ?auto_8713 ) ( CITY ?auto_8719 ) ( AT ?auto_8712 ?auto_8713 ) ( IN-CITY ?auto_8713 ?auto_8719 ) ( IN-CITY ?auto_8711 ?auto_8719 ) ( DIFFERENT ?auto_8711 ?auto_8713 ) ( LOCATION ?auto_8717 ) ( AT ?auto_8712 ?auto_8717 ) ( AIRPLANE ?auto_8716 ) ( AIRPORT ?auto_8714 ) ( AIRPORT ?auto_8717 ) ( AT ?auto_8716 ?auto_8714 ) ( DIFFERENT ?auto_8717 ?auto_8714 ) ( LOCATION ?auto_8718 ) ( AT ?auto_8716 ?auto_8718 ) ( AIRPLANE ?auto_8723 ) ( IN ?auto_8710 ?auto_8723 ) ( AT ?auto_8723 ?auto_8718 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8710 ?auto_8718 )
      ( DELIVER-PKG ?auto_8710 ?auto_8711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8736
      ?auto_8737
    )
    :vars
    (
      ?auto_8747
      ?auto_8746
      ?auto_8742
      ?auto_8740
      ?auto_8744
      ?auto_8743
      ?auto_8741
      ?auto_8745
      ?auto_8749
    )
    :precondition
    ( and ( OBJ ?auto_8736 ) ( LOCATION ?auto_8737 ) ( TRUCK ?auto_8747 ) ( LOCATION ?auto_8746 ) ( CITY ?auto_8742 ) ( AT ?auto_8747 ?auto_8746 ) ( IN-CITY ?auto_8746 ?auto_8742 ) ( IN-CITY ?auto_8737 ?auto_8742 ) ( DIFFERENT ?auto_8737 ?auto_8746 ) ( LOCATION ?auto_8740 ) ( AT ?auto_8747 ?auto_8740 ) ( AIRPLANE ?auto_8744 ) ( AIRPORT ?auto_8743 ) ( AIRPORT ?auto_8740 ) ( AT ?auto_8744 ?auto_8743 ) ( DIFFERENT ?auto_8740 ?auto_8743 ) ( LOCATION ?auto_8741 ) ( AT ?auto_8744 ?auto_8741 ) ( AIRPLANE ?auto_8745 ) ( IN ?auto_8736 ?auto_8745 ) ( AIRPORT ?auto_8749 ) ( AIRPORT ?auto_8741 ) ( AT ?auto_8745 ?auto_8749 ) ( DIFFERENT ?auto_8741 ?auto_8749 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8745 ?auto_8749 ?auto_8741 )
      ( DELIVER-PKG ?auto_8736 ?auto_8737 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8764
      ?auto_8765
    )
    :vars
    (
      ?auto_8769
      ?auto_8774
      ?auto_8771
      ?auto_8775
      ?auto_8772
      ?auto_8770
      ?auto_8766
      ?auto_8773
      ?auto_8776
      ?auto_8778
    )
    :precondition
    ( and ( OBJ ?auto_8764 ) ( LOCATION ?auto_8765 ) ( TRUCK ?auto_8769 ) ( LOCATION ?auto_8774 ) ( CITY ?auto_8771 ) ( AT ?auto_8769 ?auto_8774 ) ( IN-CITY ?auto_8774 ?auto_8771 ) ( IN-CITY ?auto_8765 ?auto_8771 ) ( DIFFERENT ?auto_8765 ?auto_8774 ) ( LOCATION ?auto_8775 ) ( AT ?auto_8769 ?auto_8775 ) ( AIRPLANE ?auto_8772 ) ( AIRPORT ?auto_8770 ) ( AIRPORT ?auto_8775 ) ( AT ?auto_8772 ?auto_8770 ) ( DIFFERENT ?auto_8775 ?auto_8770 ) ( LOCATION ?auto_8766 ) ( AT ?auto_8772 ?auto_8766 ) ( AIRPLANE ?auto_8773 ) ( AIRPORT ?auto_8776 ) ( AIRPORT ?auto_8766 ) ( AT ?auto_8773 ?auto_8776 ) ( DIFFERENT ?auto_8766 ?auto_8776 ) ( LOCATION ?auto_8778 ) ( AT ?auto_8764 ?auto_8778 ) ( AT ?auto_8773 ?auto_8778 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8764 ?auto_8773 ?auto_8778 )
      ( DELIVER-PKG ?auto_8764 ?auto_8765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8780
      ?auto_8781
    )
    :vars
    (
      ?auto_8787
      ?auto_8785
      ?auto_8782
      ?auto_8789
      ?auto_8783
      ?auto_8788
      ?auto_8786
      ?auto_8784
      ?auto_8791
      ?auto_8790
      ?auto_8796
    )
    :precondition
    ( and ( OBJ ?auto_8780 ) ( LOCATION ?auto_8781 ) ( TRUCK ?auto_8787 ) ( LOCATION ?auto_8785 ) ( CITY ?auto_8782 ) ( AT ?auto_8787 ?auto_8785 ) ( IN-CITY ?auto_8785 ?auto_8782 ) ( IN-CITY ?auto_8781 ?auto_8782 ) ( DIFFERENT ?auto_8781 ?auto_8785 ) ( LOCATION ?auto_8789 ) ( AT ?auto_8787 ?auto_8789 ) ( AIRPLANE ?auto_8783 ) ( AIRPORT ?auto_8788 ) ( AIRPORT ?auto_8789 ) ( AT ?auto_8783 ?auto_8788 ) ( DIFFERENT ?auto_8789 ?auto_8788 ) ( LOCATION ?auto_8786 ) ( AT ?auto_8783 ?auto_8786 ) ( AIRPLANE ?auto_8784 ) ( AIRPORT ?auto_8791 ) ( AIRPORT ?auto_8786 ) ( AT ?auto_8784 ?auto_8791 ) ( DIFFERENT ?auto_8786 ?auto_8791 ) ( LOCATION ?auto_8790 ) ( AT ?auto_8784 ?auto_8790 ) ( TRUCK ?auto_8796 ) ( AT ?auto_8796 ?auto_8790 ) ( IN ?auto_8780 ?auto_8796 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8780 ?auto_8790 )
      ( DELIVER-PKG ?auto_8780 ?auto_8781 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8812
      ?auto_8813
    )
    :vars
    (
      ?auto_8817
      ?auto_8826
      ?auto_8815
      ?auto_8822
      ?auto_8823
      ?auto_8820
      ?auto_8816
      ?auto_8814
      ?auto_8819
      ?auto_8824
      ?auto_8821
      ?auto_8829
      ?auto_8828
    )
    :precondition
    ( and ( OBJ ?auto_8812 ) ( LOCATION ?auto_8813 ) ( TRUCK ?auto_8817 ) ( LOCATION ?auto_8826 ) ( CITY ?auto_8815 ) ( AT ?auto_8817 ?auto_8826 ) ( IN-CITY ?auto_8826 ?auto_8815 ) ( IN-CITY ?auto_8813 ?auto_8815 ) ( DIFFERENT ?auto_8813 ?auto_8826 ) ( LOCATION ?auto_8822 ) ( AT ?auto_8817 ?auto_8822 ) ( AIRPLANE ?auto_8823 ) ( AIRPORT ?auto_8820 ) ( AIRPORT ?auto_8822 ) ( AT ?auto_8823 ?auto_8820 ) ( DIFFERENT ?auto_8822 ?auto_8820 ) ( LOCATION ?auto_8816 ) ( AT ?auto_8823 ?auto_8816 ) ( AIRPLANE ?auto_8814 ) ( AIRPORT ?auto_8819 ) ( AIRPORT ?auto_8816 ) ( AT ?auto_8814 ?auto_8819 ) ( DIFFERENT ?auto_8816 ?auto_8819 ) ( LOCATION ?auto_8824 ) ( AT ?auto_8814 ?auto_8824 ) ( TRUCK ?auto_8821 ) ( IN ?auto_8812 ?auto_8821 ) ( LOCATION ?auto_8829 ) ( CITY ?auto_8828 ) ( AT ?auto_8821 ?auto_8829 ) ( IN-CITY ?auto_8829 ?auto_8828 ) ( IN-CITY ?auto_8824 ?auto_8828 ) ( DIFFERENT ?auto_8824 ?auto_8829 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8821 ?auto_8829 ?auto_8824 ?auto_8828 )
      ( DELIVER-PKG ?auto_8812 ?auto_8813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8848
      ?auto_8849
    )
    :vars
    (
      ?auto_8860
      ?auto_8853
      ?auto_8851
      ?auto_8858
      ?auto_8859
      ?auto_8856
      ?auto_8861
      ?auto_8854
      ?auto_8855
      ?auto_8852
      ?auto_8857
      ?auto_8864
      ?auto_8863
      ?auto_8866
    )
    :precondition
    ( and ( OBJ ?auto_8848 ) ( LOCATION ?auto_8849 ) ( TRUCK ?auto_8860 ) ( LOCATION ?auto_8853 ) ( CITY ?auto_8851 ) ( AT ?auto_8860 ?auto_8853 ) ( IN-CITY ?auto_8853 ?auto_8851 ) ( IN-CITY ?auto_8849 ?auto_8851 ) ( DIFFERENT ?auto_8849 ?auto_8853 ) ( LOCATION ?auto_8858 ) ( AT ?auto_8860 ?auto_8858 ) ( AIRPLANE ?auto_8859 ) ( AIRPORT ?auto_8856 ) ( AIRPORT ?auto_8858 ) ( AT ?auto_8859 ?auto_8856 ) ( DIFFERENT ?auto_8858 ?auto_8856 ) ( LOCATION ?auto_8861 ) ( AT ?auto_8859 ?auto_8861 ) ( AIRPLANE ?auto_8854 ) ( AIRPORT ?auto_8855 ) ( AIRPORT ?auto_8861 ) ( AT ?auto_8854 ?auto_8855 ) ( DIFFERENT ?auto_8861 ?auto_8855 ) ( LOCATION ?auto_8852 ) ( AT ?auto_8854 ?auto_8852 ) ( TRUCK ?auto_8857 ) ( LOCATION ?auto_8864 ) ( CITY ?auto_8863 ) ( AT ?auto_8857 ?auto_8864 ) ( IN-CITY ?auto_8864 ?auto_8863 ) ( IN-CITY ?auto_8852 ?auto_8863 ) ( DIFFERENT ?auto_8852 ?auto_8864 ) ( LOCATION ?auto_8866 ) ( AT ?auto_8857 ?auto_8866 ) ( AT ?auto_8848 ?auto_8866 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8848 ?auto_8857 ?auto_8866 )
      ( DELIVER-PKG ?auto_8848 ?auto_8849 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8868
      ?auto_8869
    )
    :vars
    (
      ?auto_8875
      ?auto_8884
      ?auto_8870
      ?auto_8873
      ?auto_8874
      ?auto_8881
      ?auto_8878
      ?auto_8876
      ?auto_8877
      ?auto_8871
      ?auto_8882
      ?auto_8872
      ?auto_8879
      ?auto_8888
      ?auto_8887
    )
    :precondition
    ( and ( OBJ ?auto_8868 ) ( LOCATION ?auto_8869 ) ( TRUCK ?auto_8875 ) ( LOCATION ?auto_8884 ) ( CITY ?auto_8870 ) ( AT ?auto_8875 ?auto_8884 ) ( IN-CITY ?auto_8884 ?auto_8870 ) ( IN-CITY ?auto_8869 ?auto_8870 ) ( DIFFERENT ?auto_8869 ?auto_8884 ) ( LOCATION ?auto_8873 ) ( AT ?auto_8875 ?auto_8873 ) ( AIRPLANE ?auto_8874 ) ( AIRPORT ?auto_8881 ) ( AIRPORT ?auto_8873 ) ( AT ?auto_8874 ?auto_8881 ) ( DIFFERENT ?auto_8873 ?auto_8881 ) ( LOCATION ?auto_8878 ) ( AT ?auto_8874 ?auto_8878 ) ( AIRPLANE ?auto_8876 ) ( AIRPORT ?auto_8877 ) ( AIRPORT ?auto_8878 ) ( AT ?auto_8876 ?auto_8877 ) ( DIFFERENT ?auto_8878 ?auto_8877 ) ( LOCATION ?auto_8871 ) ( AT ?auto_8876 ?auto_8871 ) ( TRUCK ?auto_8882 ) ( LOCATION ?auto_8872 ) ( CITY ?auto_8879 ) ( IN-CITY ?auto_8872 ?auto_8879 ) ( IN-CITY ?auto_8871 ?auto_8879 ) ( DIFFERENT ?auto_8871 ?auto_8872 ) ( AT ?auto_8868 ?auto_8872 ) ( LOCATION ?auto_8888 ) ( CITY ?auto_8887 ) ( AT ?auto_8882 ?auto_8888 ) ( IN-CITY ?auto_8888 ?auto_8887 ) ( IN-CITY ?auto_8872 ?auto_8887 ) ( DIFFERENT ?auto_8872 ?auto_8888 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8882 ?auto_8888 ?auto_8872 ?auto_8887 )
      ( DELIVER-PKG ?auto_8868 ?auto_8869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8909
      ?auto_8910
    )
    :vars
    (
      ?auto_8915
      ?auto_8920
      ?auto_8911
      ?auto_8926
      ?auto_8927
      ?auto_8914
      ?auto_8918
      ?auto_8923
      ?auto_8917
      ?auto_8924
      ?auto_8919
      ?auto_8925
      ?auto_8913
      ?auto_8922
      ?auto_8921
      ?auto_8930
      ?auto_8929
    )
    :precondition
    ( and ( OBJ ?auto_8909 ) ( LOCATION ?auto_8910 ) ( TRUCK ?auto_8915 ) ( LOCATION ?auto_8920 ) ( CITY ?auto_8911 ) ( AT ?auto_8915 ?auto_8920 ) ( IN-CITY ?auto_8920 ?auto_8911 ) ( IN-CITY ?auto_8910 ?auto_8911 ) ( DIFFERENT ?auto_8910 ?auto_8920 ) ( LOCATION ?auto_8926 ) ( AT ?auto_8915 ?auto_8926 ) ( AIRPLANE ?auto_8927 ) ( AIRPORT ?auto_8914 ) ( AIRPORT ?auto_8926 ) ( AT ?auto_8927 ?auto_8914 ) ( DIFFERENT ?auto_8926 ?auto_8914 ) ( LOCATION ?auto_8918 ) ( AT ?auto_8927 ?auto_8918 ) ( AIRPLANE ?auto_8923 ) ( AIRPORT ?auto_8917 ) ( AIRPORT ?auto_8918 ) ( AT ?auto_8923 ?auto_8917 ) ( DIFFERENT ?auto_8918 ?auto_8917 ) ( LOCATION ?auto_8924 ) ( AT ?auto_8923 ?auto_8924 ) ( TRUCK ?auto_8919 ) ( LOCATION ?auto_8925 ) ( CITY ?auto_8913 ) ( IN-CITY ?auto_8925 ?auto_8913 ) ( IN-CITY ?auto_8924 ?auto_8913 ) ( DIFFERENT ?auto_8924 ?auto_8925 ) ( AT ?auto_8909 ?auto_8925 ) ( LOCATION ?auto_8922 ) ( CITY ?auto_8921 ) ( IN-CITY ?auto_8922 ?auto_8921 ) ( IN-CITY ?auto_8925 ?auto_8921 ) ( DIFFERENT ?auto_8925 ?auto_8922 ) ( LOCATION ?auto_8930 ) ( CITY ?auto_8929 ) ( AT ?auto_8919 ?auto_8930 ) ( IN-CITY ?auto_8930 ?auto_8929 ) ( IN-CITY ?auto_8922 ?auto_8929 ) ( DIFFERENT ?auto_8922 ?auto_8930 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8919 ?auto_8930 ?auto_8922 ?auto_8929 )
      ( DELIVER-PKG ?auto_8909 ?auto_8910 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8932
      ?auto_8933
    )
    :vars
    (
      ?auto_8941
      ?auto_8945
      ?auto_8939
      ?auto_8947
      ?auto_8950
      ?auto_8949
      ?auto_8942
      ?auto_8948
      ?auto_8943
      ?auto_8935
      ?auto_8944
      ?auto_8940
      ?auto_8938
      ?auto_8937
      ?auto_8952
      ?auto_8946
      ?auto_8955
      ?auto_8954
    )
    :precondition
    ( and ( OBJ ?auto_8932 ) ( LOCATION ?auto_8933 ) ( TRUCK ?auto_8941 ) ( LOCATION ?auto_8945 ) ( CITY ?auto_8939 ) ( IN-CITY ?auto_8945 ?auto_8939 ) ( IN-CITY ?auto_8933 ?auto_8939 ) ( DIFFERENT ?auto_8933 ?auto_8945 ) ( AIRPLANE ?auto_8947 ) ( AIRPORT ?auto_8950 ) ( AIRPORT ?auto_8945 ) ( AT ?auto_8947 ?auto_8950 ) ( DIFFERENT ?auto_8945 ?auto_8950 ) ( LOCATION ?auto_8949 ) ( AT ?auto_8947 ?auto_8949 ) ( AIRPLANE ?auto_8942 ) ( AIRPORT ?auto_8948 ) ( AIRPORT ?auto_8949 ) ( AT ?auto_8942 ?auto_8948 ) ( DIFFERENT ?auto_8949 ?auto_8948 ) ( LOCATION ?auto_8943 ) ( AT ?auto_8942 ?auto_8943 ) ( TRUCK ?auto_8935 ) ( LOCATION ?auto_8944 ) ( CITY ?auto_8940 ) ( IN-CITY ?auto_8944 ?auto_8940 ) ( IN-CITY ?auto_8943 ?auto_8940 ) ( DIFFERENT ?auto_8943 ?auto_8944 ) ( AT ?auto_8932 ?auto_8944 ) ( LOCATION ?auto_8938 ) ( CITY ?auto_8937 ) ( IN-CITY ?auto_8938 ?auto_8937 ) ( IN-CITY ?auto_8944 ?auto_8937 ) ( DIFFERENT ?auto_8944 ?auto_8938 ) ( LOCATION ?auto_8952 ) ( CITY ?auto_8946 ) ( AT ?auto_8935 ?auto_8952 ) ( IN-CITY ?auto_8952 ?auto_8946 ) ( IN-CITY ?auto_8938 ?auto_8946 ) ( DIFFERENT ?auto_8938 ?auto_8952 ) ( LOCATION ?auto_8955 ) ( CITY ?auto_8954 ) ( AT ?auto_8941 ?auto_8955 ) ( IN-CITY ?auto_8955 ?auto_8954 ) ( IN-CITY ?auto_8945 ?auto_8954 ) ( DIFFERENT ?auto_8945 ?auto_8955 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8941 ?auto_8955 ?auto_8945 ?auto_8954 )
      ( DELIVER-PKG ?auto_8932 ?auto_8933 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9429
      ?auto_9430
    )
    :vars
    (
      ?auto_9442
      ?auto_9441
      ?auto_9440
      ?auto_9439
      ?auto_9434
      ?auto_9444
      ?auto_9443
      ?auto_9433
      ?auto_9438
      ?auto_9431
      ?auto_9437
      ?auto_9432
      ?auto_9448
      ?auto_9447
    )
    :precondition
    ( and ( OBJ ?auto_9429 ) ( LOCATION ?auto_9430 ) ( TRUCK ?auto_9442 ) ( LOCATION ?auto_9441 ) ( CITY ?auto_9440 ) ( IN-CITY ?auto_9441 ?auto_9440 ) ( IN-CITY ?auto_9430 ?auto_9440 ) ( DIFFERENT ?auto_9430 ?auto_9441 ) ( LOCATION ?auto_9439 ) ( CITY ?auto_9434 ) ( AT ?auto_9442 ?auto_9439 ) ( IN-CITY ?auto_9439 ?auto_9434 ) ( IN-CITY ?auto_9441 ?auto_9434 ) ( DIFFERENT ?auto_9441 ?auto_9439 ) ( LOCATION ?auto_9444 ) ( AT ?auto_9442 ?auto_9444 ) ( AIRPLANE ?auto_9443 ) ( AIRPORT ?auto_9433 ) ( AIRPORT ?auto_9444 ) ( AT ?auto_9443 ?auto_9433 ) ( DIFFERENT ?auto_9444 ?auto_9433 ) ( LOCATION ?auto_9438 ) ( AT ?auto_9443 ?auto_9438 ) ( TRUCK ?auto_9431 ) ( LOCATION ?auto_9437 ) ( CITY ?auto_9432 ) ( IN-CITY ?auto_9437 ?auto_9432 ) ( IN-CITY ?auto_9438 ?auto_9432 ) ( DIFFERENT ?auto_9438 ?auto_9437 ) ( AT ?auto_9429 ?auto_9437 ) ( LOCATION ?auto_9448 ) ( CITY ?auto_9447 ) ( AT ?auto_9431 ?auto_9448 ) ( IN-CITY ?auto_9448 ?auto_9447 ) ( IN-CITY ?auto_9437 ?auto_9447 ) ( DIFFERENT ?auto_9437 ?auto_9448 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9431 ?auto_9448 ?auto_9437 ?auto_9447 )
      ( DELIVER-PKG ?auto_9429 ?auto_9430 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9450
      ?auto_9451
    )
    :vars
    (
      ?auto_9458
      ?auto_9456
      ?auto_9455
      ?auto_9454
      ?auto_9465
      ?auto_9461
      ?auto_9460
      ?auto_9453
      ?auto_9462
      ?auto_9452
      ?auto_9467
      ?auto_9459
      ?auto_9457
      ?auto_9469
    )
    :precondition
    ( and ( OBJ ?auto_9450 ) ( LOCATION ?auto_9451 ) ( TRUCK ?auto_9458 ) ( LOCATION ?auto_9456 ) ( CITY ?auto_9455 ) ( IN-CITY ?auto_9456 ?auto_9455 ) ( IN-CITY ?auto_9451 ?auto_9455 ) ( DIFFERENT ?auto_9451 ?auto_9456 ) ( LOCATION ?auto_9454 ) ( CITY ?auto_9465 ) ( AT ?auto_9458 ?auto_9454 ) ( IN-CITY ?auto_9454 ?auto_9465 ) ( IN-CITY ?auto_9456 ?auto_9465 ) ( DIFFERENT ?auto_9456 ?auto_9454 ) ( LOCATION ?auto_9461 ) ( AT ?auto_9458 ?auto_9461 ) ( AIRPLANE ?auto_9460 ) ( AIRPORT ?auto_9453 ) ( AIRPORT ?auto_9461 ) ( DIFFERENT ?auto_9461 ?auto_9453 ) ( LOCATION ?auto_9453 ) ( TRUCK ?auto_9462 ) ( LOCATION ?auto_9452 ) ( CITY ?auto_9467 ) ( IN-CITY ?auto_9452 ?auto_9467 ) ( IN-CITY ?auto_9453 ?auto_9467 ) ( DIFFERENT ?auto_9453 ?auto_9452 ) ( AT ?auto_9450 ?auto_9452 ) ( LOCATION ?auto_9459 ) ( CITY ?auto_9457 ) ( AT ?auto_9462 ?auto_9459 ) ( IN-CITY ?auto_9459 ?auto_9457 ) ( IN-CITY ?auto_9452 ?auto_9457 ) ( DIFFERENT ?auto_9452 ?auto_9459 ) ( AIRPORT ?auto_9469 ) ( AT ?auto_9460 ?auto_9469 ) ( DIFFERENT ?auto_9453 ?auto_9469 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9460 ?auto_9469 ?auto_9453 )
      ( DELIVER-PKG ?auto_9450 ?auto_9451 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9471
      ?auto_9472
    )
    :vars
    (
      ?auto_9481
      ?auto_9476
      ?auto_9477
      ?auto_9479
      ?auto_9486
      ?auto_9484
      ?auto_9483
      ?auto_9478
      ?auto_9485
      ?auto_9475
      ?auto_9487
      ?auto_9482
      ?auto_9480
      ?auto_9488
      ?auto_9491
      ?auto_9490
    )
    :precondition
    ( and ( OBJ ?auto_9471 ) ( LOCATION ?auto_9472 ) ( TRUCK ?auto_9481 ) ( LOCATION ?auto_9476 ) ( CITY ?auto_9477 ) ( IN-CITY ?auto_9476 ?auto_9477 ) ( IN-CITY ?auto_9472 ?auto_9477 ) ( DIFFERENT ?auto_9472 ?auto_9476 ) ( LOCATION ?auto_9479 ) ( CITY ?auto_9486 ) ( AT ?auto_9481 ?auto_9479 ) ( IN-CITY ?auto_9479 ?auto_9486 ) ( IN-CITY ?auto_9476 ?auto_9486 ) ( DIFFERENT ?auto_9476 ?auto_9479 ) ( LOCATION ?auto_9484 ) ( AT ?auto_9481 ?auto_9484 ) ( AIRPLANE ?auto_9483 ) ( AIRPORT ?auto_9478 ) ( AIRPORT ?auto_9484 ) ( DIFFERENT ?auto_9484 ?auto_9478 ) ( LOCATION ?auto_9478 ) ( TRUCK ?auto_9485 ) ( LOCATION ?auto_9475 ) ( CITY ?auto_9487 ) ( IN-CITY ?auto_9475 ?auto_9487 ) ( IN-CITY ?auto_9478 ?auto_9487 ) ( DIFFERENT ?auto_9478 ?auto_9475 ) ( AT ?auto_9471 ?auto_9475 ) ( LOCATION ?auto_9482 ) ( CITY ?auto_9480 ) ( IN-CITY ?auto_9482 ?auto_9480 ) ( IN-CITY ?auto_9475 ?auto_9480 ) ( DIFFERENT ?auto_9475 ?auto_9482 ) ( AIRPORT ?auto_9488 ) ( AT ?auto_9483 ?auto_9488 ) ( DIFFERENT ?auto_9478 ?auto_9488 ) ( LOCATION ?auto_9491 ) ( CITY ?auto_9490 ) ( AT ?auto_9485 ?auto_9491 ) ( IN-CITY ?auto_9491 ?auto_9490 ) ( IN-CITY ?auto_9482 ?auto_9490 ) ( DIFFERENT ?auto_9482 ?auto_9491 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9485 ?auto_9491 ?auto_9482 ?auto_9490 )
      ( DELIVER-PKG ?auto_9471 ?auto_9472 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9493
      ?auto_9494
    )
    :vars
    (
      ?auto_9503
      ?auto_9498
      ?auto_9499
      ?auto_9506
      ?auto_9508
      ?auto_9505
      ?auto_9500
      ?auto_9507
      ?auto_9496
      ?auto_9509
      ?auto_9504
      ?auto_9502
      ?auto_9510
      ?auto_9512
      ?auto_9511
      ?auto_9515
      ?auto_9514
    )
    :precondition
    ( and ( OBJ ?auto_9493 ) ( LOCATION ?auto_9494 ) ( TRUCK ?auto_9503 ) ( LOCATION ?auto_9498 ) ( CITY ?auto_9499 ) ( IN-CITY ?auto_9498 ?auto_9499 ) ( IN-CITY ?auto_9494 ?auto_9499 ) ( DIFFERENT ?auto_9494 ?auto_9498 ) ( LOCATION ?auto_9506 ) ( CITY ?auto_9508 ) ( IN-CITY ?auto_9506 ?auto_9508 ) ( IN-CITY ?auto_9498 ?auto_9508 ) ( DIFFERENT ?auto_9498 ?auto_9506 ) ( AIRPLANE ?auto_9505 ) ( AIRPORT ?auto_9500 ) ( AIRPORT ?auto_9506 ) ( DIFFERENT ?auto_9506 ?auto_9500 ) ( LOCATION ?auto_9500 ) ( TRUCK ?auto_9507 ) ( LOCATION ?auto_9496 ) ( CITY ?auto_9509 ) ( IN-CITY ?auto_9496 ?auto_9509 ) ( IN-CITY ?auto_9500 ?auto_9509 ) ( DIFFERENT ?auto_9500 ?auto_9496 ) ( AT ?auto_9493 ?auto_9496 ) ( LOCATION ?auto_9504 ) ( CITY ?auto_9502 ) ( IN-CITY ?auto_9504 ?auto_9502 ) ( IN-CITY ?auto_9496 ?auto_9502 ) ( DIFFERENT ?auto_9496 ?auto_9504 ) ( AIRPORT ?auto_9510 ) ( AT ?auto_9505 ?auto_9510 ) ( DIFFERENT ?auto_9500 ?auto_9510 ) ( LOCATION ?auto_9512 ) ( CITY ?auto_9511 ) ( AT ?auto_9507 ?auto_9512 ) ( IN-CITY ?auto_9512 ?auto_9511 ) ( IN-CITY ?auto_9504 ?auto_9511 ) ( DIFFERENT ?auto_9504 ?auto_9512 ) ( LOCATION ?auto_9515 ) ( CITY ?auto_9514 ) ( AT ?auto_9503 ?auto_9515 ) ( IN-CITY ?auto_9515 ?auto_9514 ) ( IN-CITY ?auto_9506 ?auto_9514 ) ( DIFFERENT ?auto_9506 ?auto_9515 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9503 ?auto_9515 ?auto_9506 ?auto_9514 )
      ( DELIVER-PKG ?auto_9493 ?auto_9494 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10122
      ?auto_10123
    )
    :vars
    (
      ?auto_10126
      ?auto_10131
      ?auto_10127
      ?auto_10128
      ?auto_10133
      ?auto_10129
      ?auto_10130
      ?auto_10132
      ?auto_10135
      ?auto_10134
      ?auto_10137
    )
    :precondition
    ( and ( OBJ ?auto_10122 ) ( LOCATION ?auto_10123 ) ( TRUCK ?auto_10126 ) ( LOCATION ?auto_10131 ) ( CITY ?auto_10127 ) ( AT ?auto_10126 ?auto_10131 ) ( IN-CITY ?auto_10131 ?auto_10127 ) ( IN-CITY ?auto_10123 ?auto_10127 ) ( DIFFERENT ?auto_10123 ?auto_10131 ) ( LOCATION ?auto_10128 ) ( AT ?auto_10126 ?auto_10128 ) ( AIRPLANE ?auto_10133 ) ( AIRPORT ?auto_10129 ) ( AIRPORT ?auto_10128 ) ( AT ?auto_10133 ?auto_10129 ) ( DIFFERENT ?auto_10128 ?auto_10129 ) ( LOCATION ?auto_10130 ) ( AT ?auto_10133 ?auto_10130 ) ( TRUCK ?auto_10132 ) ( LOCATION ?auto_10135 ) ( CITY ?auto_10134 ) ( AT ?auto_10132 ?auto_10135 ) ( IN-CITY ?auto_10135 ?auto_10134 ) ( IN-CITY ?auto_10130 ?auto_10134 ) ( DIFFERENT ?auto_10130 ?auto_10135 ) ( LOCATION ?auto_10137 ) ( AT ?auto_10132 ?auto_10137 ) ( AT ?auto_10122 ?auto_10137 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10122 ?auto_10132 ?auto_10137 )
      ( DELIVER-PKG ?auto_10122 ?auto_10123 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10139
      ?auto_10140
    )
    :vars
    (
      ?auto_10141
      ?auto_10149
      ?auto_10145
      ?auto_10146
      ?auto_10142
      ?auto_10148
      ?auto_10150
      ?auto_10144
      ?auto_10143
      ?auto_10151
      ?auto_10155
    )
    :precondition
    ( and ( OBJ ?auto_10139 ) ( LOCATION ?auto_10140 ) ( TRUCK ?auto_10141 ) ( LOCATION ?auto_10149 ) ( CITY ?auto_10145 ) ( AT ?auto_10141 ?auto_10149 ) ( IN-CITY ?auto_10149 ?auto_10145 ) ( IN-CITY ?auto_10140 ?auto_10145 ) ( DIFFERENT ?auto_10140 ?auto_10149 ) ( LOCATION ?auto_10146 ) ( AT ?auto_10141 ?auto_10146 ) ( AIRPLANE ?auto_10142 ) ( AIRPORT ?auto_10148 ) ( AIRPORT ?auto_10146 ) ( DIFFERENT ?auto_10146 ?auto_10148 ) ( LOCATION ?auto_10148 ) ( TRUCK ?auto_10150 ) ( LOCATION ?auto_10144 ) ( CITY ?auto_10143 ) ( AT ?auto_10150 ?auto_10144 ) ( IN-CITY ?auto_10144 ?auto_10143 ) ( IN-CITY ?auto_10148 ?auto_10143 ) ( DIFFERENT ?auto_10148 ?auto_10144 ) ( LOCATION ?auto_10151 ) ( AT ?auto_10150 ?auto_10151 ) ( AT ?auto_10139 ?auto_10151 ) ( AIRPORT ?auto_10155 ) ( AT ?auto_10142 ?auto_10155 ) ( DIFFERENT ?auto_10148 ?auto_10155 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10142 ?auto_10155 ?auto_10148 )
      ( DELIVER-PKG ?auto_10139 ?auto_10140 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10463
      ?auto_10464
    )
    :vars
    (
      ?auto_10472
      ?auto_10466
      ?auto_10470
      ?auto_10467
      ?auto_10465
      ?auto_10468
      ?auto_10469
      ?auto_10474
      ?auto_10477
    )
    :precondition
    ( and ( OBJ ?auto_10463 ) ( LOCATION ?auto_10464 ) ( TRUCK ?auto_10472 ) ( LOCATION ?auto_10466 ) ( CITY ?auto_10470 ) ( IN-CITY ?auto_10466 ?auto_10470 ) ( IN-CITY ?auto_10464 ?auto_10470 ) ( DIFFERENT ?auto_10464 ?auto_10466 ) ( LOCATION ?auto_10467 ) ( CITY ?auto_10465 ) ( AT ?auto_10472 ?auto_10467 ) ( IN-CITY ?auto_10467 ?auto_10465 ) ( IN-CITY ?auto_10466 ?auto_10465 ) ( DIFFERENT ?auto_10466 ?auto_10467 ) ( LOCATION ?auto_10468 ) ( AT ?auto_10472 ?auto_10468 ) ( AIRPLANE ?auto_10469 ) ( AIRPORT ?auto_10474 ) ( AIRPORT ?auto_10468 ) ( DIFFERENT ?auto_10468 ?auto_10474 ) ( LOCATION ?auto_10474 ) ( AT ?auto_10463 ?auto_10474 ) ( AIRPORT ?auto_10477 ) ( AT ?auto_10469 ?auto_10477 ) ( DIFFERENT ?auto_10474 ?auto_10477 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10469 ?auto_10477 ?auto_10474 )
      ( DELIVER-PKG ?auto_10463 ?auto_10464 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10734
      ?auto_10735
    )
    :vars
    (
      ?auto_10738
      ?auto_10740
    )
    :precondition
    ( and ( OBJ ?auto_10734 ) ( LOCATION ?auto_10735 ) ( TRUCK ?auto_10738 ) ( AT ?auto_10738 ?auto_10735 ) ( LOCATION ?auto_10740 ) ( AT ?auto_10738 ?auto_10740 ) ( AT ?auto_10734 ?auto_10740 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10734 ?auto_10738 ?auto_10740 )
      ( DELIVER-PKG ?auto_10734 ?auto_10735 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10748
      ?auto_10749
    )
    :vars
    (
      ?auto_10750
      ?auto_10751
      ?auto_10756
    )
    :precondition
    ( and ( OBJ ?auto_10748 ) ( LOCATION ?auto_10749 ) ( TRUCK ?auto_10750 ) ( AT ?auto_10750 ?auto_10749 ) ( LOCATION ?auto_10751 ) ( AT ?auto_10750 ?auto_10751 ) ( AIRPLANE ?auto_10756 ) ( IN ?auto_10748 ?auto_10756 ) ( AT ?auto_10756 ?auto_10751 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10748 ?auto_10751 )
      ( DELIVER-PKG ?auto_10748 ?auto_10749 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10764
      ?auto_10765
    )
    :vars
    (
      ?auto_10767
      ?auto_10768
      ?auto_10770
      ?auto_10772
    )
    :precondition
    ( and ( OBJ ?auto_10764 ) ( LOCATION ?auto_10765 ) ( TRUCK ?auto_10767 ) ( AT ?auto_10767 ?auto_10765 ) ( LOCATION ?auto_10768 ) ( AT ?auto_10767 ?auto_10768 ) ( AIRPLANE ?auto_10770 ) ( IN ?auto_10764 ?auto_10770 ) ( AIRPORT ?auto_10772 ) ( AIRPORT ?auto_10768 ) ( AT ?auto_10770 ?auto_10772 ) ( DIFFERENT ?auto_10768 ?auto_10772 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10770 ?auto_10772 ?auto_10768 )
      ( DELIVER-PKG ?auto_10764 ?auto_10765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10782
      ?auto_10783
    )
    :vars
    (
      ?auto_10785
      ?auto_10789
      ?auto_10787
      ?auto_10786
      ?auto_10791
    )
    :precondition
    ( and ( OBJ ?auto_10782 ) ( LOCATION ?auto_10783 ) ( TRUCK ?auto_10785 ) ( AT ?auto_10785 ?auto_10783 ) ( LOCATION ?auto_10789 ) ( AT ?auto_10785 ?auto_10789 ) ( AIRPLANE ?auto_10787 ) ( AIRPORT ?auto_10786 ) ( AIRPORT ?auto_10789 ) ( AT ?auto_10787 ?auto_10786 ) ( DIFFERENT ?auto_10789 ?auto_10786 ) ( LOCATION ?auto_10791 ) ( AT ?auto_10782 ?auto_10791 ) ( AT ?auto_10787 ?auto_10791 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_10782 ?auto_10787 ?auto_10791 )
      ( DELIVER-PKG ?auto_10782 ?auto_10783 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10811
      ?auto_10812
    )
    :vars
    (
      ?auto_10815
      ?auto_10817
      ?auto_10814
      ?auto_10819
      ?auto_10821
    )
    :precondition
    ( and ( OBJ ?auto_10811 ) ( LOCATION ?auto_10812 ) ( TRUCK ?auto_10815 ) ( AT ?auto_10815 ?auto_10812 ) ( LOCATION ?auto_10817 ) ( AT ?auto_10815 ?auto_10817 ) ( AIRPLANE ?auto_10814 ) ( AIRPORT ?auto_10819 ) ( AIRPORT ?auto_10817 ) ( DIFFERENT ?auto_10817 ?auto_10819 ) ( LOCATION ?auto_10819 ) ( AT ?auto_10811 ?auto_10819 ) ( AIRPORT ?auto_10821 ) ( AT ?auto_10814 ?auto_10821 ) ( DIFFERENT ?auto_10819 ?auto_10821 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10814 ?auto_10821 ?auto_10819 )
      ( DELIVER-PKG ?auto_10811 ?auto_10812 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11973
      ?auto_11974
    )
    :vars
    (
      ?auto_11977
      ?auto_11976
      ?auto_11980
    )
    :precondition
    ( and ( OBJ ?auto_11973 ) ( LOCATION ?auto_11974 ) ( AIRPLANE ?auto_11977 ) ( IN ?auto_11973 ?auto_11977 ) ( AIRPORT ?auto_11976 ) ( AIRPORT ?auto_11974 ) ( DIFFERENT ?auto_11974 ?auto_11976 ) ( AIRPORT ?auto_11980 ) ( AT ?auto_11977 ?auto_11980 ) ( DIFFERENT ?auto_11976 ?auto_11980 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11977 ?auto_11980 ?auto_11976 )
      ( DELIVER-PKG ?auto_11973 ?auto_11974 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11989
      ?auto_11990
    )
    :vars
    (
      ?auto_11994
      ?auto_11993
      ?auto_11995
      ?auto_11997
    )
    :precondition
    ( and ( OBJ ?auto_11989 ) ( LOCATION ?auto_11990 ) ( AIRPLANE ?auto_11994 ) ( AIRPORT ?auto_11993 ) ( AIRPORT ?auto_11990 ) ( DIFFERENT ?auto_11990 ?auto_11993 ) ( AIRPORT ?auto_11995 ) ( AT ?auto_11994 ?auto_11995 ) ( DIFFERENT ?auto_11993 ?auto_11995 ) ( LOCATION ?auto_11997 ) ( AT ?auto_11989 ?auto_11997 ) ( AT ?auto_11994 ?auto_11997 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_11989 ?auto_11994 ?auto_11997 )
      ( DELIVER-PKG ?auto_11989 ?auto_11990 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12007
      ?auto_12008
    )
    :vars
    (
      ?auto_12009
      ?auto_12011
      ?auto_12010
      ?auto_12014
      ?auto_12017
    )
    :precondition
    ( and ( OBJ ?auto_12007 ) ( LOCATION ?auto_12008 ) ( AIRPLANE ?auto_12009 ) ( AIRPORT ?auto_12011 ) ( AIRPORT ?auto_12008 ) ( DIFFERENT ?auto_12008 ?auto_12011 ) ( AIRPORT ?auto_12010 ) ( AT ?auto_12009 ?auto_12010 ) ( DIFFERENT ?auto_12011 ?auto_12010 ) ( LOCATION ?auto_12014 ) ( AT ?auto_12009 ?auto_12014 ) ( TRUCK ?auto_12017 ) ( AT ?auto_12017 ?auto_12014 ) ( IN ?auto_12007 ?auto_12017 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12007 ?auto_12014 )
      ( DELIVER-PKG ?auto_12007 ?auto_12008 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12027
      ?auto_12028
    )
    :vars
    (
      ?auto_12029
      ?auto_12030
      ?auto_12031
      ?auto_12032
      ?auto_12035
      ?auto_12038
      ?auto_12037
    )
    :precondition
    ( and ( OBJ ?auto_12027 ) ( LOCATION ?auto_12028 ) ( AIRPLANE ?auto_12029 ) ( AIRPORT ?auto_12030 ) ( AIRPORT ?auto_12028 ) ( DIFFERENT ?auto_12028 ?auto_12030 ) ( AIRPORT ?auto_12031 ) ( AT ?auto_12029 ?auto_12031 ) ( DIFFERENT ?auto_12030 ?auto_12031 ) ( LOCATION ?auto_12032 ) ( AT ?auto_12029 ?auto_12032 ) ( TRUCK ?auto_12035 ) ( IN ?auto_12027 ?auto_12035 ) ( LOCATION ?auto_12038 ) ( CITY ?auto_12037 ) ( AT ?auto_12035 ?auto_12038 ) ( IN-CITY ?auto_12038 ?auto_12037 ) ( IN-CITY ?auto_12032 ?auto_12037 ) ( DIFFERENT ?auto_12032 ?auto_12038 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12035 ?auto_12038 ?auto_12032 ?auto_12037 )
      ( DELIVER-PKG ?auto_12027 ?auto_12028 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12051
      ?auto_12052
    )
    :vars
    (
      ?auto_12056
      ?auto_12059
      ?auto_12054
      ?auto_12055
      ?auto_12057
      ?auto_12061
      ?auto_12060
      ?auto_12063
    )
    :precondition
    ( and ( OBJ ?auto_12051 ) ( LOCATION ?auto_12052 ) ( AIRPLANE ?auto_12056 ) ( AIRPORT ?auto_12059 ) ( AIRPORT ?auto_12052 ) ( DIFFERENT ?auto_12052 ?auto_12059 ) ( AIRPORT ?auto_12054 ) ( AT ?auto_12056 ?auto_12054 ) ( DIFFERENT ?auto_12059 ?auto_12054 ) ( LOCATION ?auto_12055 ) ( AT ?auto_12056 ?auto_12055 ) ( TRUCK ?auto_12057 ) ( LOCATION ?auto_12061 ) ( CITY ?auto_12060 ) ( AT ?auto_12057 ?auto_12061 ) ( IN-CITY ?auto_12061 ?auto_12060 ) ( IN-CITY ?auto_12055 ?auto_12060 ) ( DIFFERENT ?auto_12055 ?auto_12061 ) ( LOCATION ?auto_12063 ) ( AT ?auto_12057 ?auto_12063 ) ( AT ?auto_12051 ?auto_12063 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12051 ?auto_12057 ?auto_12063 )
      ( DELIVER-PKG ?auto_12051 ?auto_12052 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14334
      ?auto_14335
    )
    :vars
    (
      ?auto_14340
      ?auto_14338
      ?auto_14344
      ?auto_14337
      ?auto_14339
      ?auto_14343
      ?auto_14342
      ?auto_14346
    )
    :precondition
    ( and ( OBJ ?auto_14334 ) ( LOCATION ?auto_14335 ) ( AIRPLANE ?auto_14340 ) ( AIRPORT ?auto_14338 ) ( AIRPORT ?auto_14335 ) ( DIFFERENT ?auto_14335 ?auto_14338 ) ( LOCATION ?auto_14338 ) ( AIRPORT ?auto_14344 ) ( DIFFERENT ?auto_14338 ?auto_14344 ) ( TRUCK ?auto_14337 ) ( AIRPORT ?auto_14339 ) ( AT ?auto_14340 ?auto_14339 ) ( DIFFERENT ?auto_14344 ?auto_14339 ) ( LOCATION ?auto_14343 ) ( CITY ?auto_14342 ) ( AT ?auto_14337 ?auto_14343 ) ( IN-CITY ?auto_14343 ?auto_14342 ) ( IN-CITY ?auto_14338 ?auto_14342 ) ( DIFFERENT ?auto_14338 ?auto_14343 ) ( LOCATION ?auto_14346 ) ( AT ?auto_14337 ?auto_14346 ) ( AT ?auto_14334 ?auto_14346 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14334 ?auto_14337 ?auto_14346 )
      ( DELIVER-PKG ?auto_14334 ?auto_14335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14348
      ?auto_14349
    )
    :vars
    (
      ?auto_14355
      ?auto_14353
      ?auto_14358
      ?auto_14352
      ?auto_14354
      ?auto_14357
      ?auto_14356
      ?auto_14359
      ?auto_14361
    )
    :precondition
    ( and ( OBJ ?auto_14348 ) ( LOCATION ?auto_14349 ) ( AIRPLANE ?auto_14355 ) ( AIRPORT ?auto_14353 ) ( AIRPORT ?auto_14349 ) ( DIFFERENT ?auto_14349 ?auto_14353 ) ( LOCATION ?auto_14353 ) ( AIRPORT ?auto_14358 ) ( DIFFERENT ?auto_14353 ?auto_14358 ) ( TRUCK ?auto_14352 ) ( AIRPORT ?auto_14354 ) ( DIFFERENT ?auto_14358 ?auto_14354 ) ( LOCATION ?auto_14357 ) ( CITY ?auto_14356 ) ( AT ?auto_14352 ?auto_14357 ) ( IN-CITY ?auto_14357 ?auto_14356 ) ( IN-CITY ?auto_14353 ?auto_14356 ) ( DIFFERENT ?auto_14353 ?auto_14357 ) ( LOCATION ?auto_14359 ) ( AT ?auto_14352 ?auto_14359 ) ( AT ?auto_14348 ?auto_14359 ) ( AIRPORT ?auto_14361 ) ( AT ?auto_14355 ?auto_14361 ) ( DIFFERENT ?auto_14354 ?auto_14361 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14355 ?auto_14361 ?auto_14354 )
      ( DELIVER-PKG ?auto_14348 ?auto_14349 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14497
      ?auto_14498
    )
    :vars
    (
      ?auto_14503
      ?auto_14501
      ?auto_14502
      ?auto_14505
      ?auto_14504
      ?auto_14507
      ?auto_14506
      ?auto_14510
      ?auto_14509
    )
    :precondition
    ( and ( OBJ ?auto_14497 ) ( LOCATION ?auto_14498 ) ( TRUCK ?auto_14503 ) ( LOCATION ?auto_14501 ) ( CITY ?auto_14502 ) ( IN-CITY ?auto_14501 ?auto_14502 ) ( IN-CITY ?auto_14498 ?auto_14502 ) ( DIFFERENT ?auto_14498 ?auto_14501 ) ( LOCATION ?auto_14505 ) ( CITY ?auto_14504 ) ( IN-CITY ?auto_14505 ?auto_14504 ) ( IN-CITY ?auto_14501 ?auto_14504 ) ( DIFFERENT ?auto_14501 ?auto_14505 ) ( AT ?auto_14497 ?auto_14505 ) ( LOCATION ?auto_14507 ) ( CITY ?auto_14506 ) ( IN-CITY ?auto_14507 ?auto_14506 ) ( IN-CITY ?auto_14505 ?auto_14506 ) ( DIFFERENT ?auto_14505 ?auto_14507 ) ( LOCATION ?auto_14510 ) ( CITY ?auto_14509 ) ( AT ?auto_14503 ?auto_14510 ) ( IN-CITY ?auto_14510 ?auto_14509 ) ( IN-CITY ?auto_14507 ?auto_14509 ) ( DIFFERENT ?auto_14507 ?auto_14510 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14503 ?auto_14510 ?auto_14507 ?auto_14509 )
      ( DELIVER-PKG ?auto_14497 ?auto_14498 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14577
      ?auto_14578
    )
    :vars
    (
      ?auto_14581
      ?auto_14579
      ?auto_14580
      ?auto_14583
      ?auto_14582
      ?auto_14586
      ?auto_14584
      ?auto_14588
      ?auto_14587
      ?auto_14592
      ?auto_14591
    )
    :precondition
    ( and ( OBJ ?auto_14577 ) ( LOCATION ?auto_14578 ) ( TRUCK ?auto_14581 ) ( LOCATION ?auto_14579 ) ( CITY ?auto_14580 ) ( IN-CITY ?auto_14579 ?auto_14580 ) ( IN-CITY ?auto_14578 ?auto_14580 ) ( DIFFERENT ?auto_14578 ?auto_14579 ) ( LOCATION ?auto_14583 ) ( CITY ?auto_14582 ) ( IN-CITY ?auto_14583 ?auto_14582 ) ( IN-CITY ?auto_14579 ?auto_14582 ) ( DIFFERENT ?auto_14579 ?auto_14583 ) ( AT ?auto_14577 ?auto_14583 ) ( LOCATION ?auto_14586 ) ( CITY ?auto_14584 ) ( IN-CITY ?auto_14586 ?auto_14584 ) ( IN-CITY ?auto_14583 ?auto_14584 ) ( DIFFERENT ?auto_14583 ?auto_14586 ) ( LOCATION ?auto_14588 ) ( CITY ?auto_14587 ) ( IN-CITY ?auto_14588 ?auto_14587 ) ( IN-CITY ?auto_14586 ?auto_14587 ) ( DIFFERENT ?auto_14586 ?auto_14588 ) ( LOCATION ?auto_14592 ) ( CITY ?auto_14591 ) ( AT ?auto_14581 ?auto_14592 ) ( IN-CITY ?auto_14592 ?auto_14591 ) ( IN-CITY ?auto_14588 ?auto_14591 ) ( DIFFERENT ?auto_14588 ?auto_14592 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14581 ?auto_14592 ?auto_14588 ?auto_14591 )
      ( DELIVER-PKG ?auto_14577 ?auto_14578 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15022
      ?auto_15023
    )
    :vars
    (
      ?auto_15027
      ?auto_15026
      ?auto_15028
      ?auto_15029
      ?auto_15031
      ?auto_15030
      ?auto_15033
      ?auto_15032
      ?auto_15035
      ?auto_15034
      ?auto_15038
      ?auto_15037
    )
    :precondition
    ( and ( OBJ ?auto_15022 ) ( LOCATION ?auto_15023 ) ( AIRPLANE ?auto_15027 ) ( AIRPORT ?auto_15026 ) ( AIRPORT ?auto_15023 ) ( AT ?auto_15027 ?auto_15026 ) ( DIFFERENT ?auto_15023 ?auto_15026 ) ( LOCATION ?auto_15028 ) ( AT ?auto_15027 ?auto_15028 ) ( TRUCK ?auto_15029 ) ( LOCATION ?auto_15031 ) ( CITY ?auto_15030 ) ( IN-CITY ?auto_15031 ?auto_15030 ) ( IN-CITY ?auto_15028 ?auto_15030 ) ( DIFFERENT ?auto_15028 ?auto_15031 ) ( LOCATION ?auto_15033 ) ( CITY ?auto_15032 ) ( IN-CITY ?auto_15033 ?auto_15032 ) ( IN-CITY ?auto_15031 ?auto_15032 ) ( DIFFERENT ?auto_15031 ?auto_15033 ) ( AT ?auto_15022 ?auto_15033 ) ( LOCATION ?auto_15035 ) ( CITY ?auto_15034 ) ( IN-CITY ?auto_15035 ?auto_15034 ) ( IN-CITY ?auto_15033 ?auto_15034 ) ( DIFFERENT ?auto_15033 ?auto_15035 ) ( LOCATION ?auto_15038 ) ( CITY ?auto_15037 ) ( AT ?auto_15029 ?auto_15038 ) ( IN-CITY ?auto_15038 ?auto_15037 ) ( IN-CITY ?auto_15035 ?auto_15037 ) ( DIFFERENT ?auto_15035 ?auto_15038 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15029 ?auto_15038 ?auto_15035 ?auto_15037 )
      ( DELIVER-PKG ?auto_15022 ?auto_15023 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15120
      ?auto_15121
    )
    :vars
    (
      ?auto_15126
      ?auto_15129
      ?auto_15127
      ?auto_15128
      ?auto_15123
      ?auto_15122
      ?auto_15125
      ?auto_15124
      ?auto_15131
      ?auto_15130
      ?auto_15133
      ?auto_15132
      ?auto_15138
      ?auto_15137
    )
    :precondition
    ( and ( OBJ ?auto_15120 ) ( LOCATION ?auto_15121 ) ( AIRPLANE ?auto_15126 ) ( AIRPORT ?auto_15129 ) ( AIRPORT ?auto_15121 ) ( AT ?auto_15126 ?auto_15129 ) ( DIFFERENT ?auto_15121 ?auto_15129 ) ( LOCATION ?auto_15127 ) ( AT ?auto_15126 ?auto_15127 ) ( TRUCK ?auto_15128 ) ( LOCATION ?auto_15123 ) ( CITY ?auto_15122 ) ( IN-CITY ?auto_15123 ?auto_15122 ) ( IN-CITY ?auto_15127 ?auto_15122 ) ( DIFFERENT ?auto_15127 ?auto_15123 ) ( LOCATION ?auto_15125 ) ( CITY ?auto_15124 ) ( IN-CITY ?auto_15125 ?auto_15124 ) ( IN-CITY ?auto_15123 ?auto_15124 ) ( DIFFERENT ?auto_15123 ?auto_15125 ) ( AT ?auto_15120 ?auto_15125 ) ( LOCATION ?auto_15131 ) ( CITY ?auto_15130 ) ( IN-CITY ?auto_15131 ?auto_15130 ) ( IN-CITY ?auto_15125 ?auto_15130 ) ( DIFFERENT ?auto_15125 ?auto_15131 ) ( LOCATION ?auto_15133 ) ( CITY ?auto_15132 ) ( IN-CITY ?auto_15133 ?auto_15132 ) ( IN-CITY ?auto_15131 ?auto_15132 ) ( DIFFERENT ?auto_15131 ?auto_15133 ) ( LOCATION ?auto_15138 ) ( CITY ?auto_15137 ) ( AT ?auto_15128 ?auto_15138 ) ( IN-CITY ?auto_15138 ?auto_15137 ) ( IN-CITY ?auto_15133 ?auto_15137 ) ( DIFFERENT ?auto_15133 ?auto_15138 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15128 ?auto_15138 ?auto_15133 ?auto_15137 )
      ( DELIVER-PKG ?auto_15120 ?auto_15121 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15731
      ?auto_15732
    )
    :vars
    (
      ?auto_15738
      ?auto_15744
      ?auto_15739
      ?auto_15736
      ?auto_15741
      ?auto_15743
      ?auto_15735
      ?auto_15742
      ?auto_15740
      ?auto_15737
      ?auto_15746
      ?auto_15745
      ?auto_15748
      ?auto_15747
      ?auto_15751
      ?auto_15750
    )
    :precondition
    ( and ( OBJ ?auto_15731 ) ( LOCATION ?auto_15732 ) ( TRUCK ?auto_15738 ) ( LOCATION ?auto_15744 ) ( CITY ?auto_15739 ) ( AT ?auto_15738 ?auto_15744 ) ( IN-CITY ?auto_15744 ?auto_15739 ) ( IN-CITY ?auto_15732 ?auto_15739 ) ( DIFFERENT ?auto_15732 ?auto_15744 ) ( LOCATION ?auto_15736 ) ( AT ?auto_15738 ?auto_15736 ) ( AIRPLANE ?auto_15741 ) ( AIRPORT ?auto_15743 ) ( AIRPORT ?auto_15736 ) ( AT ?auto_15741 ?auto_15743 ) ( DIFFERENT ?auto_15736 ?auto_15743 ) ( LOCATION ?auto_15735 ) ( AT ?auto_15741 ?auto_15735 ) ( TRUCK ?auto_15742 ) ( LOCATION ?auto_15740 ) ( CITY ?auto_15737 ) ( IN-CITY ?auto_15740 ?auto_15737 ) ( IN-CITY ?auto_15735 ?auto_15737 ) ( DIFFERENT ?auto_15735 ?auto_15740 ) ( LOCATION ?auto_15746 ) ( CITY ?auto_15745 ) ( IN-CITY ?auto_15746 ?auto_15745 ) ( IN-CITY ?auto_15740 ?auto_15745 ) ( DIFFERENT ?auto_15740 ?auto_15746 ) ( AT ?auto_15731 ?auto_15746 ) ( LOCATION ?auto_15748 ) ( CITY ?auto_15747 ) ( IN-CITY ?auto_15748 ?auto_15747 ) ( IN-CITY ?auto_15746 ?auto_15747 ) ( DIFFERENT ?auto_15746 ?auto_15748 ) ( LOCATION ?auto_15751 ) ( CITY ?auto_15750 ) ( AT ?auto_15742 ?auto_15751 ) ( IN-CITY ?auto_15751 ?auto_15750 ) ( IN-CITY ?auto_15748 ?auto_15750 ) ( DIFFERENT ?auto_15748 ?auto_15751 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15742 ?auto_15751 ?auto_15748 ?auto_15750 )
      ( DELIVER-PKG ?auto_15731 ?auto_15732 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15853
      ?auto_15854
    )
    :vars
    (
      ?auto_15856
      ?auto_15862
      ?auto_15857
      ?auto_15866
      ?auto_15859
      ?auto_15861
      ?auto_15867
      ?auto_15860
      ?auto_15858
      ?auto_15871
      ?auto_15864
      ?auto_15863
      ?auto_15868
      ?auto_15865
      ?auto_15870
      ?auto_15869
      ?auto_15875
      ?auto_15874
    )
    :precondition
    ( and ( OBJ ?auto_15853 ) ( LOCATION ?auto_15854 ) ( TRUCK ?auto_15856 ) ( LOCATION ?auto_15862 ) ( CITY ?auto_15857 ) ( AT ?auto_15856 ?auto_15862 ) ( IN-CITY ?auto_15862 ?auto_15857 ) ( IN-CITY ?auto_15854 ?auto_15857 ) ( DIFFERENT ?auto_15854 ?auto_15862 ) ( LOCATION ?auto_15866 ) ( AT ?auto_15856 ?auto_15866 ) ( AIRPLANE ?auto_15859 ) ( AIRPORT ?auto_15861 ) ( AIRPORT ?auto_15866 ) ( AT ?auto_15859 ?auto_15861 ) ( DIFFERENT ?auto_15866 ?auto_15861 ) ( LOCATION ?auto_15867 ) ( AT ?auto_15859 ?auto_15867 ) ( TRUCK ?auto_15860 ) ( LOCATION ?auto_15858 ) ( CITY ?auto_15871 ) ( IN-CITY ?auto_15858 ?auto_15871 ) ( IN-CITY ?auto_15867 ?auto_15871 ) ( DIFFERENT ?auto_15867 ?auto_15858 ) ( LOCATION ?auto_15864 ) ( CITY ?auto_15863 ) ( IN-CITY ?auto_15864 ?auto_15863 ) ( IN-CITY ?auto_15858 ?auto_15863 ) ( DIFFERENT ?auto_15858 ?auto_15864 ) ( AT ?auto_15853 ?auto_15864 ) ( LOCATION ?auto_15868 ) ( CITY ?auto_15865 ) ( IN-CITY ?auto_15868 ?auto_15865 ) ( IN-CITY ?auto_15864 ?auto_15865 ) ( DIFFERENT ?auto_15864 ?auto_15868 ) ( LOCATION ?auto_15870 ) ( CITY ?auto_15869 ) ( IN-CITY ?auto_15870 ?auto_15869 ) ( IN-CITY ?auto_15868 ?auto_15869 ) ( DIFFERENT ?auto_15868 ?auto_15870 ) ( LOCATION ?auto_15875 ) ( CITY ?auto_15874 ) ( AT ?auto_15860 ?auto_15875 ) ( IN-CITY ?auto_15875 ?auto_15874 ) ( IN-CITY ?auto_15870 ?auto_15874 ) ( DIFFERENT ?auto_15870 ?auto_15875 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15860 ?auto_15875 ?auto_15870 ?auto_15874 )
      ( DELIVER-PKG ?auto_15853 ?auto_15854 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15987
      ?auto_15988
    )
    :vars
    (
      ?auto_15991
      ?auto_16002
      ?auto_15992
      ?auto_15995
      ?auto_15997
      ?auto_16003
      ?auto_15996
      ?auto_15993
      ?auto_16007
      ?auto_16000
      ?auto_15999
      ?auto_16004
      ?auto_16001
      ?auto_16006
      ?auto_16005
      ?auto_16008
      ?auto_15994
      ?auto_16011
      ?auto_16010
    )
    :precondition
    ( and ( OBJ ?auto_15987 ) ( LOCATION ?auto_15988 ) ( TRUCK ?auto_15991 ) ( LOCATION ?auto_16002 ) ( CITY ?auto_15992 ) ( IN-CITY ?auto_16002 ?auto_15992 ) ( IN-CITY ?auto_15988 ?auto_15992 ) ( DIFFERENT ?auto_15988 ?auto_16002 ) ( AIRPLANE ?auto_15995 ) ( AIRPORT ?auto_15997 ) ( AIRPORT ?auto_16002 ) ( AT ?auto_15995 ?auto_15997 ) ( DIFFERENT ?auto_16002 ?auto_15997 ) ( LOCATION ?auto_16003 ) ( AT ?auto_15995 ?auto_16003 ) ( TRUCK ?auto_15996 ) ( LOCATION ?auto_15993 ) ( CITY ?auto_16007 ) ( IN-CITY ?auto_15993 ?auto_16007 ) ( IN-CITY ?auto_16003 ?auto_16007 ) ( DIFFERENT ?auto_16003 ?auto_15993 ) ( LOCATION ?auto_16000 ) ( CITY ?auto_15999 ) ( IN-CITY ?auto_16000 ?auto_15999 ) ( IN-CITY ?auto_15993 ?auto_15999 ) ( DIFFERENT ?auto_15993 ?auto_16000 ) ( AT ?auto_15987 ?auto_16000 ) ( LOCATION ?auto_16004 ) ( CITY ?auto_16001 ) ( IN-CITY ?auto_16004 ?auto_16001 ) ( IN-CITY ?auto_16000 ?auto_16001 ) ( DIFFERENT ?auto_16000 ?auto_16004 ) ( LOCATION ?auto_16006 ) ( CITY ?auto_16005 ) ( IN-CITY ?auto_16006 ?auto_16005 ) ( IN-CITY ?auto_16004 ?auto_16005 ) ( DIFFERENT ?auto_16004 ?auto_16006 ) ( LOCATION ?auto_16008 ) ( CITY ?auto_15994 ) ( AT ?auto_15996 ?auto_16008 ) ( IN-CITY ?auto_16008 ?auto_15994 ) ( IN-CITY ?auto_16006 ?auto_15994 ) ( DIFFERENT ?auto_16006 ?auto_16008 ) ( LOCATION ?auto_16011 ) ( CITY ?auto_16010 ) ( AT ?auto_15991 ?auto_16011 ) ( IN-CITY ?auto_16011 ?auto_16010 ) ( IN-CITY ?auto_16002 ?auto_16010 ) ( DIFFERENT ?auto_16002 ?auto_16011 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15991 ?auto_16011 ?auto_16002 ?auto_16010 )
      ( DELIVER-PKG ?auto_15987 ?auto_15988 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16638
      ?auto_16639
    )
    :vars
    (
      ?auto_16646
      ?auto_16643
      ?auto_16642
      ?auto_16647
      ?auto_16644
      ?auto_16648
      ?auto_16645
      ?auto_16649
      ?auto_16650
      ?auto_16653
    )
    :precondition
    ( and ( OBJ ?auto_16638 ) ( LOCATION ?auto_16639 ) ( TRUCK ?auto_16646 ) ( LOCATION ?auto_16643 ) ( CITY ?auto_16642 ) ( IN-CITY ?auto_16643 ?auto_16642 ) ( IN-CITY ?auto_16639 ?auto_16642 ) ( DIFFERENT ?auto_16639 ?auto_16643 ) ( LOCATION ?auto_16647 ) ( CITY ?auto_16644 ) ( AT ?auto_16646 ?auto_16647 ) ( IN-CITY ?auto_16647 ?auto_16644 ) ( IN-CITY ?auto_16643 ?auto_16644 ) ( DIFFERENT ?auto_16643 ?auto_16647 ) ( LOCATION ?auto_16648 ) ( AT ?auto_16646 ?auto_16648 ) ( AIRPLANE ?auto_16645 ) ( AIRPORT ?auto_16649 ) ( AIRPORT ?auto_16648 ) ( DIFFERENT ?auto_16648 ?auto_16649 ) ( LOCATION ?auto_16649 ) ( AIRPORT ?auto_16650 ) ( AT ?auto_16645 ?auto_16650 ) ( DIFFERENT ?auto_16649 ?auto_16650 ) ( TRUCK ?auto_16653 ) ( AT ?auto_16653 ?auto_16649 ) ( IN ?auto_16638 ?auto_16653 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16638 ?auto_16649 )
      ( DELIVER-PKG ?auto_16638 ?auto_16639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16654
      ?auto_16655
    )
    :vars
    (
      ?auto_16662
      ?auto_16658
      ?auto_16657
      ?auto_16663
      ?auto_16660
      ?auto_16664
      ?auto_16661
      ?auto_16665
      ?auto_16666
      ?auto_16667
      ?auto_16669
    )
    :precondition
    ( and ( OBJ ?auto_16654 ) ( LOCATION ?auto_16655 ) ( TRUCK ?auto_16662 ) ( LOCATION ?auto_16658 ) ( CITY ?auto_16657 ) ( IN-CITY ?auto_16658 ?auto_16657 ) ( IN-CITY ?auto_16655 ?auto_16657 ) ( DIFFERENT ?auto_16655 ?auto_16658 ) ( LOCATION ?auto_16663 ) ( CITY ?auto_16660 ) ( AT ?auto_16662 ?auto_16663 ) ( IN-CITY ?auto_16663 ?auto_16660 ) ( IN-CITY ?auto_16658 ?auto_16660 ) ( DIFFERENT ?auto_16658 ?auto_16663 ) ( LOCATION ?auto_16664 ) ( AT ?auto_16662 ?auto_16664 ) ( AIRPLANE ?auto_16661 ) ( AIRPORT ?auto_16665 ) ( AIRPORT ?auto_16664 ) ( DIFFERENT ?auto_16664 ?auto_16665 ) ( LOCATION ?auto_16665 ) ( AIRPORT ?auto_16666 ) ( DIFFERENT ?auto_16665 ?auto_16666 ) ( TRUCK ?auto_16667 ) ( AT ?auto_16667 ?auto_16665 ) ( IN ?auto_16654 ?auto_16667 ) ( AIRPORT ?auto_16669 ) ( AT ?auto_16661 ?auto_16669 ) ( DIFFERENT ?auto_16666 ?auto_16669 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16661 ?auto_16669 ?auto_16666 )
      ( DELIVER-PKG ?auto_16654 ?auto_16655 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16686
      ?auto_16687
    )
    :vars
    (
      ?auto_16694
      ?auto_16691
      ?auto_16688
      ?auto_16695
      ?auto_16692
      ?auto_16696
      ?auto_16693
      ?auto_16697
      ?auto_16698
      ?auto_16699
      ?auto_16700
      ?auto_16703
      ?auto_16702
    )
    :precondition
    ( and ( OBJ ?auto_16686 ) ( LOCATION ?auto_16687 ) ( TRUCK ?auto_16694 ) ( LOCATION ?auto_16691 ) ( CITY ?auto_16688 ) ( IN-CITY ?auto_16691 ?auto_16688 ) ( IN-CITY ?auto_16687 ?auto_16688 ) ( DIFFERENT ?auto_16687 ?auto_16691 ) ( LOCATION ?auto_16695 ) ( CITY ?auto_16692 ) ( AT ?auto_16694 ?auto_16695 ) ( IN-CITY ?auto_16695 ?auto_16692 ) ( IN-CITY ?auto_16691 ?auto_16692 ) ( DIFFERENT ?auto_16691 ?auto_16695 ) ( LOCATION ?auto_16696 ) ( AT ?auto_16694 ?auto_16696 ) ( AIRPLANE ?auto_16693 ) ( AIRPORT ?auto_16697 ) ( AIRPORT ?auto_16696 ) ( DIFFERENT ?auto_16696 ?auto_16697 ) ( LOCATION ?auto_16697 ) ( AIRPORT ?auto_16698 ) ( DIFFERENT ?auto_16697 ?auto_16698 ) ( TRUCK ?auto_16699 ) ( IN ?auto_16686 ?auto_16699 ) ( AIRPORT ?auto_16700 ) ( AT ?auto_16693 ?auto_16700 ) ( DIFFERENT ?auto_16698 ?auto_16700 ) ( LOCATION ?auto_16703 ) ( CITY ?auto_16702 ) ( AT ?auto_16699 ?auto_16703 ) ( IN-CITY ?auto_16703 ?auto_16702 ) ( IN-CITY ?auto_16697 ?auto_16702 ) ( DIFFERENT ?auto_16697 ?auto_16703 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16699 ?auto_16703 ?auto_16697 ?auto_16702 )
      ( DELIVER-PKG ?auto_16686 ?auto_16687 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16756
      ?auto_16757
    )
    :vars
    (
      ?auto_16764
      ?auto_16761
      ?auto_16759
      ?auto_16765
      ?auto_16762
      ?auto_16766
      ?auto_16763
      ?auto_16767
      ?auto_16768
      ?auto_16769
      ?auto_16770
      ?auto_16772
      ?auto_16771
      ?auto_16774
    )
    :precondition
    ( and ( OBJ ?auto_16756 ) ( LOCATION ?auto_16757 ) ( TRUCK ?auto_16764 ) ( LOCATION ?auto_16761 ) ( CITY ?auto_16759 ) ( IN-CITY ?auto_16761 ?auto_16759 ) ( IN-CITY ?auto_16757 ?auto_16759 ) ( DIFFERENT ?auto_16757 ?auto_16761 ) ( LOCATION ?auto_16765 ) ( CITY ?auto_16762 ) ( AT ?auto_16764 ?auto_16765 ) ( IN-CITY ?auto_16765 ?auto_16762 ) ( IN-CITY ?auto_16761 ?auto_16762 ) ( DIFFERENT ?auto_16761 ?auto_16765 ) ( LOCATION ?auto_16766 ) ( AT ?auto_16764 ?auto_16766 ) ( AIRPLANE ?auto_16763 ) ( AIRPORT ?auto_16767 ) ( AIRPORT ?auto_16766 ) ( DIFFERENT ?auto_16766 ?auto_16767 ) ( LOCATION ?auto_16767 ) ( AIRPORT ?auto_16768 ) ( DIFFERENT ?auto_16767 ?auto_16768 ) ( TRUCK ?auto_16769 ) ( AIRPORT ?auto_16770 ) ( AT ?auto_16763 ?auto_16770 ) ( DIFFERENT ?auto_16768 ?auto_16770 ) ( LOCATION ?auto_16772 ) ( CITY ?auto_16771 ) ( AT ?auto_16769 ?auto_16772 ) ( IN-CITY ?auto_16772 ?auto_16771 ) ( IN-CITY ?auto_16767 ?auto_16771 ) ( DIFFERENT ?auto_16767 ?auto_16772 ) ( LOCATION ?auto_16774 ) ( AT ?auto_16769 ?auto_16774 ) ( AT ?auto_16756 ?auto_16774 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16756 ?auto_16769 ?auto_16774 )
      ( DELIVER-PKG ?auto_16756 ?auto_16757 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16776
      ?auto_16777
    )
    :vars
    (
      ?auto_16784
      ?auto_16781
      ?auto_16780
      ?auto_16785
      ?auto_16782
      ?auto_16786
      ?auto_16783
      ?auto_16787
      ?auto_16788
      ?auto_16789
      ?auto_16790
      ?auto_16792
      ?auto_16791
      ?auto_16793
      ?auto_16795
    )
    :precondition
    ( and ( OBJ ?auto_16776 ) ( LOCATION ?auto_16777 ) ( TRUCK ?auto_16784 ) ( LOCATION ?auto_16781 ) ( CITY ?auto_16780 ) ( IN-CITY ?auto_16781 ?auto_16780 ) ( IN-CITY ?auto_16777 ?auto_16780 ) ( DIFFERENT ?auto_16777 ?auto_16781 ) ( LOCATION ?auto_16785 ) ( CITY ?auto_16782 ) ( AT ?auto_16784 ?auto_16785 ) ( IN-CITY ?auto_16785 ?auto_16782 ) ( IN-CITY ?auto_16781 ?auto_16782 ) ( DIFFERENT ?auto_16781 ?auto_16785 ) ( LOCATION ?auto_16786 ) ( AT ?auto_16784 ?auto_16786 ) ( AIRPLANE ?auto_16783 ) ( AIRPORT ?auto_16787 ) ( AIRPORT ?auto_16786 ) ( DIFFERENT ?auto_16786 ?auto_16787 ) ( LOCATION ?auto_16787 ) ( AIRPORT ?auto_16788 ) ( DIFFERENT ?auto_16787 ?auto_16788 ) ( TRUCK ?auto_16789 ) ( AIRPORT ?auto_16790 ) ( DIFFERENT ?auto_16788 ?auto_16790 ) ( LOCATION ?auto_16792 ) ( CITY ?auto_16791 ) ( AT ?auto_16789 ?auto_16792 ) ( IN-CITY ?auto_16792 ?auto_16791 ) ( IN-CITY ?auto_16787 ?auto_16791 ) ( DIFFERENT ?auto_16787 ?auto_16792 ) ( LOCATION ?auto_16793 ) ( AT ?auto_16789 ?auto_16793 ) ( AT ?auto_16776 ?auto_16793 ) ( AIRPORT ?auto_16795 ) ( AT ?auto_16783 ?auto_16795 ) ( DIFFERENT ?auto_16790 ?auto_16795 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16783 ?auto_16795 ?auto_16790 )
      ( DELIVER-PKG ?auto_16776 ?auto_16777 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16797
      ?auto_16798
    )
    :vars
    (
      ?auto_16802
      ?auto_16815
      ?auto_16814
      ?auto_16801
      ?auto_16805
      ?auto_16808
      ?auto_16804
      ?auto_16813
      ?auto_16811
      ?auto_16809
      ?auto_16806
      ?auto_16810
      ?auto_16807
      ?auto_16803
      ?auto_16818
      ?auto_16817
    )
    :precondition
    ( and ( OBJ ?auto_16797 ) ( LOCATION ?auto_16798 ) ( TRUCK ?auto_16802 ) ( LOCATION ?auto_16815 ) ( CITY ?auto_16814 ) ( IN-CITY ?auto_16815 ?auto_16814 ) ( IN-CITY ?auto_16798 ?auto_16814 ) ( DIFFERENT ?auto_16798 ?auto_16815 ) ( LOCATION ?auto_16801 ) ( CITY ?auto_16805 ) ( IN-CITY ?auto_16801 ?auto_16805 ) ( IN-CITY ?auto_16815 ?auto_16805 ) ( DIFFERENT ?auto_16815 ?auto_16801 ) ( AIRPLANE ?auto_16808 ) ( AIRPORT ?auto_16804 ) ( AIRPORT ?auto_16801 ) ( DIFFERENT ?auto_16801 ?auto_16804 ) ( LOCATION ?auto_16804 ) ( AIRPORT ?auto_16813 ) ( DIFFERENT ?auto_16804 ?auto_16813 ) ( TRUCK ?auto_16811 ) ( AIRPORT ?auto_16809 ) ( DIFFERENT ?auto_16813 ?auto_16809 ) ( LOCATION ?auto_16806 ) ( CITY ?auto_16810 ) ( AT ?auto_16811 ?auto_16806 ) ( IN-CITY ?auto_16806 ?auto_16810 ) ( IN-CITY ?auto_16804 ?auto_16810 ) ( DIFFERENT ?auto_16804 ?auto_16806 ) ( LOCATION ?auto_16807 ) ( AT ?auto_16811 ?auto_16807 ) ( AT ?auto_16797 ?auto_16807 ) ( AIRPORT ?auto_16803 ) ( AT ?auto_16808 ?auto_16803 ) ( DIFFERENT ?auto_16809 ?auto_16803 ) ( LOCATION ?auto_16818 ) ( CITY ?auto_16817 ) ( AT ?auto_16802 ?auto_16818 ) ( IN-CITY ?auto_16818 ?auto_16817 ) ( IN-CITY ?auto_16801 ?auto_16817 ) ( DIFFERENT ?auto_16801 ?auto_16818 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16802 ?auto_16818 ?auto_16801 ?auto_16817 )
      ( DELIVER-PKG ?auto_16797 ?auto_16798 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16835
      ?auto_16836
    )
    :vars
    (
      ?auto_16838
      ?auto_16839
      ?auto_16843
    )
    :precondition
    ( and ( OBJ ?auto_16835 ) ( LOCATION ?auto_16836 ) ( TRUCK ?auto_16838 ) ( AT ?auto_16838 ?auto_16836 ) ( LOCATION ?auto_16839 ) ( AT ?auto_16838 ?auto_16839 ) ( TRUCK ?auto_16843 ) ( AT ?auto_16843 ?auto_16839 ) ( IN ?auto_16835 ?auto_16843 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16835 ?auto_16839 )
      ( DELIVER-PKG ?auto_16835 ?auto_16836 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17242
      ?auto_17243
    )
    :vars
    (
      ?auto_17246
      ?auto_17245
      ?auto_17248
      ?auto_17250
    )
    :precondition
    ( and ( OBJ ?auto_17242 ) ( LOCATION ?auto_17243 ) ( AIRPLANE ?auto_17246 ) ( IN ?auto_17242 ?auto_17246 ) ( AIRPORT ?auto_17245 ) ( AIRPORT ?auto_17243 ) ( DIFFERENT ?auto_17243 ?auto_17245 ) ( AIRPORT ?auto_17248 ) ( DIFFERENT ?auto_17245 ?auto_17248 ) ( AIRPORT ?auto_17250 ) ( AT ?auto_17246 ?auto_17250 ) ( DIFFERENT ?auto_17248 ?auto_17250 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17246 ?auto_17250 ?auto_17248 )
      ( DELIVER-PKG ?auto_17242 ?auto_17243 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17276
      ?auto_17277
    )
    :vars
    (
      ?auto_17283
      ?auto_17282
      ?auto_17281
      ?auto_17279
      ?auto_17285
    )
    :precondition
    ( and ( OBJ ?auto_17276 ) ( LOCATION ?auto_17277 ) ( AIRPLANE ?auto_17283 ) ( AIRPORT ?auto_17282 ) ( AIRPORT ?auto_17277 ) ( DIFFERENT ?auto_17277 ?auto_17282 ) ( AIRPORT ?auto_17281 ) ( DIFFERENT ?auto_17282 ?auto_17281 ) ( AIRPORT ?auto_17279 ) ( AT ?auto_17283 ?auto_17279 ) ( DIFFERENT ?auto_17281 ?auto_17279 ) ( LOCATION ?auto_17285 ) ( AT ?auto_17276 ?auto_17285 ) ( AT ?auto_17283 ?auto_17285 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_17276 ?auto_17283 ?auto_17285 )
      ( DELIVER-PKG ?auto_17276 ?auto_17277 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17355
      ?auto_17356
    )
    :vars
    (
      ?auto_17364
      ?auto_17362
      ?auto_17359
      ?auto_17361
      ?auto_17360
      ?auto_17366
    )
    :precondition
    ( and ( OBJ ?auto_17355 ) ( LOCATION ?auto_17356 ) ( AIRPLANE ?auto_17364 ) ( AIRPORT ?auto_17362 ) ( AIRPORT ?auto_17356 ) ( AT ?auto_17364 ?auto_17362 ) ( DIFFERENT ?auto_17356 ?auto_17362 ) ( LOCATION ?auto_17359 ) ( AT ?auto_17364 ?auto_17359 ) ( AIRPLANE ?auto_17361 ) ( AIRPORT ?auto_17360 ) ( AIRPORT ?auto_17359 ) ( DIFFERENT ?auto_17359 ?auto_17360 ) ( LOCATION ?auto_17360 ) ( AT ?auto_17355 ?auto_17360 ) ( AIRPORT ?auto_17366 ) ( AT ?auto_17361 ?auto_17366 ) ( DIFFERENT ?auto_17360 ?auto_17366 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17361 ?auto_17366 ?auto_17360 )
      ( DELIVER-PKG ?auto_17355 ?auto_17356 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17388
      ?auto_17389
    )
    :vars
    (
      ?auto_17394
      ?auto_17397
      ?auto_17392
      ?auto_17393
      ?auto_17391
      ?auto_17399
    )
    :precondition
    ( and ( OBJ ?auto_17388 ) ( LOCATION ?auto_17389 ) ( AIRPLANE ?auto_17394 ) ( AIRPORT ?auto_17397 ) ( AIRPORT ?auto_17389 ) ( DIFFERENT ?auto_17389 ?auto_17397 ) ( LOCATION ?auto_17397 ) ( AIRPLANE ?auto_17392 ) ( AIRPORT ?auto_17393 ) ( DIFFERENT ?auto_17397 ?auto_17393 ) ( LOCATION ?auto_17393 ) ( AT ?auto_17388 ?auto_17393 ) ( AIRPORT ?auto_17391 ) ( AT ?auto_17392 ?auto_17391 ) ( DIFFERENT ?auto_17393 ?auto_17391 ) ( AIRPORT ?auto_17399 ) ( AT ?auto_17394 ?auto_17399 ) ( DIFFERENT ?auto_17397 ?auto_17399 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17394 ?auto_17399 ?auto_17397 )
      ( DELIVER-PKG ?auto_17388 ?auto_17389 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17966
      ?auto_17967
    )
    :vars
    (
      ?auto_17970
      ?auto_17969
      ?auto_17971
      ?auto_17973
      ?auto_17975
      ?auto_17974
      ?auto_17977
    )
    :precondition
    ( and ( OBJ ?auto_17966 ) ( LOCATION ?auto_17967 ) ( TRUCK ?auto_17970 ) ( LOCATION ?auto_17969 ) ( CITY ?auto_17971 ) ( AT ?auto_17970 ?auto_17969 ) ( IN-CITY ?auto_17969 ?auto_17971 ) ( IN-CITY ?auto_17967 ?auto_17971 ) ( DIFFERENT ?auto_17967 ?auto_17969 ) ( LOCATION ?auto_17973 ) ( AT ?auto_17970 ?auto_17973 ) ( AIRPLANE ?auto_17975 ) ( IN ?auto_17966 ?auto_17975 ) ( AIRPORT ?auto_17974 ) ( AIRPORT ?auto_17973 ) ( DIFFERENT ?auto_17973 ?auto_17974 ) ( AIRPORT ?auto_17977 ) ( AT ?auto_17975 ?auto_17977 ) ( DIFFERENT ?auto_17974 ?auto_17977 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17975 ?auto_17977 ?auto_17974 )
      ( DELIVER-PKG ?auto_17966 ?auto_17967 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17990
      ?auto_17991
    )
    :vars
    (
      ?auto_17995
      ?auto_17994
      ?auto_17996
      ?auto_17998
      ?auto_18000
      ?auto_17999
      ?auto_17997
      ?auto_18002
    )
    :precondition
    ( and ( OBJ ?auto_17990 ) ( LOCATION ?auto_17991 ) ( TRUCK ?auto_17995 ) ( LOCATION ?auto_17994 ) ( CITY ?auto_17996 ) ( AT ?auto_17995 ?auto_17994 ) ( IN-CITY ?auto_17994 ?auto_17996 ) ( IN-CITY ?auto_17991 ?auto_17996 ) ( DIFFERENT ?auto_17991 ?auto_17994 ) ( LOCATION ?auto_17998 ) ( AT ?auto_17995 ?auto_17998 ) ( AIRPLANE ?auto_18000 ) ( IN ?auto_17990 ?auto_18000 ) ( AIRPORT ?auto_17999 ) ( AIRPORT ?auto_17998 ) ( DIFFERENT ?auto_17998 ?auto_17999 ) ( AIRPORT ?auto_17997 ) ( DIFFERENT ?auto_17999 ?auto_17997 ) ( AIRPORT ?auto_18002 ) ( AT ?auto_18000 ?auto_18002 ) ( DIFFERENT ?auto_17997 ?auto_18002 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18000 ?auto_18002 ?auto_17997 )
      ( DELIVER-PKG ?auto_17990 ?auto_17991 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18016
      ?auto_18017
    )
    :vars
    (
      ?auto_18023
      ?auto_18019
      ?auto_18025
      ?auto_18021
      ?auto_18020
      ?auto_18018
      ?auto_18027
      ?auto_18030
      ?auto_18029
    )
    :precondition
    ( and ( OBJ ?auto_18016 ) ( LOCATION ?auto_18017 ) ( TRUCK ?auto_18023 ) ( LOCATION ?auto_18019 ) ( CITY ?auto_18025 ) ( IN-CITY ?auto_18019 ?auto_18025 ) ( IN-CITY ?auto_18017 ?auto_18025 ) ( DIFFERENT ?auto_18017 ?auto_18019 ) ( AIRPLANE ?auto_18021 ) ( IN ?auto_18016 ?auto_18021 ) ( AIRPORT ?auto_18020 ) ( AIRPORT ?auto_18019 ) ( DIFFERENT ?auto_18019 ?auto_18020 ) ( AIRPORT ?auto_18018 ) ( DIFFERENT ?auto_18020 ?auto_18018 ) ( AIRPORT ?auto_18027 ) ( AT ?auto_18021 ?auto_18027 ) ( DIFFERENT ?auto_18018 ?auto_18027 ) ( LOCATION ?auto_18030 ) ( CITY ?auto_18029 ) ( AT ?auto_18023 ?auto_18030 ) ( IN-CITY ?auto_18030 ?auto_18029 ) ( IN-CITY ?auto_18019 ?auto_18029 ) ( DIFFERENT ?auto_18019 ?auto_18030 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18023 ?auto_18030 ?auto_18019 ?auto_18029 )
      ( DELIVER-PKG ?auto_18016 ?auto_18017 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18045
      ?auto_18046
    )
    :vars
    (
      ?auto_18048
      ?auto_18047
      ?auto_18049
      ?auto_18051
      ?auto_18050
      ?auto_18053
      ?auto_18052
      ?auto_18057
      ?auto_18056
      ?auto_18059
    )
    :precondition
    ( and ( OBJ ?auto_18045 ) ( LOCATION ?auto_18046 ) ( TRUCK ?auto_18048 ) ( LOCATION ?auto_18047 ) ( CITY ?auto_18049 ) ( IN-CITY ?auto_18047 ?auto_18049 ) ( IN-CITY ?auto_18046 ?auto_18049 ) ( DIFFERENT ?auto_18046 ?auto_18047 ) ( AIRPLANE ?auto_18051 ) ( AIRPORT ?auto_18050 ) ( AIRPORT ?auto_18047 ) ( DIFFERENT ?auto_18047 ?auto_18050 ) ( AIRPORT ?auto_18053 ) ( DIFFERENT ?auto_18050 ?auto_18053 ) ( AIRPORT ?auto_18052 ) ( AT ?auto_18051 ?auto_18052 ) ( DIFFERENT ?auto_18053 ?auto_18052 ) ( LOCATION ?auto_18057 ) ( CITY ?auto_18056 ) ( AT ?auto_18048 ?auto_18057 ) ( IN-CITY ?auto_18057 ?auto_18056 ) ( IN-CITY ?auto_18047 ?auto_18056 ) ( DIFFERENT ?auto_18047 ?auto_18057 ) ( LOCATION ?auto_18059 ) ( AT ?auto_18045 ?auto_18059 ) ( AT ?auto_18051 ?auto_18059 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_18045 ?auto_18051 ?auto_18059 )
      ( DELIVER-PKG ?auto_18045 ?auto_18046 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18650
      ?auto_18651
    )
    :vars
    (
      ?auto_18663
      ?auto_18662
      ?auto_18661
      ?auto_18660
      ?auto_18654
      ?auto_18653
      ?auto_18656
      ?auto_18657
      ?auto_18659
      ?auto_18665
    )
    :precondition
    ( and ( OBJ ?auto_18650 ) ( LOCATION ?auto_18651 ) ( TRUCK ?auto_18663 ) ( LOCATION ?auto_18662 ) ( CITY ?auto_18661 ) ( AT ?auto_18663 ?auto_18662 ) ( IN-CITY ?auto_18662 ?auto_18661 ) ( IN-CITY ?auto_18651 ?auto_18661 ) ( DIFFERENT ?auto_18651 ?auto_18662 ) ( LOCATION ?auto_18660 ) ( AT ?auto_18663 ?auto_18660 ) ( AIRPLANE ?auto_18654 ) ( AIRPORT ?auto_18653 ) ( AIRPORT ?auto_18660 ) ( AT ?auto_18654 ?auto_18653 ) ( DIFFERENT ?auto_18660 ?auto_18653 ) ( LOCATION ?auto_18656 ) ( AT ?auto_18654 ?auto_18656 ) ( AIRPLANE ?auto_18657 ) ( AIRPORT ?auto_18659 ) ( AIRPORT ?auto_18656 ) ( DIFFERENT ?auto_18656 ?auto_18659 ) ( LOCATION ?auto_18659 ) ( AT ?auto_18650 ?auto_18659 ) ( AIRPORT ?auto_18665 ) ( AT ?auto_18657 ?auto_18665 ) ( DIFFERENT ?auto_18659 ?auto_18665 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18657 ?auto_18665 ?auto_18659 )
      ( DELIVER-PKG ?auto_18650 ?auto_18651 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18667
      ?auto_18668
    )
    :vars
    (
      ?auto_18669
      ?auto_18678
      ?auto_18675
      ?auto_18679
      ?auto_18677
      ?auto_18680
      ?auto_18671
      ?auto_18672
      ?auto_18670
      ?auto_18683
      ?auto_18682
    )
    :precondition
    ( and ( OBJ ?auto_18667 ) ( LOCATION ?auto_18668 ) ( TRUCK ?auto_18669 ) ( LOCATION ?auto_18678 ) ( CITY ?auto_18675 ) ( IN-CITY ?auto_18678 ?auto_18675 ) ( IN-CITY ?auto_18668 ?auto_18675 ) ( DIFFERENT ?auto_18668 ?auto_18678 ) ( AIRPLANE ?auto_18679 ) ( AIRPORT ?auto_18677 ) ( AIRPORT ?auto_18678 ) ( AT ?auto_18679 ?auto_18677 ) ( DIFFERENT ?auto_18678 ?auto_18677 ) ( LOCATION ?auto_18680 ) ( AT ?auto_18679 ?auto_18680 ) ( AIRPLANE ?auto_18671 ) ( AIRPORT ?auto_18672 ) ( AIRPORT ?auto_18680 ) ( DIFFERENT ?auto_18680 ?auto_18672 ) ( LOCATION ?auto_18672 ) ( AT ?auto_18667 ?auto_18672 ) ( AIRPORT ?auto_18670 ) ( AT ?auto_18671 ?auto_18670 ) ( DIFFERENT ?auto_18672 ?auto_18670 ) ( LOCATION ?auto_18683 ) ( CITY ?auto_18682 ) ( AT ?auto_18669 ?auto_18683 ) ( IN-CITY ?auto_18683 ?auto_18682 ) ( IN-CITY ?auto_18678 ?auto_18682 ) ( DIFFERENT ?auto_18678 ?auto_18683 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18669 ?auto_18683 ?auto_18678 ?auto_18682 )
      ( DELIVER-PKG ?auto_18667 ?auto_18668 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18700
      ?auto_18701
    )
    :vars
    (
      ?auto_18704
      ?auto_18708
      ?auto_18711
      ?auto_18713
      ?auto_18703
      ?auto_18712
      ?auto_18714
      ?auto_18710
      ?auto_18707
      ?auto_18706
      ?auto_18716
    )
    :precondition
    ( and ( OBJ ?auto_18700 ) ( LOCATION ?auto_18701 ) ( TRUCK ?auto_18704 ) ( LOCATION ?auto_18708 ) ( CITY ?auto_18711 ) ( IN-CITY ?auto_18708 ?auto_18711 ) ( IN-CITY ?auto_18701 ?auto_18711 ) ( DIFFERENT ?auto_18701 ?auto_18708 ) ( AIRPLANE ?auto_18713 ) ( AIRPORT ?auto_18703 ) ( AIRPORT ?auto_18708 ) ( DIFFERENT ?auto_18708 ?auto_18703 ) ( LOCATION ?auto_18703 ) ( AIRPLANE ?auto_18712 ) ( AIRPORT ?auto_18714 ) ( DIFFERENT ?auto_18703 ?auto_18714 ) ( LOCATION ?auto_18714 ) ( AT ?auto_18700 ?auto_18714 ) ( AIRPORT ?auto_18710 ) ( AT ?auto_18712 ?auto_18710 ) ( DIFFERENT ?auto_18714 ?auto_18710 ) ( LOCATION ?auto_18707 ) ( CITY ?auto_18706 ) ( AT ?auto_18704 ?auto_18707 ) ( IN-CITY ?auto_18707 ?auto_18706 ) ( IN-CITY ?auto_18708 ?auto_18706 ) ( DIFFERENT ?auto_18708 ?auto_18707 ) ( AIRPORT ?auto_18716 ) ( AT ?auto_18713 ?auto_18716 ) ( DIFFERENT ?auto_18703 ?auto_18716 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18713 ?auto_18716 ?auto_18703 )
      ( DELIVER-PKG ?auto_18700 ?auto_18701 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18839
      ?auto_18840
    )
    :vars
    (
      ?auto_18845
      ?auto_18842
      ?auto_18843
      ?auto_18844
      ?auto_18848
    )
    :precondition
    ( and ( OBJ ?auto_18839 ) ( LOCATION ?auto_18840 ) ( AIRPLANE ?auto_18845 ) ( AIRPORT ?auto_18842 ) ( AIRPORT ?auto_18840 ) ( DIFFERENT ?auto_18840 ?auto_18842 ) ( LOCATION ?auto_18842 ) ( AT ?auto_18839 ?auto_18842 ) ( AIRPORT ?auto_18843 ) ( DIFFERENT ?auto_18842 ?auto_18843 ) ( AIRPORT ?auto_18844 ) ( DIFFERENT ?auto_18843 ?auto_18844 ) ( AIRPORT ?auto_18848 ) ( AT ?auto_18845 ?auto_18848 ) ( DIFFERENT ?auto_18844 ?auto_18848 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18845 ?auto_18848 ?auto_18844 )
      ( DELIVER-PKG ?auto_18839 ?auto_18840 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18868
      ?auto_18869
    )
    :vars
    (
      ?auto_18875
      ?auto_18872
      ?auto_18873
      ?auto_18874
      ?auto_18876
      ?auto_18878
    )
    :precondition
    ( and ( OBJ ?auto_18868 ) ( LOCATION ?auto_18869 ) ( AIRPLANE ?auto_18875 ) ( AIRPORT ?auto_18872 ) ( AIRPORT ?auto_18869 ) ( DIFFERENT ?auto_18869 ?auto_18872 ) ( LOCATION ?auto_18872 ) ( AT ?auto_18868 ?auto_18872 ) ( AIRPORT ?auto_18873 ) ( DIFFERENT ?auto_18872 ?auto_18873 ) ( AIRPORT ?auto_18874 ) ( DIFFERENT ?auto_18873 ?auto_18874 ) ( AIRPORT ?auto_18876 ) ( DIFFERENT ?auto_18874 ?auto_18876 ) ( AIRPORT ?auto_18878 ) ( AT ?auto_18875 ?auto_18878 ) ( DIFFERENT ?auto_18876 ?auto_18878 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18875 ?auto_18878 ?auto_18876 )
      ( DELIVER-PKG ?auto_18868 ?auto_18869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18890
      ?auto_18891
    )
    :vars
    (
      ?auto_18896
      ?auto_18893
      ?auto_18894
      ?auto_18895
      ?auto_18897
      ?auto_18899
      ?auto_18901
    )
    :precondition
    ( and ( OBJ ?auto_18890 ) ( LOCATION ?auto_18891 ) ( AIRPLANE ?auto_18896 ) ( AIRPORT ?auto_18893 ) ( AIRPORT ?auto_18891 ) ( DIFFERENT ?auto_18891 ?auto_18893 ) ( LOCATION ?auto_18893 ) ( AT ?auto_18890 ?auto_18893 ) ( AIRPORT ?auto_18894 ) ( DIFFERENT ?auto_18893 ?auto_18894 ) ( AIRPORT ?auto_18895 ) ( DIFFERENT ?auto_18894 ?auto_18895 ) ( AIRPORT ?auto_18897 ) ( DIFFERENT ?auto_18895 ?auto_18897 ) ( AIRPORT ?auto_18899 ) ( DIFFERENT ?auto_18897 ?auto_18899 ) ( AIRPORT ?auto_18901 ) ( AT ?auto_18896 ?auto_18901 ) ( DIFFERENT ?auto_18899 ?auto_18901 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18896 ?auto_18901 ?auto_18899 )
      ( DELIVER-PKG ?auto_18890 ?auto_18891 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19813
      ?auto_19814
    )
    :vars
    (
      ?auto_19815
      ?auto_19828
      ?auto_19826
      ?auto_19819
      ?auto_19821
      ?auto_19830
      ?auto_19829
      ?auto_19824
      ?auto_19825
      ?auto_19831
      ?auto_19827
      ?auto_19816
      ?auto_19817
      ?auto_19820
      ?auto_19833
    )
    :precondition
    ( and ( OBJ ?auto_19813 ) ( LOCATION ?auto_19814 ) ( TRUCK ?auto_19815 ) ( LOCATION ?auto_19828 ) ( CITY ?auto_19826 ) ( IN-CITY ?auto_19828 ?auto_19826 ) ( IN-CITY ?auto_19814 ?auto_19826 ) ( DIFFERENT ?auto_19814 ?auto_19828 ) ( LOCATION ?auto_19819 ) ( CITY ?auto_19821 ) ( AT ?auto_19815 ?auto_19819 ) ( IN-CITY ?auto_19819 ?auto_19821 ) ( IN-CITY ?auto_19828 ?auto_19821 ) ( DIFFERENT ?auto_19828 ?auto_19819 ) ( LOCATION ?auto_19830 ) ( AT ?auto_19815 ?auto_19830 ) ( AIRPLANE ?auto_19829 ) ( AIRPORT ?auto_19824 ) ( AIRPORT ?auto_19830 ) ( DIFFERENT ?auto_19830 ?auto_19824 ) ( LOCATION ?auto_19824 ) ( TRUCK ?auto_19825 ) ( LOCATION ?auto_19831 ) ( CITY ?auto_19827 ) ( IN-CITY ?auto_19831 ?auto_19827 ) ( IN-CITY ?auto_19824 ?auto_19827 ) ( DIFFERENT ?auto_19824 ?auto_19831 ) ( LOCATION ?auto_19816 ) ( CITY ?auto_19817 ) ( AT ?auto_19825 ?auto_19816 ) ( IN-CITY ?auto_19816 ?auto_19817 ) ( IN-CITY ?auto_19831 ?auto_19817 ) ( DIFFERENT ?auto_19831 ?auto_19816 ) ( LOCATION ?auto_19820 ) ( AT ?auto_19825 ?auto_19820 ) ( AT ?auto_19813 ?auto_19820 ) ( AIRPORT ?auto_19833 ) ( AT ?auto_19829 ?auto_19833 ) ( DIFFERENT ?auto_19824 ?auto_19833 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19829 ?auto_19833 ?auto_19824 )
      ( DELIVER-PKG ?auto_19813 ?auto_19814 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20931
      ?auto_20932
    )
    :vars
    (
      ?auto_20941
      ?auto_20937
      ?auto_20936
      ?auto_20938
      ?auto_20935
      ?auto_20940
      ?auto_20944
      ?auto_20943
    )
    :precondition
    ( and ( OBJ ?auto_20931 ) ( LOCATION ?auto_20932 ) ( TRUCK ?auto_20941 ) ( LOCATION ?auto_20937 ) ( CITY ?auto_20936 ) ( IN-CITY ?auto_20937 ?auto_20936 ) ( IN-CITY ?auto_20932 ?auto_20936 ) ( DIFFERENT ?auto_20932 ?auto_20937 ) ( AIRPLANE ?auto_20938 ) ( AIRPORT ?auto_20935 ) ( AIRPORT ?auto_20937 ) ( DIFFERENT ?auto_20937 ?auto_20935 ) ( LOCATION ?auto_20935 ) ( AT ?auto_20931 ?auto_20935 ) ( AIRPORT ?auto_20940 ) ( AT ?auto_20938 ?auto_20940 ) ( DIFFERENT ?auto_20935 ?auto_20940 ) ( LOCATION ?auto_20944 ) ( CITY ?auto_20943 ) ( AT ?auto_20941 ?auto_20944 ) ( IN-CITY ?auto_20944 ?auto_20943 ) ( IN-CITY ?auto_20937 ?auto_20943 ) ( DIFFERENT ?auto_20937 ?auto_20944 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20941 ?auto_20944 ?auto_20937 ?auto_20943 )
      ( DELIVER-PKG ?auto_20931 ?auto_20932 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20946
      ?auto_20947
    )
    :vars
    (
      ?auto_20956
      ?auto_20949
      ?auto_20948
      ?auto_20950
      ?auto_20953
      ?auto_20951
      ?auto_20955
      ?auto_20954
      ?auto_20959
    )
    :precondition
    ( and ( OBJ ?auto_20946 ) ( LOCATION ?auto_20947 ) ( TRUCK ?auto_20956 ) ( LOCATION ?auto_20949 ) ( CITY ?auto_20948 ) ( IN-CITY ?auto_20949 ?auto_20948 ) ( IN-CITY ?auto_20947 ?auto_20948 ) ( DIFFERENT ?auto_20947 ?auto_20949 ) ( AIRPLANE ?auto_20950 ) ( AIRPORT ?auto_20953 ) ( AIRPORT ?auto_20949 ) ( DIFFERENT ?auto_20949 ?auto_20953 ) ( LOCATION ?auto_20953 ) ( AT ?auto_20946 ?auto_20953 ) ( AIRPORT ?auto_20951 ) ( DIFFERENT ?auto_20953 ?auto_20951 ) ( LOCATION ?auto_20955 ) ( CITY ?auto_20954 ) ( AT ?auto_20956 ?auto_20955 ) ( IN-CITY ?auto_20955 ?auto_20954 ) ( IN-CITY ?auto_20949 ?auto_20954 ) ( DIFFERENT ?auto_20949 ?auto_20955 ) ( AIRPORT ?auto_20959 ) ( AT ?auto_20950 ?auto_20959 ) ( DIFFERENT ?auto_20951 ?auto_20959 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20950 ?auto_20959 ?auto_20951 )
      ( DELIVER-PKG ?auto_20946 ?auto_20947 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21440
      ?auto_21441
    )
    :vars
    (
      ?auto_21447
      ?auto_21445
      ?auto_21443
      ?auto_21444
      ?auto_21449
    )
    :precondition
    ( and ( OBJ ?auto_21440 ) ( LOCATION ?auto_21441 ) ( AIRPLANE ?auto_21447 ) ( AIRPORT ?auto_21445 ) ( AIRPORT ?auto_21441 ) ( AT ?auto_21447 ?auto_21445 ) ( DIFFERENT ?auto_21441 ?auto_21445 ) ( LOCATION ?auto_21443 ) ( AT ?auto_21447 ?auto_21443 ) ( TRUCK ?auto_21444 ) ( AT ?auto_21444 ?auto_21443 ) ( LOCATION ?auto_21449 ) ( AT ?auto_21444 ?auto_21449 ) ( AT ?auto_21440 ?auto_21449 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_21440 ?auto_21444 ?auto_21449 )
      ( DELIVER-PKG ?auto_21440 ?auto_21441 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21953
      ?auto_21954
    )
    :vars
    (
      ?auto_21956
      ?auto_21957
      ?auto_21958
      ?auto_21960
      ?auto_21962
    )
    :precondition
    ( and ( OBJ ?auto_21953 ) ( LOCATION ?auto_21954 ) ( AIRPLANE ?auto_21956 ) ( AIRPORT ?auto_21957 ) ( AIRPORT ?auto_21954 ) ( DIFFERENT ?auto_21954 ?auto_21957 ) ( LOCATION ?auto_21957 ) ( AIRPORT ?auto_21958 ) ( DIFFERENT ?auto_21957 ?auto_21958 ) ( AIRPORT ?auto_21960 ) ( AT ?auto_21956 ?auto_21960 ) ( DIFFERENT ?auto_21958 ?auto_21960 ) ( TRUCK ?auto_21962 ) ( AT ?auto_21962 ?auto_21957 ) ( IN ?auto_21953 ?auto_21962 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_21953 ?auto_21957 )
      ( DELIVER-PKG ?auto_21953 ?auto_21954 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22023
      ?auto_22024
    )
    :vars
    (
      ?auto_22026
      ?auto_22027
      ?auto_22034
      ?auto_22028
      ?auto_22029
      ?auto_22033
      ?auto_22031
      ?auto_22037
      ?auto_22036
    )
    :precondition
    ( and ( OBJ ?auto_22023 ) ( LOCATION ?auto_22024 ) ( AIRPLANE ?auto_22026 ) ( AIRPORT ?auto_22027 ) ( AIRPORT ?auto_22024 ) ( DIFFERENT ?auto_22024 ?auto_22027 ) ( LOCATION ?auto_22027 ) ( AIRPORT ?auto_22034 ) ( DIFFERENT ?auto_22027 ?auto_22034 ) ( AIRPORT ?auto_22028 ) ( AT ?auto_22026 ?auto_22028 ) ( DIFFERENT ?auto_22034 ?auto_22028 ) ( TRUCK ?auto_22029 ) ( LOCATION ?auto_22033 ) ( CITY ?auto_22031 ) ( IN-CITY ?auto_22033 ?auto_22031 ) ( IN-CITY ?auto_22027 ?auto_22031 ) ( DIFFERENT ?auto_22027 ?auto_22033 ) ( AT ?auto_22023 ?auto_22033 ) ( LOCATION ?auto_22037 ) ( CITY ?auto_22036 ) ( AT ?auto_22029 ?auto_22037 ) ( IN-CITY ?auto_22037 ?auto_22036 ) ( IN-CITY ?auto_22033 ?auto_22036 ) ( DIFFERENT ?auto_22033 ?auto_22037 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22029 ?auto_22037 ?auto_22033 ?auto_22036 )
      ( DELIVER-PKG ?auto_22023 ?auto_22024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22039
      ?auto_22040
    )
    :vars
    (
      ?auto_22041
      ?auto_22043
      ?auto_22048
      ?auto_22044
      ?auto_22045
      ?auto_22047
      ?auto_22046
      ?auto_22050
      ?auto_22049
      ?auto_22053
    )
    :precondition
    ( and ( OBJ ?auto_22039 ) ( LOCATION ?auto_22040 ) ( AIRPLANE ?auto_22041 ) ( AIRPORT ?auto_22043 ) ( AIRPORT ?auto_22040 ) ( DIFFERENT ?auto_22040 ?auto_22043 ) ( LOCATION ?auto_22043 ) ( AIRPORT ?auto_22048 ) ( DIFFERENT ?auto_22043 ?auto_22048 ) ( AIRPORT ?auto_22044 ) ( DIFFERENT ?auto_22048 ?auto_22044 ) ( TRUCK ?auto_22045 ) ( LOCATION ?auto_22047 ) ( CITY ?auto_22046 ) ( IN-CITY ?auto_22047 ?auto_22046 ) ( IN-CITY ?auto_22043 ?auto_22046 ) ( DIFFERENT ?auto_22043 ?auto_22047 ) ( AT ?auto_22039 ?auto_22047 ) ( LOCATION ?auto_22050 ) ( CITY ?auto_22049 ) ( AT ?auto_22045 ?auto_22050 ) ( IN-CITY ?auto_22050 ?auto_22049 ) ( IN-CITY ?auto_22047 ?auto_22049 ) ( DIFFERENT ?auto_22047 ?auto_22050 ) ( AIRPORT ?auto_22053 ) ( AT ?auto_22041 ?auto_22053 ) ( DIFFERENT ?auto_22044 ?auto_22053 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22041 ?auto_22053 ?auto_22044 )
      ( DELIVER-PKG ?auto_22039 ?auto_22040 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22554
      ?auto_22555
    )
    :vars
    (
      ?auto_22560
      ?auto_22562
      ?auto_22558
      ?auto_22556
      ?auto_22559
      ?auto_22565
    )
    :precondition
    ( and ( OBJ ?auto_22554 ) ( LOCATION ?auto_22555 ) ( AIRPLANE ?auto_22560 ) ( AIRPORT ?auto_22562 ) ( AIRPORT ?auto_22555 ) ( DIFFERENT ?auto_22555 ?auto_22562 ) ( AIRPORT ?auto_22558 ) ( DIFFERENT ?auto_22562 ?auto_22558 ) ( AIRPORT ?auto_22556 ) ( AT ?auto_22560 ?auto_22556 ) ( DIFFERENT ?auto_22558 ?auto_22556 ) ( LOCATION ?auto_22559 ) ( AT ?auto_22560 ?auto_22559 ) ( AIRPLANE ?auto_22565 ) ( IN ?auto_22554 ?auto_22565 ) ( AT ?auto_22565 ?auto_22559 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22554 ?auto_22559 )
      ( DELIVER-PKG ?auto_22554 ?auto_22555 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22566
      ?auto_22567
    )
    :vars
    (
      ?auto_22573
      ?auto_22571
      ?auto_22568
      ?auto_22570
      ?auto_22577
    )
    :precondition
    ( and ( OBJ ?auto_22566 ) ( LOCATION ?auto_22567 ) ( AIRPLANE ?auto_22573 ) ( AIRPORT ?auto_22571 ) ( AIRPORT ?auto_22567 ) ( DIFFERENT ?auto_22567 ?auto_22571 ) ( AIRPORT ?auto_22568 ) ( DIFFERENT ?auto_22571 ?auto_22568 ) ( AIRPORT ?auto_22570 ) ( DIFFERENT ?auto_22568 ?auto_22570 ) ( LOCATION ?auto_22570 ) ( IN ?auto_22566 ?auto_22573 ) ( AIRPORT ?auto_22577 ) ( AT ?auto_22573 ?auto_22577 ) ( DIFFERENT ?auto_22570 ?auto_22577 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22573 ?auto_22577 ?auto_22570 )
      ( DELIVER-PKG ?auto_22566 ?auto_22567 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22579
      ?auto_22580
    )
    :vars
    (
      ?auto_22585
      ?auto_22587
      ?auto_22586
      ?auto_22581
      ?auto_22582
      ?auto_22589
    )
    :precondition
    ( and ( OBJ ?auto_22579 ) ( LOCATION ?auto_22580 ) ( AIRPLANE ?auto_22585 ) ( AIRPORT ?auto_22587 ) ( AIRPORT ?auto_22580 ) ( DIFFERENT ?auto_22580 ?auto_22587 ) ( AIRPORT ?auto_22586 ) ( DIFFERENT ?auto_22587 ?auto_22586 ) ( AIRPORT ?auto_22581 ) ( DIFFERENT ?auto_22586 ?auto_22581 ) ( LOCATION ?auto_22581 ) ( AIRPORT ?auto_22582 ) ( AT ?auto_22585 ?auto_22582 ) ( DIFFERENT ?auto_22581 ?auto_22582 ) ( LOCATION ?auto_22589 ) ( AT ?auto_22579 ?auto_22589 ) ( AT ?auto_22585 ?auto_22589 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_22579 ?auto_22585 ?auto_22589 )
      ( DELIVER-PKG ?auto_22579 ?auto_22580 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22630
      ?auto_22631
    )
    :vars
    (
      ?auto_22636
      ?auto_22635
      ?auto_22633
      ?auto_22632
      ?auto_22641
      ?auto_22638
      ?auto_22639
      ?auto_22640
      ?auto_22643
    )
    :precondition
    ( and ( OBJ ?auto_22630 ) ( LOCATION ?auto_22631 ) ( AIRPLANE ?auto_22636 ) ( AIRPORT ?auto_22635 ) ( AIRPORT ?auto_22631 ) ( DIFFERENT ?auto_22631 ?auto_22635 ) ( AIRPORT ?auto_22633 ) ( DIFFERENT ?auto_22635 ?auto_22633 ) ( AIRPORT ?auto_22632 ) ( DIFFERENT ?auto_22633 ?auto_22632 ) ( LOCATION ?auto_22632 ) ( AIRPORT ?auto_22641 ) ( AT ?auto_22636 ?auto_22641 ) ( DIFFERENT ?auto_22632 ?auto_22641 ) ( LOCATION ?auto_22638 ) ( AT ?auto_22636 ?auto_22638 ) ( TRUCK ?auto_22639 ) ( AT ?auto_22639 ?auto_22638 ) ( LOCATION ?auto_22640 ) ( AT ?auto_22639 ?auto_22640 ) ( TRUCK ?auto_22643 ) ( AT ?auto_22643 ?auto_22640 ) ( IN ?auto_22630 ?auto_22643 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22630 ?auto_22640 )
      ( DELIVER-PKG ?auto_22630 ?auto_22631 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22604
      ?auto_22605
    )
    :vars
    (
      ?auto_22606
      ?auto_22612
      ?auto_22613
      ?auto_22614
      ?auto_22608
      ?auto_22611
      ?auto_22609
      ?auto_22616
    )
    :precondition
    ( and ( OBJ ?auto_22604 ) ( LOCATION ?auto_22605 ) ( AIRPLANE ?auto_22606 ) ( AIRPORT ?auto_22612 ) ( AIRPORT ?auto_22605 ) ( DIFFERENT ?auto_22605 ?auto_22612 ) ( AIRPORT ?auto_22613 ) ( DIFFERENT ?auto_22612 ?auto_22613 ) ( AIRPORT ?auto_22614 ) ( DIFFERENT ?auto_22613 ?auto_22614 ) ( LOCATION ?auto_22614 ) ( AIRPORT ?auto_22608 ) ( AT ?auto_22606 ?auto_22608 ) ( DIFFERENT ?auto_22614 ?auto_22608 ) ( LOCATION ?auto_22611 ) ( AT ?auto_22606 ?auto_22611 ) ( TRUCK ?auto_22609 ) ( AT ?auto_22609 ?auto_22611 ) ( LOCATION ?auto_22616 ) ( AT ?auto_22609 ?auto_22616 ) ( AT ?auto_22604 ?auto_22616 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22604 ?auto_22609 ?auto_22616 )
      ( DELIVER-PKG ?auto_22604 ?auto_22605 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22658
      ?auto_22659
    )
    :vars
    (
      ?auto_22670
      ?auto_22665
      ?auto_22660
      ?auto_22667
      ?auto_22669
      ?auto_22662
      ?auto_22663
      ?auto_22673
      ?auto_22672
    )
    :precondition
    ( and ( OBJ ?auto_22658 ) ( LOCATION ?auto_22659 ) ( AIRPLANE ?auto_22670 ) ( AIRPORT ?auto_22665 ) ( AIRPORT ?auto_22659 ) ( DIFFERENT ?auto_22659 ?auto_22665 ) ( AIRPORT ?auto_22660 ) ( DIFFERENT ?auto_22665 ?auto_22660 ) ( AIRPORT ?auto_22667 ) ( DIFFERENT ?auto_22660 ?auto_22667 ) ( LOCATION ?auto_22667 ) ( AIRPORT ?auto_22669 ) ( AT ?auto_22670 ?auto_22669 ) ( DIFFERENT ?auto_22667 ?auto_22669 ) ( LOCATION ?auto_22662 ) ( AT ?auto_22670 ?auto_22662 ) ( TRUCK ?auto_22663 ) ( IN ?auto_22658 ?auto_22663 ) ( LOCATION ?auto_22673 ) ( CITY ?auto_22672 ) ( AT ?auto_22663 ?auto_22673 ) ( IN-CITY ?auto_22673 ?auto_22672 ) ( IN-CITY ?auto_22662 ?auto_22672 ) ( DIFFERENT ?auto_22662 ?auto_22673 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22663 ?auto_22673 ?auto_22662 ?auto_22672 )
      ( DELIVER-PKG ?auto_22658 ?auto_22659 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22688
      ?auto_22689
    )
    :vars
    (
      ?auto_22695
      ?auto_22696
      ?auto_22690
      ?auto_22697
      ?auto_22694
      ?auto_22692
      ?auto_22698
      ?auto_22691
      ?auto_22699
      ?auto_22702
    )
    :precondition
    ( and ( OBJ ?auto_22688 ) ( LOCATION ?auto_22689 ) ( AIRPLANE ?auto_22695 ) ( AIRPORT ?auto_22696 ) ( AIRPORT ?auto_22689 ) ( DIFFERENT ?auto_22689 ?auto_22696 ) ( AIRPORT ?auto_22690 ) ( DIFFERENT ?auto_22696 ?auto_22690 ) ( AIRPORT ?auto_22697 ) ( DIFFERENT ?auto_22690 ?auto_22697 ) ( LOCATION ?auto_22697 ) ( AIRPORT ?auto_22694 ) ( AT ?auto_22695 ?auto_22694 ) ( DIFFERENT ?auto_22697 ?auto_22694 ) ( LOCATION ?auto_22692 ) ( AT ?auto_22695 ?auto_22692 ) ( TRUCK ?auto_22698 ) ( LOCATION ?auto_22691 ) ( CITY ?auto_22699 ) ( AT ?auto_22698 ?auto_22691 ) ( IN-CITY ?auto_22691 ?auto_22699 ) ( IN-CITY ?auto_22692 ?auto_22699 ) ( DIFFERENT ?auto_22692 ?auto_22691 ) ( LOCATION ?auto_22702 ) ( AT ?auto_22698 ?auto_22702 ) ( AT ?auto_22688 ?auto_22702 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22688 ?auto_22698 ?auto_22702 )
      ( DELIVER-PKG ?auto_22688 ?auto_22689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22718
      ?auto_22719
    )
    :vars
    (
      ?auto_22722
      ?auto_22726
      ?auto_22725
      ?auto_22727
      ?auto_22728
      ?auto_22723
      ?auto_22720
      ?auto_22724
      ?auto_22731
      ?auto_22733
    )
    :precondition
    ( and ( OBJ ?auto_22718 ) ( LOCATION ?auto_22719 ) ( AIRPLANE ?auto_22722 ) ( AIRPORT ?auto_22726 ) ( AIRPORT ?auto_22719 ) ( DIFFERENT ?auto_22719 ?auto_22726 ) ( AIRPORT ?auto_22725 ) ( DIFFERENT ?auto_22726 ?auto_22725 ) ( AIRPORT ?auto_22727 ) ( DIFFERENT ?auto_22725 ?auto_22727 ) ( LOCATION ?auto_22727 ) ( AIRPORT ?auto_22728 ) ( DIFFERENT ?auto_22727 ?auto_22728 ) ( LOCATION ?auto_22728 ) ( TRUCK ?auto_22723 ) ( LOCATION ?auto_22720 ) ( CITY ?auto_22724 ) ( AT ?auto_22723 ?auto_22720 ) ( IN-CITY ?auto_22720 ?auto_22724 ) ( IN-CITY ?auto_22728 ?auto_22724 ) ( DIFFERENT ?auto_22728 ?auto_22720 ) ( LOCATION ?auto_22731 ) ( AT ?auto_22723 ?auto_22731 ) ( AT ?auto_22718 ?auto_22731 ) ( AIRPORT ?auto_22733 ) ( AT ?auto_22722 ?auto_22733 ) ( DIFFERENT ?auto_22728 ?auto_22733 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22722 ?auto_22733 ?auto_22728 )
      ( DELIVER-PKG ?auto_22718 ?auto_22719 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22735
      ?auto_22736
    )
    :vars
    (
      ?auto_22737
      ?auto_22742
      ?auto_22741
      ?auto_22743
      ?auto_22747
      ?auto_22739
      ?auto_22745
      ?auto_22740
      ?auto_22748
      ?auto_22751
      ?auto_22750
    )
    :precondition
    ( and ( OBJ ?auto_22735 ) ( LOCATION ?auto_22736 ) ( AIRPLANE ?auto_22737 ) ( AIRPORT ?auto_22742 ) ( AIRPORT ?auto_22736 ) ( DIFFERENT ?auto_22736 ?auto_22742 ) ( AIRPORT ?auto_22741 ) ( DIFFERENT ?auto_22742 ?auto_22741 ) ( AIRPORT ?auto_22743 ) ( DIFFERENT ?auto_22741 ?auto_22743 ) ( LOCATION ?auto_22743 ) ( AIRPORT ?auto_22747 ) ( DIFFERENT ?auto_22743 ?auto_22747 ) ( LOCATION ?auto_22747 ) ( TRUCK ?auto_22739 ) ( LOCATION ?auto_22745 ) ( CITY ?auto_22740 ) ( IN-CITY ?auto_22745 ?auto_22740 ) ( IN-CITY ?auto_22747 ?auto_22740 ) ( DIFFERENT ?auto_22747 ?auto_22745 ) ( AT ?auto_22735 ?auto_22745 ) ( AIRPORT ?auto_22748 ) ( AT ?auto_22737 ?auto_22748 ) ( DIFFERENT ?auto_22747 ?auto_22748 ) ( LOCATION ?auto_22751 ) ( CITY ?auto_22750 ) ( AT ?auto_22739 ?auto_22751 ) ( IN-CITY ?auto_22751 ?auto_22750 ) ( IN-CITY ?auto_22745 ?auto_22750 ) ( DIFFERENT ?auto_22745 ?auto_22751 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22739 ?auto_22751 ?auto_22745 ?auto_22750 )
      ( DELIVER-PKG ?auto_22735 ?auto_22736 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23876
      ?auto_23877
    )
    :vars
    (
      ?auto_23880
      ?auto_23884
      ?auto_23878
      ?auto_23882
      ?auto_23881
      ?auto_23887
      ?auto_23886
    )
    :precondition
    ( and ( OBJ ?auto_23876 ) ( LOCATION ?auto_23877 ) ( TRUCK ?auto_23880 ) ( IN ?auto_23876 ?auto_23880 ) ( LOCATION ?auto_23884 ) ( CITY ?auto_23878 ) ( IN-CITY ?auto_23884 ?auto_23878 ) ( IN-CITY ?auto_23877 ?auto_23878 ) ( DIFFERENT ?auto_23877 ?auto_23884 ) ( LOCATION ?auto_23882 ) ( CITY ?auto_23881 ) ( IN-CITY ?auto_23882 ?auto_23881 ) ( IN-CITY ?auto_23884 ?auto_23881 ) ( DIFFERENT ?auto_23884 ?auto_23882 ) ( LOCATION ?auto_23887 ) ( CITY ?auto_23886 ) ( AT ?auto_23880 ?auto_23887 ) ( IN-CITY ?auto_23887 ?auto_23886 ) ( IN-CITY ?auto_23882 ?auto_23886 ) ( DIFFERENT ?auto_23882 ?auto_23887 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23880 ?auto_23887 ?auto_23882 ?auto_23886 )
      ( DELIVER-PKG ?auto_23876 ?auto_23877 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23900
      ?auto_23901
    )
    :vars
    (
      ?auto_23903
      ?auto_23908
      ?auto_23910
      ?auto_23904
      ?auto_23902
      ?auto_23906
      ?auto_23905
      ?auto_23913
      ?auto_23912
    )
    :precondition
    ( and ( OBJ ?auto_23900 ) ( LOCATION ?auto_23901 ) ( TRUCK ?auto_23903 ) ( IN ?auto_23900 ?auto_23903 ) ( LOCATION ?auto_23908 ) ( CITY ?auto_23910 ) ( IN-CITY ?auto_23908 ?auto_23910 ) ( IN-CITY ?auto_23901 ?auto_23910 ) ( DIFFERENT ?auto_23901 ?auto_23908 ) ( LOCATION ?auto_23904 ) ( CITY ?auto_23902 ) ( IN-CITY ?auto_23904 ?auto_23902 ) ( IN-CITY ?auto_23908 ?auto_23902 ) ( DIFFERENT ?auto_23908 ?auto_23904 ) ( LOCATION ?auto_23906 ) ( CITY ?auto_23905 ) ( IN-CITY ?auto_23906 ?auto_23905 ) ( IN-CITY ?auto_23904 ?auto_23905 ) ( DIFFERENT ?auto_23904 ?auto_23906 ) ( LOCATION ?auto_23913 ) ( CITY ?auto_23912 ) ( AT ?auto_23903 ?auto_23913 ) ( IN-CITY ?auto_23913 ?auto_23912 ) ( IN-CITY ?auto_23906 ?auto_23912 ) ( DIFFERENT ?auto_23906 ?auto_23913 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_23903 ?auto_23913 ?auto_23906 ?auto_23912 )
      ( DELIVER-PKG ?auto_23900 ?auto_23901 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23928
      ?auto_23929
    )
    :vars
    (
      ?auto_23932
      ?auto_23936
      ?auto_23930
      ?auto_23937
      ?auto_23931
      ?auto_23935
      ?auto_23934
      ?auto_23940
      ?auto_23939
      ?auto_23942
    )
    :precondition
    ( and ( OBJ ?auto_23928 ) ( LOCATION ?auto_23929 ) ( TRUCK ?auto_23932 ) ( LOCATION ?auto_23936 ) ( CITY ?auto_23930 ) ( IN-CITY ?auto_23936 ?auto_23930 ) ( IN-CITY ?auto_23929 ?auto_23930 ) ( DIFFERENT ?auto_23929 ?auto_23936 ) ( LOCATION ?auto_23937 ) ( CITY ?auto_23931 ) ( IN-CITY ?auto_23937 ?auto_23931 ) ( IN-CITY ?auto_23936 ?auto_23931 ) ( DIFFERENT ?auto_23936 ?auto_23937 ) ( LOCATION ?auto_23935 ) ( CITY ?auto_23934 ) ( IN-CITY ?auto_23935 ?auto_23934 ) ( IN-CITY ?auto_23937 ?auto_23934 ) ( DIFFERENT ?auto_23937 ?auto_23935 ) ( LOCATION ?auto_23940 ) ( CITY ?auto_23939 ) ( AT ?auto_23932 ?auto_23940 ) ( IN-CITY ?auto_23940 ?auto_23939 ) ( IN-CITY ?auto_23935 ?auto_23939 ) ( DIFFERENT ?auto_23935 ?auto_23940 ) ( LOCATION ?auto_23942 ) ( AT ?auto_23932 ?auto_23942 ) ( AT ?auto_23928 ?auto_23942 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_23928 ?auto_23932 ?auto_23942 )
      ( DELIVER-PKG ?auto_23928 ?auto_23929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23944
      ?auto_23945
    )
    :vars
    (
      ?auto_23952
      ?auto_23948
      ?auto_23956
      ?auto_23949
      ?auto_23957
      ?auto_23947
      ?auto_23946
      ?auto_23954
      ?auto_23950
      ?auto_23955
      ?auto_23958
    )
    :precondition
    ( and ( OBJ ?auto_23944 ) ( LOCATION ?auto_23945 ) ( TRUCK ?auto_23952 ) ( LOCATION ?auto_23948 ) ( CITY ?auto_23956 ) ( IN-CITY ?auto_23948 ?auto_23956 ) ( IN-CITY ?auto_23945 ?auto_23956 ) ( DIFFERENT ?auto_23945 ?auto_23948 ) ( LOCATION ?auto_23949 ) ( CITY ?auto_23957 ) ( IN-CITY ?auto_23949 ?auto_23957 ) ( IN-CITY ?auto_23948 ?auto_23957 ) ( DIFFERENT ?auto_23948 ?auto_23949 ) ( LOCATION ?auto_23947 ) ( CITY ?auto_23946 ) ( IN-CITY ?auto_23947 ?auto_23946 ) ( IN-CITY ?auto_23949 ?auto_23946 ) ( DIFFERENT ?auto_23949 ?auto_23947 ) ( LOCATION ?auto_23954 ) ( CITY ?auto_23950 ) ( AT ?auto_23952 ?auto_23954 ) ( IN-CITY ?auto_23954 ?auto_23950 ) ( IN-CITY ?auto_23947 ?auto_23950 ) ( DIFFERENT ?auto_23947 ?auto_23954 ) ( LOCATION ?auto_23955 ) ( AT ?auto_23952 ?auto_23955 ) ( AIRPLANE ?auto_23958 ) ( IN ?auto_23944 ?auto_23958 ) ( AT ?auto_23958 ?auto_23955 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_23944 ?auto_23955 )
      ( DELIVER-PKG ?auto_23944 ?auto_23945 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23961
      ?auto_23962
    )
    :vars
    (
      ?auto_23964
      ?auto_23975
      ?auto_23969
      ?auto_23965
      ?auto_23968
      ?auto_23972
      ?auto_23967
      ?auto_23966
      ?auto_23974
      ?auto_23971
      ?auto_23970
      ?auto_23977
    )
    :precondition
    ( and ( OBJ ?auto_23961 ) ( LOCATION ?auto_23962 ) ( TRUCK ?auto_23964 ) ( LOCATION ?auto_23975 ) ( CITY ?auto_23969 ) ( IN-CITY ?auto_23975 ?auto_23969 ) ( IN-CITY ?auto_23962 ?auto_23969 ) ( DIFFERENT ?auto_23962 ?auto_23975 ) ( LOCATION ?auto_23965 ) ( CITY ?auto_23968 ) ( IN-CITY ?auto_23965 ?auto_23968 ) ( IN-CITY ?auto_23975 ?auto_23968 ) ( DIFFERENT ?auto_23975 ?auto_23965 ) ( LOCATION ?auto_23972 ) ( CITY ?auto_23967 ) ( IN-CITY ?auto_23972 ?auto_23967 ) ( IN-CITY ?auto_23965 ?auto_23967 ) ( DIFFERENT ?auto_23965 ?auto_23972 ) ( LOCATION ?auto_23966 ) ( CITY ?auto_23974 ) ( AT ?auto_23964 ?auto_23966 ) ( IN-CITY ?auto_23966 ?auto_23974 ) ( IN-CITY ?auto_23972 ?auto_23974 ) ( DIFFERENT ?auto_23972 ?auto_23966 ) ( LOCATION ?auto_23971 ) ( AT ?auto_23964 ?auto_23971 ) ( AIRPLANE ?auto_23970 ) ( IN ?auto_23961 ?auto_23970 ) ( AIRPORT ?auto_23977 ) ( AIRPORT ?auto_23971 ) ( AT ?auto_23970 ?auto_23977 ) ( DIFFERENT ?auto_23971 ?auto_23977 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23970 ?auto_23977 ?auto_23971 )
      ( DELIVER-PKG ?auto_23961 ?auto_23962 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23979
      ?auto_23980
    )
    :vars
    (
      ?auto_23993
      ?auto_23988
      ?auto_23981
      ?auto_23992
      ?auto_23986
      ?auto_23984
      ?auto_23991
      ?auto_23994
      ?auto_23983
      ?auto_23987
      ?auto_23990
      ?auto_23989
      ?auto_23996
    )
    :precondition
    ( and ( OBJ ?auto_23979 ) ( LOCATION ?auto_23980 ) ( TRUCK ?auto_23993 ) ( LOCATION ?auto_23988 ) ( CITY ?auto_23981 ) ( IN-CITY ?auto_23988 ?auto_23981 ) ( IN-CITY ?auto_23980 ?auto_23981 ) ( DIFFERENT ?auto_23980 ?auto_23988 ) ( LOCATION ?auto_23992 ) ( CITY ?auto_23986 ) ( IN-CITY ?auto_23992 ?auto_23986 ) ( IN-CITY ?auto_23988 ?auto_23986 ) ( DIFFERENT ?auto_23988 ?auto_23992 ) ( LOCATION ?auto_23984 ) ( CITY ?auto_23991 ) ( IN-CITY ?auto_23984 ?auto_23991 ) ( IN-CITY ?auto_23992 ?auto_23991 ) ( DIFFERENT ?auto_23992 ?auto_23984 ) ( LOCATION ?auto_23994 ) ( CITY ?auto_23983 ) ( AT ?auto_23993 ?auto_23994 ) ( IN-CITY ?auto_23994 ?auto_23983 ) ( IN-CITY ?auto_23984 ?auto_23983 ) ( DIFFERENT ?auto_23984 ?auto_23994 ) ( LOCATION ?auto_23987 ) ( AT ?auto_23993 ?auto_23987 ) ( AIRPLANE ?auto_23990 ) ( AIRPORT ?auto_23989 ) ( AIRPORT ?auto_23987 ) ( AT ?auto_23990 ?auto_23989 ) ( DIFFERENT ?auto_23987 ?auto_23989 ) ( LOCATION ?auto_23996 ) ( AT ?auto_23979 ?auto_23996 ) ( AT ?auto_23990 ?auto_23996 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_23979 ?auto_23990 ?auto_23996 )
      ( DELIVER-PKG ?auto_23979 ?auto_23980 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23998
      ?auto_23999
    )
    :vars
    (
      ?auto_24002
      ?auto_24006
      ?auto_24009
      ?auto_24001
      ?auto_24004
      ?auto_24013
      ?auto_24007
      ?auto_24005
      ?auto_24014
      ?auto_24000
      ?auto_24003
      ?auto_24012
      ?auto_24016
    )
    :precondition
    ( and ( OBJ ?auto_23998 ) ( LOCATION ?auto_23999 ) ( TRUCK ?auto_24002 ) ( LOCATION ?auto_24006 ) ( CITY ?auto_24009 ) ( IN-CITY ?auto_24006 ?auto_24009 ) ( IN-CITY ?auto_23999 ?auto_24009 ) ( DIFFERENT ?auto_23999 ?auto_24006 ) ( LOCATION ?auto_24001 ) ( CITY ?auto_24004 ) ( IN-CITY ?auto_24001 ?auto_24004 ) ( IN-CITY ?auto_24006 ?auto_24004 ) ( DIFFERENT ?auto_24006 ?auto_24001 ) ( LOCATION ?auto_24013 ) ( CITY ?auto_24007 ) ( IN-CITY ?auto_24013 ?auto_24007 ) ( IN-CITY ?auto_24001 ?auto_24007 ) ( DIFFERENT ?auto_24001 ?auto_24013 ) ( LOCATION ?auto_24005 ) ( CITY ?auto_24014 ) ( AT ?auto_24002 ?auto_24005 ) ( IN-CITY ?auto_24005 ?auto_24014 ) ( IN-CITY ?auto_24013 ?auto_24014 ) ( DIFFERENT ?auto_24013 ?auto_24005 ) ( LOCATION ?auto_24000 ) ( AT ?auto_24002 ?auto_24000 ) ( AIRPLANE ?auto_24003 ) ( AIRPORT ?auto_24012 ) ( AIRPORT ?auto_24000 ) ( DIFFERENT ?auto_24000 ?auto_24012 ) ( LOCATION ?auto_24012 ) ( AT ?auto_23998 ?auto_24012 ) ( AIRPORT ?auto_24016 ) ( AT ?auto_24003 ?auto_24016 ) ( DIFFERENT ?auto_24012 ?auto_24016 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24003 ?auto_24016 ?auto_24012 )
      ( DELIVER-PKG ?auto_23998 ?auto_23999 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24052
      ?auto_24053
    )
    :vars
    (
      ?auto_24067
      ?auto_24061
      ?auto_24056
      ?auto_24064
      ?auto_24068
      ?auto_24060
      ?auto_24055
      ?auto_24063
      ?auto_24062
      ?auto_24054
      ?auto_24066
      ?auto_24059
      ?auto_24065
      ?auto_24070
    )
    :precondition
    ( and ( OBJ ?auto_24052 ) ( LOCATION ?auto_24053 ) ( TRUCK ?auto_24067 ) ( LOCATION ?auto_24061 ) ( CITY ?auto_24056 ) ( IN-CITY ?auto_24061 ?auto_24056 ) ( IN-CITY ?auto_24053 ?auto_24056 ) ( DIFFERENT ?auto_24053 ?auto_24061 ) ( LOCATION ?auto_24064 ) ( CITY ?auto_24068 ) ( IN-CITY ?auto_24064 ?auto_24068 ) ( IN-CITY ?auto_24061 ?auto_24068 ) ( DIFFERENT ?auto_24061 ?auto_24064 ) ( LOCATION ?auto_24060 ) ( CITY ?auto_24055 ) ( IN-CITY ?auto_24060 ?auto_24055 ) ( IN-CITY ?auto_24064 ?auto_24055 ) ( DIFFERENT ?auto_24064 ?auto_24060 ) ( LOCATION ?auto_24063 ) ( CITY ?auto_24062 ) ( AT ?auto_24067 ?auto_24063 ) ( IN-CITY ?auto_24063 ?auto_24062 ) ( IN-CITY ?auto_24060 ?auto_24062 ) ( DIFFERENT ?auto_24060 ?auto_24063 ) ( LOCATION ?auto_24054 ) ( AT ?auto_24067 ?auto_24054 ) ( AIRPLANE ?auto_24066 ) ( AIRPORT ?auto_24059 ) ( AIRPORT ?auto_24054 ) ( DIFFERENT ?auto_24054 ?auto_24059 ) ( LOCATION ?auto_24059 ) ( AT ?auto_24052 ?auto_24059 ) ( AIRPORT ?auto_24065 ) ( DIFFERENT ?auto_24059 ?auto_24065 ) ( AIRPORT ?auto_24070 ) ( AT ?auto_24066 ?auto_24070 ) ( DIFFERENT ?auto_24065 ?auto_24070 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24066 ?auto_24070 ?auto_24065 )
      ( DELIVER-PKG ?auto_24052 ?auto_24053 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24126
      ?auto_24127
    )
    :vars
    (
      ?auto_24142
      ?auto_24139
      ?auto_24136
      ?auto_24133
      ?auto_24143
      ?auto_24138
      ?auto_24130
      ?auto_24132
      ?auto_24131
      ?auto_24128
      ?auto_24141
      ?auto_24137
      ?auto_24134
      ?auto_24135
      ?auto_24145
    )
    :precondition
    ( and ( OBJ ?auto_24126 ) ( LOCATION ?auto_24127 ) ( TRUCK ?auto_24142 ) ( LOCATION ?auto_24139 ) ( CITY ?auto_24136 ) ( IN-CITY ?auto_24139 ?auto_24136 ) ( IN-CITY ?auto_24127 ?auto_24136 ) ( DIFFERENT ?auto_24127 ?auto_24139 ) ( LOCATION ?auto_24133 ) ( CITY ?auto_24143 ) ( IN-CITY ?auto_24133 ?auto_24143 ) ( IN-CITY ?auto_24139 ?auto_24143 ) ( DIFFERENT ?auto_24139 ?auto_24133 ) ( LOCATION ?auto_24138 ) ( CITY ?auto_24130 ) ( IN-CITY ?auto_24138 ?auto_24130 ) ( IN-CITY ?auto_24133 ?auto_24130 ) ( DIFFERENT ?auto_24133 ?auto_24138 ) ( LOCATION ?auto_24132 ) ( CITY ?auto_24131 ) ( AT ?auto_24142 ?auto_24132 ) ( IN-CITY ?auto_24132 ?auto_24131 ) ( IN-CITY ?auto_24138 ?auto_24131 ) ( DIFFERENT ?auto_24138 ?auto_24132 ) ( LOCATION ?auto_24128 ) ( AT ?auto_24142 ?auto_24128 ) ( AIRPLANE ?auto_24141 ) ( AIRPORT ?auto_24137 ) ( AIRPORT ?auto_24128 ) ( DIFFERENT ?auto_24128 ?auto_24137 ) ( LOCATION ?auto_24137 ) ( AIRPORT ?auto_24134 ) ( DIFFERENT ?auto_24137 ?auto_24134 ) ( AIRPORT ?auto_24135 ) ( AT ?auto_24141 ?auto_24135 ) ( DIFFERENT ?auto_24134 ?auto_24135 ) ( TRUCK ?auto_24145 ) ( AT ?auto_24145 ?auto_24137 ) ( IN ?auto_24126 ?auto_24145 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_24126 ?auto_24137 )
      ( DELIVER-PKG ?auto_24126 ?auto_24127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24166
      ?auto_24167
    )
    :vars
    (
      ?auto_24183
      ?auto_24180
      ?auto_24177
      ?auto_24174
      ?auto_24184
      ?auto_24179
      ?auto_24172
      ?auto_24173
      ?auto_24169
      ?auto_24170
      ?auto_24182
      ?auto_24178
      ?auto_24175
      ?auto_24176
      ?auto_24181
      ?auto_24187
      ?auto_24186
    )
    :precondition
    ( and ( OBJ ?auto_24166 ) ( LOCATION ?auto_24167 ) ( TRUCK ?auto_24183 ) ( LOCATION ?auto_24180 ) ( CITY ?auto_24177 ) ( IN-CITY ?auto_24180 ?auto_24177 ) ( IN-CITY ?auto_24167 ?auto_24177 ) ( DIFFERENT ?auto_24167 ?auto_24180 ) ( LOCATION ?auto_24174 ) ( CITY ?auto_24184 ) ( IN-CITY ?auto_24174 ?auto_24184 ) ( IN-CITY ?auto_24180 ?auto_24184 ) ( DIFFERENT ?auto_24180 ?auto_24174 ) ( LOCATION ?auto_24179 ) ( CITY ?auto_24172 ) ( IN-CITY ?auto_24179 ?auto_24172 ) ( IN-CITY ?auto_24174 ?auto_24172 ) ( DIFFERENT ?auto_24174 ?auto_24179 ) ( LOCATION ?auto_24173 ) ( CITY ?auto_24169 ) ( AT ?auto_24183 ?auto_24173 ) ( IN-CITY ?auto_24173 ?auto_24169 ) ( IN-CITY ?auto_24179 ?auto_24169 ) ( DIFFERENT ?auto_24179 ?auto_24173 ) ( LOCATION ?auto_24170 ) ( AT ?auto_24183 ?auto_24170 ) ( AIRPLANE ?auto_24182 ) ( AIRPORT ?auto_24178 ) ( AIRPORT ?auto_24170 ) ( DIFFERENT ?auto_24170 ?auto_24178 ) ( LOCATION ?auto_24178 ) ( AIRPORT ?auto_24175 ) ( DIFFERENT ?auto_24178 ?auto_24175 ) ( AIRPORT ?auto_24176 ) ( AT ?auto_24182 ?auto_24176 ) ( DIFFERENT ?auto_24175 ?auto_24176 ) ( TRUCK ?auto_24181 ) ( IN ?auto_24166 ?auto_24181 ) ( LOCATION ?auto_24187 ) ( CITY ?auto_24186 ) ( AT ?auto_24181 ?auto_24187 ) ( IN-CITY ?auto_24187 ?auto_24186 ) ( IN-CITY ?auto_24178 ?auto_24186 ) ( DIFFERENT ?auto_24178 ?auto_24187 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24181 ?auto_24187 ?auto_24178 ?auto_24186 )
      ( DELIVER-PKG ?auto_24166 ?auto_24167 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24189
      ?auto_24190
    )
    :vars
    (
      ?auto_24204
      ?auto_24201
      ?auto_24198
      ?auto_24192
      ?auto_24205
      ?auto_24200
      ?auto_24196
      ?auto_24195
      ?auto_24194
      ?auto_24203
      ?auto_24199
      ?auto_24193
      ?auto_24197
      ?auto_24202
      ?auto_24209
      ?auto_24207
      ?auto_24212
      ?auto_24211
    )
    :precondition
    ( and ( OBJ ?auto_24189 ) ( LOCATION ?auto_24190 ) ( TRUCK ?auto_24204 ) ( LOCATION ?auto_24201 ) ( CITY ?auto_24198 ) ( IN-CITY ?auto_24201 ?auto_24198 ) ( IN-CITY ?auto_24190 ?auto_24198 ) ( DIFFERENT ?auto_24190 ?auto_24201 ) ( LOCATION ?auto_24192 ) ( CITY ?auto_24205 ) ( IN-CITY ?auto_24192 ?auto_24205 ) ( IN-CITY ?auto_24201 ?auto_24205 ) ( DIFFERENT ?auto_24201 ?auto_24192 ) ( LOCATION ?auto_24200 ) ( CITY ?auto_24196 ) ( IN-CITY ?auto_24200 ?auto_24196 ) ( IN-CITY ?auto_24192 ?auto_24196 ) ( DIFFERENT ?auto_24192 ?auto_24200 ) ( LOCATION ?auto_24195 ) ( CITY ?auto_24194 ) ( IN-CITY ?auto_24195 ?auto_24194 ) ( IN-CITY ?auto_24200 ?auto_24194 ) ( DIFFERENT ?auto_24200 ?auto_24195 ) ( AIRPLANE ?auto_24203 ) ( AIRPORT ?auto_24199 ) ( AIRPORT ?auto_24195 ) ( DIFFERENT ?auto_24195 ?auto_24199 ) ( LOCATION ?auto_24199 ) ( AIRPORT ?auto_24193 ) ( DIFFERENT ?auto_24199 ?auto_24193 ) ( AIRPORT ?auto_24197 ) ( AT ?auto_24203 ?auto_24197 ) ( DIFFERENT ?auto_24193 ?auto_24197 ) ( TRUCK ?auto_24202 ) ( IN ?auto_24189 ?auto_24202 ) ( LOCATION ?auto_24209 ) ( CITY ?auto_24207 ) ( AT ?auto_24202 ?auto_24209 ) ( IN-CITY ?auto_24209 ?auto_24207 ) ( IN-CITY ?auto_24199 ?auto_24207 ) ( DIFFERENT ?auto_24199 ?auto_24209 ) ( LOCATION ?auto_24212 ) ( CITY ?auto_24211 ) ( AT ?auto_24204 ?auto_24212 ) ( IN-CITY ?auto_24212 ?auto_24211 ) ( IN-CITY ?auto_24195 ?auto_24211 ) ( DIFFERENT ?auto_24195 ?auto_24212 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24204 ?auto_24212 ?auto_24195 ?auto_24211 )
      ( DELIVER-PKG ?auto_24189 ?auto_24190 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24214
      ?auto_24215
    )
    :vars
    (
      ?auto_24225
      ?auto_24231
      ?auto_24227
      ?auto_24234
      ?auto_24226
      ?auto_24229
      ?auto_24219
      ?auto_24216
      ?auto_24235
      ?auto_24224
      ?auto_24217
      ?auto_24233
      ?auto_24220
      ?auto_24232
      ?auto_24223
      ?auto_24221
      ?auto_24228
      ?auto_24222
      ?auto_24237
    )
    :precondition
    ( and ( OBJ ?auto_24214 ) ( LOCATION ?auto_24215 ) ( TRUCK ?auto_24225 ) ( LOCATION ?auto_24231 ) ( CITY ?auto_24227 ) ( IN-CITY ?auto_24231 ?auto_24227 ) ( IN-CITY ?auto_24215 ?auto_24227 ) ( DIFFERENT ?auto_24215 ?auto_24231 ) ( LOCATION ?auto_24234 ) ( CITY ?auto_24226 ) ( IN-CITY ?auto_24234 ?auto_24226 ) ( IN-CITY ?auto_24231 ?auto_24226 ) ( DIFFERENT ?auto_24231 ?auto_24234 ) ( LOCATION ?auto_24229 ) ( CITY ?auto_24219 ) ( IN-CITY ?auto_24229 ?auto_24219 ) ( IN-CITY ?auto_24234 ?auto_24219 ) ( DIFFERENT ?auto_24234 ?auto_24229 ) ( LOCATION ?auto_24216 ) ( CITY ?auto_24235 ) ( IN-CITY ?auto_24216 ?auto_24235 ) ( IN-CITY ?auto_24229 ?auto_24235 ) ( DIFFERENT ?auto_24229 ?auto_24216 ) ( AIRPLANE ?auto_24224 ) ( AIRPORT ?auto_24217 ) ( AIRPORT ?auto_24216 ) ( DIFFERENT ?auto_24216 ?auto_24217 ) ( LOCATION ?auto_24217 ) ( AIRPORT ?auto_24233 ) ( DIFFERENT ?auto_24217 ?auto_24233 ) ( AIRPORT ?auto_24220 ) ( AT ?auto_24224 ?auto_24220 ) ( DIFFERENT ?auto_24233 ?auto_24220 ) ( TRUCK ?auto_24232 ) ( LOCATION ?auto_24223 ) ( CITY ?auto_24221 ) ( AT ?auto_24232 ?auto_24223 ) ( IN-CITY ?auto_24223 ?auto_24221 ) ( IN-CITY ?auto_24217 ?auto_24221 ) ( DIFFERENT ?auto_24217 ?auto_24223 ) ( LOCATION ?auto_24228 ) ( CITY ?auto_24222 ) ( AT ?auto_24225 ?auto_24228 ) ( IN-CITY ?auto_24228 ?auto_24222 ) ( IN-CITY ?auto_24216 ?auto_24222 ) ( DIFFERENT ?auto_24216 ?auto_24228 ) ( LOCATION ?auto_24237 ) ( AT ?auto_24232 ?auto_24237 ) ( AT ?auto_24214 ?auto_24237 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_24214 ?auto_24232 ?auto_24237 )
      ( DELIVER-PKG ?auto_24214 ?auto_24215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24262
      ?auto_24263
    )
    :vars
    (
      ?auto_24264
      ?auto_24274
      ?auto_24266
      ?auto_24270
      ?auto_24276
      ?auto_24268
      ?auto_24280
      ?auto_24272
      ?auto_24271
      ?auto_24283
      ?auto_24273
      ?auto_24279
      ?auto_24281
      ?auto_24278
      ?auto_24275
      ?auto_24282
      ?auto_24269
      ?auto_24277
      ?auto_24287
      ?auto_24286
    )
    :precondition
    ( and ( OBJ ?auto_24262 ) ( LOCATION ?auto_24263 ) ( TRUCK ?auto_24264 ) ( LOCATION ?auto_24274 ) ( CITY ?auto_24266 ) ( IN-CITY ?auto_24274 ?auto_24266 ) ( IN-CITY ?auto_24263 ?auto_24266 ) ( DIFFERENT ?auto_24263 ?auto_24274 ) ( LOCATION ?auto_24270 ) ( CITY ?auto_24276 ) ( IN-CITY ?auto_24270 ?auto_24276 ) ( IN-CITY ?auto_24274 ?auto_24276 ) ( DIFFERENT ?auto_24274 ?auto_24270 ) ( LOCATION ?auto_24268 ) ( CITY ?auto_24280 ) ( IN-CITY ?auto_24268 ?auto_24280 ) ( IN-CITY ?auto_24270 ?auto_24280 ) ( DIFFERENT ?auto_24270 ?auto_24268 ) ( LOCATION ?auto_24272 ) ( CITY ?auto_24271 ) ( IN-CITY ?auto_24272 ?auto_24271 ) ( IN-CITY ?auto_24268 ?auto_24271 ) ( DIFFERENT ?auto_24268 ?auto_24272 ) ( AIRPLANE ?auto_24283 ) ( AIRPORT ?auto_24273 ) ( AIRPORT ?auto_24272 ) ( DIFFERENT ?auto_24272 ?auto_24273 ) ( LOCATION ?auto_24273 ) ( AIRPORT ?auto_24279 ) ( DIFFERENT ?auto_24273 ?auto_24279 ) ( AIRPORT ?auto_24281 ) ( AT ?auto_24283 ?auto_24281 ) ( DIFFERENT ?auto_24279 ?auto_24281 ) ( TRUCK ?auto_24278 ) ( LOCATION ?auto_24275 ) ( CITY ?auto_24282 ) ( IN-CITY ?auto_24275 ?auto_24282 ) ( IN-CITY ?auto_24273 ?auto_24282 ) ( DIFFERENT ?auto_24273 ?auto_24275 ) ( LOCATION ?auto_24269 ) ( CITY ?auto_24277 ) ( AT ?auto_24264 ?auto_24269 ) ( IN-CITY ?auto_24269 ?auto_24277 ) ( IN-CITY ?auto_24272 ?auto_24277 ) ( DIFFERENT ?auto_24272 ?auto_24269 ) ( AT ?auto_24262 ?auto_24275 ) ( LOCATION ?auto_24287 ) ( CITY ?auto_24286 ) ( AT ?auto_24278 ?auto_24287 ) ( IN-CITY ?auto_24287 ?auto_24286 ) ( IN-CITY ?auto_24275 ?auto_24286 ) ( DIFFERENT ?auto_24275 ?auto_24287 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24278 ?auto_24287 ?auto_24275 ?auto_24286 )
      ( DELIVER-PKG ?auto_24262 ?auto_24263 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24289
      ?auto_24290
    )
    :vars
    (
      ?auto_24312
      ?auto_24299
      ?auto_24291
      ?auto_24294
      ?auto_24302
      ?auto_24293
      ?auto_24307
      ?auto_24297
      ?auto_24295
      ?auto_24292
      ?auto_24298
      ?auto_24305
      ?auto_24309
      ?auto_24304
      ?auto_24300
      ?auto_24310
      ?auto_24296
      ?auto_24303
      ?auto_24306
      ?auto_24308
      ?auto_24314
    )
    :precondition
    ( and ( OBJ ?auto_24289 ) ( LOCATION ?auto_24290 ) ( TRUCK ?auto_24312 ) ( LOCATION ?auto_24299 ) ( CITY ?auto_24291 ) ( IN-CITY ?auto_24299 ?auto_24291 ) ( IN-CITY ?auto_24290 ?auto_24291 ) ( DIFFERENT ?auto_24290 ?auto_24299 ) ( LOCATION ?auto_24294 ) ( CITY ?auto_24302 ) ( IN-CITY ?auto_24294 ?auto_24302 ) ( IN-CITY ?auto_24299 ?auto_24302 ) ( DIFFERENT ?auto_24299 ?auto_24294 ) ( LOCATION ?auto_24293 ) ( CITY ?auto_24307 ) ( IN-CITY ?auto_24293 ?auto_24307 ) ( IN-CITY ?auto_24294 ?auto_24307 ) ( DIFFERENT ?auto_24294 ?auto_24293 ) ( LOCATION ?auto_24297 ) ( CITY ?auto_24295 ) ( IN-CITY ?auto_24297 ?auto_24295 ) ( IN-CITY ?auto_24293 ?auto_24295 ) ( DIFFERENT ?auto_24293 ?auto_24297 ) ( AIRPLANE ?auto_24292 ) ( AIRPORT ?auto_24298 ) ( AIRPORT ?auto_24297 ) ( DIFFERENT ?auto_24297 ?auto_24298 ) ( LOCATION ?auto_24298 ) ( AIRPORT ?auto_24305 ) ( DIFFERENT ?auto_24298 ?auto_24305 ) ( AIRPORT ?auto_24309 ) ( DIFFERENT ?auto_24305 ?auto_24309 ) ( TRUCK ?auto_24304 ) ( LOCATION ?auto_24300 ) ( CITY ?auto_24310 ) ( IN-CITY ?auto_24300 ?auto_24310 ) ( IN-CITY ?auto_24298 ?auto_24310 ) ( DIFFERENT ?auto_24298 ?auto_24300 ) ( LOCATION ?auto_24296 ) ( CITY ?auto_24303 ) ( AT ?auto_24312 ?auto_24296 ) ( IN-CITY ?auto_24296 ?auto_24303 ) ( IN-CITY ?auto_24297 ?auto_24303 ) ( DIFFERENT ?auto_24297 ?auto_24296 ) ( AT ?auto_24289 ?auto_24300 ) ( LOCATION ?auto_24306 ) ( CITY ?auto_24308 ) ( AT ?auto_24304 ?auto_24306 ) ( IN-CITY ?auto_24306 ?auto_24308 ) ( IN-CITY ?auto_24300 ?auto_24308 ) ( DIFFERENT ?auto_24300 ?auto_24306 ) ( AIRPORT ?auto_24314 ) ( AT ?auto_24292 ?auto_24314 ) ( DIFFERENT ?auto_24309 ?auto_24314 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24292 ?auto_24314 ?auto_24309 )
      ( DELIVER-PKG ?auto_24289 ?auto_24290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24316
      ?auto_24317
    )
    :vars
    (
      ?auto_24320
      ?auto_24336
      ?auto_24325
      ?auto_24335
      ?auto_24322
      ?auto_24333
      ?auto_24328
      ?auto_24337
      ?auto_24334
      ?auto_24330
      ?auto_24338
      ?auto_24319
      ?auto_24332
      ?auto_24326
      ?auto_24340
      ?auto_24324
      ?auto_24339
      ?auto_24318
      ?auto_24329
      ?auto_24331
      ?auto_24327
      ?auto_24343
      ?auto_24342
    )
    :precondition
    ( and ( OBJ ?auto_24316 ) ( LOCATION ?auto_24317 ) ( TRUCK ?auto_24320 ) ( LOCATION ?auto_24336 ) ( CITY ?auto_24325 ) ( IN-CITY ?auto_24336 ?auto_24325 ) ( IN-CITY ?auto_24317 ?auto_24325 ) ( DIFFERENT ?auto_24317 ?auto_24336 ) ( LOCATION ?auto_24335 ) ( CITY ?auto_24322 ) ( IN-CITY ?auto_24335 ?auto_24322 ) ( IN-CITY ?auto_24336 ?auto_24322 ) ( DIFFERENT ?auto_24336 ?auto_24335 ) ( LOCATION ?auto_24333 ) ( CITY ?auto_24328 ) ( IN-CITY ?auto_24333 ?auto_24328 ) ( IN-CITY ?auto_24335 ?auto_24328 ) ( DIFFERENT ?auto_24335 ?auto_24333 ) ( LOCATION ?auto_24337 ) ( CITY ?auto_24334 ) ( IN-CITY ?auto_24337 ?auto_24334 ) ( IN-CITY ?auto_24333 ?auto_24334 ) ( DIFFERENT ?auto_24333 ?auto_24337 ) ( AIRPLANE ?auto_24330 ) ( AIRPORT ?auto_24338 ) ( AIRPORT ?auto_24337 ) ( DIFFERENT ?auto_24337 ?auto_24338 ) ( LOCATION ?auto_24338 ) ( AIRPORT ?auto_24319 ) ( DIFFERENT ?auto_24338 ?auto_24319 ) ( AIRPORT ?auto_24332 ) ( DIFFERENT ?auto_24319 ?auto_24332 ) ( TRUCK ?auto_24326 ) ( LOCATION ?auto_24340 ) ( CITY ?auto_24324 ) ( IN-CITY ?auto_24340 ?auto_24324 ) ( IN-CITY ?auto_24338 ?auto_24324 ) ( DIFFERENT ?auto_24338 ?auto_24340 ) ( LOCATION ?auto_24339 ) ( CITY ?auto_24318 ) ( IN-CITY ?auto_24339 ?auto_24318 ) ( IN-CITY ?auto_24337 ?auto_24318 ) ( DIFFERENT ?auto_24337 ?auto_24339 ) ( AT ?auto_24316 ?auto_24340 ) ( LOCATION ?auto_24329 ) ( CITY ?auto_24331 ) ( AT ?auto_24326 ?auto_24329 ) ( IN-CITY ?auto_24329 ?auto_24331 ) ( IN-CITY ?auto_24340 ?auto_24331 ) ( DIFFERENT ?auto_24340 ?auto_24329 ) ( AIRPORT ?auto_24327 ) ( AT ?auto_24330 ?auto_24327 ) ( DIFFERENT ?auto_24332 ?auto_24327 ) ( LOCATION ?auto_24343 ) ( CITY ?auto_24342 ) ( AT ?auto_24320 ?auto_24343 ) ( IN-CITY ?auto_24343 ?auto_24342 ) ( IN-CITY ?auto_24339 ?auto_24342 ) ( DIFFERENT ?auto_24339 ?auto_24343 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24320 ?auto_24343 ?auto_24339 ?auto_24342 )
      ( DELIVER-PKG ?auto_24316 ?auto_24317 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25800
      ?auto_25801
    )
    :vars
    (
      ?auto_25803
      ?auto_25804
      ?auto_25809
      ?auto_25808
      ?auto_25807
      ?auto_25806
      ?auto_25812
    )
    :precondition
    ( and ( OBJ ?auto_25800 ) ( LOCATION ?auto_25801 ) ( AIRPLANE ?auto_25803 ) ( AIRPORT ?auto_25804 ) ( AIRPORT ?auto_25801 ) ( DIFFERENT ?auto_25801 ?auto_25804 ) ( AIRPORT ?auto_25809 ) ( DIFFERENT ?auto_25804 ?auto_25809 ) ( LOCATION ?auto_25809 ) ( TRUCK ?auto_25808 ) ( IN ?auto_25800 ?auto_25808 ) ( LOCATION ?auto_25807 ) ( CITY ?auto_25806 ) ( AT ?auto_25808 ?auto_25807 ) ( IN-CITY ?auto_25807 ?auto_25806 ) ( IN-CITY ?auto_25809 ?auto_25806 ) ( DIFFERENT ?auto_25809 ?auto_25807 ) ( AIRPORT ?auto_25812 ) ( AT ?auto_25803 ?auto_25812 ) ( DIFFERENT ?auto_25809 ?auto_25812 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25803 ?auto_25812 ?auto_25809 )
      ( DELIVER-PKG ?auto_25800 ?auto_25801 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25825
      ?auto_25826
    )
    :vars
    (
      ?auto_25835
      ?auto_25834
      ?auto_25827
      ?auto_25832
      ?auto_25830
      ?auto_25828
      ?auto_25831
      ?auto_25837
    )
    :precondition
    ( and ( OBJ ?auto_25825 ) ( LOCATION ?auto_25826 ) ( AIRPLANE ?auto_25835 ) ( AIRPORT ?auto_25834 ) ( AIRPORT ?auto_25826 ) ( DIFFERENT ?auto_25826 ?auto_25834 ) ( AIRPORT ?auto_25827 ) ( DIFFERENT ?auto_25834 ?auto_25827 ) ( LOCATION ?auto_25827 ) ( TRUCK ?auto_25832 ) ( LOCATION ?auto_25830 ) ( CITY ?auto_25828 ) ( AT ?auto_25832 ?auto_25830 ) ( IN-CITY ?auto_25830 ?auto_25828 ) ( IN-CITY ?auto_25827 ?auto_25828 ) ( DIFFERENT ?auto_25827 ?auto_25830 ) ( AIRPORT ?auto_25831 ) ( AT ?auto_25835 ?auto_25831 ) ( DIFFERENT ?auto_25827 ?auto_25831 ) ( LOCATION ?auto_25837 ) ( AT ?auto_25832 ?auto_25837 ) ( AT ?auto_25825 ?auto_25837 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25825 ?auto_25832 ?auto_25837 )
      ( DELIVER-PKG ?auto_25825 ?auto_25826 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25863
      ?auto_25864
    )
    :vars
    (
      ?auto_25868
      ?auto_25867
      ?auto_25866
      ?auto_25870
      ?auto_25874
      ?auto_25865
      ?auto_25869
      ?auto_25871
      ?auto_25876
    )
    :precondition
    ( and ( OBJ ?auto_25863 ) ( LOCATION ?auto_25864 ) ( AIRPLANE ?auto_25868 ) ( AIRPORT ?auto_25867 ) ( AIRPORT ?auto_25864 ) ( DIFFERENT ?auto_25864 ?auto_25867 ) ( AIRPORT ?auto_25866 ) ( DIFFERENT ?auto_25867 ?auto_25866 ) ( LOCATION ?auto_25866 ) ( TRUCK ?auto_25870 ) ( LOCATION ?auto_25874 ) ( CITY ?auto_25865 ) ( AT ?auto_25870 ?auto_25874 ) ( IN-CITY ?auto_25874 ?auto_25865 ) ( IN-CITY ?auto_25866 ?auto_25865 ) ( DIFFERENT ?auto_25866 ?auto_25874 ) ( AIRPORT ?auto_25869 ) ( AT ?auto_25868 ?auto_25869 ) ( DIFFERENT ?auto_25866 ?auto_25869 ) ( LOCATION ?auto_25871 ) ( AT ?auto_25870 ?auto_25871 ) ( TRUCK ?auto_25876 ) ( AT ?auto_25876 ?auto_25871 ) ( IN ?auto_25863 ?auto_25876 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_25863 ?auto_25871 )
      ( DELIVER-PKG ?auto_25863 ?auto_25864 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25891
      ?auto_25892
    )
    :vars
    (
      ?auto_25897
      ?auto_25896
      ?auto_25895
      ?auto_25893
      ?auto_25900
      ?auto_25903
      ?auto_25898
      ?auto_25906
      ?auto_25905
    )
    :precondition
    ( and ( OBJ ?auto_25891 ) ( LOCATION ?auto_25892 ) ( AIRPLANE ?auto_25897 ) ( AIRPORT ?auto_25896 ) ( AIRPORT ?auto_25892 ) ( DIFFERENT ?auto_25892 ?auto_25896 ) ( AIRPORT ?auto_25895 ) ( DIFFERENT ?auto_25896 ?auto_25895 ) ( LOCATION ?auto_25895 ) ( TRUCK ?auto_25893 ) ( LOCATION ?auto_25900 ) ( CITY ?auto_25903 ) ( IN-CITY ?auto_25900 ?auto_25903 ) ( IN-CITY ?auto_25895 ?auto_25903 ) ( DIFFERENT ?auto_25895 ?auto_25900 ) ( AIRPORT ?auto_25898 ) ( AT ?auto_25897 ?auto_25898 ) ( DIFFERENT ?auto_25895 ?auto_25898 ) ( IN ?auto_25891 ?auto_25893 ) ( LOCATION ?auto_25906 ) ( CITY ?auto_25905 ) ( AT ?auto_25893 ?auto_25906 ) ( IN-CITY ?auto_25906 ?auto_25905 ) ( IN-CITY ?auto_25900 ?auto_25905 ) ( DIFFERENT ?auto_25900 ?auto_25906 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25893 ?auto_25906 ?auto_25900 ?auto_25905 )
      ( DELIVER-PKG ?auto_25891 ?auto_25892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25921
      ?auto_25922
    )
    :vars
    (
      ?auto_25925
      ?auto_25924
      ?auto_25932
      ?auto_25923
      ?auto_25927
      ?auto_25929
      ?auto_25926
      ?auto_25933
      ?auto_25928
      ?auto_25935
    )
    :precondition
    ( and ( OBJ ?auto_25921 ) ( LOCATION ?auto_25922 ) ( AIRPLANE ?auto_25925 ) ( AIRPORT ?auto_25924 ) ( AIRPORT ?auto_25922 ) ( DIFFERENT ?auto_25922 ?auto_25924 ) ( AIRPORT ?auto_25932 ) ( DIFFERENT ?auto_25924 ?auto_25932 ) ( LOCATION ?auto_25932 ) ( TRUCK ?auto_25923 ) ( LOCATION ?auto_25927 ) ( CITY ?auto_25929 ) ( IN-CITY ?auto_25927 ?auto_25929 ) ( IN-CITY ?auto_25932 ?auto_25929 ) ( DIFFERENT ?auto_25932 ?auto_25927 ) ( AIRPORT ?auto_25926 ) ( AT ?auto_25925 ?auto_25926 ) ( DIFFERENT ?auto_25932 ?auto_25926 ) ( LOCATION ?auto_25933 ) ( CITY ?auto_25928 ) ( AT ?auto_25923 ?auto_25933 ) ( IN-CITY ?auto_25933 ?auto_25928 ) ( IN-CITY ?auto_25927 ?auto_25928 ) ( DIFFERENT ?auto_25927 ?auto_25933 ) ( LOCATION ?auto_25935 ) ( AT ?auto_25923 ?auto_25935 ) ( AT ?auto_25921 ?auto_25935 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_25921 ?auto_25923 ?auto_25935 )
      ( DELIVER-PKG ?auto_25921 ?auto_25922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25951
      ?auto_25952
    )
    :vars
    (
      ?auto_25954
      ?auto_25953
      ?auto_25956
      ?auto_25958
      ?auto_25962
      ?auto_25955
      ?auto_25959
      ?auto_25960
      ?auto_25963
      ?auto_25967
      ?auto_25966
    )
    :precondition
    ( and ( OBJ ?auto_25951 ) ( LOCATION ?auto_25952 ) ( AIRPLANE ?auto_25954 ) ( AIRPORT ?auto_25953 ) ( AIRPORT ?auto_25952 ) ( DIFFERENT ?auto_25952 ?auto_25953 ) ( AIRPORT ?auto_25956 ) ( DIFFERENT ?auto_25953 ?auto_25956 ) ( LOCATION ?auto_25956 ) ( TRUCK ?auto_25958 ) ( LOCATION ?auto_25962 ) ( CITY ?auto_25955 ) ( IN-CITY ?auto_25962 ?auto_25955 ) ( IN-CITY ?auto_25956 ?auto_25955 ) ( DIFFERENT ?auto_25956 ?auto_25962 ) ( AIRPORT ?auto_25959 ) ( AT ?auto_25954 ?auto_25959 ) ( DIFFERENT ?auto_25956 ?auto_25959 ) ( LOCATION ?auto_25960 ) ( CITY ?auto_25963 ) ( IN-CITY ?auto_25960 ?auto_25963 ) ( IN-CITY ?auto_25962 ?auto_25963 ) ( DIFFERENT ?auto_25962 ?auto_25960 ) ( AT ?auto_25951 ?auto_25960 ) ( LOCATION ?auto_25967 ) ( CITY ?auto_25966 ) ( AT ?auto_25958 ?auto_25967 ) ( IN-CITY ?auto_25967 ?auto_25966 ) ( IN-CITY ?auto_25960 ?auto_25966 ) ( DIFFERENT ?auto_25960 ?auto_25967 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25958 ?auto_25967 ?auto_25960 ?auto_25966 )
      ( DELIVER-PKG ?auto_25951 ?auto_25952 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25969
      ?auto_25970
    )
    :vars
    (
      ?auto_25977
      ?auto_25973
      ?auto_25978
      ?auto_25979
      ?auto_25975
      ?auto_25971
      ?auto_25976
      ?auto_25974
      ?auto_25972
      ?auto_25983
      ?auto_25982
      ?auto_25985
    )
    :precondition
    ( and ( OBJ ?auto_25969 ) ( LOCATION ?auto_25970 ) ( AIRPLANE ?auto_25977 ) ( AIRPORT ?auto_25973 ) ( AIRPORT ?auto_25970 ) ( DIFFERENT ?auto_25970 ?auto_25973 ) ( AIRPORT ?auto_25978 ) ( DIFFERENT ?auto_25973 ?auto_25978 ) ( LOCATION ?auto_25978 ) ( TRUCK ?auto_25979 ) ( LOCATION ?auto_25975 ) ( CITY ?auto_25971 ) ( IN-CITY ?auto_25975 ?auto_25971 ) ( IN-CITY ?auto_25978 ?auto_25971 ) ( DIFFERENT ?auto_25978 ?auto_25975 ) ( AIRPORT ?auto_25976 ) ( DIFFERENT ?auto_25978 ?auto_25976 ) ( LOCATION ?auto_25974 ) ( CITY ?auto_25972 ) ( IN-CITY ?auto_25974 ?auto_25972 ) ( IN-CITY ?auto_25975 ?auto_25972 ) ( DIFFERENT ?auto_25975 ?auto_25974 ) ( AT ?auto_25969 ?auto_25974 ) ( LOCATION ?auto_25983 ) ( CITY ?auto_25982 ) ( AT ?auto_25979 ?auto_25983 ) ( IN-CITY ?auto_25983 ?auto_25982 ) ( IN-CITY ?auto_25974 ?auto_25982 ) ( DIFFERENT ?auto_25974 ?auto_25983 ) ( AIRPORT ?auto_25985 ) ( AT ?auto_25977 ?auto_25985 ) ( DIFFERENT ?auto_25976 ?auto_25985 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25977 ?auto_25985 ?auto_25976 )
      ( DELIVER-PKG ?auto_25969 ?auto_25970 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26325
      ?auto_26326
    )
    :vars
    (
      ?auto_26335
      ?auto_26328
      ?auto_26329
      ?auto_26327
      ?auto_26330
      ?auto_26332
      ?auto_26331
      ?auto_26337
    )
    :precondition
    ( and ( OBJ ?auto_26325 ) ( LOCATION ?auto_26326 ) ( TRUCK ?auto_26335 ) ( LOCATION ?auto_26328 ) ( CITY ?auto_26329 ) ( AT ?auto_26335 ?auto_26328 ) ( IN-CITY ?auto_26328 ?auto_26329 ) ( IN-CITY ?auto_26326 ?auto_26329 ) ( DIFFERENT ?auto_26326 ?auto_26328 ) ( LOCATION ?auto_26327 ) ( AT ?auto_26335 ?auto_26327 ) ( AIRPLANE ?auto_26330 ) ( AIRPORT ?auto_26332 ) ( AIRPORT ?auto_26327 ) ( DIFFERENT ?auto_26327 ?auto_26332 ) ( AIRPORT ?auto_26331 ) ( AT ?auto_26330 ?auto_26331 ) ( DIFFERENT ?auto_26332 ?auto_26331 ) ( LOCATION ?auto_26337 ) ( AT ?auto_26325 ?auto_26337 ) ( AT ?auto_26330 ?auto_26337 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_26325 ?auto_26330 ?auto_26337 )
      ( DELIVER-PKG ?auto_26325 ?auto_26326 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26339
      ?auto_26340
    )
    :vars
    (
      ?auto_26348
      ?auto_26349
      ?auto_26350
      ?auto_26343
      ?auto_26342
      ?auto_26344
      ?auto_26347
      ?auto_26346
      ?auto_26351
    )
    :precondition
    ( and ( OBJ ?auto_26339 ) ( LOCATION ?auto_26340 ) ( TRUCK ?auto_26348 ) ( LOCATION ?auto_26349 ) ( CITY ?auto_26350 ) ( AT ?auto_26348 ?auto_26349 ) ( IN-CITY ?auto_26349 ?auto_26350 ) ( IN-CITY ?auto_26340 ?auto_26350 ) ( DIFFERENT ?auto_26340 ?auto_26349 ) ( LOCATION ?auto_26343 ) ( AT ?auto_26348 ?auto_26343 ) ( AIRPLANE ?auto_26342 ) ( AIRPORT ?auto_26344 ) ( AIRPORT ?auto_26343 ) ( DIFFERENT ?auto_26343 ?auto_26344 ) ( AIRPORT ?auto_26347 ) ( AT ?auto_26342 ?auto_26347 ) ( DIFFERENT ?auto_26344 ?auto_26347 ) ( LOCATION ?auto_26346 ) ( AT ?auto_26342 ?auto_26346 ) ( TRUCK ?auto_26351 ) ( AT ?auto_26351 ?auto_26346 ) ( IN ?auto_26339 ?auto_26351 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_26339 ?auto_26346 )
      ( DELIVER-PKG ?auto_26339 ?auto_26340 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26367
      ?auto_26368
    )
    :vars
    (
      ?auto_26371
      ?auto_26377
      ?auto_26375
      ?auto_26378
      ?auto_26376
      ?auto_26379
      ?auto_26370
      ?auto_26369
      ?auto_26372
      ?auto_26382
      ?auto_26381
    )
    :precondition
    ( and ( OBJ ?auto_26367 ) ( LOCATION ?auto_26368 ) ( TRUCK ?auto_26371 ) ( LOCATION ?auto_26377 ) ( CITY ?auto_26375 ) ( AT ?auto_26371 ?auto_26377 ) ( IN-CITY ?auto_26377 ?auto_26375 ) ( IN-CITY ?auto_26368 ?auto_26375 ) ( DIFFERENT ?auto_26368 ?auto_26377 ) ( LOCATION ?auto_26378 ) ( AT ?auto_26371 ?auto_26378 ) ( AIRPLANE ?auto_26376 ) ( AIRPORT ?auto_26379 ) ( AIRPORT ?auto_26378 ) ( DIFFERENT ?auto_26378 ?auto_26379 ) ( AIRPORT ?auto_26370 ) ( AT ?auto_26376 ?auto_26370 ) ( DIFFERENT ?auto_26379 ?auto_26370 ) ( LOCATION ?auto_26369 ) ( AT ?auto_26376 ?auto_26369 ) ( TRUCK ?auto_26372 ) ( IN ?auto_26367 ?auto_26372 ) ( LOCATION ?auto_26382 ) ( CITY ?auto_26381 ) ( AT ?auto_26372 ?auto_26382 ) ( IN-CITY ?auto_26382 ?auto_26381 ) ( IN-CITY ?auto_26369 ?auto_26381 ) ( DIFFERENT ?auto_26369 ?auto_26382 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26372 ?auto_26382 ?auto_26369 ?auto_26381 )
      ( DELIVER-PKG ?auto_26367 ?auto_26368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26384
      ?auto_26385
    )
    :vars
    (
      ?auto_26393
      ?auto_26390
      ?auto_26392
      ?auto_26391
      ?auto_26386
      ?auto_26388
      ?auto_26396
      ?auto_26389
      ?auto_26398
      ?auto_26397
      ?auto_26400
    )
    :precondition
    ( and ( OBJ ?auto_26384 ) ( LOCATION ?auto_26385 ) ( TRUCK ?auto_26393 ) ( LOCATION ?auto_26390 ) ( CITY ?auto_26392 ) ( AT ?auto_26393 ?auto_26390 ) ( IN-CITY ?auto_26390 ?auto_26392 ) ( IN-CITY ?auto_26385 ?auto_26392 ) ( DIFFERENT ?auto_26385 ?auto_26390 ) ( LOCATION ?auto_26391 ) ( AT ?auto_26393 ?auto_26391 ) ( AIRPLANE ?auto_26386 ) ( AIRPORT ?auto_26388 ) ( AIRPORT ?auto_26391 ) ( DIFFERENT ?auto_26391 ?auto_26388 ) ( AIRPORT ?auto_26396 ) ( DIFFERENT ?auto_26388 ?auto_26396 ) ( LOCATION ?auto_26396 ) ( TRUCK ?auto_26389 ) ( IN ?auto_26384 ?auto_26389 ) ( LOCATION ?auto_26398 ) ( CITY ?auto_26397 ) ( AT ?auto_26389 ?auto_26398 ) ( IN-CITY ?auto_26398 ?auto_26397 ) ( IN-CITY ?auto_26396 ?auto_26397 ) ( DIFFERENT ?auto_26396 ?auto_26398 ) ( AIRPORT ?auto_26400 ) ( AT ?auto_26386 ?auto_26400 ) ( DIFFERENT ?auto_26396 ?auto_26400 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26386 ?auto_26400 ?auto_26396 )
      ( DELIVER-PKG ?auto_26384 ?auto_26385 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26402
      ?auto_26403
    )
    :vars
    (
      ?auto_26409
      ?auto_26405
      ?auto_26406
      ?auto_26404
      ?auto_26416
      ?auto_26414
      ?auto_26415
      ?auto_26408
      ?auto_26413
      ?auto_26410
      ?auto_26419
      ?auto_26418
    )
    :precondition
    ( and ( OBJ ?auto_26402 ) ( LOCATION ?auto_26403 ) ( TRUCK ?auto_26409 ) ( LOCATION ?auto_26405 ) ( CITY ?auto_26406 ) ( IN-CITY ?auto_26405 ?auto_26406 ) ( IN-CITY ?auto_26403 ?auto_26406 ) ( DIFFERENT ?auto_26403 ?auto_26405 ) ( AIRPLANE ?auto_26404 ) ( AIRPORT ?auto_26416 ) ( AIRPORT ?auto_26405 ) ( DIFFERENT ?auto_26405 ?auto_26416 ) ( AIRPORT ?auto_26414 ) ( DIFFERENT ?auto_26416 ?auto_26414 ) ( LOCATION ?auto_26414 ) ( TRUCK ?auto_26415 ) ( IN ?auto_26402 ?auto_26415 ) ( LOCATION ?auto_26408 ) ( CITY ?auto_26413 ) ( AT ?auto_26415 ?auto_26408 ) ( IN-CITY ?auto_26408 ?auto_26413 ) ( IN-CITY ?auto_26414 ?auto_26413 ) ( DIFFERENT ?auto_26414 ?auto_26408 ) ( AIRPORT ?auto_26410 ) ( AT ?auto_26404 ?auto_26410 ) ( DIFFERENT ?auto_26414 ?auto_26410 ) ( LOCATION ?auto_26419 ) ( CITY ?auto_26418 ) ( AT ?auto_26409 ?auto_26419 ) ( IN-CITY ?auto_26419 ?auto_26418 ) ( IN-CITY ?auto_26405 ?auto_26418 ) ( DIFFERENT ?auto_26405 ?auto_26419 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26409 ?auto_26419 ?auto_26405 ?auto_26418 )
      ( DELIVER-PKG ?auto_26402 ?auto_26403 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26421
      ?auto_26422
    )
    :vars
    (
      ?auto_26428
      ?auto_26434
      ?auto_26433
      ?auto_26430
      ?auto_26427
      ?auto_26435
      ?auto_26429
      ?auto_26436
      ?auto_26432
      ?auto_26424
      ?auto_26426
      ?auto_26425
      ?auto_26438
    )
    :precondition
    ( and ( OBJ ?auto_26421 ) ( LOCATION ?auto_26422 ) ( TRUCK ?auto_26428 ) ( LOCATION ?auto_26434 ) ( CITY ?auto_26433 ) ( IN-CITY ?auto_26434 ?auto_26433 ) ( IN-CITY ?auto_26422 ?auto_26433 ) ( DIFFERENT ?auto_26422 ?auto_26434 ) ( AIRPLANE ?auto_26430 ) ( AIRPORT ?auto_26427 ) ( AIRPORT ?auto_26434 ) ( DIFFERENT ?auto_26434 ?auto_26427 ) ( AIRPORT ?auto_26435 ) ( DIFFERENT ?auto_26427 ?auto_26435 ) ( LOCATION ?auto_26435 ) ( TRUCK ?auto_26429 ) ( LOCATION ?auto_26436 ) ( CITY ?auto_26432 ) ( AT ?auto_26429 ?auto_26436 ) ( IN-CITY ?auto_26436 ?auto_26432 ) ( IN-CITY ?auto_26435 ?auto_26432 ) ( DIFFERENT ?auto_26435 ?auto_26436 ) ( AIRPORT ?auto_26424 ) ( AT ?auto_26430 ?auto_26424 ) ( DIFFERENT ?auto_26435 ?auto_26424 ) ( LOCATION ?auto_26426 ) ( CITY ?auto_26425 ) ( AT ?auto_26428 ?auto_26426 ) ( IN-CITY ?auto_26426 ?auto_26425 ) ( IN-CITY ?auto_26434 ?auto_26425 ) ( DIFFERENT ?auto_26434 ?auto_26426 ) ( LOCATION ?auto_26438 ) ( AT ?auto_26429 ?auto_26438 ) ( AT ?auto_26421 ?auto_26438 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26421 ?auto_26429 ?auto_26438 )
      ( DELIVER-PKG ?auto_26421 ?auto_26422 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26457
      ?auto_26458
    )
    :vars
    (
      ?auto_26472
      ?auto_26470
      ?auto_26468
      ?auto_26461
      ?auto_26473
      ?auto_26459
      ?auto_26465
      ?auto_26462
      ?auto_26460
      ?auto_26466
      ?auto_26469
      ?auto_26471
      ?auto_26467
      ?auto_26476
      ?auto_26475
    )
    :precondition
    ( and ( OBJ ?auto_26457 ) ( LOCATION ?auto_26458 ) ( TRUCK ?auto_26472 ) ( LOCATION ?auto_26470 ) ( CITY ?auto_26468 ) ( IN-CITY ?auto_26470 ?auto_26468 ) ( IN-CITY ?auto_26458 ?auto_26468 ) ( DIFFERENT ?auto_26458 ?auto_26470 ) ( AIRPLANE ?auto_26461 ) ( AIRPORT ?auto_26473 ) ( AIRPORT ?auto_26470 ) ( DIFFERENT ?auto_26470 ?auto_26473 ) ( AIRPORT ?auto_26459 ) ( DIFFERENT ?auto_26473 ?auto_26459 ) ( LOCATION ?auto_26459 ) ( TRUCK ?auto_26465 ) ( LOCATION ?auto_26462 ) ( CITY ?auto_26460 ) ( AT ?auto_26465 ?auto_26462 ) ( IN-CITY ?auto_26462 ?auto_26460 ) ( IN-CITY ?auto_26459 ?auto_26460 ) ( DIFFERENT ?auto_26459 ?auto_26462 ) ( AIRPORT ?auto_26466 ) ( AT ?auto_26461 ?auto_26466 ) ( DIFFERENT ?auto_26459 ?auto_26466 ) ( LOCATION ?auto_26469 ) ( CITY ?auto_26471 ) ( IN-CITY ?auto_26469 ?auto_26471 ) ( IN-CITY ?auto_26470 ?auto_26471 ) ( DIFFERENT ?auto_26470 ?auto_26469 ) ( LOCATION ?auto_26467 ) ( AT ?auto_26465 ?auto_26467 ) ( AT ?auto_26457 ?auto_26467 ) ( LOCATION ?auto_26476 ) ( CITY ?auto_26475 ) ( AT ?auto_26472 ?auto_26476 ) ( IN-CITY ?auto_26476 ?auto_26475 ) ( IN-CITY ?auto_26469 ?auto_26475 ) ( DIFFERENT ?auto_26469 ?auto_26476 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26472 ?auto_26476 ?auto_26469 ?auto_26475 )
      ( DELIVER-PKG ?auto_26457 ?auto_26458 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26478
      ?auto_26479
    )
    :vars
    (
      ?auto_26493
      ?auto_26491
      ?auto_26483
      ?auto_26480
      ?auto_26481
      ?auto_26489
      ?auto_26485
      ?auto_26484
      ?auto_26495
      ?auto_26486
      ?auto_26490
      ?auto_26492
      ?auto_26482
      ?auto_26496
      ?auto_26488
      ?auto_26498
    )
    :precondition
    ( and ( OBJ ?auto_26478 ) ( LOCATION ?auto_26479 ) ( TRUCK ?auto_26493 ) ( LOCATION ?auto_26491 ) ( CITY ?auto_26483 ) ( IN-CITY ?auto_26491 ?auto_26483 ) ( IN-CITY ?auto_26479 ?auto_26483 ) ( DIFFERENT ?auto_26479 ?auto_26491 ) ( AIRPLANE ?auto_26480 ) ( AIRPORT ?auto_26481 ) ( AIRPORT ?auto_26491 ) ( DIFFERENT ?auto_26491 ?auto_26481 ) ( AIRPORT ?auto_26489 ) ( DIFFERENT ?auto_26481 ?auto_26489 ) ( LOCATION ?auto_26489 ) ( TRUCK ?auto_26485 ) ( LOCATION ?auto_26484 ) ( CITY ?auto_26495 ) ( AT ?auto_26485 ?auto_26484 ) ( IN-CITY ?auto_26484 ?auto_26495 ) ( IN-CITY ?auto_26489 ?auto_26495 ) ( DIFFERENT ?auto_26489 ?auto_26484 ) ( AIRPORT ?auto_26486 ) ( AT ?auto_26480 ?auto_26486 ) ( DIFFERENT ?auto_26489 ?auto_26486 ) ( LOCATION ?auto_26490 ) ( CITY ?auto_26492 ) ( IN-CITY ?auto_26490 ?auto_26492 ) ( IN-CITY ?auto_26491 ?auto_26492 ) ( DIFFERENT ?auto_26491 ?auto_26490 ) ( LOCATION ?auto_26482 ) ( AT ?auto_26485 ?auto_26482 ) ( LOCATION ?auto_26496 ) ( CITY ?auto_26488 ) ( AT ?auto_26493 ?auto_26496 ) ( IN-CITY ?auto_26496 ?auto_26488 ) ( IN-CITY ?auto_26490 ?auto_26488 ) ( DIFFERENT ?auto_26490 ?auto_26496 ) ( TRUCK ?auto_26498 ) ( AT ?auto_26498 ?auto_26482 ) ( IN ?auto_26478 ?auto_26498 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_26478 ?auto_26482 )
      ( DELIVER-PKG ?auto_26478 ?auto_26479 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26520
      ?auto_26521
    )
    :vars
    (
      ?auto_26535
      ?auto_26523
      ?auto_26537
      ?auto_26528
      ?auto_26534
      ?auto_26529
      ?auto_26530
      ?auto_26536
      ?auto_26531
      ?auto_26526
      ?auto_26533
      ?auto_26524
      ?auto_26532
      ?auto_26527
      ?auto_26542
      ?auto_26541
    )
    :precondition
    ( and ( OBJ ?auto_26520 ) ( LOCATION ?auto_26521 ) ( TRUCK ?auto_26535 ) ( LOCATION ?auto_26523 ) ( CITY ?auto_26537 ) ( IN-CITY ?auto_26523 ?auto_26537 ) ( IN-CITY ?auto_26521 ?auto_26537 ) ( DIFFERENT ?auto_26521 ?auto_26523 ) ( AIRPLANE ?auto_26528 ) ( AIRPORT ?auto_26534 ) ( AIRPORT ?auto_26523 ) ( DIFFERENT ?auto_26523 ?auto_26534 ) ( AIRPORT ?auto_26529 ) ( DIFFERENT ?auto_26534 ?auto_26529 ) ( LOCATION ?auto_26529 ) ( TRUCK ?auto_26530 ) ( LOCATION ?auto_26536 ) ( CITY ?auto_26531 ) ( IN-CITY ?auto_26536 ?auto_26531 ) ( IN-CITY ?auto_26529 ?auto_26531 ) ( DIFFERENT ?auto_26529 ?auto_26536 ) ( AIRPORT ?auto_26526 ) ( AT ?auto_26528 ?auto_26526 ) ( DIFFERENT ?auto_26529 ?auto_26526 ) ( LOCATION ?auto_26533 ) ( CITY ?auto_26524 ) ( IN-CITY ?auto_26533 ?auto_26524 ) ( IN-CITY ?auto_26523 ?auto_26524 ) ( DIFFERENT ?auto_26523 ?auto_26533 ) ( LOCATION ?auto_26532 ) ( CITY ?auto_26527 ) ( AT ?auto_26535 ?auto_26532 ) ( IN-CITY ?auto_26532 ?auto_26527 ) ( IN-CITY ?auto_26533 ?auto_26527 ) ( DIFFERENT ?auto_26533 ?auto_26532 ) ( IN ?auto_26520 ?auto_26530 ) ( LOCATION ?auto_26542 ) ( CITY ?auto_26541 ) ( AT ?auto_26530 ?auto_26542 ) ( IN-CITY ?auto_26542 ?auto_26541 ) ( IN-CITY ?auto_26536 ?auto_26541 ) ( DIFFERENT ?auto_26536 ?auto_26542 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26530 ?auto_26542 ?auto_26536 ?auto_26541 )
      ( DELIVER-PKG ?auto_26520 ?auto_26521 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26544
      ?auto_26545
    )
    :vars
    (
      ?auto_26558
      ?auto_26549
      ?auto_26560
      ?auto_26551
      ?auto_26557
      ?auto_26552
      ?auto_26553
      ?auto_26559
      ?auto_26554
      ?auto_26561
      ?auto_26556
      ?auto_26548
      ?auto_26555
      ?auto_26550
      ?auto_26563
      ?auto_26546
      ?auto_26566
      ?auto_26565
    )
    :precondition
    ( and ( OBJ ?auto_26544 ) ( LOCATION ?auto_26545 ) ( TRUCK ?auto_26558 ) ( LOCATION ?auto_26549 ) ( CITY ?auto_26560 ) ( IN-CITY ?auto_26549 ?auto_26560 ) ( IN-CITY ?auto_26545 ?auto_26560 ) ( DIFFERENT ?auto_26545 ?auto_26549 ) ( AIRPLANE ?auto_26551 ) ( AIRPORT ?auto_26557 ) ( AIRPORT ?auto_26549 ) ( DIFFERENT ?auto_26549 ?auto_26557 ) ( AIRPORT ?auto_26552 ) ( DIFFERENT ?auto_26557 ?auto_26552 ) ( LOCATION ?auto_26552 ) ( TRUCK ?auto_26553 ) ( LOCATION ?auto_26559 ) ( CITY ?auto_26554 ) ( IN-CITY ?auto_26559 ?auto_26554 ) ( IN-CITY ?auto_26552 ?auto_26554 ) ( DIFFERENT ?auto_26552 ?auto_26559 ) ( AIRPORT ?auto_26561 ) ( AT ?auto_26551 ?auto_26561 ) ( DIFFERENT ?auto_26552 ?auto_26561 ) ( LOCATION ?auto_26556 ) ( CITY ?auto_26548 ) ( IN-CITY ?auto_26556 ?auto_26548 ) ( IN-CITY ?auto_26549 ?auto_26548 ) ( DIFFERENT ?auto_26549 ?auto_26556 ) ( LOCATION ?auto_26555 ) ( CITY ?auto_26550 ) ( IN-CITY ?auto_26555 ?auto_26550 ) ( IN-CITY ?auto_26556 ?auto_26550 ) ( DIFFERENT ?auto_26556 ?auto_26555 ) ( IN ?auto_26544 ?auto_26553 ) ( LOCATION ?auto_26563 ) ( CITY ?auto_26546 ) ( AT ?auto_26553 ?auto_26563 ) ( IN-CITY ?auto_26563 ?auto_26546 ) ( IN-CITY ?auto_26559 ?auto_26546 ) ( DIFFERENT ?auto_26559 ?auto_26563 ) ( LOCATION ?auto_26566 ) ( CITY ?auto_26565 ) ( AT ?auto_26558 ?auto_26566 ) ( IN-CITY ?auto_26566 ?auto_26565 ) ( IN-CITY ?auto_26555 ?auto_26565 ) ( DIFFERENT ?auto_26555 ?auto_26566 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26558 ?auto_26566 ?auto_26555 ?auto_26565 )
      ( DELIVER-PKG ?auto_26544 ?auto_26545 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26568
      ?auto_26569
    )
    :vars
    (
      ?auto_26583
      ?auto_26588
      ?auto_26572
      ?auto_26577
      ?auto_26582
      ?auto_26579
      ?auto_26571
      ?auto_26580
      ?auto_26574
      ?auto_26573
      ?auto_26578
      ?auto_26586
      ?auto_26575
      ?auto_26589
      ?auto_26585
      ?auto_26584
      ?auto_26581
      ?auto_26570
      ?auto_26591
    )
    :precondition
    ( and ( OBJ ?auto_26568 ) ( LOCATION ?auto_26569 ) ( TRUCK ?auto_26583 ) ( LOCATION ?auto_26588 ) ( CITY ?auto_26572 ) ( IN-CITY ?auto_26588 ?auto_26572 ) ( IN-CITY ?auto_26569 ?auto_26572 ) ( DIFFERENT ?auto_26569 ?auto_26588 ) ( AIRPLANE ?auto_26577 ) ( AIRPORT ?auto_26582 ) ( AIRPORT ?auto_26588 ) ( DIFFERENT ?auto_26588 ?auto_26582 ) ( AIRPORT ?auto_26579 ) ( DIFFERENT ?auto_26582 ?auto_26579 ) ( LOCATION ?auto_26579 ) ( TRUCK ?auto_26571 ) ( LOCATION ?auto_26580 ) ( CITY ?auto_26574 ) ( IN-CITY ?auto_26580 ?auto_26574 ) ( IN-CITY ?auto_26579 ?auto_26574 ) ( DIFFERENT ?auto_26579 ?auto_26580 ) ( AIRPORT ?auto_26573 ) ( AT ?auto_26577 ?auto_26573 ) ( DIFFERENT ?auto_26579 ?auto_26573 ) ( LOCATION ?auto_26578 ) ( CITY ?auto_26586 ) ( IN-CITY ?auto_26578 ?auto_26586 ) ( IN-CITY ?auto_26588 ?auto_26586 ) ( DIFFERENT ?auto_26588 ?auto_26578 ) ( LOCATION ?auto_26575 ) ( CITY ?auto_26589 ) ( IN-CITY ?auto_26575 ?auto_26589 ) ( IN-CITY ?auto_26578 ?auto_26589 ) ( DIFFERENT ?auto_26578 ?auto_26575 ) ( LOCATION ?auto_26585 ) ( CITY ?auto_26584 ) ( AT ?auto_26571 ?auto_26585 ) ( IN-CITY ?auto_26585 ?auto_26584 ) ( IN-CITY ?auto_26580 ?auto_26584 ) ( DIFFERENT ?auto_26580 ?auto_26585 ) ( LOCATION ?auto_26581 ) ( CITY ?auto_26570 ) ( AT ?auto_26583 ?auto_26581 ) ( IN-CITY ?auto_26581 ?auto_26570 ) ( IN-CITY ?auto_26575 ?auto_26570 ) ( DIFFERENT ?auto_26575 ?auto_26581 ) ( LOCATION ?auto_26591 ) ( AT ?auto_26571 ?auto_26591 ) ( AT ?auto_26568 ?auto_26591 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_26568 ?auto_26571 ?auto_26591 )
      ( DELIVER-PKG ?auto_26568 ?auto_26569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26616
      ?auto_26617
    )
    :vars
    (
      ?auto_26629
      ?auto_26627
      ?auto_26631
      ?auto_26618
      ?auto_26621
      ?auto_26636
      ?auto_26635
      ?auto_26638
      ?auto_26630
      ?auto_26634
      ?auto_26620
      ?auto_26633
      ?auto_26637
      ?auto_26628
      ?auto_26619
      ?auto_26622
      ?auto_26625
      ?auto_26624
      ?auto_26641
      ?auto_26640
    )
    :precondition
    ( and ( OBJ ?auto_26616 ) ( LOCATION ?auto_26617 ) ( TRUCK ?auto_26629 ) ( LOCATION ?auto_26627 ) ( CITY ?auto_26631 ) ( IN-CITY ?auto_26627 ?auto_26631 ) ( IN-CITY ?auto_26617 ?auto_26631 ) ( DIFFERENT ?auto_26617 ?auto_26627 ) ( AIRPLANE ?auto_26618 ) ( AIRPORT ?auto_26621 ) ( AIRPORT ?auto_26627 ) ( DIFFERENT ?auto_26627 ?auto_26621 ) ( AIRPORT ?auto_26636 ) ( DIFFERENT ?auto_26621 ?auto_26636 ) ( LOCATION ?auto_26636 ) ( TRUCK ?auto_26635 ) ( LOCATION ?auto_26638 ) ( CITY ?auto_26630 ) ( IN-CITY ?auto_26638 ?auto_26630 ) ( IN-CITY ?auto_26636 ?auto_26630 ) ( DIFFERENT ?auto_26636 ?auto_26638 ) ( AIRPORT ?auto_26634 ) ( AT ?auto_26618 ?auto_26634 ) ( DIFFERENT ?auto_26636 ?auto_26634 ) ( LOCATION ?auto_26620 ) ( CITY ?auto_26633 ) ( IN-CITY ?auto_26620 ?auto_26633 ) ( IN-CITY ?auto_26627 ?auto_26633 ) ( DIFFERENT ?auto_26627 ?auto_26620 ) ( LOCATION ?auto_26637 ) ( CITY ?auto_26628 ) ( IN-CITY ?auto_26637 ?auto_26628 ) ( IN-CITY ?auto_26620 ?auto_26628 ) ( DIFFERENT ?auto_26620 ?auto_26637 ) ( LOCATION ?auto_26619 ) ( CITY ?auto_26622 ) ( IN-CITY ?auto_26619 ?auto_26622 ) ( IN-CITY ?auto_26638 ?auto_26622 ) ( DIFFERENT ?auto_26638 ?auto_26619 ) ( LOCATION ?auto_26625 ) ( CITY ?auto_26624 ) ( AT ?auto_26629 ?auto_26625 ) ( IN-CITY ?auto_26625 ?auto_26624 ) ( IN-CITY ?auto_26637 ?auto_26624 ) ( DIFFERENT ?auto_26637 ?auto_26625 ) ( AT ?auto_26616 ?auto_26619 ) ( LOCATION ?auto_26641 ) ( CITY ?auto_26640 ) ( AT ?auto_26635 ?auto_26641 ) ( IN-CITY ?auto_26641 ?auto_26640 ) ( IN-CITY ?auto_26619 ?auto_26640 ) ( DIFFERENT ?auto_26619 ?auto_26641 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26635 ?auto_26641 ?auto_26619 ?auto_26640 )
      ( DELIVER-PKG ?auto_26616 ?auto_26617 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26643
      ?auto_26644
    )
    :vars
    (
      ?auto_26653
      ?auto_26651
      ?auto_26655
      ?auto_26645
      ?auto_26648
      ?auto_26662
      ?auto_26661
      ?auto_26664
      ?auto_26654
      ?auto_26659
      ?auto_26649
      ?auto_26657
      ?auto_26663
      ?auto_26652
      ?auto_26666
      ?auto_26647
      ?auto_26650
      ?auto_26646
      ?auto_26658
      ?auto_26660
      ?auto_26668
    )
    :precondition
    ( and ( OBJ ?auto_26643 ) ( LOCATION ?auto_26644 ) ( TRUCK ?auto_26653 ) ( LOCATION ?auto_26651 ) ( CITY ?auto_26655 ) ( IN-CITY ?auto_26651 ?auto_26655 ) ( IN-CITY ?auto_26644 ?auto_26655 ) ( DIFFERENT ?auto_26644 ?auto_26651 ) ( AIRPLANE ?auto_26645 ) ( AIRPORT ?auto_26648 ) ( AIRPORT ?auto_26651 ) ( DIFFERENT ?auto_26651 ?auto_26648 ) ( AIRPORT ?auto_26662 ) ( DIFFERENT ?auto_26648 ?auto_26662 ) ( LOCATION ?auto_26662 ) ( TRUCK ?auto_26661 ) ( LOCATION ?auto_26664 ) ( CITY ?auto_26654 ) ( IN-CITY ?auto_26664 ?auto_26654 ) ( IN-CITY ?auto_26662 ?auto_26654 ) ( DIFFERENT ?auto_26662 ?auto_26664 ) ( AIRPORT ?auto_26659 ) ( DIFFERENT ?auto_26662 ?auto_26659 ) ( LOCATION ?auto_26649 ) ( CITY ?auto_26657 ) ( IN-CITY ?auto_26649 ?auto_26657 ) ( IN-CITY ?auto_26651 ?auto_26657 ) ( DIFFERENT ?auto_26651 ?auto_26649 ) ( LOCATION ?auto_26663 ) ( CITY ?auto_26652 ) ( IN-CITY ?auto_26663 ?auto_26652 ) ( IN-CITY ?auto_26649 ?auto_26652 ) ( DIFFERENT ?auto_26649 ?auto_26663 ) ( LOCATION ?auto_26666 ) ( CITY ?auto_26647 ) ( IN-CITY ?auto_26666 ?auto_26647 ) ( IN-CITY ?auto_26664 ?auto_26647 ) ( DIFFERENT ?auto_26664 ?auto_26666 ) ( LOCATION ?auto_26650 ) ( CITY ?auto_26646 ) ( AT ?auto_26653 ?auto_26650 ) ( IN-CITY ?auto_26650 ?auto_26646 ) ( IN-CITY ?auto_26663 ?auto_26646 ) ( DIFFERENT ?auto_26663 ?auto_26650 ) ( AT ?auto_26643 ?auto_26666 ) ( LOCATION ?auto_26658 ) ( CITY ?auto_26660 ) ( AT ?auto_26661 ?auto_26658 ) ( IN-CITY ?auto_26658 ?auto_26660 ) ( IN-CITY ?auto_26666 ?auto_26660 ) ( DIFFERENT ?auto_26666 ?auto_26658 ) ( AIRPORT ?auto_26668 ) ( AT ?auto_26645 ?auto_26668 ) ( DIFFERENT ?auto_26659 ?auto_26668 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26645 ?auto_26668 ?auto_26659 )
      ( DELIVER-PKG ?auto_26643 ?auto_26644 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26670
      ?auto_26671
    )
    :vars
    (
      ?auto_26691
      ?auto_26692
      ?auto_26674
      ?auto_26672
      ?auto_26688
      ?auto_26686
      ?auto_26682
      ?auto_26678
      ?auto_26680
      ?auto_26675
      ?auto_26685
      ?auto_26673
      ?auto_26687
      ?auto_26694
      ?auto_26679
      ?auto_26689
      ?auto_26693
      ?auto_26690
      ?auto_26681
      ?auto_26684
      ?auto_26683
      ?auto_26697
      ?auto_26696
    )
    :precondition
    ( and ( OBJ ?auto_26670 ) ( LOCATION ?auto_26671 ) ( TRUCK ?auto_26691 ) ( LOCATION ?auto_26692 ) ( CITY ?auto_26674 ) ( IN-CITY ?auto_26692 ?auto_26674 ) ( IN-CITY ?auto_26671 ?auto_26674 ) ( DIFFERENT ?auto_26671 ?auto_26692 ) ( AIRPLANE ?auto_26672 ) ( AIRPORT ?auto_26688 ) ( AIRPORT ?auto_26692 ) ( DIFFERENT ?auto_26692 ?auto_26688 ) ( AIRPORT ?auto_26686 ) ( DIFFERENT ?auto_26688 ?auto_26686 ) ( LOCATION ?auto_26686 ) ( TRUCK ?auto_26682 ) ( LOCATION ?auto_26678 ) ( CITY ?auto_26680 ) ( IN-CITY ?auto_26678 ?auto_26680 ) ( IN-CITY ?auto_26686 ?auto_26680 ) ( DIFFERENT ?auto_26686 ?auto_26678 ) ( AIRPORT ?auto_26675 ) ( DIFFERENT ?auto_26686 ?auto_26675 ) ( LOCATION ?auto_26685 ) ( CITY ?auto_26673 ) ( IN-CITY ?auto_26685 ?auto_26673 ) ( IN-CITY ?auto_26692 ?auto_26673 ) ( DIFFERENT ?auto_26692 ?auto_26685 ) ( LOCATION ?auto_26687 ) ( CITY ?auto_26694 ) ( IN-CITY ?auto_26687 ?auto_26694 ) ( IN-CITY ?auto_26685 ?auto_26694 ) ( DIFFERENT ?auto_26685 ?auto_26687 ) ( LOCATION ?auto_26679 ) ( CITY ?auto_26689 ) ( IN-CITY ?auto_26679 ?auto_26689 ) ( IN-CITY ?auto_26678 ?auto_26689 ) ( DIFFERENT ?auto_26678 ?auto_26679 ) ( LOCATION ?auto_26693 ) ( CITY ?auto_26690 ) ( IN-CITY ?auto_26693 ?auto_26690 ) ( IN-CITY ?auto_26687 ?auto_26690 ) ( DIFFERENT ?auto_26687 ?auto_26693 ) ( AT ?auto_26670 ?auto_26679 ) ( LOCATION ?auto_26681 ) ( CITY ?auto_26684 ) ( AT ?auto_26682 ?auto_26681 ) ( IN-CITY ?auto_26681 ?auto_26684 ) ( IN-CITY ?auto_26679 ?auto_26684 ) ( DIFFERENT ?auto_26679 ?auto_26681 ) ( AIRPORT ?auto_26683 ) ( AT ?auto_26672 ?auto_26683 ) ( DIFFERENT ?auto_26675 ?auto_26683 ) ( LOCATION ?auto_26697 ) ( CITY ?auto_26696 ) ( AT ?auto_26691 ?auto_26697 ) ( IN-CITY ?auto_26697 ?auto_26696 ) ( IN-CITY ?auto_26693 ?auto_26696 ) ( DIFFERENT ?auto_26693 ?auto_26697 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26691 ?auto_26697 ?auto_26693 ?auto_26696 )
      ( DELIVER-PKG ?auto_26670 ?auto_26671 ) )
  )

)

