( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_175
      ?auto_176
    )
    :vars
    (
      ?auto_179
    )
    :precondition
    ( and ( OBJ ?auto_175 ) ( LOCATION ?auto_176 ) ( TRUCK ?auto_179 ) ( AT ?auto_179 ?auto_176 ) ( IN ?auto_175 ?auto_179 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_175 ?auto_179 ?auto_176 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_185
      ?auto_186
    )
    :vars
    (
      ?auto_189
      ?auto_192
      ?auto_191
    )
    :precondition
    ( and ( OBJ ?auto_185 ) ( LOCATION ?auto_186 ) ( TRUCK ?auto_189 ) ( IN ?auto_185 ?auto_189 ) ( LOCATION ?auto_192 ) ( CITY ?auto_191 ) ( AT ?auto_189 ?auto_192 ) ( IN-CITY ?auto_192 ?auto_191 ) ( IN-CITY ?auto_186 ?auto_191 ) ( DIFFERENT ?auto_186 ?auto_192 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_189 ?auto_192 ?auto_186 ?auto_191 )
      ( DELIVER-PKG ?auto_185 ?auto_186 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27796
      ?auto_27797
    )
    :vars
    (
      ?auto_27798
      ?auto_27800
      ?auto_27802
      ?auto_27803
      ?auto_27801
      ?auto_27806
    )
    :precondition
    ( and ( OBJ ?auto_27796 ) ( LOCATION ?auto_27797 ) ( TRUCK ?auto_27798 ) ( LOCATION ?auto_27800 ) ( CITY ?auto_27802 ) ( AT ?auto_27798 ?auto_27800 ) ( IN-CITY ?auto_27800 ?auto_27802 ) ( IN-CITY ?auto_27797 ?auto_27802 ) ( DIFFERENT ?auto_27797 ?auto_27800 ) ( LOCATION ?auto_27803 ) ( AT ?auto_27798 ?auto_27803 ) ( TRUCK ?auto_27801 ) ( AT ?auto_27801 ?auto_27803 ) ( LOCATION ?auto_27806 ) ( AT ?auto_27801 ?auto_27806 ) ( AT ?auto_27796 ?auto_27806 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27796 ?auto_27801 ?auto_27806 )
      ( DELIVER-PKG ?auto_27796 ?auto_27797 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_227
      ?auto_228
    )
    :vars
    (
      ?auto_233
      ?auto_234
      ?auto_230
      ?auto_237
      ?auto_236
    )
    :precondition
    ( and ( OBJ ?auto_227 ) ( LOCATION ?auto_228 ) ( TRUCK ?auto_233 ) ( LOCATION ?auto_234 ) ( CITY ?auto_230 ) ( IN-CITY ?auto_234 ?auto_230 ) ( IN-CITY ?auto_228 ?auto_230 ) ( DIFFERENT ?auto_228 ?auto_234 ) ( AT ?auto_227 ?auto_234 ) ( LOCATION ?auto_237 ) ( CITY ?auto_236 ) ( AT ?auto_233 ?auto_237 ) ( IN-CITY ?auto_237 ?auto_236 ) ( IN-CITY ?auto_234 ?auto_236 ) ( DIFFERENT ?auto_234 ?auto_237 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_233 ?auto_237 ?auto_234 ?auto_236 )
      ( DELIVER-PKG ?auto_227 ?auto_228 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_417
      ?auto_418
    )
    :vars
    (
      ?auto_422
      ?auto_421
      ?auto_420
      ?auto_425
      ?auto_423
      ?auto_428
      ?auto_427
    )
    :precondition
    ( and ( OBJ ?auto_417 ) ( LOCATION ?auto_418 ) ( TRUCK ?auto_422 ) ( LOCATION ?auto_421 ) ( CITY ?auto_420 ) ( IN-CITY ?auto_421 ?auto_420 ) ( IN-CITY ?auto_418 ?auto_420 ) ( DIFFERENT ?auto_418 ?auto_421 ) ( AT ?auto_417 ?auto_421 ) ( LOCATION ?auto_425 ) ( CITY ?auto_423 ) ( IN-CITY ?auto_425 ?auto_423 ) ( IN-CITY ?auto_421 ?auto_423 ) ( DIFFERENT ?auto_421 ?auto_425 ) ( LOCATION ?auto_428 ) ( CITY ?auto_427 ) ( AT ?auto_422 ?auto_428 ) ( IN-CITY ?auto_428 ?auto_427 ) ( IN-CITY ?auto_425 ?auto_427 ) ( DIFFERENT ?auto_425 ?auto_428 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_422 ?auto_428 ?auto_425 ?auto_427 )
      ( DELIVER-PKG ?auto_417 ?auto_418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_535
      ?auto_536
    )
    :vars
    (
      ?auto_539
    )
    :precondition
    ( and ( OBJ ?auto_535 ) ( LOCATION ?auto_536 ) ( AIRPLANE ?auto_539 ) ( IN ?auto_535 ?auto_539 ) ( AT ?auto_539 ?auto_536 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_535 ?auto_539 ?auto_536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_540
      ?auto_541
    )
    :vars
    (
      ?auto_544
      ?auto_546
    )
    :precondition
    ( and ( OBJ ?auto_540 ) ( LOCATION ?auto_541 ) ( AIRPLANE ?auto_544 ) ( IN ?auto_540 ?auto_544 ) ( AIRPORT ?auto_546 ) ( AIRPORT ?auto_541 ) ( AT ?auto_544 ?auto_546 ) ( DIFFERENT ?auto_541 ?auto_546 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_544 ?auto_546 ?auto_541 )
      ( DELIVER-PKG ?auto_540 ?auto_541 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33524
      ?auto_33525
    )
    :vars
    (
      ?auto_33535
      ?auto_33527
      ?auto_33526
      ?auto_33531
      ?auto_33528
      ?auto_33533
      ?auto_33534
      ?auto_33532
      ?auto_33537
    )
    :precondition
    ( and ( OBJ ?auto_33524 ) ( LOCATION ?auto_33525 ) ( AIRPLANE ?auto_33535 ) ( AIRPORT ?auto_33527 ) ( AIRPORT ?auto_33525 ) ( AT ?auto_33535 ?auto_33527 ) ( DIFFERENT ?auto_33525 ?auto_33527 ) ( LOCATION ?auto_33526 ) ( AT ?auto_33535 ?auto_33526 ) ( AIRPLANE ?auto_33531 ) ( AT ?auto_33531 ?auto_33526 ) ( LOCATION ?auto_33528 ) ( AT ?auto_33531 ?auto_33528 ) ( AIRPLANE ?auto_33533 ) ( AT ?auto_33533 ?auto_33528 ) ( LOCATION ?auto_33534 ) ( AT ?auto_33533 ?auto_33534 ) ( AIRPLANE ?auto_33532 ) ( AT ?auto_33532 ?auto_33534 ) ( LOCATION ?auto_33537 ) ( AT ?auto_33524 ?auto_33537 ) ( AT ?auto_33532 ?auto_33537 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_33524 ?auto_33532 ?auto_33537 )
      ( DELIVER-PKG ?auto_33524 ?auto_33525 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12813
      ?auto_12814
    )
    :vars
    (
      ?auto_12821
      ?auto_12818
      ?auto_12819
      ?auto_12815
      ?auto_12816
      ?auto_12824
    )
    :precondition
    ( and ( OBJ ?auto_12813 ) ( LOCATION ?auto_12814 ) ( AIRPLANE ?auto_12821 ) ( AIRPORT ?auto_12818 ) ( AIRPORT ?auto_12814 ) ( AT ?auto_12821 ?auto_12818 ) ( DIFFERENT ?auto_12814 ?auto_12818 ) ( LOCATION ?auto_12819 ) ( AT ?auto_12821 ?auto_12819 ) ( AIRPLANE ?auto_12815 ) ( AT ?auto_12815 ?auto_12819 ) ( LOCATION ?auto_12816 ) ( AT ?auto_12815 ?auto_12816 ) ( TRUCK ?auto_12824 ) ( AT ?auto_12824 ?auto_12816 ) ( IN ?auto_12813 ?auto_12824 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12813 ?auto_12816 )
      ( DELIVER-PKG ?auto_12813 ?auto_12814 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12825
      ?auto_12826
    )
    :vars
    (
      ?auto_12829
      ?auto_12828
      ?auto_12827
      ?auto_12833
      ?auto_12834
      ?auto_12831
      ?auto_12837
      ?auto_12836
    )
    :precondition
    ( and ( OBJ ?auto_12825 ) ( LOCATION ?auto_12826 ) ( AIRPLANE ?auto_12829 ) ( AIRPORT ?auto_12828 ) ( AIRPORT ?auto_12826 ) ( AT ?auto_12829 ?auto_12828 ) ( DIFFERENT ?auto_12826 ?auto_12828 ) ( LOCATION ?auto_12827 ) ( AT ?auto_12829 ?auto_12827 ) ( AIRPLANE ?auto_12833 ) ( AT ?auto_12833 ?auto_12827 ) ( LOCATION ?auto_12834 ) ( AT ?auto_12833 ?auto_12834 ) ( TRUCK ?auto_12831 ) ( IN ?auto_12825 ?auto_12831 ) ( LOCATION ?auto_12837 ) ( CITY ?auto_12836 ) ( AT ?auto_12831 ?auto_12837 ) ( IN-CITY ?auto_12837 ?auto_12836 ) ( IN-CITY ?auto_12834 ?auto_12836 ) ( DIFFERENT ?auto_12834 ?auto_12837 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12831 ?auto_12837 ?auto_12834 ?auto_12836 )
      ( DELIVER-PKG ?auto_12825 ?auto_12826 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12839
      ?auto_12840
    )
    :vars
    (
      ?auto_12845
      ?auto_12844
      ?auto_12841
      ?auto_12847
      ?auto_12848
      ?auto_12846
      ?auto_12850
      ?auto_12849
      ?auto_12852
    )
    :precondition
    ( and ( OBJ ?auto_12839 ) ( LOCATION ?auto_12840 ) ( AIRPLANE ?auto_12845 ) ( AIRPORT ?auto_12844 ) ( AIRPORT ?auto_12840 ) ( AT ?auto_12845 ?auto_12844 ) ( DIFFERENT ?auto_12840 ?auto_12844 ) ( LOCATION ?auto_12841 ) ( AT ?auto_12845 ?auto_12841 ) ( AIRPLANE ?auto_12847 ) ( AT ?auto_12847 ?auto_12841 ) ( LOCATION ?auto_12848 ) ( AT ?auto_12847 ?auto_12848 ) ( TRUCK ?auto_12846 ) ( LOCATION ?auto_12850 ) ( CITY ?auto_12849 ) ( AT ?auto_12846 ?auto_12850 ) ( IN-CITY ?auto_12850 ?auto_12849 ) ( IN-CITY ?auto_12848 ?auto_12849 ) ( DIFFERENT ?auto_12848 ?auto_12850 ) ( LOCATION ?auto_12852 ) ( AT ?auto_12846 ?auto_12852 ) ( AT ?auto_12839 ?auto_12852 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12839 ?auto_12846 ?auto_12852 )
      ( DELIVER-PKG ?auto_12839 ?auto_12840 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12867
      ?auto_12868
    )
    :vars
    (
      ?auto_12873
      ?auto_12872
      ?auto_12870
      ?auto_12875
      ?auto_12876
      ?auto_12874
      ?auto_12879
      ?auto_12877
      ?auto_12882
      ?auto_12881
    )
    :precondition
    ( and ( OBJ ?auto_12867 ) ( LOCATION ?auto_12868 ) ( AIRPLANE ?auto_12873 ) ( AIRPORT ?auto_12872 ) ( AIRPORT ?auto_12868 ) ( AT ?auto_12873 ?auto_12872 ) ( DIFFERENT ?auto_12868 ?auto_12872 ) ( LOCATION ?auto_12870 ) ( AT ?auto_12873 ?auto_12870 ) ( AIRPLANE ?auto_12875 ) ( AT ?auto_12875 ?auto_12870 ) ( LOCATION ?auto_12876 ) ( AT ?auto_12875 ?auto_12876 ) ( TRUCK ?auto_12874 ) ( LOCATION ?auto_12879 ) ( CITY ?auto_12877 ) ( IN-CITY ?auto_12879 ?auto_12877 ) ( IN-CITY ?auto_12876 ?auto_12877 ) ( DIFFERENT ?auto_12876 ?auto_12879 ) ( AT ?auto_12867 ?auto_12879 ) ( LOCATION ?auto_12882 ) ( CITY ?auto_12881 ) ( AT ?auto_12874 ?auto_12882 ) ( IN-CITY ?auto_12882 ?auto_12881 ) ( IN-CITY ?auto_12879 ?auto_12881 ) ( DIFFERENT ?auto_12879 ?auto_12882 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12874 ?auto_12882 ?auto_12879 ?auto_12881 )
      ( DELIVER-PKG ?auto_12867 ?auto_12868 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_660
      ?auto_661
    )
    :vars
    (
      ?auto_667
      ?auto_666
      ?auto_665
      ?auto_668
      ?auto_664
      ?auto_671
      ?auto_670
      ?auto_673
    )
    :precondition
    ( and ( OBJ ?auto_660 ) ( LOCATION ?auto_661 ) ( AIRPLANE ?auto_667 ) ( AIRPORT ?auto_666 ) ( AIRPORT ?auto_661 ) ( DIFFERENT ?auto_661 ?auto_666 ) ( LOCATION ?auto_666 ) ( TRUCK ?auto_665 ) ( LOCATION ?auto_668 ) ( CITY ?auto_664 ) ( IN-CITY ?auto_668 ?auto_664 ) ( IN-CITY ?auto_666 ?auto_664 ) ( DIFFERENT ?auto_666 ?auto_668 ) ( AT ?auto_660 ?auto_668 ) ( LOCATION ?auto_671 ) ( CITY ?auto_670 ) ( AT ?auto_665 ?auto_671 ) ( IN-CITY ?auto_671 ?auto_670 ) ( IN-CITY ?auto_668 ?auto_670 ) ( DIFFERENT ?auto_668 ?auto_671 ) ( AIRPORT ?auto_673 ) ( AT ?auto_667 ?auto_673 ) ( DIFFERENT ?auto_666 ?auto_673 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_667 ?auto_673 ?auto_666 )
      ( DELIVER-PKG ?auto_660 ?auto_661 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27808
      ?auto_27809
    )
    :vars
    (
      ?auto_27813
      ?auto_27810
      ?auto_27815
      ?auto_27811
      ?auto_27814
      ?auto_27816
      ?auto_27820
    )
    :precondition
    ( and ( OBJ ?auto_27808 ) ( LOCATION ?auto_27809 ) ( TRUCK ?auto_27813 ) ( LOCATION ?auto_27810 ) ( CITY ?auto_27815 ) ( AT ?auto_27813 ?auto_27810 ) ( IN-CITY ?auto_27810 ?auto_27815 ) ( IN-CITY ?auto_27809 ?auto_27815 ) ( DIFFERENT ?auto_27809 ?auto_27810 ) ( LOCATION ?auto_27811 ) ( AT ?auto_27813 ?auto_27811 ) ( TRUCK ?auto_27814 ) ( AT ?auto_27814 ?auto_27811 ) ( LOCATION ?auto_27816 ) ( AT ?auto_27814 ?auto_27816 ) ( AIRPLANE ?auto_27820 ) ( IN ?auto_27808 ?auto_27820 ) ( AT ?auto_27820 ?auto_27816 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_27808 ?auto_27816 )
      ( DELIVER-PKG ?auto_27808 ?auto_27809 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27821
      ?auto_27822
    )
    :vars
    (
      ?auto_27825
      ?auto_27829
      ?auto_27827
      ?auto_27830
      ?auto_27824
      ?auto_27831
      ?auto_27828
      ?auto_27833
    )
    :precondition
    ( and ( OBJ ?auto_27821 ) ( LOCATION ?auto_27822 ) ( TRUCK ?auto_27825 ) ( LOCATION ?auto_27829 ) ( CITY ?auto_27827 ) ( AT ?auto_27825 ?auto_27829 ) ( IN-CITY ?auto_27829 ?auto_27827 ) ( IN-CITY ?auto_27822 ?auto_27827 ) ( DIFFERENT ?auto_27822 ?auto_27829 ) ( LOCATION ?auto_27830 ) ( AT ?auto_27825 ?auto_27830 ) ( TRUCK ?auto_27824 ) ( AT ?auto_27824 ?auto_27830 ) ( LOCATION ?auto_27831 ) ( AT ?auto_27824 ?auto_27831 ) ( AIRPLANE ?auto_27828 ) ( IN ?auto_27821 ?auto_27828 ) ( AIRPORT ?auto_27833 ) ( AIRPORT ?auto_27831 ) ( AT ?auto_27828 ?auto_27833 ) ( DIFFERENT ?auto_27831 ?auto_27833 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_27828 ?auto_27833 ?auto_27831 )
      ( DELIVER-PKG ?auto_27821 ?auto_27822 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34975
      ?auto_34976
    )
    :vars
    (
      ?auto_34984
      ?auto_34977
      ?auto_34985
      ?auto_34987
      ?auto_34983
      ?auto_34989
      ?auto_34990
      ?auto_34979
      ?auto_34988
      ?auto_34981
      ?auto_34986
      ?auto_34982
      ?auto_34992
    )
    :precondition
    ( and ( OBJ ?auto_34975 ) ( LOCATION ?auto_34976 ) ( TRUCK ?auto_34984 ) ( LOCATION ?auto_34977 ) ( CITY ?auto_34985 ) ( AT ?auto_34984 ?auto_34977 ) ( IN-CITY ?auto_34977 ?auto_34985 ) ( IN-CITY ?auto_34976 ?auto_34985 ) ( DIFFERENT ?auto_34976 ?auto_34977 ) ( LOCATION ?auto_34987 ) ( AT ?auto_34984 ?auto_34987 ) ( AIRPLANE ?auto_34983 ) ( AIRPORT ?auto_34989 ) ( AIRPORT ?auto_34987 ) ( AT ?auto_34983 ?auto_34989 ) ( DIFFERENT ?auto_34987 ?auto_34989 ) ( LOCATION ?auto_34990 ) ( AT ?auto_34983 ?auto_34990 ) ( AIRPLANE ?auto_34979 ) ( AT ?auto_34979 ?auto_34990 ) ( LOCATION ?auto_34988 ) ( AT ?auto_34979 ?auto_34988 ) ( AIRPLANE ?auto_34981 ) ( AT ?auto_34981 ?auto_34988 ) ( LOCATION ?auto_34986 ) ( AT ?auto_34981 ?auto_34986 ) ( AIRPLANE ?auto_34982 ) ( AT ?auto_34982 ?auto_34986 ) ( LOCATION ?auto_34992 ) ( AT ?auto_34975 ?auto_34992 ) ( AT ?auto_34982 ?auto_34992 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_34975 ?auto_34982 ?auto_34992 )
      ( DELIVER-PKG ?auto_34975 ?auto_34976 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13049
      ?auto_13050
    )
    :vars
    (
      ?auto_13053
      ?auto_13061
      ?auto_13056
      ?auto_13055
      ?auto_13060
      ?auto_13059
      ?auto_13051
      ?auto_13052
      ?auto_13054
      ?auto_13064
    )
    :precondition
    ( and ( OBJ ?auto_13049 ) ( LOCATION ?auto_13050 ) ( TRUCK ?auto_13053 ) ( LOCATION ?auto_13061 ) ( CITY ?auto_13056 ) ( AT ?auto_13053 ?auto_13061 ) ( IN-CITY ?auto_13061 ?auto_13056 ) ( IN-CITY ?auto_13050 ?auto_13056 ) ( DIFFERENT ?auto_13050 ?auto_13061 ) ( LOCATION ?auto_13055 ) ( AT ?auto_13053 ?auto_13055 ) ( AIRPLANE ?auto_13060 ) ( AIRPORT ?auto_13059 ) ( AIRPORT ?auto_13055 ) ( AT ?auto_13060 ?auto_13059 ) ( DIFFERENT ?auto_13055 ?auto_13059 ) ( LOCATION ?auto_13051 ) ( AT ?auto_13060 ?auto_13051 ) ( AIRPLANE ?auto_13052 ) ( AT ?auto_13052 ?auto_13051 ) ( LOCATION ?auto_13054 ) ( AT ?auto_13052 ?auto_13054 ) ( TRUCK ?auto_13064 ) ( AT ?auto_13064 ?auto_13054 ) ( IN ?auto_13049 ?auto_13064 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13049 ?auto_13054 )
      ( DELIVER-PKG ?auto_13049 ?auto_13050 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13065
      ?auto_13066
    )
    :vars
    (
      ?auto_13076
      ?auto_13071
      ?auto_13078
      ?auto_13068
      ?auto_13069
      ?auto_13072
      ?auto_13070
      ?auto_13073
      ?auto_13077
      ?auto_13075
      ?auto_13081
      ?auto_13080
    )
    :precondition
    ( and ( OBJ ?auto_13065 ) ( LOCATION ?auto_13066 ) ( TRUCK ?auto_13076 ) ( LOCATION ?auto_13071 ) ( CITY ?auto_13078 ) ( AT ?auto_13076 ?auto_13071 ) ( IN-CITY ?auto_13071 ?auto_13078 ) ( IN-CITY ?auto_13066 ?auto_13078 ) ( DIFFERENT ?auto_13066 ?auto_13071 ) ( LOCATION ?auto_13068 ) ( AT ?auto_13076 ?auto_13068 ) ( AIRPLANE ?auto_13069 ) ( AIRPORT ?auto_13072 ) ( AIRPORT ?auto_13068 ) ( AT ?auto_13069 ?auto_13072 ) ( DIFFERENT ?auto_13068 ?auto_13072 ) ( LOCATION ?auto_13070 ) ( AT ?auto_13069 ?auto_13070 ) ( AIRPLANE ?auto_13073 ) ( AT ?auto_13073 ?auto_13070 ) ( LOCATION ?auto_13077 ) ( AT ?auto_13073 ?auto_13077 ) ( TRUCK ?auto_13075 ) ( IN ?auto_13065 ?auto_13075 ) ( LOCATION ?auto_13081 ) ( CITY ?auto_13080 ) ( AT ?auto_13075 ?auto_13081 ) ( IN-CITY ?auto_13081 ?auto_13080 ) ( IN-CITY ?auto_13077 ?auto_13080 ) ( DIFFERENT ?auto_13077 ?auto_13081 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13075 ?auto_13081 ?auto_13077 ?auto_13080 )
      ( DELIVER-PKG ?auto_13065 ?auto_13066 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13083
      ?auto_13084
    )
    :vars
    (
      ?auto_13090
      ?auto_13089
      ?auto_13086
      ?auto_13095
      ?auto_13098
      ?auto_13088
      ?auto_13097
      ?auto_13085
      ?auto_13087
      ?auto_13096
      ?auto_13093
      ?auto_13092
      ?auto_13100
    )
    :precondition
    ( and ( OBJ ?auto_13083 ) ( LOCATION ?auto_13084 ) ( TRUCK ?auto_13090 ) ( LOCATION ?auto_13089 ) ( CITY ?auto_13086 ) ( AT ?auto_13090 ?auto_13089 ) ( IN-CITY ?auto_13089 ?auto_13086 ) ( IN-CITY ?auto_13084 ?auto_13086 ) ( DIFFERENT ?auto_13084 ?auto_13089 ) ( LOCATION ?auto_13095 ) ( AT ?auto_13090 ?auto_13095 ) ( AIRPLANE ?auto_13098 ) ( AIRPORT ?auto_13088 ) ( AIRPORT ?auto_13095 ) ( AT ?auto_13098 ?auto_13088 ) ( DIFFERENT ?auto_13095 ?auto_13088 ) ( LOCATION ?auto_13097 ) ( AT ?auto_13098 ?auto_13097 ) ( AIRPLANE ?auto_13085 ) ( AT ?auto_13085 ?auto_13097 ) ( LOCATION ?auto_13087 ) ( AT ?auto_13085 ?auto_13087 ) ( TRUCK ?auto_13096 ) ( LOCATION ?auto_13093 ) ( CITY ?auto_13092 ) ( AT ?auto_13096 ?auto_13093 ) ( IN-CITY ?auto_13093 ?auto_13092 ) ( IN-CITY ?auto_13087 ?auto_13092 ) ( DIFFERENT ?auto_13087 ?auto_13093 ) ( LOCATION ?auto_13100 ) ( AT ?auto_13096 ?auto_13100 ) ( AT ?auto_13083 ?auto_13100 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13083 ?auto_13096 ?auto_13100 )
      ( DELIVER-PKG ?auto_13083 ?auto_13084 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1098
      ?auto_1099
    )
    :vars
    (
      ?auto_1105
      ?auto_1102
      ?auto_1103
      ?auto_1104
      ?auto_1107
      ?auto_1101
      ?auto_1100
      ?auto_1108
      ?auto_1109
      ?auto_1112
      ?auto_1115
      ?auto_1114
    )
    :precondition
    ( and ( OBJ ?auto_1098 ) ( LOCATION ?auto_1099 ) ( TRUCK ?auto_1105 ) ( LOCATION ?auto_1102 ) ( CITY ?auto_1103 ) ( IN-CITY ?auto_1102 ?auto_1103 ) ( IN-CITY ?auto_1099 ?auto_1103 ) ( DIFFERENT ?auto_1099 ?auto_1102 ) ( AIRPLANE ?auto_1104 ) ( AIRPORT ?auto_1107 ) ( AIRPORT ?auto_1102 ) ( AT ?auto_1104 ?auto_1107 ) ( DIFFERENT ?auto_1102 ?auto_1107 ) ( LOCATION ?auto_1101 ) ( AT ?auto_1104 ?auto_1101 ) ( TRUCK ?auto_1100 ) ( LOCATION ?auto_1108 ) ( CITY ?auto_1109 ) ( AT ?auto_1100 ?auto_1108 ) ( IN-CITY ?auto_1108 ?auto_1109 ) ( IN-CITY ?auto_1101 ?auto_1109 ) ( DIFFERENT ?auto_1101 ?auto_1108 ) ( LOCATION ?auto_1112 ) ( AT ?auto_1100 ?auto_1112 ) ( AT ?auto_1098 ?auto_1112 ) ( LOCATION ?auto_1115 ) ( CITY ?auto_1114 ) ( AT ?auto_1105 ?auto_1115 ) ( IN-CITY ?auto_1115 ?auto_1114 ) ( IN-CITY ?auto_1102 ?auto_1114 ) ( DIFFERENT ?auto_1102 ?auto_1115 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1105 ?auto_1115 ?auto_1102 ?auto_1114 )
      ( DELIVER-PKG ?auto_1098 ?auto_1099 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1117
      ?auto_1118
    )
    :vars
    (
      ?auto_1120
      ?auto_1124
      ?auto_1125
      ?auto_1126
      ?auto_1122
      ?auto_1130
      ?auto_1129
      ?auto_1121
      ?auto_1127
      ?auto_1132
      ?auto_1131
      ?auto_1135
      ?auto_1134
    )
    :precondition
    ( and ( OBJ ?auto_1117 ) ( LOCATION ?auto_1118 ) ( TRUCK ?auto_1120 ) ( LOCATION ?auto_1124 ) ( CITY ?auto_1125 ) ( IN-CITY ?auto_1124 ?auto_1125 ) ( IN-CITY ?auto_1118 ?auto_1125 ) ( DIFFERENT ?auto_1118 ?auto_1124 ) ( AIRPLANE ?auto_1126 ) ( AIRPORT ?auto_1122 ) ( AIRPORT ?auto_1124 ) ( AT ?auto_1126 ?auto_1122 ) ( DIFFERENT ?auto_1124 ?auto_1122 ) ( LOCATION ?auto_1130 ) ( AT ?auto_1126 ?auto_1130 ) ( TRUCK ?auto_1129 ) ( LOCATION ?auto_1121 ) ( CITY ?auto_1127 ) ( IN-CITY ?auto_1121 ?auto_1127 ) ( IN-CITY ?auto_1130 ?auto_1127 ) ( DIFFERENT ?auto_1130 ?auto_1121 ) ( AT ?auto_1117 ?auto_1121 ) ( LOCATION ?auto_1132 ) ( CITY ?auto_1131 ) ( AT ?auto_1120 ?auto_1132 ) ( IN-CITY ?auto_1132 ?auto_1131 ) ( IN-CITY ?auto_1124 ?auto_1131 ) ( DIFFERENT ?auto_1124 ?auto_1132 ) ( LOCATION ?auto_1135 ) ( CITY ?auto_1134 ) ( AT ?auto_1129 ?auto_1135 ) ( IN-CITY ?auto_1135 ?auto_1134 ) ( IN-CITY ?auto_1121 ?auto_1134 ) ( DIFFERENT ?auto_1121 ?auto_1135 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1129 ?auto_1135 ?auto_1121 ?auto_1134 )
      ( DELIVER-PKG ?auto_1117 ?auto_1118 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1137
      ?auto_1138
    )
    :vars
    (
      ?auto_1150
      ?auto_1146
      ?auto_1153
      ?auto_1142
      ?auto_1149
      ?auto_1147
      ?auto_1151
      ?auto_1144
      ?auto_1141
      ?auto_1140
      ?auto_1145
      ?auto_1148
      ?auto_1155
    )
    :precondition
    ( and ( OBJ ?auto_1137 ) ( LOCATION ?auto_1138 ) ( TRUCK ?auto_1150 ) ( LOCATION ?auto_1146 ) ( CITY ?auto_1153 ) ( IN-CITY ?auto_1146 ?auto_1153 ) ( IN-CITY ?auto_1138 ?auto_1153 ) ( DIFFERENT ?auto_1138 ?auto_1146 ) ( AIRPLANE ?auto_1142 ) ( AIRPORT ?auto_1149 ) ( AIRPORT ?auto_1146 ) ( DIFFERENT ?auto_1146 ?auto_1149 ) ( LOCATION ?auto_1149 ) ( TRUCK ?auto_1147 ) ( LOCATION ?auto_1151 ) ( CITY ?auto_1144 ) ( IN-CITY ?auto_1151 ?auto_1144 ) ( IN-CITY ?auto_1149 ?auto_1144 ) ( DIFFERENT ?auto_1149 ?auto_1151 ) ( AT ?auto_1137 ?auto_1151 ) ( LOCATION ?auto_1141 ) ( CITY ?auto_1140 ) ( AT ?auto_1150 ?auto_1141 ) ( IN-CITY ?auto_1141 ?auto_1140 ) ( IN-CITY ?auto_1146 ?auto_1140 ) ( DIFFERENT ?auto_1146 ?auto_1141 ) ( LOCATION ?auto_1145 ) ( CITY ?auto_1148 ) ( AT ?auto_1147 ?auto_1145 ) ( IN-CITY ?auto_1145 ?auto_1148 ) ( IN-CITY ?auto_1151 ?auto_1148 ) ( DIFFERENT ?auto_1151 ?auto_1145 ) ( AIRPORT ?auto_1155 ) ( AT ?auto_1142 ?auto_1155 ) ( DIFFERENT ?auto_1149 ?auto_1155 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1142 ?auto_1155 ?auto_1149 )
      ( DELIVER-PKG ?auto_1137 ?auto_1138 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1386
      ?auto_1387
    )
    :vars
    (
      ?auto_1388
      ?auto_1391
      ?auto_1394
    )
    :precondition
    ( and ( OBJ ?auto_1386 ) ( LOCATION ?auto_1387 ) ( AIRPLANE ?auto_1388 ) ( AIRPORT ?auto_1391 ) ( AIRPORT ?auto_1387 ) ( DIFFERENT ?auto_1387 ?auto_1391 ) ( LOCATION ?auto_1391 ) ( AT ?auto_1386 ?auto_1391 ) ( AIRPORT ?auto_1394 ) ( AT ?auto_1388 ?auto_1394 ) ( DIFFERENT ?auto_1391 ?auto_1394 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1388 ?auto_1394 ?auto_1391 )
      ( DELIVER-PKG ?auto_1386 ?auto_1387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1410
      ?auto_1411
    )
    :vars
    (
      ?auto_1414
      ?auto_1412
      ?auto_1415
      ?auto_1418
    )
    :precondition
    ( and ( OBJ ?auto_1410 ) ( LOCATION ?auto_1411 ) ( AIRPLANE ?auto_1414 ) ( AIRPORT ?auto_1412 ) ( AIRPORT ?auto_1411 ) ( DIFFERENT ?auto_1411 ?auto_1412 ) ( LOCATION ?auto_1412 ) ( AT ?auto_1410 ?auto_1412 ) ( AIRPORT ?auto_1415 ) ( DIFFERENT ?auto_1412 ?auto_1415 ) ( AIRPORT ?auto_1418 ) ( AT ?auto_1414 ?auto_1418 ) ( DIFFERENT ?auto_1415 ?auto_1418 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1414 ?auto_1418 ?auto_1415 )
      ( DELIVER-PKG ?auto_1410 ?auto_1411 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1420
      ?auto_1421
    )
    :vars
    (
      ?auto_1424
      ?auto_1423
      ?auto_1425
      ?auto_1427
      ?auto_1430
    )
    :precondition
    ( and ( OBJ ?auto_1420 ) ( LOCATION ?auto_1421 ) ( AIRPLANE ?auto_1424 ) ( AIRPORT ?auto_1423 ) ( AIRPORT ?auto_1421 ) ( DIFFERENT ?auto_1421 ?auto_1423 ) ( LOCATION ?auto_1423 ) ( AIRPORT ?auto_1425 ) ( DIFFERENT ?auto_1423 ?auto_1425 ) ( AIRPORT ?auto_1427 ) ( AT ?auto_1424 ?auto_1427 ) ( DIFFERENT ?auto_1425 ?auto_1427 ) ( TRUCK ?auto_1430 ) ( AT ?auto_1430 ?auto_1423 ) ( IN ?auto_1420 ?auto_1430 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1420 ?auto_1423 )
      ( DELIVER-PKG ?auto_1420 ?auto_1421 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1440
      ?auto_1441
    )
    :vars
    (
      ?auto_1442
      ?auto_1446
      ?auto_1448
      ?auto_1445
      ?auto_1444
      ?auto_1451
      ?auto_1450
    )
    :precondition
    ( and ( OBJ ?auto_1440 ) ( LOCATION ?auto_1441 ) ( AIRPLANE ?auto_1442 ) ( AIRPORT ?auto_1446 ) ( AIRPORT ?auto_1441 ) ( DIFFERENT ?auto_1441 ?auto_1446 ) ( LOCATION ?auto_1446 ) ( AIRPORT ?auto_1448 ) ( DIFFERENT ?auto_1446 ?auto_1448 ) ( AIRPORT ?auto_1445 ) ( AT ?auto_1442 ?auto_1445 ) ( DIFFERENT ?auto_1448 ?auto_1445 ) ( TRUCK ?auto_1444 ) ( IN ?auto_1440 ?auto_1444 ) ( LOCATION ?auto_1451 ) ( CITY ?auto_1450 ) ( AT ?auto_1444 ?auto_1451 ) ( IN-CITY ?auto_1451 ?auto_1450 ) ( IN-CITY ?auto_1446 ?auto_1450 ) ( DIFFERENT ?auto_1446 ?auto_1451 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1444 ?auto_1451 ?auto_1446 ?auto_1450 )
      ( DELIVER-PKG ?auto_1440 ?auto_1441 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1464
      ?auto_1465
    )
    :vars
    (
      ?auto_1473
      ?auto_1470
      ?auto_1466
      ?auto_1468
      ?auto_1467
      ?auto_1474
      ?auto_1469
      ?auto_1476
    )
    :precondition
    ( and ( OBJ ?auto_1464 ) ( LOCATION ?auto_1465 ) ( AIRPLANE ?auto_1473 ) ( AIRPORT ?auto_1470 ) ( AIRPORT ?auto_1465 ) ( DIFFERENT ?auto_1465 ?auto_1470 ) ( LOCATION ?auto_1470 ) ( AIRPORT ?auto_1466 ) ( DIFFERENT ?auto_1470 ?auto_1466 ) ( AIRPORT ?auto_1468 ) ( AT ?auto_1473 ?auto_1468 ) ( DIFFERENT ?auto_1466 ?auto_1468 ) ( TRUCK ?auto_1467 ) ( LOCATION ?auto_1474 ) ( CITY ?auto_1469 ) ( AT ?auto_1467 ?auto_1474 ) ( IN-CITY ?auto_1474 ?auto_1469 ) ( IN-CITY ?auto_1470 ?auto_1469 ) ( DIFFERENT ?auto_1470 ?auto_1474 ) ( LOCATION ?auto_1476 ) ( AT ?auto_1467 ?auto_1476 ) ( AT ?auto_1464 ?auto_1476 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1464 ?auto_1467 ?auto_1476 )
      ( DELIVER-PKG ?auto_1464 ?auto_1465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1490
      ?auto_1491
    )
    :vars
    (
      ?auto_1493
      ?auto_1492
      ?auto_1495
      ?auto_1500
      ?auto_1499
      ?auto_1498
      ?auto_1497
      ?auto_1504
      ?auto_1503
    )
    :precondition
    ( and ( OBJ ?auto_1490 ) ( LOCATION ?auto_1491 ) ( AIRPLANE ?auto_1493 ) ( AIRPORT ?auto_1492 ) ( AIRPORT ?auto_1491 ) ( DIFFERENT ?auto_1491 ?auto_1492 ) ( LOCATION ?auto_1492 ) ( AIRPORT ?auto_1495 ) ( DIFFERENT ?auto_1492 ?auto_1495 ) ( AIRPORT ?auto_1500 ) ( AT ?auto_1493 ?auto_1500 ) ( DIFFERENT ?auto_1495 ?auto_1500 ) ( TRUCK ?auto_1499 ) ( LOCATION ?auto_1498 ) ( CITY ?auto_1497 ) ( IN-CITY ?auto_1498 ?auto_1497 ) ( IN-CITY ?auto_1492 ?auto_1497 ) ( DIFFERENT ?auto_1492 ?auto_1498 ) ( AT ?auto_1490 ?auto_1498 ) ( LOCATION ?auto_1504 ) ( CITY ?auto_1503 ) ( AT ?auto_1499 ?auto_1504 ) ( IN-CITY ?auto_1504 ?auto_1503 ) ( IN-CITY ?auto_1498 ?auto_1503 ) ( DIFFERENT ?auto_1498 ?auto_1504 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1499 ?auto_1504 ?auto_1498 ?auto_1503 )
      ( DELIVER-PKG ?auto_1490 ?auto_1491 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1519
      ?auto_1520
    )
    :vars
    (
      ?auto_1529
      ?auto_1528
      ?auto_1522
      ?auto_1521
      ?auto_1523
      ?auto_1526
      ?auto_1525
      ?auto_1531
      ?auto_1524
      ?auto_1534
      ?auto_1533
    )
    :precondition
    ( and ( OBJ ?auto_1519 ) ( LOCATION ?auto_1520 ) ( AIRPLANE ?auto_1529 ) ( AIRPORT ?auto_1528 ) ( AIRPORT ?auto_1520 ) ( DIFFERENT ?auto_1520 ?auto_1528 ) ( LOCATION ?auto_1528 ) ( AIRPORT ?auto_1522 ) ( DIFFERENT ?auto_1528 ?auto_1522 ) ( AIRPORT ?auto_1521 ) ( AT ?auto_1529 ?auto_1521 ) ( DIFFERENT ?auto_1522 ?auto_1521 ) ( TRUCK ?auto_1523 ) ( LOCATION ?auto_1526 ) ( CITY ?auto_1525 ) ( IN-CITY ?auto_1526 ?auto_1525 ) ( IN-CITY ?auto_1528 ?auto_1525 ) ( DIFFERENT ?auto_1528 ?auto_1526 ) ( AT ?auto_1519 ?auto_1526 ) ( LOCATION ?auto_1531 ) ( CITY ?auto_1524 ) ( IN-CITY ?auto_1531 ?auto_1524 ) ( IN-CITY ?auto_1526 ?auto_1524 ) ( DIFFERENT ?auto_1526 ?auto_1531 ) ( LOCATION ?auto_1534 ) ( CITY ?auto_1533 ) ( AT ?auto_1523 ?auto_1534 ) ( IN-CITY ?auto_1534 ?auto_1533 ) ( IN-CITY ?auto_1531 ?auto_1533 ) ( DIFFERENT ?auto_1531 ?auto_1534 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1523 ?auto_1534 ?auto_1531 ?auto_1533 )
      ( DELIVER-PKG ?auto_1519 ?auto_1520 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1566
      ?auto_1567
    )
    :vars
    (
      ?auto_1570
      ?auto_1575
      ?auto_1569
      ?auto_1568
      ?auto_1576
      ?auto_1574
      ?auto_1573
      ?auto_1571
      ?auto_1577
      ?auto_1580
      ?auto_1572
      ?auto_1582
    )
    :precondition
    ( and ( OBJ ?auto_1566 ) ( LOCATION ?auto_1567 ) ( AIRPLANE ?auto_1570 ) ( AIRPORT ?auto_1575 ) ( AIRPORT ?auto_1567 ) ( DIFFERENT ?auto_1567 ?auto_1575 ) ( LOCATION ?auto_1575 ) ( AIRPORT ?auto_1569 ) ( DIFFERENT ?auto_1575 ?auto_1569 ) ( AIRPORT ?auto_1568 ) ( DIFFERENT ?auto_1569 ?auto_1568 ) ( TRUCK ?auto_1576 ) ( LOCATION ?auto_1574 ) ( CITY ?auto_1573 ) ( IN-CITY ?auto_1574 ?auto_1573 ) ( IN-CITY ?auto_1575 ?auto_1573 ) ( DIFFERENT ?auto_1575 ?auto_1574 ) ( AT ?auto_1566 ?auto_1574 ) ( LOCATION ?auto_1571 ) ( CITY ?auto_1577 ) ( IN-CITY ?auto_1571 ?auto_1577 ) ( IN-CITY ?auto_1574 ?auto_1577 ) ( DIFFERENT ?auto_1574 ?auto_1571 ) ( LOCATION ?auto_1580 ) ( CITY ?auto_1572 ) ( AT ?auto_1576 ?auto_1580 ) ( IN-CITY ?auto_1580 ?auto_1572 ) ( IN-CITY ?auto_1571 ?auto_1572 ) ( DIFFERENT ?auto_1571 ?auto_1580 ) ( AIRPORT ?auto_1582 ) ( AT ?auto_1570 ?auto_1582 ) ( DIFFERENT ?auto_1568 ?auto_1582 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1570 ?auto_1582 ?auto_1568 )
      ( DELIVER-PKG ?auto_1566 ?auto_1567 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1900
      ?auto_1901
    )
    :vars
    (
      ?auto_1904
      ?auto_1903
      ?auto_1905
      ?auto_1908
    )
    :precondition
    ( and ( OBJ ?auto_1900 ) ( LOCATION ?auto_1901 ) ( TRUCK ?auto_1904 ) ( AT ?auto_1904 ?auto_1901 ) ( LOCATION ?auto_1903 ) ( AT ?auto_1904 ?auto_1903 ) ( TRUCK ?auto_1905 ) ( AT ?auto_1905 ?auto_1903 ) ( LOCATION ?auto_1908 ) ( AT ?auto_1905 ?auto_1908 ) ( AT ?auto_1900 ?auto_1908 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1900 ?auto_1905 ?auto_1908 )
      ( DELIVER-PKG ?auto_1900 ?auto_1901 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1910
      ?auto_1911
    )
    :vars
    (
      ?auto_1912
      ?auto_1916
      ?auto_1917
      ?auto_1913
      ?auto_1919
    )
    :precondition
    ( and ( OBJ ?auto_1910 ) ( LOCATION ?auto_1911 ) ( TRUCK ?auto_1912 ) ( AT ?auto_1912 ?auto_1911 ) ( LOCATION ?auto_1916 ) ( AT ?auto_1912 ?auto_1916 ) ( TRUCK ?auto_1917 ) ( AT ?auto_1917 ?auto_1916 ) ( LOCATION ?auto_1913 ) ( AT ?auto_1917 ?auto_1913 ) ( AIRPLANE ?auto_1919 ) ( IN ?auto_1910 ?auto_1919 ) ( AT ?auto_1919 ?auto_1913 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1910 ?auto_1913 )
      ( DELIVER-PKG ?auto_1910 ?auto_1911 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1921
      ?auto_1922
    )
    :vars
    (
      ?auto_1923
      ?auto_1929
      ?auto_1926
      ?auto_1928
      ?auto_1924
      ?auto_1931
    )
    :precondition
    ( and ( OBJ ?auto_1921 ) ( LOCATION ?auto_1922 ) ( TRUCK ?auto_1923 ) ( AT ?auto_1923 ?auto_1922 ) ( LOCATION ?auto_1929 ) ( AT ?auto_1923 ?auto_1929 ) ( TRUCK ?auto_1926 ) ( AT ?auto_1926 ?auto_1929 ) ( LOCATION ?auto_1928 ) ( AT ?auto_1926 ?auto_1928 ) ( AIRPLANE ?auto_1924 ) ( IN ?auto_1921 ?auto_1924 ) ( AIRPORT ?auto_1931 ) ( AIRPORT ?auto_1928 ) ( AT ?auto_1924 ?auto_1931 ) ( DIFFERENT ?auto_1928 ?auto_1931 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1924 ?auto_1931 ?auto_1928 )
      ( DELIVER-PKG ?auto_1921 ?auto_1922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1943
      ?auto_1944
    )
    :vars
    (
      ?auto_1946
      ?auto_1950
      ?auto_1951
      ?auto_1947
      ?auto_1952
      ?auto_1945
      ?auto_1954
    )
    :precondition
    ( and ( OBJ ?auto_1943 ) ( LOCATION ?auto_1944 ) ( TRUCK ?auto_1946 ) ( AT ?auto_1946 ?auto_1944 ) ( LOCATION ?auto_1950 ) ( AT ?auto_1946 ?auto_1950 ) ( TRUCK ?auto_1951 ) ( AT ?auto_1951 ?auto_1950 ) ( LOCATION ?auto_1947 ) ( AT ?auto_1951 ?auto_1947 ) ( AIRPLANE ?auto_1952 ) ( AIRPORT ?auto_1945 ) ( AIRPORT ?auto_1947 ) ( AT ?auto_1952 ?auto_1945 ) ( DIFFERENT ?auto_1947 ?auto_1945 ) ( LOCATION ?auto_1954 ) ( AT ?auto_1943 ?auto_1954 ) ( AT ?auto_1952 ?auto_1954 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1943 ?auto_1952 ?auto_1954 )
      ( DELIVER-PKG ?auto_1943 ?auto_1944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1967
      ?auto_1968
    )
    :vars
    (
      ?auto_1970
      ?auto_1974
      ?auto_1969
      ?auto_1973
      ?auto_1975
      ?auto_1977
      ?auto_1979
    )
    :precondition
    ( and ( OBJ ?auto_1967 ) ( LOCATION ?auto_1968 ) ( TRUCK ?auto_1970 ) ( AT ?auto_1970 ?auto_1968 ) ( LOCATION ?auto_1974 ) ( AT ?auto_1970 ?auto_1974 ) ( TRUCK ?auto_1969 ) ( AT ?auto_1969 ?auto_1974 ) ( LOCATION ?auto_1973 ) ( AT ?auto_1969 ?auto_1973 ) ( AIRPLANE ?auto_1975 ) ( AIRPORT ?auto_1977 ) ( AIRPORT ?auto_1973 ) ( DIFFERENT ?auto_1973 ?auto_1977 ) ( LOCATION ?auto_1977 ) ( AT ?auto_1967 ?auto_1977 ) ( AIRPORT ?auto_1979 ) ( AT ?auto_1975 ?auto_1979 ) ( DIFFERENT ?auto_1977 ?auto_1979 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1975 ?auto_1979 ?auto_1977 )
      ( DELIVER-PKG ?auto_1967 ?auto_1968 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2003
      ?auto_2004
    )
    :vars
    (
      ?auto_2006
      ?auto_2011
      ?auto_2008
      ?auto_2010
      ?auto_2009
      ?auto_2005
      ?auto_2013
      ?auto_2015
    )
    :precondition
    ( and ( OBJ ?auto_2003 ) ( LOCATION ?auto_2004 ) ( TRUCK ?auto_2006 ) ( AT ?auto_2006 ?auto_2004 ) ( LOCATION ?auto_2011 ) ( AT ?auto_2006 ?auto_2011 ) ( TRUCK ?auto_2008 ) ( AT ?auto_2008 ?auto_2011 ) ( LOCATION ?auto_2010 ) ( AT ?auto_2008 ?auto_2010 ) ( AIRPLANE ?auto_2009 ) ( AIRPORT ?auto_2005 ) ( AIRPORT ?auto_2010 ) ( DIFFERENT ?auto_2010 ?auto_2005 ) ( LOCATION ?auto_2005 ) ( AT ?auto_2003 ?auto_2005 ) ( AIRPORT ?auto_2013 ) ( DIFFERENT ?auto_2005 ?auto_2013 ) ( AIRPORT ?auto_2015 ) ( AT ?auto_2009 ?auto_2015 ) ( DIFFERENT ?auto_2013 ?auto_2015 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2009 ?auto_2015 ?auto_2013 )
      ( DELIVER-PKG ?auto_2003 ?auto_2004 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2017
      ?auto_2018
    )
    :vars
    (
      ?auto_2023
      ?auto_2022
      ?auto_2019
      ?auto_2021
      ?auto_2020
      ?auto_2025
      ?auto_2026
      ?auto_2028
      ?auto_2031
    )
    :precondition
    ( and ( OBJ ?auto_2017 ) ( LOCATION ?auto_2018 ) ( TRUCK ?auto_2023 ) ( AT ?auto_2023 ?auto_2018 ) ( LOCATION ?auto_2022 ) ( AT ?auto_2023 ?auto_2022 ) ( TRUCK ?auto_2019 ) ( AT ?auto_2019 ?auto_2022 ) ( LOCATION ?auto_2021 ) ( AT ?auto_2019 ?auto_2021 ) ( AIRPLANE ?auto_2020 ) ( AIRPORT ?auto_2025 ) ( AIRPORT ?auto_2021 ) ( DIFFERENT ?auto_2021 ?auto_2025 ) ( LOCATION ?auto_2025 ) ( AIRPORT ?auto_2026 ) ( DIFFERENT ?auto_2025 ?auto_2026 ) ( AIRPORT ?auto_2028 ) ( AT ?auto_2020 ?auto_2028 ) ( DIFFERENT ?auto_2026 ?auto_2028 ) ( TRUCK ?auto_2031 ) ( AT ?auto_2031 ?auto_2025 ) ( IN ?auto_2017 ?auto_2031 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2017 ?auto_2025 )
      ( DELIVER-PKG ?auto_2017 ?auto_2018 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2045
      ?auto_2046
    )
    :vars
    (
      ?auto_2048
      ?auto_2057
      ?auto_2047
      ?auto_2056
      ?auto_2055
      ?auto_2050
      ?auto_2049
      ?auto_2053
      ?auto_2051
      ?auto_2060
      ?auto_2059
    )
    :precondition
    ( and ( OBJ ?auto_2045 ) ( LOCATION ?auto_2046 ) ( TRUCK ?auto_2048 ) ( AT ?auto_2048 ?auto_2046 ) ( LOCATION ?auto_2057 ) ( AT ?auto_2048 ?auto_2057 ) ( TRUCK ?auto_2047 ) ( AT ?auto_2047 ?auto_2057 ) ( LOCATION ?auto_2056 ) ( AT ?auto_2047 ?auto_2056 ) ( AIRPLANE ?auto_2055 ) ( AIRPORT ?auto_2050 ) ( AIRPORT ?auto_2056 ) ( DIFFERENT ?auto_2056 ?auto_2050 ) ( LOCATION ?auto_2050 ) ( AIRPORT ?auto_2049 ) ( DIFFERENT ?auto_2050 ?auto_2049 ) ( AIRPORT ?auto_2053 ) ( AT ?auto_2055 ?auto_2053 ) ( DIFFERENT ?auto_2049 ?auto_2053 ) ( TRUCK ?auto_2051 ) ( IN ?auto_2045 ?auto_2051 ) ( LOCATION ?auto_2060 ) ( CITY ?auto_2059 ) ( AT ?auto_2051 ?auto_2060 ) ( IN-CITY ?auto_2060 ?auto_2059 ) ( IN-CITY ?auto_2050 ?auto_2059 ) ( DIFFERENT ?auto_2050 ?auto_2060 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2051 ?auto_2060 ?auto_2050 ?auto_2059 )
      ( DELIVER-PKG ?auto_2045 ?auto_2046 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2077
      ?auto_2078
    )
    :vars
    (
      ?auto_2082
      ?auto_2083
      ?auto_2089
      ?auto_2087
      ?auto_2086
      ?auto_2080
      ?auto_2079
      ?auto_2085
      ?auto_2081
      ?auto_2091
      ?auto_2084
      ?auto_2093
    )
    :precondition
    ( and ( OBJ ?auto_2077 ) ( LOCATION ?auto_2078 ) ( TRUCK ?auto_2082 ) ( AT ?auto_2082 ?auto_2078 ) ( LOCATION ?auto_2083 ) ( AT ?auto_2082 ?auto_2083 ) ( TRUCK ?auto_2089 ) ( AT ?auto_2089 ?auto_2083 ) ( LOCATION ?auto_2087 ) ( AT ?auto_2089 ?auto_2087 ) ( AIRPLANE ?auto_2086 ) ( AIRPORT ?auto_2080 ) ( AIRPORT ?auto_2087 ) ( DIFFERENT ?auto_2087 ?auto_2080 ) ( LOCATION ?auto_2080 ) ( AIRPORT ?auto_2079 ) ( DIFFERENT ?auto_2080 ?auto_2079 ) ( AIRPORT ?auto_2085 ) ( AT ?auto_2086 ?auto_2085 ) ( DIFFERENT ?auto_2079 ?auto_2085 ) ( TRUCK ?auto_2081 ) ( LOCATION ?auto_2091 ) ( CITY ?auto_2084 ) ( AT ?auto_2081 ?auto_2091 ) ( IN-CITY ?auto_2091 ?auto_2084 ) ( IN-CITY ?auto_2080 ?auto_2084 ) ( DIFFERENT ?auto_2080 ?auto_2091 ) ( LOCATION ?auto_2093 ) ( AT ?auto_2081 ?auto_2093 ) ( AT ?auto_2077 ?auto_2093 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2077 ?auto_2081 ?auto_2093 )
      ( DELIVER-PKG ?auto_2077 ?auto_2078 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2111
      ?auto_2112
    )
    :vars
    (
      ?auto_2114
      ?auto_2115
      ?auto_2117
      ?auto_2116
      ?auto_2121
      ?auto_2123
      ?auto_2113
      ?auto_2120
      ?auto_2122
      ?auto_2126
      ?auto_2118
      ?auto_2129
      ?auto_2128
    )
    :precondition
    ( and ( OBJ ?auto_2111 ) ( LOCATION ?auto_2112 ) ( TRUCK ?auto_2114 ) ( AT ?auto_2114 ?auto_2112 ) ( LOCATION ?auto_2115 ) ( AT ?auto_2114 ?auto_2115 ) ( TRUCK ?auto_2117 ) ( AT ?auto_2117 ?auto_2115 ) ( LOCATION ?auto_2116 ) ( AT ?auto_2117 ?auto_2116 ) ( AIRPLANE ?auto_2121 ) ( AIRPORT ?auto_2123 ) ( AIRPORT ?auto_2116 ) ( DIFFERENT ?auto_2116 ?auto_2123 ) ( LOCATION ?auto_2123 ) ( AIRPORT ?auto_2113 ) ( DIFFERENT ?auto_2123 ?auto_2113 ) ( AIRPORT ?auto_2120 ) ( AT ?auto_2121 ?auto_2120 ) ( DIFFERENT ?auto_2113 ?auto_2120 ) ( TRUCK ?auto_2122 ) ( LOCATION ?auto_2126 ) ( CITY ?auto_2118 ) ( IN-CITY ?auto_2126 ?auto_2118 ) ( IN-CITY ?auto_2123 ?auto_2118 ) ( DIFFERENT ?auto_2123 ?auto_2126 ) ( AT ?auto_2111 ?auto_2126 ) ( LOCATION ?auto_2129 ) ( CITY ?auto_2128 ) ( AT ?auto_2122 ?auto_2129 ) ( IN-CITY ?auto_2129 ?auto_2128 ) ( IN-CITY ?auto_2126 ?auto_2128 ) ( DIFFERENT ?auto_2126 ?auto_2129 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2122 ?auto_2129 ?auto_2126 ?auto_2128 )
      ( DELIVER-PKG ?auto_2111 ?auto_2112 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2148
      ?auto_2149
    )
    :vars
    (
      ?auto_2155
      ?auto_2154
      ?auto_2156
      ?auto_2162
      ?auto_2159
      ?auto_2151
      ?auto_2153
      ?auto_2158
      ?auto_2160
      ?auto_2157
      ?auto_2150
      ?auto_2164
      ?auto_2152
      ?auto_2167
      ?auto_2166
    )
    :precondition
    ( and ( OBJ ?auto_2148 ) ( LOCATION ?auto_2149 ) ( TRUCK ?auto_2155 ) ( AT ?auto_2155 ?auto_2149 ) ( LOCATION ?auto_2154 ) ( AT ?auto_2155 ?auto_2154 ) ( TRUCK ?auto_2156 ) ( AT ?auto_2156 ?auto_2154 ) ( LOCATION ?auto_2162 ) ( AT ?auto_2156 ?auto_2162 ) ( AIRPLANE ?auto_2159 ) ( AIRPORT ?auto_2151 ) ( AIRPORT ?auto_2162 ) ( DIFFERENT ?auto_2162 ?auto_2151 ) ( LOCATION ?auto_2151 ) ( AIRPORT ?auto_2153 ) ( DIFFERENT ?auto_2151 ?auto_2153 ) ( AIRPORT ?auto_2158 ) ( AT ?auto_2159 ?auto_2158 ) ( DIFFERENT ?auto_2153 ?auto_2158 ) ( TRUCK ?auto_2160 ) ( LOCATION ?auto_2157 ) ( CITY ?auto_2150 ) ( IN-CITY ?auto_2157 ?auto_2150 ) ( IN-CITY ?auto_2151 ?auto_2150 ) ( DIFFERENT ?auto_2151 ?auto_2157 ) ( AT ?auto_2148 ?auto_2157 ) ( LOCATION ?auto_2164 ) ( CITY ?auto_2152 ) ( IN-CITY ?auto_2164 ?auto_2152 ) ( IN-CITY ?auto_2157 ?auto_2152 ) ( DIFFERENT ?auto_2157 ?auto_2164 ) ( LOCATION ?auto_2167 ) ( CITY ?auto_2166 ) ( AT ?auto_2160 ?auto_2167 ) ( IN-CITY ?auto_2167 ?auto_2166 ) ( IN-CITY ?auto_2164 ?auto_2166 ) ( DIFFERENT ?auto_2164 ?auto_2167 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2160 ?auto_2167 ?auto_2164 ?auto_2166 )
      ( DELIVER-PKG ?auto_2148 ?auto_2149 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2207
      ?auto_2208
    )
    :vars
    (
      ?auto_2222
      ?auto_2221
      ?auto_2209
      ?auto_2216
      ?auto_2213
      ?auto_2220
      ?auto_2219
      ?auto_2211
      ?auto_2214
      ?auto_2210
      ?auto_2218
      ?auto_2217
      ?auto_2224
      ?auto_2225
      ?auto_2215
      ?auto_2227
    )
    :precondition
    ( and ( OBJ ?auto_2207 ) ( LOCATION ?auto_2208 ) ( TRUCK ?auto_2222 ) ( AT ?auto_2222 ?auto_2208 ) ( LOCATION ?auto_2221 ) ( AT ?auto_2222 ?auto_2221 ) ( TRUCK ?auto_2209 ) ( AT ?auto_2209 ?auto_2221 ) ( LOCATION ?auto_2216 ) ( AT ?auto_2209 ?auto_2216 ) ( AIRPLANE ?auto_2213 ) ( AIRPORT ?auto_2220 ) ( AIRPORT ?auto_2216 ) ( DIFFERENT ?auto_2216 ?auto_2220 ) ( LOCATION ?auto_2220 ) ( AIRPORT ?auto_2219 ) ( DIFFERENT ?auto_2220 ?auto_2219 ) ( AIRPORT ?auto_2211 ) ( DIFFERENT ?auto_2219 ?auto_2211 ) ( TRUCK ?auto_2214 ) ( LOCATION ?auto_2210 ) ( CITY ?auto_2218 ) ( IN-CITY ?auto_2210 ?auto_2218 ) ( IN-CITY ?auto_2220 ?auto_2218 ) ( DIFFERENT ?auto_2220 ?auto_2210 ) ( AT ?auto_2207 ?auto_2210 ) ( LOCATION ?auto_2217 ) ( CITY ?auto_2224 ) ( IN-CITY ?auto_2217 ?auto_2224 ) ( IN-CITY ?auto_2210 ?auto_2224 ) ( DIFFERENT ?auto_2210 ?auto_2217 ) ( LOCATION ?auto_2225 ) ( CITY ?auto_2215 ) ( AT ?auto_2214 ?auto_2225 ) ( IN-CITY ?auto_2225 ?auto_2215 ) ( IN-CITY ?auto_2217 ?auto_2215 ) ( DIFFERENT ?auto_2217 ?auto_2225 ) ( AIRPORT ?auto_2227 ) ( AT ?auto_2213 ?auto_2227 ) ( DIFFERENT ?auto_2211 ?auto_2227 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2213 ?auto_2227 ?auto_2211 )
      ( DELIVER-PKG ?auto_2207 ?auto_2208 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1891
      ?auto_1892
    )
    :vars
    (
      ?auto_1894
      ?auto_1895
      ?auto_1899
    )
    :precondition
    ( and ( OBJ ?auto_1891 ) ( LOCATION ?auto_1892 ) ( TRUCK ?auto_1894 ) ( AT ?auto_1894 ?auto_1892 ) ( LOCATION ?auto_1895 ) ( AT ?auto_1894 ?auto_1895 ) ( TRUCK ?auto_1899 ) ( AT ?auto_1899 ?auto_1895 ) ( IN ?auto_1891 ?auto_1899 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1891 ?auto_1895 )
      ( DELIVER-PKG ?auto_1891 ?auto_1892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2687
      ?auto_2688
    )
    :vars
    (
      ?auto_2690
      ?auto_2693
      ?auto_2692
      ?auto_2696
      ?auto_2695
    )
    :precondition
    ( and ( OBJ ?auto_2687 ) ( LOCATION ?auto_2688 ) ( TRUCK ?auto_2690 ) ( IN ?auto_2687 ?auto_2690 ) ( LOCATION ?auto_2693 ) ( CITY ?auto_2692 ) ( IN-CITY ?auto_2693 ?auto_2692 ) ( IN-CITY ?auto_2688 ?auto_2692 ) ( DIFFERENT ?auto_2688 ?auto_2693 ) ( LOCATION ?auto_2696 ) ( CITY ?auto_2695 ) ( AT ?auto_2690 ?auto_2696 ) ( IN-CITY ?auto_2696 ?auto_2695 ) ( IN-CITY ?auto_2693 ?auto_2695 ) ( DIFFERENT ?auto_2693 ?auto_2696 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2690 ?auto_2696 ?auto_2693 ?auto_2695 )
      ( DELIVER-PKG ?auto_2687 ?auto_2688 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2752
      ?auto_2753
    )
    :vars
    (
      ?auto_2755
      ?auto_2758
      ?auto_2760
      ?auto_2756
      ?auto_2757
      ?auto_2762
      ?auto_2759
      ?auto_2764
      ?auto_2761
      ?auto_2766
    )
    :precondition
    ( and ( OBJ ?auto_2752 ) ( LOCATION ?auto_2753 ) ( TRUCK ?auto_2755 ) ( LOCATION ?auto_2758 ) ( CITY ?auto_2760 ) ( IN-CITY ?auto_2758 ?auto_2760 ) ( IN-CITY ?auto_2753 ?auto_2760 ) ( DIFFERENT ?auto_2753 ?auto_2758 ) ( LOCATION ?auto_2756 ) ( CITY ?auto_2757 ) ( AT ?auto_2755 ?auto_2756 ) ( IN-CITY ?auto_2756 ?auto_2757 ) ( IN-CITY ?auto_2758 ?auto_2757 ) ( DIFFERENT ?auto_2758 ?auto_2756 ) ( LOCATION ?auto_2762 ) ( AT ?auto_2755 ?auto_2762 ) ( TRUCK ?auto_2759 ) ( AT ?auto_2759 ?auto_2762 ) ( LOCATION ?auto_2764 ) ( AT ?auto_2759 ?auto_2764 ) ( TRUCK ?auto_2761 ) ( AT ?auto_2761 ?auto_2764 ) ( LOCATION ?auto_2766 ) ( AT ?auto_2761 ?auto_2766 ) ( AT ?auto_2752 ?auto_2766 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2752 ?auto_2761 ?auto_2766 )
      ( DELIVER-PKG ?auto_2752 ?auto_2753 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2737
      ?auto_2738
    )
    :vars
    (
      ?auto_2748
      ?auto_2739
      ?auto_2747
      ?auto_2740
      ?auto_2744
      ?auto_2746
      ?auto_2745
      ?auto_2742
      ?auto_2751
    )
    :precondition
    ( and ( OBJ ?auto_2737 ) ( LOCATION ?auto_2738 ) ( TRUCK ?auto_2748 ) ( LOCATION ?auto_2739 ) ( CITY ?auto_2747 ) ( IN-CITY ?auto_2739 ?auto_2747 ) ( IN-CITY ?auto_2738 ?auto_2747 ) ( DIFFERENT ?auto_2738 ?auto_2739 ) ( LOCATION ?auto_2740 ) ( CITY ?auto_2744 ) ( AT ?auto_2748 ?auto_2740 ) ( IN-CITY ?auto_2740 ?auto_2744 ) ( IN-CITY ?auto_2739 ?auto_2744 ) ( DIFFERENT ?auto_2739 ?auto_2740 ) ( LOCATION ?auto_2746 ) ( AT ?auto_2748 ?auto_2746 ) ( TRUCK ?auto_2745 ) ( AT ?auto_2745 ?auto_2746 ) ( LOCATION ?auto_2742 ) ( AT ?auto_2745 ?auto_2742 ) ( TRUCK ?auto_2751 ) ( AT ?auto_2751 ?auto_2742 ) ( IN ?auto_2737 ?auto_2751 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2737 ?auto_2742 )
      ( DELIVER-PKG ?auto_2737 ?auto_2738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2768
      ?auto_2769
    )
    :vars
    (
      ?auto_2779
      ?auto_2774
      ?auto_2777
      ?auto_2780
      ?auto_2781
      ?auto_2778
      ?auto_2772
      ?auto_2771
      ?auto_2775
      ?auto_2776
      ?auto_2783
    )
    :precondition
    ( and ( OBJ ?auto_2768 ) ( LOCATION ?auto_2769 ) ( TRUCK ?auto_2779 ) ( LOCATION ?auto_2774 ) ( CITY ?auto_2777 ) ( IN-CITY ?auto_2774 ?auto_2777 ) ( IN-CITY ?auto_2769 ?auto_2777 ) ( DIFFERENT ?auto_2769 ?auto_2774 ) ( LOCATION ?auto_2780 ) ( CITY ?auto_2781 ) ( AT ?auto_2779 ?auto_2780 ) ( IN-CITY ?auto_2780 ?auto_2781 ) ( IN-CITY ?auto_2774 ?auto_2781 ) ( DIFFERENT ?auto_2774 ?auto_2780 ) ( LOCATION ?auto_2778 ) ( AT ?auto_2779 ?auto_2778 ) ( TRUCK ?auto_2772 ) ( AT ?auto_2772 ?auto_2778 ) ( LOCATION ?auto_2771 ) ( AT ?auto_2772 ?auto_2771 ) ( TRUCK ?auto_2775 ) ( AT ?auto_2775 ?auto_2771 ) ( LOCATION ?auto_2776 ) ( AT ?auto_2775 ?auto_2776 ) ( AIRPLANE ?auto_2783 ) ( IN ?auto_2768 ?auto_2783 ) ( AT ?auto_2783 ?auto_2776 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2768 ?auto_2776 )
      ( DELIVER-PKG ?auto_2768 ?auto_2769 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2785
      ?auto_2786
    )
    :vars
    (
      ?auto_2794
      ?auto_2799
      ?auto_2791
      ?auto_2797
      ?auto_2789
      ?auto_2787
      ?auto_2798
      ?auto_2796
      ?auto_2793
      ?auto_2790
      ?auto_2792
      ?auto_2801
    )
    :precondition
    ( and ( OBJ ?auto_2785 ) ( LOCATION ?auto_2786 ) ( TRUCK ?auto_2794 ) ( LOCATION ?auto_2799 ) ( CITY ?auto_2791 ) ( IN-CITY ?auto_2799 ?auto_2791 ) ( IN-CITY ?auto_2786 ?auto_2791 ) ( DIFFERENT ?auto_2786 ?auto_2799 ) ( LOCATION ?auto_2797 ) ( CITY ?auto_2789 ) ( AT ?auto_2794 ?auto_2797 ) ( IN-CITY ?auto_2797 ?auto_2789 ) ( IN-CITY ?auto_2799 ?auto_2789 ) ( DIFFERENT ?auto_2799 ?auto_2797 ) ( LOCATION ?auto_2787 ) ( AT ?auto_2794 ?auto_2787 ) ( TRUCK ?auto_2798 ) ( AT ?auto_2798 ?auto_2787 ) ( LOCATION ?auto_2796 ) ( AT ?auto_2798 ?auto_2796 ) ( TRUCK ?auto_2793 ) ( AT ?auto_2793 ?auto_2796 ) ( LOCATION ?auto_2790 ) ( AT ?auto_2793 ?auto_2790 ) ( AIRPLANE ?auto_2792 ) ( IN ?auto_2785 ?auto_2792 ) ( AIRPORT ?auto_2801 ) ( AIRPORT ?auto_2790 ) ( AT ?auto_2792 ?auto_2801 ) ( DIFFERENT ?auto_2790 ?auto_2801 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2792 ?auto_2801 ?auto_2790 )
      ( DELIVER-PKG ?auto_2785 ?auto_2786 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2819
      ?auto_2820
    )
    :vars
    (
      ?auto_2821
      ?auto_2824
      ?auto_2834
      ?auto_2832
      ?auto_2831
      ?auto_2825
      ?auto_2826
      ?auto_2823
      ?auto_2830
      ?auto_2833
      ?auto_2822
      ?auto_2828
      ?auto_2836
    )
    :precondition
    ( and ( OBJ ?auto_2819 ) ( LOCATION ?auto_2820 ) ( TRUCK ?auto_2821 ) ( LOCATION ?auto_2824 ) ( CITY ?auto_2834 ) ( IN-CITY ?auto_2824 ?auto_2834 ) ( IN-CITY ?auto_2820 ?auto_2834 ) ( DIFFERENT ?auto_2820 ?auto_2824 ) ( LOCATION ?auto_2832 ) ( CITY ?auto_2831 ) ( AT ?auto_2821 ?auto_2832 ) ( IN-CITY ?auto_2832 ?auto_2831 ) ( IN-CITY ?auto_2824 ?auto_2831 ) ( DIFFERENT ?auto_2824 ?auto_2832 ) ( LOCATION ?auto_2825 ) ( AT ?auto_2821 ?auto_2825 ) ( TRUCK ?auto_2826 ) ( AT ?auto_2826 ?auto_2825 ) ( LOCATION ?auto_2823 ) ( AT ?auto_2826 ?auto_2823 ) ( TRUCK ?auto_2830 ) ( AT ?auto_2830 ?auto_2823 ) ( LOCATION ?auto_2833 ) ( AT ?auto_2830 ?auto_2833 ) ( AIRPLANE ?auto_2822 ) ( AIRPORT ?auto_2828 ) ( AIRPORT ?auto_2833 ) ( AT ?auto_2822 ?auto_2828 ) ( DIFFERENT ?auto_2833 ?auto_2828 ) ( LOCATION ?auto_2836 ) ( AT ?auto_2819 ?auto_2836 ) ( AT ?auto_2822 ?auto_2836 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2819 ?auto_2822 ?auto_2836 )
      ( DELIVER-PKG ?auto_2819 ?auto_2820 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2855
      ?auto_2856
    )
    :vars
    (
      ?auto_2866
      ?auto_2869
      ?auto_2867
      ?auto_2864
      ?auto_2862
      ?auto_2857
      ?auto_2858
      ?auto_2860
      ?auto_2861
      ?auto_2865
      ?auto_2868
      ?auto_2871
      ?auto_2873
    )
    :precondition
    ( and ( OBJ ?auto_2855 ) ( LOCATION ?auto_2856 ) ( TRUCK ?auto_2866 ) ( LOCATION ?auto_2869 ) ( CITY ?auto_2867 ) ( IN-CITY ?auto_2869 ?auto_2867 ) ( IN-CITY ?auto_2856 ?auto_2867 ) ( DIFFERENT ?auto_2856 ?auto_2869 ) ( LOCATION ?auto_2864 ) ( CITY ?auto_2862 ) ( AT ?auto_2866 ?auto_2864 ) ( IN-CITY ?auto_2864 ?auto_2862 ) ( IN-CITY ?auto_2869 ?auto_2862 ) ( DIFFERENT ?auto_2869 ?auto_2864 ) ( LOCATION ?auto_2857 ) ( AT ?auto_2866 ?auto_2857 ) ( TRUCK ?auto_2858 ) ( AT ?auto_2858 ?auto_2857 ) ( LOCATION ?auto_2860 ) ( AT ?auto_2858 ?auto_2860 ) ( TRUCK ?auto_2861 ) ( AT ?auto_2861 ?auto_2860 ) ( LOCATION ?auto_2865 ) ( AT ?auto_2861 ?auto_2865 ) ( AIRPLANE ?auto_2868 ) ( AIRPORT ?auto_2871 ) ( AIRPORT ?auto_2865 ) ( DIFFERENT ?auto_2865 ?auto_2871 ) ( LOCATION ?auto_2871 ) ( AT ?auto_2855 ?auto_2871 ) ( AIRPORT ?auto_2873 ) ( AT ?auto_2868 ?auto_2873 ) ( DIFFERENT ?auto_2871 ?auto_2873 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2868 ?auto_2873 ?auto_2871 )
      ( DELIVER-PKG ?auto_2855 ?auto_2856 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2909
      ?auto_2910
    )
    :vars
    (
      ?auto_2914
      ?auto_2920
      ?auto_2918
      ?auto_2912
      ?auto_2915
      ?auto_2923
      ?auto_2911
      ?auto_2916
      ?auto_2921
      ?auto_2913
      ?auto_2919
      ?auto_2917
      ?auto_2925
      ?auto_2927
    )
    :precondition
    ( and ( OBJ ?auto_2909 ) ( LOCATION ?auto_2910 ) ( TRUCK ?auto_2914 ) ( LOCATION ?auto_2920 ) ( CITY ?auto_2918 ) ( IN-CITY ?auto_2920 ?auto_2918 ) ( IN-CITY ?auto_2910 ?auto_2918 ) ( DIFFERENT ?auto_2910 ?auto_2920 ) ( LOCATION ?auto_2912 ) ( CITY ?auto_2915 ) ( AT ?auto_2914 ?auto_2912 ) ( IN-CITY ?auto_2912 ?auto_2915 ) ( IN-CITY ?auto_2920 ?auto_2915 ) ( DIFFERENT ?auto_2920 ?auto_2912 ) ( LOCATION ?auto_2923 ) ( AT ?auto_2914 ?auto_2923 ) ( TRUCK ?auto_2911 ) ( AT ?auto_2911 ?auto_2923 ) ( LOCATION ?auto_2916 ) ( AT ?auto_2911 ?auto_2916 ) ( TRUCK ?auto_2921 ) ( AT ?auto_2921 ?auto_2916 ) ( LOCATION ?auto_2913 ) ( AT ?auto_2921 ?auto_2913 ) ( AIRPLANE ?auto_2919 ) ( AIRPORT ?auto_2917 ) ( AIRPORT ?auto_2913 ) ( DIFFERENT ?auto_2913 ?auto_2917 ) ( LOCATION ?auto_2917 ) ( AT ?auto_2909 ?auto_2917 ) ( AIRPORT ?auto_2925 ) ( DIFFERENT ?auto_2917 ?auto_2925 ) ( AIRPORT ?auto_2927 ) ( AT ?auto_2919 ?auto_2927 ) ( DIFFERENT ?auto_2925 ?auto_2927 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2919 ?auto_2927 ?auto_2925 )
      ( DELIVER-PKG ?auto_2909 ?auto_2910 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2929
      ?auto_2930
    )
    :vars
    (
      ?auto_2932
      ?auto_2936
      ?auto_2942
      ?auto_2934
      ?auto_2935
      ?auto_2938
      ?auto_2933
      ?auto_2940
      ?auto_2937
      ?auto_2944
      ?auto_2943
      ?auto_2941
      ?auto_2945
      ?auto_2946
      ?auto_2949
    )
    :precondition
    ( and ( OBJ ?auto_2929 ) ( LOCATION ?auto_2930 ) ( TRUCK ?auto_2932 ) ( LOCATION ?auto_2936 ) ( CITY ?auto_2942 ) ( IN-CITY ?auto_2936 ?auto_2942 ) ( IN-CITY ?auto_2930 ?auto_2942 ) ( DIFFERENT ?auto_2930 ?auto_2936 ) ( LOCATION ?auto_2934 ) ( CITY ?auto_2935 ) ( AT ?auto_2932 ?auto_2934 ) ( IN-CITY ?auto_2934 ?auto_2935 ) ( IN-CITY ?auto_2936 ?auto_2935 ) ( DIFFERENT ?auto_2936 ?auto_2934 ) ( LOCATION ?auto_2938 ) ( AT ?auto_2932 ?auto_2938 ) ( TRUCK ?auto_2933 ) ( AT ?auto_2933 ?auto_2938 ) ( LOCATION ?auto_2940 ) ( AT ?auto_2933 ?auto_2940 ) ( TRUCK ?auto_2937 ) ( AT ?auto_2937 ?auto_2940 ) ( LOCATION ?auto_2944 ) ( AT ?auto_2937 ?auto_2944 ) ( AIRPLANE ?auto_2943 ) ( AIRPORT ?auto_2941 ) ( AIRPORT ?auto_2944 ) ( DIFFERENT ?auto_2944 ?auto_2941 ) ( LOCATION ?auto_2941 ) ( AIRPORT ?auto_2945 ) ( DIFFERENT ?auto_2941 ?auto_2945 ) ( AIRPORT ?auto_2946 ) ( AT ?auto_2943 ?auto_2946 ) ( DIFFERENT ?auto_2945 ?auto_2946 ) ( TRUCK ?auto_2949 ) ( AT ?auto_2949 ?auto_2941 ) ( IN ?auto_2929 ?auto_2949 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2929 ?auto_2941 )
      ( DELIVER-PKG ?auto_2929 ?auto_2930 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2969
      ?auto_2970
    )
    :vars
    (
      ?auto_2982
      ?auto_2973
      ?auto_2979
      ?auto_2985
      ?auto_2986
      ?auto_2987
      ?auto_2983
      ?auto_2972
      ?auto_2984
      ?auto_2974
      ?auto_2981
      ?auto_2978
      ?auto_2975
      ?auto_2977
      ?auto_2976
      ?auto_2990
      ?auto_2989
    )
    :precondition
    ( and ( OBJ ?auto_2969 ) ( LOCATION ?auto_2970 ) ( TRUCK ?auto_2982 ) ( LOCATION ?auto_2973 ) ( CITY ?auto_2979 ) ( IN-CITY ?auto_2973 ?auto_2979 ) ( IN-CITY ?auto_2970 ?auto_2979 ) ( DIFFERENT ?auto_2970 ?auto_2973 ) ( LOCATION ?auto_2985 ) ( CITY ?auto_2986 ) ( AT ?auto_2982 ?auto_2985 ) ( IN-CITY ?auto_2985 ?auto_2986 ) ( IN-CITY ?auto_2973 ?auto_2986 ) ( DIFFERENT ?auto_2973 ?auto_2985 ) ( LOCATION ?auto_2987 ) ( AT ?auto_2982 ?auto_2987 ) ( TRUCK ?auto_2983 ) ( AT ?auto_2983 ?auto_2987 ) ( LOCATION ?auto_2972 ) ( AT ?auto_2983 ?auto_2972 ) ( TRUCK ?auto_2984 ) ( AT ?auto_2984 ?auto_2972 ) ( LOCATION ?auto_2974 ) ( AT ?auto_2984 ?auto_2974 ) ( AIRPLANE ?auto_2981 ) ( AIRPORT ?auto_2978 ) ( AIRPORT ?auto_2974 ) ( DIFFERENT ?auto_2974 ?auto_2978 ) ( LOCATION ?auto_2978 ) ( AIRPORT ?auto_2975 ) ( DIFFERENT ?auto_2978 ?auto_2975 ) ( AIRPORT ?auto_2977 ) ( AT ?auto_2981 ?auto_2977 ) ( DIFFERENT ?auto_2975 ?auto_2977 ) ( TRUCK ?auto_2976 ) ( IN ?auto_2969 ?auto_2976 ) ( LOCATION ?auto_2990 ) ( CITY ?auto_2989 ) ( AT ?auto_2976 ?auto_2990 ) ( IN-CITY ?auto_2990 ?auto_2989 ) ( IN-CITY ?auto_2978 ?auto_2989 ) ( DIFFERENT ?auto_2978 ?auto_2990 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2976 ?auto_2990 ?auto_2978 ?auto_2989 )
      ( DELIVER-PKG ?auto_2969 ?auto_2970 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3013
      ?auto_3014
    )
    :vars
    (
      ?auto_3018
      ?auto_3019
      ?auto_3023
      ?auto_3031
      ?auto_3025
      ?auto_3026
      ?auto_3029
      ?auto_3016
      ?auto_3030
      ?auto_3028
      ?auto_3017
      ?auto_3022
      ?auto_3024
      ?auto_3021
      ?auto_3027
      ?auto_3033
      ?auto_3020
      ?auto_3035
    )
    :precondition
    ( and ( OBJ ?auto_3013 ) ( LOCATION ?auto_3014 ) ( TRUCK ?auto_3018 ) ( LOCATION ?auto_3019 ) ( CITY ?auto_3023 ) ( IN-CITY ?auto_3019 ?auto_3023 ) ( IN-CITY ?auto_3014 ?auto_3023 ) ( DIFFERENT ?auto_3014 ?auto_3019 ) ( LOCATION ?auto_3031 ) ( CITY ?auto_3025 ) ( AT ?auto_3018 ?auto_3031 ) ( IN-CITY ?auto_3031 ?auto_3025 ) ( IN-CITY ?auto_3019 ?auto_3025 ) ( DIFFERENT ?auto_3019 ?auto_3031 ) ( LOCATION ?auto_3026 ) ( AT ?auto_3018 ?auto_3026 ) ( TRUCK ?auto_3029 ) ( AT ?auto_3029 ?auto_3026 ) ( LOCATION ?auto_3016 ) ( AT ?auto_3029 ?auto_3016 ) ( TRUCK ?auto_3030 ) ( AT ?auto_3030 ?auto_3016 ) ( LOCATION ?auto_3028 ) ( AT ?auto_3030 ?auto_3028 ) ( AIRPLANE ?auto_3017 ) ( AIRPORT ?auto_3022 ) ( AIRPORT ?auto_3028 ) ( DIFFERENT ?auto_3028 ?auto_3022 ) ( LOCATION ?auto_3022 ) ( AIRPORT ?auto_3024 ) ( DIFFERENT ?auto_3022 ?auto_3024 ) ( AIRPORT ?auto_3021 ) ( AT ?auto_3017 ?auto_3021 ) ( DIFFERENT ?auto_3024 ?auto_3021 ) ( TRUCK ?auto_3027 ) ( LOCATION ?auto_3033 ) ( CITY ?auto_3020 ) ( AT ?auto_3027 ?auto_3033 ) ( IN-CITY ?auto_3033 ?auto_3020 ) ( IN-CITY ?auto_3022 ?auto_3020 ) ( DIFFERENT ?auto_3022 ?auto_3033 ) ( LOCATION ?auto_3035 ) ( AT ?auto_3027 ?auto_3035 ) ( AT ?auto_3013 ?auto_3035 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3013 ?auto_3027 ?auto_3035 )
      ( DELIVER-PKG ?auto_3013 ?auto_3014 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3059
      ?auto_3060
    )
    :vars
    (
      ?auto_3061
      ?auto_3065
      ?auto_3072
      ?auto_3066
      ?auto_3074
      ?auto_3075
      ?auto_3078
      ?auto_3063
      ?auto_3079
      ?auto_3077
      ?auto_3062
      ?auto_3071
      ?auto_3073
      ?auto_3070
      ?auto_3076
      ?auto_3068
      ?auto_3069
      ?auto_3083
      ?auto_3082
    )
    :precondition
    ( and ( OBJ ?auto_3059 ) ( LOCATION ?auto_3060 ) ( TRUCK ?auto_3061 ) ( LOCATION ?auto_3065 ) ( CITY ?auto_3072 ) ( IN-CITY ?auto_3065 ?auto_3072 ) ( IN-CITY ?auto_3060 ?auto_3072 ) ( DIFFERENT ?auto_3060 ?auto_3065 ) ( LOCATION ?auto_3066 ) ( CITY ?auto_3074 ) ( AT ?auto_3061 ?auto_3066 ) ( IN-CITY ?auto_3066 ?auto_3074 ) ( IN-CITY ?auto_3065 ?auto_3074 ) ( DIFFERENT ?auto_3065 ?auto_3066 ) ( LOCATION ?auto_3075 ) ( AT ?auto_3061 ?auto_3075 ) ( TRUCK ?auto_3078 ) ( AT ?auto_3078 ?auto_3075 ) ( LOCATION ?auto_3063 ) ( AT ?auto_3078 ?auto_3063 ) ( TRUCK ?auto_3079 ) ( AT ?auto_3079 ?auto_3063 ) ( LOCATION ?auto_3077 ) ( AT ?auto_3079 ?auto_3077 ) ( AIRPLANE ?auto_3062 ) ( AIRPORT ?auto_3071 ) ( AIRPORT ?auto_3077 ) ( DIFFERENT ?auto_3077 ?auto_3071 ) ( LOCATION ?auto_3071 ) ( AIRPORT ?auto_3073 ) ( DIFFERENT ?auto_3071 ?auto_3073 ) ( AIRPORT ?auto_3070 ) ( AT ?auto_3062 ?auto_3070 ) ( DIFFERENT ?auto_3073 ?auto_3070 ) ( TRUCK ?auto_3076 ) ( LOCATION ?auto_3068 ) ( CITY ?auto_3069 ) ( IN-CITY ?auto_3068 ?auto_3069 ) ( IN-CITY ?auto_3071 ?auto_3069 ) ( DIFFERENT ?auto_3071 ?auto_3068 ) ( AT ?auto_3059 ?auto_3068 ) ( LOCATION ?auto_3083 ) ( CITY ?auto_3082 ) ( AT ?auto_3076 ?auto_3083 ) ( IN-CITY ?auto_3083 ?auto_3082 ) ( IN-CITY ?auto_3068 ?auto_3082 ) ( DIFFERENT ?auto_3068 ?auto_3083 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3076 ?auto_3083 ?auto_3068 ?auto_3082 )
      ( DELIVER-PKG ?auto_3059 ?auto_3060 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3108
      ?auto_3109
    )
    :vars
    (
      ?auto_3112
      ?auto_3130
      ?auto_3118
      ?auto_3122
      ?auto_3124
      ?auto_3125
      ?auto_3128
      ?auto_3119
      ?auto_3129
      ?auto_3127
      ?auto_3113
      ?auto_3117
      ?auto_3123
      ?auto_3116
      ?auto_3126
      ?auto_3114
      ?auto_3115
      ?auto_3121
      ?auto_3120
      ?auto_3133
      ?auto_3132
    )
    :precondition
    ( and ( OBJ ?auto_3108 ) ( LOCATION ?auto_3109 ) ( TRUCK ?auto_3112 ) ( LOCATION ?auto_3130 ) ( CITY ?auto_3118 ) ( IN-CITY ?auto_3130 ?auto_3118 ) ( IN-CITY ?auto_3109 ?auto_3118 ) ( DIFFERENT ?auto_3109 ?auto_3130 ) ( LOCATION ?auto_3122 ) ( CITY ?auto_3124 ) ( AT ?auto_3112 ?auto_3122 ) ( IN-CITY ?auto_3122 ?auto_3124 ) ( IN-CITY ?auto_3130 ?auto_3124 ) ( DIFFERENT ?auto_3130 ?auto_3122 ) ( LOCATION ?auto_3125 ) ( AT ?auto_3112 ?auto_3125 ) ( TRUCK ?auto_3128 ) ( AT ?auto_3128 ?auto_3125 ) ( LOCATION ?auto_3119 ) ( AT ?auto_3128 ?auto_3119 ) ( TRUCK ?auto_3129 ) ( AT ?auto_3129 ?auto_3119 ) ( LOCATION ?auto_3127 ) ( AT ?auto_3129 ?auto_3127 ) ( AIRPLANE ?auto_3113 ) ( AIRPORT ?auto_3117 ) ( AIRPORT ?auto_3127 ) ( DIFFERENT ?auto_3127 ?auto_3117 ) ( LOCATION ?auto_3117 ) ( AIRPORT ?auto_3123 ) ( DIFFERENT ?auto_3117 ?auto_3123 ) ( AIRPORT ?auto_3116 ) ( AT ?auto_3113 ?auto_3116 ) ( DIFFERENT ?auto_3123 ?auto_3116 ) ( TRUCK ?auto_3126 ) ( LOCATION ?auto_3114 ) ( CITY ?auto_3115 ) ( IN-CITY ?auto_3114 ?auto_3115 ) ( IN-CITY ?auto_3117 ?auto_3115 ) ( DIFFERENT ?auto_3117 ?auto_3114 ) ( AT ?auto_3108 ?auto_3114 ) ( LOCATION ?auto_3121 ) ( CITY ?auto_3120 ) ( IN-CITY ?auto_3121 ?auto_3120 ) ( IN-CITY ?auto_3114 ?auto_3120 ) ( DIFFERENT ?auto_3114 ?auto_3121 ) ( LOCATION ?auto_3133 ) ( CITY ?auto_3132 ) ( AT ?auto_3126 ?auto_3133 ) ( IN-CITY ?auto_3133 ?auto_3132 ) ( IN-CITY ?auto_3121 ?auto_3132 ) ( DIFFERENT ?auto_3121 ?auto_3133 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3126 ?auto_3133 ?auto_3121 ?auto_3132 )
      ( DELIVER-PKG ?auto_3108 ?auto_3109 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3185
      ?auto_3186
    )
    :vars
    (
      ?auto_3194
      ?auto_3203
      ?auto_3208
      ?auto_3197
      ?auto_3199
      ?auto_3200
      ?auto_3191
      ?auto_3204
      ?auto_3192
      ?auto_3190
      ?auto_3209
      ?auto_3207
      ?auto_3198
      ?auto_3193
      ?auto_3189
      ?auto_3188
      ?auto_3187
      ?auto_3196
      ?auto_3195
      ?auto_3205
      ?auto_3201
      ?auto_3211
    )
    :precondition
    ( and ( OBJ ?auto_3185 ) ( LOCATION ?auto_3186 ) ( TRUCK ?auto_3194 ) ( LOCATION ?auto_3203 ) ( CITY ?auto_3208 ) ( IN-CITY ?auto_3203 ?auto_3208 ) ( IN-CITY ?auto_3186 ?auto_3208 ) ( DIFFERENT ?auto_3186 ?auto_3203 ) ( LOCATION ?auto_3197 ) ( CITY ?auto_3199 ) ( AT ?auto_3194 ?auto_3197 ) ( IN-CITY ?auto_3197 ?auto_3199 ) ( IN-CITY ?auto_3203 ?auto_3199 ) ( DIFFERENT ?auto_3203 ?auto_3197 ) ( LOCATION ?auto_3200 ) ( AT ?auto_3194 ?auto_3200 ) ( TRUCK ?auto_3191 ) ( AT ?auto_3191 ?auto_3200 ) ( LOCATION ?auto_3204 ) ( AT ?auto_3191 ?auto_3204 ) ( TRUCK ?auto_3192 ) ( AT ?auto_3192 ?auto_3204 ) ( LOCATION ?auto_3190 ) ( AT ?auto_3192 ?auto_3190 ) ( AIRPLANE ?auto_3209 ) ( AIRPORT ?auto_3207 ) ( AIRPORT ?auto_3190 ) ( DIFFERENT ?auto_3190 ?auto_3207 ) ( LOCATION ?auto_3207 ) ( AIRPORT ?auto_3198 ) ( DIFFERENT ?auto_3207 ?auto_3198 ) ( AIRPORT ?auto_3193 ) ( DIFFERENT ?auto_3198 ?auto_3193 ) ( TRUCK ?auto_3189 ) ( LOCATION ?auto_3188 ) ( CITY ?auto_3187 ) ( IN-CITY ?auto_3188 ?auto_3187 ) ( IN-CITY ?auto_3207 ?auto_3187 ) ( DIFFERENT ?auto_3207 ?auto_3188 ) ( AT ?auto_3185 ?auto_3188 ) ( LOCATION ?auto_3196 ) ( CITY ?auto_3195 ) ( IN-CITY ?auto_3196 ?auto_3195 ) ( IN-CITY ?auto_3188 ?auto_3195 ) ( DIFFERENT ?auto_3188 ?auto_3196 ) ( LOCATION ?auto_3205 ) ( CITY ?auto_3201 ) ( AT ?auto_3189 ?auto_3205 ) ( IN-CITY ?auto_3205 ?auto_3201 ) ( IN-CITY ?auto_3196 ?auto_3201 ) ( DIFFERENT ?auto_3196 ?auto_3205 ) ( AIRPORT ?auto_3211 ) ( AT ?auto_3209 ?auto_3211 ) ( DIFFERENT ?auto_3193 ?auto_3211 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3209 ?auto_3211 ?auto_3193 )
      ( DELIVER-PKG ?auto_3185 ?auto_3186 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3647
      ?auto_3648
    )
    :vars
    (
      ?auto_3651
      ?auto_3650
      ?auto_3652
      ?auto_3649
      ?auto_3656
    )
    :precondition
    ( and ( OBJ ?auto_3647 ) ( LOCATION ?auto_3648 ) ( TRUCK ?auto_3651 ) ( LOCATION ?auto_3650 ) ( CITY ?auto_3652 ) ( AT ?auto_3651 ?auto_3650 ) ( IN-CITY ?auto_3650 ?auto_3652 ) ( IN-CITY ?auto_3648 ?auto_3652 ) ( DIFFERENT ?auto_3648 ?auto_3650 ) ( LOCATION ?auto_3649 ) ( AT ?auto_3651 ?auto_3649 ) ( TRUCK ?auto_3656 ) ( AT ?auto_3656 ?auto_3649 ) ( IN ?auto_3647 ?auto_3656 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3647 ?auto_3649 )
      ( DELIVER-PKG ?auto_3647 ?auto_3648 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3671
      ?auto_3672
    )
    :vars
    (
      ?auto_3678
      ?auto_3675
      ?auto_3679
      ?auto_3676
      ?auto_3674
      ?auto_3682
      ?auto_3681
    )
    :precondition
    ( and ( OBJ ?auto_3671 ) ( LOCATION ?auto_3672 ) ( TRUCK ?auto_3678 ) ( LOCATION ?auto_3675 ) ( CITY ?auto_3679 ) ( IN-CITY ?auto_3675 ?auto_3679 ) ( IN-CITY ?auto_3672 ?auto_3679 ) ( DIFFERENT ?auto_3672 ?auto_3675 ) ( IN ?auto_3671 ?auto_3678 ) ( LOCATION ?auto_3676 ) ( CITY ?auto_3674 ) ( IN-CITY ?auto_3676 ?auto_3674 ) ( IN-CITY ?auto_3675 ?auto_3674 ) ( DIFFERENT ?auto_3675 ?auto_3676 ) ( LOCATION ?auto_3682 ) ( CITY ?auto_3681 ) ( AT ?auto_3678 ?auto_3682 ) ( IN-CITY ?auto_3682 ?auto_3681 ) ( IN-CITY ?auto_3676 ?auto_3681 ) ( DIFFERENT ?auto_3676 ?auto_3682 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3678 ?auto_3682 ?auto_3676 ?auto_3681 )
      ( DELIVER-PKG ?auto_3671 ?auto_3672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3746
      ?auto_3747
    )
    :vars
    (
      ?auto_3759
      ?auto_3748
      ?auto_3754
      ?auto_3758
      ?auto_3751
      ?auto_3750
      ?auto_3753
      ?auto_3760
      ?auto_3752
      ?auto_3755
      ?auto_3757
      ?auto_3762
    )
    :precondition
    ( and ( OBJ ?auto_3746 ) ( LOCATION ?auto_3747 ) ( TRUCK ?auto_3759 ) ( LOCATION ?auto_3748 ) ( CITY ?auto_3754 ) ( IN-CITY ?auto_3748 ?auto_3754 ) ( IN-CITY ?auto_3747 ?auto_3754 ) ( DIFFERENT ?auto_3747 ?auto_3748 ) ( LOCATION ?auto_3758 ) ( CITY ?auto_3751 ) ( IN-CITY ?auto_3758 ?auto_3751 ) ( IN-CITY ?auto_3748 ?auto_3751 ) ( DIFFERENT ?auto_3748 ?auto_3758 ) ( LOCATION ?auto_3750 ) ( CITY ?auto_3753 ) ( AT ?auto_3759 ?auto_3750 ) ( IN-CITY ?auto_3750 ?auto_3753 ) ( IN-CITY ?auto_3758 ?auto_3753 ) ( DIFFERENT ?auto_3758 ?auto_3750 ) ( LOCATION ?auto_3760 ) ( AT ?auto_3759 ?auto_3760 ) ( TRUCK ?auto_3752 ) ( AT ?auto_3752 ?auto_3760 ) ( LOCATION ?auto_3755 ) ( AT ?auto_3752 ?auto_3755 ) ( TRUCK ?auto_3757 ) ( AT ?auto_3757 ?auto_3755 ) ( LOCATION ?auto_3762 ) ( AT ?auto_3757 ?auto_3762 ) ( AT ?auto_3746 ?auto_3762 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3746 ?auto_3757 ?auto_3762 )
      ( DELIVER-PKG ?auto_3746 ?auto_3747 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3729
      ?auto_3730
    )
    :vars
    (
      ?auto_3732
      ?auto_3735
      ?auto_3736
      ?auto_3740
      ?auto_3741
      ?auto_3739
      ?auto_3742
      ?auto_3734
      ?auto_3731
      ?auto_3738
      ?auto_3745
    )
    :precondition
    ( and ( OBJ ?auto_3729 ) ( LOCATION ?auto_3730 ) ( TRUCK ?auto_3732 ) ( LOCATION ?auto_3735 ) ( CITY ?auto_3736 ) ( IN-CITY ?auto_3735 ?auto_3736 ) ( IN-CITY ?auto_3730 ?auto_3736 ) ( DIFFERENT ?auto_3730 ?auto_3735 ) ( LOCATION ?auto_3740 ) ( CITY ?auto_3741 ) ( IN-CITY ?auto_3740 ?auto_3741 ) ( IN-CITY ?auto_3735 ?auto_3741 ) ( DIFFERENT ?auto_3735 ?auto_3740 ) ( LOCATION ?auto_3739 ) ( CITY ?auto_3742 ) ( AT ?auto_3732 ?auto_3739 ) ( IN-CITY ?auto_3739 ?auto_3742 ) ( IN-CITY ?auto_3740 ?auto_3742 ) ( DIFFERENT ?auto_3740 ?auto_3739 ) ( LOCATION ?auto_3734 ) ( AT ?auto_3732 ?auto_3734 ) ( TRUCK ?auto_3731 ) ( AT ?auto_3731 ?auto_3734 ) ( LOCATION ?auto_3738 ) ( AT ?auto_3731 ?auto_3738 ) ( TRUCK ?auto_3745 ) ( AT ?auto_3745 ?auto_3738 ) ( IN ?auto_3729 ?auto_3745 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3729 ?auto_3738 )
      ( DELIVER-PKG ?auto_3729 ?auto_3730 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3764
      ?auto_3765
    )
    :vars
    (
      ?auto_3777
      ?auto_3768
      ?auto_3773
      ?auto_3776
      ?auto_3770
      ?auto_3769
      ?auto_3772
      ?auto_3778
      ?auto_3771
      ?auto_3774
      ?auto_3775
      ?auto_3779
      ?auto_3781
    )
    :precondition
    ( and ( OBJ ?auto_3764 ) ( LOCATION ?auto_3765 ) ( TRUCK ?auto_3777 ) ( LOCATION ?auto_3768 ) ( CITY ?auto_3773 ) ( IN-CITY ?auto_3768 ?auto_3773 ) ( IN-CITY ?auto_3765 ?auto_3773 ) ( DIFFERENT ?auto_3765 ?auto_3768 ) ( LOCATION ?auto_3776 ) ( CITY ?auto_3770 ) ( IN-CITY ?auto_3776 ?auto_3770 ) ( IN-CITY ?auto_3768 ?auto_3770 ) ( DIFFERENT ?auto_3768 ?auto_3776 ) ( LOCATION ?auto_3769 ) ( CITY ?auto_3772 ) ( AT ?auto_3777 ?auto_3769 ) ( IN-CITY ?auto_3769 ?auto_3772 ) ( IN-CITY ?auto_3776 ?auto_3772 ) ( DIFFERENT ?auto_3776 ?auto_3769 ) ( LOCATION ?auto_3778 ) ( AT ?auto_3777 ?auto_3778 ) ( TRUCK ?auto_3771 ) ( AT ?auto_3771 ?auto_3778 ) ( LOCATION ?auto_3774 ) ( AT ?auto_3771 ?auto_3774 ) ( TRUCK ?auto_3775 ) ( AT ?auto_3775 ?auto_3774 ) ( LOCATION ?auto_3779 ) ( AT ?auto_3775 ?auto_3779 ) ( AIRPLANE ?auto_3781 ) ( IN ?auto_3764 ?auto_3781 ) ( AT ?auto_3781 ?auto_3779 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3764 ?auto_3779 )
      ( DELIVER-PKG ?auto_3764 ?auto_3765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3783
      ?auto_3784
    )
    :vars
    (
      ?auto_3797
      ?auto_3785
      ?auto_3792
      ?auto_3795
      ?auto_3789
      ?auto_3788
      ?auto_3791
      ?auto_3798
      ?auto_3790
      ?auto_3793
      ?auto_3794
      ?auto_3799
      ?auto_3796
      ?auto_3801
    )
    :precondition
    ( and ( OBJ ?auto_3783 ) ( LOCATION ?auto_3784 ) ( TRUCK ?auto_3797 ) ( LOCATION ?auto_3785 ) ( CITY ?auto_3792 ) ( IN-CITY ?auto_3785 ?auto_3792 ) ( IN-CITY ?auto_3784 ?auto_3792 ) ( DIFFERENT ?auto_3784 ?auto_3785 ) ( LOCATION ?auto_3795 ) ( CITY ?auto_3789 ) ( IN-CITY ?auto_3795 ?auto_3789 ) ( IN-CITY ?auto_3785 ?auto_3789 ) ( DIFFERENT ?auto_3785 ?auto_3795 ) ( LOCATION ?auto_3788 ) ( CITY ?auto_3791 ) ( AT ?auto_3797 ?auto_3788 ) ( IN-CITY ?auto_3788 ?auto_3791 ) ( IN-CITY ?auto_3795 ?auto_3791 ) ( DIFFERENT ?auto_3795 ?auto_3788 ) ( LOCATION ?auto_3798 ) ( AT ?auto_3797 ?auto_3798 ) ( TRUCK ?auto_3790 ) ( AT ?auto_3790 ?auto_3798 ) ( LOCATION ?auto_3793 ) ( AT ?auto_3790 ?auto_3793 ) ( TRUCK ?auto_3794 ) ( AT ?auto_3794 ?auto_3793 ) ( LOCATION ?auto_3799 ) ( AT ?auto_3794 ?auto_3799 ) ( AIRPLANE ?auto_3796 ) ( IN ?auto_3783 ?auto_3796 ) ( AIRPORT ?auto_3801 ) ( AIRPORT ?auto_3799 ) ( AT ?auto_3796 ?auto_3801 ) ( DIFFERENT ?auto_3799 ?auto_3801 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3796 ?auto_3801 ?auto_3799 )
      ( DELIVER-PKG ?auto_3783 ?auto_3784 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3821
      ?auto_3822
    )
    :vars
    (
      ?auto_3827
      ?auto_3837
      ?auto_3833
      ?auto_3832
      ?auto_3824
      ?auto_3838
      ?auto_3823
      ?auto_3828
      ?auto_3826
      ?auto_3834
      ?auto_3836
      ?auto_3831
      ?auto_3829
      ?auto_3830
      ?auto_3840
    )
    :precondition
    ( and ( OBJ ?auto_3821 ) ( LOCATION ?auto_3822 ) ( TRUCK ?auto_3827 ) ( LOCATION ?auto_3837 ) ( CITY ?auto_3833 ) ( IN-CITY ?auto_3837 ?auto_3833 ) ( IN-CITY ?auto_3822 ?auto_3833 ) ( DIFFERENT ?auto_3822 ?auto_3837 ) ( LOCATION ?auto_3832 ) ( CITY ?auto_3824 ) ( IN-CITY ?auto_3832 ?auto_3824 ) ( IN-CITY ?auto_3837 ?auto_3824 ) ( DIFFERENT ?auto_3837 ?auto_3832 ) ( LOCATION ?auto_3838 ) ( CITY ?auto_3823 ) ( AT ?auto_3827 ?auto_3838 ) ( IN-CITY ?auto_3838 ?auto_3823 ) ( IN-CITY ?auto_3832 ?auto_3823 ) ( DIFFERENT ?auto_3832 ?auto_3838 ) ( LOCATION ?auto_3828 ) ( AT ?auto_3827 ?auto_3828 ) ( TRUCK ?auto_3826 ) ( AT ?auto_3826 ?auto_3828 ) ( LOCATION ?auto_3834 ) ( AT ?auto_3826 ?auto_3834 ) ( TRUCK ?auto_3836 ) ( AT ?auto_3836 ?auto_3834 ) ( LOCATION ?auto_3831 ) ( AT ?auto_3836 ?auto_3831 ) ( AIRPLANE ?auto_3829 ) ( AIRPORT ?auto_3830 ) ( AIRPORT ?auto_3831 ) ( AT ?auto_3829 ?auto_3830 ) ( DIFFERENT ?auto_3831 ?auto_3830 ) ( LOCATION ?auto_3840 ) ( AT ?auto_3821 ?auto_3840 ) ( AT ?auto_3829 ?auto_3840 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3821 ?auto_3829 ?auto_3840 )
      ( DELIVER-PKG ?auto_3821 ?auto_3822 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3861
      ?auto_3862
    )
    :vars
    (
      ?auto_3869
      ?auto_3878
      ?auto_3875
      ?auto_3874
      ?auto_3866
      ?auto_3879
      ?auto_3867
      ?auto_3870
      ?auto_3868
      ?auto_3876
      ?auto_3877
      ?auto_3873
      ?auto_3871
      ?auto_3865
      ?auto_3881
    )
    :precondition
    ( and ( OBJ ?auto_3861 ) ( LOCATION ?auto_3862 ) ( TRUCK ?auto_3869 ) ( LOCATION ?auto_3878 ) ( CITY ?auto_3875 ) ( IN-CITY ?auto_3878 ?auto_3875 ) ( IN-CITY ?auto_3862 ?auto_3875 ) ( DIFFERENT ?auto_3862 ?auto_3878 ) ( LOCATION ?auto_3874 ) ( CITY ?auto_3866 ) ( IN-CITY ?auto_3874 ?auto_3866 ) ( IN-CITY ?auto_3878 ?auto_3866 ) ( DIFFERENT ?auto_3878 ?auto_3874 ) ( LOCATION ?auto_3879 ) ( CITY ?auto_3867 ) ( AT ?auto_3869 ?auto_3879 ) ( IN-CITY ?auto_3879 ?auto_3867 ) ( IN-CITY ?auto_3874 ?auto_3867 ) ( DIFFERENT ?auto_3874 ?auto_3879 ) ( LOCATION ?auto_3870 ) ( AT ?auto_3869 ?auto_3870 ) ( TRUCK ?auto_3868 ) ( AT ?auto_3868 ?auto_3870 ) ( LOCATION ?auto_3876 ) ( AT ?auto_3868 ?auto_3876 ) ( TRUCK ?auto_3877 ) ( AT ?auto_3877 ?auto_3876 ) ( LOCATION ?auto_3873 ) ( AT ?auto_3877 ?auto_3873 ) ( AIRPLANE ?auto_3871 ) ( AIRPORT ?auto_3865 ) ( AIRPORT ?auto_3873 ) ( DIFFERENT ?auto_3873 ?auto_3865 ) ( LOCATION ?auto_3865 ) ( AT ?auto_3861 ?auto_3865 ) ( AIRPORT ?auto_3881 ) ( AT ?auto_3871 ?auto_3881 ) ( DIFFERENT ?auto_3865 ?auto_3881 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3871 ?auto_3881 ?auto_3865 )
      ( DELIVER-PKG ?auto_3861 ?auto_3862 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3921
      ?auto_3922
    )
    :vars
    (
      ?auto_3932
      ?auto_3928
      ?auto_3937
      ?auto_3936
      ?auto_3927
      ?auto_3929
      ?auto_3925
      ?auto_3933
      ?auto_3931
      ?auto_3938
      ?auto_3939
      ?auto_3935
      ?auto_3934
      ?auto_3924
      ?auto_3930
      ?auto_3941
    )
    :precondition
    ( and ( OBJ ?auto_3921 ) ( LOCATION ?auto_3922 ) ( TRUCK ?auto_3932 ) ( LOCATION ?auto_3928 ) ( CITY ?auto_3937 ) ( IN-CITY ?auto_3928 ?auto_3937 ) ( IN-CITY ?auto_3922 ?auto_3937 ) ( DIFFERENT ?auto_3922 ?auto_3928 ) ( LOCATION ?auto_3936 ) ( CITY ?auto_3927 ) ( IN-CITY ?auto_3936 ?auto_3927 ) ( IN-CITY ?auto_3928 ?auto_3927 ) ( DIFFERENT ?auto_3928 ?auto_3936 ) ( LOCATION ?auto_3929 ) ( CITY ?auto_3925 ) ( AT ?auto_3932 ?auto_3929 ) ( IN-CITY ?auto_3929 ?auto_3925 ) ( IN-CITY ?auto_3936 ?auto_3925 ) ( DIFFERENT ?auto_3936 ?auto_3929 ) ( LOCATION ?auto_3933 ) ( AT ?auto_3932 ?auto_3933 ) ( TRUCK ?auto_3931 ) ( AT ?auto_3931 ?auto_3933 ) ( LOCATION ?auto_3938 ) ( AT ?auto_3931 ?auto_3938 ) ( TRUCK ?auto_3939 ) ( AT ?auto_3939 ?auto_3938 ) ( LOCATION ?auto_3935 ) ( AT ?auto_3939 ?auto_3935 ) ( AIRPLANE ?auto_3934 ) ( AIRPORT ?auto_3924 ) ( AIRPORT ?auto_3935 ) ( DIFFERENT ?auto_3935 ?auto_3924 ) ( LOCATION ?auto_3924 ) ( AT ?auto_3921 ?auto_3924 ) ( AIRPORT ?auto_3930 ) ( DIFFERENT ?auto_3924 ?auto_3930 ) ( AIRPORT ?auto_3941 ) ( AT ?auto_3934 ?auto_3941 ) ( DIFFERENT ?auto_3930 ?auto_3941 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3934 ?auto_3941 ?auto_3930 )
      ( DELIVER-PKG ?auto_3921 ?auto_3922 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3943
      ?auto_3944
    )
    :vars
    (
      ?auto_3954
      ?auto_3958
      ?auto_3949
      ?auto_3948
      ?auto_3947
      ?auto_3959
      ?auto_3952
      ?auto_3955
      ?auto_3961
      ?auto_3950
      ?auto_3951
      ?auto_3957
      ?auto_3956
      ?auto_3946
      ?auto_3960
      ?auto_3953
      ?auto_3965
    )
    :precondition
    ( and ( OBJ ?auto_3943 ) ( LOCATION ?auto_3944 ) ( TRUCK ?auto_3954 ) ( LOCATION ?auto_3958 ) ( CITY ?auto_3949 ) ( IN-CITY ?auto_3958 ?auto_3949 ) ( IN-CITY ?auto_3944 ?auto_3949 ) ( DIFFERENT ?auto_3944 ?auto_3958 ) ( LOCATION ?auto_3948 ) ( CITY ?auto_3947 ) ( IN-CITY ?auto_3948 ?auto_3947 ) ( IN-CITY ?auto_3958 ?auto_3947 ) ( DIFFERENT ?auto_3958 ?auto_3948 ) ( LOCATION ?auto_3959 ) ( CITY ?auto_3952 ) ( AT ?auto_3954 ?auto_3959 ) ( IN-CITY ?auto_3959 ?auto_3952 ) ( IN-CITY ?auto_3948 ?auto_3952 ) ( DIFFERENT ?auto_3948 ?auto_3959 ) ( LOCATION ?auto_3955 ) ( AT ?auto_3954 ?auto_3955 ) ( TRUCK ?auto_3961 ) ( AT ?auto_3961 ?auto_3955 ) ( LOCATION ?auto_3950 ) ( AT ?auto_3961 ?auto_3950 ) ( TRUCK ?auto_3951 ) ( AT ?auto_3951 ?auto_3950 ) ( LOCATION ?auto_3957 ) ( AT ?auto_3951 ?auto_3957 ) ( AIRPLANE ?auto_3956 ) ( AIRPORT ?auto_3946 ) ( AIRPORT ?auto_3957 ) ( DIFFERENT ?auto_3957 ?auto_3946 ) ( LOCATION ?auto_3946 ) ( AIRPORT ?auto_3960 ) ( DIFFERENT ?auto_3946 ?auto_3960 ) ( AIRPORT ?auto_3953 ) ( AT ?auto_3956 ?auto_3953 ) ( DIFFERENT ?auto_3960 ?auto_3953 ) ( TRUCK ?auto_3965 ) ( AT ?auto_3965 ?auto_3946 ) ( IN ?auto_3943 ?auto_3965 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3943 ?auto_3946 )
      ( DELIVER-PKG ?auto_3943 ?auto_3944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3987
      ?auto_3988
    )
    :vars
    (
      ?auto_3994
      ?auto_3998
      ?auto_4006
      ?auto_4004
      ?auto_4003
      ?auto_3995
      ?auto_4007
      ?auto_3992
      ?auto_4000
      ?auto_4005
      ?auto_3991
      ?auto_3997
      ?auto_3999
      ?auto_4001
      ?auto_4002
      ?auto_3990
      ?auto_3996
      ?auto_4010
      ?auto_4009
    )
    :precondition
    ( and ( OBJ ?auto_3987 ) ( LOCATION ?auto_3988 ) ( TRUCK ?auto_3994 ) ( LOCATION ?auto_3998 ) ( CITY ?auto_4006 ) ( IN-CITY ?auto_3998 ?auto_4006 ) ( IN-CITY ?auto_3988 ?auto_4006 ) ( DIFFERENT ?auto_3988 ?auto_3998 ) ( LOCATION ?auto_4004 ) ( CITY ?auto_4003 ) ( IN-CITY ?auto_4004 ?auto_4003 ) ( IN-CITY ?auto_3998 ?auto_4003 ) ( DIFFERENT ?auto_3998 ?auto_4004 ) ( LOCATION ?auto_3995 ) ( CITY ?auto_4007 ) ( AT ?auto_3994 ?auto_3995 ) ( IN-CITY ?auto_3995 ?auto_4007 ) ( IN-CITY ?auto_4004 ?auto_4007 ) ( DIFFERENT ?auto_4004 ?auto_3995 ) ( LOCATION ?auto_3992 ) ( AT ?auto_3994 ?auto_3992 ) ( TRUCK ?auto_4000 ) ( AT ?auto_4000 ?auto_3992 ) ( LOCATION ?auto_4005 ) ( AT ?auto_4000 ?auto_4005 ) ( TRUCK ?auto_3991 ) ( AT ?auto_3991 ?auto_4005 ) ( LOCATION ?auto_3997 ) ( AT ?auto_3991 ?auto_3997 ) ( AIRPLANE ?auto_3999 ) ( AIRPORT ?auto_4001 ) ( AIRPORT ?auto_3997 ) ( DIFFERENT ?auto_3997 ?auto_4001 ) ( LOCATION ?auto_4001 ) ( AIRPORT ?auto_4002 ) ( DIFFERENT ?auto_4001 ?auto_4002 ) ( AIRPORT ?auto_3990 ) ( AT ?auto_3999 ?auto_3990 ) ( DIFFERENT ?auto_4002 ?auto_3990 ) ( TRUCK ?auto_3996 ) ( IN ?auto_3987 ?auto_3996 ) ( LOCATION ?auto_4010 ) ( CITY ?auto_4009 ) ( AT ?auto_3996 ?auto_4010 ) ( IN-CITY ?auto_4010 ?auto_4009 ) ( IN-CITY ?auto_4001 ?auto_4009 ) ( DIFFERENT ?auto_4001 ?auto_4010 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3996 ?auto_4010 ?auto_4001 ?auto_4009 )
      ( DELIVER-PKG ?auto_3987 ?auto_3988 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4035
      ?auto_4036
    )
    :vars
    (
      ?auto_4039
      ?auto_4043
      ?auto_4052
      ?auto_4049
      ?auto_4048
      ?auto_4040
      ?auto_4037
      ?auto_4038
      ?auto_4045
      ?auto_4050
      ?auto_4053
      ?auto_4042
      ?auto_4044
      ?auto_4046
      ?auto_4047
      ?auto_4056
      ?auto_4041
      ?auto_4057
      ?auto_4051
      ?auto_4059
    )
    :precondition
    ( and ( OBJ ?auto_4035 ) ( LOCATION ?auto_4036 ) ( TRUCK ?auto_4039 ) ( LOCATION ?auto_4043 ) ( CITY ?auto_4052 ) ( IN-CITY ?auto_4043 ?auto_4052 ) ( IN-CITY ?auto_4036 ?auto_4052 ) ( DIFFERENT ?auto_4036 ?auto_4043 ) ( LOCATION ?auto_4049 ) ( CITY ?auto_4048 ) ( IN-CITY ?auto_4049 ?auto_4048 ) ( IN-CITY ?auto_4043 ?auto_4048 ) ( DIFFERENT ?auto_4043 ?auto_4049 ) ( LOCATION ?auto_4040 ) ( CITY ?auto_4037 ) ( AT ?auto_4039 ?auto_4040 ) ( IN-CITY ?auto_4040 ?auto_4037 ) ( IN-CITY ?auto_4049 ?auto_4037 ) ( DIFFERENT ?auto_4049 ?auto_4040 ) ( LOCATION ?auto_4038 ) ( AT ?auto_4039 ?auto_4038 ) ( TRUCK ?auto_4045 ) ( AT ?auto_4045 ?auto_4038 ) ( LOCATION ?auto_4050 ) ( AT ?auto_4045 ?auto_4050 ) ( TRUCK ?auto_4053 ) ( AT ?auto_4053 ?auto_4050 ) ( LOCATION ?auto_4042 ) ( AT ?auto_4053 ?auto_4042 ) ( AIRPLANE ?auto_4044 ) ( AIRPORT ?auto_4046 ) ( AIRPORT ?auto_4042 ) ( DIFFERENT ?auto_4042 ?auto_4046 ) ( LOCATION ?auto_4046 ) ( AIRPORT ?auto_4047 ) ( DIFFERENT ?auto_4046 ?auto_4047 ) ( AIRPORT ?auto_4056 ) ( AT ?auto_4044 ?auto_4056 ) ( DIFFERENT ?auto_4047 ?auto_4056 ) ( TRUCK ?auto_4041 ) ( LOCATION ?auto_4057 ) ( CITY ?auto_4051 ) ( AT ?auto_4041 ?auto_4057 ) ( IN-CITY ?auto_4057 ?auto_4051 ) ( IN-CITY ?auto_4046 ?auto_4051 ) ( DIFFERENT ?auto_4046 ?auto_4057 ) ( LOCATION ?auto_4059 ) ( AT ?auto_4041 ?auto_4059 ) ( AT ?auto_4035 ?auto_4059 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4035 ?auto_4041 ?auto_4059 )
      ( DELIVER-PKG ?auto_4035 ?auto_4036 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4085
      ?auto_4086
    )
    :vars
    (
      ?auto_4091
      ?auto_4095
      ?auto_4104
      ?auto_4101
      ?auto_4100
      ?auto_4088
      ?auto_4107
      ?auto_4090
      ?auto_4097
      ?auto_4102
      ?auto_4105
      ?auto_4087
      ?auto_4096
      ?auto_4098
      ?auto_4099
      ?auto_4092
      ?auto_4089
      ?auto_4106
      ?auto_4103
      ?auto_4111
      ?auto_4110
    )
    :precondition
    ( and ( OBJ ?auto_4085 ) ( LOCATION ?auto_4086 ) ( TRUCK ?auto_4091 ) ( LOCATION ?auto_4095 ) ( CITY ?auto_4104 ) ( IN-CITY ?auto_4095 ?auto_4104 ) ( IN-CITY ?auto_4086 ?auto_4104 ) ( DIFFERENT ?auto_4086 ?auto_4095 ) ( LOCATION ?auto_4101 ) ( CITY ?auto_4100 ) ( IN-CITY ?auto_4101 ?auto_4100 ) ( IN-CITY ?auto_4095 ?auto_4100 ) ( DIFFERENT ?auto_4095 ?auto_4101 ) ( LOCATION ?auto_4088 ) ( CITY ?auto_4107 ) ( AT ?auto_4091 ?auto_4088 ) ( IN-CITY ?auto_4088 ?auto_4107 ) ( IN-CITY ?auto_4101 ?auto_4107 ) ( DIFFERENT ?auto_4101 ?auto_4088 ) ( LOCATION ?auto_4090 ) ( AT ?auto_4091 ?auto_4090 ) ( TRUCK ?auto_4097 ) ( AT ?auto_4097 ?auto_4090 ) ( LOCATION ?auto_4102 ) ( AT ?auto_4097 ?auto_4102 ) ( TRUCK ?auto_4105 ) ( AT ?auto_4105 ?auto_4102 ) ( LOCATION ?auto_4087 ) ( AT ?auto_4105 ?auto_4087 ) ( AIRPLANE ?auto_4096 ) ( AIRPORT ?auto_4098 ) ( AIRPORT ?auto_4087 ) ( DIFFERENT ?auto_4087 ?auto_4098 ) ( LOCATION ?auto_4098 ) ( AIRPORT ?auto_4099 ) ( DIFFERENT ?auto_4098 ?auto_4099 ) ( AIRPORT ?auto_4092 ) ( AT ?auto_4096 ?auto_4092 ) ( DIFFERENT ?auto_4099 ?auto_4092 ) ( TRUCK ?auto_4089 ) ( LOCATION ?auto_4106 ) ( CITY ?auto_4103 ) ( IN-CITY ?auto_4106 ?auto_4103 ) ( IN-CITY ?auto_4098 ?auto_4103 ) ( DIFFERENT ?auto_4098 ?auto_4106 ) ( AT ?auto_4085 ?auto_4106 ) ( LOCATION ?auto_4111 ) ( CITY ?auto_4110 ) ( AT ?auto_4089 ?auto_4111 ) ( IN-CITY ?auto_4111 ?auto_4110 ) ( IN-CITY ?auto_4106 ?auto_4110 ) ( DIFFERENT ?auto_4106 ?auto_4111 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4089 ?auto_4111 ?auto_4106 ?auto_4110 )
      ( DELIVER-PKG ?auto_4085 ?auto_4086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4138
      ?auto_4139
    )
    :vars
    (
      ?auto_4142
      ?auto_4145
      ?auto_4155
      ?auto_4152
      ?auto_4151
      ?auto_4162
      ?auto_4159
      ?auto_4149
      ?auto_4147
      ?auto_4153
      ?auto_4156
      ?auto_4161
      ?auto_4146
      ?auto_4148
      ?auto_4150
      ?auto_4144
      ?auto_4143
      ?auto_4157
      ?auto_4154
      ?auto_4141
      ?auto_4158
      ?auto_4165
      ?auto_4164
    )
    :precondition
    ( and ( OBJ ?auto_4138 ) ( LOCATION ?auto_4139 ) ( TRUCK ?auto_4142 ) ( LOCATION ?auto_4145 ) ( CITY ?auto_4155 ) ( IN-CITY ?auto_4145 ?auto_4155 ) ( IN-CITY ?auto_4139 ?auto_4155 ) ( DIFFERENT ?auto_4139 ?auto_4145 ) ( LOCATION ?auto_4152 ) ( CITY ?auto_4151 ) ( IN-CITY ?auto_4152 ?auto_4151 ) ( IN-CITY ?auto_4145 ?auto_4151 ) ( DIFFERENT ?auto_4145 ?auto_4152 ) ( LOCATION ?auto_4162 ) ( CITY ?auto_4159 ) ( AT ?auto_4142 ?auto_4162 ) ( IN-CITY ?auto_4162 ?auto_4159 ) ( IN-CITY ?auto_4152 ?auto_4159 ) ( DIFFERENT ?auto_4152 ?auto_4162 ) ( LOCATION ?auto_4149 ) ( AT ?auto_4142 ?auto_4149 ) ( TRUCK ?auto_4147 ) ( AT ?auto_4147 ?auto_4149 ) ( LOCATION ?auto_4153 ) ( AT ?auto_4147 ?auto_4153 ) ( TRUCK ?auto_4156 ) ( AT ?auto_4156 ?auto_4153 ) ( LOCATION ?auto_4161 ) ( AT ?auto_4156 ?auto_4161 ) ( AIRPLANE ?auto_4146 ) ( AIRPORT ?auto_4148 ) ( AIRPORT ?auto_4161 ) ( DIFFERENT ?auto_4161 ?auto_4148 ) ( LOCATION ?auto_4148 ) ( AIRPORT ?auto_4150 ) ( DIFFERENT ?auto_4148 ?auto_4150 ) ( AIRPORT ?auto_4144 ) ( AT ?auto_4146 ?auto_4144 ) ( DIFFERENT ?auto_4150 ?auto_4144 ) ( TRUCK ?auto_4143 ) ( LOCATION ?auto_4157 ) ( CITY ?auto_4154 ) ( IN-CITY ?auto_4157 ?auto_4154 ) ( IN-CITY ?auto_4148 ?auto_4154 ) ( DIFFERENT ?auto_4148 ?auto_4157 ) ( AT ?auto_4138 ?auto_4157 ) ( LOCATION ?auto_4141 ) ( CITY ?auto_4158 ) ( IN-CITY ?auto_4141 ?auto_4158 ) ( IN-CITY ?auto_4157 ?auto_4158 ) ( DIFFERENT ?auto_4157 ?auto_4141 ) ( LOCATION ?auto_4165 ) ( CITY ?auto_4164 ) ( AT ?auto_4143 ?auto_4165 ) ( IN-CITY ?auto_4165 ?auto_4164 ) ( IN-CITY ?auto_4141 ?auto_4164 ) ( DIFFERENT ?auto_4141 ?auto_4165 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4143 ?auto_4165 ?auto_4141 ?auto_4164 )
      ( DELIVER-PKG ?auto_4138 ?auto_4139 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4221
      ?auto_4222
    )
    :vars
    (
      ?auto_4246
      ?auto_4244
      ?auto_4228
      ?auto_4225
      ?auto_4241
      ?auto_4236
      ?auto_4233
      ?auto_4239
      ?auto_4237
      ?auto_4226
      ?auto_4229
      ?auto_4235
      ?auto_4224
      ?auto_4238
      ?auto_4240
      ?auto_4242
      ?auto_4247
      ?auto_4230
      ?auto_4227
      ?auto_4223
      ?auto_4232
      ?auto_4243
      ?auto_4231
      ?auto_4249
    )
    :precondition
    ( and ( OBJ ?auto_4221 ) ( LOCATION ?auto_4222 ) ( TRUCK ?auto_4246 ) ( LOCATION ?auto_4244 ) ( CITY ?auto_4228 ) ( IN-CITY ?auto_4244 ?auto_4228 ) ( IN-CITY ?auto_4222 ?auto_4228 ) ( DIFFERENT ?auto_4222 ?auto_4244 ) ( LOCATION ?auto_4225 ) ( CITY ?auto_4241 ) ( IN-CITY ?auto_4225 ?auto_4241 ) ( IN-CITY ?auto_4244 ?auto_4241 ) ( DIFFERENT ?auto_4244 ?auto_4225 ) ( LOCATION ?auto_4236 ) ( CITY ?auto_4233 ) ( AT ?auto_4246 ?auto_4236 ) ( IN-CITY ?auto_4236 ?auto_4233 ) ( IN-CITY ?auto_4225 ?auto_4233 ) ( DIFFERENT ?auto_4225 ?auto_4236 ) ( LOCATION ?auto_4239 ) ( AT ?auto_4246 ?auto_4239 ) ( TRUCK ?auto_4237 ) ( AT ?auto_4237 ?auto_4239 ) ( LOCATION ?auto_4226 ) ( AT ?auto_4237 ?auto_4226 ) ( TRUCK ?auto_4229 ) ( AT ?auto_4229 ?auto_4226 ) ( LOCATION ?auto_4235 ) ( AT ?auto_4229 ?auto_4235 ) ( AIRPLANE ?auto_4224 ) ( AIRPORT ?auto_4238 ) ( AIRPORT ?auto_4235 ) ( DIFFERENT ?auto_4235 ?auto_4238 ) ( LOCATION ?auto_4238 ) ( AIRPORT ?auto_4240 ) ( DIFFERENT ?auto_4238 ?auto_4240 ) ( AIRPORT ?auto_4242 ) ( DIFFERENT ?auto_4240 ?auto_4242 ) ( TRUCK ?auto_4247 ) ( LOCATION ?auto_4230 ) ( CITY ?auto_4227 ) ( IN-CITY ?auto_4230 ?auto_4227 ) ( IN-CITY ?auto_4238 ?auto_4227 ) ( DIFFERENT ?auto_4238 ?auto_4230 ) ( AT ?auto_4221 ?auto_4230 ) ( LOCATION ?auto_4223 ) ( CITY ?auto_4232 ) ( IN-CITY ?auto_4223 ?auto_4232 ) ( IN-CITY ?auto_4230 ?auto_4232 ) ( DIFFERENT ?auto_4230 ?auto_4223 ) ( LOCATION ?auto_4243 ) ( CITY ?auto_4231 ) ( AT ?auto_4247 ?auto_4243 ) ( IN-CITY ?auto_4243 ?auto_4231 ) ( IN-CITY ?auto_4223 ?auto_4231 ) ( DIFFERENT ?auto_4223 ?auto_4243 ) ( AIRPORT ?auto_4249 ) ( AT ?auto_4224 ?auto_4249 ) ( DIFFERENT ?auto_4242 ?auto_4249 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4224 ?auto_4249 ?auto_4242 )
      ( DELIVER-PKG ?auto_4221 ?auto_4222 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4891
      ?auto_4892
    )
    :vars
    (
      ?auto_4895
      ?auto_4894
      ?auto_4893
      ?auto_4901
      ?auto_4900
      ?auto_4897
      ?auto_4896
      ?auto_4904
      ?auto_4903
    )
    :precondition
    ( and ( OBJ ?auto_4891 ) ( LOCATION ?auto_4892 ) ( TRUCK ?auto_4895 ) ( LOCATION ?auto_4894 ) ( CITY ?auto_4893 ) ( IN-CITY ?auto_4894 ?auto_4893 ) ( IN-CITY ?auto_4892 ?auto_4893 ) ( DIFFERENT ?auto_4892 ?auto_4894 ) ( LOCATION ?auto_4901 ) ( CITY ?auto_4900 ) ( IN-CITY ?auto_4901 ?auto_4900 ) ( IN-CITY ?auto_4894 ?auto_4900 ) ( DIFFERENT ?auto_4894 ?auto_4901 ) ( IN ?auto_4891 ?auto_4895 ) ( LOCATION ?auto_4897 ) ( CITY ?auto_4896 ) ( IN-CITY ?auto_4897 ?auto_4896 ) ( IN-CITY ?auto_4901 ?auto_4896 ) ( DIFFERENT ?auto_4901 ?auto_4897 ) ( LOCATION ?auto_4904 ) ( CITY ?auto_4903 ) ( AT ?auto_4895 ?auto_4904 ) ( IN-CITY ?auto_4904 ?auto_4903 ) ( IN-CITY ?auto_4897 ?auto_4903 ) ( DIFFERENT ?auto_4897 ?auto_4904 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4895 ?auto_4904 ?auto_4897 ?auto_4903 )
      ( DELIVER-PKG ?auto_4891 ?auto_4892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4976
      ?auto_4977
    )
    :vars
    (
      ?auto_4988
      ?auto_4984
      ?auto_4978
      ?auto_4990
      ?auto_4983
      ?auto_4989
      ?auto_4991
      ?auto_4992
      ?auto_4981
      ?auto_4985
      ?auto_4980
      ?auto_4979
      ?auto_4982
      ?auto_4994
    )
    :precondition
    ( and ( OBJ ?auto_4976 ) ( LOCATION ?auto_4977 ) ( TRUCK ?auto_4988 ) ( LOCATION ?auto_4984 ) ( CITY ?auto_4978 ) ( IN-CITY ?auto_4984 ?auto_4978 ) ( IN-CITY ?auto_4977 ?auto_4978 ) ( DIFFERENT ?auto_4977 ?auto_4984 ) ( LOCATION ?auto_4990 ) ( CITY ?auto_4983 ) ( IN-CITY ?auto_4990 ?auto_4983 ) ( IN-CITY ?auto_4984 ?auto_4983 ) ( DIFFERENT ?auto_4984 ?auto_4990 ) ( LOCATION ?auto_4989 ) ( CITY ?auto_4991 ) ( IN-CITY ?auto_4989 ?auto_4991 ) ( IN-CITY ?auto_4990 ?auto_4991 ) ( DIFFERENT ?auto_4990 ?auto_4989 ) ( LOCATION ?auto_4992 ) ( CITY ?auto_4981 ) ( AT ?auto_4988 ?auto_4992 ) ( IN-CITY ?auto_4992 ?auto_4981 ) ( IN-CITY ?auto_4989 ?auto_4981 ) ( DIFFERENT ?auto_4989 ?auto_4992 ) ( LOCATION ?auto_4985 ) ( AT ?auto_4988 ?auto_4985 ) ( TRUCK ?auto_4980 ) ( AT ?auto_4980 ?auto_4985 ) ( LOCATION ?auto_4979 ) ( AT ?auto_4980 ?auto_4979 ) ( TRUCK ?auto_4982 ) ( AT ?auto_4982 ?auto_4979 ) ( LOCATION ?auto_4994 ) ( AT ?auto_4982 ?auto_4994 ) ( AT ?auto_4976 ?auto_4994 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4976 ?auto_4982 ?auto_4994 )
      ( DELIVER-PKG ?auto_4976 ?auto_4977 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4957
      ?auto_4958
    )
    :vars
    (
      ?auto_4972
      ?auto_4968
      ?auto_4971
      ?auto_4961
      ?auto_4959
      ?auto_4960
      ?auto_4962
      ?auto_4965
      ?auto_4966
      ?auto_4969
      ?auto_4970
      ?auto_4967
      ?auto_4975
    )
    :precondition
    ( and ( OBJ ?auto_4957 ) ( LOCATION ?auto_4958 ) ( TRUCK ?auto_4972 ) ( LOCATION ?auto_4968 ) ( CITY ?auto_4971 ) ( IN-CITY ?auto_4968 ?auto_4971 ) ( IN-CITY ?auto_4958 ?auto_4971 ) ( DIFFERENT ?auto_4958 ?auto_4968 ) ( LOCATION ?auto_4961 ) ( CITY ?auto_4959 ) ( IN-CITY ?auto_4961 ?auto_4959 ) ( IN-CITY ?auto_4968 ?auto_4959 ) ( DIFFERENT ?auto_4968 ?auto_4961 ) ( LOCATION ?auto_4960 ) ( CITY ?auto_4962 ) ( IN-CITY ?auto_4960 ?auto_4962 ) ( IN-CITY ?auto_4961 ?auto_4962 ) ( DIFFERENT ?auto_4961 ?auto_4960 ) ( LOCATION ?auto_4965 ) ( CITY ?auto_4966 ) ( AT ?auto_4972 ?auto_4965 ) ( IN-CITY ?auto_4965 ?auto_4966 ) ( IN-CITY ?auto_4960 ?auto_4966 ) ( DIFFERENT ?auto_4960 ?auto_4965 ) ( LOCATION ?auto_4969 ) ( AT ?auto_4972 ?auto_4969 ) ( TRUCK ?auto_4970 ) ( AT ?auto_4970 ?auto_4969 ) ( LOCATION ?auto_4967 ) ( AT ?auto_4970 ?auto_4967 ) ( TRUCK ?auto_4975 ) ( AT ?auto_4975 ?auto_4967 ) ( IN ?auto_4957 ?auto_4975 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4957 ?auto_4967 )
      ( DELIVER-PKG ?auto_4957 ?auto_4958 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4996
      ?auto_4997
    )
    :vars
    (
      ?auto_5004
      ?auto_5001
      ?auto_5000
      ?auto_4999
      ?auto_5012
      ?auto_4998
      ?auto_5007
      ?auto_5002
      ?auto_5008
      ?auto_5013
      ?auto_5009
      ?auto_5010
      ?auto_5011
      ?auto_5005
      ?auto_5015
    )
    :precondition
    ( and ( OBJ ?auto_4996 ) ( LOCATION ?auto_4997 ) ( TRUCK ?auto_5004 ) ( LOCATION ?auto_5001 ) ( CITY ?auto_5000 ) ( IN-CITY ?auto_5001 ?auto_5000 ) ( IN-CITY ?auto_4997 ?auto_5000 ) ( DIFFERENT ?auto_4997 ?auto_5001 ) ( LOCATION ?auto_4999 ) ( CITY ?auto_5012 ) ( IN-CITY ?auto_4999 ?auto_5012 ) ( IN-CITY ?auto_5001 ?auto_5012 ) ( DIFFERENT ?auto_5001 ?auto_4999 ) ( LOCATION ?auto_4998 ) ( CITY ?auto_5007 ) ( IN-CITY ?auto_4998 ?auto_5007 ) ( IN-CITY ?auto_4999 ?auto_5007 ) ( DIFFERENT ?auto_4999 ?auto_4998 ) ( LOCATION ?auto_5002 ) ( CITY ?auto_5008 ) ( AT ?auto_5004 ?auto_5002 ) ( IN-CITY ?auto_5002 ?auto_5008 ) ( IN-CITY ?auto_4998 ?auto_5008 ) ( DIFFERENT ?auto_4998 ?auto_5002 ) ( LOCATION ?auto_5013 ) ( AT ?auto_5004 ?auto_5013 ) ( TRUCK ?auto_5009 ) ( AT ?auto_5009 ?auto_5013 ) ( LOCATION ?auto_5010 ) ( AT ?auto_5009 ?auto_5010 ) ( TRUCK ?auto_5011 ) ( AT ?auto_5011 ?auto_5010 ) ( LOCATION ?auto_5005 ) ( AT ?auto_5011 ?auto_5005 ) ( AIRPLANE ?auto_5015 ) ( IN ?auto_4996 ?auto_5015 ) ( AT ?auto_5015 ?auto_5005 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4996 ?auto_5005 )
      ( DELIVER-PKG ?auto_4996 ?auto_4997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5017
      ?auto_5018
    )
    :vars
    (
      ?auto_5035
      ?auto_5031
      ?auto_5032
      ?auto_5028
      ?auto_5022
      ?auto_5027
      ?auto_5029
      ?auto_5034
      ?auto_5030
      ?auto_5021
      ?auto_5020
      ?auto_5025
      ?auto_5033
      ?auto_5024
      ?auto_5019
      ?auto_5037
    )
    :precondition
    ( and ( OBJ ?auto_5017 ) ( LOCATION ?auto_5018 ) ( TRUCK ?auto_5035 ) ( LOCATION ?auto_5031 ) ( CITY ?auto_5032 ) ( IN-CITY ?auto_5031 ?auto_5032 ) ( IN-CITY ?auto_5018 ?auto_5032 ) ( DIFFERENT ?auto_5018 ?auto_5031 ) ( LOCATION ?auto_5028 ) ( CITY ?auto_5022 ) ( IN-CITY ?auto_5028 ?auto_5022 ) ( IN-CITY ?auto_5031 ?auto_5022 ) ( DIFFERENT ?auto_5031 ?auto_5028 ) ( LOCATION ?auto_5027 ) ( CITY ?auto_5029 ) ( IN-CITY ?auto_5027 ?auto_5029 ) ( IN-CITY ?auto_5028 ?auto_5029 ) ( DIFFERENT ?auto_5028 ?auto_5027 ) ( LOCATION ?auto_5034 ) ( CITY ?auto_5030 ) ( AT ?auto_5035 ?auto_5034 ) ( IN-CITY ?auto_5034 ?auto_5030 ) ( IN-CITY ?auto_5027 ?auto_5030 ) ( DIFFERENT ?auto_5027 ?auto_5034 ) ( LOCATION ?auto_5021 ) ( AT ?auto_5035 ?auto_5021 ) ( TRUCK ?auto_5020 ) ( AT ?auto_5020 ?auto_5021 ) ( LOCATION ?auto_5025 ) ( AT ?auto_5020 ?auto_5025 ) ( TRUCK ?auto_5033 ) ( AT ?auto_5033 ?auto_5025 ) ( LOCATION ?auto_5024 ) ( AT ?auto_5033 ?auto_5024 ) ( AIRPLANE ?auto_5019 ) ( IN ?auto_5017 ?auto_5019 ) ( AIRPORT ?auto_5037 ) ( AIRPORT ?auto_5024 ) ( AT ?auto_5019 ?auto_5037 ) ( DIFFERENT ?auto_5024 ?auto_5037 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5019 ?auto_5037 ?auto_5024 )
      ( DELIVER-PKG ?auto_5017 ?auto_5018 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5059
      ?auto_5060
    )
    :vars
    (
      ?auto_5068
      ?auto_5062
      ?auto_5063
      ?auto_5071
      ?auto_5073
      ?auto_5078
      ?auto_5072
      ?auto_5066
      ?auto_5061
      ?auto_5075
      ?auto_5070
      ?auto_5077
      ?auto_5074
      ?auto_5076
      ?auto_5069
      ?auto_5067
      ?auto_5080
    )
    :precondition
    ( and ( OBJ ?auto_5059 ) ( LOCATION ?auto_5060 ) ( TRUCK ?auto_5068 ) ( LOCATION ?auto_5062 ) ( CITY ?auto_5063 ) ( IN-CITY ?auto_5062 ?auto_5063 ) ( IN-CITY ?auto_5060 ?auto_5063 ) ( DIFFERENT ?auto_5060 ?auto_5062 ) ( LOCATION ?auto_5071 ) ( CITY ?auto_5073 ) ( IN-CITY ?auto_5071 ?auto_5073 ) ( IN-CITY ?auto_5062 ?auto_5073 ) ( DIFFERENT ?auto_5062 ?auto_5071 ) ( LOCATION ?auto_5078 ) ( CITY ?auto_5072 ) ( IN-CITY ?auto_5078 ?auto_5072 ) ( IN-CITY ?auto_5071 ?auto_5072 ) ( DIFFERENT ?auto_5071 ?auto_5078 ) ( LOCATION ?auto_5066 ) ( CITY ?auto_5061 ) ( AT ?auto_5068 ?auto_5066 ) ( IN-CITY ?auto_5066 ?auto_5061 ) ( IN-CITY ?auto_5078 ?auto_5061 ) ( DIFFERENT ?auto_5078 ?auto_5066 ) ( LOCATION ?auto_5075 ) ( AT ?auto_5068 ?auto_5075 ) ( TRUCK ?auto_5070 ) ( AT ?auto_5070 ?auto_5075 ) ( LOCATION ?auto_5077 ) ( AT ?auto_5070 ?auto_5077 ) ( TRUCK ?auto_5074 ) ( AT ?auto_5074 ?auto_5077 ) ( LOCATION ?auto_5076 ) ( AT ?auto_5074 ?auto_5076 ) ( AIRPLANE ?auto_5069 ) ( AIRPORT ?auto_5067 ) ( AIRPORT ?auto_5076 ) ( AT ?auto_5069 ?auto_5067 ) ( DIFFERENT ?auto_5076 ?auto_5067 ) ( LOCATION ?auto_5080 ) ( AT ?auto_5059 ?auto_5080 ) ( AT ?auto_5069 ?auto_5080 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5059 ?auto_5069 ?auto_5080 )
      ( DELIVER-PKG ?auto_5059 ?auto_5060 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5103
      ?auto_5104
    )
    :vars
    (
      ?auto_5105
      ?auto_5120
      ?auto_5123
      ?auto_5109
      ?auto_5111
      ?auto_5119
      ?auto_5110
      ?auto_5107
      ?auto_5122
      ?auto_5115
      ?auto_5108
      ?auto_5118
      ?auto_5112
      ?auto_5117
      ?auto_5106
      ?auto_5116
      ?auto_5125
    )
    :precondition
    ( and ( OBJ ?auto_5103 ) ( LOCATION ?auto_5104 ) ( TRUCK ?auto_5105 ) ( LOCATION ?auto_5120 ) ( CITY ?auto_5123 ) ( IN-CITY ?auto_5120 ?auto_5123 ) ( IN-CITY ?auto_5104 ?auto_5123 ) ( DIFFERENT ?auto_5104 ?auto_5120 ) ( LOCATION ?auto_5109 ) ( CITY ?auto_5111 ) ( IN-CITY ?auto_5109 ?auto_5111 ) ( IN-CITY ?auto_5120 ?auto_5111 ) ( DIFFERENT ?auto_5120 ?auto_5109 ) ( LOCATION ?auto_5119 ) ( CITY ?auto_5110 ) ( IN-CITY ?auto_5119 ?auto_5110 ) ( IN-CITY ?auto_5109 ?auto_5110 ) ( DIFFERENT ?auto_5109 ?auto_5119 ) ( LOCATION ?auto_5107 ) ( CITY ?auto_5122 ) ( AT ?auto_5105 ?auto_5107 ) ( IN-CITY ?auto_5107 ?auto_5122 ) ( IN-CITY ?auto_5119 ?auto_5122 ) ( DIFFERENT ?auto_5119 ?auto_5107 ) ( LOCATION ?auto_5115 ) ( AT ?auto_5105 ?auto_5115 ) ( TRUCK ?auto_5108 ) ( AT ?auto_5108 ?auto_5115 ) ( LOCATION ?auto_5118 ) ( AT ?auto_5108 ?auto_5118 ) ( TRUCK ?auto_5112 ) ( AT ?auto_5112 ?auto_5118 ) ( LOCATION ?auto_5117 ) ( AT ?auto_5112 ?auto_5117 ) ( AIRPLANE ?auto_5106 ) ( AIRPORT ?auto_5116 ) ( AIRPORT ?auto_5117 ) ( DIFFERENT ?auto_5117 ?auto_5116 ) ( LOCATION ?auto_5116 ) ( AT ?auto_5103 ?auto_5116 ) ( AIRPORT ?auto_5125 ) ( AT ?auto_5106 ?auto_5125 ) ( DIFFERENT ?auto_5116 ?auto_5125 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5106 ?auto_5125 ?auto_5116 )
      ( DELIVER-PKG ?auto_5103 ?auto_5104 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5169
      ?auto_5170
    )
    :vars
    (
      ?auto_5172
      ?auto_5185
      ?auto_5176
      ?auto_5188
      ?auto_5178
      ?auto_5184
      ?auto_5177
      ?auto_5174
      ?auto_5186
      ?auto_5180
      ?auto_5173
      ?auto_5183
      ?auto_5179
      ?auto_5182
      ?auto_5171
      ?auto_5181
      ?auto_5175
      ?auto_5191
    )
    :precondition
    ( and ( OBJ ?auto_5169 ) ( LOCATION ?auto_5170 ) ( TRUCK ?auto_5172 ) ( LOCATION ?auto_5185 ) ( CITY ?auto_5176 ) ( IN-CITY ?auto_5185 ?auto_5176 ) ( IN-CITY ?auto_5170 ?auto_5176 ) ( DIFFERENT ?auto_5170 ?auto_5185 ) ( LOCATION ?auto_5188 ) ( CITY ?auto_5178 ) ( IN-CITY ?auto_5188 ?auto_5178 ) ( IN-CITY ?auto_5185 ?auto_5178 ) ( DIFFERENT ?auto_5185 ?auto_5188 ) ( LOCATION ?auto_5184 ) ( CITY ?auto_5177 ) ( IN-CITY ?auto_5184 ?auto_5177 ) ( IN-CITY ?auto_5188 ?auto_5177 ) ( DIFFERENT ?auto_5188 ?auto_5184 ) ( LOCATION ?auto_5174 ) ( CITY ?auto_5186 ) ( AT ?auto_5172 ?auto_5174 ) ( IN-CITY ?auto_5174 ?auto_5186 ) ( IN-CITY ?auto_5184 ?auto_5186 ) ( DIFFERENT ?auto_5184 ?auto_5174 ) ( LOCATION ?auto_5180 ) ( AT ?auto_5172 ?auto_5180 ) ( TRUCK ?auto_5173 ) ( AT ?auto_5173 ?auto_5180 ) ( LOCATION ?auto_5183 ) ( AT ?auto_5173 ?auto_5183 ) ( TRUCK ?auto_5179 ) ( AT ?auto_5179 ?auto_5183 ) ( LOCATION ?auto_5182 ) ( AT ?auto_5179 ?auto_5182 ) ( AIRPLANE ?auto_5171 ) ( AIRPORT ?auto_5181 ) ( AIRPORT ?auto_5182 ) ( DIFFERENT ?auto_5182 ?auto_5181 ) ( LOCATION ?auto_5181 ) ( AT ?auto_5169 ?auto_5181 ) ( AIRPORT ?auto_5175 ) ( DIFFERENT ?auto_5181 ?auto_5175 ) ( AIRPORT ?auto_5191 ) ( AT ?auto_5171 ?auto_5191 ) ( DIFFERENT ?auto_5175 ?auto_5191 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5171 ?auto_5191 ?auto_5175 )
      ( DELIVER-PKG ?auto_5169 ?auto_5170 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5193
      ?auto_5194
    )
    :vars
    (
      ?auto_5196
      ?auto_5198
      ?auto_5214
      ?auto_5201
      ?auto_5207
      ?auto_5213
      ?auto_5206
      ?auto_5203
      ?auto_5199
      ?auto_5209
      ?auto_5197
      ?auto_5212
      ?auto_5208
      ?auto_5211
      ?auto_5202
      ?auto_5210
      ?auto_5204
      ?auto_5200
      ?auto_5217
    )
    :precondition
    ( and ( OBJ ?auto_5193 ) ( LOCATION ?auto_5194 ) ( TRUCK ?auto_5196 ) ( LOCATION ?auto_5198 ) ( CITY ?auto_5214 ) ( IN-CITY ?auto_5198 ?auto_5214 ) ( IN-CITY ?auto_5194 ?auto_5214 ) ( DIFFERENT ?auto_5194 ?auto_5198 ) ( LOCATION ?auto_5201 ) ( CITY ?auto_5207 ) ( IN-CITY ?auto_5201 ?auto_5207 ) ( IN-CITY ?auto_5198 ?auto_5207 ) ( DIFFERENT ?auto_5198 ?auto_5201 ) ( LOCATION ?auto_5213 ) ( CITY ?auto_5206 ) ( IN-CITY ?auto_5213 ?auto_5206 ) ( IN-CITY ?auto_5201 ?auto_5206 ) ( DIFFERENT ?auto_5201 ?auto_5213 ) ( LOCATION ?auto_5203 ) ( CITY ?auto_5199 ) ( AT ?auto_5196 ?auto_5203 ) ( IN-CITY ?auto_5203 ?auto_5199 ) ( IN-CITY ?auto_5213 ?auto_5199 ) ( DIFFERENT ?auto_5213 ?auto_5203 ) ( LOCATION ?auto_5209 ) ( AT ?auto_5196 ?auto_5209 ) ( TRUCK ?auto_5197 ) ( AT ?auto_5197 ?auto_5209 ) ( LOCATION ?auto_5212 ) ( AT ?auto_5197 ?auto_5212 ) ( TRUCK ?auto_5208 ) ( AT ?auto_5208 ?auto_5212 ) ( LOCATION ?auto_5211 ) ( AT ?auto_5208 ?auto_5211 ) ( AIRPLANE ?auto_5202 ) ( AIRPORT ?auto_5210 ) ( AIRPORT ?auto_5211 ) ( DIFFERENT ?auto_5211 ?auto_5210 ) ( LOCATION ?auto_5210 ) ( AIRPORT ?auto_5204 ) ( DIFFERENT ?auto_5210 ?auto_5204 ) ( AIRPORT ?auto_5200 ) ( AT ?auto_5202 ?auto_5200 ) ( DIFFERENT ?auto_5204 ?auto_5200 ) ( TRUCK ?auto_5217 ) ( AT ?auto_5217 ?auto_5210 ) ( IN ?auto_5193 ?auto_5217 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5193 ?auto_5210 )
      ( DELIVER-PKG ?auto_5193 ?auto_5194 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5241
      ?auto_5242
    )
    :vars
    (
      ?auto_5260
      ?auto_5263
      ?auto_5254
      ?auto_5246
      ?auto_5252
      ?auto_5253
      ?auto_5256
      ?auto_5247
      ?auto_5261
      ?auto_5257
      ?auto_5259
      ?auto_5249
      ?auto_5251
      ?auto_5248
      ?auto_5244
      ?auto_5258
      ?auto_5243
      ?auto_5262
      ?auto_5250
      ?auto_5266
      ?auto_5265
    )
    :precondition
    ( and ( OBJ ?auto_5241 ) ( LOCATION ?auto_5242 ) ( TRUCK ?auto_5260 ) ( LOCATION ?auto_5263 ) ( CITY ?auto_5254 ) ( IN-CITY ?auto_5263 ?auto_5254 ) ( IN-CITY ?auto_5242 ?auto_5254 ) ( DIFFERENT ?auto_5242 ?auto_5263 ) ( LOCATION ?auto_5246 ) ( CITY ?auto_5252 ) ( IN-CITY ?auto_5246 ?auto_5252 ) ( IN-CITY ?auto_5263 ?auto_5252 ) ( DIFFERENT ?auto_5263 ?auto_5246 ) ( LOCATION ?auto_5253 ) ( CITY ?auto_5256 ) ( IN-CITY ?auto_5253 ?auto_5256 ) ( IN-CITY ?auto_5246 ?auto_5256 ) ( DIFFERENT ?auto_5246 ?auto_5253 ) ( LOCATION ?auto_5247 ) ( CITY ?auto_5261 ) ( AT ?auto_5260 ?auto_5247 ) ( IN-CITY ?auto_5247 ?auto_5261 ) ( IN-CITY ?auto_5253 ?auto_5261 ) ( DIFFERENT ?auto_5253 ?auto_5247 ) ( LOCATION ?auto_5257 ) ( AT ?auto_5260 ?auto_5257 ) ( TRUCK ?auto_5259 ) ( AT ?auto_5259 ?auto_5257 ) ( LOCATION ?auto_5249 ) ( AT ?auto_5259 ?auto_5249 ) ( TRUCK ?auto_5251 ) ( AT ?auto_5251 ?auto_5249 ) ( LOCATION ?auto_5248 ) ( AT ?auto_5251 ?auto_5248 ) ( AIRPLANE ?auto_5244 ) ( AIRPORT ?auto_5258 ) ( AIRPORT ?auto_5248 ) ( DIFFERENT ?auto_5248 ?auto_5258 ) ( LOCATION ?auto_5258 ) ( AIRPORT ?auto_5243 ) ( DIFFERENT ?auto_5258 ?auto_5243 ) ( AIRPORT ?auto_5262 ) ( AT ?auto_5244 ?auto_5262 ) ( DIFFERENT ?auto_5243 ?auto_5262 ) ( TRUCK ?auto_5250 ) ( IN ?auto_5241 ?auto_5250 ) ( LOCATION ?auto_5266 ) ( CITY ?auto_5265 ) ( AT ?auto_5250 ?auto_5266 ) ( IN-CITY ?auto_5266 ?auto_5265 ) ( IN-CITY ?auto_5258 ?auto_5265 ) ( DIFFERENT ?auto_5258 ?auto_5266 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5250 ?auto_5266 ?auto_5258 ?auto_5265 )
      ( DELIVER-PKG ?auto_5241 ?auto_5242 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5293
      ?auto_5294
    )
    :vars
    (
      ?auto_5312
      ?auto_5299
      ?auto_5305
      ?auto_5297
      ?auto_5303
      ?auto_5304
      ?auto_5306
      ?auto_5298
      ?auto_5313
      ?auto_5307
      ?auto_5310
      ?auto_5300
      ?auto_5302
      ?auto_5296
      ?auto_5317
      ?auto_5308
      ?auto_5316
      ?auto_5314
      ?auto_5301
      ?auto_5309
      ?auto_5311
      ?auto_5319
    )
    :precondition
    ( and ( OBJ ?auto_5293 ) ( LOCATION ?auto_5294 ) ( TRUCK ?auto_5312 ) ( LOCATION ?auto_5299 ) ( CITY ?auto_5305 ) ( IN-CITY ?auto_5299 ?auto_5305 ) ( IN-CITY ?auto_5294 ?auto_5305 ) ( DIFFERENT ?auto_5294 ?auto_5299 ) ( LOCATION ?auto_5297 ) ( CITY ?auto_5303 ) ( IN-CITY ?auto_5297 ?auto_5303 ) ( IN-CITY ?auto_5299 ?auto_5303 ) ( DIFFERENT ?auto_5299 ?auto_5297 ) ( LOCATION ?auto_5304 ) ( CITY ?auto_5306 ) ( IN-CITY ?auto_5304 ?auto_5306 ) ( IN-CITY ?auto_5297 ?auto_5306 ) ( DIFFERENT ?auto_5297 ?auto_5304 ) ( LOCATION ?auto_5298 ) ( CITY ?auto_5313 ) ( AT ?auto_5312 ?auto_5298 ) ( IN-CITY ?auto_5298 ?auto_5313 ) ( IN-CITY ?auto_5304 ?auto_5313 ) ( DIFFERENT ?auto_5304 ?auto_5298 ) ( LOCATION ?auto_5307 ) ( AT ?auto_5312 ?auto_5307 ) ( TRUCK ?auto_5310 ) ( AT ?auto_5310 ?auto_5307 ) ( LOCATION ?auto_5300 ) ( AT ?auto_5310 ?auto_5300 ) ( TRUCK ?auto_5302 ) ( AT ?auto_5302 ?auto_5300 ) ( LOCATION ?auto_5296 ) ( AT ?auto_5302 ?auto_5296 ) ( AIRPLANE ?auto_5317 ) ( AIRPORT ?auto_5308 ) ( AIRPORT ?auto_5296 ) ( DIFFERENT ?auto_5296 ?auto_5308 ) ( LOCATION ?auto_5308 ) ( AIRPORT ?auto_5316 ) ( DIFFERENT ?auto_5308 ?auto_5316 ) ( AIRPORT ?auto_5314 ) ( AT ?auto_5317 ?auto_5314 ) ( DIFFERENT ?auto_5316 ?auto_5314 ) ( TRUCK ?auto_5301 ) ( LOCATION ?auto_5309 ) ( CITY ?auto_5311 ) ( AT ?auto_5301 ?auto_5309 ) ( IN-CITY ?auto_5309 ?auto_5311 ) ( IN-CITY ?auto_5308 ?auto_5311 ) ( DIFFERENT ?auto_5308 ?auto_5309 ) ( LOCATION ?auto_5319 ) ( AT ?auto_5301 ?auto_5319 ) ( AT ?auto_5293 ?auto_5319 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5293 ?auto_5301 ?auto_5319 )
      ( DELIVER-PKG ?auto_5293 ?auto_5294 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5347
      ?auto_5348
    )
    :vars
    (
      ?auto_5364
      ?auto_5351
      ?auto_5357
      ?auto_5349
      ?auto_5355
      ?auto_5356
      ?auto_5358
      ?auto_5353
      ?auto_5366
      ?auto_5359
      ?auto_5362
      ?auto_5370
      ?auto_5354
      ?auto_5350
      ?auto_5369
      ?auto_5360
      ?auto_5368
      ?auto_5367
      ?auto_5372
      ?auto_5365
      ?auto_5363
      ?auto_5375
      ?auto_5374
    )
    :precondition
    ( and ( OBJ ?auto_5347 ) ( LOCATION ?auto_5348 ) ( TRUCK ?auto_5364 ) ( LOCATION ?auto_5351 ) ( CITY ?auto_5357 ) ( IN-CITY ?auto_5351 ?auto_5357 ) ( IN-CITY ?auto_5348 ?auto_5357 ) ( DIFFERENT ?auto_5348 ?auto_5351 ) ( LOCATION ?auto_5349 ) ( CITY ?auto_5355 ) ( IN-CITY ?auto_5349 ?auto_5355 ) ( IN-CITY ?auto_5351 ?auto_5355 ) ( DIFFERENT ?auto_5351 ?auto_5349 ) ( LOCATION ?auto_5356 ) ( CITY ?auto_5358 ) ( IN-CITY ?auto_5356 ?auto_5358 ) ( IN-CITY ?auto_5349 ?auto_5358 ) ( DIFFERENT ?auto_5349 ?auto_5356 ) ( LOCATION ?auto_5353 ) ( CITY ?auto_5366 ) ( AT ?auto_5364 ?auto_5353 ) ( IN-CITY ?auto_5353 ?auto_5366 ) ( IN-CITY ?auto_5356 ?auto_5366 ) ( DIFFERENT ?auto_5356 ?auto_5353 ) ( LOCATION ?auto_5359 ) ( AT ?auto_5364 ?auto_5359 ) ( TRUCK ?auto_5362 ) ( AT ?auto_5362 ?auto_5359 ) ( LOCATION ?auto_5370 ) ( AT ?auto_5362 ?auto_5370 ) ( TRUCK ?auto_5354 ) ( AT ?auto_5354 ?auto_5370 ) ( LOCATION ?auto_5350 ) ( AT ?auto_5354 ?auto_5350 ) ( AIRPLANE ?auto_5369 ) ( AIRPORT ?auto_5360 ) ( AIRPORT ?auto_5350 ) ( DIFFERENT ?auto_5350 ?auto_5360 ) ( LOCATION ?auto_5360 ) ( AIRPORT ?auto_5368 ) ( DIFFERENT ?auto_5360 ?auto_5368 ) ( AIRPORT ?auto_5367 ) ( AT ?auto_5369 ?auto_5367 ) ( DIFFERENT ?auto_5368 ?auto_5367 ) ( TRUCK ?auto_5372 ) ( LOCATION ?auto_5365 ) ( CITY ?auto_5363 ) ( IN-CITY ?auto_5365 ?auto_5363 ) ( IN-CITY ?auto_5360 ?auto_5363 ) ( DIFFERENT ?auto_5360 ?auto_5365 ) ( AT ?auto_5347 ?auto_5365 ) ( LOCATION ?auto_5375 ) ( CITY ?auto_5374 ) ( AT ?auto_5372 ?auto_5375 ) ( IN-CITY ?auto_5375 ?auto_5374 ) ( IN-CITY ?auto_5365 ?auto_5374 ) ( DIFFERENT ?auto_5365 ?auto_5375 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5372 ?auto_5375 ?auto_5365 ?auto_5374 )
      ( DELIVER-PKG ?auto_5347 ?auto_5348 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5404
      ?auto_5405
    )
    :vars
    (
      ?auto_5417
      ?auto_5406
      ?auto_5411
      ?auto_5428
      ?auto_5427
      ?auto_5410
      ?auto_5412
      ?auto_5407
      ?auto_5419
      ?auto_5413
      ?auto_5415
      ?auto_5424
      ?auto_5409
      ?auto_5430
      ?auto_5423
      ?auto_5414
      ?auto_5421
      ?auto_5420
      ?auto_5425
      ?auto_5418
      ?auto_5416
      ?auto_5408
      ?auto_5422
      ?auto_5433
      ?auto_5432
    )
    :precondition
    ( and ( OBJ ?auto_5404 ) ( LOCATION ?auto_5405 ) ( TRUCK ?auto_5417 ) ( LOCATION ?auto_5406 ) ( CITY ?auto_5411 ) ( IN-CITY ?auto_5406 ?auto_5411 ) ( IN-CITY ?auto_5405 ?auto_5411 ) ( DIFFERENT ?auto_5405 ?auto_5406 ) ( LOCATION ?auto_5428 ) ( CITY ?auto_5427 ) ( IN-CITY ?auto_5428 ?auto_5427 ) ( IN-CITY ?auto_5406 ?auto_5427 ) ( DIFFERENT ?auto_5406 ?auto_5428 ) ( LOCATION ?auto_5410 ) ( CITY ?auto_5412 ) ( IN-CITY ?auto_5410 ?auto_5412 ) ( IN-CITY ?auto_5428 ?auto_5412 ) ( DIFFERENT ?auto_5428 ?auto_5410 ) ( LOCATION ?auto_5407 ) ( CITY ?auto_5419 ) ( AT ?auto_5417 ?auto_5407 ) ( IN-CITY ?auto_5407 ?auto_5419 ) ( IN-CITY ?auto_5410 ?auto_5419 ) ( DIFFERENT ?auto_5410 ?auto_5407 ) ( LOCATION ?auto_5413 ) ( AT ?auto_5417 ?auto_5413 ) ( TRUCK ?auto_5415 ) ( AT ?auto_5415 ?auto_5413 ) ( LOCATION ?auto_5424 ) ( AT ?auto_5415 ?auto_5424 ) ( TRUCK ?auto_5409 ) ( AT ?auto_5409 ?auto_5424 ) ( LOCATION ?auto_5430 ) ( AT ?auto_5409 ?auto_5430 ) ( AIRPLANE ?auto_5423 ) ( AIRPORT ?auto_5414 ) ( AIRPORT ?auto_5430 ) ( DIFFERENT ?auto_5430 ?auto_5414 ) ( LOCATION ?auto_5414 ) ( AIRPORT ?auto_5421 ) ( DIFFERENT ?auto_5414 ?auto_5421 ) ( AIRPORT ?auto_5420 ) ( AT ?auto_5423 ?auto_5420 ) ( DIFFERENT ?auto_5421 ?auto_5420 ) ( TRUCK ?auto_5425 ) ( LOCATION ?auto_5418 ) ( CITY ?auto_5416 ) ( IN-CITY ?auto_5418 ?auto_5416 ) ( IN-CITY ?auto_5414 ?auto_5416 ) ( DIFFERENT ?auto_5414 ?auto_5418 ) ( AT ?auto_5404 ?auto_5418 ) ( LOCATION ?auto_5408 ) ( CITY ?auto_5422 ) ( IN-CITY ?auto_5408 ?auto_5422 ) ( IN-CITY ?auto_5418 ?auto_5422 ) ( DIFFERENT ?auto_5418 ?auto_5408 ) ( LOCATION ?auto_5433 ) ( CITY ?auto_5432 ) ( AT ?auto_5425 ?auto_5433 ) ( IN-CITY ?auto_5433 ?auto_5432 ) ( IN-CITY ?auto_5408 ?auto_5432 ) ( DIFFERENT ?auto_5408 ?auto_5433 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5425 ?auto_5433 ?auto_5408 ?auto_5432 )
      ( DELIVER-PKG ?auto_5404 ?auto_5405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5493
      ?auto_5494
    )
    :vars
    (
      ?auto_5511
      ?auto_5521
      ?auto_5498
      ?auto_5516
      ?auto_5515
      ?auto_5496
      ?auto_5514
      ?auto_5495
      ?auto_5513
      ?auto_5499
      ?auto_5509
      ?auto_5505
      ?auto_5497
      ?auto_5507
      ?auto_5504
      ?auto_5508
      ?auto_5501
      ?auto_5500
      ?auto_5506
      ?auto_5512
      ?auto_5510
      ?auto_5519
      ?auto_5502
      ?auto_5517
      ?auto_5503
      ?auto_5523
    )
    :precondition
    ( and ( OBJ ?auto_5493 ) ( LOCATION ?auto_5494 ) ( TRUCK ?auto_5511 ) ( LOCATION ?auto_5521 ) ( CITY ?auto_5498 ) ( IN-CITY ?auto_5521 ?auto_5498 ) ( IN-CITY ?auto_5494 ?auto_5498 ) ( DIFFERENT ?auto_5494 ?auto_5521 ) ( LOCATION ?auto_5516 ) ( CITY ?auto_5515 ) ( IN-CITY ?auto_5516 ?auto_5515 ) ( IN-CITY ?auto_5521 ?auto_5515 ) ( DIFFERENT ?auto_5521 ?auto_5516 ) ( LOCATION ?auto_5496 ) ( CITY ?auto_5514 ) ( IN-CITY ?auto_5496 ?auto_5514 ) ( IN-CITY ?auto_5516 ?auto_5514 ) ( DIFFERENT ?auto_5516 ?auto_5496 ) ( LOCATION ?auto_5495 ) ( CITY ?auto_5513 ) ( AT ?auto_5511 ?auto_5495 ) ( IN-CITY ?auto_5495 ?auto_5513 ) ( IN-CITY ?auto_5496 ?auto_5513 ) ( DIFFERENT ?auto_5496 ?auto_5495 ) ( LOCATION ?auto_5499 ) ( AT ?auto_5511 ?auto_5499 ) ( TRUCK ?auto_5509 ) ( AT ?auto_5509 ?auto_5499 ) ( LOCATION ?auto_5505 ) ( AT ?auto_5509 ?auto_5505 ) ( TRUCK ?auto_5497 ) ( AT ?auto_5497 ?auto_5505 ) ( LOCATION ?auto_5507 ) ( AT ?auto_5497 ?auto_5507 ) ( AIRPLANE ?auto_5504 ) ( AIRPORT ?auto_5508 ) ( AIRPORT ?auto_5507 ) ( DIFFERENT ?auto_5507 ?auto_5508 ) ( LOCATION ?auto_5508 ) ( AIRPORT ?auto_5501 ) ( DIFFERENT ?auto_5508 ?auto_5501 ) ( AIRPORT ?auto_5500 ) ( DIFFERENT ?auto_5501 ?auto_5500 ) ( TRUCK ?auto_5506 ) ( LOCATION ?auto_5512 ) ( CITY ?auto_5510 ) ( IN-CITY ?auto_5512 ?auto_5510 ) ( IN-CITY ?auto_5508 ?auto_5510 ) ( DIFFERENT ?auto_5508 ?auto_5512 ) ( AT ?auto_5493 ?auto_5512 ) ( LOCATION ?auto_5519 ) ( CITY ?auto_5502 ) ( IN-CITY ?auto_5519 ?auto_5502 ) ( IN-CITY ?auto_5512 ?auto_5502 ) ( DIFFERENT ?auto_5512 ?auto_5519 ) ( LOCATION ?auto_5517 ) ( CITY ?auto_5503 ) ( AT ?auto_5506 ?auto_5517 ) ( IN-CITY ?auto_5517 ?auto_5503 ) ( IN-CITY ?auto_5519 ?auto_5503 ) ( DIFFERENT ?auto_5519 ?auto_5517 ) ( AIRPORT ?auto_5523 ) ( AT ?auto_5504 ?auto_5523 ) ( DIFFERENT ?auto_5500 ?auto_5523 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5504 ?auto_5523 ?auto_5500 )
      ( DELIVER-PKG ?auto_5493 ?auto_5494 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6365
      ?auto_6366
    )
    :vars
    (
      ?auto_6375
      ?auto_6376
      ?auto_6369
      ?auto_6377
      ?auto_6367
      ?auto_6372
      ?auto_6374
      ?auto_6371
      ?auto_6370
      ?auto_6380
      ?auto_6379
    )
    :precondition
    ( and ( OBJ ?auto_6365 ) ( LOCATION ?auto_6366 ) ( TRUCK ?auto_6375 ) ( LOCATION ?auto_6376 ) ( CITY ?auto_6369 ) ( IN-CITY ?auto_6376 ?auto_6369 ) ( IN-CITY ?auto_6366 ?auto_6369 ) ( DIFFERENT ?auto_6366 ?auto_6376 ) ( LOCATION ?auto_6377 ) ( CITY ?auto_6367 ) ( IN-CITY ?auto_6377 ?auto_6367 ) ( IN-CITY ?auto_6376 ?auto_6367 ) ( DIFFERENT ?auto_6376 ?auto_6377 ) ( LOCATION ?auto_6372 ) ( CITY ?auto_6374 ) ( IN-CITY ?auto_6372 ?auto_6374 ) ( IN-CITY ?auto_6377 ?auto_6374 ) ( DIFFERENT ?auto_6377 ?auto_6372 ) ( IN ?auto_6365 ?auto_6375 ) ( LOCATION ?auto_6371 ) ( CITY ?auto_6370 ) ( IN-CITY ?auto_6371 ?auto_6370 ) ( IN-CITY ?auto_6372 ?auto_6370 ) ( DIFFERENT ?auto_6372 ?auto_6371 ) ( LOCATION ?auto_6380 ) ( CITY ?auto_6379 ) ( AT ?auto_6375 ?auto_6380 ) ( IN-CITY ?auto_6380 ?auto_6379 ) ( IN-CITY ?auto_6371 ?auto_6379 ) ( DIFFERENT ?auto_6371 ?auto_6380 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6375 ?auto_6380 ?auto_6371 ?auto_6379 )
      ( DELIVER-PKG ?auto_6365 ?auto_6366 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6460
      ?auto_6461
    )
    :vars
    (
      ?auto_6469
      ?auto_6473
      ?auto_6476
      ?auto_6462
      ?auto_6468
      ?auto_6471
      ?auto_6467
      ?auto_6464
      ?auto_6477
      ?auto_6465
      ?auto_6478
      ?auto_6474
      ?auto_6475
      ?auto_6470
      ?auto_6463
      ?auto_6480
    )
    :precondition
    ( and ( OBJ ?auto_6460 ) ( LOCATION ?auto_6461 ) ( TRUCK ?auto_6469 ) ( LOCATION ?auto_6473 ) ( CITY ?auto_6476 ) ( IN-CITY ?auto_6473 ?auto_6476 ) ( IN-CITY ?auto_6461 ?auto_6476 ) ( DIFFERENT ?auto_6461 ?auto_6473 ) ( LOCATION ?auto_6462 ) ( CITY ?auto_6468 ) ( IN-CITY ?auto_6462 ?auto_6468 ) ( IN-CITY ?auto_6473 ?auto_6468 ) ( DIFFERENT ?auto_6473 ?auto_6462 ) ( LOCATION ?auto_6471 ) ( CITY ?auto_6467 ) ( IN-CITY ?auto_6471 ?auto_6467 ) ( IN-CITY ?auto_6462 ?auto_6467 ) ( DIFFERENT ?auto_6462 ?auto_6471 ) ( LOCATION ?auto_6464 ) ( CITY ?auto_6477 ) ( IN-CITY ?auto_6464 ?auto_6477 ) ( IN-CITY ?auto_6471 ?auto_6477 ) ( DIFFERENT ?auto_6471 ?auto_6464 ) ( LOCATION ?auto_6465 ) ( CITY ?auto_6478 ) ( AT ?auto_6469 ?auto_6465 ) ( IN-CITY ?auto_6465 ?auto_6478 ) ( IN-CITY ?auto_6464 ?auto_6478 ) ( DIFFERENT ?auto_6464 ?auto_6465 ) ( LOCATION ?auto_6474 ) ( AT ?auto_6469 ?auto_6474 ) ( TRUCK ?auto_6475 ) ( AT ?auto_6475 ?auto_6474 ) ( LOCATION ?auto_6470 ) ( AT ?auto_6475 ?auto_6470 ) ( TRUCK ?auto_6463 ) ( AT ?auto_6463 ?auto_6470 ) ( LOCATION ?auto_6480 ) ( AT ?auto_6463 ?auto_6480 ) ( AT ?auto_6460 ?auto_6480 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6460 ?auto_6463 ?auto_6480 )
      ( DELIVER-PKG ?auto_6460 ?auto_6461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6439
      ?auto_6440
    )
    :vars
    (
      ?auto_6456
      ?auto_6454
      ?auto_6443
      ?auto_6449
      ?auto_6451
      ?auto_6441
      ?auto_6453
      ?auto_6455
      ?auto_6446
      ?auto_6452
      ?auto_6447
      ?auto_6445
      ?auto_6444
      ?auto_6442
      ?auto_6459
    )
    :precondition
    ( and ( OBJ ?auto_6439 ) ( LOCATION ?auto_6440 ) ( TRUCK ?auto_6456 ) ( LOCATION ?auto_6454 ) ( CITY ?auto_6443 ) ( IN-CITY ?auto_6454 ?auto_6443 ) ( IN-CITY ?auto_6440 ?auto_6443 ) ( DIFFERENT ?auto_6440 ?auto_6454 ) ( LOCATION ?auto_6449 ) ( CITY ?auto_6451 ) ( IN-CITY ?auto_6449 ?auto_6451 ) ( IN-CITY ?auto_6454 ?auto_6451 ) ( DIFFERENT ?auto_6454 ?auto_6449 ) ( LOCATION ?auto_6441 ) ( CITY ?auto_6453 ) ( IN-CITY ?auto_6441 ?auto_6453 ) ( IN-CITY ?auto_6449 ?auto_6453 ) ( DIFFERENT ?auto_6449 ?auto_6441 ) ( LOCATION ?auto_6455 ) ( CITY ?auto_6446 ) ( IN-CITY ?auto_6455 ?auto_6446 ) ( IN-CITY ?auto_6441 ?auto_6446 ) ( DIFFERENT ?auto_6441 ?auto_6455 ) ( LOCATION ?auto_6452 ) ( CITY ?auto_6447 ) ( AT ?auto_6456 ?auto_6452 ) ( IN-CITY ?auto_6452 ?auto_6447 ) ( IN-CITY ?auto_6455 ?auto_6447 ) ( DIFFERENT ?auto_6455 ?auto_6452 ) ( LOCATION ?auto_6445 ) ( AT ?auto_6456 ?auto_6445 ) ( TRUCK ?auto_6444 ) ( AT ?auto_6444 ?auto_6445 ) ( LOCATION ?auto_6442 ) ( AT ?auto_6444 ?auto_6442 ) ( TRUCK ?auto_6459 ) ( AT ?auto_6459 ?auto_6442 ) ( IN ?auto_6439 ?auto_6459 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6439 ?auto_6442 )
      ( DELIVER-PKG ?auto_6439 ?auto_6440 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6482
      ?auto_6483
    )
    :vars
    (
      ?auto_6497
      ?auto_6496
      ?auto_6493
      ?auto_6486
      ?auto_6492
      ?auto_6494
      ?auto_6501
      ?auto_6499
      ?auto_6488
      ?auto_6500
      ?auto_6484
      ?auto_6485
      ?auto_6490
      ?auto_6487
      ?auto_6498
      ?auto_6489
      ?auto_6503
    )
    :precondition
    ( and ( OBJ ?auto_6482 ) ( LOCATION ?auto_6483 ) ( TRUCK ?auto_6497 ) ( LOCATION ?auto_6496 ) ( CITY ?auto_6493 ) ( IN-CITY ?auto_6496 ?auto_6493 ) ( IN-CITY ?auto_6483 ?auto_6493 ) ( DIFFERENT ?auto_6483 ?auto_6496 ) ( LOCATION ?auto_6486 ) ( CITY ?auto_6492 ) ( IN-CITY ?auto_6486 ?auto_6492 ) ( IN-CITY ?auto_6496 ?auto_6492 ) ( DIFFERENT ?auto_6496 ?auto_6486 ) ( LOCATION ?auto_6494 ) ( CITY ?auto_6501 ) ( IN-CITY ?auto_6494 ?auto_6501 ) ( IN-CITY ?auto_6486 ?auto_6501 ) ( DIFFERENT ?auto_6486 ?auto_6494 ) ( LOCATION ?auto_6499 ) ( CITY ?auto_6488 ) ( IN-CITY ?auto_6499 ?auto_6488 ) ( IN-CITY ?auto_6494 ?auto_6488 ) ( DIFFERENT ?auto_6494 ?auto_6499 ) ( LOCATION ?auto_6500 ) ( CITY ?auto_6484 ) ( AT ?auto_6497 ?auto_6500 ) ( IN-CITY ?auto_6500 ?auto_6484 ) ( IN-CITY ?auto_6499 ?auto_6484 ) ( DIFFERENT ?auto_6499 ?auto_6500 ) ( LOCATION ?auto_6485 ) ( AT ?auto_6497 ?auto_6485 ) ( TRUCK ?auto_6490 ) ( AT ?auto_6490 ?auto_6485 ) ( LOCATION ?auto_6487 ) ( AT ?auto_6490 ?auto_6487 ) ( TRUCK ?auto_6498 ) ( AT ?auto_6498 ?auto_6487 ) ( LOCATION ?auto_6489 ) ( AT ?auto_6498 ?auto_6489 ) ( AIRPLANE ?auto_6503 ) ( IN ?auto_6482 ?auto_6503 ) ( AT ?auto_6503 ?auto_6489 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6482 ?auto_6489 )
      ( DELIVER-PKG ?auto_6482 ?auto_6483 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6505
      ?auto_6506
    )
    :vars
    (
      ?auto_6520
      ?auto_6514
      ?auto_6512
      ?auto_6513
      ?auto_6511
      ?auto_6508
      ?auto_6507
      ?auto_6509
      ?auto_6522
      ?auto_6510
      ?auto_6519
      ?auto_6521
      ?auto_6525
      ?auto_6524
      ?auto_6515
      ?auto_6523
      ?auto_6516
      ?auto_6527
    )
    :precondition
    ( and ( OBJ ?auto_6505 ) ( LOCATION ?auto_6506 ) ( TRUCK ?auto_6520 ) ( LOCATION ?auto_6514 ) ( CITY ?auto_6512 ) ( IN-CITY ?auto_6514 ?auto_6512 ) ( IN-CITY ?auto_6506 ?auto_6512 ) ( DIFFERENT ?auto_6506 ?auto_6514 ) ( LOCATION ?auto_6513 ) ( CITY ?auto_6511 ) ( IN-CITY ?auto_6513 ?auto_6511 ) ( IN-CITY ?auto_6514 ?auto_6511 ) ( DIFFERENT ?auto_6514 ?auto_6513 ) ( LOCATION ?auto_6508 ) ( CITY ?auto_6507 ) ( IN-CITY ?auto_6508 ?auto_6507 ) ( IN-CITY ?auto_6513 ?auto_6507 ) ( DIFFERENT ?auto_6513 ?auto_6508 ) ( LOCATION ?auto_6509 ) ( CITY ?auto_6522 ) ( IN-CITY ?auto_6509 ?auto_6522 ) ( IN-CITY ?auto_6508 ?auto_6522 ) ( DIFFERENT ?auto_6508 ?auto_6509 ) ( LOCATION ?auto_6510 ) ( CITY ?auto_6519 ) ( AT ?auto_6520 ?auto_6510 ) ( IN-CITY ?auto_6510 ?auto_6519 ) ( IN-CITY ?auto_6509 ?auto_6519 ) ( DIFFERENT ?auto_6509 ?auto_6510 ) ( LOCATION ?auto_6521 ) ( AT ?auto_6520 ?auto_6521 ) ( TRUCK ?auto_6525 ) ( AT ?auto_6525 ?auto_6521 ) ( LOCATION ?auto_6524 ) ( AT ?auto_6525 ?auto_6524 ) ( TRUCK ?auto_6515 ) ( AT ?auto_6515 ?auto_6524 ) ( LOCATION ?auto_6523 ) ( AT ?auto_6515 ?auto_6523 ) ( AIRPLANE ?auto_6516 ) ( IN ?auto_6505 ?auto_6516 ) ( AIRPORT ?auto_6527 ) ( AIRPORT ?auto_6523 ) ( AT ?auto_6516 ?auto_6527 ) ( DIFFERENT ?auto_6523 ?auto_6527 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6516 ?auto_6527 ?auto_6523 )
      ( DELIVER-PKG ?auto_6505 ?auto_6506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6551
      ?auto_6552
    )
    :vars
    (
      ?auto_6556
      ?auto_6554
      ?auto_6572
      ?auto_6571
      ?auto_6570
      ?auto_6566
      ?auto_6560
      ?auto_6567
      ?auto_6568
      ?auto_6565
      ?auto_6559
      ?auto_6557
      ?auto_6558
      ?auto_6563
      ?auto_6555
      ?auto_6562
      ?auto_6553
      ?auto_6569
      ?auto_6574
    )
    :precondition
    ( and ( OBJ ?auto_6551 ) ( LOCATION ?auto_6552 ) ( TRUCK ?auto_6556 ) ( LOCATION ?auto_6554 ) ( CITY ?auto_6572 ) ( IN-CITY ?auto_6554 ?auto_6572 ) ( IN-CITY ?auto_6552 ?auto_6572 ) ( DIFFERENT ?auto_6552 ?auto_6554 ) ( LOCATION ?auto_6571 ) ( CITY ?auto_6570 ) ( IN-CITY ?auto_6571 ?auto_6570 ) ( IN-CITY ?auto_6554 ?auto_6570 ) ( DIFFERENT ?auto_6554 ?auto_6571 ) ( LOCATION ?auto_6566 ) ( CITY ?auto_6560 ) ( IN-CITY ?auto_6566 ?auto_6560 ) ( IN-CITY ?auto_6571 ?auto_6560 ) ( DIFFERENT ?auto_6571 ?auto_6566 ) ( LOCATION ?auto_6567 ) ( CITY ?auto_6568 ) ( IN-CITY ?auto_6567 ?auto_6568 ) ( IN-CITY ?auto_6566 ?auto_6568 ) ( DIFFERENT ?auto_6566 ?auto_6567 ) ( LOCATION ?auto_6565 ) ( CITY ?auto_6559 ) ( AT ?auto_6556 ?auto_6565 ) ( IN-CITY ?auto_6565 ?auto_6559 ) ( IN-CITY ?auto_6567 ?auto_6559 ) ( DIFFERENT ?auto_6567 ?auto_6565 ) ( LOCATION ?auto_6557 ) ( AT ?auto_6556 ?auto_6557 ) ( TRUCK ?auto_6558 ) ( AT ?auto_6558 ?auto_6557 ) ( LOCATION ?auto_6563 ) ( AT ?auto_6558 ?auto_6563 ) ( TRUCK ?auto_6555 ) ( AT ?auto_6555 ?auto_6563 ) ( LOCATION ?auto_6562 ) ( AT ?auto_6555 ?auto_6562 ) ( AIRPLANE ?auto_6553 ) ( AIRPORT ?auto_6569 ) ( AIRPORT ?auto_6562 ) ( AT ?auto_6553 ?auto_6569 ) ( DIFFERENT ?auto_6562 ?auto_6569 ) ( LOCATION ?auto_6574 ) ( AT ?auto_6551 ?auto_6574 ) ( AT ?auto_6553 ?auto_6574 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6551 ?auto_6553 ?auto_6574 )
      ( DELIVER-PKG ?auto_6551 ?auto_6552 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6599
      ?auto_6600
    )
    :vars
    (
      ?auto_6603
      ?auto_6609
      ?auto_6611
      ?auto_6610
      ?auto_6618
      ?auto_6613
      ?auto_6601
      ?auto_6614
      ?auto_6615
      ?auto_6612
      ?auto_6607
      ?auto_6619
      ?auto_6605
      ?auto_6608
      ?auto_6604
      ?auto_6602
      ?auto_6621
      ?auto_6616
      ?auto_6623
    )
    :precondition
    ( and ( OBJ ?auto_6599 ) ( LOCATION ?auto_6600 ) ( TRUCK ?auto_6603 ) ( LOCATION ?auto_6609 ) ( CITY ?auto_6611 ) ( IN-CITY ?auto_6609 ?auto_6611 ) ( IN-CITY ?auto_6600 ?auto_6611 ) ( DIFFERENT ?auto_6600 ?auto_6609 ) ( LOCATION ?auto_6610 ) ( CITY ?auto_6618 ) ( IN-CITY ?auto_6610 ?auto_6618 ) ( IN-CITY ?auto_6609 ?auto_6618 ) ( DIFFERENT ?auto_6609 ?auto_6610 ) ( LOCATION ?auto_6613 ) ( CITY ?auto_6601 ) ( IN-CITY ?auto_6613 ?auto_6601 ) ( IN-CITY ?auto_6610 ?auto_6601 ) ( DIFFERENT ?auto_6610 ?auto_6613 ) ( LOCATION ?auto_6614 ) ( CITY ?auto_6615 ) ( IN-CITY ?auto_6614 ?auto_6615 ) ( IN-CITY ?auto_6613 ?auto_6615 ) ( DIFFERENT ?auto_6613 ?auto_6614 ) ( LOCATION ?auto_6612 ) ( CITY ?auto_6607 ) ( AT ?auto_6603 ?auto_6612 ) ( IN-CITY ?auto_6612 ?auto_6607 ) ( IN-CITY ?auto_6614 ?auto_6607 ) ( DIFFERENT ?auto_6614 ?auto_6612 ) ( LOCATION ?auto_6619 ) ( AT ?auto_6603 ?auto_6619 ) ( TRUCK ?auto_6605 ) ( AT ?auto_6605 ?auto_6619 ) ( LOCATION ?auto_6608 ) ( AT ?auto_6605 ?auto_6608 ) ( TRUCK ?auto_6604 ) ( AT ?auto_6604 ?auto_6608 ) ( LOCATION ?auto_6602 ) ( AT ?auto_6604 ?auto_6602 ) ( AIRPLANE ?auto_6621 ) ( AIRPORT ?auto_6616 ) ( AIRPORT ?auto_6602 ) ( DIFFERENT ?auto_6602 ?auto_6616 ) ( LOCATION ?auto_6616 ) ( AT ?auto_6599 ?auto_6616 ) ( AIRPORT ?auto_6623 ) ( AT ?auto_6621 ?auto_6623 ) ( DIFFERENT ?auto_6616 ?auto_6623 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6621 ?auto_6623 ?auto_6616 )
      ( DELIVER-PKG ?auto_6599 ?auto_6600 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6671
      ?auto_6672
    )
    :vars
    (
      ?auto_6674
      ?auto_6679
      ?auto_6681
      ?auto_6680
      ?auto_6687
      ?auto_6683
      ?auto_6692
      ?auto_6684
      ?auto_6685
      ?auto_6682
      ?auto_6677
      ?auto_6689
      ?auto_6675
      ?auto_6678
      ?auto_6673
      ?auto_6693
      ?auto_6690
      ?auto_6686
      ?auto_6688
      ?auto_6695
    )
    :precondition
    ( and ( OBJ ?auto_6671 ) ( LOCATION ?auto_6672 ) ( TRUCK ?auto_6674 ) ( LOCATION ?auto_6679 ) ( CITY ?auto_6681 ) ( IN-CITY ?auto_6679 ?auto_6681 ) ( IN-CITY ?auto_6672 ?auto_6681 ) ( DIFFERENT ?auto_6672 ?auto_6679 ) ( LOCATION ?auto_6680 ) ( CITY ?auto_6687 ) ( IN-CITY ?auto_6680 ?auto_6687 ) ( IN-CITY ?auto_6679 ?auto_6687 ) ( DIFFERENT ?auto_6679 ?auto_6680 ) ( LOCATION ?auto_6683 ) ( CITY ?auto_6692 ) ( IN-CITY ?auto_6683 ?auto_6692 ) ( IN-CITY ?auto_6680 ?auto_6692 ) ( DIFFERENT ?auto_6680 ?auto_6683 ) ( LOCATION ?auto_6684 ) ( CITY ?auto_6685 ) ( IN-CITY ?auto_6684 ?auto_6685 ) ( IN-CITY ?auto_6683 ?auto_6685 ) ( DIFFERENT ?auto_6683 ?auto_6684 ) ( LOCATION ?auto_6682 ) ( CITY ?auto_6677 ) ( AT ?auto_6674 ?auto_6682 ) ( IN-CITY ?auto_6682 ?auto_6677 ) ( IN-CITY ?auto_6684 ?auto_6677 ) ( DIFFERENT ?auto_6684 ?auto_6682 ) ( LOCATION ?auto_6689 ) ( AT ?auto_6674 ?auto_6689 ) ( TRUCK ?auto_6675 ) ( AT ?auto_6675 ?auto_6689 ) ( LOCATION ?auto_6678 ) ( AT ?auto_6675 ?auto_6678 ) ( TRUCK ?auto_6673 ) ( AT ?auto_6673 ?auto_6678 ) ( LOCATION ?auto_6693 ) ( AT ?auto_6673 ?auto_6693 ) ( AIRPLANE ?auto_6690 ) ( AIRPORT ?auto_6686 ) ( AIRPORT ?auto_6693 ) ( DIFFERENT ?auto_6693 ?auto_6686 ) ( LOCATION ?auto_6686 ) ( AT ?auto_6671 ?auto_6686 ) ( AIRPORT ?auto_6688 ) ( DIFFERENT ?auto_6686 ?auto_6688 ) ( AIRPORT ?auto_6695 ) ( AT ?auto_6690 ?auto_6695 ) ( DIFFERENT ?auto_6688 ?auto_6695 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6690 ?auto_6695 ?auto_6688 )
      ( DELIVER-PKG ?auto_6671 ?auto_6672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6697
      ?auto_6698
    )
    :vars
    (
      ?auto_6699
      ?auto_6708
      ?auto_6710
      ?auto_6709
      ?auto_6716
      ?auto_6712
      ?auto_6719
      ?auto_6713
      ?auto_6714
      ?auto_6711
      ?auto_6704
      ?auto_6706
      ?auto_6701
      ?auto_6718
      ?auto_6702
      ?auto_6720
      ?auto_6707
      ?auto_6715
      ?auto_6705
      ?auto_6703
      ?auto_6723
    )
    :precondition
    ( and ( OBJ ?auto_6697 ) ( LOCATION ?auto_6698 ) ( TRUCK ?auto_6699 ) ( LOCATION ?auto_6708 ) ( CITY ?auto_6710 ) ( IN-CITY ?auto_6708 ?auto_6710 ) ( IN-CITY ?auto_6698 ?auto_6710 ) ( DIFFERENT ?auto_6698 ?auto_6708 ) ( LOCATION ?auto_6709 ) ( CITY ?auto_6716 ) ( IN-CITY ?auto_6709 ?auto_6716 ) ( IN-CITY ?auto_6708 ?auto_6716 ) ( DIFFERENT ?auto_6708 ?auto_6709 ) ( LOCATION ?auto_6712 ) ( CITY ?auto_6719 ) ( IN-CITY ?auto_6712 ?auto_6719 ) ( IN-CITY ?auto_6709 ?auto_6719 ) ( DIFFERENT ?auto_6709 ?auto_6712 ) ( LOCATION ?auto_6713 ) ( CITY ?auto_6714 ) ( IN-CITY ?auto_6713 ?auto_6714 ) ( IN-CITY ?auto_6712 ?auto_6714 ) ( DIFFERENT ?auto_6712 ?auto_6713 ) ( LOCATION ?auto_6711 ) ( CITY ?auto_6704 ) ( AT ?auto_6699 ?auto_6711 ) ( IN-CITY ?auto_6711 ?auto_6704 ) ( IN-CITY ?auto_6713 ?auto_6704 ) ( DIFFERENT ?auto_6713 ?auto_6711 ) ( LOCATION ?auto_6706 ) ( AT ?auto_6699 ?auto_6706 ) ( TRUCK ?auto_6701 ) ( AT ?auto_6701 ?auto_6706 ) ( LOCATION ?auto_6718 ) ( AT ?auto_6701 ?auto_6718 ) ( TRUCK ?auto_6702 ) ( AT ?auto_6702 ?auto_6718 ) ( LOCATION ?auto_6720 ) ( AT ?auto_6702 ?auto_6720 ) ( AIRPLANE ?auto_6707 ) ( AIRPORT ?auto_6715 ) ( AIRPORT ?auto_6720 ) ( DIFFERENT ?auto_6720 ?auto_6715 ) ( LOCATION ?auto_6715 ) ( AIRPORT ?auto_6705 ) ( DIFFERENT ?auto_6715 ?auto_6705 ) ( AIRPORT ?auto_6703 ) ( AT ?auto_6707 ?auto_6703 ) ( DIFFERENT ?auto_6705 ?auto_6703 ) ( TRUCK ?auto_6723 ) ( AT ?auto_6723 ?auto_6715 ) ( IN ?auto_6697 ?auto_6723 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6697 ?auto_6715 )
      ( DELIVER-PKG ?auto_6697 ?auto_6698 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6749
      ?auto_6750
    )
    :vars
    (
      ?auto_6754
      ?auto_6765
      ?auto_6755
      ?auto_6752
      ?auto_6768
      ?auto_6760
      ?auto_6762
      ?auto_6761
      ?auto_6764
      ?auto_6758
      ?auto_6771
      ?auto_6757
      ?auto_6769
      ?auto_6759
      ?auto_6770
      ?auto_6763
      ?auto_6753
      ?auto_6766
      ?auto_6772
      ?auto_6773
      ?auto_6767
      ?auto_6776
      ?auto_6775
    )
    :precondition
    ( and ( OBJ ?auto_6749 ) ( LOCATION ?auto_6750 ) ( TRUCK ?auto_6754 ) ( LOCATION ?auto_6765 ) ( CITY ?auto_6755 ) ( IN-CITY ?auto_6765 ?auto_6755 ) ( IN-CITY ?auto_6750 ?auto_6755 ) ( DIFFERENT ?auto_6750 ?auto_6765 ) ( LOCATION ?auto_6752 ) ( CITY ?auto_6768 ) ( IN-CITY ?auto_6752 ?auto_6768 ) ( IN-CITY ?auto_6765 ?auto_6768 ) ( DIFFERENT ?auto_6765 ?auto_6752 ) ( LOCATION ?auto_6760 ) ( CITY ?auto_6762 ) ( IN-CITY ?auto_6760 ?auto_6762 ) ( IN-CITY ?auto_6752 ?auto_6762 ) ( DIFFERENT ?auto_6752 ?auto_6760 ) ( LOCATION ?auto_6761 ) ( CITY ?auto_6764 ) ( IN-CITY ?auto_6761 ?auto_6764 ) ( IN-CITY ?auto_6760 ?auto_6764 ) ( DIFFERENT ?auto_6760 ?auto_6761 ) ( LOCATION ?auto_6758 ) ( CITY ?auto_6771 ) ( AT ?auto_6754 ?auto_6758 ) ( IN-CITY ?auto_6758 ?auto_6771 ) ( IN-CITY ?auto_6761 ?auto_6771 ) ( DIFFERENT ?auto_6761 ?auto_6758 ) ( LOCATION ?auto_6757 ) ( AT ?auto_6754 ?auto_6757 ) ( TRUCK ?auto_6769 ) ( AT ?auto_6769 ?auto_6757 ) ( LOCATION ?auto_6759 ) ( AT ?auto_6769 ?auto_6759 ) ( TRUCK ?auto_6770 ) ( AT ?auto_6770 ?auto_6759 ) ( LOCATION ?auto_6763 ) ( AT ?auto_6770 ?auto_6763 ) ( AIRPLANE ?auto_6753 ) ( AIRPORT ?auto_6766 ) ( AIRPORT ?auto_6763 ) ( DIFFERENT ?auto_6763 ?auto_6766 ) ( LOCATION ?auto_6766 ) ( AIRPORT ?auto_6772 ) ( DIFFERENT ?auto_6766 ?auto_6772 ) ( AIRPORT ?auto_6773 ) ( AT ?auto_6753 ?auto_6773 ) ( DIFFERENT ?auto_6772 ?auto_6773 ) ( TRUCK ?auto_6767 ) ( IN ?auto_6749 ?auto_6767 ) ( LOCATION ?auto_6776 ) ( CITY ?auto_6775 ) ( AT ?auto_6767 ?auto_6776 ) ( IN-CITY ?auto_6776 ?auto_6775 ) ( IN-CITY ?auto_6766 ?auto_6775 ) ( DIFFERENT ?auto_6766 ?auto_6776 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6767 ?auto_6776 ?auto_6766 ?auto_6775 )
      ( DELIVER-PKG ?auto_6749 ?auto_6750 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6805
      ?auto_6806
    )
    :vars
    (
      ?auto_6830
      ?auto_6818
      ?auto_6811
      ?auto_6821
      ?auto_6822
      ?auto_6813
      ?auto_6815
      ?auto_6814
      ?auto_6817
      ?auto_6810
      ?auto_6826
      ?auto_6809
      ?auto_6824
      ?auto_6812
      ?auto_6825
      ?auto_6816
      ?auto_6831
      ?auto_6819
      ?auto_6827
      ?auto_6808
      ?auto_6820
      ?auto_6828
      ?auto_6823
      ?auto_6833
    )
    :precondition
    ( and ( OBJ ?auto_6805 ) ( LOCATION ?auto_6806 ) ( TRUCK ?auto_6830 ) ( LOCATION ?auto_6818 ) ( CITY ?auto_6811 ) ( IN-CITY ?auto_6818 ?auto_6811 ) ( IN-CITY ?auto_6806 ?auto_6811 ) ( DIFFERENT ?auto_6806 ?auto_6818 ) ( LOCATION ?auto_6821 ) ( CITY ?auto_6822 ) ( IN-CITY ?auto_6821 ?auto_6822 ) ( IN-CITY ?auto_6818 ?auto_6822 ) ( DIFFERENT ?auto_6818 ?auto_6821 ) ( LOCATION ?auto_6813 ) ( CITY ?auto_6815 ) ( IN-CITY ?auto_6813 ?auto_6815 ) ( IN-CITY ?auto_6821 ?auto_6815 ) ( DIFFERENT ?auto_6821 ?auto_6813 ) ( LOCATION ?auto_6814 ) ( CITY ?auto_6817 ) ( IN-CITY ?auto_6814 ?auto_6817 ) ( IN-CITY ?auto_6813 ?auto_6817 ) ( DIFFERENT ?auto_6813 ?auto_6814 ) ( LOCATION ?auto_6810 ) ( CITY ?auto_6826 ) ( AT ?auto_6830 ?auto_6810 ) ( IN-CITY ?auto_6810 ?auto_6826 ) ( IN-CITY ?auto_6814 ?auto_6826 ) ( DIFFERENT ?auto_6814 ?auto_6810 ) ( LOCATION ?auto_6809 ) ( AT ?auto_6830 ?auto_6809 ) ( TRUCK ?auto_6824 ) ( AT ?auto_6824 ?auto_6809 ) ( LOCATION ?auto_6812 ) ( AT ?auto_6824 ?auto_6812 ) ( TRUCK ?auto_6825 ) ( AT ?auto_6825 ?auto_6812 ) ( LOCATION ?auto_6816 ) ( AT ?auto_6825 ?auto_6816 ) ( AIRPLANE ?auto_6831 ) ( AIRPORT ?auto_6819 ) ( AIRPORT ?auto_6816 ) ( DIFFERENT ?auto_6816 ?auto_6819 ) ( LOCATION ?auto_6819 ) ( AIRPORT ?auto_6827 ) ( DIFFERENT ?auto_6819 ?auto_6827 ) ( AIRPORT ?auto_6808 ) ( AT ?auto_6831 ?auto_6808 ) ( DIFFERENT ?auto_6827 ?auto_6808 ) ( TRUCK ?auto_6820 ) ( LOCATION ?auto_6828 ) ( CITY ?auto_6823 ) ( AT ?auto_6820 ?auto_6828 ) ( IN-CITY ?auto_6828 ?auto_6823 ) ( IN-CITY ?auto_6819 ?auto_6823 ) ( DIFFERENT ?auto_6819 ?auto_6828 ) ( LOCATION ?auto_6833 ) ( AT ?auto_6820 ?auto_6833 ) ( AT ?auto_6805 ?auto_6833 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6805 ?auto_6820 ?auto_6833 )
      ( DELIVER-PKG ?auto_6805 ?auto_6806 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6863
      ?auto_6864
    )
    :vars
    (
      ?auto_6884
      ?auto_6872
      ?auto_6865
      ?auto_6875
      ?auto_6876
      ?auto_6887
      ?auto_6869
      ?auto_6868
      ?auto_6871
      ?auto_6866
      ?auto_6881
      ?auto_6890
      ?auto_6878
      ?auto_6886
      ?auto_6880
      ?auto_6870
      ?auto_6885
      ?auto_6873
      ?auto_6882
      ?auto_6888
      ?auto_6874
      ?auto_6879
      ?auto_6877
      ?auto_6893
      ?auto_6892
    )
    :precondition
    ( and ( OBJ ?auto_6863 ) ( LOCATION ?auto_6864 ) ( TRUCK ?auto_6884 ) ( LOCATION ?auto_6872 ) ( CITY ?auto_6865 ) ( IN-CITY ?auto_6872 ?auto_6865 ) ( IN-CITY ?auto_6864 ?auto_6865 ) ( DIFFERENT ?auto_6864 ?auto_6872 ) ( LOCATION ?auto_6875 ) ( CITY ?auto_6876 ) ( IN-CITY ?auto_6875 ?auto_6876 ) ( IN-CITY ?auto_6872 ?auto_6876 ) ( DIFFERENT ?auto_6872 ?auto_6875 ) ( LOCATION ?auto_6887 ) ( CITY ?auto_6869 ) ( IN-CITY ?auto_6887 ?auto_6869 ) ( IN-CITY ?auto_6875 ?auto_6869 ) ( DIFFERENT ?auto_6875 ?auto_6887 ) ( LOCATION ?auto_6868 ) ( CITY ?auto_6871 ) ( IN-CITY ?auto_6868 ?auto_6871 ) ( IN-CITY ?auto_6887 ?auto_6871 ) ( DIFFERENT ?auto_6887 ?auto_6868 ) ( LOCATION ?auto_6866 ) ( CITY ?auto_6881 ) ( AT ?auto_6884 ?auto_6866 ) ( IN-CITY ?auto_6866 ?auto_6881 ) ( IN-CITY ?auto_6868 ?auto_6881 ) ( DIFFERENT ?auto_6868 ?auto_6866 ) ( LOCATION ?auto_6890 ) ( AT ?auto_6884 ?auto_6890 ) ( TRUCK ?auto_6878 ) ( AT ?auto_6878 ?auto_6890 ) ( LOCATION ?auto_6886 ) ( AT ?auto_6878 ?auto_6886 ) ( TRUCK ?auto_6880 ) ( AT ?auto_6880 ?auto_6886 ) ( LOCATION ?auto_6870 ) ( AT ?auto_6880 ?auto_6870 ) ( AIRPLANE ?auto_6885 ) ( AIRPORT ?auto_6873 ) ( AIRPORT ?auto_6870 ) ( DIFFERENT ?auto_6870 ?auto_6873 ) ( LOCATION ?auto_6873 ) ( AIRPORT ?auto_6882 ) ( DIFFERENT ?auto_6873 ?auto_6882 ) ( AIRPORT ?auto_6888 ) ( AT ?auto_6885 ?auto_6888 ) ( DIFFERENT ?auto_6882 ?auto_6888 ) ( TRUCK ?auto_6874 ) ( LOCATION ?auto_6879 ) ( CITY ?auto_6877 ) ( IN-CITY ?auto_6879 ?auto_6877 ) ( IN-CITY ?auto_6873 ?auto_6877 ) ( DIFFERENT ?auto_6873 ?auto_6879 ) ( AT ?auto_6863 ?auto_6879 ) ( LOCATION ?auto_6893 ) ( CITY ?auto_6892 ) ( AT ?auto_6874 ?auto_6893 ) ( IN-CITY ?auto_6893 ?auto_6892 ) ( IN-CITY ?auto_6879 ?auto_6892 ) ( DIFFERENT ?auto_6879 ?auto_6893 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6874 ?auto_6893 ?auto_6879 ?auto_6892 )
      ( DELIVER-PKG ?auto_6863 ?auto_6864 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6924
      ?auto_6925
    )
    :vars
    (
      ?auto_6930
      ?auto_6952
      ?auto_6929
      ?auto_6940
      ?auto_6941
      ?auto_6933
      ?auto_6928
      ?auto_6927
      ?auto_6937
      ?auto_6950
      ?auto_6946
      ?auto_6936
      ?auto_6943
      ?auto_6932
      ?auto_6945
      ?auto_6926
      ?auto_6931
      ?auto_6938
      ?auto_6948
      ?auto_6935
      ?auto_6939
      ?auto_6944
      ?auto_6942
      ?auto_6934
      ?auto_6947
      ?auto_6955
      ?auto_6954
    )
    :precondition
    ( and ( OBJ ?auto_6924 ) ( LOCATION ?auto_6925 ) ( TRUCK ?auto_6930 ) ( LOCATION ?auto_6952 ) ( CITY ?auto_6929 ) ( IN-CITY ?auto_6952 ?auto_6929 ) ( IN-CITY ?auto_6925 ?auto_6929 ) ( DIFFERENT ?auto_6925 ?auto_6952 ) ( LOCATION ?auto_6940 ) ( CITY ?auto_6941 ) ( IN-CITY ?auto_6940 ?auto_6941 ) ( IN-CITY ?auto_6952 ?auto_6941 ) ( DIFFERENT ?auto_6952 ?auto_6940 ) ( LOCATION ?auto_6933 ) ( CITY ?auto_6928 ) ( IN-CITY ?auto_6933 ?auto_6928 ) ( IN-CITY ?auto_6940 ?auto_6928 ) ( DIFFERENT ?auto_6940 ?auto_6933 ) ( LOCATION ?auto_6927 ) ( CITY ?auto_6937 ) ( IN-CITY ?auto_6927 ?auto_6937 ) ( IN-CITY ?auto_6933 ?auto_6937 ) ( DIFFERENT ?auto_6933 ?auto_6927 ) ( LOCATION ?auto_6950 ) ( CITY ?auto_6946 ) ( AT ?auto_6930 ?auto_6950 ) ( IN-CITY ?auto_6950 ?auto_6946 ) ( IN-CITY ?auto_6927 ?auto_6946 ) ( DIFFERENT ?auto_6927 ?auto_6950 ) ( LOCATION ?auto_6936 ) ( AT ?auto_6930 ?auto_6936 ) ( TRUCK ?auto_6943 ) ( AT ?auto_6943 ?auto_6936 ) ( LOCATION ?auto_6932 ) ( AT ?auto_6943 ?auto_6932 ) ( TRUCK ?auto_6945 ) ( AT ?auto_6945 ?auto_6932 ) ( LOCATION ?auto_6926 ) ( AT ?auto_6945 ?auto_6926 ) ( AIRPLANE ?auto_6931 ) ( AIRPORT ?auto_6938 ) ( AIRPORT ?auto_6926 ) ( DIFFERENT ?auto_6926 ?auto_6938 ) ( LOCATION ?auto_6938 ) ( AIRPORT ?auto_6948 ) ( DIFFERENT ?auto_6938 ?auto_6948 ) ( AIRPORT ?auto_6935 ) ( AT ?auto_6931 ?auto_6935 ) ( DIFFERENT ?auto_6948 ?auto_6935 ) ( TRUCK ?auto_6939 ) ( LOCATION ?auto_6944 ) ( CITY ?auto_6942 ) ( IN-CITY ?auto_6944 ?auto_6942 ) ( IN-CITY ?auto_6938 ?auto_6942 ) ( DIFFERENT ?auto_6938 ?auto_6944 ) ( AT ?auto_6924 ?auto_6944 ) ( LOCATION ?auto_6934 ) ( CITY ?auto_6947 ) ( IN-CITY ?auto_6934 ?auto_6947 ) ( IN-CITY ?auto_6944 ?auto_6947 ) ( DIFFERENT ?auto_6944 ?auto_6934 ) ( LOCATION ?auto_6955 ) ( CITY ?auto_6954 ) ( AT ?auto_6939 ?auto_6955 ) ( IN-CITY ?auto_6955 ?auto_6954 ) ( IN-CITY ?auto_6934 ?auto_6954 ) ( DIFFERENT ?auto_6934 ?auto_6955 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6939 ?auto_6955 ?auto_6934 ?auto_6954 )
      ( DELIVER-PKG ?auto_6924 ?auto_6925 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7019
      ?auto_7020
    )
    :vars
    (
      ?auto_7023
      ?auto_7034
      ?auto_7032
      ?auto_7041
      ?auto_7024
      ?auto_7047
      ?auto_7042
      ?auto_7048
      ?auto_7038
      ?auto_7045
      ?auto_7030
      ?auto_7037
      ?auto_7026
      ?auto_7033
      ?auto_7029
      ?auto_7021
      ?auto_7022
      ?auto_7039
      ?auto_7043
      ?auto_7036
      ?auto_7040
      ?auto_7028
      ?auto_7025
      ?auto_7035
      ?auto_7031
      ?auto_7044
      ?auto_7027
      ?auto_7051
    )
    :precondition
    ( and ( OBJ ?auto_7019 ) ( LOCATION ?auto_7020 ) ( TRUCK ?auto_7023 ) ( LOCATION ?auto_7034 ) ( CITY ?auto_7032 ) ( IN-CITY ?auto_7034 ?auto_7032 ) ( IN-CITY ?auto_7020 ?auto_7032 ) ( DIFFERENT ?auto_7020 ?auto_7034 ) ( LOCATION ?auto_7041 ) ( CITY ?auto_7024 ) ( IN-CITY ?auto_7041 ?auto_7024 ) ( IN-CITY ?auto_7034 ?auto_7024 ) ( DIFFERENT ?auto_7034 ?auto_7041 ) ( LOCATION ?auto_7047 ) ( CITY ?auto_7042 ) ( IN-CITY ?auto_7047 ?auto_7042 ) ( IN-CITY ?auto_7041 ?auto_7042 ) ( DIFFERENT ?auto_7041 ?auto_7047 ) ( LOCATION ?auto_7048 ) ( CITY ?auto_7038 ) ( IN-CITY ?auto_7048 ?auto_7038 ) ( IN-CITY ?auto_7047 ?auto_7038 ) ( DIFFERENT ?auto_7047 ?auto_7048 ) ( LOCATION ?auto_7045 ) ( CITY ?auto_7030 ) ( AT ?auto_7023 ?auto_7045 ) ( IN-CITY ?auto_7045 ?auto_7030 ) ( IN-CITY ?auto_7048 ?auto_7030 ) ( DIFFERENT ?auto_7048 ?auto_7045 ) ( LOCATION ?auto_7037 ) ( AT ?auto_7023 ?auto_7037 ) ( TRUCK ?auto_7026 ) ( AT ?auto_7026 ?auto_7037 ) ( LOCATION ?auto_7033 ) ( AT ?auto_7026 ?auto_7033 ) ( TRUCK ?auto_7029 ) ( AT ?auto_7029 ?auto_7033 ) ( LOCATION ?auto_7021 ) ( AT ?auto_7029 ?auto_7021 ) ( AIRPLANE ?auto_7022 ) ( AIRPORT ?auto_7039 ) ( AIRPORT ?auto_7021 ) ( DIFFERENT ?auto_7021 ?auto_7039 ) ( LOCATION ?auto_7039 ) ( AIRPORT ?auto_7043 ) ( DIFFERENT ?auto_7039 ?auto_7043 ) ( AIRPORT ?auto_7036 ) ( DIFFERENT ?auto_7043 ?auto_7036 ) ( TRUCK ?auto_7040 ) ( LOCATION ?auto_7028 ) ( CITY ?auto_7025 ) ( IN-CITY ?auto_7028 ?auto_7025 ) ( IN-CITY ?auto_7039 ?auto_7025 ) ( DIFFERENT ?auto_7039 ?auto_7028 ) ( AT ?auto_7019 ?auto_7028 ) ( LOCATION ?auto_7035 ) ( CITY ?auto_7031 ) ( IN-CITY ?auto_7035 ?auto_7031 ) ( IN-CITY ?auto_7028 ?auto_7031 ) ( DIFFERENT ?auto_7028 ?auto_7035 ) ( LOCATION ?auto_7044 ) ( CITY ?auto_7027 ) ( AT ?auto_7040 ?auto_7044 ) ( IN-CITY ?auto_7044 ?auto_7027 ) ( IN-CITY ?auto_7035 ?auto_7027 ) ( DIFFERENT ?auto_7035 ?auto_7044 ) ( AIRPORT ?auto_7051 ) ( AT ?auto_7022 ?auto_7051 ) ( DIFFERENT ?auto_7036 ?auto_7051 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7022 ?auto_7051 ?auto_7036 )
      ( DELIVER-PKG ?auto_7019 ?auto_7020 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7492
      ?auto_7493
    )
    :vars
    (
      ?auto_7498
      ?auto_7495
      ?auto_7499
      ?auto_7497
      ?auto_7501
      ?auto_7504
      ?auto_7503
    )
    :precondition
    ( and ( OBJ ?auto_7492 ) ( LOCATION ?auto_7493 ) ( TRUCK ?auto_7498 ) ( LOCATION ?auto_7495 ) ( CITY ?auto_7499 ) ( IN-CITY ?auto_7495 ?auto_7499 ) ( IN-CITY ?auto_7493 ?auto_7499 ) ( DIFFERENT ?auto_7493 ?auto_7495 ) ( LOCATION ?auto_7497 ) ( CITY ?auto_7501 ) ( IN-CITY ?auto_7497 ?auto_7501 ) ( IN-CITY ?auto_7495 ?auto_7501 ) ( DIFFERENT ?auto_7495 ?auto_7497 ) ( AT ?auto_7492 ?auto_7497 ) ( LOCATION ?auto_7504 ) ( CITY ?auto_7503 ) ( AT ?auto_7498 ?auto_7504 ) ( IN-CITY ?auto_7504 ?auto_7503 ) ( IN-CITY ?auto_7497 ?auto_7503 ) ( DIFFERENT ?auto_7497 ?auto_7504 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7498 ?auto_7504 ?auto_7497 ?auto_7503 )
      ( DELIVER-PKG ?auto_7492 ?auto_7493 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7657
      ?auto_7658
    )
    :vars
    (
      ?auto_7664
      ?auto_7663
      ?auto_7659
      ?auto_7665
      ?auto_7661
      ?auto_7660
      ?auto_7669
      ?auto_7668
    )
    :precondition
    ( and ( OBJ ?auto_7657 ) ( LOCATION ?auto_7658 ) ( AIRPLANE ?auto_7664 ) ( AIRPORT ?auto_7663 ) ( AIRPORT ?auto_7658 ) ( AT ?auto_7664 ?auto_7663 ) ( DIFFERENT ?auto_7658 ?auto_7663 ) ( LOCATION ?auto_7659 ) ( AT ?auto_7664 ?auto_7659 ) ( TRUCK ?auto_7665 ) ( IN ?auto_7657 ?auto_7665 ) ( LOCATION ?auto_7661 ) ( CITY ?auto_7660 ) ( IN-CITY ?auto_7661 ?auto_7660 ) ( IN-CITY ?auto_7659 ?auto_7660 ) ( DIFFERENT ?auto_7659 ?auto_7661 ) ( LOCATION ?auto_7669 ) ( CITY ?auto_7668 ) ( AT ?auto_7665 ?auto_7669 ) ( IN-CITY ?auto_7669 ?auto_7668 ) ( IN-CITY ?auto_7661 ?auto_7668 ) ( DIFFERENT ?auto_7661 ?auto_7669 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7665 ?auto_7669 ?auto_7661 ?auto_7668 )
      ( DELIVER-PKG ?auto_7657 ?auto_7658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7683
      ?auto_7684
    )
    :vars
    (
      ?auto_7689
      ?auto_7688
      ?auto_7686
      ?auto_7692
      ?auto_7687
      ?auto_7693
      ?auto_7691
      ?auto_7690
      ?auto_7696
    )
    :precondition
    ( and ( OBJ ?auto_7683 ) ( LOCATION ?auto_7684 ) ( AIRPLANE ?auto_7689 ) ( AIRPORT ?auto_7688 ) ( AIRPORT ?auto_7684 ) ( AT ?auto_7689 ?auto_7688 ) ( DIFFERENT ?auto_7684 ?auto_7688 ) ( LOCATION ?auto_7686 ) ( AT ?auto_7689 ?auto_7686 ) ( TRUCK ?auto_7692 ) ( LOCATION ?auto_7687 ) ( CITY ?auto_7693 ) ( IN-CITY ?auto_7687 ?auto_7693 ) ( IN-CITY ?auto_7686 ?auto_7693 ) ( DIFFERENT ?auto_7686 ?auto_7687 ) ( LOCATION ?auto_7691 ) ( CITY ?auto_7690 ) ( AT ?auto_7692 ?auto_7691 ) ( IN-CITY ?auto_7691 ?auto_7690 ) ( IN-CITY ?auto_7687 ?auto_7690 ) ( DIFFERENT ?auto_7687 ?auto_7691 ) ( LOCATION ?auto_7696 ) ( AT ?auto_7692 ?auto_7696 ) ( AT ?auto_7683 ?auto_7696 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7683 ?auto_7692 ?auto_7696 )
      ( DELIVER-PKG ?auto_7683 ?auto_7684 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7711
      ?auto_7712
    )
    :vars
    (
      ?auto_7718
      ?auto_7715
      ?auto_7721
      ?auto_7716
      ?auto_7722
      ?auto_7720
      ?auto_7719
      ?auto_7723
      ?auto_7725
    )
    :precondition
    ( and ( OBJ ?auto_7711 ) ( LOCATION ?auto_7712 ) ( AIRPLANE ?auto_7718 ) ( AIRPORT ?auto_7715 ) ( AIRPORT ?auto_7712 ) ( DIFFERENT ?auto_7712 ?auto_7715 ) ( LOCATION ?auto_7715 ) ( TRUCK ?auto_7721 ) ( LOCATION ?auto_7716 ) ( CITY ?auto_7722 ) ( IN-CITY ?auto_7716 ?auto_7722 ) ( IN-CITY ?auto_7715 ?auto_7722 ) ( DIFFERENT ?auto_7715 ?auto_7716 ) ( LOCATION ?auto_7720 ) ( CITY ?auto_7719 ) ( AT ?auto_7721 ?auto_7720 ) ( IN-CITY ?auto_7720 ?auto_7719 ) ( IN-CITY ?auto_7716 ?auto_7719 ) ( DIFFERENT ?auto_7716 ?auto_7720 ) ( LOCATION ?auto_7723 ) ( AT ?auto_7721 ?auto_7723 ) ( AT ?auto_7711 ?auto_7723 ) ( AIRPORT ?auto_7725 ) ( AT ?auto_7718 ?auto_7725 ) ( DIFFERENT ?auto_7715 ?auto_7725 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7718 ?auto_7725 ?auto_7715 )
      ( DELIVER-PKG ?auto_7711 ?auto_7712 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7727
      ?auto_7728
    )
    :vars
    (
      ?auto_7732
      ?auto_7733
      ?auto_7730
      ?auto_7731
      ?auto_7734
      ?auto_7735
      ?auto_7737
      ?auto_7739
      ?auto_7742
      ?auto_7741
    )
    :precondition
    ( and ( OBJ ?auto_7727 ) ( LOCATION ?auto_7728 ) ( AIRPLANE ?auto_7732 ) ( AIRPORT ?auto_7733 ) ( AIRPORT ?auto_7728 ) ( DIFFERENT ?auto_7728 ?auto_7733 ) ( LOCATION ?auto_7733 ) ( TRUCK ?auto_7730 ) ( LOCATION ?auto_7731 ) ( CITY ?auto_7734 ) ( IN-CITY ?auto_7731 ?auto_7734 ) ( IN-CITY ?auto_7733 ?auto_7734 ) ( DIFFERENT ?auto_7733 ?auto_7731 ) ( LOCATION ?auto_7735 ) ( CITY ?auto_7737 ) ( IN-CITY ?auto_7735 ?auto_7737 ) ( IN-CITY ?auto_7731 ?auto_7737 ) ( DIFFERENT ?auto_7731 ?auto_7735 ) ( AT ?auto_7727 ?auto_7735 ) ( AIRPORT ?auto_7739 ) ( AT ?auto_7732 ?auto_7739 ) ( DIFFERENT ?auto_7733 ?auto_7739 ) ( LOCATION ?auto_7742 ) ( CITY ?auto_7741 ) ( AT ?auto_7730 ?auto_7742 ) ( IN-CITY ?auto_7742 ?auto_7741 ) ( IN-CITY ?auto_7735 ?auto_7741 ) ( DIFFERENT ?auto_7735 ?auto_7742 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7730 ?auto_7742 ?auto_7735 ?auto_7741 )
      ( DELIVER-PKG ?auto_7727 ?auto_7728 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8126
      ?auto_8127
    )
    :vars
    (
      ?auto_8129
      ?auto_8136
      ?auto_8130
      ?auto_8138
      ?auto_8128
      ?auto_8132
      ?auto_8131
      ?auto_8137
      ?auto_8135
      ?auto_8133
      ?auto_8142
      ?auto_8141
    )
    :precondition
    ( and ( OBJ ?auto_8126 ) ( LOCATION ?auto_8127 ) ( TRUCK ?auto_8129 ) ( LOCATION ?auto_8136 ) ( CITY ?auto_8130 ) ( AT ?auto_8129 ?auto_8136 ) ( IN-CITY ?auto_8136 ?auto_8130 ) ( IN-CITY ?auto_8127 ?auto_8130 ) ( DIFFERENT ?auto_8127 ?auto_8136 ) ( LOCATION ?auto_8138 ) ( AT ?auto_8129 ?auto_8138 ) ( AIRPLANE ?auto_8128 ) ( AIRPORT ?auto_8132 ) ( AIRPORT ?auto_8138 ) ( AT ?auto_8128 ?auto_8132 ) ( DIFFERENT ?auto_8138 ?auto_8132 ) ( LOCATION ?auto_8131 ) ( AT ?auto_8128 ?auto_8131 ) ( TRUCK ?auto_8137 ) ( IN ?auto_8126 ?auto_8137 ) ( LOCATION ?auto_8135 ) ( CITY ?auto_8133 ) ( IN-CITY ?auto_8135 ?auto_8133 ) ( IN-CITY ?auto_8131 ?auto_8133 ) ( DIFFERENT ?auto_8131 ?auto_8135 ) ( LOCATION ?auto_8142 ) ( CITY ?auto_8141 ) ( AT ?auto_8137 ?auto_8142 ) ( IN-CITY ?auto_8142 ?auto_8141 ) ( IN-CITY ?auto_8135 ?auto_8141 ) ( DIFFERENT ?auto_8135 ?auto_8142 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8137 ?auto_8142 ?auto_8135 ?auto_8141 )
      ( DELIVER-PKG ?auto_8126 ?auto_8127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8160
      ?auto_8161
    )
    :vars
    (
      ?auto_8162
      ?auto_8164
      ?auto_8171
      ?auto_8166
      ?auto_8175
      ?auto_8168
      ?auto_8167
      ?auto_8165
      ?auto_8163
      ?auto_8169
      ?auto_8173
      ?auto_8172
      ?auto_8177
    )
    :precondition
    ( and ( OBJ ?auto_8160 ) ( LOCATION ?auto_8161 ) ( TRUCK ?auto_8162 ) ( LOCATION ?auto_8164 ) ( CITY ?auto_8171 ) ( AT ?auto_8162 ?auto_8164 ) ( IN-CITY ?auto_8164 ?auto_8171 ) ( IN-CITY ?auto_8161 ?auto_8171 ) ( DIFFERENT ?auto_8161 ?auto_8164 ) ( LOCATION ?auto_8166 ) ( AT ?auto_8162 ?auto_8166 ) ( AIRPLANE ?auto_8175 ) ( AIRPORT ?auto_8168 ) ( AIRPORT ?auto_8166 ) ( AT ?auto_8175 ?auto_8168 ) ( DIFFERENT ?auto_8166 ?auto_8168 ) ( LOCATION ?auto_8167 ) ( AT ?auto_8175 ?auto_8167 ) ( TRUCK ?auto_8165 ) ( LOCATION ?auto_8163 ) ( CITY ?auto_8169 ) ( IN-CITY ?auto_8163 ?auto_8169 ) ( IN-CITY ?auto_8167 ?auto_8169 ) ( DIFFERENT ?auto_8167 ?auto_8163 ) ( LOCATION ?auto_8173 ) ( CITY ?auto_8172 ) ( AT ?auto_8165 ?auto_8173 ) ( IN-CITY ?auto_8173 ?auto_8172 ) ( IN-CITY ?auto_8163 ?auto_8172 ) ( DIFFERENT ?auto_8163 ?auto_8173 ) ( LOCATION ?auto_8177 ) ( AT ?auto_8165 ?auto_8177 ) ( AT ?auto_8160 ?auto_8177 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8160 ?auto_8165 ?auto_8177 )
      ( DELIVER-PKG ?auto_8160 ?auto_8161 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8196
      ?auto_8197
    )
    :vars
    (
      ?auto_8212
      ?auto_8198
      ?auto_8207
      ?auto_8200
      ?auto_8203
      ?auto_8204
      ?auto_8199
      ?auto_8201
      ?auto_8206
      ?auto_8209
      ?auto_8208
      ?auto_8202
      ?auto_8214
    )
    :precondition
    ( and ( OBJ ?auto_8196 ) ( LOCATION ?auto_8197 ) ( TRUCK ?auto_8212 ) ( LOCATION ?auto_8198 ) ( CITY ?auto_8207 ) ( AT ?auto_8212 ?auto_8198 ) ( IN-CITY ?auto_8198 ?auto_8207 ) ( IN-CITY ?auto_8197 ?auto_8207 ) ( DIFFERENT ?auto_8197 ?auto_8198 ) ( LOCATION ?auto_8200 ) ( AT ?auto_8212 ?auto_8200 ) ( AIRPLANE ?auto_8203 ) ( AIRPORT ?auto_8204 ) ( AIRPORT ?auto_8200 ) ( DIFFERENT ?auto_8200 ?auto_8204 ) ( LOCATION ?auto_8204 ) ( TRUCK ?auto_8199 ) ( LOCATION ?auto_8201 ) ( CITY ?auto_8206 ) ( IN-CITY ?auto_8201 ?auto_8206 ) ( IN-CITY ?auto_8204 ?auto_8206 ) ( DIFFERENT ?auto_8204 ?auto_8201 ) ( LOCATION ?auto_8209 ) ( CITY ?auto_8208 ) ( AT ?auto_8199 ?auto_8209 ) ( IN-CITY ?auto_8209 ?auto_8208 ) ( IN-CITY ?auto_8201 ?auto_8208 ) ( DIFFERENT ?auto_8201 ?auto_8209 ) ( LOCATION ?auto_8202 ) ( AT ?auto_8199 ?auto_8202 ) ( AT ?auto_8196 ?auto_8202 ) ( AIRPORT ?auto_8214 ) ( AT ?auto_8203 ?auto_8214 ) ( DIFFERENT ?auto_8204 ?auto_8214 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8203 ?auto_8214 ?auto_8204 )
      ( DELIVER-PKG ?auto_8196 ?auto_8197 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8216
      ?auto_8217
    )
    :vars
    (
      ?auto_8231
      ?auto_8219
      ?auto_8228
      ?auto_8224
      ?auto_8225
      ?auto_8226
      ?auto_8223
      ?auto_8222
      ?auto_8227
      ?auto_8232
      ?auto_8229
      ?auto_8221
      ?auto_8235
      ?auto_8234
    )
    :precondition
    ( and ( OBJ ?auto_8216 ) ( LOCATION ?auto_8217 ) ( TRUCK ?auto_8231 ) ( LOCATION ?auto_8219 ) ( CITY ?auto_8228 ) ( AT ?auto_8231 ?auto_8219 ) ( IN-CITY ?auto_8219 ?auto_8228 ) ( IN-CITY ?auto_8217 ?auto_8228 ) ( DIFFERENT ?auto_8217 ?auto_8219 ) ( LOCATION ?auto_8224 ) ( AT ?auto_8231 ?auto_8224 ) ( AIRPLANE ?auto_8225 ) ( AIRPORT ?auto_8226 ) ( AIRPORT ?auto_8224 ) ( DIFFERENT ?auto_8224 ?auto_8226 ) ( LOCATION ?auto_8226 ) ( TRUCK ?auto_8223 ) ( LOCATION ?auto_8222 ) ( CITY ?auto_8227 ) ( IN-CITY ?auto_8222 ?auto_8227 ) ( IN-CITY ?auto_8226 ?auto_8227 ) ( DIFFERENT ?auto_8226 ?auto_8222 ) ( LOCATION ?auto_8232 ) ( CITY ?auto_8229 ) ( IN-CITY ?auto_8232 ?auto_8229 ) ( IN-CITY ?auto_8222 ?auto_8229 ) ( DIFFERENT ?auto_8222 ?auto_8232 ) ( AT ?auto_8216 ?auto_8232 ) ( AIRPORT ?auto_8221 ) ( AT ?auto_8225 ?auto_8221 ) ( DIFFERENT ?auto_8226 ?auto_8221 ) ( LOCATION ?auto_8235 ) ( CITY ?auto_8234 ) ( AT ?auto_8223 ?auto_8235 ) ( IN-CITY ?auto_8235 ?auto_8234 ) ( IN-CITY ?auto_8232 ?auto_8234 ) ( DIFFERENT ?auto_8232 ?auto_8235 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8223 ?auto_8235 ?auto_8232 ?auto_8234 )
      ( DELIVER-PKG ?auto_8216 ?auto_8217 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8237
      ?auto_8238
    )
    :vars
    (
      ?auto_8248
      ?auto_8241
      ?auto_8251
      ?auto_8245
      ?auto_8240
      ?auto_8249
      ?auto_8253
      ?auto_8250
      ?auto_8239
      ?auto_8247
      ?auto_8254
      ?auto_8244
      ?auto_8243
      ?auto_8257
      ?auto_8256
    )
    :precondition
    ( and ( OBJ ?auto_8237 ) ( LOCATION ?auto_8238 ) ( TRUCK ?auto_8248 ) ( LOCATION ?auto_8241 ) ( CITY ?auto_8251 ) ( IN-CITY ?auto_8241 ?auto_8251 ) ( IN-CITY ?auto_8238 ?auto_8251 ) ( DIFFERENT ?auto_8238 ?auto_8241 ) ( AIRPLANE ?auto_8245 ) ( AIRPORT ?auto_8240 ) ( AIRPORT ?auto_8241 ) ( DIFFERENT ?auto_8241 ?auto_8240 ) ( LOCATION ?auto_8240 ) ( TRUCK ?auto_8249 ) ( LOCATION ?auto_8253 ) ( CITY ?auto_8250 ) ( IN-CITY ?auto_8253 ?auto_8250 ) ( IN-CITY ?auto_8240 ?auto_8250 ) ( DIFFERENT ?auto_8240 ?auto_8253 ) ( LOCATION ?auto_8239 ) ( CITY ?auto_8247 ) ( IN-CITY ?auto_8239 ?auto_8247 ) ( IN-CITY ?auto_8253 ?auto_8247 ) ( DIFFERENT ?auto_8253 ?auto_8239 ) ( AT ?auto_8237 ?auto_8239 ) ( AIRPORT ?auto_8254 ) ( AT ?auto_8245 ?auto_8254 ) ( DIFFERENT ?auto_8240 ?auto_8254 ) ( LOCATION ?auto_8244 ) ( CITY ?auto_8243 ) ( AT ?auto_8249 ?auto_8244 ) ( IN-CITY ?auto_8244 ?auto_8243 ) ( IN-CITY ?auto_8239 ?auto_8243 ) ( DIFFERENT ?auto_8239 ?auto_8244 ) ( LOCATION ?auto_8257 ) ( CITY ?auto_8256 ) ( AT ?auto_8248 ?auto_8257 ) ( IN-CITY ?auto_8257 ?auto_8256 ) ( IN-CITY ?auto_8241 ?auto_8256 ) ( DIFFERENT ?auto_8241 ?auto_8257 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8248 ?auto_8257 ?auto_8241 ?auto_8256 )
      ( DELIVER-PKG ?auto_8237 ?auto_8238 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8635
      ?auto_8636
    )
    :vars
    (
      ?auto_8641
      ?auto_8642
      ?auto_8643
      ?auto_8638
      ?auto_8639
      ?auto_8644
      ?auto_8640
      ?auto_8646
      ?auto_8645
      ?auto_8649
    )
    :precondition
    ( and ( OBJ ?auto_8635 ) ( LOCATION ?auto_8636 ) ( AIRPLANE ?auto_8641 ) ( AIRPORT ?auto_8642 ) ( AIRPORT ?auto_8636 ) ( DIFFERENT ?auto_8636 ?auto_8642 ) ( LOCATION ?auto_8642 ) ( AIRPORT ?auto_8643 ) ( DIFFERENT ?auto_8642 ?auto_8643 ) ( AIRPORT ?auto_8638 ) ( DIFFERENT ?auto_8643 ?auto_8638 ) ( TRUCK ?auto_8639 ) ( LOCATION ?auto_8644 ) ( CITY ?auto_8640 ) ( IN-CITY ?auto_8644 ?auto_8640 ) ( IN-CITY ?auto_8642 ?auto_8640 ) ( DIFFERENT ?auto_8642 ?auto_8644 ) ( AT ?auto_8635 ?auto_8644 ) ( LOCATION ?auto_8646 ) ( CITY ?auto_8645 ) ( AT ?auto_8639 ?auto_8646 ) ( IN-CITY ?auto_8646 ?auto_8645 ) ( IN-CITY ?auto_8644 ?auto_8645 ) ( DIFFERENT ?auto_8644 ?auto_8646 ) ( AIRPORT ?auto_8649 ) ( AT ?auto_8641 ?auto_8649 ) ( DIFFERENT ?auto_8638 ?auto_8649 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8641 ?auto_8649 ?auto_8638 )
      ( DELIVER-PKG ?auto_8635 ?auto_8636 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9033
      ?auto_9034
    )
    :vars
    (
      ?auto_9043
      ?auto_9041
      ?auto_9036
      ?auto_9042
      ?auto_9035
      ?auto_9039
      ?auto_9044
      ?auto_9045
      ?auto_9038
      ?auto_9048
    )
    :precondition
    ( and ( OBJ ?auto_9033 ) ( LOCATION ?auto_9034 ) ( TRUCK ?auto_9043 ) ( LOCATION ?auto_9041 ) ( CITY ?auto_9036 ) ( IN-CITY ?auto_9041 ?auto_9036 ) ( IN-CITY ?auto_9034 ?auto_9036 ) ( DIFFERENT ?auto_9034 ?auto_9041 ) ( LOCATION ?auto_9042 ) ( CITY ?auto_9035 ) ( AT ?auto_9043 ?auto_9042 ) ( IN-CITY ?auto_9042 ?auto_9035 ) ( IN-CITY ?auto_9041 ?auto_9035 ) ( DIFFERENT ?auto_9041 ?auto_9042 ) ( LOCATION ?auto_9039 ) ( AT ?auto_9043 ?auto_9039 ) ( AIRPLANE ?auto_9044 ) ( AIRPORT ?auto_9045 ) ( AIRPORT ?auto_9039 ) ( AT ?auto_9044 ?auto_9045 ) ( DIFFERENT ?auto_9039 ?auto_9045 ) ( LOCATION ?auto_9038 ) ( AT ?auto_9044 ?auto_9038 ) ( TRUCK ?auto_9048 ) ( AT ?auto_9048 ?auto_9038 ) ( IN ?auto_9033 ?auto_9048 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9033 ?auto_9038 )
      ( DELIVER-PKG ?auto_9033 ?auto_9034 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9063
      ?auto_9064
    )
    :vars
    (
      ?auto_9074
      ?auto_9068
      ?auto_9073
      ?auto_9069
      ?auto_9067
      ?auto_9075
      ?auto_9065
      ?auto_9066
      ?auto_9076
      ?auto_9070
      ?auto_9079
      ?auto_9078
    )
    :precondition
    ( and ( OBJ ?auto_9063 ) ( LOCATION ?auto_9064 ) ( TRUCK ?auto_9074 ) ( LOCATION ?auto_9068 ) ( CITY ?auto_9073 ) ( IN-CITY ?auto_9068 ?auto_9073 ) ( IN-CITY ?auto_9064 ?auto_9073 ) ( DIFFERENT ?auto_9064 ?auto_9068 ) ( LOCATION ?auto_9069 ) ( CITY ?auto_9067 ) ( AT ?auto_9074 ?auto_9069 ) ( IN-CITY ?auto_9069 ?auto_9067 ) ( IN-CITY ?auto_9068 ?auto_9067 ) ( DIFFERENT ?auto_9068 ?auto_9069 ) ( LOCATION ?auto_9075 ) ( AT ?auto_9074 ?auto_9075 ) ( AIRPLANE ?auto_9065 ) ( AIRPORT ?auto_9066 ) ( AIRPORT ?auto_9075 ) ( AT ?auto_9065 ?auto_9066 ) ( DIFFERENT ?auto_9075 ?auto_9066 ) ( LOCATION ?auto_9076 ) ( AT ?auto_9065 ?auto_9076 ) ( TRUCK ?auto_9070 ) ( IN ?auto_9063 ?auto_9070 ) ( LOCATION ?auto_9079 ) ( CITY ?auto_9078 ) ( AT ?auto_9070 ?auto_9079 ) ( IN-CITY ?auto_9079 ?auto_9078 ) ( IN-CITY ?auto_9076 ?auto_9078 ) ( DIFFERENT ?auto_9076 ?auto_9079 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9070 ?auto_9079 ?auto_9076 ?auto_9078 )
      ( DELIVER-PKG ?auto_9063 ?auto_9064 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9097
      ?auto_9098
    )
    :vars
    (
      ?auto_9106
      ?auto_9099
      ?auto_9105
      ?auto_9110
      ?auto_9103
      ?auto_9107
      ?auto_9108
      ?auto_9101
      ?auto_9100
      ?auto_9104
      ?auto_9112
      ?auto_9109
      ?auto_9115
      ?auto_9114
    )
    :precondition
    ( and ( OBJ ?auto_9097 ) ( LOCATION ?auto_9098 ) ( TRUCK ?auto_9106 ) ( LOCATION ?auto_9099 ) ( CITY ?auto_9105 ) ( IN-CITY ?auto_9099 ?auto_9105 ) ( IN-CITY ?auto_9098 ?auto_9105 ) ( DIFFERENT ?auto_9098 ?auto_9099 ) ( LOCATION ?auto_9110 ) ( CITY ?auto_9103 ) ( AT ?auto_9106 ?auto_9110 ) ( IN-CITY ?auto_9110 ?auto_9103 ) ( IN-CITY ?auto_9099 ?auto_9103 ) ( DIFFERENT ?auto_9099 ?auto_9110 ) ( LOCATION ?auto_9107 ) ( AT ?auto_9106 ?auto_9107 ) ( AIRPLANE ?auto_9108 ) ( AIRPORT ?auto_9101 ) ( AIRPORT ?auto_9107 ) ( AT ?auto_9108 ?auto_9101 ) ( DIFFERENT ?auto_9107 ?auto_9101 ) ( LOCATION ?auto_9100 ) ( AT ?auto_9108 ?auto_9100 ) ( TRUCK ?auto_9104 ) ( IN ?auto_9097 ?auto_9104 ) ( LOCATION ?auto_9112 ) ( CITY ?auto_9109 ) ( IN-CITY ?auto_9112 ?auto_9109 ) ( IN-CITY ?auto_9100 ?auto_9109 ) ( DIFFERENT ?auto_9100 ?auto_9112 ) ( LOCATION ?auto_9115 ) ( CITY ?auto_9114 ) ( AT ?auto_9104 ?auto_9115 ) ( IN-CITY ?auto_9115 ?auto_9114 ) ( IN-CITY ?auto_9112 ?auto_9114 ) ( DIFFERENT ?auto_9112 ?auto_9115 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9104 ?auto_9115 ?auto_9112 ?auto_9114 )
      ( DELIVER-PKG ?auto_9097 ?auto_9098 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9135
      ?auto_9136
    )
    :vars
    (
      ?auto_9145
      ?auto_9150
      ?auto_9144
      ?auto_9147
      ?auto_9137
      ?auto_9139
      ?auto_9140
      ?auto_9146
      ?auto_9142
      ?auto_9143
      ?auto_9148
      ?auto_9141
      ?auto_9152
      ?auto_9151
      ?auto_9154
    )
    :precondition
    ( and ( OBJ ?auto_9135 ) ( LOCATION ?auto_9136 ) ( TRUCK ?auto_9145 ) ( LOCATION ?auto_9150 ) ( CITY ?auto_9144 ) ( IN-CITY ?auto_9150 ?auto_9144 ) ( IN-CITY ?auto_9136 ?auto_9144 ) ( DIFFERENT ?auto_9136 ?auto_9150 ) ( LOCATION ?auto_9147 ) ( CITY ?auto_9137 ) ( AT ?auto_9145 ?auto_9147 ) ( IN-CITY ?auto_9147 ?auto_9137 ) ( IN-CITY ?auto_9150 ?auto_9137 ) ( DIFFERENT ?auto_9150 ?auto_9147 ) ( LOCATION ?auto_9139 ) ( AT ?auto_9145 ?auto_9139 ) ( AIRPLANE ?auto_9140 ) ( AIRPORT ?auto_9146 ) ( AIRPORT ?auto_9139 ) ( AT ?auto_9140 ?auto_9146 ) ( DIFFERENT ?auto_9139 ?auto_9146 ) ( LOCATION ?auto_9142 ) ( AT ?auto_9140 ?auto_9142 ) ( TRUCK ?auto_9143 ) ( LOCATION ?auto_9148 ) ( CITY ?auto_9141 ) ( IN-CITY ?auto_9148 ?auto_9141 ) ( IN-CITY ?auto_9142 ?auto_9141 ) ( DIFFERENT ?auto_9142 ?auto_9148 ) ( LOCATION ?auto_9152 ) ( CITY ?auto_9151 ) ( AT ?auto_9143 ?auto_9152 ) ( IN-CITY ?auto_9152 ?auto_9151 ) ( IN-CITY ?auto_9148 ?auto_9151 ) ( DIFFERENT ?auto_9148 ?auto_9152 ) ( LOCATION ?auto_9154 ) ( AT ?auto_9143 ?auto_9154 ) ( AT ?auto_9135 ?auto_9154 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9135 ?auto_9143 ?auto_9154 )
      ( DELIVER-PKG ?auto_9135 ?auto_9136 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9175
      ?auto_9176
    )
    :vars
    (
      ?auto_9179
      ?auto_9186
      ?auto_9190
      ?auto_9181
      ?auto_9191
      ?auto_9177
      ?auto_9184
      ?auto_9183
      ?auto_9189
      ?auto_9185
      ?auto_9182
      ?auto_9188
      ?auto_9187
      ?auto_9178
      ?auto_9195
    )
    :precondition
    ( and ( OBJ ?auto_9175 ) ( LOCATION ?auto_9176 ) ( TRUCK ?auto_9179 ) ( LOCATION ?auto_9186 ) ( CITY ?auto_9190 ) ( IN-CITY ?auto_9186 ?auto_9190 ) ( IN-CITY ?auto_9176 ?auto_9190 ) ( DIFFERENT ?auto_9176 ?auto_9186 ) ( LOCATION ?auto_9181 ) ( CITY ?auto_9191 ) ( AT ?auto_9179 ?auto_9181 ) ( IN-CITY ?auto_9181 ?auto_9191 ) ( IN-CITY ?auto_9186 ?auto_9191 ) ( DIFFERENT ?auto_9186 ?auto_9181 ) ( LOCATION ?auto_9177 ) ( AT ?auto_9179 ?auto_9177 ) ( AIRPLANE ?auto_9184 ) ( AIRPORT ?auto_9183 ) ( AIRPORT ?auto_9177 ) ( DIFFERENT ?auto_9177 ?auto_9183 ) ( LOCATION ?auto_9183 ) ( TRUCK ?auto_9189 ) ( LOCATION ?auto_9185 ) ( CITY ?auto_9182 ) ( IN-CITY ?auto_9185 ?auto_9182 ) ( IN-CITY ?auto_9183 ?auto_9182 ) ( DIFFERENT ?auto_9183 ?auto_9185 ) ( LOCATION ?auto_9188 ) ( CITY ?auto_9187 ) ( AT ?auto_9189 ?auto_9188 ) ( IN-CITY ?auto_9188 ?auto_9187 ) ( IN-CITY ?auto_9185 ?auto_9187 ) ( DIFFERENT ?auto_9185 ?auto_9188 ) ( LOCATION ?auto_9178 ) ( AT ?auto_9189 ?auto_9178 ) ( AT ?auto_9175 ?auto_9178 ) ( AIRPORT ?auto_9195 ) ( AT ?auto_9184 ?auto_9195 ) ( DIFFERENT ?auto_9183 ?auto_9195 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9184 ?auto_9195 ?auto_9183 )
      ( DELIVER-PKG ?auto_9175 ?auto_9176 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9197
      ?auto_9198
    )
    :vars
    (
      ?auto_9205
      ?auto_9209
      ?auto_9213
      ?auto_9200
      ?auto_9214
      ?auto_9199
      ?auto_9207
      ?auto_9206
      ?auto_9212
      ?auto_9208
      ?auto_9201
      ?auto_9202
      ?auto_9210
      ?auto_9203
      ?auto_9218
      ?auto_9217
    )
    :precondition
    ( and ( OBJ ?auto_9197 ) ( LOCATION ?auto_9198 ) ( TRUCK ?auto_9205 ) ( LOCATION ?auto_9209 ) ( CITY ?auto_9213 ) ( IN-CITY ?auto_9209 ?auto_9213 ) ( IN-CITY ?auto_9198 ?auto_9213 ) ( DIFFERENT ?auto_9198 ?auto_9209 ) ( LOCATION ?auto_9200 ) ( CITY ?auto_9214 ) ( AT ?auto_9205 ?auto_9200 ) ( IN-CITY ?auto_9200 ?auto_9214 ) ( IN-CITY ?auto_9209 ?auto_9214 ) ( DIFFERENT ?auto_9209 ?auto_9200 ) ( LOCATION ?auto_9199 ) ( AT ?auto_9205 ?auto_9199 ) ( AIRPLANE ?auto_9207 ) ( AIRPORT ?auto_9206 ) ( AIRPORT ?auto_9199 ) ( DIFFERENT ?auto_9199 ?auto_9206 ) ( LOCATION ?auto_9206 ) ( TRUCK ?auto_9212 ) ( LOCATION ?auto_9208 ) ( CITY ?auto_9201 ) ( IN-CITY ?auto_9208 ?auto_9201 ) ( IN-CITY ?auto_9206 ?auto_9201 ) ( DIFFERENT ?auto_9206 ?auto_9208 ) ( LOCATION ?auto_9202 ) ( CITY ?auto_9210 ) ( IN-CITY ?auto_9202 ?auto_9210 ) ( IN-CITY ?auto_9208 ?auto_9210 ) ( DIFFERENT ?auto_9208 ?auto_9202 ) ( AT ?auto_9197 ?auto_9202 ) ( AIRPORT ?auto_9203 ) ( AT ?auto_9207 ?auto_9203 ) ( DIFFERENT ?auto_9206 ?auto_9203 ) ( LOCATION ?auto_9218 ) ( CITY ?auto_9217 ) ( AT ?auto_9212 ?auto_9218 ) ( IN-CITY ?auto_9218 ?auto_9217 ) ( IN-CITY ?auto_9202 ?auto_9217 ) ( DIFFERENT ?auto_9202 ?auto_9218 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9212 ?auto_9218 ?auto_9202 ?auto_9217 )
      ( DELIVER-PKG ?auto_9197 ?auto_9198 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9220
      ?auto_9221
    )
    :vars
    (
      ?auto_9229
      ?auto_9233
      ?auto_9236
      ?auto_9222
      ?auto_9237
      ?auto_9231
      ?auto_9230
      ?auto_9235
      ?auto_9232
      ?auto_9226
      ?auto_9227
      ?auto_9234
      ?auto_9228
      ?auto_9239
      ?auto_9238
      ?auto_9242
      ?auto_9241
    )
    :precondition
    ( and ( OBJ ?auto_9220 ) ( LOCATION ?auto_9221 ) ( TRUCK ?auto_9229 ) ( LOCATION ?auto_9233 ) ( CITY ?auto_9236 ) ( IN-CITY ?auto_9233 ?auto_9236 ) ( IN-CITY ?auto_9221 ?auto_9236 ) ( DIFFERENT ?auto_9221 ?auto_9233 ) ( LOCATION ?auto_9222 ) ( CITY ?auto_9237 ) ( IN-CITY ?auto_9222 ?auto_9237 ) ( IN-CITY ?auto_9233 ?auto_9237 ) ( DIFFERENT ?auto_9233 ?auto_9222 ) ( AIRPLANE ?auto_9231 ) ( AIRPORT ?auto_9230 ) ( AIRPORT ?auto_9222 ) ( DIFFERENT ?auto_9222 ?auto_9230 ) ( LOCATION ?auto_9230 ) ( TRUCK ?auto_9235 ) ( LOCATION ?auto_9232 ) ( CITY ?auto_9226 ) ( IN-CITY ?auto_9232 ?auto_9226 ) ( IN-CITY ?auto_9230 ?auto_9226 ) ( DIFFERENT ?auto_9230 ?auto_9232 ) ( LOCATION ?auto_9227 ) ( CITY ?auto_9234 ) ( IN-CITY ?auto_9227 ?auto_9234 ) ( IN-CITY ?auto_9232 ?auto_9234 ) ( DIFFERENT ?auto_9232 ?auto_9227 ) ( AT ?auto_9220 ?auto_9227 ) ( AIRPORT ?auto_9228 ) ( AT ?auto_9231 ?auto_9228 ) ( DIFFERENT ?auto_9230 ?auto_9228 ) ( LOCATION ?auto_9239 ) ( CITY ?auto_9238 ) ( AT ?auto_9235 ?auto_9239 ) ( IN-CITY ?auto_9239 ?auto_9238 ) ( IN-CITY ?auto_9227 ?auto_9238 ) ( DIFFERENT ?auto_9227 ?auto_9239 ) ( LOCATION ?auto_9242 ) ( CITY ?auto_9241 ) ( AT ?auto_9229 ?auto_9242 ) ( IN-CITY ?auto_9242 ?auto_9241 ) ( IN-CITY ?auto_9222 ?auto_9241 ) ( DIFFERENT ?auto_9222 ?auto_9242 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9229 ?auto_9242 ?auto_9222 ?auto_9241 )
      ( DELIVER-PKG ?auto_9220 ?auto_9221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28681
      ?auto_28682
    )
    :vars
    (
      ?auto_28687
      ?auto_28693
      ?auto_28688
      ?auto_28684
      ?auto_28685
      ?auto_28689
      ?auto_28686
      ?auto_28691
      ?auto_28695
    )
    :precondition
    ( and ( OBJ ?auto_28681 ) ( LOCATION ?auto_28682 ) ( TRUCK ?auto_28687 ) ( LOCATION ?auto_28693 ) ( CITY ?auto_28688 ) ( AT ?auto_28687 ?auto_28693 ) ( IN-CITY ?auto_28693 ?auto_28688 ) ( IN-CITY ?auto_28682 ?auto_28688 ) ( DIFFERENT ?auto_28682 ?auto_28693 ) ( LOCATION ?auto_28684 ) ( AT ?auto_28687 ?auto_28684 ) ( TRUCK ?auto_28685 ) ( AT ?auto_28685 ?auto_28684 ) ( LOCATION ?auto_28689 ) ( AT ?auto_28685 ?auto_28689 ) ( AIRPLANE ?auto_28686 ) ( AIRPORT ?auto_28691 ) ( AIRPORT ?auto_28689 ) ( DIFFERENT ?auto_28689 ?auto_28691 ) ( LOCATION ?auto_28691 ) ( AT ?auto_28681 ?auto_28691 ) ( AIRPORT ?auto_28695 ) ( AT ?auto_28686 ?auto_28695 ) ( DIFFERENT ?auto_28691 ?auto_28695 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28686 ?auto_28695 ?auto_28691 )
      ( DELIVER-PKG ?auto_28681 ?auto_28682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28723
      ?auto_28724
    )
    :vars
    (
      ?auto_28727
      ?auto_28732
      ?auto_28728
      ?auto_28725
      ?auto_28730
      ?auto_28729
      ?auto_28726
      ?auto_28731
      ?auto_28734
      ?auto_28737
    )
    :precondition
    ( and ( OBJ ?auto_28723 ) ( LOCATION ?auto_28724 ) ( TRUCK ?auto_28727 ) ( LOCATION ?auto_28732 ) ( CITY ?auto_28728 ) ( AT ?auto_28727 ?auto_28732 ) ( IN-CITY ?auto_28732 ?auto_28728 ) ( IN-CITY ?auto_28724 ?auto_28728 ) ( DIFFERENT ?auto_28724 ?auto_28732 ) ( LOCATION ?auto_28725 ) ( AT ?auto_28727 ?auto_28725 ) ( TRUCK ?auto_28730 ) ( AT ?auto_28730 ?auto_28725 ) ( LOCATION ?auto_28729 ) ( AT ?auto_28730 ?auto_28729 ) ( AIRPLANE ?auto_28726 ) ( AIRPORT ?auto_28731 ) ( AIRPORT ?auto_28729 ) ( DIFFERENT ?auto_28729 ?auto_28731 ) ( LOCATION ?auto_28731 ) ( AT ?auto_28723 ?auto_28731 ) ( AIRPORT ?auto_28734 ) ( DIFFERENT ?auto_28731 ?auto_28734 ) ( AIRPORT ?auto_28737 ) ( AT ?auto_28726 ?auto_28737 ) ( DIFFERENT ?auto_28734 ?auto_28737 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28726 ?auto_28737 ?auto_28734 )
      ( DELIVER-PKG ?auto_28723 ?auto_28724 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28753
      ?auto_28754
    )
    :vars
    (
      ?auto_28756
      ?auto_28761
      ?auto_28757
      ?auto_28762
      ?auto_28759
      ?auto_28758
      ?auto_28763
      ?auto_28760
      ?auto_28764
      ?auto_28766
      ?auto_28769
    )
    :precondition
    ( and ( OBJ ?auto_28753 ) ( LOCATION ?auto_28754 ) ( TRUCK ?auto_28756 ) ( LOCATION ?auto_28761 ) ( CITY ?auto_28757 ) ( AT ?auto_28756 ?auto_28761 ) ( IN-CITY ?auto_28761 ?auto_28757 ) ( IN-CITY ?auto_28754 ?auto_28757 ) ( DIFFERENT ?auto_28754 ?auto_28761 ) ( LOCATION ?auto_28762 ) ( AT ?auto_28756 ?auto_28762 ) ( TRUCK ?auto_28759 ) ( AT ?auto_28759 ?auto_28762 ) ( LOCATION ?auto_28758 ) ( AT ?auto_28759 ?auto_28758 ) ( AIRPLANE ?auto_28763 ) ( AIRPORT ?auto_28760 ) ( AIRPORT ?auto_28758 ) ( DIFFERENT ?auto_28758 ?auto_28760 ) ( LOCATION ?auto_28760 ) ( AIRPORT ?auto_28764 ) ( DIFFERENT ?auto_28760 ?auto_28764 ) ( AIRPORT ?auto_28766 ) ( AT ?auto_28763 ?auto_28766 ) ( DIFFERENT ?auto_28764 ?auto_28766 ) ( TRUCK ?auto_28769 ) ( AT ?auto_28769 ?auto_28760 ) ( IN ?auto_28753 ?auto_28769 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_28753 ?auto_28760 )
      ( DELIVER-PKG ?auto_28753 ?auto_28754 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9670
      ?auto_9671
    )
    :vars
    (
      ?auto_9681
      ?auto_9678
      ?auto_9672
      ?auto_9673
      ?auto_9677
      ?auto_9679
      ?auto_9674
      ?auto_9675
      ?auto_9685
      ?auto_9684
    )
    :precondition
    ( and ( OBJ ?auto_9670 ) ( LOCATION ?auto_9671 ) ( TRUCK ?auto_9681 ) ( LOCATION ?auto_9678 ) ( CITY ?auto_9672 ) ( IN-CITY ?auto_9678 ?auto_9672 ) ( IN-CITY ?auto_9671 ?auto_9672 ) ( DIFFERENT ?auto_9671 ?auto_9678 ) ( AIRPLANE ?auto_9673 ) ( AIRPORT ?auto_9677 ) ( AIRPORT ?auto_9678 ) ( DIFFERENT ?auto_9678 ?auto_9677 ) ( LOCATION ?auto_9677 ) ( AIRPORT ?auto_9679 ) ( DIFFERENT ?auto_9677 ?auto_9679 ) ( AIRPORT ?auto_9674 ) ( AT ?auto_9673 ?auto_9674 ) ( DIFFERENT ?auto_9679 ?auto_9674 ) ( TRUCK ?auto_9675 ) ( AT ?auto_9675 ?auto_9677 ) ( IN ?auto_9670 ?auto_9675 ) ( LOCATION ?auto_9685 ) ( CITY ?auto_9684 ) ( AT ?auto_9681 ?auto_9685 ) ( IN-CITY ?auto_9685 ?auto_9684 ) ( IN-CITY ?auto_9678 ?auto_9684 ) ( DIFFERENT ?auto_9678 ?auto_9685 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9681 ?auto_9685 ?auto_9678 ?auto_9684 )
      ( DELIVER-PKG ?auto_9670 ?auto_9671 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9687
      ?auto_9688
    )
    :vars
    (
      ?auto_9691
      ?auto_9697
      ?auto_9689
      ?auto_9700
      ?auto_9693
      ?auto_9696
      ?auto_9699
      ?auto_9690
      ?auto_9695
      ?auto_9694
      ?auto_9703
      ?auto_9702
    )
    :precondition
    ( and ( OBJ ?auto_9687 ) ( LOCATION ?auto_9688 ) ( TRUCK ?auto_9691 ) ( LOCATION ?auto_9697 ) ( CITY ?auto_9689 ) ( IN-CITY ?auto_9697 ?auto_9689 ) ( IN-CITY ?auto_9688 ?auto_9689 ) ( DIFFERENT ?auto_9688 ?auto_9697 ) ( AIRPLANE ?auto_9700 ) ( AIRPORT ?auto_9693 ) ( AIRPORT ?auto_9697 ) ( DIFFERENT ?auto_9697 ?auto_9693 ) ( LOCATION ?auto_9693 ) ( AIRPORT ?auto_9696 ) ( DIFFERENT ?auto_9693 ?auto_9696 ) ( AIRPORT ?auto_9699 ) ( AT ?auto_9700 ?auto_9699 ) ( DIFFERENT ?auto_9696 ?auto_9699 ) ( TRUCK ?auto_9690 ) ( IN ?auto_9687 ?auto_9690 ) ( LOCATION ?auto_9695 ) ( CITY ?auto_9694 ) ( AT ?auto_9691 ?auto_9695 ) ( IN-CITY ?auto_9695 ?auto_9694 ) ( IN-CITY ?auto_9697 ?auto_9694 ) ( DIFFERENT ?auto_9697 ?auto_9695 ) ( LOCATION ?auto_9703 ) ( CITY ?auto_9702 ) ( AT ?auto_9690 ?auto_9703 ) ( IN-CITY ?auto_9703 ?auto_9702 ) ( IN-CITY ?auto_9693 ?auto_9702 ) ( DIFFERENT ?auto_9693 ?auto_9703 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9690 ?auto_9703 ?auto_9693 ?auto_9702 )
      ( DELIVER-PKG ?auto_9687 ?auto_9688 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9705
      ?auto_9706
    )
    :vars
    (
      ?auto_9716
      ?auto_9709
      ?auto_9707
      ?auto_9708
      ?auto_9720
      ?auto_9714
      ?auto_9718
      ?auto_9717
      ?auto_9713
      ?auto_9719
      ?auto_9710
      ?auto_9715
      ?auto_9723
      ?auto_9722
    )
    :precondition
    ( and ( OBJ ?auto_9705 ) ( LOCATION ?auto_9706 ) ( TRUCK ?auto_9716 ) ( LOCATION ?auto_9709 ) ( CITY ?auto_9707 ) ( IN-CITY ?auto_9709 ?auto_9707 ) ( IN-CITY ?auto_9706 ?auto_9707 ) ( DIFFERENT ?auto_9706 ?auto_9709 ) ( AIRPLANE ?auto_9708 ) ( AIRPORT ?auto_9720 ) ( AIRPORT ?auto_9709 ) ( DIFFERENT ?auto_9709 ?auto_9720 ) ( LOCATION ?auto_9720 ) ( AIRPORT ?auto_9714 ) ( DIFFERENT ?auto_9720 ?auto_9714 ) ( AIRPORT ?auto_9718 ) ( AT ?auto_9708 ?auto_9718 ) ( DIFFERENT ?auto_9714 ?auto_9718 ) ( TRUCK ?auto_9717 ) ( IN ?auto_9705 ?auto_9717 ) ( LOCATION ?auto_9713 ) ( CITY ?auto_9719 ) ( IN-CITY ?auto_9713 ?auto_9719 ) ( IN-CITY ?auto_9709 ?auto_9719 ) ( DIFFERENT ?auto_9709 ?auto_9713 ) ( LOCATION ?auto_9710 ) ( CITY ?auto_9715 ) ( AT ?auto_9717 ?auto_9710 ) ( IN-CITY ?auto_9710 ?auto_9715 ) ( IN-CITY ?auto_9720 ?auto_9715 ) ( DIFFERENT ?auto_9720 ?auto_9710 ) ( LOCATION ?auto_9723 ) ( CITY ?auto_9722 ) ( AT ?auto_9716 ?auto_9723 ) ( IN-CITY ?auto_9723 ?auto_9722 ) ( IN-CITY ?auto_9713 ?auto_9722 ) ( DIFFERENT ?auto_9713 ?auto_9723 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9716 ?auto_9723 ?auto_9713 ?auto_9722 )
      ( DELIVER-PKG ?auto_9705 ?auto_9706 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9725
      ?auto_9726
    )
    :vars
    (
      ?auto_9732
      ?auto_9739
      ?auto_9734
      ?auto_9736
      ?auto_9733
      ?auto_9742
      ?auto_9737
      ?auto_9728
      ?auto_9738
      ?auto_9740
      ?auto_9741
      ?auto_9730
      ?auto_9731
      ?auto_9729
      ?auto_9744
    )
    :precondition
    ( and ( OBJ ?auto_9725 ) ( LOCATION ?auto_9726 ) ( TRUCK ?auto_9732 ) ( LOCATION ?auto_9739 ) ( CITY ?auto_9734 ) ( IN-CITY ?auto_9739 ?auto_9734 ) ( IN-CITY ?auto_9726 ?auto_9734 ) ( DIFFERENT ?auto_9726 ?auto_9739 ) ( AIRPLANE ?auto_9736 ) ( AIRPORT ?auto_9733 ) ( AIRPORT ?auto_9739 ) ( DIFFERENT ?auto_9739 ?auto_9733 ) ( LOCATION ?auto_9733 ) ( AIRPORT ?auto_9742 ) ( DIFFERENT ?auto_9733 ?auto_9742 ) ( AIRPORT ?auto_9737 ) ( AT ?auto_9736 ?auto_9737 ) ( DIFFERENT ?auto_9742 ?auto_9737 ) ( TRUCK ?auto_9728 ) ( LOCATION ?auto_9738 ) ( CITY ?auto_9740 ) ( IN-CITY ?auto_9738 ?auto_9740 ) ( IN-CITY ?auto_9739 ?auto_9740 ) ( DIFFERENT ?auto_9739 ?auto_9738 ) ( LOCATION ?auto_9741 ) ( CITY ?auto_9730 ) ( AT ?auto_9728 ?auto_9741 ) ( IN-CITY ?auto_9741 ?auto_9730 ) ( IN-CITY ?auto_9733 ?auto_9730 ) ( DIFFERENT ?auto_9733 ?auto_9741 ) ( LOCATION ?auto_9731 ) ( CITY ?auto_9729 ) ( AT ?auto_9732 ?auto_9731 ) ( IN-CITY ?auto_9731 ?auto_9729 ) ( IN-CITY ?auto_9738 ?auto_9729 ) ( DIFFERENT ?auto_9738 ?auto_9731 ) ( LOCATION ?auto_9744 ) ( AT ?auto_9728 ?auto_9744 ) ( AT ?auto_9725 ?auto_9744 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9725 ?auto_9728 ?auto_9744 )
      ( DELIVER-PKG ?auto_9725 ?auto_9726 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9765
      ?auto_9766
    )
    :vars
    (
      ?auto_9783
      ?auto_9779
      ?auto_9776
      ?auto_9770
      ?auto_9775
      ?auto_9771
      ?auto_9767
      ?auto_9781
      ?auto_9777
      ?auto_9772
      ?auto_9774
      ?auto_9780
      ?auto_9782
      ?auto_9778
      ?auto_9786
      ?auto_9785
    )
    :precondition
    ( and ( OBJ ?auto_9765 ) ( LOCATION ?auto_9766 ) ( TRUCK ?auto_9783 ) ( LOCATION ?auto_9779 ) ( CITY ?auto_9776 ) ( IN-CITY ?auto_9779 ?auto_9776 ) ( IN-CITY ?auto_9766 ?auto_9776 ) ( DIFFERENT ?auto_9766 ?auto_9779 ) ( AIRPLANE ?auto_9770 ) ( AIRPORT ?auto_9775 ) ( AIRPORT ?auto_9779 ) ( DIFFERENT ?auto_9779 ?auto_9775 ) ( LOCATION ?auto_9775 ) ( AIRPORT ?auto_9771 ) ( DIFFERENT ?auto_9775 ?auto_9771 ) ( AIRPORT ?auto_9767 ) ( AT ?auto_9770 ?auto_9767 ) ( DIFFERENT ?auto_9771 ?auto_9767 ) ( TRUCK ?auto_9781 ) ( LOCATION ?auto_9777 ) ( CITY ?auto_9772 ) ( IN-CITY ?auto_9777 ?auto_9772 ) ( IN-CITY ?auto_9779 ?auto_9772 ) ( DIFFERENT ?auto_9779 ?auto_9777 ) ( LOCATION ?auto_9774 ) ( CITY ?auto_9780 ) ( IN-CITY ?auto_9774 ?auto_9780 ) ( IN-CITY ?auto_9775 ?auto_9780 ) ( DIFFERENT ?auto_9775 ?auto_9774 ) ( LOCATION ?auto_9782 ) ( CITY ?auto_9778 ) ( AT ?auto_9783 ?auto_9782 ) ( IN-CITY ?auto_9782 ?auto_9778 ) ( IN-CITY ?auto_9777 ?auto_9778 ) ( DIFFERENT ?auto_9777 ?auto_9782 ) ( AT ?auto_9765 ?auto_9774 ) ( LOCATION ?auto_9786 ) ( CITY ?auto_9785 ) ( AT ?auto_9781 ?auto_9786 ) ( IN-CITY ?auto_9786 ?auto_9785 ) ( IN-CITY ?auto_9774 ?auto_9785 ) ( DIFFERENT ?auto_9774 ?auto_9786 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9781 ?auto_9786 ?auto_9774 ?auto_9785 )
      ( DELIVER-PKG ?auto_9765 ?auto_9766 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9788
      ?auto_9789
    )
    :vars
    (
      ?auto_9797
      ?auto_9801
      ?auto_9793
      ?auto_9791
      ?auto_9792
      ?auto_9795
      ?auto_9796
      ?auto_9803
      ?auto_9794
      ?auto_9805
      ?auto_9790
      ?auto_9802
      ?auto_9804
      ?auto_9800
      ?auto_9807
      ?auto_9798
      ?auto_9809
    )
    :precondition
    ( and ( OBJ ?auto_9788 ) ( LOCATION ?auto_9789 ) ( TRUCK ?auto_9797 ) ( LOCATION ?auto_9801 ) ( CITY ?auto_9793 ) ( IN-CITY ?auto_9801 ?auto_9793 ) ( IN-CITY ?auto_9789 ?auto_9793 ) ( DIFFERENT ?auto_9789 ?auto_9801 ) ( AIRPLANE ?auto_9791 ) ( AIRPORT ?auto_9792 ) ( AIRPORT ?auto_9801 ) ( DIFFERENT ?auto_9801 ?auto_9792 ) ( LOCATION ?auto_9792 ) ( AIRPORT ?auto_9795 ) ( DIFFERENT ?auto_9792 ?auto_9795 ) ( AIRPORT ?auto_9796 ) ( DIFFERENT ?auto_9795 ?auto_9796 ) ( TRUCK ?auto_9803 ) ( LOCATION ?auto_9794 ) ( CITY ?auto_9805 ) ( IN-CITY ?auto_9794 ?auto_9805 ) ( IN-CITY ?auto_9801 ?auto_9805 ) ( DIFFERENT ?auto_9801 ?auto_9794 ) ( LOCATION ?auto_9790 ) ( CITY ?auto_9802 ) ( IN-CITY ?auto_9790 ?auto_9802 ) ( IN-CITY ?auto_9792 ?auto_9802 ) ( DIFFERENT ?auto_9792 ?auto_9790 ) ( LOCATION ?auto_9804 ) ( CITY ?auto_9800 ) ( AT ?auto_9797 ?auto_9804 ) ( IN-CITY ?auto_9804 ?auto_9800 ) ( IN-CITY ?auto_9794 ?auto_9800 ) ( DIFFERENT ?auto_9794 ?auto_9804 ) ( AT ?auto_9788 ?auto_9790 ) ( LOCATION ?auto_9807 ) ( CITY ?auto_9798 ) ( AT ?auto_9803 ?auto_9807 ) ( IN-CITY ?auto_9807 ?auto_9798 ) ( IN-CITY ?auto_9790 ?auto_9798 ) ( DIFFERENT ?auto_9790 ?auto_9807 ) ( AIRPORT ?auto_9809 ) ( AT ?auto_9791 ?auto_9809 ) ( DIFFERENT ?auto_9796 ?auto_9809 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9791 ?auto_9809 ?auto_9796 )
      ( DELIVER-PKG ?auto_9788 ?auto_9789 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9811
      ?auto_9812
    )
    :vars
    (
      ?auto_9827
      ?auto_9822
      ?auto_9826
      ?auto_9824
      ?auto_9823
      ?auto_9828
      ?auto_9830
      ?auto_9821
      ?auto_9829
      ?auto_9814
      ?auto_9818
      ?auto_9820
      ?auto_9825
      ?auto_9817
      ?auto_9816
      ?auto_9831
      ?auto_9815
      ?auto_9834
      ?auto_9833
    )
    :precondition
    ( and ( OBJ ?auto_9811 ) ( LOCATION ?auto_9812 ) ( TRUCK ?auto_9827 ) ( LOCATION ?auto_9822 ) ( CITY ?auto_9826 ) ( IN-CITY ?auto_9822 ?auto_9826 ) ( IN-CITY ?auto_9812 ?auto_9826 ) ( DIFFERENT ?auto_9812 ?auto_9822 ) ( AIRPLANE ?auto_9824 ) ( AIRPORT ?auto_9823 ) ( AIRPORT ?auto_9822 ) ( DIFFERENT ?auto_9822 ?auto_9823 ) ( LOCATION ?auto_9823 ) ( AIRPORT ?auto_9828 ) ( DIFFERENT ?auto_9823 ?auto_9828 ) ( AIRPORT ?auto_9830 ) ( DIFFERENT ?auto_9828 ?auto_9830 ) ( TRUCK ?auto_9821 ) ( LOCATION ?auto_9829 ) ( CITY ?auto_9814 ) ( IN-CITY ?auto_9829 ?auto_9814 ) ( IN-CITY ?auto_9822 ?auto_9814 ) ( DIFFERENT ?auto_9822 ?auto_9829 ) ( LOCATION ?auto_9818 ) ( CITY ?auto_9820 ) ( IN-CITY ?auto_9818 ?auto_9820 ) ( IN-CITY ?auto_9823 ?auto_9820 ) ( DIFFERENT ?auto_9823 ?auto_9818 ) ( LOCATION ?auto_9825 ) ( CITY ?auto_9817 ) ( IN-CITY ?auto_9825 ?auto_9817 ) ( IN-CITY ?auto_9829 ?auto_9817 ) ( DIFFERENT ?auto_9829 ?auto_9825 ) ( AT ?auto_9811 ?auto_9818 ) ( LOCATION ?auto_9816 ) ( CITY ?auto_9831 ) ( AT ?auto_9821 ?auto_9816 ) ( IN-CITY ?auto_9816 ?auto_9831 ) ( IN-CITY ?auto_9818 ?auto_9831 ) ( DIFFERENT ?auto_9818 ?auto_9816 ) ( AIRPORT ?auto_9815 ) ( AT ?auto_9824 ?auto_9815 ) ( DIFFERENT ?auto_9830 ?auto_9815 ) ( LOCATION ?auto_9834 ) ( CITY ?auto_9833 ) ( AT ?auto_9827 ?auto_9834 ) ( IN-CITY ?auto_9834 ?auto_9833 ) ( IN-CITY ?auto_9825 ?auto_9833 ) ( DIFFERENT ?auto_9825 ?auto_9834 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9827 ?auto_9834 ?auto_9825 ?auto_9833 )
      ( DELIVER-PKG ?auto_9811 ?auto_9812 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10425
      ?auto_10426
    )
    :vars
    (
      ?auto_10429
      ?auto_10435
      ?auto_10431
      ?auto_10427
      ?auto_10434
      ?auto_10430
      ?auto_10432
      ?auto_10436
      ?auto_10440
      ?auto_10439
    )
    :precondition
    ( and ( OBJ ?auto_10425 ) ( LOCATION ?auto_10426 ) ( AIRPLANE ?auto_10429 ) ( AIRPORT ?auto_10435 ) ( AIRPORT ?auto_10426 ) ( AT ?auto_10429 ?auto_10435 ) ( DIFFERENT ?auto_10426 ?auto_10435 ) ( LOCATION ?auto_10431 ) ( AT ?auto_10429 ?auto_10431 ) ( TRUCK ?auto_10427 ) ( LOCATION ?auto_10434 ) ( CITY ?auto_10430 ) ( IN-CITY ?auto_10434 ?auto_10430 ) ( IN-CITY ?auto_10431 ?auto_10430 ) ( DIFFERENT ?auto_10431 ?auto_10434 ) ( LOCATION ?auto_10432 ) ( CITY ?auto_10436 ) ( IN-CITY ?auto_10432 ?auto_10436 ) ( IN-CITY ?auto_10434 ?auto_10436 ) ( DIFFERENT ?auto_10434 ?auto_10432 ) ( AT ?auto_10425 ?auto_10432 ) ( LOCATION ?auto_10440 ) ( CITY ?auto_10439 ) ( AT ?auto_10427 ?auto_10440 ) ( IN-CITY ?auto_10440 ?auto_10439 ) ( IN-CITY ?auto_10432 ?auto_10439 ) ( DIFFERENT ?auto_10432 ?auto_10440 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10427 ?auto_10440 ?auto_10432 ?auto_10439 )
      ( DELIVER-PKG ?auto_10425 ?auto_10426 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10925
      ?auto_10926
    )
    :vars
    (
      ?auto_10933
      ?auto_10934
      ?auto_10932
      ?auto_10929
      ?auto_10930
      ?auto_10935
      ?auto_10938
      ?auto_10931
      ?auto_10927
      ?auto_10936
      ?auto_10937
      ?auto_10939
      ?auto_10944
      ?auto_10943
    )
    :precondition
    ( and ( OBJ ?auto_10925 ) ( LOCATION ?auto_10926 ) ( TRUCK ?auto_10933 ) ( LOCATION ?auto_10934 ) ( CITY ?auto_10932 ) ( AT ?auto_10933 ?auto_10934 ) ( IN-CITY ?auto_10934 ?auto_10932 ) ( IN-CITY ?auto_10926 ?auto_10932 ) ( DIFFERENT ?auto_10926 ?auto_10934 ) ( LOCATION ?auto_10929 ) ( AT ?auto_10933 ?auto_10929 ) ( AIRPLANE ?auto_10930 ) ( AIRPORT ?auto_10935 ) ( AIRPORT ?auto_10929 ) ( AT ?auto_10930 ?auto_10935 ) ( DIFFERENT ?auto_10929 ?auto_10935 ) ( LOCATION ?auto_10938 ) ( AT ?auto_10930 ?auto_10938 ) ( TRUCK ?auto_10931 ) ( LOCATION ?auto_10927 ) ( CITY ?auto_10936 ) ( IN-CITY ?auto_10927 ?auto_10936 ) ( IN-CITY ?auto_10938 ?auto_10936 ) ( DIFFERENT ?auto_10938 ?auto_10927 ) ( LOCATION ?auto_10937 ) ( CITY ?auto_10939 ) ( IN-CITY ?auto_10937 ?auto_10939 ) ( IN-CITY ?auto_10927 ?auto_10939 ) ( DIFFERENT ?auto_10927 ?auto_10937 ) ( AT ?auto_10925 ?auto_10937 ) ( LOCATION ?auto_10944 ) ( CITY ?auto_10943 ) ( AT ?auto_10931 ?auto_10944 ) ( IN-CITY ?auto_10944 ?auto_10943 ) ( IN-CITY ?auto_10937 ?auto_10943 ) ( DIFFERENT ?auto_10937 ?auto_10944 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10931 ?auto_10944 ?auto_10937 ?auto_10943 )
      ( DELIVER-PKG ?auto_10925 ?auto_10926 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10946
      ?auto_10947
    )
    :vars
    (
      ?auto_10952
      ?auto_10961
      ?auto_10951
      ?auto_10949
      ?auto_10954
      ?auto_10958
      ?auto_10950
      ?auto_10956
      ?auto_10955
      ?auto_10957
      ?auto_10959
      ?auto_10960
      ?auto_10948
      ?auto_10966
      ?auto_10965
    )
    :precondition
    ( and ( OBJ ?auto_10946 ) ( LOCATION ?auto_10947 ) ( TRUCK ?auto_10952 ) ( LOCATION ?auto_10961 ) ( CITY ?auto_10951 ) ( IN-CITY ?auto_10961 ?auto_10951 ) ( IN-CITY ?auto_10947 ?auto_10951 ) ( DIFFERENT ?auto_10947 ?auto_10961 ) ( AIRPLANE ?auto_10949 ) ( AIRPORT ?auto_10954 ) ( AIRPORT ?auto_10961 ) ( AT ?auto_10949 ?auto_10954 ) ( DIFFERENT ?auto_10961 ?auto_10954 ) ( LOCATION ?auto_10958 ) ( AT ?auto_10949 ?auto_10958 ) ( TRUCK ?auto_10950 ) ( LOCATION ?auto_10956 ) ( CITY ?auto_10955 ) ( IN-CITY ?auto_10956 ?auto_10955 ) ( IN-CITY ?auto_10958 ?auto_10955 ) ( DIFFERENT ?auto_10958 ?auto_10956 ) ( LOCATION ?auto_10957 ) ( CITY ?auto_10959 ) ( IN-CITY ?auto_10957 ?auto_10959 ) ( IN-CITY ?auto_10956 ?auto_10959 ) ( DIFFERENT ?auto_10956 ?auto_10957 ) ( AT ?auto_10946 ?auto_10957 ) ( LOCATION ?auto_10960 ) ( CITY ?auto_10948 ) ( AT ?auto_10950 ?auto_10960 ) ( IN-CITY ?auto_10960 ?auto_10948 ) ( IN-CITY ?auto_10957 ?auto_10948 ) ( DIFFERENT ?auto_10957 ?auto_10960 ) ( LOCATION ?auto_10966 ) ( CITY ?auto_10965 ) ( AT ?auto_10952 ?auto_10966 ) ( IN-CITY ?auto_10966 ?auto_10965 ) ( IN-CITY ?auto_10961 ?auto_10965 ) ( DIFFERENT ?auto_10961 ?auto_10966 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10952 ?auto_10966 ?auto_10961 ?auto_10965 )
      ( DELIVER-PKG ?auto_10946 ?auto_10947 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11425
      ?auto_11426
    )
    :vars
    (
      ?auto_11440
      ?auto_11430
      ?auto_11431
      ?auto_11443
      ?auto_11436
      ?auto_11434
      ?auto_11427
      ?auto_11439
      ?auto_11432
      ?auto_11442
      ?auto_11435
      ?auto_11441
      ?auto_11429
      ?auto_11437
      ?auto_11446
      ?auto_11445
    )
    :precondition
    ( and ( OBJ ?auto_11425 ) ( LOCATION ?auto_11426 ) ( TRUCK ?auto_11440 ) ( LOCATION ?auto_11430 ) ( CITY ?auto_11431 ) ( IN-CITY ?auto_11430 ?auto_11431 ) ( IN-CITY ?auto_11426 ?auto_11431 ) ( DIFFERENT ?auto_11426 ?auto_11430 ) ( LOCATION ?auto_11443 ) ( CITY ?auto_11436 ) ( AT ?auto_11440 ?auto_11443 ) ( IN-CITY ?auto_11443 ?auto_11436 ) ( IN-CITY ?auto_11430 ?auto_11436 ) ( DIFFERENT ?auto_11430 ?auto_11443 ) ( LOCATION ?auto_11434 ) ( AT ?auto_11440 ?auto_11434 ) ( AIRPLANE ?auto_11427 ) ( AIRPORT ?auto_11439 ) ( AIRPORT ?auto_11434 ) ( AT ?auto_11427 ?auto_11439 ) ( DIFFERENT ?auto_11434 ?auto_11439 ) ( LOCATION ?auto_11432 ) ( AT ?auto_11427 ?auto_11432 ) ( TRUCK ?auto_11442 ) ( LOCATION ?auto_11435 ) ( CITY ?auto_11441 ) ( IN-CITY ?auto_11435 ?auto_11441 ) ( IN-CITY ?auto_11432 ?auto_11441 ) ( DIFFERENT ?auto_11432 ?auto_11435 ) ( LOCATION ?auto_11429 ) ( CITY ?auto_11437 ) ( IN-CITY ?auto_11429 ?auto_11437 ) ( IN-CITY ?auto_11435 ?auto_11437 ) ( DIFFERENT ?auto_11435 ?auto_11429 ) ( AT ?auto_11425 ?auto_11429 ) ( LOCATION ?auto_11446 ) ( CITY ?auto_11445 ) ( AT ?auto_11442 ?auto_11446 ) ( IN-CITY ?auto_11446 ?auto_11445 ) ( IN-CITY ?auto_11429 ?auto_11445 ) ( DIFFERENT ?auto_11429 ?auto_11446 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11442 ?auto_11446 ?auto_11429 ?auto_11445 )
      ( DELIVER-PKG ?auto_11425 ?auto_11426 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11448
      ?auto_11449
    )
    :vars
    (
      ?auto_11457
      ?auto_11466
      ?auto_11452
      ?auto_11464
      ?auto_11454
      ?auto_11465
      ?auto_11456
      ?auto_11463
      ?auto_11459
      ?auto_11453
      ?auto_11458
      ?auto_11451
      ?auto_11455
      ?auto_11462
      ?auto_11461
      ?auto_11470
      ?auto_11469
    )
    :precondition
    ( and ( OBJ ?auto_11448 ) ( LOCATION ?auto_11449 ) ( TRUCK ?auto_11457 ) ( LOCATION ?auto_11466 ) ( CITY ?auto_11452 ) ( IN-CITY ?auto_11466 ?auto_11452 ) ( IN-CITY ?auto_11449 ?auto_11452 ) ( DIFFERENT ?auto_11449 ?auto_11466 ) ( LOCATION ?auto_11464 ) ( CITY ?auto_11454 ) ( IN-CITY ?auto_11464 ?auto_11454 ) ( IN-CITY ?auto_11466 ?auto_11454 ) ( DIFFERENT ?auto_11466 ?auto_11464 ) ( AIRPLANE ?auto_11465 ) ( AIRPORT ?auto_11456 ) ( AIRPORT ?auto_11464 ) ( AT ?auto_11465 ?auto_11456 ) ( DIFFERENT ?auto_11464 ?auto_11456 ) ( LOCATION ?auto_11463 ) ( AT ?auto_11465 ?auto_11463 ) ( TRUCK ?auto_11459 ) ( LOCATION ?auto_11453 ) ( CITY ?auto_11458 ) ( IN-CITY ?auto_11453 ?auto_11458 ) ( IN-CITY ?auto_11463 ?auto_11458 ) ( DIFFERENT ?auto_11463 ?auto_11453 ) ( LOCATION ?auto_11451 ) ( CITY ?auto_11455 ) ( IN-CITY ?auto_11451 ?auto_11455 ) ( IN-CITY ?auto_11453 ?auto_11455 ) ( DIFFERENT ?auto_11453 ?auto_11451 ) ( AT ?auto_11448 ?auto_11451 ) ( LOCATION ?auto_11462 ) ( CITY ?auto_11461 ) ( AT ?auto_11459 ?auto_11462 ) ( IN-CITY ?auto_11462 ?auto_11461 ) ( IN-CITY ?auto_11451 ?auto_11461 ) ( DIFFERENT ?auto_11451 ?auto_11462 ) ( LOCATION ?auto_11470 ) ( CITY ?auto_11469 ) ( AT ?auto_11457 ?auto_11470 ) ( IN-CITY ?auto_11470 ?auto_11469 ) ( IN-CITY ?auto_11464 ?auto_11469 ) ( DIFFERENT ?auto_11464 ?auto_11470 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11457 ?auto_11470 ?auto_11464 ?auto_11469 )
      ( DELIVER-PKG ?auto_11448 ?auto_11449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12226
      ?auto_12227
    )
    :vars
    (
      ?auto_12234
      ?auto_12229
      ?auto_12235
      ?auto_12228
      ?auto_12230
      ?auto_12232
      ?auto_12231
      ?auto_12239
      ?auto_12238
    )
    :precondition
    ( and ( OBJ ?auto_12226 ) ( LOCATION ?auto_12227 ) ( TRUCK ?auto_12234 ) ( LOCATION ?auto_12229 ) ( CITY ?auto_12235 ) ( IN-CITY ?auto_12229 ?auto_12235 ) ( IN-CITY ?auto_12227 ?auto_12235 ) ( DIFFERENT ?auto_12227 ?auto_12229 ) ( AT ?auto_12226 ?auto_12229 ) ( LOCATION ?auto_12228 ) ( CITY ?auto_12230 ) ( IN-CITY ?auto_12228 ?auto_12230 ) ( IN-CITY ?auto_12229 ?auto_12230 ) ( DIFFERENT ?auto_12229 ?auto_12228 ) ( LOCATION ?auto_12232 ) ( CITY ?auto_12231 ) ( IN-CITY ?auto_12232 ?auto_12231 ) ( IN-CITY ?auto_12228 ?auto_12231 ) ( DIFFERENT ?auto_12228 ?auto_12232 ) ( LOCATION ?auto_12239 ) ( CITY ?auto_12238 ) ( AT ?auto_12234 ?auto_12239 ) ( IN-CITY ?auto_12239 ?auto_12238 ) ( IN-CITY ?auto_12232 ?auto_12238 ) ( DIFFERENT ?auto_12232 ?auto_12239 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12234 ?auto_12239 ?auto_12232 ?auto_12238 )
      ( DELIVER-PKG ?auto_12226 ?auto_12227 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12254
      ?auto_12255
    )
    :vars
    (
      ?auto_12263
      ?auto_12259
      ?auto_12264
      ?auto_12257
      ?auto_12260
      ?auto_12262
      ?auto_12261
      ?auto_12266
      ?auto_12265
      ?auto_12267
    )
    :precondition
    ( and ( OBJ ?auto_12254 ) ( LOCATION ?auto_12255 ) ( TRUCK ?auto_12263 ) ( LOCATION ?auto_12259 ) ( CITY ?auto_12264 ) ( IN-CITY ?auto_12259 ?auto_12264 ) ( IN-CITY ?auto_12255 ?auto_12264 ) ( DIFFERENT ?auto_12255 ?auto_12259 ) ( LOCATION ?auto_12257 ) ( CITY ?auto_12260 ) ( IN-CITY ?auto_12257 ?auto_12260 ) ( IN-CITY ?auto_12259 ?auto_12260 ) ( DIFFERENT ?auto_12259 ?auto_12257 ) ( LOCATION ?auto_12262 ) ( CITY ?auto_12261 ) ( IN-CITY ?auto_12262 ?auto_12261 ) ( IN-CITY ?auto_12257 ?auto_12261 ) ( DIFFERENT ?auto_12257 ?auto_12262 ) ( LOCATION ?auto_12266 ) ( CITY ?auto_12265 ) ( AT ?auto_12263 ?auto_12266 ) ( IN-CITY ?auto_12266 ?auto_12265 ) ( IN-CITY ?auto_12262 ?auto_12265 ) ( DIFFERENT ?auto_12262 ?auto_12266 ) ( AIRPLANE ?auto_12267 ) ( IN ?auto_12254 ?auto_12267 ) ( AT ?auto_12267 ?auto_12259 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12254 ?auto_12259 )
      ( DELIVER-PKG ?auto_12254 ?auto_12255 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12284
      ?auto_12285
    )
    :vars
    (
      ?auto_12288
      ?auto_12295
      ?auto_12291
      ?auto_12296
      ?auto_12289
      ?auto_12287
      ?auto_12286
      ?auto_12293
      ?auto_12292
      ?auto_12290
      ?auto_12299
    )
    :precondition
    ( and ( OBJ ?auto_12284 ) ( LOCATION ?auto_12285 ) ( TRUCK ?auto_12288 ) ( LOCATION ?auto_12295 ) ( CITY ?auto_12291 ) ( IN-CITY ?auto_12295 ?auto_12291 ) ( IN-CITY ?auto_12285 ?auto_12291 ) ( DIFFERENT ?auto_12285 ?auto_12295 ) ( LOCATION ?auto_12296 ) ( CITY ?auto_12289 ) ( IN-CITY ?auto_12296 ?auto_12289 ) ( IN-CITY ?auto_12295 ?auto_12289 ) ( DIFFERENT ?auto_12295 ?auto_12296 ) ( LOCATION ?auto_12287 ) ( CITY ?auto_12286 ) ( IN-CITY ?auto_12287 ?auto_12286 ) ( IN-CITY ?auto_12296 ?auto_12286 ) ( DIFFERENT ?auto_12296 ?auto_12287 ) ( LOCATION ?auto_12293 ) ( CITY ?auto_12292 ) ( AT ?auto_12288 ?auto_12293 ) ( IN-CITY ?auto_12293 ?auto_12292 ) ( IN-CITY ?auto_12287 ?auto_12292 ) ( DIFFERENT ?auto_12287 ?auto_12293 ) ( AIRPLANE ?auto_12290 ) ( IN ?auto_12284 ?auto_12290 ) ( AIRPORT ?auto_12299 ) ( AIRPORT ?auto_12295 ) ( AT ?auto_12290 ?auto_12299 ) ( DIFFERENT ?auto_12295 ?auto_12299 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12290 ?auto_12299 ?auto_12295 )
      ( DELIVER-PKG ?auto_12284 ?auto_12285 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12316
      ?auto_12317
    )
    :vars
    (
      ?auto_12321
      ?auto_12322
      ?auto_12325
      ?auto_12323
      ?auto_12319
      ?auto_12329
      ?auto_12318
      ?auto_12327
      ?auto_12326
      ?auto_12320
      ?auto_12330
      ?auto_12332
    )
    :precondition
    ( and ( OBJ ?auto_12316 ) ( LOCATION ?auto_12317 ) ( TRUCK ?auto_12321 ) ( LOCATION ?auto_12322 ) ( CITY ?auto_12325 ) ( IN-CITY ?auto_12322 ?auto_12325 ) ( IN-CITY ?auto_12317 ?auto_12325 ) ( DIFFERENT ?auto_12317 ?auto_12322 ) ( LOCATION ?auto_12323 ) ( CITY ?auto_12319 ) ( IN-CITY ?auto_12323 ?auto_12319 ) ( IN-CITY ?auto_12322 ?auto_12319 ) ( DIFFERENT ?auto_12322 ?auto_12323 ) ( LOCATION ?auto_12329 ) ( CITY ?auto_12318 ) ( IN-CITY ?auto_12329 ?auto_12318 ) ( IN-CITY ?auto_12323 ?auto_12318 ) ( DIFFERENT ?auto_12323 ?auto_12329 ) ( LOCATION ?auto_12327 ) ( CITY ?auto_12326 ) ( AT ?auto_12321 ?auto_12327 ) ( IN-CITY ?auto_12327 ?auto_12326 ) ( IN-CITY ?auto_12329 ?auto_12326 ) ( DIFFERENT ?auto_12329 ?auto_12327 ) ( AIRPLANE ?auto_12320 ) ( AIRPORT ?auto_12330 ) ( AIRPORT ?auto_12322 ) ( AT ?auto_12320 ?auto_12330 ) ( DIFFERENT ?auto_12322 ?auto_12330 ) ( LOCATION ?auto_12332 ) ( AT ?auto_12316 ?auto_12332 ) ( AT ?auto_12320 ?auto_12332 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12316 ?auto_12320 ?auto_12332 )
      ( DELIVER-PKG ?auto_12316 ?auto_12317 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12366
      ?auto_12367
    )
    :vars
    (
      ?auto_12369
      ?auto_12370
      ?auto_12372
      ?auto_12371
      ?auto_12373
      ?auto_12376
      ?auto_12379
      ?auto_12375
      ?auto_12374
      ?auto_12368
      ?auto_12377
      ?auto_12381
      ?auto_12382
    )
    :precondition
    ( and ( OBJ ?auto_12366 ) ( LOCATION ?auto_12367 ) ( TRUCK ?auto_12369 ) ( LOCATION ?auto_12370 ) ( CITY ?auto_12372 ) ( IN-CITY ?auto_12370 ?auto_12372 ) ( IN-CITY ?auto_12367 ?auto_12372 ) ( DIFFERENT ?auto_12367 ?auto_12370 ) ( LOCATION ?auto_12371 ) ( CITY ?auto_12373 ) ( IN-CITY ?auto_12371 ?auto_12373 ) ( IN-CITY ?auto_12370 ?auto_12373 ) ( DIFFERENT ?auto_12370 ?auto_12371 ) ( LOCATION ?auto_12376 ) ( CITY ?auto_12379 ) ( IN-CITY ?auto_12376 ?auto_12379 ) ( IN-CITY ?auto_12371 ?auto_12379 ) ( DIFFERENT ?auto_12371 ?auto_12376 ) ( LOCATION ?auto_12375 ) ( CITY ?auto_12374 ) ( AT ?auto_12369 ?auto_12375 ) ( IN-CITY ?auto_12375 ?auto_12374 ) ( IN-CITY ?auto_12376 ?auto_12374 ) ( DIFFERENT ?auto_12376 ?auto_12375 ) ( AIRPLANE ?auto_12368 ) ( AIRPORT ?auto_12377 ) ( AIRPORT ?auto_12370 ) ( AT ?auto_12368 ?auto_12377 ) ( DIFFERENT ?auto_12370 ?auto_12377 ) ( LOCATION ?auto_12381 ) ( AT ?auto_12368 ?auto_12381 ) ( TRUCK ?auto_12382 ) ( AT ?auto_12382 ?auto_12381 ) ( IN ?auto_12366 ?auto_12382 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12366 ?auto_12381 )
      ( DELIVER-PKG ?auto_12366 ?auto_12367 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12385
      ?auto_12386
    )
    :vars
    (
      ?auto_12390
      ?auto_12393
      ?auto_12396
      ?auto_12394
      ?auto_12398
      ?auto_12387
      ?auto_12389
      ?auto_12400
      ?auto_12399
      ?auto_12392
      ?auto_12388
      ?auto_12395
      ?auto_12397
      ?auto_12404
      ?auto_12403
    )
    :precondition
    ( and ( OBJ ?auto_12385 ) ( LOCATION ?auto_12386 ) ( TRUCK ?auto_12390 ) ( LOCATION ?auto_12393 ) ( CITY ?auto_12396 ) ( IN-CITY ?auto_12393 ?auto_12396 ) ( IN-CITY ?auto_12386 ?auto_12396 ) ( DIFFERENT ?auto_12386 ?auto_12393 ) ( LOCATION ?auto_12394 ) ( CITY ?auto_12398 ) ( IN-CITY ?auto_12394 ?auto_12398 ) ( IN-CITY ?auto_12393 ?auto_12398 ) ( DIFFERENT ?auto_12393 ?auto_12394 ) ( LOCATION ?auto_12387 ) ( CITY ?auto_12389 ) ( IN-CITY ?auto_12387 ?auto_12389 ) ( IN-CITY ?auto_12394 ?auto_12389 ) ( DIFFERENT ?auto_12394 ?auto_12387 ) ( LOCATION ?auto_12400 ) ( CITY ?auto_12399 ) ( AT ?auto_12390 ?auto_12400 ) ( IN-CITY ?auto_12400 ?auto_12399 ) ( IN-CITY ?auto_12387 ?auto_12399 ) ( DIFFERENT ?auto_12387 ?auto_12400 ) ( AIRPLANE ?auto_12392 ) ( AIRPORT ?auto_12388 ) ( AIRPORT ?auto_12393 ) ( AT ?auto_12392 ?auto_12388 ) ( DIFFERENT ?auto_12393 ?auto_12388 ) ( LOCATION ?auto_12395 ) ( AT ?auto_12392 ?auto_12395 ) ( TRUCK ?auto_12397 ) ( IN ?auto_12385 ?auto_12397 ) ( LOCATION ?auto_12404 ) ( CITY ?auto_12403 ) ( AT ?auto_12397 ?auto_12404 ) ( IN-CITY ?auto_12404 ?auto_12403 ) ( IN-CITY ?auto_12395 ?auto_12403 ) ( DIFFERENT ?auto_12395 ?auto_12404 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12397 ?auto_12404 ?auto_12395 ?auto_12403 )
      ( DELIVER-PKG ?auto_12385 ?auto_12386 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12406
      ?auto_12407
    )
    :vars
    (
      ?auto_12424
      ?auto_12409
      ?auto_12413
      ?auto_12410
      ?auto_12415
      ?auto_12408
      ?auto_12423
      ?auto_12416
      ?auto_12420
      ?auto_12412
      ?auto_12422
      ?auto_12421
      ?auto_12414
      ?auto_12418
      ?auto_12417
      ?auto_12427
      ?auto_12426
    )
    :precondition
    ( and ( OBJ ?auto_12406 ) ( LOCATION ?auto_12407 ) ( TRUCK ?auto_12424 ) ( LOCATION ?auto_12409 ) ( CITY ?auto_12413 ) ( IN-CITY ?auto_12409 ?auto_12413 ) ( IN-CITY ?auto_12407 ?auto_12413 ) ( DIFFERENT ?auto_12407 ?auto_12409 ) ( LOCATION ?auto_12410 ) ( CITY ?auto_12415 ) ( IN-CITY ?auto_12410 ?auto_12415 ) ( IN-CITY ?auto_12409 ?auto_12415 ) ( DIFFERENT ?auto_12409 ?auto_12410 ) ( LOCATION ?auto_12408 ) ( CITY ?auto_12423 ) ( IN-CITY ?auto_12408 ?auto_12423 ) ( IN-CITY ?auto_12410 ?auto_12423 ) ( DIFFERENT ?auto_12410 ?auto_12408 ) ( LOCATION ?auto_12416 ) ( CITY ?auto_12420 ) ( AT ?auto_12424 ?auto_12416 ) ( IN-CITY ?auto_12416 ?auto_12420 ) ( IN-CITY ?auto_12408 ?auto_12420 ) ( DIFFERENT ?auto_12408 ?auto_12416 ) ( AIRPLANE ?auto_12412 ) ( AIRPORT ?auto_12422 ) ( AIRPORT ?auto_12409 ) ( AT ?auto_12412 ?auto_12422 ) ( DIFFERENT ?auto_12409 ?auto_12422 ) ( LOCATION ?auto_12421 ) ( AT ?auto_12412 ?auto_12421 ) ( TRUCK ?auto_12414 ) ( IN ?auto_12406 ?auto_12414 ) ( LOCATION ?auto_12418 ) ( CITY ?auto_12417 ) ( IN-CITY ?auto_12418 ?auto_12417 ) ( IN-CITY ?auto_12421 ?auto_12417 ) ( DIFFERENT ?auto_12421 ?auto_12418 ) ( LOCATION ?auto_12427 ) ( CITY ?auto_12426 ) ( AT ?auto_12414 ?auto_12427 ) ( IN-CITY ?auto_12427 ?auto_12426 ) ( IN-CITY ?auto_12418 ?auto_12426 ) ( DIFFERENT ?auto_12418 ?auto_12427 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12414 ?auto_12427 ?auto_12418 ?auto_12426 )
      ( DELIVER-PKG ?auto_12406 ?auto_12407 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12429
      ?auto_12430
    )
    :vars
    (
      ?auto_12440
      ?auto_12442
      ?auto_12447
      ?auto_12446
      ?auto_12443
      ?auto_12439
      ?auto_12433
      ?auto_12434
      ?auto_12444
      ?auto_12448
      ?auto_12432
      ?auto_12445
      ?auto_12437
      ?auto_12441
      ?auto_12449
      ?auto_12436
      ?auto_12435
      ?auto_12451
    )
    :precondition
    ( and ( OBJ ?auto_12429 ) ( LOCATION ?auto_12430 ) ( TRUCK ?auto_12440 ) ( LOCATION ?auto_12442 ) ( CITY ?auto_12447 ) ( IN-CITY ?auto_12442 ?auto_12447 ) ( IN-CITY ?auto_12430 ?auto_12447 ) ( DIFFERENT ?auto_12430 ?auto_12442 ) ( LOCATION ?auto_12446 ) ( CITY ?auto_12443 ) ( IN-CITY ?auto_12446 ?auto_12443 ) ( IN-CITY ?auto_12442 ?auto_12443 ) ( DIFFERENT ?auto_12442 ?auto_12446 ) ( LOCATION ?auto_12439 ) ( CITY ?auto_12433 ) ( IN-CITY ?auto_12439 ?auto_12433 ) ( IN-CITY ?auto_12446 ?auto_12433 ) ( DIFFERENT ?auto_12446 ?auto_12439 ) ( LOCATION ?auto_12434 ) ( CITY ?auto_12444 ) ( AT ?auto_12440 ?auto_12434 ) ( IN-CITY ?auto_12434 ?auto_12444 ) ( IN-CITY ?auto_12439 ?auto_12444 ) ( DIFFERENT ?auto_12439 ?auto_12434 ) ( AIRPLANE ?auto_12448 ) ( AIRPORT ?auto_12432 ) ( AIRPORT ?auto_12442 ) ( AT ?auto_12448 ?auto_12432 ) ( DIFFERENT ?auto_12442 ?auto_12432 ) ( LOCATION ?auto_12445 ) ( AT ?auto_12448 ?auto_12445 ) ( TRUCK ?auto_12437 ) ( LOCATION ?auto_12441 ) ( CITY ?auto_12449 ) ( IN-CITY ?auto_12441 ?auto_12449 ) ( IN-CITY ?auto_12445 ?auto_12449 ) ( DIFFERENT ?auto_12445 ?auto_12441 ) ( LOCATION ?auto_12436 ) ( CITY ?auto_12435 ) ( AT ?auto_12437 ?auto_12436 ) ( IN-CITY ?auto_12436 ?auto_12435 ) ( IN-CITY ?auto_12441 ?auto_12435 ) ( DIFFERENT ?auto_12441 ?auto_12436 ) ( LOCATION ?auto_12451 ) ( AT ?auto_12437 ?auto_12451 ) ( AT ?auto_12429 ?auto_12451 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12429 ?auto_12437 ?auto_12451 )
      ( DELIVER-PKG ?auto_12429 ?auto_12430 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12475
      ?auto_12476
    )
    :vars
    (
      ?auto_12490
      ?auto_12480
      ?auto_12478
      ?auto_12483
      ?auto_12488
      ?auto_12486
      ?auto_12491
      ?auto_12493
      ?auto_12484
      ?auto_12481
      ?auto_12485
      ?auto_12495
      ?auto_12487
      ?auto_12482
      ?auto_12496
      ?auto_12494
      ?auto_12477
      ?auto_12498
    )
    :precondition
    ( and ( OBJ ?auto_12475 ) ( LOCATION ?auto_12476 ) ( TRUCK ?auto_12490 ) ( LOCATION ?auto_12480 ) ( CITY ?auto_12478 ) ( IN-CITY ?auto_12480 ?auto_12478 ) ( IN-CITY ?auto_12476 ?auto_12478 ) ( DIFFERENT ?auto_12476 ?auto_12480 ) ( LOCATION ?auto_12483 ) ( CITY ?auto_12488 ) ( IN-CITY ?auto_12483 ?auto_12488 ) ( IN-CITY ?auto_12480 ?auto_12488 ) ( DIFFERENT ?auto_12480 ?auto_12483 ) ( LOCATION ?auto_12486 ) ( CITY ?auto_12491 ) ( IN-CITY ?auto_12486 ?auto_12491 ) ( IN-CITY ?auto_12483 ?auto_12491 ) ( DIFFERENT ?auto_12483 ?auto_12486 ) ( LOCATION ?auto_12493 ) ( CITY ?auto_12484 ) ( AT ?auto_12490 ?auto_12493 ) ( IN-CITY ?auto_12493 ?auto_12484 ) ( IN-CITY ?auto_12486 ?auto_12484 ) ( DIFFERENT ?auto_12486 ?auto_12493 ) ( AIRPLANE ?auto_12481 ) ( AIRPORT ?auto_12485 ) ( AIRPORT ?auto_12480 ) ( DIFFERENT ?auto_12480 ?auto_12485 ) ( LOCATION ?auto_12485 ) ( TRUCK ?auto_12495 ) ( LOCATION ?auto_12487 ) ( CITY ?auto_12482 ) ( IN-CITY ?auto_12487 ?auto_12482 ) ( IN-CITY ?auto_12485 ?auto_12482 ) ( DIFFERENT ?auto_12485 ?auto_12487 ) ( LOCATION ?auto_12496 ) ( CITY ?auto_12494 ) ( AT ?auto_12495 ?auto_12496 ) ( IN-CITY ?auto_12496 ?auto_12494 ) ( IN-CITY ?auto_12487 ?auto_12494 ) ( DIFFERENT ?auto_12487 ?auto_12496 ) ( LOCATION ?auto_12477 ) ( AT ?auto_12495 ?auto_12477 ) ( AT ?auto_12475 ?auto_12477 ) ( AIRPORT ?auto_12498 ) ( AT ?auto_12481 ?auto_12498 ) ( DIFFERENT ?auto_12485 ?auto_12498 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12481 ?auto_12498 ?auto_12485 )
      ( DELIVER-PKG ?auto_12475 ?auto_12476 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12500
      ?auto_12501
    )
    :vars
    (
      ?auto_12517
      ?auto_12512
      ?auto_12513
      ?auto_12504
      ?auto_12516
      ?auto_12507
      ?auto_12518
      ?auto_12519
      ?auto_12505
      ?auto_12502
      ?auto_12506
      ?auto_12509
      ?auto_12515
      ?auto_12511
      ?auto_12514
      ?auto_12508
      ?auto_12520
      ?auto_12524
      ?auto_12523
    )
    :precondition
    ( and ( OBJ ?auto_12500 ) ( LOCATION ?auto_12501 ) ( TRUCK ?auto_12517 ) ( LOCATION ?auto_12512 ) ( CITY ?auto_12513 ) ( IN-CITY ?auto_12512 ?auto_12513 ) ( IN-CITY ?auto_12501 ?auto_12513 ) ( DIFFERENT ?auto_12501 ?auto_12512 ) ( LOCATION ?auto_12504 ) ( CITY ?auto_12516 ) ( IN-CITY ?auto_12504 ?auto_12516 ) ( IN-CITY ?auto_12512 ?auto_12516 ) ( DIFFERENT ?auto_12512 ?auto_12504 ) ( LOCATION ?auto_12507 ) ( CITY ?auto_12518 ) ( IN-CITY ?auto_12507 ?auto_12518 ) ( IN-CITY ?auto_12504 ?auto_12518 ) ( DIFFERENT ?auto_12504 ?auto_12507 ) ( LOCATION ?auto_12519 ) ( CITY ?auto_12505 ) ( AT ?auto_12517 ?auto_12519 ) ( IN-CITY ?auto_12519 ?auto_12505 ) ( IN-CITY ?auto_12507 ?auto_12505 ) ( DIFFERENT ?auto_12507 ?auto_12519 ) ( AIRPLANE ?auto_12502 ) ( AIRPORT ?auto_12506 ) ( AIRPORT ?auto_12512 ) ( DIFFERENT ?auto_12512 ?auto_12506 ) ( LOCATION ?auto_12506 ) ( TRUCK ?auto_12509 ) ( LOCATION ?auto_12515 ) ( CITY ?auto_12511 ) ( IN-CITY ?auto_12515 ?auto_12511 ) ( IN-CITY ?auto_12506 ?auto_12511 ) ( DIFFERENT ?auto_12506 ?auto_12515 ) ( LOCATION ?auto_12514 ) ( CITY ?auto_12508 ) ( IN-CITY ?auto_12514 ?auto_12508 ) ( IN-CITY ?auto_12515 ?auto_12508 ) ( DIFFERENT ?auto_12515 ?auto_12514 ) ( AT ?auto_12500 ?auto_12514 ) ( AIRPORT ?auto_12520 ) ( AT ?auto_12502 ?auto_12520 ) ( DIFFERENT ?auto_12506 ?auto_12520 ) ( LOCATION ?auto_12524 ) ( CITY ?auto_12523 ) ( AT ?auto_12509 ?auto_12524 ) ( IN-CITY ?auto_12524 ?auto_12523 ) ( IN-CITY ?auto_12514 ?auto_12523 ) ( DIFFERENT ?auto_12514 ?auto_12524 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12509 ?auto_12524 ?auto_12514 ?auto_12523 )
      ( DELIVER-PKG ?auto_12500 ?auto_12501 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12526
      ?auto_12527
    )
    :vars
    (
      ?auto_12544
      ?auto_12538
      ?auto_12532
      ?auto_12546
      ?auto_12541
      ?auto_12547
      ?auto_12534
      ?auto_12536
      ?auto_12543
      ?auto_12539
      ?auto_12548
      ?auto_12533
      ?auto_12540
      ?auto_12529
      ?auto_12542
      ?auto_12530
      ?auto_12537
      ?auto_12545
      ?auto_12535
      ?auto_12551
      ?auto_12550
    )
    :precondition
    ( and ( OBJ ?auto_12526 ) ( LOCATION ?auto_12527 ) ( TRUCK ?auto_12544 ) ( LOCATION ?auto_12538 ) ( CITY ?auto_12532 ) ( IN-CITY ?auto_12538 ?auto_12532 ) ( IN-CITY ?auto_12527 ?auto_12532 ) ( DIFFERENT ?auto_12527 ?auto_12538 ) ( LOCATION ?auto_12546 ) ( CITY ?auto_12541 ) ( IN-CITY ?auto_12546 ?auto_12541 ) ( IN-CITY ?auto_12538 ?auto_12541 ) ( DIFFERENT ?auto_12538 ?auto_12546 ) ( LOCATION ?auto_12547 ) ( CITY ?auto_12534 ) ( IN-CITY ?auto_12547 ?auto_12534 ) ( IN-CITY ?auto_12546 ?auto_12534 ) ( DIFFERENT ?auto_12546 ?auto_12547 ) ( LOCATION ?auto_12536 ) ( CITY ?auto_12543 ) ( IN-CITY ?auto_12536 ?auto_12543 ) ( IN-CITY ?auto_12547 ?auto_12543 ) ( DIFFERENT ?auto_12547 ?auto_12536 ) ( AIRPLANE ?auto_12539 ) ( AIRPORT ?auto_12548 ) ( AIRPORT ?auto_12538 ) ( DIFFERENT ?auto_12538 ?auto_12548 ) ( LOCATION ?auto_12548 ) ( TRUCK ?auto_12533 ) ( LOCATION ?auto_12540 ) ( CITY ?auto_12529 ) ( IN-CITY ?auto_12540 ?auto_12529 ) ( IN-CITY ?auto_12548 ?auto_12529 ) ( DIFFERENT ?auto_12548 ?auto_12540 ) ( LOCATION ?auto_12542 ) ( CITY ?auto_12530 ) ( IN-CITY ?auto_12542 ?auto_12530 ) ( IN-CITY ?auto_12540 ?auto_12530 ) ( DIFFERENT ?auto_12540 ?auto_12542 ) ( AT ?auto_12526 ?auto_12542 ) ( AIRPORT ?auto_12537 ) ( AT ?auto_12539 ?auto_12537 ) ( DIFFERENT ?auto_12548 ?auto_12537 ) ( LOCATION ?auto_12545 ) ( CITY ?auto_12535 ) ( AT ?auto_12533 ?auto_12545 ) ( IN-CITY ?auto_12545 ?auto_12535 ) ( IN-CITY ?auto_12542 ?auto_12535 ) ( DIFFERENT ?auto_12542 ?auto_12545 ) ( LOCATION ?auto_12551 ) ( CITY ?auto_12550 ) ( AT ?auto_12544 ?auto_12551 ) ( IN-CITY ?auto_12551 ?auto_12550 ) ( IN-CITY ?auto_12536 ?auto_12550 ) ( DIFFERENT ?auto_12536 ?auto_12551 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12544 ?auto_12551 ?auto_12536 ?auto_12550 )
      ( DELIVER-PKG ?auto_12526 ?auto_12527 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32645
      ?auto_32646
    )
    :vars
    (
      ?auto_32651
      ?auto_32649
      ?auto_32653
      ?auto_32650
      ?auto_32652
      ?auto_32655
    )
    :precondition
    ( and ( OBJ ?auto_32645 ) ( LOCATION ?auto_32646 ) ( AIRPLANE ?auto_32651 ) ( AT ?auto_32651 ?auto_32646 ) ( LOCATION ?auto_32649 ) ( AT ?auto_32651 ?auto_32649 ) ( AIRPLANE ?auto_32653 ) ( AT ?auto_32653 ?auto_32649 ) ( LOCATION ?auto_32650 ) ( AT ?auto_32653 ?auto_32650 ) ( AIRPLANE ?auto_32652 ) ( AT ?auto_32652 ?auto_32650 ) ( LOCATION ?auto_32655 ) ( AT ?auto_32645 ?auto_32655 ) ( AT ?auto_32652 ?auto_32655 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_32645 ?auto_32652 ?auto_32655 )
      ( DELIVER-PKG ?auto_32645 ?auto_32646 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12665
      ?auto_12666
    )
    :vars
    (
      ?auto_12668
      ?auto_12669
      ?auto_12673
    )
    :precondition
    ( and ( OBJ ?auto_12665 ) ( LOCATION ?auto_12666 ) ( AIRPLANE ?auto_12668 ) ( AT ?auto_12668 ?auto_12666 ) ( LOCATION ?auto_12669 ) ( AT ?auto_12668 ?auto_12669 ) ( TRUCK ?auto_12673 ) ( AT ?auto_12673 ?auto_12669 ) ( IN ?auto_12665 ?auto_12673 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12665 ?auto_12669 )
      ( DELIVER-PKG ?auto_12665 ?auto_12666 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12674
      ?auto_12675
    )
    :vars
    (
      ?auto_12680
      ?auto_12678
      ?auto_12677
      ?auto_12683
      ?auto_12682
    )
    :precondition
    ( and ( OBJ ?auto_12674 ) ( LOCATION ?auto_12675 ) ( AIRPLANE ?auto_12680 ) ( AT ?auto_12680 ?auto_12675 ) ( LOCATION ?auto_12678 ) ( AT ?auto_12680 ?auto_12678 ) ( TRUCK ?auto_12677 ) ( IN ?auto_12674 ?auto_12677 ) ( LOCATION ?auto_12683 ) ( CITY ?auto_12682 ) ( AT ?auto_12677 ?auto_12683 ) ( IN-CITY ?auto_12683 ?auto_12682 ) ( IN-CITY ?auto_12678 ?auto_12682 ) ( DIFFERENT ?auto_12678 ?auto_12683 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12677 ?auto_12683 ?auto_12678 ?auto_12682 )
      ( DELIVER-PKG ?auto_12674 ?auto_12675 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12685
      ?auto_12686
    )
    :vars
    (
      ?auto_12688
      ?auto_12693
      ?auto_12692
      ?auto_12691
      ?auto_12687
      ?auto_12695
    )
    :precondition
    ( and ( OBJ ?auto_12685 ) ( LOCATION ?auto_12686 ) ( AIRPLANE ?auto_12688 ) ( AT ?auto_12688 ?auto_12686 ) ( LOCATION ?auto_12693 ) ( AT ?auto_12688 ?auto_12693 ) ( TRUCK ?auto_12692 ) ( LOCATION ?auto_12691 ) ( CITY ?auto_12687 ) ( AT ?auto_12692 ?auto_12691 ) ( IN-CITY ?auto_12691 ?auto_12687 ) ( IN-CITY ?auto_12693 ?auto_12687 ) ( DIFFERENT ?auto_12693 ?auto_12691 ) ( LOCATION ?auto_12695 ) ( AT ?auto_12692 ?auto_12695 ) ( AT ?auto_12685 ?auto_12695 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12685 ?auto_12692 ?auto_12695 )
      ( DELIVER-PKG ?auto_12685 ?auto_12686 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12707
      ?auto_12708
    )
    :vars
    (
      ?auto_12715
      ?auto_12710
      ?auto_12713
      ?auto_12711
      ?auto_12714
      ?auto_12719
      ?auto_12718
    )
    :precondition
    ( and ( OBJ ?auto_12707 ) ( LOCATION ?auto_12708 ) ( AIRPLANE ?auto_12715 ) ( AT ?auto_12715 ?auto_12708 ) ( LOCATION ?auto_12710 ) ( AT ?auto_12715 ?auto_12710 ) ( TRUCK ?auto_12713 ) ( LOCATION ?auto_12711 ) ( CITY ?auto_12714 ) ( IN-CITY ?auto_12711 ?auto_12714 ) ( IN-CITY ?auto_12710 ?auto_12714 ) ( DIFFERENT ?auto_12710 ?auto_12711 ) ( AT ?auto_12707 ?auto_12711 ) ( LOCATION ?auto_12719 ) ( CITY ?auto_12718 ) ( AT ?auto_12713 ?auto_12719 ) ( IN-CITY ?auto_12719 ?auto_12718 ) ( IN-CITY ?auto_12711 ?auto_12718 ) ( DIFFERENT ?auto_12711 ?auto_12719 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12713 ?auto_12719 ?auto_12711 ?auto_12718 )
      ( DELIVER-PKG ?auto_12707 ?auto_12708 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33539
      ?auto_33540
    )
    :vars
    (
      ?auto_33544
      ?auto_33551
      ?auto_33549
      ?auto_33541
      ?auto_33543
      ?auto_33546
      ?auto_33550
      ?auto_33547
      ?auto_33542
      ?auto_33554
    )
    :precondition
    ( and ( OBJ ?auto_33539 ) ( LOCATION ?auto_33540 ) ( AIRPLANE ?auto_33544 ) ( AIRPORT ?auto_33551 ) ( AIRPORT ?auto_33540 ) ( AT ?auto_33544 ?auto_33551 ) ( DIFFERENT ?auto_33540 ?auto_33551 ) ( LOCATION ?auto_33549 ) ( AT ?auto_33544 ?auto_33549 ) ( AIRPLANE ?auto_33541 ) ( AT ?auto_33541 ?auto_33549 ) ( LOCATION ?auto_33543 ) ( AT ?auto_33541 ?auto_33543 ) ( AIRPLANE ?auto_33546 ) ( AT ?auto_33546 ?auto_33543 ) ( LOCATION ?auto_33550 ) ( AT ?auto_33546 ?auto_33550 ) ( AIRPLANE ?auto_33547 ) ( AT ?auto_33547 ?auto_33550 ) ( LOCATION ?auto_33542 ) ( AT ?auto_33547 ?auto_33542 ) ( AIRPLANE ?auto_33554 ) ( IN ?auto_33539 ?auto_33554 ) ( AT ?auto_33554 ?auto_33542 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_33539 ?auto_33542 )
      ( DELIVER-PKG ?auto_33539 ?auto_33540 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34994
      ?auto_34995
    )
    :vars
    (
      ?auto_35002
      ?auto_35005
      ?auto_35010
      ?auto_35007
      ?auto_35008
      ?auto_34998
      ?auto_35000
      ?auto_35009
      ?auto_34997
      ?auto_34996
      ?auto_35006
      ?auto_34999
      ?auto_35001
      ?auto_35013
    )
    :precondition
    ( and ( OBJ ?auto_34994 ) ( LOCATION ?auto_34995 ) ( TRUCK ?auto_35002 ) ( LOCATION ?auto_35005 ) ( CITY ?auto_35010 ) ( AT ?auto_35002 ?auto_35005 ) ( IN-CITY ?auto_35005 ?auto_35010 ) ( IN-CITY ?auto_34995 ?auto_35010 ) ( DIFFERENT ?auto_34995 ?auto_35005 ) ( LOCATION ?auto_35007 ) ( AT ?auto_35002 ?auto_35007 ) ( AIRPLANE ?auto_35008 ) ( AIRPORT ?auto_34998 ) ( AIRPORT ?auto_35007 ) ( AT ?auto_35008 ?auto_34998 ) ( DIFFERENT ?auto_35007 ?auto_34998 ) ( LOCATION ?auto_35000 ) ( AT ?auto_35008 ?auto_35000 ) ( AIRPLANE ?auto_35009 ) ( AT ?auto_35009 ?auto_35000 ) ( LOCATION ?auto_34997 ) ( AT ?auto_35009 ?auto_34997 ) ( AIRPLANE ?auto_34996 ) ( AT ?auto_34996 ?auto_34997 ) ( LOCATION ?auto_35006 ) ( AT ?auto_34996 ?auto_35006 ) ( AIRPLANE ?auto_34999 ) ( AT ?auto_34999 ?auto_35006 ) ( LOCATION ?auto_35001 ) ( AT ?auto_34999 ?auto_35001 ) ( AIRPLANE ?auto_35013 ) ( IN ?auto_34994 ?auto_35013 ) ( AT ?auto_35013 ?auto_35001 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_34994 ?auto_35001 )
      ( DELIVER-PKG ?auto_34994 ?auto_34995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13119
      ?auto_13120
    )
    :vars
    (
      ?auto_13134
      ?auto_13121
      ?auto_13132
      ?auto_13131
      ?auto_13125
      ?auto_13135
      ?auto_13126
      ?auto_13128
      ?auto_13133
      ?auto_13123
      ?auto_13129
      ?auto_13127
      ?auto_13138
      ?auto_13137
    )
    :precondition
    ( and ( OBJ ?auto_13119 ) ( LOCATION ?auto_13120 ) ( TRUCK ?auto_13134 ) ( LOCATION ?auto_13121 ) ( CITY ?auto_13132 ) ( AT ?auto_13134 ?auto_13121 ) ( IN-CITY ?auto_13121 ?auto_13132 ) ( IN-CITY ?auto_13120 ?auto_13132 ) ( DIFFERENT ?auto_13120 ?auto_13121 ) ( LOCATION ?auto_13131 ) ( AT ?auto_13134 ?auto_13131 ) ( AIRPLANE ?auto_13125 ) ( AIRPORT ?auto_13135 ) ( AIRPORT ?auto_13131 ) ( AT ?auto_13125 ?auto_13135 ) ( DIFFERENT ?auto_13131 ?auto_13135 ) ( LOCATION ?auto_13126 ) ( AT ?auto_13125 ?auto_13126 ) ( AIRPLANE ?auto_13128 ) ( AT ?auto_13128 ?auto_13126 ) ( LOCATION ?auto_13133 ) ( AT ?auto_13128 ?auto_13133 ) ( TRUCK ?auto_13123 ) ( LOCATION ?auto_13129 ) ( CITY ?auto_13127 ) ( IN-CITY ?auto_13129 ?auto_13127 ) ( IN-CITY ?auto_13133 ?auto_13127 ) ( DIFFERENT ?auto_13133 ?auto_13129 ) ( AT ?auto_13119 ?auto_13129 ) ( LOCATION ?auto_13138 ) ( CITY ?auto_13137 ) ( AT ?auto_13123 ?auto_13138 ) ( IN-CITY ?auto_13138 ?auto_13137 ) ( IN-CITY ?auto_13129 ?auto_13137 ) ( DIFFERENT ?auto_13129 ?auto_13138 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13123 ?auto_13138 ?auto_13129 ?auto_13137 )
      ( DELIVER-PKG ?auto_13119 ?auto_13120 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14075
      ?auto_14076
    )
    :vars
    (
      ?auto_14080
      ?auto_14089
      ?auto_14077
      ?auto_14088
      ?auto_14084
      ?auto_14078
      ?auto_14082
      ?auto_14081
      ?auto_14079
      ?auto_14087
      ?auto_14086
      ?auto_14092
    )
    :precondition
    ( and ( OBJ ?auto_14075 ) ( LOCATION ?auto_14076 ) ( TRUCK ?auto_14080 ) ( LOCATION ?auto_14089 ) ( CITY ?auto_14077 ) ( AT ?auto_14080 ?auto_14089 ) ( IN-CITY ?auto_14089 ?auto_14077 ) ( IN-CITY ?auto_14076 ?auto_14077 ) ( DIFFERENT ?auto_14076 ?auto_14089 ) ( LOCATION ?auto_14088 ) ( AT ?auto_14080 ?auto_14088 ) ( AIRPLANE ?auto_14084 ) ( AIRPORT ?auto_14078 ) ( AIRPORT ?auto_14088 ) ( DIFFERENT ?auto_14088 ?auto_14078 ) ( LOCATION ?auto_14078 ) ( TRUCK ?auto_14082 ) ( LOCATION ?auto_14081 ) ( CITY ?auto_14079 ) ( IN-CITY ?auto_14081 ?auto_14079 ) ( IN-CITY ?auto_14078 ?auto_14079 ) ( DIFFERENT ?auto_14078 ?auto_14081 ) ( AT ?auto_14075 ?auto_14081 ) ( LOCATION ?auto_14087 ) ( CITY ?auto_14086 ) ( AT ?auto_14082 ?auto_14087 ) ( IN-CITY ?auto_14087 ?auto_14086 ) ( IN-CITY ?auto_14081 ?auto_14086 ) ( DIFFERENT ?auto_14081 ?auto_14087 ) ( AIRPORT ?auto_14092 ) ( AT ?auto_14084 ?auto_14092 ) ( DIFFERENT ?auto_14078 ?auto_14092 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14084 ?auto_14092 ?auto_14078 )
      ( DELIVER-PKG ?auto_14075 ?auto_14076 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14190
      ?auto_14191
    )
    :vars
    (
      ?auto_14197
      ?auto_14204
      ?auto_14193
      ?auto_14201
      ?auto_14195
      ?auto_14200
      ?auto_14198
      ?auto_14196
      ?auto_14203
      ?auto_14202
      ?auto_14192
      ?auto_14208
      ?auto_14207
    )
    :precondition
    ( and ( OBJ ?auto_14190 ) ( LOCATION ?auto_14191 ) ( TRUCK ?auto_14197 ) ( LOCATION ?auto_14204 ) ( CITY ?auto_14193 ) ( IN-CITY ?auto_14204 ?auto_14193 ) ( IN-CITY ?auto_14191 ?auto_14193 ) ( DIFFERENT ?auto_14191 ?auto_14204 ) ( AIRPLANE ?auto_14201 ) ( AIRPORT ?auto_14195 ) ( AIRPORT ?auto_14204 ) ( DIFFERENT ?auto_14204 ?auto_14195 ) ( LOCATION ?auto_14195 ) ( TRUCK ?auto_14200 ) ( LOCATION ?auto_14198 ) ( CITY ?auto_14196 ) ( IN-CITY ?auto_14198 ?auto_14196 ) ( IN-CITY ?auto_14195 ?auto_14196 ) ( DIFFERENT ?auto_14195 ?auto_14198 ) ( AT ?auto_14190 ?auto_14198 ) ( LOCATION ?auto_14203 ) ( CITY ?auto_14202 ) ( AT ?auto_14200 ?auto_14203 ) ( IN-CITY ?auto_14203 ?auto_14202 ) ( IN-CITY ?auto_14198 ?auto_14202 ) ( DIFFERENT ?auto_14198 ?auto_14203 ) ( AIRPORT ?auto_14192 ) ( AT ?auto_14201 ?auto_14192 ) ( DIFFERENT ?auto_14195 ?auto_14192 ) ( LOCATION ?auto_14208 ) ( CITY ?auto_14207 ) ( AT ?auto_14197 ?auto_14208 ) ( IN-CITY ?auto_14208 ?auto_14207 ) ( IN-CITY ?auto_14204 ?auto_14207 ) ( DIFFERENT ?auto_14204 ?auto_14208 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14197 ?auto_14208 ?auto_14204 ?auto_14207 )
      ( DELIVER-PKG ?auto_14190 ?auto_14191 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14603
      ?auto_14604
    )
    :vars
    (
      ?auto_14617
      ?auto_14615
      ?auto_14610
      ?auto_14606
      ?auto_14607
      ?auto_14612
      ?auto_14613
      ?auto_14616
      ?auto_14605
      ?auto_14618
      ?auto_14609
      ?auto_14608
      ?auto_14620
    )
    :precondition
    ( and ( OBJ ?auto_14603 ) ( LOCATION ?auto_14604 ) ( TRUCK ?auto_14617 ) ( LOCATION ?auto_14615 ) ( CITY ?auto_14610 ) ( IN-CITY ?auto_14615 ?auto_14610 ) ( IN-CITY ?auto_14604 ?auto_14610 ) ( DIFFERENT ?auto_14604 ?auto_14615 ) ( LOCATION ?auto_14606 ) ( CITY ?auto_14607 ) ( AT ?auto_14617 ?auto_14606 ) ( IN-CITY ?auto_14606 ?auto_14607 ) ( IN-CITY ?auto_14615 ?auto_14607 ) ( DIFFERENT ?auto_14615 ?auto_14606 ) ( LOCATION ?auto_14612 ) ( AT ?auto_14617 ?auto_14612 ) ( AIRPLANE ?auto_14613 ) ( AIRPORT ?auto_14616 ) ( AIRPORT ?auto_14612 ) ( AT ?auto_14613 ?auto_14616 ) ( DIFFERENT ?auto_14612 ?auto_14616 ) ( LOCATION ?auto_14605 ) ( AT ?auto_14613 ?auto_14605 ) ( TRUCK ?auto_14618 ) ( LOCATION ?auto_14609 ) ( CITY ?auto_14608 ) ( AT ?auto_14618 ?auto_14609 ) ( IN-CITY ?auto_14609 ?auto_14608 ) ( IN-CITY ?auto_14605 ?auto_14608 ) ( DIFFERENT ?auto_14605 ?auto_14609 ) ( LOCATION ?auto_14620 ) ( AT ?auto_14618 ?auto_14620 ) ( AT ?auto_14603 ?auto_14620 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14603 ?auto_14618 ?auto_14620 )
      ( DELIVER-PKG ?auto_14603 ?auto_14604 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14639
      ?auto_14640
    )
    :vars
    (
      ?auto_14643
      ?auto_14646
      ?auto_14644
      ?auto_14652
      ?auto_14653
      ?auto_14641
      ?auto_14651
      ?auto_14642
      ?auto_14650
      ?auto_14645
      ?auto_14649
      ?auto_14654
      ?auto_14658
      ?auto_14657
    )
    :precondition
    ( and ( OBJ ?auto_14639 ) ( LOCATION ?auto_14640 ) ( TRUCK ?auto_14643 ) ( LOCATION ?auto_14646 ) ( CITY ?auto_14644 ) ( IN-CITY ?auto_14646 ?auto_14644 ) ( IN-CITY ?auto_14640 ?auto_14644 ) ( DIFFERENT ?auto_14640 ?auto_14646 ) ( LOCATION ?auto_14652 ) ( CITY ?auto_14653 ) ( AT ?auto_14643 ?auto_14652 ) ( IN-CITY ?auto_14652 ?auto_14653 ) ( IN-CITY ?auto_14646 ?auto_14653 ) ( DIFFERENT ?auto_14646 ?auto_14652 ) ( LOCATION ?auto_14641 ) ( AT ?auto_14643 ?auto_14641 ) ( AIRPLANE ?auto_14651 ) ( AIRPORT ?auto_14642 ) ( AIRPORT ?auto_14641 ) ( AT ?auto_14651 ?auto_14642 ) ( DIFFERENT ?auto_14641 ?auto_14642 ) ( LOCATION ?auto_14650 ) ( AT ?auto_14651 ?auto_14650 ) ( TRUCK ?auto_14645 ) ( LOCATION ?auto_14649 ) ( CITY ?auto_14654 ) ( IN-CITY ?auto_14649 ?auto_14654 ) ( IN-CITY ?auto_14650 ?auto_14654 ) ( DIFFERENT ?auto_14650 ?auto_14649 ) ( AT ?auto_14639 ?auto_14649 ) ( LOCATION ?auto_14658 ) ( CITY ?auto_14657 ) ( AT ?auto_14645 ?auto_14658 ) ( IN-CITY ?auto_14658 ?auto_14657 ) ( IN-CITY ?auto_14649 ?auto_14657 ) ( DIFFERENT ?auto_14649 ?auto_14658 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14645 ?auto_14658 ?auto_14649 ?auto_14657 )
      ( DELIVER-PKG ?auto_14639 ?auto_14640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14696
      ?auto_14697
    )
    :vars
    (
      ?auto_14699
      ?auto_14710
      ?auto_14700
      ?auto_14703
      ?auto_14704
      ?auto_14701
      ?auto_14702
      ?auto_14707
      ?auto_14709
      ?auto_14706
      ?auto_14711
      ?auto_14713
      ?auto_14705
      ?auto_14715
    )
    :precondition
    ( and ( OBJ ?auto_14696 ) ( LOCATION ?auto_14697 ) ( TRUCK ?auto_14699 ) ( LOCATION ?auto_14710 ) ( CITY ?auto_14700 ) ( IN-CITY ?auto_14710 ?auto_14700 ) ( IN-CITY ?auto_14697 ?auto_14700 ) ( DIFFERENT ?auto_14697 ?auto_14710 ) ( LOCATION ?auto_14703 ) ( CITY ?auto_14704 ) ( AT ?auto_14699 ?auto_14703 ) ( IN-CITY ?auto_14703 ?auto_14704 ) ( IN-CITY ?auto_14710 ?auto_14704 ) ( DIFFERENT ?auto_14710 ?auto_14703 ) ( LOCATION ?auto_14701 ) ( AT ?auto_14699 ?auto_14701 ) ( AIRPLANE ?auto_14702 ) ( AIRPORT ?auto_14707 ) ( AIRPORT ?auto_14701 ) ( DIFFERENT ?auto_14701 ?auto_14707 ) ( LOCATION ?auto_14707 ) ( TRUCK ?auto_14709 ) ( LOCATION ?auto_14706 ) ( CITY ?auto_14711 ) ( IN-CITY ?auto_14706 ?auto_14711 ) ( IN-CITY ?auto_14707 ?auto_14711 ) ( DIFFERENT ?auto_14707 ?auto_14706 ) ( AT ?auto_14696 ?auto_14706 ) ( LOCATION ?auto_14713 ) ( CITY ?auto_14705 ) ( AT ?auto_14709 ?auto_14713 ) ( IN-CITY ?auto_14713 ?auto_14705 ) ( IN-CITY ?auto_14706 ?auto_14705 ) ( DIFFERENT ?auto_14706 ?auto_14713 ) ( AIRPORT ?auto_14715 ) ( AT ?auto_14702 ?auto_14715 ) ( DIFFERENT ?auto_14707 ?auto_14715 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14702 ?auto_14715 ?auto_14707 )
      ( DELIVER-PKG ?auto_14696 ?auto_14697 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14825
      ?auto_14826
    )
    :vars
    (
      ?auto_14834
      ?auto_14829
      ?auto_14835
      ?auto_14833
      ?auto_14838
      ?auto_14836
      ?auto_14841
      ?auto_14828
      ?auto_14840
      ?auto_14830
      ?auto_14842
      ?auto_14839
      ?auto_14827
      ?auto_14845
      ?auto_14844
    )
    :precondition
    ( and ( OBJ ?auto_14825 ) ( LOCATION ?auto_14826 ) ( TRUCK ?auto_14834 ) ( LOCATION ?auto_14829 ) ( CITY ?auto_14835 ) ( IN-CITY ?auto_14829 ?auto_14835 ) ( IN-CITY ?auto_14826 ?auto_14835 ) ( DIFFERENT ?auto_14826 ?auto_14829 ) ( LOCATION ?auto_14833 ) ( CITY ?auto_14838 ) ( IN-CITY ?auto_14833 ?auto_14838 ) ( IN-CITY ?auto_14829 ?auto_14838 ) ( DIFFERENT ?auto_14829 ?auto_14833 ) ( AIRPLANE ?auto_14836 ) ( AIRPORT ?auto_14841 ) ( AIRPORT ?auto_14833 ) ( DIFFERENT ?auto_14833 ?auto_14841 ) ( LOCATION ?auto_14841 ) ( TRUCK ?auto_14828 ) ( LOCATION ?auto_14840 ) ( CITY ?auto_14830 ) ( IN-CITY ?auto_14840 ?auto_14830 ) ( IN-CITY ?auto_14841 ?auto_14830 ) ( DIFFERENT ?auto_14841 ?auto_14840 ) ( AT ?auto_14825 ?auto_14840 ) ( LOCATION ?auto_14842 ) ( CITY ?auto_14839 ) ( AT ?auto_14828 ?auto_14842 ) ( IN-CITY ?auto_14842 ?auto_14839 ) ( IN-CITY ?auto_14840 ?auto_14839 ) ( DIFFERENT ?auto_14840 ?auto_14842 ) ( AIRPORT ?auto_14827 ) ( AT ?auto_14836 ?auto_14827 ) ( DIFFERENT ?auto_14841 ?auto_14827 ) ( LOCATION ?auto_14845 ) ( CITY ?auto_14844 ) ( AT ?auto_14834 ?auto_14845 ) ( IN-CITY ?auto_14845 ?auto_14844 ) ( IN-CITY ?auto_14833 ?auto_14844 ) ( DIFFERENT ?auto_14833 ?auto_14845 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14834 ?auto_14845 ?auto_14833 ?auto_14844 )
      ( DELIVER-PKG ?auto_14825 ?auto_14826 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15655
      ?auto_15656
    )
    :vars
    (
      ?auto_15661
      ?auto_15668
      ?auto_15663
      ?auto_15659
      ?auto_15666
      ?auto_15662
      ?auto_15660
      ?auto_15667
      ?auto_15664
      ?auto_15671
      ?auto_15670
    )
    :precondition
    ( and ( OBJ ?auto_15655 ) ( LOCATION ?auto_15656 ) ( TRUCK ?auto_15661 ) ( LOCATION ?auto_15668 ) ( CITY ?auto_15663 ) ( IN-CITY ?auto_15668 ?auto_15663 ) ( IN-CITY ?auto_15656 ?auto_15663 ) ( DIFFERENT ?auto_15656 ?auto_15668 ) ( LOCATION ?auto_15659 ) ( CITY ?auto_15666 ) ( IN-CITY ?auto_15659 ?auto_15666 ) ( IN-CITY ?auto_15668 ?auto_15666 ) ( DIFFERENT ?auto_15668 ?auto_15659 ) ( LOCATION ?auto_15662 ) ( CITY ?auto_15660 ) ( IN-CITY ?auto_15662 ?auto_15660 ) ( IN-CITY ?auto_15659 ?auto_15660 ) ( DIFFERENT ?auto_15659 ?auto_15662 ) ( LOCATION ?auto_15667 ) ( CITY ?auto_15664 ) ( IN-CITY ?auto_15667 ?auto_15664 ) ( IN-CITY ?auto_15662 ?auto_15664 ) ( DIFFERENT ?auto_15662 ?auto_15667 ) ( AT ?auto_15655 ?auto_15667 ) ( LOCATION ?auto_15671 ) ( CITY ?auto_15670 ) ( AT ?auto_15661 ?auto_15671 ) ( IN-CITY ?auto_15671 ?auto_15670 ) ( IN-CITY ?auto_15667 ?auto_15670 ) ( DIFFERENT ?auto_15667 ?auto_15671 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15661 ?auto_15671 ?auto_15667 ?auto_15670 )
      ( DELIVER-PKG ?auto_15655 ?auto_15656 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16111
      ?auto_16112
    )
    :vars
    (
      ?auto_16114
      ?auto_16121
      ?auto_16116
      ?auto_16124
      ?auto_16120
      ?auto_16118
      ?auto_16117
      ?auto_16119
      ?auto_16115
      ?auto_16126
      ?auto_16122
      ?auto_16129
      ?auto_16128
    )
    :precondition
    ( and ( OBJ ?auto_16111 ) ( LOCATION ?auto_16112 ) ( TRUCK ?auto_16114 ) ( LOCATION ?auto_16121 ) ( CITY ?auto_16116 ) ( IN-CITY ?auto_16121 ?auto_16116 ) ( IN-CITY ?auto_16112 ?auto_16116 ) ( DIFFERENT ?auto_16112 ?auto_16121 ) ( LOCATION ?auto_16124 ) ( CITY ?auto_16120 ) ( IN-CITY ?auto_16124 ?auto_16120 ) ( IN-CITY ?auto_16121 ?auto_16120 ) ( DIFFERENT ?auto_16121 ?auto_16124 ) ( LOCATION ?auto_16118 ) ( CITY ?auto_16117 ) ( IN-CITY ?auto_16118 ?auto_16117 ) ( IN-CITY ?auto_16124 ?auto_16117 ) ( DIFFERENT ?auto_16124 ?auto_16118 ) ( LOCATION ?auto_16119 ) ( CITY ?auto_16115 ) ( IN-CITY ?auto_16119 ?auto_16115 ) ( IN-CITY ?auto_16118 ?auto_16115 ) ( DIFFERENT ?auto_16118 ?auto_16119 ) ( LOCATION ?auto_16126 ) ( CITY ?auto_16122 ) ( IN-CITY ?auto_16126 ?auto_16122 ) ( IN-CITY ?auto_16119 ?auto_16122 ) ( DIFFERENT ?auto_16119 ?auto_16126 ) ( AT ?auto_16111 ?auto_16126 ) ( LOCATION ?auto_16129 ) ( CITY ?auto_16128 ) ( AT ?auto_16114 ?auto_16129 ) ( IN-CITY ?auto_16129 ?auto_16128 ) ( IN-CITY ?auto_16126 ?auto_16128 ) ( DIFFERENT ?auto_16126 ?auto_16129 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16114 ?auto_16129 ?auto_16126 ?auto_16128 )
      ( DELIVER-PKG ?auto_16111 ?auto_16112 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16282
      ?auto_16283
    )
    :vars
    (
      ?auto_16290
      ?auto_16285
      ?auto_16286
      ?auto_16289
      ?auto_16292
      ?auto_16291
      ?auto_16287
      ?auto_16294
    )
    :precondition
    ( and ( OBJ ?auto_16282 ) ( LOCATION ?auto_16283 ) ( AIRPLANE ?auto_16290 ) ( AIRPORT ?auto_16285 ) ( AIRPORT ?auto_16283 ) ( AT ?auto_16290 ?auto_16285 ) ( DIFFERENT ?auto_16283 ?auto_16285 ) ( LOCATION ?auto_16286 ) ( AT ?auto_16290 ?auto_16286 ) ( TRUCK ?auto_16289 ) ( LOCATION ?auto_16292 ) ( CITY ?auto_16291 ) ( AT ?auto_16289 ?auto_16292 ) ( IN-CITY ?auto_16292 ?auto_16291 ) ( IN-CITY ?auto_16286 ?auto_16291 ) ( DIFFERENT ?auto_16286 ?auto_16292 ) ( LOCATION ?auto_16287 ) ( AT ?auto_16289 ?auto_16287 ) ( TRUCK ?auto_16294 ) ( AT ?auto_16294 ?auto_16287 ) ( IN ?auto_16282 ?auto_16294 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16282 ?auto_16287 )
      ( DELIVER-PKG ?auto_16282 ?auto_16283 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16312
      ?auto_16313
    )
    :vars
    (
      ?auto_16314
      ?auto_16318
      ?auto_16323
      ?auto_16319
      ?auto_16316
      ?auto_16322
      ?auto_16321
      ?auto_16320
      ?auto_16326
      ?auto_16325
    )
    :precondition
    ( and ( OBJ ?auto_16312 ) ( LOCATION ?auto_16313 ) ( AIRPLANE ?auto_16314 ) ( AIRPORT ?auto_16318 ) ( AIRPORT ?auto_16313 ) ( AT ?auto_16314 ?auto_16318 ) ( DIFFERENT ?auto_16313 ?auto_16318 ) ( LOCATION ?auto_16323 ) ( AT ?auto_16314 ?auto_16323 ) ( TRUCK ?auto_16319 ) ( LOCATION ?auto_16316 ) ( CITY ?auto_16322 ) ( IN-CITY ?auto_16316 ?auto_16322 ) ( IN-CITY ?auto_16323 ?auto_16322 ) ( DIFFERENT ?auto_16323 ?auto_16316 ) ( IN ?auto_16312 ?auto_16319 ) ( LOCATION ?auto_16321 ) ( CITY ?auto_16320 ) ( IN-CITY ?auto_16321 ?auto_16320 ) ( IN-CITY ?auto_16316 ?auto_16320 ) ( DIFFERENT ?auto_16316 ?auto_16321 ) ( LOCATION ?auto_16326 ) ( CITY ?auto_16325 ) ( AT ?auto_16319 ?auto_16326 ) ( IN-CITY ?auto_16326 ?auto_16325 ) ( IN-CITY ?auto_16321 ?auto_16325 ) ( DIFFERENT ?auto_16321 ?auto_16326 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16319 ?auto_16326 ?auto_16321 ?auto_16325 )
      ( DELIVER-PKG ?auto_16312 ?auto_16313 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16356
      ?auto_16357
    )
    :vars
    (
      ?auto_16364
      ?auto_16368
      ?auto_16360
      ?auto_16369
      ?auto_16367
      ?auto_16361
      ?auto_16366
      ?auto_16362
      ?auto_16365
      ?auto_16359
      ?auto_16372
      ?auto_16371
    )
    :precondition
    ( and ( OBJ ?auto_16356 ) ( LOCATION ?auto_16357 ) ( AIRPLANE ?auto_16364 ) ( AIRPORT ?auto_16368 ) ( AIRPORT ?auto_16357 ) ( AT ?auto_16364 ?auto_16368 ) ( DIFFERENT ?auto_16357 ?auto_16368 ) ( LOCATION ?auto_16360 ) ( AT ?auto_16364 ?auto_16360 ) ( TRUCK ?auto_16369 ) ( LOCATION ?auto_16367 ) ( CITY ?auto_16361 ) ( IN-CITY ?auto_16367 ?auto_16361 ) ( IN-CITY ?auto_16360 ?auto_16361 ) ( DIFFERENT ?auto_16360 ?auto_16367 ) ( IN ?auto_16356 ?auto_16369 ) ( LOCATION ?auto_16366 ) ( CITY ?auto_16362 ) ( IN-CITY ?auto_16366 ?auto_16362 ) ( IN-CITY ?auto_16367 ?auto_16362 ) ( DIFFERENT ?auto_16367 ?auto_16366 ) ( LOCATION ?auto_16365 ) ( CITY ?auto_16359 ) ( IN-CITY ?auto_16365 ?auto_16359 ) ( IN-CITY ?auto_16366 ?auto_16359 ) ( DIFFERENT ?auto_16366 ?auto_16365 ) ( LOCATION ?auto_16372 ) ( CITY ?auto_16371 ) ( AT ?auto_16369 ?auto_16372 ) ( IN-CITY ?auto_16372 ?auto_16371 ) ( IN-CITY ?auto_16365 ?auto_16371 ) ( DIFFERENT ?auto_16365 ?auto_16372 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16369 ?auto_16372 ?auto_16365 ?auto_16371 )
      ( DELIVER-PKG ?auto_16356 ?auto_16357 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16390
      ?auto_16391
    )
    :vars
    (
      ?auto_16402
      ?auto_16398
      ?auto_16394
      ?auto_16399
      ?auto_16397
      ?auto_16400
      ?auto_16396
      ?auto_16401
      ?auto_16395
      ?auto_16393
      ?auto_16405
      ?auto_16404
      ?auto_16408
      ?auto_16407
    )
    :precondition
    ( and ( OBJ ?auto_16390 ) ( LOCATION ?auto_16391 ) ( AIRPLANE ?auto_16402 ) ( AIRPORT ?auto_16398 ) ( AIRPORT ?auto_16391 ) ( AT ?auto_16402 ?auto_16398 ) ( DIFFERENT ?auto_16391 ?auto_16398 ) ( LOCATION ?auto_16394 ) ( AT ?auto_16402 ?auto_16394 ) ( TRUCK ?auto_16399 ) ( LOCATION ?auto_16397 ) ( CITY ?auto_16400 ) ( IN-CITY ?auto_16397 ?auto_16400 ) ( IN-CITY ?auto_16394 ?auto_16400 ) ( DIFFERENT ?auto_16394 ?auto_16397 ) ( IN ?auto_16390 ?auto_16399 ) ( LOCATION ?auto_16396 ) ( CITY ?auto_16401 ) ( IN-CITY ?auto_16396 ?auto_16401 ) ( IN-CITY ?auto_16397 ?auto_16401 ) ( DIFFERENT ?auto_16397 ?auto_16396 ) ( LOCATION ?auto_16395 ) ( CITY ?auto_16393 ) ( IN-CITY ?auto_16395 ?auto_16393 ) ( IN-CITY ?auto_16396 ?auto_16393 ) ( DIFFERENT ?auto_16396 ?auto_16395 ) ( LOCATION ?auto_16405 ) ( CITY ?auto_16404 ) ( IN-CITY ?auto_16405 ?auto_16404 ) ( IN-CITY ?auto_16395 ?auto_16404 ) ( DIFFERENT ?auto_16395 ?auto_16405 ) ( LOCATION ?auto_16408 ) ( CITY ?auto_16407 ) ( AT ?auto_16399 ?auto_16408 ) ( IN-CITY ?auto_16408 ?auto_16407 ) ( IN-CITY ?auto_16405 ?auto_16407 ) ( DIFFERENT ?auto_16405 ?auto_16408 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16399 ?auto_16408 ?auto_16405 ?auto_16407 )
      ( DELIVER-PKG ?auto_16390 ?auto_16391 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16446
      ?auto_16447
    )
    :vars
    (
      ?auto_16459
      ?auto_16455
      ?auto_16450
      ?auto_16456
      ?auto_16454
      ?auto_16457
      ?auto_16453
      ?auto_16458
      ?auto_16452
      ?auto_16449
      ?auto_16462
      ?auto_16460
      ?auto_16463
      ?auto_16461
      ?auto_16465
    )
    :precondition
    ( and ( OBJ ?auto_16446 ) ( LOCATION ?auto_16447 ) ( AIRPLANE ?auto_16459 ) ( AIRPORT ?auto_16455 ) ( AIRPORT ?auto_16447 ) ( AT ?auto_16459 ?auto_16455 ) ( DIFFERENT ?auto_16447 ?auto_16455 ) ( LOCATION ?auto_16450 ) ( AT ?auto_16459 ?auto_16450 ) ( TRUCK ?auto_16456 ) ( LOCATION ?auto_16454 ) ( CITY ?auto_16457 ) ( IN-CITY ?auto_16454 ?auto_16457 ) ( IN-CITY ?auto_16450 ?auto_16457 ) ( DIFFERENT ?auto_16450 ?auto_16454 ) ( LOCATION ?auto_16453 ) ( CITY ?auto_16458 ) ( IN-CITY ?auto_16453 ?auto_16458 ) ( IN-CITY ?auto_16454 ?auto_16458 ) ( DIFFERENT ?auto_16454 ?auto_16453 ) ( LOCATION ?auto_16452 ) ( CITY ?auto_16449 ) ( IN-CITY ?auto_16452 ?auto_16449 ) ( IN-CITY ?auto_16453 ?auto_16449 ) ( DIFFERENT ?auto_16453 ?auto_16452 ) ( LOCATION ?auto_16462 ) ( CITY ?auto_16460 ) ( IN-CITY ?auto_16462 ?auto_16460 ) ( IN-CITY ?auto_16452 ?auto_16460 ) ( DIFFERENT ?auto_16452 ?auto_16462 ) ( LOCATION ?auto_16463 ) ( CITY ?auto_16461 ) ( AT ?auto_16456 ?auto_16463 ) ( IN-CITY ?auto_16463 ?auto_16461 ) ( IN-CITY ?auto_16462 ?auto_16461 ) ( DIFFERENT ?auto_16462 ?auto_16463 ) ( LOCATION ?auto_16465 ) ( AT ?auto_16456 ?auto_16465 ) ( AT ?auto_16446 ?auto_16465 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16446 ?auto_16456 ?auto_16465 )
      ( DELIVER-PKG ?auto_16446 ?auto_16447 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16486
      ?auto_16487
    )
    :vars
    (
      ?auto_16495
      ?auto_16503
      ?auto_16499
      ?auto_16504
      ?auto_16502
      ?auto_16493
      ?auto_16501
      ?auto_16494
      ?auto_16500
      ?auto_16498
      ?auto_16491
      ?auto_16497
      ?auto_16496
      ?auto_16490
      ?auto_16507
      ?auto_16506
    )
    :precondition
    ( and ( OBJ ?auto_16486 ) ( LOCATION ?auto_16487 ) ( AIRPLANE ?auto_16495 ) ( AIRPORT ?auto_16503 ) ( AIRPORT ?auto_16487 ) ( AT ?auto_16495 ?auto_16503 ) ( DIFFERENT ?auto_16487 ?auto_16503 ) ( LOCATION ?auto_16499 ) ( AT ?auto_16495 ?auto_16499 ) ( TRUCK ?auto_16504 ) ( LOCATION ?auto_16502 ) ( CITY ?auto_16493 ) ( IN-CITY ?auto_16502 ?auto_16493 ) ( IN-CITY ?auto_16499 ?auto_16493 ) ( DIFFERENT ?auto_16499 ?auto_16502 ) ( LOCATION ?auto_16501 ) ( CITY ?auto_16494 ) ( IN-CITY ?auto_16501 ?auto_16494 ) ( IN-CITY ?auto_16502 ?auto_16494 ) ( DIFFERENT ?auto_16502 ?auto_16501 ) ( LOCATION ?auto_16500 ) ( CITY ?auto_16498 ) ( IN-CITY ?auto_16500 ?auto_16498 ) ( IN-CITY ?auto_16501 ?auto_16498 ) ( DIFFERENT ?auto_16501 ?auto_16500 ) ( LOCATION ?auto_16491 ) ( CITY ?auto_16497 ) ( IN-CITY ?auto_16491 ?auto_16497 ) ( IN-CITY ?auto_16500 ?auto_16497 ) ( DIFFERENT ?auto_16500 ?auto_16491 ) ( LOCATION ?auto_16496 ) ( CITY ?auto_16490 ) ( IN-CITY ?auto_16496 ?auto_16490 ) ( IN-CITY ?auto_16491 ?auto_16490 ) ( DIFFERENT ?auto_16491 ?auto_16496 ) ( AT ?auto_16486 ?auto_16496 ) ( LOCATION ?auto_16507 ) ( CITY ?auto_16506 ) ( AT ?auto_16504 ?auto_16507 ) ( IN-CITY ?auto_16507 ?auto_16506 ) ( IN-CITY ?auto_16496 ?auto_16506 ) ( DIFFERENT ?auto_16496 ?auto_16507 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16504 ?auto_16507 ?auto_16496 ?auto_16506 )
      ( DELIVER-PKG ?auto_16486 ?auto_16487 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17439
      ?auto_17440
    )
    :vars
    (
      ?auto_17447
      ?auto_17449
      ?auto_17441
      ?auto_17445
      ?auto_17451
      ?auto_17443
      ?auto_17442
      ?auto_17452
      ?auto_17453
      ?auto_17450
      ?auto_17446
      ?auto_17455
    )
    :precondition
    ( and ( OBJ ?auto_17439 ) ( LOCATION ?auto_17440 ) ( TRUCK ?auto_17447 ) ( LOCATION ?auto_17449 ) ( CITY ?auto_17441 ) ( AT ?auto_17447 ?auto_17449 ) ( IN-CITY ?auto_17449 ?auto_17441 ) ( IN-CITY ?auto_17440 ?auto_17441 ) ( DIFFERENT ?auto_17440 ?auto_17449 ) ( LOCATION ?auto_17445 ) ( AT ?auto_17447 ?auto_17445 ) ( AIRPLANE ?auto_17451 ) ( AIRPORT ?auto_17443 ) ( AIRPORT ?auto_17445 ) ( AT ?auto_17451 ?auto_17443 ) ( DIFFERENT ?auto_17445 ?auto_17443 ) ( LOCATION ?auto_17442 ) ( AT ?auto_17451 ?auto_17442 ) ( TRUCK ?auto_17452 ) ( LOCATION ?auto_17453 ) ( CITY ?auto_17450 ) ( AT ?auto_17452 ?auto_17453 ) ( IN-CITY ?auto_17453 ?auto_17450 ) ( IN-CITY ?auto_17442 ?auto_17450 ) ( DIFFERENT ?auto_17442 ?auto_17453 ) ( LOCATION ?auto_17446 ) ( AT ?auto_17452 ?auto_17446 ) ( TRUCK ?auto_17455 ) ( AT ?auto_17455 ?auto_17446 ) ( IN ?auto_17439 ?auto_17455 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17439 ?auto_17446 )
      ( DELIVER-PKG ?auto_17439 ?auto_17440 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17477
      ?auto_17478
    )
    :vars
    (
      ?auto_17488
      ?auto_17487
      ?auto_17480
      ?auto_17483
      ?auto_17481
      ?auto_17482
      ?auto_17491
      ?auto_17492
      ?auto_17489
      ?auto_17490
      ?auto_17485
      ?auto_17484
      ?auto_17495
      ?auto_17494
    )
    :precondition
    ( and ( OBJ ?auto_17477 ) ( LOCATION ?auto_17478 ) ( TRUCK ?auto_17488 ) ( LOCATION ?auto_17487 ) ( CITY ?auto_17480 ) ( AT ?auto_17488 ?auto_17487 ) ( IN-CITY ?auto_17487 ?auto_17480 ) ( IN-CITY ?auto_17478 ?auto_17480 ) ( DIFFERENT ?auto_17478 ?auto_17487 ) ( LOCATION ?auto_17483 ) ( AT ?auto_17488 ?auto_17483 ) ( AIRPLANE ?auto_17481 ) ( AIRPORT ?auto_17482 ) ( AIRPORT ?auto_17483 ) ( AT ?auto_17481 ?auto_17482 ) ( DIFFERENT ?auto_17483 ?auto_17482 ) ( LOCATION ?auto_17491 ) ( AT ?auto_17481 ?auto_17491 ) ( TRUCK ?auto_17492 ) ( LOCATION ?auto_17489 ) ( CITY ?auto_17490 ) ( IN-CITY ?auto_17489 ?auto_17490 ) ( IN-CITY ?auto_17491 ?auto_17490 ) ( DIFFERENT ?auto_17491 ?auto_17489 ) ( IN ?auto_17477 ?auto_17492 ) ( LOCATION ?auto_17485 ) ( CITY ?auto_17484 ) ( IN-CITY ?auto_17485 ?auto_17484 ) ( IN-CITY ?auto_17489 ?auto_17484 ) ( DIFFERENT ?auto_17489 ?auto_17485 ) ( LOCATION ?auto_17495 ) ( CITY ?auto_17494 ) ( AT ?auto_17492 ?auto_17495 ) ( IN-CITY ?auto_17495 ?auto_17494 ) ( IN-CITY ?auto_17485 ?auto_17494 ) ( DIFFERENT ?auto_17485 ?auto_17495 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17492 ?auto_17495 ?auto_17485 ?auto_17494 )
      ( DELIVER-PKG ?auto_17477 ?auto_17478 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17533
      ?auto_17534
    )
    :vars
    (
      ?auto_17544
      ?auto_17542
      ?auto_17545
      ?auto_17550
      ?auto_17548
      ?auto_17549
      ?auto_17539
      ?auto_17540
      ?auto_17546
      ?auto_17538
      ?auto_17543
      ?auto_17541
      ?auto_17535
      ?auto_17547
      ?auto_17553
      ?auto_17552
    )
    :precondition
    ( and ( OBJ ?auto_17533 ) ( LOCATION ?auto_17534 ) ( TRUCK ?auto_17544 ) ( LOCATION ?auto_17542 ) ( CITY ?auto_17545 ) ( AT ?auto_17544 ?auto_17542 ) ( IN-CITY ?auto_17542 ?auto_17545 ) ( IN-CITY ?auto_17534 ?auto_17545 ) ( DIFFERENT ?auto_17534 ?auto_17542 ) ( LOCATION ?auto_17550 ) ( AT ?auto_17544 ?auto_17550 ) ( AIRPLANE ?auto_17548 ) ( AIRPORT ?auto_17549 ) ( AIRPORT ?auto_17550 ) ( AT ?auto_17548 ?auto_17549 ) ( DIFFERENT ?auto_17550 ?auto_17549 ) ( LOCATION ?auto_17539 ) ( AT ?auto_17548 ?auto_17539 ) ( TRUCK ?auto_17540 ) ( LOCATION ?auto_17546 ) ( CITY ?auto_17538 ) ( IN-CITY ?auto_17546 ?auto_17538 ) ( IN-CITY ?auto_17539 ?auto_17538 ) ( DIFFERENT ?auto_17539 ?auto_17546 ) ( IN ?auto_17533 ?auto_17540 ) ( LOCATION ?auto_17543 ) ( CITY ?auto_17541 ) ( IN-CITY ?auto_17543 ?auto_17541 ) ( IN-CITY ?auto_17546 ?auto_17541 ) ( DIFFERENT ?auto_17546 ?auto_17543 ) ( LOCATION ?auto_17535 ) ( CITY ?auto_17547 ) ( IN-CITY ?auto_17535 ?auto_17547 ) ( IN-CITY ?auto_17543 ?auto_17547 ) ( DIFFERENT ?auto_17543 ?auto_17535 ) ( LOCATION ?auto_17553 ) ( CITY ?auto_17552 ) ( AT ?auto_17540 ?auto_17553 ) ( IN-CITY ?auto_17553 ?auto_17552 ) ( IN-CITY ?auto_17535 ?auto_17552 ) ( DIFFERENT ?auto_17535 ?auto_17553 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17540 ?auto_17553 ?auto_17535 ?auto_17552 )
      ( DELIVER-PKG ?auto_17533 ?auto_17534 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17575
      ?auto_17576
    )
    :vars
    (
      ?auto_17589
      ?auto_17587
      ?auto_17578
      ?auto_17593
      ?auto_17581
      ?auto_17592
      ?auto_17584
      ?auto_17585
      ?auto_17579
      ?auto_17590
      ?auto_17588
      ?auto_17586
      ?auto_17591
      ?auto_17580
      ?auto_17594
      ?auto_17583
      ?auto_17597
      ?auto_17596
    )
    :precondition
    ( and ( OBJ ?auto_17575 ) ( LOCATION ?auto_17576 ) ( TRUCK ?auto_17589 ) ( LOCATION ?auto_17587 ) ( CITY ?auto_17578 ) ( AT ?auto_17589 ?auto_17587 ) ( IN-CITY ?auto_17587 ?auto_17578 ) ( IN-CITY ?auto_17576 ?auto_17578 ) ( DIFFERENT ?auto_17576 ?auto_17587 ) ( LOCATION ?auto_17593 ) ( AT ?auto_17589 ?auto_17593 ) ( AIRPLANE ?auto_17581 ) ( AIRPORT ?auto_17592 ) ( AIRPORT ?auto_17593 ) ( AT ?auto_17581 ?auto_17592 ) ( DIFFERENT ?auto_17593 ?auto_17592 ) ( LOCATION ?auto_17584 ) ( AT ?auto_17581 ?auto_17584 ) ( TRUCK ?auto_17585 ) ( LOCATION ?auto_17579 ) ( CITY ?auto_17590 ) ( IN-CITY ?auto_17579 ?auto_17590 ) ( IN-CITY ?auto_17584 ?auto_17590 ) ( DIFFERENT ?auto_17584 ?auto_17579 ) ( IN ?auto_17575 ?auto_17585 ) ( LOCATION ?auto_17588 ) ( CITY ?auto_17586 ) ( IN-CITY ?auto_17588 ?auto_17586 ) ( IN-CITY ?auto_17579 ?auto_17586 ) ( DIFFERENT ?auto_17579 ?auto_17588 ) ( LOCATION ?auto_17591 ) ( CITY ?auto_17580 ) ( IN-CITY ?auto_17591 ?auto_17580 ) ( IN-CITY ?auto_17588 ?auto_17580 ) ( DIFFERENT ?auto_17588 ?auto_17591 ) ( LOCATION ?auto_17594 ) ( CITY ?auto_17583 ) ( IN-CITY ?auto_17594 ?auto_17583 ) ( IN-CITY ?auto_17591 ?auto_17583 ) ( DIFFERENT ?auto_17591 ?auto_17594 ) ( LOCATION ?auto_17597 ) ( CITY ?auto_17596 ) ( AT ?auto_17585 ?auto_17597 ) ( IN-CITY ?auto_17597 ?auto_17596 ) ( IN-CITY ?auto_17594 ?auto_17596 ) ( DIFFERENT ?auto_17594 ?auto_17597 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17585 ?auto_17597 ?auto_17594 ?auto_17596 )
      ( DELIVER-PKG ?auto_17575 ?auto_17576 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17643
      ?auto_17644
    )
    :vars
    (
      ?auto_17656
      ?auto_17654
      ?auto_17649
      ?auto_17660
      ?auto_17648
      ?auto_17659
      ?auto_17651
      ?auto_17652
      ?auto_17645
      ?auto_17657
      ?auto_17655
      ?auto_17653
      ?auto_17658
      ?auto_17662
      ?auto_17661
      ?auto_17650
      ?auto_17664
      ?auto_17646
      ?auto_17666
    )
    :precondition
    ( and ( OBJ ?auto_17643 ) ( LOCATION ?auto_17644 ) ( TRUCK ?auto_17656 ) ( LOCATION ?auto_17654 ) ( CITY ?auto_17649 ) ( AT ?auto_17656 ?auto_17654 ) ( IN-CITY ?auto_17654 ?auto_17649 ) ( IN-CITY ?auto_17644 ?auto_17649 ) ( DIFFERENT ?auto_17644 ?auto_17654 ) ( LOCATION ?auto_17660 ) ( AT ?auto_17656 ?auto_17660 ) ( AIRPLANE ?auto_17648 ) ( AIRPORT ?auto_17659 ) ( AIRPORT ?auto_17660 ) ( AT ?auto_17648 ?auto_17659 ) ( DIFFERENT ?auto_17660 ?auto_17659 ) ( LOCATION ?auto_17651 ) ( AT ?auto_17648 ?auto_17651 ) ( TRUCK ?auto_17652 ) ( LOCATION ?auto_17645 ) ( CITY ?auto_17657 ) ( IN-CITY ?auto_17645 ?auto_17657 ) ( IN-CITY ?auto_17651 ?auto_17657 ) ( DIFFERENT ?auto_17651 ?auto_17645 ) ( LOCATION ?auto_17655 ) ( CITY ?auto_17653 ) ( IN-CITY ?auto_17655 ?auto_17653 ) ( IN-CITY ?auto_17645 ?auto_17653 ) ( DIFFERENT ?auto_17645 ?auto_17655 ) ( LOCATION ?auto_17658 ) ( CITY ?auto_17662 ) ( IN-CITY ?auto_17658 ?auto_17662 ) ( IN-CITY ?auto_17655 ?auto_17662 ) ( DIFFERENT ?auto_17655 ?auto_17658 ) ( LOCATION ?auto_17661 ) ( CITY ?auto_17650 ) ( IN-CITY ?auto_17661 ?auto_17650 ) ( IN-CITY ?auto_17658 ?auto_17650 ) ( DIFFERENT ?auto_17658 ?auto_17661 ) ( LOCATION ?auto_17664 ) ( CITY ?auto_17646 ) ( AT ?auto_17652 ?auto_17664 ) ( IN-CITY ?auto_17664 ?auto_17646 ) ( IN-CITY ?auto_17661 ?auto_17646 ) ( DIFFERENT ?auto_17661 ?auto_17664 ) ( LOCATION ?auto_17666 ) ( AT ?auto_17652 ?auto_17666 ) ( AT ?auto_17643 ?auto_17666 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17643 ?auto_17652 ?auto_17666 )
      ( DELIVER-PKG ?auto_17643 ?auto_17644 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17691
      ?auto_17692
    )
    :vars
    (
      ?auto_17703
      ?auto_17708
      ?auto_17700
      ?auto_17696
      ?auto_17699
      ?auto_17695
      ?auto_17705
      ?auto_17706
      ?auto_17693
      ?auto_17704
      ?auto_17702
      ?auto_17707
      ?auto_17694
      ?auto_17712
      ?auto_17697
      ?auto_17701
      ?auto_17711
      ?auto_17698
      ?auto_17716
      ?auto_17715
    )
    :precondition
    ( and ( OBJ ?auto_17691 ) ( LOCATION ?auto_17692 ) ( TRUCK ?auto_17703 ) ( LOCATION ?auto_17708 ) ( CITY ?auto_17700 ) ( AT ?auto_17703 ?auto_17708 ) ( IN-CITY ?auto_17708 ?auto_17700 ) ( IN-CITY ?auto_17692 ?auto_17700 ) ( DIFFERENT ?auto_17692 ?auto_17708 ) ( LOCATION ?auto_17696 ) ( AT ?auto_17703 ?auto_17696 ) ( AIRPLANE ?auto_17699 ) ( AIRPORT ?auto_17695 ) ( AIRPORT ?auto_17696 ) ( AT ?auto_17699 ?auto_17695 ) ( DIFFERENT ?auto_17696 ?auto_17695 ) ( LOCATION ?auto_17705 ) ( AT ?auto_17699 ?auto_17705 ) ( TRUCK ?auto_17706 ) ( LOCATION ?auto_17693 ) ( CITY ?auto_17704 ) ( IN-CITY ?auto_17693 ?auto_17704 ) ( IN-CITY ?auto_17705 ?auto_17704 ) ( DIFFERENT ?auto_17705 ?auto_17693 ) ( LOCATION ?auto_17702 ) ( CITY ?auto_17707 ) ( IN-CITY ?auto_17702 ?auto_17707 ) ( IN-CITY ?auto_17693 ?auto_17707 ) ( DIFFERENT ?auto_17693 ?auto_17702 ) ( LOCATION ?auto_17694 ) ( CITY ?auto_17712 ) ( IN-CITY ?auto_17694 ?auto_17712 ) ( IN-CITY ?auto_17702 ?auto_17712 ) ( DIFFERENT ?auto_17702 ?auto_17694 ) ( LOCATION ?auto_17697 ) ( CITY ?auto_17701 ) ( IN-CITY ?auto_17697 ?auto_17701 ) ( IN-CITY ?auto_17694 ?auto_17701 ) ( DIFFERENT ?auto_17694 ?auto_17697 ) ( LOCATION ?auto_17711 ) ( CITY ?auto_17698 ) ( IN-CITY ?auto_17711 ?auto_17698 ) ( IN-CITY ?auto_17697 ?auto_17698 ) ( DIFFERENT ?auto_17697 ?auto_17711 ) ( AT ?auto_17691 ?auto_17711 ) ( LOCATION ?auto_17716 ) ( CITY ?auto_17715 ) ( AT ?auto_17706 ?auto_17716 ) ( IN-CITY ?auto_17716 ?auto_17715 ) ( IN-CITY ?auto_17711 ?auto_17715 ) ( DIFFERENT ?auto_17711 ?auto_17716 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17706 ?auto_17716 ?auto_17711 ?auto_17715 )
      ( DELIVER-PKG ?auto_17691 ?auto_17692 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28785
      ?auto_28786
    )
    :vars
    (
      ?auto_28787
      ?auto_28792
      ?auto_28797
      ?auto_28793
      ?auto_28788
      ?auto_28789
      ?auto_28794
      ?auto_28791
      ?auto_28795
      ?auto_28796
      ?auto_28799
      ?auto_28802
      ?auto_28801
    )
    :precondition
    ( and ( OBJ ?auto_28785 ) ( LOCATION ?auto_28786 ) ( TRUCK ?auto_28787 ) ( LOCATION ?auto_28792 ) ( CITY ?auto_28797 ) ( AT ?auto_28787 ?auto_28792 ) ( IN-CITY ?auto_28792 ?auto_28797 ) ( IN-CITY ?auto_28786 ?auto_28797 ) ( DIFFERENT ?auto_28786 ?auto_28792 ) ( LOCATION ?auto_28793 ) ( AT ?auto_28787 ?auto_28793 ) ( TRUCK ?auto_28788 ) ( AT ?auto_28788 ?auto_28793 ) ( LOCATION ?auto_28789 ) ( AT ?auto_28788 ?auto_28789 ) ( AIRPLANE ?auto_28794 ) ( AIRPORT ?auto_28791 ) ( AIRPORT ?auto_28789 ) ( DIFFERENT ?auto_28789 ?auto_28791 ) ( LOCATION ?auto_28791 ) ( AIRPORT ?auto_28795 ) ( DIFFERENT ?auto_28791 ?auto_28795 ) ( AIRPORT ?auto_28796 ) ( AT ?auto_28794 ?auto_28796 ) ( DIFFERENT ?auto_28795 ?auto_28796 ) ( TRUCK ?auto_28799 ) ( IN ?auto_28785 ?auto_28799 ) ( LOCATION ?auto_28802 ) ( CITY ?auto_28801 ) ( AT ?auto_28799 ?auto_28802 ) ( IN-CITY ?auto_28802 ?auto_28801 ) ( IN-CITY ?auto_28791 ?auto_28801 ) ( DIFFERENT ?auto_28791 ?auto_28802 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28799 ?auto_28802 ?auto_28791 ?auto_28801 )
      ( DELIVER-PKG ?auto_28785 ?auto_28786 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28821
      ?auto_28822
    )
    :vars
    (
      ?auto_28830
      ?auto_28829
      ?auto_28831
      ?auto_28833
      ?auto_28823
      ?auto_28827
      ?auto_28834
      ?auto_28828
      ?auto_28824
      ?auto_28825
      ?auto_28832
      ?auto_28837
      ?auto_28836
      ?auto_28839
    )
    :precondition
    ( and ( OBJ ?auto_28821 ) ( LOCATION ?auto_28822 ) ( TRUCK ?auto_28830 ) ( LOCATION ?auto_28829 ) ( CITY ?auto_28831 ) ( AT ?auto_28830 ?auto_28829 ) ( IN-CITY ?auto_28829 ?auto_28831 ) ( IN-CITY ?auto_28822 ?auto_28831 ) ( DIFFERENT ?auto_28822 ?auto_28829 ) ( LOCATION ?auto_28833 ) ( AT ?auto_28830 ?auto_28833 ) ( TRUCK ?auto_28823 ) ( AT ?auto_28823 ?auto_28833 ) ( LOCATION ?auto_28827 ) ( AT ?auto_28823 ?auto_28827 ) ( AIRPLANE ?auto_28834 ) ( AIRPORT ?auto_28828 ) ( AIRPORT ?auto_28827 ) ( DIFFERENT ?auto_28827 ?auto_28828 ) ( LOCATION ?auto_28828 ) ( AIRPORT ?auto_28824 ) ( DIFFERENT ?auto_28828 ?auto_28824 ) ( AIRPORT ?auto_28825 ) ( AT ?auto_28834 ?auto_28825 ) ( DIFFERENT ?auto_28824 ?auto_28825 ) ( TRUCK ?auto_28832 ) ( LOCATION ?auto_28837 ) ( CITY ?auto_28836 ) ( AT ?auto_28832 ?auto_28837 ) ( IN-CITY ?auto_28837 ?auto_28836 ) ( IN-CITY ?auto_28828 ?auto_28836 ) ( DIFFERENT ?auto_28828 ?auto_28837 ) ( LOCATION ?auto_28839 ) ( AT ?auto_28832 ?auto_28839 ) ( AT ?auto_28821 ?auto_28839 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_28821 ?auto_28832 ?auto_28839 )
      ( DELIVER-PKG ?auto_28821 ?auto_28822 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18041
      ?auto_18042
    )
    :vars
    (
      ?auto_18054
      ?auto_18048
      ?auto_18047
      ?auto_18045
      ?auto_18046
      ?auto_18044
      ?auto_18055
      ?auto_18049
      ?auto_18050
      ?auto_18056
      ?auto_18051
      ?auto_18059
      ?auto_18058
    )
    :precondition
    ( and ( OBJ ?auto_18041 ) ( LOCATION ?auto_18042 ) ( TRUCK ?auto_18054 ) ( LOCATION ?auto_18048 ) ( CITY ?auto_18047 ) ( AT ?auto_18054 ?auto_18048 ) ( IN-CITY ?auto_18048 ?auto_18047 ) ( IN-CITY ?auto_18042 ?auto_18047 ) ( DIFFERENT ?auto_18042 ?auto_18048 ) ( LOCATION ?auto_18045 ) ( AT ?auto_18054 ?auto_18045 ) ( AIRPLANE ?auto_18046 ) ( AIRPORT ?auto_18044 ) ( AIRPORT ?auto_18045 ) ( DIFFERENT ?auto_18045 ?auto_18044 ) ( LOCATION ?auto_18044 ) ( AIRPORT ?auto_18055 ) ( DIFFERENT ?auto_18044 ?auto_18055 ) ( AIRPORT ?auto_18049 ) ( AT ?auto_18046 ?auto_18049 ) ( DIFFERENT ?auto_18055 ?auto_18049 ) ( TRUCK ?auto_18050 ) ( LOCATION ?auto_18056 ) ( CITY ?auto_18051 ) ( IN-CITY ?auto_18056 ?auto_18051 ) ( IN-CITY ?auto_18044 ?auto_18051 ) ( DIFFERENT ?auto_18044 ?auto_18056 ) ( AT ?auto_18041 ?auto_18056 ) ( LOCATION ?auto_18059 ) ( CITY ?auto_18058 ) ( AT ?auto_18050 ?auto_18059 ) ( IN-CITY ?auto_18059 ?auto_18058 ) ( IN-CITY ?auto_18056 ?auto_18058 ) ( DIFFERENT ?auto_18056 ?auto_18059 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18050 ?auto_18059 ?auto_18056 ?auto_18058 )
      ( DELIVER-PKG ?auto_18041 ?auto_18042 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18696
      ?auto_18697
    )
    :vars
    (
      ?auto_18700
      ?auto_18705
      ?auto_18703
      ?auto_18702
      ?auto_18698
      ?auto_18699
      ?auto_18709
      ?auto_18708
    )
    :precondition
    ( and ( OBJ ?auto_18696 ) ( LOCATION ?auto_18697 ) ( TRUCK ?auto_18700 ) ( LOCATION ?auto_18705 ) ( CITY ?auto_18703 ) ( IN-CITY ?auto_18705 ?auto_18703 ) ( IN-CITY ?auto_18697 ?auto_18703 ) ( DIFFERENT ?auto_18697 ?auto_18705 ) ( AIRPLANE ?auto_18702 ) ( AIRPORT ?auto_18698 ) ( AIRPORT ?auto_18705 ) ( AT ?auto_18702 ?auto_18698 ) ( DIFFERENT ?auto_18705 ?auto_18698 ) ( LOCATION ?auto_18699 ) ( AT ?auto_18696 ?auto_18699 ) ( AT ?auto_18702 ?auto_18699 ) ( LOCATION ?auto_18709 ) ( CITY ?auto_18708 ) ( AT ?auto_18700 ?auto_18709 ) ( IN-CITY ?auto_18709 ?auto_18708 ) ( IN-CITY ?auto_18705 ?auto_18708 ) ( DIFFERENT ?auto_18705 ?auto_18709 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18700 ?auto_18709 ?auto_18705 ?auto_18708 )
      ( DELIVER-PKG ?auto_18696 ?auto_18697 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18989
      ?auto_18990
    )
    :vars
    (
      ?auto_18999
      ?auto_18996
      ?auto_18992
      ?auto_18995
      ?auto_18994
      ?auto_18997
      ?auto_19002
      ?auto_19001
    )
    :precondition
    ( and ( OBJ ?auto_18989 ) ( LOCATION ?auto_18990 ) ( TRUCK ?auto_18999 ) ( LOCATION ?auto_18996 ) ( CITY ?auto_18992 ) ( IN-CITY ?auto_18996 ?auto_18992 ) ( IN-CITY ?auto_18990 ?auto_18992 ) ( DIFFERENT ?auto_18990 ?auto_18996 ) ( AIRPLANE ?auto_18995 ) ( AIRPORT ?auto_18994 ) ( AIRPORT ?auto_18996 ) ( DIFFERENT ?auto_18996 ?auto_18994 ) ( LOCATION ?auto_18994 ) ( AT ?auto_18989 ?auto_18994 ) ( AIRPORT ?auto_18997 ) ( AT ?auto_18995 ?auto_18997 ) ( DIFFERENT ?auto_18994 ?auto_18997 ) ( LOCATION ?auto_19002 ) ( CITY ?auto_19001 ) ( AT ?auto_18999 ?auto_19002 ) ( IN-CITY ?auto_19002 ?auto_19001 ) ( IN-CITY ?auto_18996 ?auto_19001 ) ( DIFFERENT ?auto_18996 ?auto_19002 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18999 ?auto_19002 ?auto_18996 ?auto_19001 )
      ( DELIVER-PKG ?auto_18989 ?auto_18990 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19483
      ?auto_19484
    )
    :vars
    (
      ?auto_19486
      ?auto_19485
      ?auto_19490
      ?auto_19488
      ?auto_19492
    )
    :precondition
    ( and ( OBJ ?auto_19483 ) ( LOCATION ?auto_19484 ) ( AIRPLANE ?auto_19486 ) ( AIRPORT ?auto_19485 ) ( AIRPORT ?auto_19484 ) ( AT ?auto_19486 ?auto_19485 ) ( DIFFERENT ?auto_19484 ?auto_19485 ) ( LOCATION ?auto_19490 ) ( AT ?auto_19486 ?auto_19490 ) ( TRUCK ?auto_19488 ) ( AT ?auto_19488 ?auto_19490 ) ( LOCATION ?auto_19492 ) ( AT ?auto_19488 ?auto_19492 ) ( AT ?auto_19483 ?auto_19492 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_19483 ?auto_19488 ?auto_19492 )
      ( DELIVER-PKG ?auto_19483 ?auto_19484 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19503
      ?auto_19504
    )
    :vars
    (
      ?auto_19511
      ?auto_19510
      ?auto_19507
      ?auto_19509
      ?auto_19506
      ?auto_19513
    )
    :precondition
    ( and ( OBJ ?auto_19503 ) ( LOCATION ?auto_19504 ) ( AIRPLANE ?auto_19511 ) ( AIRPORT ?auto_19510 ) ( AIRPORT ?auto_19504 ) ( AT ?auto_19511 ?auto_19510 ) ( DIFFERENT ?auto_19504 ?auto_19510 ) ( LOCATION ?auto_19507 ) ( AT ?auto_19511 ?auto_19507 ) ( TRUCK ?auto_19509 ) ( AT ?auto_19509 ?auto_19507 ) ( LOCATION ?auto_19506 ) ( AT ?auto_19509 ?auto_19506 ) ( TRUCK ?auto_19513 ) ( AT ?auto_19513 ?auto_19506 ) ( IN ?auto_19503 ?auto_19513 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_19503 ?auto_19506 )
      ( DELIVER-PKG ?auto_19503 ?auto_19504 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19573
      ?auto_19574
    )
    :vars
    (
      ?auto_19580
      ?auto_19576
      ?auto_19581
      ?auto_19579
      ?auto_19578
      ?auto_19583
      ?auto_19585
    )
    :precondition
    ( and ( OBJ ?auto_19573 ) ( LOCATION ?auto_19574 ) ( AIRPLANE ?auto_19580 ) ( AIRPORT ?auto_19576 ) ( AIRPORT ?auto_19574 ) ( DIFFERENT ?auto_19574 ?auto_19576 ) ( LOCATION ?auto_19576 ) ( TRUCK ?auto_19581 ) ( LOCATION ?auto_19579 ) ( CITY ?auto_19578 ) ( AT ?auto_19581 ?auto_19579 ) ( IN-CITY ?auto_19579 ?auto_19578 ) ( IN-CITY ?auto_19576 ?auto_19578 ) ( DIFFERENT ?auto_19576 ?auto_19579 ) ( LOCATION ?auto_19583 ) ( AT ?auto_19581 ?auto_19583 ) ( AT ?auto_19573 ?auto_19583 ) ( AIRPORT ?auto_19585 ) ( AT ?auto_19580 ?auto_19585 ) ( DIFFERENT ?auto_19576 ?auto_19585 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19580 ?auto_19585 ?auto_19576 )
      ( DELIVER-PKG ?auto_19573 ?auto_19574 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19587
      ?auto_19588
    )
    :vars
    (
      ?auto_19591
      ?auto_19597
      ?auto_19592
      ?auto_19593
      ?auto_19589
      ?auto_19596
      ?auto_19600
      ?auto_19599
    )
    :precondition
    ( and ( OBJ ?auto_19587 ) ( LOCATION ?auto_19588 ) ( AIRPLANE ?auto_19591 ) ( AIRPORT ?auto_19597 ) ( AIRPORT ?auto_19588 ) ( DIFFERENT ?auto_19588 ?auto_19597 ) ( LOCATION ?auto_19597 ) ( TRUCK ?auto_19592 ) ( LOCATION ?auto_19593 ) ( CITY ?auto_19589 ) ( IN-CITY ?auto_19593 ?auto_19589 ) ( IN-CITY ?auto_19597 ?auto_19589 ) ( DIFFERENT ?auto_19597 ?auto_19593 ) ( AT ?auto_19587 ?auto_19593 ) ( AIRPORT ?auto_19596 ) ( AT ?auto_19591 ?auto_19596 ) ( DIFFERENT ?auto_19597 ?auto_19596 ) ( LOCATION ?auto_19600 ) ( CITY ?auto_19599 ) ( AT ?auto_19592 ?auto_19600 ) ( IN-CITY ?auto_19600 ?auto_19599 ) ( IN-CITY ?auto_19593 ?auto_19599 ) ( DIFFERENT ?auto_19593 ?auto_19600 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19592 ?auto_19600 ?auto_19593 ?auto_19599 )
      ( DELIVER-PKG ?auto_19587 ?auto_19588 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20560
      ?auto_20561
    )
    :vars
    (
      ?auto_20564
      ?auto_20563
      ?auto_20567
    )
    :precondition
    ( and ( OBJ ?auto_20560 ) ( LOCATION ?auto_20561 ) ( AIRPLANE ?auto_20564 ) ( IN ?auto_20560 ?auto_20564 ) ( AIRPORT ?auto_20563 ) ( AIRPORT ?auto_20561 ) ( DIFFERENT ?auto_20561 ?auto_20563 ) ( AIRPORT ?auto_20567 ) ( AT ?auto_20564 ?auto_20567 ) ( DIFFERENT ?auto_20563 ?auto_20567 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20564 ?auto_20567 ?auto_20563 )
      ( DELIVER-PKG ?auto_20560 ?auto_20561 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20576
      ?auto_20577
    )
    :vars
    (
      ?auto_20581
      ?auto_20580
      ?auto_20582
      ?auto_20584
    )
    :precondition
    ( and ( OBJ ?auto_20576 ) ( LOCATION ?auto_20577 ) ( AIRPLANE ?auto_20581 ) ( IN ?auto_20576 ?auto_20581 ) ( AIRPORT ?auto_20580 ) ( AIRPORT ?auto_20577 ) ( DIFFERENT ?auto_20577 ?auto_20580 ) ( AIRPORT ?auto_20582 ) ( DIFFERENT ?auto_20580 ?auto_20582 ) ( AIRPORT ?auto_20584 ) ( AT ?auto_20581 ?auto_20584 ) ( DIFFERENT ?auto_20582 ?auto_20584 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20581 ?auto_20584 ?auto_20582 )
      ( DELIVER-PKG ?auto_20576 ?auto_20577 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20586
      ?auto_20587
    )
    :vars
    (
      ?auto_20588
      ?auto_20590
      ?auto_20589
      ?auto_20593
      ?auto_20595
    )
    :precondition
    ( and ( OBJ ?auto_20586 ) ( LOCATION ?auto_20587 ) ( AIRPLANE ?auto_20588 ) ( AIRPORT ?auto_20590 ) ( AIRPORT ?auto_20587 ) ( DIFFERENT ?auto_20587 ?auto_20590 ) ( AIRPORT ?auto_20589 ) ( DIFFERENT ?auto_20590 ?auto_20589 ) ( AIRPORT ?auto_20593 ) ( AT ?auto_20588 ?auto_20593 ) ( DIFFERENT ?auto_20589 ?auto_20593 ) ( LOCATION ?auto_20595 ) ( AT ?auto_20586 ?auto_20595 ) ( AT ?auto_20588 ?auto_20595 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_20586 ?auto_20588 ?auto_20595 )
      ( DELIVER-PKG ?auto_20586 ?auto_20587 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20597
      ?auto_20598
    )
    :vars
    (
      ?auto_20603
      ?auto_20605
      ?auto_20604
      ?auto_20601
      ?auto_20599
      ?auto_20608
    )
    :precondition
    ( and ( OBJ ?auto_20597 ) ( LOCATION ?auto_20598 ) ( AIRPLANE ?auto_20603 ) ( AIRPORT ?auto_20605 ) ( AIRPORT ?auto_20598 ) ( DIFFERENT ?auto_20598 ?auto_20605 ) ( AIRPORT ?auto_20604 ) ( DIFFERENT ?auto_20605 ?auto_20604 ) ( AIRPORT ?auto_20601 ) ( AT ?auto_20603 ?auto_20601 ) ( DIFFERENT ?auto_20604 ?auto_20601 ) ( LOCATION ?auto_20599 ) ( AT ?auto_20603 ?auto_20599 ) ( AIRPLANE ?auto_20608 ) ( IN ?auto_20597 ?auto_20608 ) ( AT ?auto_20608 ?auto_20599 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20597 ?auto_20599 )
      ( DELIVER-PKG ?auto_20597 ?auto_20598 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24706
      ?auto_24707
    )
    :vars
    (
      ?auto_24711
      ?auto_24713
      ?auto_24708
      ?auto_24710
      ?auto_24715
    )
    :precondition
    ( and ( OBJ ?auto_24706 ) ( LOCATION ?auto_24707 ) ( AIRPLANE ?auto_24711 ) ( IN ?auto_24706 ?auto_24711 ) ( AIRPORT ?auto_24713 ) ( AIRPORT ?auto_24707 ) ( DIFFERENT ?auto_24707 ?auto_24713 ) ( AIRPORT ?auto_24708 ) ( DIFFERENT ?auto_24713 ?auto_24708 ) ( AIRPORT ?auto_24710 ) ( DIFFERENT ?auto_24708 ?auto_24710 ) ( AIRPORT ?auto_24715 ) ( AT ?auto_24711 ?auto_24715 ) ( DIFFERENT ?auto_24710 ?auto_24715 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24711 ?auto_24715 ?auto_24710 )
      ( DELIVER-PKG ?auto_24706 ?auto_24707 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24726
      ?auto_24727
    )
    :vars
    (
      ?auto_24730
      ?auto_24731
      ?auto_24734
      ?auto_24728
      ?auto_24733
      ?auto_24736
    )
    :precondition
    ( and ( OBJ ?auto_24726 ) ( LOCATION ?auto_24727 ) ( AIRPLANE ?auto_24730 ) ( AIRPORT ?auto_24731 ) ( AIRPORT ?auto_24727 ) ( DIFFERENT ?auto_24727 ?auto_24731 ) ( AIRPORT ?auto_24734 ) ( DIFFERENT ?auto_24731 ?auto_24734 ) ( AIRPORT ?auto_24728 ) ( DIFFERENT ?auto_24734 ?auto_24728 ) ( AIRPORT ?auto_24733 ) ( AT ?auto_24730 ?auto_24733 ) ( DIFFERENT ?auto_24728 ?auto_24733 ) ( LOCATION ?auto_24736 ) ( AT ?auto_24726 ?auto_24736 ) ( AT ?auto_24730 ?auto_24736 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_24726 ?auto_24730 ?auto_24736 )
      ( DELIVER-PKG ?auto_24726 ?auto_24727 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20673
      ?auto_20674
    )
    :vars
    (
      ?auto_20676
      ?auto_20681
      ?auto_20684
      ?auto_20678
      ?auto_20683
      ?auto_20682
      ?auto_20675
      ?auto_20677
      ?auto_20686
    )
    :precondition
    ( and ( OBJ ?auto_20673 ) ( LOCATION ?auto_20674 ) ( AIRPLANE ?auto_20676 ) ( AIRPORT ?auto_20681 ) ( AIRPORT ?auto_20674 ) ( DIFFERENT ?auto_20674 ?auto_20681 ) ( AIRPORT ?auto_20684 ) ( DIFFERENT ?auto_20681 ?auto_20684 ) ( AIRPORT ?auto_20678 ) ( DIFFERENT ?auto_20684 ?auto_20678 ) ( LOCATION ?auto_20678 ) ( AIRPORT ?auto_20683 ) ( AT ?auto_20676 ?auto_20683 ) ( DIFFERENT ?auto_20678 ?auto_20683 ) ( LOCATION ?auto_20682 ) ( AT ?auto_20676 ?auto_20682 ) ( TRUCK ?auto_20675 ) ( AT ?auto_20675 ?auto_20682 ) ( LOCATION ?auto_20677 ) ( AT ?auto_20675 ?auto_20677 ) ( TRUCK ?auto_20686 ) ( AT ?auto_20686 ?auto_20677 ) ( IN ?auto_20673 ?auto_20686 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_20673 ?auto_20677 )
      ( DELIVER-PKG ?auto_20673 ?auto_20674 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20647
      ?auto_20648
    )
    :vars
    (
      ?auto_20649
      ?auto_20655
      ?auto_20653
      ?auto_20657
      ?auto_20650
      ?auto_20656
      ?auto_20654
      ?auto_20659
    )
    :precondition
    ( and ( OBJ ?auto_20647 ) ( LOCATION ?auto_20648 ) ( AIRPLANE ?auto_20649 ) ( AIRPORT ?auto_20655 ) ( AIRPORT ?auto_20648 ) ( DIFFERENT ?auto_20648 ?auto_20655 ) ( AIRPORT ?auto_20653 ) ( DIFFERENT ?auto_20655 ?auto_20653 ) ( AIRPORT ?auto_20657 ) ( DIFFERENT ?auto_20653 ?auto_20657 ) ( LOCATION ?auto_20657 ) ( AIRPORT ?auto_20650 ) ( AT ?auto_20649 ?auto_20650 ) ( DIFFERENT ?auto_20657 ?auto_20650 ) ( LOCATION ?auto_20656 ) ( AT ?auto_20649 ?auto_20656 ) ( TRUCK ?auto_20654 ) ( AT ?auto_20654 ?auto_20656 ) ( LOCATION ?auto_20659 ) ( AT ?auto_20654 ?auto_20659 ) ( AT ?auto_20647 ?auto_20659 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_20647 ?auto_20654 ?auto_20659 )
      ( DELIVER-PKG ?auto_20647 ?auto_20648 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20701
      ?auto_20702
    )
    :vars
    (
      ?auto_20712
      ?auto_20705
      ?auto_20710
      ?auto_20706
      ?auto_20709
      ?auto_20704
      ?auto_20711
      ?auto_20716
      ?auto_20715
    )
    :precondition
    ( and ( OBJ ?auto_20701 ) ( LOCATION ?auto_20702 ) ( AIRPLANE ?auto_20712 ) ( AIRPORT ?auto_20705 ) ( AIRPORT ?auto_20702 ) ( DIFFERENT ?auto_20702 ?auto_20705 ) ( AIRPORT ?auto_20710 ) ( DIFFERENT ?auto_20705 ?auto_20710 ) ( AIRPORT ?auto_20706 ) ( DIFFERENT ?auto_20710 ?auto_20706 ) ( LOCATION ?auto_20706 ) ( AIRPORT ?auto_20709 ) ( AT ?auto_20712 ?auto_20709 ) ( DIFFERENT ?auto_20706 ?auto_20709 ) ( LOCATION ?auto_20704 ) ( AT ?auto_20712 ?auto_20704 ) ( TRUCK ?auto_20711 ) ( IN ?auto_20701 ?auto_20711 ) ( LOCATION ?auto_20716 ) ( CITY ?auto_20715 ) ( AT ?auto_20711 ?auto_20716 ) ( IN-CITY ?auto_20716 ?auto_20715 ) ( IN-CITY ?auto_20704 ?auto_20715 ) ( DIFFERENT ?auto_20704 ?auto_20716 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20711 ?auto_20716 ?auto_20704 ?auto_20715 )
      ( DELIVER-PKG ?auto_20701 ?auto_20702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20731
      ?auto_20732
    )
    :vars
    (
      ?auto_20735
      ?auto_20743
      ?auto_20739
      ?auto_20740
      ?auto_20738
      ?auto_20741
      ?auto_20734
      ?auto_20737
      ?auto_20736
      ?auto_20745
    )
    :precondition
    ( and ( OBJ ?auto_20731 ) ( LOCATION ?auto_20732 ) ( AIRPLANE ?auto_20735 ) ( AIRPORT ?auto_20743 ) ( AIRPORT ?auto_20732 ) ( DIFFERENT ?auto_20732 ?auto_20743 ) ( AIRPORT ?auto_20739 ) ( DIFFERENT ?auto_20743 ?auto_20739 ) ( AIRPORT ?auto_20740 ) ( DIFFERENT ?auto_20739 ?auto_20740 ) ( LOCATION ?auto_20740 ) ( AIRPORT ?auto_20738 ) ( AT ?auto_20735 ?auto_20738 ) ( DIFFERENT ?auto_20740 ?auto_20738 ) ( LOCATION ?auto_20741 ) ( AT ?auto_20735 ?auto_20741 ) ( TRUCK ?auto_20734 ) ( LOCATION ?auto_20737 ) ( CITY ?auto_20736 ) ( AT ?auto_20734 ?auto_20737 ) ( IN-CITY ?auto_20737 ?auto_20736 ) ( IN-CITY ?auto_20741 ?auto_20736 ) ( DIFFERENT ?auto_20741 ?auto_20737 ) ( LOCATION ?auto_20745 ) ( AT ?auto_20734 ?auto_20745 ) ( AT ?auto_20731 ?auto_20745 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_20731 ?auto_20734 ?auto_20745 )
      ( DELIVER-PKG ?auto_20731 ?auto_20732 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20761
      ?auto_20762
    )
    :vars
    (
      ?auto_20766
      ?auto_20763
      ?auto_20771
      ?auto_20772
      ?auto_20765
      ?auto_20764
      ?auto_20769
      ?auto_20768
      ?auto_20774
      ?auto_20776
    )
    :precondition
    ( and ( OBJ ?auto_20761 ) ( LOCATION ?auto_20762 ) ( AIRPLANE ?auto_20766 ) ( AIRPORT ?auto_20763 ) ( AIRPORT ?auto_20762 ) ( DIFFERENT ?auto_20762 ?auto_20763 ) ( AIRPORT ?auto_20771 ) ( DIFFERENT ?auto_20763 ?auto_20771 ) ( AIRPORT ?auto_20772 ) ( DIFFERENT ?auto_20771 ?auto_20772 ) ( LOCATION ?auto_20772 ) ( AIRPORT ?auto_20765 ) ( DIFFERENT ?auto_20772 ?auto_20765 ) ( LOCATION ?auto_20765 ) ( TRUCK ?auto_20764 ) ( LOCATION ?auto_20769 ) ( CITY ?auto_20768 ) ( AT ?auto_20764 ?auto_20769 ) ( IN-CITY ?auto_20769 ?auto_20768 ) ( IN-CITY ?auto_20765 ?auto_20768 ) ( DIFFERENT ?auto_20765 ?auto_20769 ) ( LOCATION ?auto_20774 ) ( AT ?auto_20764 ?auto_20774 ) ( AT ?auto_20761 ?auto_20774 ) ( AIRPORT ?auto_20776 ) ( AT ?auto_20766 ?auto_20776 ) ( DIFFERENT ?auto_20765 ?auto_20776 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20766 ?auto_20776 ?auto_20765 )
      ( DELIVER-PKG ?auto_20761 ?auto_20762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20778
      ?auto_20779
    )
    :vars
    (
      ?auto_20787
      ?auto_20786
      ?auto_20781
      ?auto_20788
      ?auto_20780
      ?auto_20784
      ?auto_20789
      ?auto_20782
      ?auto_20791
      ?auto_20794
      ?auto_20793
    )
    :precondition
    ( and ( OBJ ?auto_20778 ) ( LOCATION ?auto_20779 ) ( AIRPLANE ?auto_20787 ) ( AIRPORT ?auto_20786 ) ( AIRPORT ?auto_20779 ) ( DIFFERENT ?auto_20779 ?auto_20786 ) ( AIRPORT ?auto_20781 ) ( DIFFERENT ?auto_20786 ?auto_20781 ) ( AIRPORT ?auto_20788 ) ( DIFFERENT ?auto_20781 ?auto_20788 ) ( LOCATION ?auto_20788 ) ( AIRPORT ?auto_20780 ) ( DIFFERENT ?auto_20788 ?auto_20780 ) ( LOCATION ?auto_20780 ) ( TRUCK ?auto_20784 ) ( LOCATION ?auto_20789 ) ( CITY ?auto_20782 ) ( IN-CITY ?auto_20789 ?auto_20782 ) ( IN-CITY ?auto_20780 ?auto_20782 ) ( DIFFERENT ?auto_20780 ?auto_20789 ) ( AT ?auto_20778 ?auto_20789 ) ( AIRPORT ?auto_20791 ) ( AT ?auto_20787 ?auto_20791 ) ( DIFFERENT ?auto_20780 ?auto_20791 ) ( LOCATION ?auto_20794 ) ( CITY ?auto_20793 ) ( AT ?auto_20784 ?auto_20794 ) ( IN-CITY ?auto_20794 ?auto_20793 ) ( IN-CITY ?auto_20789 ?auto_20793 ) ( DIFFERENT ?auto_20789 ?auto_20794 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20784 ?auto_20794 ?auto_20789 ?auto_20793 )
      ( DELIVER-PKG ?auto_20778 ?auto_20779 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22232
      ?auto_22233
    )
    :vars
    (
      ?auto_22247
      ?auto_22243
      ?auto_22235
      ?auto_22240
      ?auto_22251
      ?auto_22237
      ?auto_22241
      ?auto_22238
      ?auto_22244
      ?auto_22242
      ?auto_22236
      ?auto_22239
      ?auto_22249
      ?auto_22245
      ?auto_22250
      ?auto_22248
      ?auto_22255
      ?auto_22254
    )
    :precondition
    ( and ( OBJ ?auto_22232 ) ( LOCATION ?auto_22233 ) ( TRUCK ?auto_22247 ) ( LOCATION ?auto_22243 ) ( CITY ?auto_22235 ) ( IN-CITY ?auto_22243 ?auto_22235 ) ( IN-CITY ?auto_22233 ?auto_22235 ) ( DIFFERENT ?auto_22233 ?auto_22243 ) ( LOCATION ?auto_22240 ) ( CITY ?auto_22251 ) ( IN-CITY ?auto_22240 ?auto_22251 ) ( IN-CITY ?auto_22243 ?auto_22251 ) ( DIFFERENT ?auto_22243 ?auto_22240 ) ( LOCATION ?auto_22237 ) ( CITY ?auto_22241 ) ( IN-CITY ?auto_22237 ?auto_22241 ) ( IN-CITY ?auto_22240 ?auto_22241 ) ( DIFFERENT ?auto_22240 ?auto_22237 ) ( LOCATION ?auto_22238 ) ( CITY ?auto_22244 ) ( IN-CITY ?auto_22238 ?auto_22244 ) ( IN-CITY ?auto_22237 ?auto_22244 ) ( DIFFERENT ?auto_22237 ?auto_22238 ) ( AIRPLANE ?auto_22242 ) ( AIRPORT ?auto_22236 ) ( AIRPORT ?auto_22238 ) ( DIFFERENT ?auto_22238 ?auto_22236 ) ( LOCATION ?auto_22236 ) ( AIRPORT ?auto_22239 ) ( DIFFERENT ?auto_22236 ?auto_22239 ) ( AIRPORT ?auto_22249 ) ( AT ?auto_22242 ?auto_22249 ) ( DIFFERENT ?auto_22239 ?auto_22249 ) ( TRUCK ?auto_22245 ) ( IN ?auto_22232 ?auto_22245 ) ( LOCATION ?auto_22250 ) ( CITY ?auto_22248 ) ( AT ?auto_22245 ?auto_22250 ) ( IN-CITY ?auto_22250 ?auto_22248 ) ( IN-CITY ?auto_22236 ?auto_22248 ) ( DIFFERENT ?auto_22236 ?auto_22250 ) ( LOCATION ?auto_22255 ) ( CITY ?auto_22254 ) ( AT ?auto_22247 ?auto_22255 ) ( IN-CITY ?auto_22255 ?auto_22254 ) ( IN-CITY ?auto_22238 ?auto_22254 ) ( DIFFERENT ?auto_22238 ?auto_22255 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22247 ?auto_22255 ?auto_22238 ?auto_22254 )
      ( DELIVER-PKG ?auto_22232 ?auto_22233 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22257
      ?auto_22258
    )
    :vars
    (
      ?auto_22270
      ?auto_22260
      ?auto_22272
      ?auto_22277
      ?auto_22268
      ?auto_22274
      ?auto_22275
      ?auto_22278
      ?auto_22261
      ?auto_22259
      ?auto_22273
      ?auto_22276
      ?auto_22265
      ?auto_22263
      ?auto_22266
      ?auto_22271
      ?auto_22262
      ?auto_22267
      ?auto_22280
    )
    :precondition
    ( and ( OBJ ?auto_22257 ) ( LOCATION ?auto_22258 ) ( TRUCK ?auto_22270 ) ( LOCATION ?auto_22260 ) ( CITY ?auto_22272 ) ( IN-CITY ?auto_22260 ?auto_22272 ) ( IN-CITY ?auto_22258 ?auto_22272 ) ( DIFFERENT ?auto_22258 ?auto_22260 ) ( LOCATION ?auto_22277 ) ( CITY ?auto_22268 ) ( IN-CITY ?auto_22277 ?auto_22268 ) ( IN-CITY ?auto_22260 ?auto_22268 ) ( DIFFERENT ?auto_22260 ?auto_22277 ) ( LOCATION ?auto_22274 ) ( CITY ?auto_22275 ) ( IN-CITY ?auto_22274 ?auto_22275 ) ( IN-CITY ?auto_22277 ?auto_22275 ) ( DIFFERENT ?auto_22277 ?auto_22274 ) ( LOCATION ?auto_22278 ) ( CITY ?auto_22261 ) ( IN-CITY ?auto_22278 ?auto_22261 ) ( IN-CITY ?auto_22274 ?auto_22261 ) ( DIFFERENT ?auto_22274 ?auto_22278 ) ( AIRPLANE ?auto_22259 ) ( AIRPORT ?auto_22273 ) ( AIRPORT ?auto_22278 ) ( DIFFERENT ?auto_22278 ?auto_22273 ) ( LOCATION ?auto_22273 ) ( AIRPORT ?auto_22276 ) ( DIFFERENT ?auto_22273 ?auto_22276 ) ( AIRPORT ?auto_22265 ) ( AT ?auto_22259 ?auto_22265 ) ( DIFFERENT ?auto_22276 ?auto_22265 ) ( TRUCK ?auto_22263 ) ( LOCATION ?auto_22266 ) ( CITY ?auto_22271 ) ( AT ?auto_22263 ?auto_22266 ) ( IN-CITY ?auto_22266 ?auto_22271 ) ( IN-CITY ?auto_22273 ?auto_22271 ) ( DIFFERENT ?auto_22273 ?auto_22266 ) ( LOCATION ?auto_22262 ) ( CITY ?auto_22267 ) ( AT ?auto_22270 ?auto_22262 ) ( IN-CITY ?auto_22262 ?auto_22267 ) ( IN-CITY ?auto_22278 ?auto_22267 ) ( DIFFERENT ?auto_22278 ?auto_22262 ) ( LOCATION ?auto_22280 ) ( AT ?auto_22263 ?auto_22280 ) ( AT ?auto_22257 ?auto_22280 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22257 ?auto_22263 ?auto_22280 )
      ( DELIVER-PKG ?auto_22257 ?auto_22258 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22305
      ?auto_22306
    )
    :vars
    (
      ?auto_22309
      ?auto_22318
      ?auto_22320
      ?auto_22311
      ?auto_22316
      ?auto_22322
      ?auto_22324
      ?auto_22312
      ?auto_22317
      ?auto_22319
      ?auto_22315
      ?auto_22310
      ?auto_22326
      ?auto_22321
      ?auto_22323
      ?auto_22313
      ?auto_22325
      ?auto_22314
      ?auto_22330
      ?auto_22329
    )
    :precondition
    ( and ( OBJ ?auto_22305 ) ( LOCATION ?auto_22306 ) ( TRUCK ?auto_22309 ) ( LOCATION ?auto_22318 ) ( CITY ?auto_22320 ) ( IN-CITY ?auto_22318 ?auto_22320 ) ( IN-CITY ?auto_22306 ?auto_22320 ) ( DIFFERENT ?auto_22306 ?auto_22318 ) ( LOCATION ?auto_22311 ) ( CITY ?auto_22316 ) ( IN-CITY ?auto_22311 ?auto_22316 ) ( IN-CITY ?auto_22318 ?auto_22316 ) ( DIFFERENT ?auto_22318 ?auto_22311 ) ( LOCATION ?auto_22322 ) ( CITY ?auto_22324 ) ( IN-CITY ?auto_22322 ?auto_22324 ) ( IN-CITY ?auto_22311 ?auto_22324 ) ( DIFFERENT ?auto_22311 ?auto_22322 ) ( LOCATION ?auto_22312 ) ( CITY ?auto_22317 ) ( IN-CITY ?auto_22312 ?auto_22317 ) ( IN-CITY ?auto_22322 ?auto_22317 ) ( DIFFERENT ?auto_22322 ?auto_22312 ) ( AIRPLANE ?auto_22319 ) ( AIRPORT ?auto_22315 ) ( AIRPORT ?auto_22312 ) ( DIFFERENT ?auto_22312 ?auto_22315 ) ( LOCATION ?auto_22315 ) ( AIRPORT ?auto_22310 ) ( DIFFERENT ?auto_22315 ?auto_22310 ) ( AIRPORT ?auto_22326 ) ( AT ?auto_22319 ?auto_22326 ) ( DIFFERENT ?auto_22310 ?auto_22326 ) ( TRUCK ?auto_22321 ) ( LOCATION ?auto_22323 ) ( CITY ?auto_22313 ) ( IN-CITY ?auto_22323 ?auto_22313 ) ( IN-CITY ?auto_22315 ?auto_22313 ) ( DIFFERENT ?auto_22315 ?auto_22323 ) ( LOCATION ?auto_22325 ) ( CITY ?auto_22314 ) ( AT ?auto_22309 ?auto_22325 ) ( IN-CITY ?auto_22325 ?auto_22314 ) ( IN-CITY ?auto_22312 ?auto_22314 ) ( DIFFERENT ?auto_22312 ?auto_22325 ) ( AT ?auto_22305 ?auto_22323 ) ( LOCATION ?auto_22330 ) ( CITY ?auto_22329 ) ( AT ?auto_22321 ?auto_22330 ) ( IN-CITY ?auto_22330 ?auto_22329 ) ( IN-CITY ?auto_22323 ?auto_22329 ) ( DIFFERENT ?auto_22323 ?auto_22330 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22321 ?auto_22330 ?auto_22323 ?auto_22329 )
      ( DELIVER-PKG ?auto_22305 ?auto_22306 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22332
      ?auto_22333
    )
    :vars
    (
      ?auto_22337
      ?auto_22343
      ?auto_22345
      ?auto_22353
      ?auto_22341
      ?auto_22347
      ?auto_22351
      ?auto_22354
      ?auto_22342
      ?auto_22344
      ?auto_22340
      ?auto_22336
      ?auto_22334
      ?auto_22346
      ?auto_22349
      ?auto_22338
      ?auto_22352
      ?auto_22339
      ?auto_22348
      ?auto_22350
      ?auto_22357
    )
    :precondition
    ( and ( OBJ ?auto_22332 ) ( LOCATION ?auto_22333 ) ( TRUCK ?auto_22337 ) ( LOCATION ?auto_22343 ) ( CITY ?auto_22345 ) ( IN-CITY ?auto_22343 ?auto_22345 ) ( IN-CITY ?auto_22333 ?auto_22345 ) ( DIFFERENT ?auto_22333 ?auto_22343 ) ( LOCATION ?auto_22353 ) ( CITY ?auto_22341 ) ( IN-CITY ?auto_22353 ?auto_22341 ) ( IN-CITY ?auto_22343 ?auto_22341 ) ( DIFFERENT ?auto_22343 ?auto_22353 ) ( LOCATION ?auto_22347 ) ( CITY ?auto_22351 ) ( IN-CITY ?auto_22347 ?auto_22351 ) ( IN-CITY ?auto_22353 ?auto_22351 ) ( DIFFERENT ?auto_22353 ?auto_22347 ) ( LOCATION ?auto_22354 ) ( CITY ?auto_22342 ) ( IN-CITY ?auto_22354 ?auto_22342 ) ( IN-CITY ?auto_22347 ?auto_22342 ) ( DIFFERENT ?auto_22347 ?auto_22354 ) ( AIRPLANE ?auto_22344 ) ( AIRPORT ?auto_22340 ) ( AIRPORT ?auto_22354 ) ( DIFFERENT ?auto_22354 ?auto_22340 ) ( LOCATION ?auto_22340 ) ( AIRPORT ?auto_22336 ) ( DIFFERENT ?auto_22340 ?auto_22336 ) ( AIRPORT ?auto_22334 ) ( DIFFERENT ?auto_22336 ?auto_22334 ) ( TRUCK ?auto_22346 ) ( LOCATION ?auto_22349 ) ( CITY ?auto_22338 ) ( IN-CITY ?auto_22349 ?auto_22338 ) ( IN-CITY ?auto_22340 ?auto_22338 ) ( DIFFERENT ?auto_22340 ?auto_22349 ) ( LOCATION ?auto_22352 ) ( CITY ?auto_22339 ) ( AT ?auto_22337 ?auto_22352 ) ( IN-CITY ?auto_22352 ?auto_22339 ) ( IN-CITY ?auto_22354 ?auto_22339 ) ( DIFFERENT ?auto_22354 ?auto_22352 ) ( AT ?auto_22332 ?auto_22349 ) ( LOCATION ?auto_22348 ) ( CITY ?auto_22350 ) ( AT ?auto_22346 ?auto_22348 ) ( IN-CITY ?auto_22348 ?auto_22350 ) ( IN-CITY ?auto_22349 ?auto_22350 ) ( DIFFERENT ?auto_22349 ?auto_22348 ) ( AIRPORT ?auto_22357 ) ( AT ?auto_22344 ?auto_22357 ) ( DIFFERENT ?auto_22334 ?auto_22357 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22344 ?auto_22357 ?auto_22334 )
      ( DELIVER-PKG ?auto_22332 ?auto_22333 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22359
      ?auto_22360
    )
    :vars
    (
      ?auto_22376
      ?auto_22370
      ?auto_22369
      ?auto_22363
      ?auto_22383
      ?auto_22373
      ?auto_22377
      ?auto_22364
      ?auto_22380
      ?auto_22366
      ?auto_22381
      ?auto_22379
      ?auto_22368
      ?auto_22365
      ?auto_22374
      ?auto_22375
      ?auto_22378
      ?auto_22382
      ?auto_22362
      ?auto_22372
      ?auto_22371
      ?auto_22386
      ?auto_22385
    )
    :precondition
    ( and ( OBJ ?auto_22359 ) ( LOCATION ?auto_22360 ) ( TRUCK ?auto_22376 ) ( LOCATION ?auto_22370 ) ( CITY ?auto_22369 ) ( IN-CITY ?auto_22370 ?auto_22369 ) ( IN-CITY ?auto_22360 ?auto_22369 ) ( DIFFERENT ?auto_22360 ?auto_22370 ) ( LOCATION ?auto_22363 ) ( CITY ?auto_22383 ) ( IN-CITY ?auto_22363 ?auto_22383 ) ( IN-CITY ?auto_22370 ?auto_22383 ) ( DIFFERENT ?auto_22370 ?auto_22363 ) ( LOCATION ?auto_22373 ) ( CITY ?auto_22377 ) ( IN-CITY ?auto_22373 ?auto_22377 ) ( IN-CITY ?auto_22363 ?auto_22377 ) ( DIFFERENT ?auto_22363 ?auto_22373 ) ( LOCATION ?auto_22364 ) ( CITY ?auto_22380 ) ( IN-CITY ?auto_22364 ?auto_22380 ) ( IN-CITY ?auto_22373 ?auto_22380 ) ( DIFFERENT ?auto_22373 ?auto_22364 ) ( AIRPLANE ?auto_22366 ) ( AIRPORT ?auto_22381 ) ( AIRPORT ?auto_22364 ) ( DIFFERENT ?auto_22364 ?auto_22381 ) ( LOCATION ?auto_22381 ) ( AIRPORT ?auto_22379 ) ( DIFFERENT ?auto_22381 ?auto_22379 ) ( AIRPORT ?auto_22368 ) ( DIFFERENT ?auto_22379 ?auto_22368 ) ( TRUCK ?auto_22365 ) ( LOCATION ?auto_22374 ) ( CITY ?auto_22375 ) ( IN-CITY ?auto_22374 ?auto_22375 ) ( IN-CITY ?auto_22381 ?auto_22375 ) ( DIFFERENT ?auto_22381 ?auto_22374 ) ( LOCATION ?auto_22378 ) ( CITY ?auto_22382 ) ( IN-CITY ?auto_22378 ?auto_22382 ) ( IN-CITY ?auto_22364 ?auto_22382 ) ( DIFFERENT ?auto_22364 ?auto_22378 ) ( AT ?auto_22359 ?auto_22374 ) ( LOCATION ?auto_22362 ) ( CITY ?auto_22372 ) ( AT ?auto_22365 ?auto_22362 ) ( IN-CITY ?auto_22362 ?auto_22372 ) ( IN-CITY ?auto_22374 ?auto_22372 ) ( DIFFERENT ?auto_22374 ?auto_22362 ) ( AIRPORT ?auto_22371 ) ( AT ?auto_22366 ?auto_22371 ) ( DIFFERENT ?auto_22368 ?auto_22371 ) ( LOCATION ?auto_22386 ) ( CITY ?auto_22385 ) ( AT ?auto_22376 ?auto_22386 ) ( IN-CITY ?auto_22386 ?auto_22385 ) ( IN-CITY ?auto_22378 ?auto_22385 ) ( DIFFERENT ?auto_22378 ?auto_22386 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22376 ?auto_22386 ?auto_22378 ?auto_22385 )
      ( DELIVER-PKG ?auto_22359 ?auto_22360 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22892
      ?auto_22893
    )
    :vars
    (
      ?auto_22898
      ?auto_22899
      ?auto_22900
      ?auto_22895
      ?auto_22903
      ?auto_22896
      ?auto_22897
      ?auto_22902
      ?auto_22901
      ?auto_22907
    )
    :precondition
    ( and ( OBJ ?auto_22892 ) ( LOCATION ?auto_22893 ) ( AIRPLANE ?auto_22898 ) ( AIRPORT ?auto_22899 ) ( AIRPORT ?auto_22893 ) ( DIFFERENT ?auto_22893 ?auto_22899 ) ( LOCATION ?auto_22899 ) ( TRUCK ?auto_22900 ) ( LOCATION ?auto_22895 ) ( CITY ?auto_22903 ) ( IN-CITY ?auto_22895 ?auto_22903 ) ( IN-CITY ?auto_22899 ?auto_22903 ) ( DIFFERENT ?auto_22899 ?auto_22895 ) ( LOCATION ?auto_22896 ) ( CITY ?auto_22897 ) ( IN-CITY ?auto_22896 ?auto_22897 ) ( IN-CITY ?auto_22895 ?auto_22897 ) ( DIFFERENT ?auto_22895 ?auto_22896 ) ( AT ?auto_22892 ?auto_22896 ) ( LOCATION ?auto_22902 ) ( CITY ?auto_22901 ) ( AT ?auto_22900 ?auto_22902 ) ( IN-CITY ?auto_22902 ?auto_22901 ) ( IN-CITY ?auto_22896 ?auto_22901 ) ( DIFFERENT ?auto_22896 ?auto_22902 ) ( AIRPORT ?auto_22907 ) ( AT ?auto_22898 ?auto_22907 ) ( DIFFERENT ?auto_22899 ?auto_22907 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22898 ?auto_22907 ?auto_22899 )
      ( DELIVER-PKG ?auto_22892 ?auto_22893 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23199
      ?auto_23200
    )
    :vars
    (
      ?auto_23205
      ?auto_23216
      ?auto_23203
      ?auto_23206
      ?auto_23211
      ?auto_23214
      ?auto_23209
      ?auto_23202
      ?auto_23212
      ?auto_23208
      ?auto_23207
      ?auto_23210
      ?auto_23204
      ?auto_23218
    )
    :precondition
    ( and ( OBJ ?auto_23199 ) ( LOCATION ?auto_23200 ) ( TRUCK ?auto_23205 ) ( LOCATION ?auto_23216 ) ( CITY ?auto_23203 ) ( AT ?auto_23205 ?auto_23216 ) ( IN-CITY ?auto_23216 ?auto_23203 ) ( IN-CITY ?auto_23200 ?auto_23203 ) ( DIFFERENT ?auto_23200 ?auto_23216 ) ( LOCATION ?auto_23206 ) ( AT ?auto_23205 ?auto_23206 ) ( AIRPLANE ?auto_23211 ) ( AIRPORT ?auto_23214 ) ( AIRPORT ?auto_23206 ) ( DIFFERENT ?auto_23206 ?auto_23214 ) ( LOCATION ?auto_23214 ) ( TRUCK ?auto_23209 ) ( LOCATION ?auto_23202 ) ( CITY ?auto_23212 ) ( IN-CITY ?auto_23202 ?auto_23212 ) ( IN-CITY ?auto_23214 ?auto_23212 ) ( DIFFERENT ?auto_23214 ?auto_23202 ) ( LOCATION ?auto_23208 ) ( CITY ?auto_23207 ) ( IN-CITY ?auto_23208 ?auto_23207 ) ( IN-CITY ?auto_23202 ?auto_23207 ) ( DIFFERENT ?auto_23202 ?auto_23208 ) ( AT ?auto_23199 ?auto_23208 ) ( LOCATION ?auto_23210 ) ( CITY ?auto_23204 ) ( AT ?auto_23209 ?auto_23210 ) ( IN-CITY ?auto_23210 ?auto_23204 ) ( IN-CITY ?auto_23208 ?auto_23204 ) ( DIFFERENT ?auto_23208 ?auto_23210 ) ( AIRPORT ?auto_23218 ) ( AT ?auto_23211 ?auto_23218 ) ( DIFFERENT ?auto_23214 ?auto_23218 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23211 ?auto_23218 ?auto_23214 )
      ( DELIVER-PKG ?auto_23199 ?auto_23200 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23913
      ?auto_23914
    )
    :vars
    (
      ?auto_23918
      ?auto_23923
      ?auto_23921
      ?auto_23917
      ?auto_23922
      ?auto_23920
      ?auto_23919
      ?auto_23924
      ?auto_23926
    )
    :precondition
    ( and ( OBJ ?auto_23913 ) ( LOCATION ?auto_23914 ) ( AIRPLANE ?auto_23918 ) ( AIRPORT ?auto_23923 ) ( AIRPORT ?auto_23914 ) ( DIFFERENT ?auto_23914 ?auto_23923 ) ( LOCATION ?auto_23923 ) ( TRUCK ?auto_23921 ) ( LOCATION ?auto_23917 ) ( CITY ?auto_23922 ) ( IN-CITY ?auto_23917 ?auto_23922 ) ( IN-CITY ?auto_23923 ?auto_23922 ) ( DIFFERENT ?auto_23923 ?auto_23917 ) ( AT ?auto_23913 ?auto_23917 ) ( LOCATION ?auto_23920 ) ( CITY ?auto_23919 ) ( AT ?auto_23921 ?auto_23920 ) ( IN-CITY ?auto_23920 ?auto_23919 ) ( IN-CITY ?auto_23917 ?auto_23919 ) ( DIFFERENT ?auto_23917 ?auto_23920 ) ( AIRPORT ?auto_23924 ) ( DIFFERENT ?auto_23923 ?auto_23924 ) ( AIRPORT ?auto_23926 ) ( AT ?auto_23918 ?auto_23926 ) ( DIFFERENT ?auto_23924 ?auto_23926 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23918 ?auto_23926 ?auto_23924 )
      ( DELIVER-PKG ?auto_23913 ?auto_23914 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24423
      ?auto_24424
    )
    :vars
    (
      ?auto_24433
      ?auto_24430
      ?auto_24432
      ?auto_24428
      ?auto_24436
      ?auto_24434
      ?auto_24429
      ?auto_24431
      ?auto_24438
      ?auto_24437
      ?auto_24427
      ?auto_24439
      ?auto_24435
      ?auto_24441
    )
    :precondition
    ( and ( OBJ ?auto_24423 ) ( LOCATION ?auto_24424 ) ( TRUCK ?auto_24433 ) ( LOCATION ?auto_24430 ) ( CITY ?auto_24432 ) ( IN-CITY ?auto_24430 ?auto_24432 ) ( IN-CITY ?auto_24424 ?auto_24432 ) ( DIFFERENT ?auto_24424 ?auto_24430 ) ( AIRPLANE ?auto_24428 ) ( AIRPORT ?auto_24436 ) ( AIRPORT ?auto_24430 ) ( DIFFERENT ?auto_24430 ?auto_24436 ) ( LOCATION ?auto_24436 ) ( TRUCK ?auto_24434 ) ( LOCATION ?auto_24429 ) ( CITY ?auto_24431 ) ( IN-CITY ?auto_24429 ?auto_24431 ) ( IN-CITY ?auto_24436 ?auto_24431 ) ( DIFFERENT ?auto_24436 ?auto_24429 ) ( AT ?auto_24423 ?auto_24429 ) ( LOCATION ?auto_24438 ) ( CITY ?auto_24437 ) ( AT ?auto_24434 ?auto_24438 ) ( IN-CITY ?auto_24438 ?auto_24437 ) ( IN-CITY ?auto_24429 ?auto_24437 ) ( DIFFERENT ?auto_24429 ?auto_24438 ) ( AIRPORT ?auto_24427 ) ( DIFFERENT ?auto_24436 ?auto_24427 ) ( LOCATION ?auto_24439 ) ( CITY ?auto_24435 ) ( AT ?auto_24433 ?auto_24439 ) ( IN-CITY ?auto_24439 ?auto_24435 ) ( IN-CITY ?auto_24430 ?auto_24435 ) ( DIFFERENT ?auto_24430 ?auto_24439 ) ( AIRPORT ?auto_24441 ) ( AT ?auto_24428 ?auto_24441 ) ( DIFFERENT ?auto_24427 ?auto_24441 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24428 ?auto_24441 ?auto_24427 )
      ( DELIVER-PKG ?auto_24423 ?auto_24424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25029
      ?auto_25030
    )
    :vars
    (
      ?auto_25035
      ?auto_25036
      ?auto_25034
      ?auto_25032
      ?auto_25038
    )
    :precondition
    ( and ( OBJ ?auto_25029 ) ( LOCATION ?auto_25030 ) ( AIRPLANE ?auto_25035 ) ( AIRPORT ?auto_25036 ) ( AIRPORT ?auto_25030 ) ( DIFFERENT ?auto_25030 ?auto_25036 ) ( LOCATION ?auto_25036 ) ( AT ?auto_25029 ?auto_25036 ) ( AIRPORT ?auto_25034 ) ( DIFFERENT ?auto_25036 ?auto_25034 ) ( AIRPORT ?auto_25032 ) ( DIFFERENT ?auto_25034 ?auto_25032 ) ( AIRPORT ?auto_25038 ) ( AT ?auto_25035 ?auto_25038 ) ( DIFFERENT ?auto_25032 ?auto_25038 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25035 ?auto_25038 ?auto_25032 )
      ( DELIVER-PKG ?auto_25029 ?auto_25030 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25040
      ?auto_25041
    )
    :vars
    (
      ?auto_25044
      ?auto_25043
      ?auto_25046
      ?auto_25048
      ?auto_25042
      ?auto_25050
    )
    :precondition
    ( and ( OBJ ?auto_25040 ) ( LOCATION ?auto_25041 ) ( AIRPLANE ?auto_25044 ) ( AIRPORT ?auto_25043 ) ( AIRPORT ?auto_25041 ) ( DIFFERENT ?auto_25041 ?auto_25043 ) ( LOCATION ?auto_25043 ) ( AT ?auto_25040 ?auto_25043 ) ( AIRPORT ?auto_25046 ) ( DIFFERENT ?auto_25043 ?auto_25046 ) ( AIRPORT ?auto_25048 ) ( DIFFERENT ?auto_25046 ?auto_25048 ) ( AIRPORT ?auto_25042 ) ( DIFFERENT ?auto_25048 ?auto_25042 ) ( AIRPORT ?auto_25050 ) ( AT ?auto_25044 ?auto_25050 ) ( DIFFERENT ?auto_25042 ?auto_25050 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25044 ?auto_25050 ?auto_25042 )
      ( DELIVER-PKG ?auto_25040 ?auto_25041 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25159
      ?auto_25160
    )
    :vars
    (
      ?auto_25161
      ?auto_25167
      ?auto_25166
      ?auto_25165
      ?auto_25162
      ?auto_25164
      ?auto_25170
    )
    :precondition
    ( and ( OBJ ?auto_25159 ) ( LOCATION ?auto_25160 ) ( TRUCK ?auto_25161 ) ( LOCATION ?auto_25167 ) ( CITY ?auto_25166 ) ( AT ?auto_25161 ?auto_25167 ) ( IN-CITY ?auto_25167 ?auto_25166 ) ( IN-CITY ?auto_25160 ?auto_25166 ) ( DIFFERENT ?auto_25160 ?auto_25167 ) ( LOCATION ?auto_25165 ) ( AT ?auto_25161 ?auto_25165 ) ( AIRPLANE ?auto_25162 ) ( IN ?auto_25159 ?auto_25162 ) ( AIRPORT ?auto_25164 ) ( AIRPORT ?auto_25165 ) ( DIFFERENT ?auto_25165 ?auto_25164 ) ( AIRPORT ?auto_25170 ) ( AT ?auto_25162 ?auto_25170 ) ( DIFFERENT ?auto_25164 ?auto_25170 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25162 ?auto_25170 ?auto_25164 )
      ( DELIVER-PKG ?auto_25159 ?auto_25160 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25172
      ?auto_25173
    )
    :vars
    (
      ?auto_25178
      ?auto_25181
      ?auto_25175
      ?auto_25177
      ?auto_25182
      ?auto_25180
      ?auto_25176
      ?auto_25184
    )
    :precondition
    ( and ( OBJ ?auto_25172 ) ( LOCATION ?auto_25173 ) ( TRUCK ?auto_25178 ) ( LOCATION ?auto_25181 ) ( CITY ?auto_25175 ) ( AT ?auto_25178 ?auto_25181 ) ( IN-CITY ?auto_25181 ?auto_25175 ) ( IN-CITY ?auto_25173 ?auto_25175 ) ( DIFFERENT ?auto_25173 ?auto_25181 ) ( LOCATION ?auto_25177 ) ( AT ?auto_25178 ?auto_25177 ) ( AIRPLANE ?auto_25182 ) ( IN ?auto_25172 ?auto_25182 ) ( AIRPORT ?auto_25180 ) ( AIRPORT ?auto_25177 ) ( DIFFERENT ?auto_25177 ?auto_25180 ) ( AIRPORT ?auto_25176 ) ( DIFFERENT ?auto_25180 ?auto_25176 ) ( AIRPORT ?auto_25184 ) ( AT ?auto_25182 ?auto_25184 ) ( DIFFERENT ?auto_25176 ?auto_25184 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25182 ?auto_25184 ?auto_25176 )
      ( DELIVER-PKG ?auto_25172 ?auto_25173 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25186
      ?auto_25187
    )
    :vars
    (
      ?auto_25192
      ?auto_25190
      ?auto_25193
      ?auto_25196
      ?auto_25195
      ?auto_25197
      ?auto_25194
      ?auto_25191
      ?auto_25199
    )
    :precondition
    ( and ( OBJ ?auto_25186 ) ( LOCATION ?auto_25187 ) ( TRUCK ?auto_25192 ) ( LOCATION ?auto_25190 ) ( CITY ?auto_25193 ) ( AT ?auto_25192 ?auto_25190 ) ( IN-CITY ?auto_25190 ?auto_25193 ) ( IN-CITY ?auto_25187 ?auto_25193 ) ( DIFFERENT ?auto_25187 ?auto_25190 ) ( LOCATION ?auto_25196 ) ( AT ?auto_25192 ?auto_25196 ) ( AIRPLANE ?auto_25195 ) ( IN ?auto_25186 ?auto_25195 ) ( AIRPORT ?auto_25197 ) ( AIRPORT ?auto_25196 ) ( DIFFERENT ?auto_25196 ?auto_25197 ) ( AIRPORT ?auto_25194 ) ( DIFFERENT ?auto_25197 ?auto_25194 ) ( AIRPORT ?auto_25191 ) ( DIFFERENT ?auto_25194 ?auto_25191 ) ( AIRPORT ?auto_25199 ) ( AT ?auto_25195 ?auto_25199 ) ( DIFFERENT ?auto_25191 ?auto_25199 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25195 ?auto_25199 ?auto_25191 )
      ( DELIVER-PKG ?auto_25186 ?auto_25187 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25214
      ?auto_25215
    )
    :vars
    (
      ?auto_25220
      ?auto_25225
      ?auto_25221
      ?auto_25224
      ?auto_25216
      ?auto_25218
      ?auto_25217
      ?auto_25226
      ?auto_25223
      ?auto_25228
    )
    :precondition
    ( and ( OBJ ?auto_25214 ) ( LOCATION ?auto_25215 ) ( TRUCK ?auto_25220 ) ( LOCATION ?auto_25225 ) ( CITY ?auto_25221 ) ( AT ?auto_25220 ?auto_25225 ) ( IN-CITY ?auto_25225 ?auto_25221 ) ( IN-CITY ?auto_25215 ?auto_25221 ) ( DIFFERENT ?auto_25215 ?auto_25225 ) ( LOCATION ?auto_25224 ) ( AT ?auto_25220 ?auto_25224 ) ( AIRPLANE ?auto_25216 ) ( AIRPORT ?auto_25218 ) ( AIRPORT ?auto_25224 ) ( DIFFERENT ?auto_25224 ?auto_25218 ) ( AIRPORT ?auto_25217 ) ( DIFFERENT ?auto_25218 ?auto_25217 ) ( AIRPORT ?auto_25226 ) ( DIFFERENT ?auto_25217 ?auto_25226 ) ( AIRPORT ?auto_25223 ) ( AT ?auto_25216 ?auto_25223 ) ( DIFFERENT ?auto_25226 ?auto_25223 ) ( LOCATION ?auto_25228 ) ( AT ?auto_25214 ?auto_25228 ) ( AT ?auto_25216 ?auto_25228 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25214 ?auto_25216 ?auto_25228 )
      ( DELIVER-PKG ?auto_25214 ?auto_25215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25230
      ?auto_25231
    )
    :vars
    (
      ?auto_25232
      ?auto_25236
      ?auto_25233
      ?auto_25239
      ?auto_25237
      ?auto_25241
      ?auto_25238
      ?auto_25235
      ?auto_25243
      ?auto_25246
      ?auto_25245
    )
    :precondition
    ( and ( OBJ ?auto_25230 ) ( LOCATION ?auto_25231 ) ( TRUCK ?auto_25232 ) ( LOCATION ?auto_25236 ) ( CITY ?auto_25233 ) ( IN-CITY ?auto_25236 ?auto_25233 ) ( IN-CITY ?auto_25231 ?auto_25233 ) ( DIFFERENT ?auto_25231 ?auto_25236 ) ( AIRPLANE ?auto_25239 ) ( AIRPORT ?auto_25237 ) ( AIRPORT ?auto_25236 ) ( DIFFERENT ?auto_25236 ?auto_25237 ) ( AIRPORT ?auto_25241 ) ( DIFFERENT ?auto_25237 ?auto_25241 ) ( AIRPORT ?auto_25238 ) ( DIFFERENT ?auto_25241 ?auto_25238 ) ( AIRPORT ?auto_25235 ) ( AT ?auto_25239 ?auto_25235 ) ( DIFFERENT ?auto_25238 ?auto_25235 ) ( LOCATION ?auto_25243 ) ( AT ?auto_25230 ?auto_25243 ) ( AT ?auto_25239 ?auto_25243 ) ( LOCATION ?auto_25246 ) ( CITY ?auto_25245 ) ( AT ?auto_25232 ?auto_25246 ) ( IN-CITY ?auto_25246 ?auto_25245 ) ( IN-CITY ?auto_25236 ?auto_25245 ) ( DIFFERENT ?auto_25236 ?auto_25246 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25232 ?auto_25246 ?auto_25236 ?auto_25245 )
      ( DELIVER-PKG ?auto_25230 ?auto_25231 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25760
      ?auto_25761
    )
    :vars
    (
      ?auto_25764
      ?auto_25765
      ?auto_25766
      ?auto_25768
      ?auto_25770
    )
    :precondition
    ( and ( OBJ ?auto_25760 ) ( LOCATION ?auto_25761 ) ( AIRPLANE ?auto_25764 ) ( AIRPORT ?auto_25765 ) ( AIRPORT ?auto_25761 ) ( DIFFERENT ?auto_25761 ?auto_25765 ) ( AIRPORT ?auto_25766 ) ( DIFFERENT ?auto_25765 ?auto_25766 ) ( AIRPORT ?auto_25768 ) ( DIFFERENT ?auto_25766 ?auto_25768 ) ( LOCATION ?auto_25768 ) ( AT ?auto_25760 ?auto_25768 ) ( AIRPORT ?auto_25770 ) ( AT ?auto_25764 ?auto_25770 ) ( DIFFERENT ?auto_25768 ?auto_25770 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25764 ?auto_25770 ?auto_25768 )
      ( DELIVER-PKG ?auto_25760 ?auto_25761 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25772
      ?auto_25773
    )
    :vars
    (
      ?auto_25774
      ?auto_25775
      ?auto_25776
      ?auto_25778
      ?auto_25779
      ?auto_25782
    )
    :precondition
    ( and ( OBJ ?auto_25772 ) ( LOCATION ?auto_25773 ) ( AIRPLANE ?auto_25774 ) ( AIRPORT ?auto_25775 ) ( AIRPORT ?auto_25773 ) ( DIFFERENT ?auto_25773 ?auto_25775 ) ( AIRPORT ?auto_25776 ) ( DIFFERENT ?auto_25775 ?auto_25776 ) ( AIRPORT ?auto_25778 ) ( DIFFERENT ?auto_25776 ?auto_25778 ) ( LOCATION ?auto_25778 ) ( AT ?auto_25772 ?auto_25778 ) ( AIRPORT ?auto_25779 ) ( DIFFERENT ?auto_25778 ?auto_25779 ) ( AIRPORT ?auto_25782 ) ( AT ?auto_25774 ?auto_25782 ) ( DIFFERENT ?auto_25779 ?auto_25782 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25774 ?auto_25782 ?auto_25779 )
      ( DELIVER-PKG ?auto_25772 ?auto_25773 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25784
      ?auto_25785
    )
    :vars
    (
      ?auto_25791
      ?auto_25792
      ?auto_25793
      ?auto_25787
      ?auto_25790
      ?auto_25789
      ?auto_25795
    )
    :precondition
    ( and ( OBJ ?auto_25784 ) ( LOCATION ?auto_25785 ) ( AIRPLANE ?auto_25791 ) ( AIRPORT ?auto_25792 ) ( AIRPORT ?auto_25785 ) ( DIFFERENT ?auto_25785 ?auto_25792 ) ( AIRPORT ?auto_25793 ) ( DIFFERENT ?auto_25792 ?auto_25793 ) ( AIRPORT ?auto_25787 ) ( DIFFERENT ?auto_25793 ?auto_25787 ) ( LOCATION ?auto_25787 ) ( AT ?auto_25784 ?auto_25787 ) ( AIRPORT ?auto_25790 ) ( DIFFERENT ?auto_25787 ?auto_25790 ) ( AIRPORT ?auto_25789 ) ( DIFFERENT ?auto_25790 ?auto_25789 ) ( AIRPORT ?auto_25795 ) ( AT ?auto_25791 ?auto_25795 ) ( DIFFERENT ?auto_25789 ?auto_25795 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25791 ?auto_25795 ?auto_25789 )
      ( DELIVER-PKG ?auto_25784 ?auto_25785 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25797
      ?auto_25798
    )
    :vars
    (
      ?auto_25807
      ?auto_25802
      ?auto_25800
      ?auto_25805
      ?auto_25806
      ?auto_25804
      ?auto_25803
      ?auto_25809
    )
    :precondition
    ( and ( OBJ ?auto_25797 ) ( LOCATION ?auto_25798 ) ( AIRPLANE ?auto_25807 ) ( AIRPORT ?auto_25802 ) ( AIRPORT ?auto_25798 ) ( DIFFERENT ?auto_25798 ?auto_25802 ) ( AIRPORT ?auto_25800 ) ( DIFFERENT ?auto_25802 ?auto_25800 ) ( AIRPORT ?auto_25805 ) ( DIFFERENT ?auto_25800 ?auto_25805 ) ( LOCATION ?auto_25805 ) ( AT ?auto_25797 ?auto_25805 ) ( AIRPORT ?auto_25806 ) ( DIFFERENT ?auto_25805 ?auto_25806 ) ( AIRPORT ?auto_25804 ) ( DIFFERENT ?auto_25806 ?auto_25804 ) ( AIRPORT ?auto_25803 ) ( DIFFERENT ?auto_25804 ?auto_25803 ) ( AIRPORT ?auto_25809 ) ( AT ?auto_25807 ?auto_25809 ) ( DIFFERENT ?auto_25803 ?auto_25809 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25807 ?auto_25809 ?auto_25803 )
      ( DELIVER-PKG ?auto_25797 ?auto_25798 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26114
      ?auto_26115
    )
    :vars
    (
      ?auto_26119
      ?auto_26124
      ?auto_26116
      ?auto_26121
      ?auto_26122
      ?auto_26123
      ?auto_26120
      ?auto_26125
      ?auto_26127
    )
    :precondition
    ( and ( OBJ ?auto_26114 ) ( LOCATION ?auto_26115 ) ( TRUCK ?auto_26119 ) ( LOCATION ?auto_26124 ) ( CITY ?auto_26116 ) ( AT ?auto_26119 ?auto_26124 ) ( IN-CITY ?auto_26124 ?auto_26116 ) ( IN-CITY ?auto_26115 ?auto_26116 ) ( DIFFERENT ?auto_26115 ?auto_26124 ) ( LOCATION ?auto_26121 ) ( AT ?auto_26119 ?auto_26121 ) ( AIRPLANE ?auto_26122 ) ( AIRPORT ?auto_26123 ) ( AIRPORT ?auto_26121 ) ( DIFFERENT ?auto_26121 ?auto_26123 ) ( AIRPORT ?auto_26120 ) ( DIFFERENT ?auto_26123 ?auto_26120 ) ( AIRPORT ?auto_26125 ) ( AT ?auto_26122 ?auto_26125 ) ( DIFFERENT ?auto_26120 ?auto_26125 ) ( LOCATION ?auto_26127 ) ( AT ?auto_26114 ?auto_26127 ) ( AT ?auto_26122 ?auto_26127 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_26114 ?auto_26122 ?auto_26127 )
      ( DELIVER-PKG ?auto_26114 ?auto_26115 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26142
      ?auto_26143
    )
    :vars
    (
      ?auto_26147
      ?auto_26152
      ?auto_26146
      ?auto_26149
      ?auto_26150
      ?auto_26151
      ?auto_26148
      ?auto_26154
      ?auto_26156
    )
    :precondition
    ( and ( OBJ ?auto_26142 ) ( LOCATION ?auto_26143 ) ( TRUCK ?auto_26147 ) ( LOCATION ?auto_26152 ) ( CITY ?auto_26146 ) ( AT ?auto_26147 ?auto_26152 ) ( IN-CITY ?auto_26152 ?auto_26146 ) ( IN-CITY ?auto_26143 ?auto_26146 ) ( DIFFERENT ?auto_26143 ?auto_26152 ) ( LOCATION ?auto_26149 ) ( AT ?auto_26147 ?auto_26149 ) ( AIRPLANE ?auto_26150 ) ( AIRPORT ?auto_26151 ) ( AIRPORT ?auto_26149 ) ( DIFFERENT ?auto_26149 ?auto_26151 ) ( AIRPORT ?auto_26148 ) ( DIFFERENT ?auto_26151 ?auto_26148 ) ( AIRPORT ?auto_26154 ) ( DIFFERENT ?auto_26148 ?auto_26154 ) ( LOCATION ?auto_26154 ) ( AT ?auto_26142 ?auto_26154 ) ( AIRPORT ?auto_26156 ) ( AT ?auto_26150 ?auto_26156 ) ( DIFFERENT ?auto_26154 ?auto_26156 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26150 ?auto_26156 ?auto_26154 )
      ( DELIVER-PKG ?auto_26142 ?auto_26143 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26158
      ?auto_26159
    )
    :vars
    (
      ?auto_26163
      ?auto_26168
      ?auto_26162
      ?auto_26165
      ?auto_26166
      ?auto_26167
      ?auto_26164
      ?auto_26169
      ?auto_26170
      ?auto_26172
    )
    :precondition
    ( and ( OBJ ?auto_26158 ) ( LOCATION ?auto_26159 ) ( TRUCK ?auto_26163 ) ( LOCATION ?auto_26168 ) ( CITY ?auto_26162 ) ( AT ?auto_26163 ?auto_26168 ) ( IN-CITY ?auto_26168 ?auto_26162 ) ( IN-CITY ?auto_26159 ?auto_26162 ) ( DIFFERENT ?auto_26159 ?auto_26168 ) ( LOCATION ?auto_26165 ) ( AT ?auto_26163 ?auto_26165 ) ( AIRPLANE ?auto_26166 ) ( AIRPORT ?auto_26167 ) ( AIRPORT ?auto_26165 ) ( DIFFERENT ?auto_26165 ?auto_26167 ) ( AIRPORT ?auto_26164 ) ( DIFFERENT ?auto_26167 ?auto_26164 ) ( AIRPORT ?auto_26169 ) ( DIFFERENT ?auto_26164 ?auto_26169 ) ( LOCATION ?auto_26169 ) ( AT ?auto_26158 ?auto_26169 ) ( AIRPORT ?auto_26170 ) ( DIFFERENT ?auto_26169 ?auto_26170 ) ( AIRPORT ?auto_26172 ) ( AT ?auto_26166 ?auto_26172 ) ( DIFFERENT ?auto_26170 ?auto_26172 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26166 ?auto_26172 ?auto_26170 )
      ( DELIVER-PKG ?auto_26158 ?auto_26159 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26174
      ?auto_26175
    )
    :vars
    (
      ?auto_26186
      ?auto_26180
      ?auto_26187
      ?auto_26177
      ?auto_26179
      ?auto_26185
      ?auto_26176
      ?auto_26181
      ?auto_26182
      ?auto_26178
      ?auto_26189
    )
    :precondition
    ( and ( OBJ ?auto_26174 ) ( LOCATION ?auto_26175 ) ( TRUCK ?auto_26186 ) ( LOCATION ?auto_26180 ) ( CITY ?auto_26187 ) ( AT ?auto_26186 ?auto_26180 ) ( IN-CITY ?auto_26180 ?auto_26187 ) ( IN-CITY ?auto_26175 ?auto_26187 ) ( DIFFERENT ?auto_26175 ?auto_26180 ) ( LOCATION ?auto_26177 ) ( AT ?auto_26186 ?auto_26177 ) ( AIRPLANE ?auto_26179 ) ( AIRPORT ?auto_26185 ) ( AIRPORT ?auto_26177 ) ( DIFFERENT ?auto_26177 ?auto_26185 ) ( AIRPORT ?auto_26176 ) ( DIFFERENT ?auto_26185 ?auto_26176 ) ( AIRPORT ?auto_26181 ) ( DIFFERENT ?auto_26176 ?auto_26181 ) ( LOCATION ?auto_26181 ) ( AT ?auto_26174 ?auto_26181 ) ( AIRPORT ?auto_26182 ) ( DIFFERENT ?auto_26181 ?auto_26182 ) ( AIRPORT ?auto_26178 ) ( DIFFERENT ?auto_26182 ?auto_26178 ) ( AIRPORT ?auto_26189 ) ( AT ?auto_26179 ?auto_26189 ) ( DIFFERENT ?auto_26178 ?auto_26189 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26179 ?auto_26189 ?auto_26178 )
      ( DELIVER-PKG ?auto_26174 ?auto_26175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26191
      ?auto_26192
    )
    :vars
    (
      ?auto_26195
      ?auto_26197
      ?auto_26201
      ?auto_26202
      ?auto_26204
      ?auto_26194
      ?auto_26193
      ?auto_26205
      ?auto_26198
      ?auto_26203
      ?auto_26196
      ?auto_26207
    )
    :precondition
    ( and ( OBJ ?auto_26191 ) ( LOCATION ?auto_26192 ) ( TRUCK ?auto_26195 ) ( LOCATION ?auto_26197 ) ( CITY ?auto_26201 ) ( AT ?auto_26195 ?auto_26197 ) ( IN-CITY ?auto_26197 ?auto_26201 ) ( IN-CITY ?auto_26192 ?auto_26201 ) ( DIFFERENT ?auto_26192 ?auto_26197 ) ( LOCATION ?auto_26202 ) ( AT ?auto_26195 ?auto_26202 ) ( AIRPLANE ?auto_26204 ) ( AIRPORT ?auto_26194 ) ( AIRPORT ?auto_26202 ) ( DIFFERENT ?auto_26202 ?auto_26194 ) ( AIRPORT ?auto_26193 ) ( DIFFERENT ?auto_26194 ?auto_26193 ) ( AIRPORT ?auto_26205 ) ( DIFFERENT ?auto_26193 ?auto_26205 ) ( LOCATION ?auto_26205 ) ( AT ?auto_26191 ?auto_26205 ) ( AIRPORT ?auto_26198 ) ( DIFFERENT ?auto_26205 ?auto_26198 ) ( AIRPORT ?auto_26203 ) ( DIFFERENT ?auto_26198 ?auto_26203 ) ( AIRPORT ?auto_26196 ) ( DIFFERENT ?auto_26203 ?auto_26196 ) ( AIRPORT ?auto_26207 ) ( AT ?auto_26204 ?auto_26207 ) ( DIFFERENT ?auto_26196 ?auto_26207 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26204 ?auto_26207 ?auto_26196 )
      ( DELIVER-PKG ?auto_26191 ?auto_26192 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26209
      ?auto_26210
    )
    :vars
    (
      ?auto_26223
      ?auto_26220
      ?auto_26214
      ?auto_26215
      ?auto_26218
      ?auto_26213
      ?auto_26216
      ?auto_26212
      ?auto_26221
      ?auto_26222
      ?auto_26219
      ?auto_26227
      ?auto_26226
    )
    :precondition
    ( and ( OBJ ?auto_26209 ) ( LOCATION ?auto_26210 ) ( TRUCK ?auto_26223 ) ( LOCATION ?auto_26220 ) ( CITY ?auto_26214 ) ( IN-CITY ?auto_26220 ?auto_26214 ) ( IN-CITY ?auto_26210 ?auto_26214 ) ( DIFFERENT ?auto_26210 ?auto_26220 ) ( AIRPLANE ?auto_26215 ) ( AIRPORT ?auto_26218 ) ( AIRPORT ?auto_26220 ) ( DIFFERENT ?auto_26220 ?auto_26218 ) ( AIRPORT ?auto_26213 ) ( DIFFERENT ?auto_26218 ?auto_26213 ) ( AIRPORT ?auto_26216 ) ( DIFFERENT ?auto_26213 ?auto_26216 ) ( LOCATION ?auto_26216 ) ( AT ?auto_26209 ?auto_26216 ) ( AIRPORT ?auto_26212 ) ( DIFFERENT ?auto_26216 ?auto_26212 ) ( AIRPORT ?auto_26221 ) ( DIFFERENT ?auto_26212 ?auto_26221 ) ( AIRPORT ?auto_26222 ) ( DIFFERENT ?auto_26221 ?auto_26222 ) ( AIRPORT ?auto_26219 ) ( AT ?auto_26215 ?auto_26219 ) ( DIFFERENT ?auto_26222 ?auto_26219 ) ( LOCATION ?auto_26227 ) ( CITY ?auto_26226 ) ( AT ?auto_26223 ?auto_26227 ) ( IN-CITY ?auto_26227 ?auto_26226 ) ( IN-CITY ?auto_26220 ?auto_26226 ) ( DIFFERENT ?auto_26220 ?auto_26227 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26223 ?auto_26227 ?auto_26220 ?auto_26226 )
      ( DELIVER-PKG ?auto_26209 ?auto_26210 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27048
      ?auto_27049
    )
    :vars
    (
      ?auto_27056
      ?auto_27051
      ?auto_27055
      ?auto_27053
      ?auto_27054
      ?auto_27057
    )
    :precondition
    ( and ( OBJ ?auto_27048 ) ( LOCATION ?auto_27049 ) ( TRUCK ?auto_27056 ) ( AT ?auto_27056 ?auto_27049 ) ( LOCATION ?auto_27051 ) ( AT ?auto_27056 ?auto_27051 ) ( AIRPLANE ?auto_27055 ) ( AIRPORT ?auto_27053 ) ( AIRPORT ?auto_27051 ) ( AT ?auto_27055 ?auto_27053 ) ( DIFFERENT ?auto_27051 ?auto_27053 ) ( LOCATION ?auto_27054 ) ( AT ?auto_27055 ?auto_27054 ) ( TRUCK ?auto_27057 ) ( AT ?auto_27057 ?auto_27054 ) ( IN ?auto_27048 ?auto_27057 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_27048 ?auto_27054 )
      ( DELIVER-PKG ?auto_27048 ?auto_27049 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27070
      ?auto_27071
    )
    :vars
    (
      ?auto_27079
      ?auto_27076
      ?auto_27073
      ?auto_27075
      ?auto_27072
      ?auto_27074
      ?auto_27082
      ?auto_27081
    )
    :precondition
    ( and ( OBJ ?auto_27070 ) ( LOCATION ?auto_27071 ) ( TRUCK ?auto_27079 ) ( AT ?auto_27079 ?auto_27071 ) ( LOCATION ?auto_27076 ) ( AT ?auto_27079 ?auto_27076 ) ( AIRPLANE ?auto_27073 ) ( AIRPORT ?auto_27075 ) ( AIRPORT ?auto_27076 ) ( AT ?auto_27073 ?auto_27075 ) ( DIFFERENT ?auto_27076 ?auto_27075 ) ( LOCATION ?auto_27072 ) ( AT ?auto_27073 ?auto_27072 ) ( TRUCK ?auto_27074 ) ( IN ?auto_27070 ?auto_27074 ) ( LOCATION ?auto_27082 ) ( CITY ?auto_27081 ) ( AT ?auto_27074 ?auto_27082 ) ( IN-CITY ?auto_27082 ?auto_27081 ) ( IN-CITY ?auto_27072 ?auto_27081 ) ( DIFFERENT ?auto_27072 ?auto_27082 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27074 ?auto_27082 ?auto_27072 ?auto_27081 )
      ( DELIVER-PKG ?auto_27070 ?auto_27071 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27108
      ?auto_27109
    )
    :vars
    (
      ?auto_27115
      ?auto_27114
      ?auto_27111
      ?auto_27113
      ?auto_27112
      ?auto_27110
      ?auto_27119
      ?auto_27118
      ?auto_27121
    )
    :precondition
    ( and ( OBJ ?auto_27108 ) ( LOCATION ?auto_27109 ) ( TRUCK ?auto_27115 ) ( AT ?auto_27115 ?auto_27109 ) ( LOCATION ?auto_27114 ) ( AT ?auto_27115 ?auto_27114 ) ( AIRPLANE ?auto_27111 ) ( AIRPORT ?auto_27113 ) ( AIRPORT ?auto_27114 ) ( AT ?auto_27111 ?auto_27113 ) ( DIFFERENT ?auto_27114 ?auto_27113 ) ( LOCATION ?auto_27112 ) ( AT ?auto_27111 ?auto_27112 ) ( TRUCK ?auto_27110 ) ( LOCATION ?auto_27119 ) ( CITY ?auto_27118 ) ( AT ?auto_27110 ?auto_27119 ) ( IN-CITY ?auto_27119 ?auto_27118 ) ( IN-CITY ?auto_27112 ?auto_27118 ) ( DIFFERENT ?auto_27112 ?auto_27119 ) ( LOCATION ?auto_27121 ) ( AT ?auto_27110 ?auto_27121 ) ( AT ?auto_27108 ?auto_27121 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27108 ?auto_27110 ?auto_27121 )
      ( DELIVER-PKG ?auto_27108 ?auto_27109 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27149
      ?auto_27150
    )
    :vars
    (
      ?auto_27157
      ?auto_27156
      ?auto_27158
      ?auto_27153
      ?auto_27154
      ?auto_27160
      ?auto_27159
      ?auto_27161
      ?auto_27163
    )
    :precondition
    ( and ( OBJ ?auto_27149 ) ( LOCATION ?auto_27150 ) ( TRUCK ?auto_27157 ) ( AT ?auto_27157 ?auto_27150 ) ( LOCATION ?auto_27156 ) ( AT ?auto_27157 ?auto_27156 ) ( AIRPLANE ?auto_27158 ) ( AIRPORT ?auto_27153 ) ( AIRPORT ?auto_27156 ) ( DIFFERENT ?auto_27156 ?auto_27153 ) ( LOCATION ?auto_27153 ) ( TRUCK ?auto_27154 ) ( LOCATION ?auto_27160 ) ( CITY ?auto_27159 ) ( AT ?auto_27154 ?auto_27160 ) ( IN-CITY ?auto_27160 ?auto_27159 ) ( IN-CITY ?auto_27153 ?auto_27159 ) ( DIFFERENT ?auto_27153 ?auto_27160 ) ( LOCATION ?auto_27161 ) ( AT ?auto_27154 ?auto_27161 ) ( AT ?auto_27149 ?auto_27161 ) ( AIRPORT ?auto_27163 ) ( AT ?auto_27158 ?auto_27163 ) ( DIFFERENT ?auto_27153 ?auto_27163 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_27158 ?auto_27163 ?auto_27153 )
      ( DELIVER-PKG ?auto_27149 ?auto_27150 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27165
      ?auto_27166
    )
    :vars
    (
      ?auto_27169
      ?auto_27168
      ?auto_27170
      ?auto_27173
      ?auto_27174
      ?auto_27176
      ?auto_27171
      ?auto_27177
      ?auto_27180
      ?auto_27179
    )
    :precondition
    ( and ( OBJ ?auto_27165 ) ( LOCATION ?auto_27166 ) ( TRUCK ?auto_27169 ) ( AT ?auto_27169 ?auto_27166 ) ( LOCATION ?auto_27168 ) ( AT ?auto_27169 ?auto_27168 ) ( AIRPLANE ?auto_27170 ) ( AIRPORT ?auto_27173 ) ( AIRPORT ?auto_27168 ) ( DIFFERENT ?auto_27168 ?auto_27173 ) ( LOCATION ?auto_27173 ) ( TRUCK ?auto_27174 ) ( LOCATION ?auto_27176 ) ( CITY ?auto_27171 ) ( IN-CITY ?auto_27176 ?auto_27171 ) ( IN-CITY ?auto_27173 ?auto_27171 ) ( DIFFERENT ?auto_27173 ?auto_27176 ) ( AT ?auto_27165 ?auto_27176 ) ( AIRPORT ?auto_27177 ) ( AT ?auto_27170 ?auto_27177 ) ( DIFFERENT ?auto_27173 ?auto_27177 ) ( LOCATION ?auto_27180 ) ( CITY ?auto_27179 ) ( AT ?auto_27174 ?auto_27180 ) ( IN-CITY ?auto_27180 ?auto_27179 ) ( IN-CITY ?auto_27176 ?auto_27179 ) ( DIFFERENT ?auto_27176 ?auto_27180 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27174 ?auto_27180 ?auto_27176 ?auto_27179 )
      ( DELIVER-PKG ?auto_27165 ?auto_27166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27835
      ?auto_27836
    )
    :vars
    (
      ?auto_27846
      ?auto_27844
      ?auto_27840
      ?auto_27842
      ?auto_27845
      ?auto_27839
      ?auto_27837
      ?auto_27843
      ?auto_27848
    )
    :precondition
    ( and ( OBJ ?auto_27835 ) ( LOCATION ?auto_27836 ) ( TRUCK ?auto_27846 ) ( LOCATION ?auto_27844 ) ( CITY ?auto_27840 ) ( AT ?auto_27846 ?auto_27844 ) ( IN-CITY ?auto_27844 ?auto_27840 ) ( IN-CITY ?auto_27836 ?auto_27840 ) ( DIFFERENT ?auto_27836 ?auto_27844 ) ( LOCATION ?auto_27842 ) ( AT ?auto_27846 ?auto_27842 ) ( TRUCK ?auto_27845 ) ( AT ?auto_27845 ?auto_27842 ) ( LOCATION ?auto_27839 ) ( AT ?auto_27845 ?auto_27839 ) ( AIRPLANE ?auto_27837 ) ( AIRPORT ?auto_27843 ) ( AIRPORT ?auto_27839 ) ( AT ?auto_27837 ?auto_27843 ) ( DIFFERENT ?auto_27839 ?auto_27843 ) ( LOCATION ?auto_27848 ) ( AT ?auto_27835 ?auto_27848 ) ( AT ?auto_27837 ?auto_27848 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_27835 ?auto_27837 ?auto_27848 )
      ( DELIVER-PKG ?auto_27835 ?auto_27836 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27863
      ?auto_27864
    )
    :vars
    (
      ?auto_27866
      ?auto_27872
      ?auto_27874
      ?auto_27875
      ?auto_27865
      ?auto_27873
      ?auto_27870
      ?auto_27868
      ?auto_27871
      ?auto_27876
    )
    :precondition
    ( and ( OBJ ?auto_27863 ) ( LOCATION ?auto_27864 ) ( TRUCK ?auto_27866 ) ( LOCATION ?auto_27872 ) ( CITY ?auto_27874 ) ( AT ?auto_27866 ?auto_27872 ) ( IN-CITY ?auto_27872 ?auto_27874 ) ( IN-CITY ?auto_27864 ?auto_27874 ) ( DIFFERENT ?auto_27864 ?auto_27872 ) ( LOCATION ?auto_27875 ) ( AT ?auto_27866 ?auto_27875 ) ( TRUCK ?auto_27865 ) ( AT ?auto_27865 ?auto_27875 ) ( LOCATION ?auto_27873 ) ( AT ?auto_27865 ?auto_27873 ) ( AIRPLANE ?auto_27870 ) ( AIRPORT ?auto_27868 ) ( AIRPORT ?auto_27873 ) ( AT ?auto_27870 ?auto_27868 ) ( DIFFERENT ?auto_27873 ?auto_27868 ) ( LOCATION ?auto_27871 ) ( AT ?auto_27870 ?auto_27871 ) ( TRUCK ?auto_27876 ) ( AT ?auto_27876 ?auto_27871 ) ( IN ?auto_27863 ?auto_27876 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_27863 ?auto_27871 )
      ( DELIVER-PKG ?auto_27863 ?auto_27864 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27893
      ?auto_27894
    )
    :vars
    (
      ?auto_27896
      ?auto_27898
      ?auto_27900
      ?auto_27901
      ?auto_27906
      ?auto_27899
      ?auto_27903
      ?auto_27895
      ?auto_27897
      ?auto_27905
      ?auto_27909
      ?auto_27908
    )
    :precondition
    ( and ( OBJ ?auto_27893 ) ( LOCATION ?auto_27894 ) ( TRUCK ?auto_27896 ) ( LOCATION ?auto_27898 ) ( CITY ?auto_27900 ) ( AT ?auto_27896 ?auto_27898 ) ( IN-CITY ?auto_27898 ?auto_27900 ) ( IN-CITY ?auto_27894 ?auto_27900 ) ( DIFFERENT ?auto_27894 ?auto_27898 ) ( LOCATION ?auto_27901 ) ( AT ?auto_27896 ?auto_27901 ) ( TRUCK ?auto_27906 ) ( AT ?auto_27906 ?auto_27901 ) ( LOCATION ?auto_27899 ) ( AT ?auto_27906 ?auto_27899 ) ( AIRPLANE ?auto_27903 ) ( AIRPORT ?auto_27895 ) ( AIRPORT ?auto_27899 ) ( AT ?auto_27903 ?auto_27895 ) ( DIFFERENT ?auto_27899 ?auto_27895 ) ( LOCATION ?auto_27897 ) ( AT ?auto_27903 ?auto_27897 ) ( TRUCK ?auto_27905 ) ( IN ?auto_27893 ?auto_27905 ) ( LOCATION ?auto_27909 ) ( CITY ?auto_27908 ) ( AT ?auto_27905 ?auto_27909 ) ( IN-CITY ?auto_27909 ?auto_27908 ) ( IN-CITY ?auto_27897 ?auto_27908 ) ( DIFFERENT ?auto_27897 ?auto_27909 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27905 ?auto_27909 ?auto_27897 ?auto_27908 )
      ( DELIVER-PKG ?auto_27893 ?auto_27894 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27943
      ?auto_27944
    )
    :vars
    (
      ?auto_27946
      ?auto_27947
      ?auto_27949
      ?auto_27950
      ?auto_27954
      ?auto_27948
      ?auto_27952
      ?auto_27955
      ?auto_27951
      ?auto_27953
      ?auto_27958
      ?auto_27957
      ?auto_27960
    )
    :precondition
    ( and ( OBJ ?auto_27943 ) ( LOCATION ?auto_27944 ) ( TRUCK ?auto_27946 ) ( LOCATION ?auto_27947 ) ( CITY ?auto_27949 ) ( AT ?auto_27946 ?auto_27947 ) ( IN-CITY ?auto_27947 ?auto_27949 ) ( IN-CITY ?auto_27944 ?auto_27949 ) ( DIFFERENT ?auto_27944 ?auto_27947 ) ( LOCATION ?auto_27950 ) ( AT ?auto_27946 ?auto_27950 ) ( TRUCK ?auto_27954 ) ( AT ?auto_27954 ?auto_27950 ) ( LOCATION ?auto_27948 ) ( AT ?auto_27954 ?auto_27948 ) ( AIRPLANE ?auto_27952 ) ( AIRPORT ?auto_27955 ) ( AIRPORT ?auto_27948 ) ( AT ?auto_27952 ?auto_27955 ) ( DIFFERENT ?auto_27948 ?auto_27955 ) ( LOCATION ?auto_27951 ) ( AT ?auto_27952 ?auto_27951 ) ( TRUCK ?auto_27953 ) ( LOCATION ?auto_27958 ) ( CITY ?auto_27957 ) ( AT ?auto_27953 ?auto_27958 ) ( IN-CITY ?auto_27958 ?auto_27957 ) ( IN-CITY ?auto_27951 ?auto_27957 ) ( DIFFERENT ?auto_27951 ?auto_27958 ) ( LOCATION ?auto_27960 ) ( AT ?auto_27953 ?auto_27960 ) ( AT ?auto_27943 ?auto_27960 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27943 ?auto_27953 ?auto_27960 )
      ( DELIVER-PKG ?auto_27943 ?auto_27944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27996
      ?auto_27997
    )
    :vars
    (
      ?auto_27998
      ?auto_27999
      ?auto_28006
      ?auto_28007
      ?auto_28002
      ?auto_28001
      ?auto_28009
      ?auto_28008
      ?auto_28010
      ?auto_28005
      ?auto_28004
      ?auto_28012
      ?auto_28014
    )
    :precondition
    ( and ( OBJ ?auto_27996 ) ( LOCATION ?auto_27997 ) ( TRUCK ?auto_27998 ) ( LOCATION ?auto_27999 ) ( CITY ?auto_28006 ) ( AT ?auto_27998 ?auto_27999 ) ( IN-CITY ?auto_27999 ?auto_28006 ) ( IN-CITY ?auto_27997 ?auto_28006 ) ( DIFFERENT ?auto_27997 ?auto_27999 ) ( LOCATION ?auto_28007 ) ( AT ?auto_27998 ?auto_28007 ) ( TRUCK ?auto_28002 ) ( AT ?auto_28002 ?auto_28007 ) ( LOCATION ?auto_28001 ) ( AT ?auto_28002 ?auto_28001 ) ( AIRPLANE ?auto_28009 ) ( AIRPORT ?auto_28008 ) ( AIRPORT ?auto_28001 ) ( DIFFERENT ?auto_28001 ?auto_28008 ) ( LOCATION ?auto_28008 ) ( TRUCK ?auto_28010 ) ( LOCATION ?auto_28005 ) ( CITY ?auto_28004 ) ( AT ?auto_28010 ?auto_28005 ) ( IN-CITY ?auto_28005 ?auto_28004 ) ( IN-CITY ?auto_28008 ?auto_28004 ) ( DIFFERENT ?auto_28008 ?auto_28005 ) ( LOCATION ?auto_28012 ) ( AT ?auto_28010 ?auto_28012 ) ( AT ?auto_27996 ?auto_28012 ) ( AIRPORT ?auto_28014 ) ( AT ?auto_28009 ?auto_28014 ) ( DIFFERENT ?auto_28008 ?auto_28014 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_28009 ?auto_28014 ?auto_28008 )
      ( DELIVER-PKG ?auto_27996 ?auto_27997 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28016
      ?auto_28017
    )
    :vars
    (
      ?auto_28029
      ?auto_28018
      ?auto_28020
      ?auto_28021
      ?auto_28026
      ?auto_28023
      ?auto_28024
      ?auto_28022
      ?auto_28025
      ?auto_28031
      ?auto_28027
      ?auto_28032
      ?auto_28035
      ?auto_28034
    )
    :precondition
    ( and ( OBJ ?auto_28016 ) ( LOCATION ?auto_28017 ) ( TRUCK ?auto_28029 ) ( LOCATION ?auto_28018 ) ( CITY ?auto_28020 ) ( AT ?auto_28029 ?auto_28018 ) ( IN-CITY ?auto_28018 ?auto_28020 ) ( IN-CITY ?auto_28017 ?auto_28020 ) ( DIFFERENT ?auto_28017 ?auto_28018 ) ( LOCATION ?auto_28021 ) ( AT ?auto_28029 ?auto_28021 ) ( TRUCK ?auto_28026 ) ( AT ?auto_28026 ?auto_28021 ) ( LOCATION ?auto_28023 ) ( AT ?auto_28026 ?auto_28023 ) ( AIRPLANE ?auto_28024 ) ( AIRPORT ?auto_28022 ) ( AIRPORT ?auto_28023 ) ( DIFFERENT ?auto_28023 ?auto_28022 ) ( LOCATION ?auto_28022 ) ( TRUCK ?auto_28025 ) ( LOCATION ?auto_28031 ) ( CITY ?auto_28027 ) ( IN-CITY ?auto_28031 ?auto_28027 ) ( IN-CITY ?auto_28022 ?auto_28027 ) ( DIFFERENT ?auto_28022 ?auto_28031 ) ( AT ?auto_28016 ?auto_28031 ) ( AIRPORT ?auto_28032 ) ( AT ?auto_28024 ?auto_28032 ) ( DIFFERENT ?auto_28022 ?auto_28032 ) ( LOCATION ?auto_28035 ) ( CITY ?auto_28034 ) ( AT ?auto_28025 ?auto_28035 ) ( IN-CITY ?auto_28035 ?auto_28034 ) ( IN-CITY ?auto_28031 ?auto_28034 ) ( DIFFERENT ?auto_28031 ?auto_28035 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28025 ?auto_28035 ?auto_28031 ?auto_28034 )
      ( DELIVER-PKG ?auto_28016 ?auto_28017 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28232
      ?auto_28234
    )
    :vars
    (
      ?auto_28242
      ?auto_28241
      ?auto_28239
      ?auto_28240
      ?auto_28236
      ?auto_28235
      ?auto_28238
      ?auto_28237
      ?auto_28243
      ?auto_28248
      ?auto_28247
    )
    :precondition
    ( and ( OBJ ?auto_28232 ) ( LOCATION ?auto_28234 ) ( TRUCK ?auto_28242 ) ( AIRPLANE ?auto_28241 ) ( AIRPORT ?auto_28239 ) ( AIRPORT ?auto_28234 ) ( DIFFERENT ?auto_28234 ?auto_28239 ) ( LOCATION ?auto_28239 ) ( AIRPORT ?auto_28240 ) ( DIFFERENT ?auto_28239 ?auto_28240 ) ( AIRPORT ?auto_28236 ) ( AT ?auto_28241 ?auto_28236 ) ( DIFFERENT ?auto_28240 ?auto_28236 ) ( TRUCK ?auto_28235 ) ( LOCATION ?auto_28238 ) ( CITY ?auto_28237 ) ( AT ?auto_28235 ?auto_28238 ) ( IN-CITY ?auto_28238 ?auto_28237 ) ( IN-CITY ?auto_28239 ?auto_28237 ) ( DIFFERENT ?auto_28239 ?auto_28238 ) ( LOCATION ?auto_28243 ) ( AT ?auto_28235 ?auto_28243 ) ( AT ?auto_28232 ?auto_28243 ) ( LOCATION ?auto_28248 ) ( CITY ?auto_28247 ) ( AT ?auto_28242 ?auto_28248 ) ( IN-CITY ?auto_28248 ?auto_28247 ) ( IN-CITY ?auto_28234 ?auto_28247 ) ( DIFFERENT ?auto_28234 ?auto_28248 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28242 ?auto_28248 ?auto_28234 ?auto_28247 )
      ( DELIVER-PKG ?auto_28232 ?auto_28234 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28284
      ?auto_28285
    )
    :vars
    (
      ?auto_28288
      ?auto_28291
      ?auto_28296
      ?auto_28286
      ?auto_28293
      ?auto_28289
      ?auto_28287
      ?auto_28290
      ?auto_28295
      ?auto_28294
      ?auto_28299
      ?auto_28298
      ?auto_28302
      ?auto_28301
    )
    :precondition
    ( and ( OBJ ?auto_28284 ) ( LOCATION ?auto_28285 ) ( TRUCK ?auto_28288 ) ( AIRPLANE ?auto_28291 ) ( AIRPORT ?auto_28296 ) ( AIRPORT ?auto_28285 ) ( DIFFERENT ?auto_28285 ?auto_28296 ) ( LOCATION ?auto_28296 ) ( AIRPORT ?auto_28286 ) ( DIFFERENT ?auto_28296 ?auto_28286 ) ( AIRPORT ?auto_28293 ) ( AT ?auto_28291 ?auto_28293 ) ( DIFFERENT ?auto_28286 ?auto_28293 ) ( TRUCK ?auto_28289 ) ( LOCATION ?auto_28287 ) ( CITY ?auto_28290 ) ( IN-CITY ?auto_28287 ?auto_28290 ) ( IN-CITY ?auto_28296 ?auto_28290 ) ( DIFFERENT ?auto_28296 ?auto_28287 ) ( AT ?auto_28284 ?auto_28287 ) ( LOCATION ?auto_28295 ) ( CITY ?auto_28294 ) ( IN-CITY ?auto_28295 ?auto_28294 ) ( IN-CITY ?auto_28285 ?auto_28294 ) ( DIFFERENT ?auto_28285 ?auto_28295 ) ( LOCATION ?auto_28299 ) ( CITY ?auto_28298 ) ( AT ?auto_28289 ?auto_28299 ) ( IN-CITY ?auto_28299 ?auto_28298 ) ( IN-CITY ?auto_28287 ?auto_28298 ) ( DIFFERENT ?auto_28287 ?auto_28299 ) ( LOCATION ?auto_28302 ) ( CITY ?auto_28301 ) ( AT ?auto_28288 ?auto_28302 ) ( IN-CITY ?auto_28302 ?auto_28301 ) ( IN-CITY ?auto_28295 ?auto_28301 ) ( DIFFERENT ?auto_28295 ?auto_28302 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28288 ?auto_28302 ?auto_28295 ?auto_28301 )
      ( DELIVER-PKG ?auto_28284 ?auto_28285 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28841
      ?auto_28842
    )
    :vars
    (
      ?auto_28848
      ?auto_28847
      ?auto_28849
      ?auto_28852
      ?auto_28844
      ?auto_28843
      ?auto_28857
      ?auto_28850
      ?auto_28854
      ?auto_28853
      ?auto_28846
      ?auto_28861
      ?auto_28860
    )
    :precondition
    ( and ( OBJ ?auto_28841 ) ( LOCATION ?auto_28842 ) ( TRUCK ?auto_28848 ) ( LOCATION ?auto_28847 ) ( CITY ?auto_28849 ) ( IN-CITY ?auto_28847 ?auto_28849 ) ( IN-CITY ?auto_28842 ?auto_28849 ) ( DIFFERENT ?auto_28842 ?auto_28847 ) ( AIRPLANE ?auto_28852 ) ( AIRPORT ?auto_28844 ) ( AIRPORT ?auto_28847 ) ( DIFFERENT ?auto_28847 ?auto_28844 ) ( LOCATION ?auto_28844 ) ( AIRPORT ?auto_28843 ) ( DIFFERENT ?auto_28844 ?auto_28843 ) ( AIRPORT ?auto_28857 ) ( AT ?auto_28852 ?auto_28857 ) ( DIFFERENT ?auto_28843 ?auto_28857 ) ( TRUCK ?auto_28850 ) ( LOCATION ?auto_28854 ) ( CITY ?auto_28853 ) ( AT ?auto_28850 ?auto_28854 ) ( IN-CITY ?auto_28854 ?auto_28853 ) ( IN-CITY ?auto_28844 ?auto_28853 ) ( DIFFERENT ?auto_28844 ?auto_28854 ) ( LOCATION ?auto_28846 ) ( AT ?auto_28850 ?auto_28846 ) ( AT ?auto_28841 ?auto_28846 ) ( LOCATION ?auto_28861 ) ( CITY ?auto_28860 ) ( AT ?auto_28848 ?auto_28861 ) ( IN-CITY ?auto_28861 ?auto_28860 ) ( IN-CITY ?auto_28847 ?auto_28860 ) ( DIFFERENT ?auto_28847 ?auto_28861 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28848 ?auto_28861 ?auto_28847 ?auto_28860 )
      ( DELIVER-PKG ?auto_28841 ?auto_28842 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28880
      ?auto_28881
    )
    :vars
    (
      ?auto_28882
      ?auto_28895
      ?auto_28889
      ?auto_28887
      ?auto_28893
      ?auto_28883
      ?auto_28884
      ?auto_28886
      ?auto_28896
      ?auto_28894
      ?auto_28891
      ?auto_28885
      ?auto_28899
      ?auto_28898
    )
    :precondition
    ( and ( OBJ ?auto_28880 ) ( LOCATION ?auto_28881 ) ( TRUCK ?auto_28882 ) ( LOCATION ?auto_28895 ) ( CITY ?auto_28889 ) ( IN-CITY ?auto_28895 ?auto_28889 ) ( IN-CITY ?auto_28881 ?auto_28889 ) ( DIFFERENT ?auto_28881 ?auto_28895 ) ( AIRPLANE ?auto_28887 ) ( AIRPORT ?auto_28893 ) ( AIRPORT ?auto_28895 ) ( DIFFERENT ?auto_28895 ?auto_28893 ) ( LOCATION ?auto_28893 ) ( AIRPORT ?auto_28883 ) ( DIFFERENT ?auto_28893 ?auto_28883 ) ( AIRPORT ?auto_28884 ) ( AT ?auto_28887 ?auto_28884 ) ( DIFFERENT ?auto_28883 ?auto_28884 ) ( TRUCK ?auto_28886 ) ( LOCATION ?auto_28896 ) ( CITY ?auto_28894 ) ( IN-CITY ?auto_28896 ?auto_28894 ) ( IN-CITY ?auto_28893 ?auto_28894 ) ( DIFFERENT ?auto_28893 ?auto_28896 ) ( AT ?auto_28880 ?auto_28896 ) ( LOCATION ?auto_28891 ) ( CITY ?auto_28885 ) ( AT ?auto_28882 ?auto_28891 ) ( IN-CITY ?auto_28891 ?auto_28885 ) ( IN-CITY ?auto_28895 ?auto_28885 ) ( DIFFERENT ?auto_28895 ?auto_28891 ) ( LOCATION ?auto_28899 ) ( CITY ?auto_28898 ) ( AT ?auto_28886 ?auto_28899 ) ( IN-CITY ?auto_28899 ?auto_28898 ) ( IN-CITY ?auto_28896 ?auto_28898 ) ( DIFFERENT ?auto_28896 ?auto_28899 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28886 ?auto_28899 ?auto_28896 ?auto_28898 )
      ( DELIVER-PKG ?auto_28880 ?auto_28881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28901
      ?auto_28902
    )
    :vars
    (
      ?auto_28916
      ?auto_28907
      ?auto_28904
      ?auto_28912
      ?auto_28911
      ?auto_28917
      ?auto_28903
      ?auto_28905
      ?auto_28908
      ?auto_28906
      ?auto_28910
      ?auto_28913
      ?auto_28918
      ?auto_28909
      ?auto_28921
      ?auto_28920
    )
    :precondition
    ( and ( OBJ ?auto_28901 ) ( LOCATION ?auto_28902 ) ( TRUCK ?auto_28916 ) ( LOCATION ?auto_28907 ) ( CITY ?auto_28904 ) ( IN-CITY ?auto_28907 ?auto_28904 ) ( IN-CITY ?auto_28902 ?auto_28904 ) ( DIFFERENT ?auto_28902 ?auto_28907 ) ( AIRPLANE ?auto_28912 ) ( AIRPORT ?auto_28911 ) ( AIRPORT ?auto_28907 ) ( DIFFERENT ?auto_28907 ?auto_28911 ) ( LOCATION ?auto_28911 ) ( AIRPORT ?auto_28917 ) ( DIFFERENT ?auto_28911 ?auto_28917 ) ( AIRPORT ?auto_28903 ) ( AT ?auto_28912 ?auto_28903 ) ( DIFFERENT ?auto_28917 ?auto_28903 ) ( TRUCK ?auto_28905 ) ( LOCATION ?auto_28908 ) ( CITY ?auto_28906 ) ( IN-CITY ?auto_28908 ?auto_28906 ) ( IN-CITY ?auto_28911 ?auto_28906 ) ( DIFFERENT ?auto_28911 ?auto_28908 ) ( AT ?auto_28901 ?auto_28908 ) ( LOCATION ?auto_28910 ) ( CITY ?auto_28913 ) ( IN-CITY ?auto_28910 ?auto_28913 ) ( IN-CITY ?auto_28907 ?auto_28913 ) ( DIFFERENT ?auto_28907 ?auto_28910 ) ( LOCATION ?auto_28918 ) ( CITY ?auto_28909 ) ( AT ?auto_28905 ?auto_28918 ) ( IN-CITY ?auto_28918 ?auto_28909 ) ( IN-CITY ?auto_28908 ?auto_28909 ) ( DIFFERENT ?auto_28908 ?auto_28918 ) ( LOCATION ?auto_28921 ) ( CITY ?auto_28920 ) ( AT ?auto_28916 ?auto_28921 ) ( IN-CITY ?auto_28921 ?auto_28920 ) ( IN-CITY ?auto_28910 ?auto_28920 ) ( DIFFERENT ?auto_28910 ?auto_28921 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28916 ?auto_28921 ?auto_28910 ?auto_28920 )
      ( DELIVER-PKG ?auto_28901 ?auto_28902 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30744
      ?auto_30745
    )
    :vars
    (
      ?auto_30752
      ?auto_30747
      ?auto_30750
      ?auto_30753
      ?auto_30748
      ?auto_30746
      ?auto_30749
      ?auto_30756
      ?auto_30751
      ?auto_30754
      ?auto_30755
      ?auto_30761
    )
    :precondition
    ( and ( OBJ ?auto_30744 ) ( LOCATION ?auto_30745 ) ( TRUCK ?auto_30752 ) ( LOCATION ?auto_30747 ) ( CITY ?auto_30750 ) ( IN-CITY ?auto_30747 ?auto_30750 ) ( IN-CITY ?auto_30745 ?auto_30750 ) ( DIFFERENT ?auto_30745 ?auto_30747 ) ( LOCATION ?auto_30753 ) ( CITY ?auto_30748 ) ( IN-CITY ?auto_30753 ?auto_30748 ) ( IN-CITY ?auto_30747 ?auto_30748 ) ( DIFFERENT ?auto_30747 ?auto_30753 ) ( LOCATION ?auto_30746 ) ( CITY ?auto_30749 ) ( AT ?auto_30752 ?auto_30746 ) ( IN-CITY ?auto_30746 ?auto_30749 ) ( IN-CITY ?auto_30753 ?auto_30749 ) ( DIFFERENT ?auto_30753 ?auto_30746 ) ( LOCATION ?auto_30756 ) ( AT ?auto_30752 ?auto_30756 ) ( AIRPLANE ?auto_30751 ) ( AIRPORT ?auto_30754 ) ( AIRPORT ?auto_30756 ) ( AT ?auto_30751 ?auto_30754 ) ( DIFFERENT ?auto_30756 ?auto_30754 ) ( LOCATION ?auto_30755 ) ( AT ?auto_30751 ?auto_30755 ) ( TRUCK ?auto_30761 ) ( AT ?auto_30761 ?auto_30755 ) ( IN ?auto_30744 ?auto_30761 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30744 ?auto_30755 )
      ( DELIVER-PKG ?auto_30744 ?auto_30745 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30762
      ?auto_30763
    )
    :vars
    (
      ?auto_30771
      ?auto_30766
      ?auto_30769
      ?auto_30772
      ?auto_30767
      ?auto_30777
      ?auto_30768
      ?auto_30775
      ?auto_30770
      ?auto_30773
      ?auto_30774
      ?auto_30776
      ?auto_30780
      ?auto_30779
    )
    :precondition
    ( and ( OBJ ?auto_30762 ) ( LOCATION ?auto_30763 ) ( TRUCK ?auto_30771 ) ( LOCATION ?auto_30766 ) ( CITY ?auto_30769 ) ( IN-CITY ?auto_30766 ?auto_30769 ) ( IN-CITY ?auto_30763 ?auto_30769 ) ( DIFFERENT ?auto_30763 ?auto_30766 ) ( LOCATION ?auto_30772 ) ( CITY ?auto_30767 ) ( IN-CITY ?auto_30772 ?auto_30767 ) ( IN-CITY ?auto_30766 ?auto_30767 ) ( DIFFERENT ?auto_30766 ?auto_30772 ) ( LOCATION ?auto_30777 ) ( CITY ?auto_30768 ) ( AT ?auto_30771 ?auto_30777 ) ( IN-CITY ?auto_30777 ?auto_30768 ) ( IN-CITY ?auto_30772 ?auto_30768 ) ( DIFFERENT ?auto_30772 ?auto_30777 ) ( LOCATION ?auto_30775 ) ( AT ?auto_30771 ?auto_30775 ) ( AIRPLANE ?auto_30770 ) ( AIRPORT ?auto_30773 ) ( AIRPORT ?auto_30775 ) ( AT ?auto_30770 ?auto_30773 ) ( DIFFERENT ?auto_30775 ?auto_30773 ) ( LOCATION ?auto_30774 ) ( AT ?auto_30770 ?auto_30774 ) ( TRUCK ?auto_30776 ) ( IN ?auto_30762 ?auto_30776 ) ( LOCATION ?auto_30780 ) ( CITY ?auto_30779 ) ( AT ?auto_30776 ?auto_30780 ) ( IN-CITY ?auto_30780 ?auto_30779 ) ( IN-CITY ?auto_30774 ?auto_30779 ) ( DIFFERENT ?auto_30774 ?auto_30780 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30776 ?auto_30780 ?auto_30774 ?auto_30779 )
      ( DELIVER-PKG ?auto_30762 ?auto_30763 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30782
      ?auto_30783
    )
    :vars
    (
      ?auto_30797
      ?auto_30799
      ?auto_30785
      ?auto_30796
      ?auto_30784
      ?auto_30786
      ?auto_30794
      ?auto_30787
      ?auto_30791
      ?auto_30792
      ?auto_30793
      ?auto_30788
      ?auto_30790
      ?auto_30789
      ?auto_30802
      ?auto_30801
    )
    :precondition
    ( and ( OBJ ?auto_30782 ) ( LOCATION ?auto_30783 ) ( TRUCK ?auto_30797 ) ( LOCATION ?auto_30799 ) ( CITY ?auto_30785 ) ( IN-CITY ?auto_30799 ?auto_30785 ) ( IN-CITY ?auto_30783 ?auto_30785 ) ( DIFFERENT ?auto_30783 ?auto_30799 ) ( LOCATION ?auto_30796 ) ( CITY ?auto_30784 ) ( IN-CITY ?auto_30796 ?auto_30784 ) ( IN-CITY ?auto_30799 ?auto_30784 ) ( DIFFERENT ?auto_30799 ?auto_30796 ) ( LOCATION ?auto_30786 ) ( CITY ?auto_30794 ) ( AT ?auto_30797 ?auto_30786 ) ( IN-CITY ?auto_30786 ?auto_30794 ) ( IN-CITY ?auto_30796 ?auto_30794 ) ( DIFFERENT ?auto_30796 ?auto_30786 ) ( LOCATION ?auto_30787 ) ( AT ?auto_30797 ?auto_30787 ) ( AIRPLANE ?auto_30791 ) ( AIRPORT ?auto_30792 ) ( AIRPORT ?auto_30787 ) ( AT ?auto_30791 ?auto_30792 ) ( DIFFERENT ?auto_30787 ?auto_30792 ) ( LOCATION ?auto_30793 ) ( AT ?auto_30791 ?auto_30793 ) ( TRUCK ?auto_30788 ) ( IN ?auto_30782 ?auto_30788 ) ( LOCATION ?auto_30790 ) ( CITY ?auto_30789 ) ( IN-CITY ?auto_30790 ?auto_30789 ) ( IN-CITY ?auto_30793 ?auto_30789 ) ( DIFFERENT ?auto_30793 ?auto_30790 ) ( LOCATION ?auto_30802 ) ( CITY ?auto_30801 ) ( AT ?auto_30788 ?auto_30802 ) ( IN-CITY ?auto_30802 ?auto_30801 ) ( IN-CITY ?auto_30790 ?auto_30801 ) ( DIFFERENT ?auto_30790 ?auto_30802 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30788 ?auto_30802 ?auto_30790 ?auto_30801 )
      ( DELIVER-PKG ?auto_30782 ?auto_30783 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30804
      ?auto_30805
    )
    :vars
    (
      ?auto_30821
      ?auto_30814
      ?auto_30819
      ?auto_30809
      ?auto_30817
      ?auto_30820
      ?auto_30812
      ?auto_30818
      ?auto_30816
      ?auto_30808
      ?auto_30810
      ?auto_30822
      ?auto_30806
      ?auto_30823
      ?auto_30811
      ?auto_30815
      ?auto_30825
    )
    :precondition
    ( and ( OBJ ?auto_30804 ) ( LOCATION ?auto_30805 ) ( TRUCK ?auto_30821 ) ( LOCATION ?auto_30814 ) ( CITY ?auto_30819 ) ( IN-CITY ?auto_30814 ?auto_30819 ) ( IN-CITY ?auto_30805 ?auto_30819 ) ( DIFFERENT ?auto_30805 ?auto_30814 ) ( LOCATION ?auto_30809 ) ( CITY ?auto_30817 ) ( IN-CITY ?auto_30809 ?auto_30817 ) ( IN-CITY ?auto_30814 ?auto_30817 ) ( DIFFERENT ?auto_30814 ?auto_30809 ) ( LOCATION ?auto_30820 ) ( CITY ?auto_30812 ) ( AT ?auto_30821 ?auto_30820 ) ( IN-CITY ?auto_30820 ?auto_30812 ) ( IN-CITY ?auto_30809 ?auto_30812 ) ( DIFFERENT ?auto_30809 ?auto_30820 ) ( LOCATION ?auto_30818 ) ( AT ?auto_30821 ?auto_30818 ) ( AIRPLANE ?auto_30816 ) ( AIRPORT ?auto_30808 ) ( AIRPORT ?auto_30818 ) ( AT ?auto_30816 ?auto_30808 ) ( DIFFERENT ?auto_30818 ?auto_30808 ) ( LOCATION ?auto_30810 ) ( AT ?auto_30816 ?auto_30810 ) ( TRUCK ?auto_30822 ) ( LOCATION ?auto_30806 ) ( CITY ?auto_30823 ) ( IN-CITY ?auto_30806 ?auto_30823 ) ( IN-CITY ?auto_30810 ?auto_30823 ) ( DIFFERENT ?auto_30810 ?auto_30806 ) ( LOCATION ?auto_30811 ) ( CITY ?auto_30815 ) ( AT ?auto_30822 ?auto_30811 ) ( IN-CITY ?auto_30811 ?auto_30815 ) ( IN-CITY ?auto_30806 ?auto_30815 ) ( DIFFERENT ?auto_30806 ?auto_30811 ) ( LOCATION ?auto_30825 ) ( AT ?auto_30822 ?auto_30825 ) ( AT ?auto_30804 ?auto_30825 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30804 ?auto_30822 ?auto_30825 )
      ( DELIVER-PKG ?auto_30804 ?auto_30805 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30848
      ?auto_30849
    )
    :vars
    (
      ?auto_30862
      ?auto_30865
      ?auto_30857
      ?auto_30860
      ?auto_30852
      ?auto_30856
      ?auto_30868
      ?auto_30859
      ?auto_30853
      ?auto_30864
      ?auto_30861
      ?auto_30854
      ?auto_30858
      ?auto_30855
      ?auto_30863
      ?auto_30866
      ?auto_30871
      ?auto_30870
    )
    :precondition
    ( and ( OBJ ?auto_30848 ) ( LOCATION ?auto_30849 ) ( TRUCK ?auto_30862 ) ( LOCATION ?auto_30865 ) ( CITY ?auto_30857 ) ( IN-CITY ?auto_30865 ?auto_30857 ) ( IN-CITY ?auto_30849 ?auto_30857 ) ( DIFFERENT ?auto_30849 ?auto_30865 ) ( LOCATION ?auto_30860 ) ( CITY ?auto_30852 ) ( IN-CITY ?auto_30860 ?auto_30852 ) ( IN-CITY ?auto_30865 ?auto_30852 ) ( DIFFERENT ?auto_30865 ?auto_30860 ) ( LOCATION ?auto_30856 ) ( CITY ?auto_30868 ) ( AT ?auto_30862 ?auto_30856 ) ( IN-CITY ?auto_30856 ?auto_30868 ) ( IN-CITY ?auto_30860 ?auto_30868 ) ( DIFFERENT ?auto_30860 ?auto_30856 ) ( LOCATION ?auto_30859 ) ( AT ?auto_30862 ?auto_30859 ) ( AIRPLANE ?auto_30853 ) ( AIRPORT ?auto_30864 ) ( AIRPORT ?auto_30859 ) ( AT ?auto_30853 ?auto_30864 ) ( DIFFERENT ?auto_30859 ?auto_30864 ) ( LOCATION ?auto_30861 ) ( AT ?auto_30853 ?auto_30861 ) ( TRUCK ?auto_30854 ) ( LOCATION ?auto_30858 ) ( CITY ?auto_30855 ) ( IN-CITY ?auto_30858 ?auto_30855 ) ( IN-CITY ?auto_30861 ?auto_30855 ) ( DIFFERENT ?auto_30861 ?auto_30858 ) ( LOCATION ?auto_30863 ) ( CITY ?auto_30866 ) ( IN-CITY ?auto_30863 ?auto_30866 ) ( IN-CITY ?auto_30858 ?auto_30866 ) ( DIFFERENT ?auto_30858 ?auto_30863 ) ( AT ?auto_30848 ?auto_30863 ) ( LOCATION ?auto_30871 ) ( CITY ?auto_30870 ) ( AT ?auto_30854 ?auto_30871 ) ( IN-CITY ?auto_30871 ?auto_30870 ) ( IN-CITY ?auto_30863 ?auto_30870 ) ( DIFFERENT ?auto_30863 ?auto_30871 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30854 ?auto_30871 ?auto_30863 ?auto_30870 )
      ( DELIVER-PKG ?auto_30848 ?auto_30849 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30895
      ?auto_30896
    )
    :vars
    (
      ?auto_30914
      ?auto_30905
      ?auto_30909
      ?auto_30912
      ?auto_30897
      ?auto_30911
      ?auto_30900
      ?auto_30901
      ?auto_30904
      ?auto_30913
      ?auto_30902
      ?auto_30910
      ?auto_30898
      ?auto_30903
      ?auto_30906
      ?auto_30916
      ?auto_30899
      ?auto_30919
      ?auto_30918
    )
    :precondition
    ( and ( OBJ ?auto_30895 ) ( LOCATION ?auto_30896 ) ( TRUCK ?auto_30914 ) ( LOCATION ?auto_30905 ) ( CITY ?auto_30909 ) ( IN-CITY ?auto_30905 ?auto_30909 ) ( IN-CITY ?auto_30896 ?auto_30909 ) ( DIFFERENT ?auto_30896 ?auto_30905 ) ( LOCATION ?auto_30912 ) ( CITY ?auto_30897 ) ( IN-CITY ?auto_30912 ?auto_30897 ) ( IN-CITY ?auto_30905 ?auto_30897 ) ( DIFFERENT ?auto_30905 ?auto_30912 ) ( LOCATION ?auto_30911 ) ( CITY ?auto_30900 ) ( IN-CITY ?auto_30911 ?auto_30900 ) ( IN-CITY ?auto_30912 ?auto_30900 ) ( DIFFERENT ?auto_30912 ?auto_30911 ) ( AIRPLANE ?auto_30901 ) ( AIRPORT ?auto_30904 ) ( AIRPORT ?auto_30911 ) ( AT ?auto_30901 ?auto_30904 ) ( DIFFERENT ?auto_30911 ?auto_30904 ) ( LOCATION ?auto_30913 ) ( AT ?auto_30901 ?auto_30913 ) ( TRUCK ?auto_30902 ) ( LOCATION ?auto_30910 ) ( CITY ?auto_30898 ) ( IN-CITY ?auto_30910 ?auto_30898 ) ( IN-CITY ?auto_30913 ?auto_30898 ) ( DIFFERENT ?auto_30913 ?auto_30910 ) ( LOCATION ?auto_30903 ) ( CITY ?auto_30906 ) ( IN-CITY ?auto_30903 ?auto_30906 ) ( IN-CITY ?auto_30910 ?auto_30906 ) ( DIFFERENT ?auto_30910 ?auto_30903 ) ( AT ?auto_30895 ?auto_30903 ) ( LOCATION ?auto_30916 ) ( CITY ?auto_30899 ) ( AT ?auto_30902 ?auto_30916 ) ( IN-CITY ?auto_30916 ?auto_30899 ) ( IN-CITY ?auto_30903 ?auto_30899 ) ( DIFFERENT ?auto_30903 ?auto_30916 ) ( LOCATION ?auto_30919 ) ( CITY ?auto_30918 ) ( AT ?auto_30914 ?auto_30919 ) ( IN-CITY ?auto_30919 ?auto_30918 ) ( IN-CITY ?auto_30911 ?auto_30918 ) ( DIFFERENT ?auto_30911 ?auto_30919 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30914 ?auto_30919 ?auto_30911 ?auto_30918 )
      ( DELIVER-PKG ?auto_30895 ?auto_30896 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31673
      ?auto_31674
    )
    :vars
    (
      ?auto_31676
      ?auto_31678
      ?auto_31677
      ?auto_31683
      ?auto_31682
      ?auto_31681
      ?auto_31680
      ?auto_31686
      ?auto_31685
    )
    :precondition
    ( and ( OBJ ?auto_31673 ) ( LOCATION ?auto_31674 ) ( AIRPLANE ?auto_31676 ) ( AT ?auto_31676 ?auto_31674 ) ( LOCATION ?auto_31678 ) ( AT ?auto_31676 ?auto_31678 ) ( TRUCK ?auto_31677 ) ( LOCATION ?auto_31683 ) ( CITY ?auto_31682 ) ( IN-CITY ?auto_31683 ?auto_31682 ) ( IN-CITY ?auto_31678 ?auto_31682 ) ( DIFFERENT ?auto_31678 ?auto_31683 ) ( AT ?auto_31673 ?auto_31683 ) ( LOCATION ?auto_31681 ) ( CITY ?auto_31680 ) ( IN-CITY ?auto_31681 ?auto_31680 ) ( IN-CITY ?auto_31683 ?auto_31680 ) ( DIFFERENT ?auto_31683 ?auto_31681 ) ( LOCATION ?auto_31686 ) ( CITY ?auto_31685 ) ( AT ?auto_31677 ?auto_31686 ) ( IN-CITY ?auto_31686 ?auto_31685 ) ( IN-CITY ?auto_31681 ?auto_31685 ) ( DIFFERENT ?auto_31681 ?auto_31686 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31677 ?auto_31686 ?auto_31681 ?auto_31685 )
      ( DELIVER-PKG ?auto_31673 ?auto_31674 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31977
      ?auto_31978
    )
    :vars
    (
      ?auto_31983
      ?auto_31984
      ?auto_31981
      ?auto_31980
      ?auto_31985
      ?auto_31982
      ?auto_31987
      ?auto_31986
      ?auto_31989
      ?auto_31988
      ?auto_31993
      ?auto_31992
    )
    :precondition
    ( and ( OBJ ?auto_31977 ) ( LOCATION ?auto_31978 ) ( AIRPLANE ?auto_31983 ) ( AIRPORT ?auto_31984 ) ( AIRPORT ?auto_31978 ) ( AT ?auto_31983 ?auto_31984 ) ( DIFFERENT ?auto_31978 ?auto_31984 ) ( LOCATION ?auto_31981 ) ( AT ?auto_31983 ?auto_31981 ) ( AIRPLANE ?auto_31980 ) ( AT ?auto_31980 ?auto_31981 ) ( LOCATION ?auto_31985 ) ( AT ?auto_31980 ?auto_31985 ) ( TRUCK ?auto_31982 ) ( LOCATION ?auto_31987 ) ( CITY ?auto_31986 ) ( IN-CITY ?auto_31987 ?auto_31986 ) ( IN-CITY ?auto_31985 ?auto_31986 ) ( DIFFERENT ?auto_31985 ?auto_31987 ) ( AT ?auto_31977 ?auto_31987 ) ( LOCATION ?auto_31989 ) ( CITY ?auto_31988 ) ( IN-CITY ?auto_31989 ?auto_31988 ) ( IN-CITY ?auto_31987 ?auto_31988 ) ( DIFFERENT ?auto_31987 ?auto_31989 ) ( LOCATION ?auto_31993 ) ( CITY ?auto_31992 ) ( AT ?auto_31982 ?auto_31993 ) ( IN-CITY ?auto_31993 ?auto_31992 ) ( IN-CITY ?auto_31989 ?auto_31992 ) ( DIFFERENT ?auto_31989 ?auto_31993 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31982 ?auto_31993 ?auto_31989 ?auto_31992 )
      ( DELIVER-PKG ?auto_31977 ?auto_31978 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32657
      ?auto_32658
    )
    :vars
    (
      ?auto_32660
      ?auto_32666
      ?auto_32659
      ?auto_32661
      ?auto_32663
      ?auto_32664
      ?auto_32669
    )
    :precondition
    ( and ( OBJ ?auto_32657 ) ( LOCATION ?auto_32658 ) ( AIRPLANE ?auto_32660 ) ( AT ?auto_32660 ?auto_32658 ) ( LOCATION ?auto_32666 ) ( AT ?auto_32660 ?auto_32666 ) ( AIRPLANE ?auto_32659 ) ( AT ?auto_32659 ?auto_32666 ) ( LOCATION ?auto_32661 ) ( AT ?auto_32659 ?auto_32661 ) ( AIRPLANE ?auto_32663 ) ( AT ?auto_32663 ?auto_32661 ) ( LOCATION ?auto_32664 ) ( AT ?auto_32663 ?auto_32664 ) ( AIRPLANE ?auto_32669 ) ( IN ?auto_32657 ?auto_32669 ) ( AT ?auto_32669 ?auto_32664 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32657 ?auto_32664 )
      ( DELIVER-PKG ?auto_32657 ?auto_32658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32681
      ?auto_32682
    )
    :vars
    (
      ?auto_32690
      ?auto_32684
      ?auto_32685
      ?auto_32691
      ?auto_32687
      ?auto_32689
      ?auto_32686
      ?auto_32693
    )
    :precondition
    ( and ( OBJ ?auto_32681 ) ( LOCATION ?auto_32682 ) ( AIRPLANE ?auto_32690 ) ( AT ?auto_32690 ?auto_32682 ) ( LOCATION ?auto_32684 ) ( AT ?auto_32690 ?auto_32684 ) ( AIRPLANE ?auto_32685 ) ( AT ?auto_32685 ?auto_32684 ) ( LOCATION ?auto_32691 ) ( AT ?auto_32685 ?auto_32691 ) ( AIRPLANE ?auto_32687 ) ( AT ?auto_32687 ?auto_32691 ) ( LOCATION ?auto_32689 ) ( AT ?auto_32687 ?auto_32689 ) ( AIRPLANE ?auto_32686 ) ( IN ?auto_32681 ?auto_32686 ) ( AIRPORT ?auto_32693 ) ( AIRPORT ?auto_32689 ) ( AT ?auto_32686 ?auto_32693 ) ( DIFFERENT ?auto_32689 ?auto_32693 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32686 ?auto_32693 ?auto_32689 )
      ( DELIVER-PKG ?auto_32681 ?auto_32682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32726
      ?auto_32727
    )
    :vars
    (
      ?auto_32731
      ?auto_32730
      ?auto_32733
      ?auto_32739
      ?auto_32732
      ?auto_32729
      ?auto_32737
      ?auto_32738
      ?auto_32735
      ?auto_32728
      ?auto_32741
    )
    :precondition
    ( and ( OBJ ?auto_32726 ) ( LOCATION ?auto_32727 ) ( AIRPLANE ?auto_32731 ) ( AT ?auto_32731 ?auto_32727 ) ( LOCATION ?auto_32730 ) ( AT ?auto_32731 ?auto_32730 ) ( AIRPLANE ?auto_32733 ) ( AT ?auto_32733 ?auto_32730 ) ( LOCATION ?auto_32739 ) ( AT ?auto_32733 ?auto_32739 ) ( AIRPLANE ?auto_32732 ) ( AT ?auto_32732 ?auto_32739 ) ( LOCATION ?auto_32729 ) ( AT ?auto_32732 ?auto_32729 ) ( AIRPLANE ?auto_32737 ) ( AIRPORT ?auto_32738 ) ( AIRPORT ?auto_32729 ) ( AT ?auto_32737 ?auto_32738 ) ( DIFFERENT ?auto_32729 ?auto_32738 ) ( LOCATION ?auto_32735 ) ( AT ?auto_32737 ?auto_32735 ) ( AIRPLANE ?auto_32728 ) ( AT ?auto_32728 ?auto_32735 ) ( LOCATION ?auto_32741 ) ( AT ?auto_32726 ?auto_32741 ) ( AT ?auto_32728 ?auto_32741 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_32726 ?auto_32728 ?auto_32741 )
      ( DELIVER-PKG ?auto_32726 ?auto_32727 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32710
      ?auto_32711
    )
    :vars
    (
      ?auto_32718
      ?auto_32721
      ?auto_32719
      ?auto_32716
      ?auto_32722
      ?auto_32720
      ?auto_32714
      ?auto_32715
      ?auto_32717
      ?auto_32724
    )
    :precondition
    ( and ( OBJ ?auto_32710 ) ( LOCATION ?auto_32711 ) ( AIRPLANE ?auto_32718 ) ( AT ?auto_32718 ?auto_32711 ) ( LOCATION ?auto_32721 ) ( AT ?auto_32718 ?auto_32721 ) ( AIRPLANE ?auto_32719 ) ( AT ?auto_32719 ?auto_32721 ) ( LOCATION ?auto_32716 ) ( AT ?auto_32719 ?auto_32716 ) ( AIRPLANE ?auto_32722 ) ( AT ?auto_32722 ?auto_32716 ) ( LOCATION ?auto_32720 ) ( AT ?auto_32722 ?auto_32720 ) ( AIRPLANE ?auto_32714 ) ( AIRPORT ?auto_32715 ) ( AIRPORT ?auto_32720 ) ( AT ?auto_32714 ?auto_32715 ) ( DIFFERENT ?auto_32720 ?auto_32715 ) ( LOCATION ?auto_32717 ) ( AT ?auto_32714 ?auto_32717 ) ( AIRPLANE ?auto_32724 ) ( IN ?auto_32710 ?auto_32724 ) ( AT ?auto_32724 ?auto_32717 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32710 ?auto_32717 )
      ( DELIVER-PKG ?auto_32710 ?auto_32711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32758
      ?auto_32759
    )
    :vars
    (
      ?auto_32771
      ?auto_32770
      ?auto_32767
      ?auto_32760
      ?auto_32772
      ?auto_32769
      ?auto_32766
      ?auto_32763
      ?auto_32764
      ?auto_32762
      ?auto_32765
      ?auto_32773
    )
    :precondition
    ( and ( OBJ ?auto_32758 ) ( LOCATION ?auto_32759 ) ( AIRPLANE ?auto_32771 ) ( AT ?auto_32771 ?auto_32759 ) ( LOCATION ?auto_32770 ) ( AT ?auto_32771 ?auto_32770 ) ( AIRPLANE ?auto_32767 ) ( AT ?auto_32767 ?auto_32770 ) ( LOCATION ?auto_32760 ) ( AT ?auto_32767 ?auto_32760 ) ( AIRPLANE ?auto_32772 ) ( AT ?auto_32772 ?auto_32760 ) ( LOCATION ?auto_32769 ) ( AT ?auto_32772 ?auto_32769 ) ( AIRPLANE ?auto_32766 ) ( AIRPORT ?auto_32763 ) ( AIRPORT ?auto_32769 ) ( AT ?auto_32766 ?auto_32763 ) ( DIFFERENT ?auto_32769 ?auto_32763 ) ( LOCATION ?auto_32764 ) ( AT ?auto_32766 ?auto_32764 ) ( AIRPLANE ?auto_32762 ) ( AT ?auto_32762 ?auto_32764 ) ( LOCATION ?auto_32765 ) ( AT ?auto_32762 ?auto_32765 ) ( TRUCK ?auto_32773 ) ( AT ?auto_32773 ?auto_32765 ) ( IN ?auto_32758 ?auto_32773 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32758 ?auto_32765 )
      ( DELIVER-PKG ?auto_32758 ?auto_32759 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32808
      ?auto_32809
    )
    :vars
    (
      ?auto_32815
      ?auto_32813
      ?auto_32814
      ?auto_32823
      ?auto_32816
      ?auto_32812
      ?auto_32810
      ?auto_32817
      ?auto_32818
      ?auto_32819
      ?auto_32821
      ?auto_32811
      ?auto_32826
      ?auto_32825
    )
    :precondition
    ( and ( OBJ ?auto_32808 ) ( LOCATION ?auto_32809 ) ( AIRPLANE ?auto_32815 ) ( AT ?auto_32815 ?auto_32809 ) ( LOCATION ?auto_32813 ) ( AT ?auto_32815 ?auto_32813 ) ( AIRPLANE ?auto_32814 ) ( AT ?auto_32814 ?auto_32813 ) ( LOCATION ?auto_32823 ) ( AT ?auto_32814 ?auto_32823 ) ( AIRPLANE ?auto_32816 ) ( AT ?auto_32816 ?auto_32823 ) ( LOCATION ?auto_32812 ) ( AT ?auto_32816 ?auto_32812 ) ( AIRPLANE ?auto_32810 ) ( AIRPORT ?auto_32817 ) ( AIRPORT ?auto_32812 ) ( AT ?auto_32810 ?auto_32817 ) ( DIFFERENT ?auto_32812 ?auto_32817 ) ( LOCATION ?auto_32818 ) ( AT ?auto_32810 ?auto_32818 ) ( AIRPLANE ?auto_32819 ) ( AT ?auto_32819 ?auto_32818 ) ( LOCATION ?auto_32821 ) ( AT ?auto_32819 ?auto_32821 ) ( TRUCK ?auto_32811 ) ( IN ?auto_32808 ?auto_32811 ) ( LOCATION ?auto_32826 ) ( CITY ?auto_32825 ) ( AT ?auto_32811 ?auto_32826 ) ( IN-CITY ?auto_32826 ?auto_32825 ) ( IN-CITY ?auto_32821 ?auto_32825 ) ( DIFFERENT ?auto_32821 ?auto_32826 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32811 ?auto_32826 ?auto_32821 ?auto_32825 )
      ( DELIVER-PKG ?auto_32808 ?auto_32809 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32864
      ?auto_32865
    )
    :vars
    (
      ?auto_32876
      ?auto_32866
      ?auto_32875
      ?auto_32868
      ?auto_32877
      ?auto_32874
      ?auto_32879
      ?auto_32871
      ?auto_32872
      ?auto_32873
      ?auto_32867
      ?auto_32878
      ?auto_32881
      ?auto_32880
      ?auto_32883
    )
    :precondition
    ( and ( OBJ ?auto_32864 ) ( LOCATION ?auto_32865 ) ( AIRPLANE ?auto_32876 ) ( AT ?auto_32876 ?auto_32865 ) ( LOCATION ?auto_32866 ) ( AT ?auto_32876 ?auto_32866 ) ( AIRPLANE ?auto_32875 ) ( AT ?auto_32875 ?auto_32866 ) ( LOCATION ?auto_32868 ) ( AT ?auto_32875 ?auto_32868 ) ( AIRPLANE ?auto_32877 ) ( AT ?auto_32877 ?auto_32868 ) ( LOCATION ?auto_32874 ) ( AT ?auto_32877 ?auto_32874 ) ( AIRPLANE ?auto_32879 ) ( AIRPORT ?auto_32871 ) ( AIRPORT ?auto_32874 ) ( AT ?auto_32879 ?auto_32871 ) ( DIFFERENT ?auto_32874 ?auto_32871 ) ( LOCATION ?auto_32872 ) ( AT ?auto_32879 ?auto_32872 ) ( AIRPLANE ?auto_32873 ) ( AT ?auto_32873 ?auto_32872 ) ( LOCATION ?auto_32867 ) ( AT ?auto_32873 ?auto_32867 ) ( TRUCK ?auto_32878 ) ( LOCATION ?auto_32881 ) ( CITY ?auto_32880 ) ( AT ?auto_32878 ?auto_32881 ) ( IN-CITY ?auto_32881 ?auto_32880 ) ( IN-CITY ?auto_32867 ?auto_32880 ) ( DIFFERENT ?auto_32867 ?auto_32881 ) ( LOCATION ?auto_32883 ) ( AT ?auto_32878 ?auto_32883 ) ( AT ?auto_32864 ?auto_32883 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_32864 ?auto_32878 ?auto_32883 )
      ( DELIVER-PKG ?auto_32864 ?auto_32865 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32904
      ?auto_32905
    )
    :vars
    (
      ?auto_32917
      ?auto_32908
      ?auto_32916
      ?auto_32912
      ?auto_32918
      ?auto_32915
      ?auto_32920
      ?auto_32909
      ?auto_32913
      ?auto_32914
      ?auto_32911
      ?auto_32919
      ?auto_32910
      ?auto_32921
      ?auto_32925
      ?auto_32924
    )
    :precondition
    ( and ( OBJ ?auto_32904 ) ( LOCATION ?auto_32905 ) ( AIRPLANE ?auto_32917 ) ( AT ?auto_32917 ?auto_32905 ) ( LOCATION ?auto_32908 ) ( AT ?auto_32917 ?auto_32908 ) ( AIRPLANE ?auto_32916 ) ( AT ?auto_32916 ?auto_32908 ) ( LOCATION ?auto_32912 ) ( AT ?auto_32916 ?auto_32912 ) ( AIRPLANE ?auto_32918 ) ( AT ?auto_32918 ?auto_32912 ) ( LOCATION ?auto_32915 ) ( AT ?auto_32918 ?auto_32915 ) ( AIRPLANE ?auto_32920 ) ( AIRPORT ?auto_32909 ) ( AIRPORT ?auto_32915 ) ( AT ?auto_32920 ?auto_32909 ) ( DIFFERENT ?auto_32915 ?auto_32909 ) ( LOCATION ?auto_32913 ) ( AT ?auto_32920 ?auto_32913 ) ( AIRPLANE ?auto_32914 ) ( AT ?auto_32914 ?auto_32913 ) ( LOCATION ?auto_32911 ) ( AT ?auto_32914 ?auto_32911 ) ( TRUCK ?auto_32919 ) ( LOCATION ?auto_32910 ) ( CITY ?auto_32921 ) ( IN-CITY ?auto_32910 ?auto_32921 ) ( IN-CITY ?auto_32911 ?auto_32921 ) ( DIFFERENT ?auto_32911 ?auto_32910 ) ( AT ?auto_32904 ?auto_32910 ) ( LOCATION ?auto_32925 ) ( CITY ?auto_32924 ) ( AT ?auto_32919 ?auto_32925 ) ( IN-CITY ?auto_32925 ?auto_32924 ) ( IN-CITY ?auto_32910 ?auto_32924 ) ( DIFFERENT ?auto_32910 ?auto_32925 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32919 ?auto_32925 ?auto_32910 ?auto_32924 )
      ( DELIVER-PKG ?auto_32904 ?auto_32905 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32216
      ?auto_32227
    )
    :vars
    (
      ?auto_32225
      ?auto_32220
      ?auto_32224
      ?auto_32223
      ?auto_32228
      ?auto_32229
      ?auto_32222
      ?auto_32226
      ?auto_32221
      ?auto_32231
      ?auto_32230
      ?auto_32233
    )
    :precondition
    ( and ( OBJ ?auto_32216 ) ( LOCATION ?auto_32227 ) ( AIRPLANE ?auto_32225 ) ( AIRPLANE ?auto_32220 ) ( AIRPORT ?auto_32224 ) ( AIRPORT ?auto_32227 ) ( AT ?auto_32220 ?auto_32224 ) ( DIFFERENT ?auto_32227 ?auto_32224 ) ( LOCATION ?auto_32223 ) ( AT ?auto_32220 ?auto_32223 ) ( AIRPLANE ?auto_32228 ) ( AT ?auto_32228 ?auto_32223 ) ( LOCATION ?auto_32229 ) ( AT ?auto_32228 ?auto_32229 ) ( TRUCK ?auto_32222 ) ( LOCATION ?auto_32226 ) ( CITY ?auto_32221 ) ( IN-CITY ?auto_32226 ?auto_32221 ) ( IN-CITY ?auto_32229 ?auto_32221 ) ( DIFFERENT ?auto_32229 ?auto_32226 ) ( AT ?auto_32216 ?auto_32226 ) ( LOCATION ?auto_32231 ) ( CITY ?auto_32230 ) ( AT ?auto_32222 ?auto_32231 ) ( IN-CITY ?auto_32231 ?auto_32230 ) ( IN-CITY ?auto_32226 ?auto_32230 ) ( DIFFERENT ?auto_32226 ?auto_32231 ) ( AIRPORT ?auto_32233 ) ( AT ?auto_32225 ?auto_32233 ) ( DIFFERENT ?auto_32227 ?auto_32233 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32225 ?auto_32233 ?auto_32227 )
      ( DELIVER-PKG ?auto_32216 ?auto_32227 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33277
      ?auto_33278
    )
    :vars
    (
      ?auto_33281
      ?auto_33280
      ?auto_33282
      ?auto_33284
    )
    :precondition
    ( and ( OBJ ?auto_33277 ) ( LOCATION ?auto_33278 ) ( AIRPLANE ?auto_33281 ) ( AIRPORT ?auto_33280 ) ( AIRPORT ?auto_33278 ) ( DIFFERENT ?auto_33278 ?auto_33280 ) ( LOCATION ?auto_33280 ) ( AIRPORT ?auto_33282 ) ( AT ?auto_33281 ?auto_33282 ) ( DIFFERENT ?auto_33280 ?auto_33282 ) ( TRUCK ?auto_33284 ) ( AT ?auto_33284 ?auto_33280 ) ( IN ?auto_33277 ?auto_33284 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_33277 ?auto_33280 )
      ( DELIVER-PKG ?auto_33277 ?auto_33278 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33303
      ?auto_33304
    )
    :vars
    (
      ?auto_33308
      ?auto_33307
      ?auto_33310
      ?auto_33309
      ?auto_33313
      ?auto_33312
    )
    :precondition
    ( and ( OBJ ?auto_33303 ) ( LOCATION ?auto_33304 ) ( AIRPLANE ?auto_33308 ) ( AIRPORT ?auto_33307 ) ( AIRPORT ?auto_33304 ) ( DIFFERENT ?auto_33304 ?auto_33307 ) ( LOCATION ?auto_33307 ) ( AIRPORT ?auto_33310 ) ( AT ?auto_33308 ?auto_33310 ) ( DIFFERENT ?auto_33307 ?auto_33310 ) ( TRUCK ?auto_33309 ) ( IN ?auto_33303 ?auto_33309 ) ( LOCATION ?auto_33313 ) ( CITY ?auto_33312 ) ( AT ?auto_33309 ?auto_33313 ) ( IN-CITY ?auto_33313 ?auto_33312 ) ( IN-CITY ?auto_33307 ?auto_33312 ) ( DIFFERENT ?auto_33307 ?auto_33313 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33309 ?auto_33313 ?auto_33307 ?auto_33312 )
      ( DELIVER-PKG ?auto_33303 ?auto_33304 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33325
      ?auto_33326
    )
    :vars
    (
      ?auto_33328
      ?auto_33327
      ?auto_33331
      ?auto_33329
      ?auto_33334
      ?auto_33333
      ?auto_33337
      ?auto_33336
    )
    :precondition
    ( and ( OBJ ?auto_33325 ) ( LOCATION ?auto_33326 ) ( AIRPLANE ?auto_33328 ) ( AIRPORT ?auto_33327 ) ( AIRPORT ?auto_33326 ) ( DIFFERENT ?auto_33326 ?auto_33327 ) ( LOCATION ?auto_33327 ) ( AIRPORT ?auto_33331 ) ( AT ?auto_33328 ?auto_33331 ) ( DIFFERENT ?auto_33327 ?auto_33331 ) ( TRUCK ?auto_33329 ) ( IN ?auto_33325 ?auto_33329 ) ( LOCATION ?auto_33334 ) ( CITY ?auto_33333 ) ( IN-CITY ?auto_33334 ?auto_33333 ) ( IN-CITY ?auto_33327 ?auto_33333 ) ( DIFFERENT ?auto_33327 ?auto_33334 ) ( LOCATION ?auto_33337 ) ( CITY ?auto_33336 ) ( AT ?auto_33329 ?auto_33337 ) ( IN-CITY ?auto_33337 ?auto_33336 ) ( IN-CITY ?auto_33334 ?auto_33336 ) ( DIFFERENT ?auto_33334 ?auto_33337 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33329 ?auto_33337 ?auto_33334 ?auto_33336 )
      ( DELIVER-PKG ?auto_33325 ?auto_33326 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33363
      ?auto_33364
    )
    :vars
    (
      ?auto_33366
      ?auto_33372
      ?auto_33367
      ?auto_33365
      ?auto_33370
      ?auto_33369
      ?auto_33374
      ?auto_33371
      ?auto_33376
    )
    :precondition
    ( and ( OBJ ?auto_33363 ) ( LOCATION ?auto_33364 ) ( AIRPLANE ?auto_33366 ) ( AIRPORT ?auto_33372 ) ( AIRPORT ?auto_33364 ) ( DIFFERENT ?auto_33364 ?auto_33372 ) ( LOCATION ?auto_33372 ) ( AIRPORT ?auto_33367 ) ( AT ?auto_33366 ?auto_33367 ) ( DIFFERENT ?auto_33372 ?auto_33367 ) ( TRUCK ?auto_33365 ) ( LOCATION ?auto_33370 ) ( CITY ?auto_33369 ) ( IN-CITY ?auto_33370 ?auto_33369 ) ( IN-CITY ?auto_33372 ?auto_33369 ) ( DIFFERENT ?auto_33372 ?auto_33370 ) ( LOCATION ?auto_33374 ) ( CITY ?auto_33371 ) ( AT ?auto_33365 ?auto_33374 ) ( IN-CITY ?auto_33374 ?auto_33371 ) ( IN-CITY ?auto_33370 ?auto_33371 ) ( DIFFERENT ?auto_33370 ?auto_33374 ) ( LOCATION ?auto_33376 ) ( AT ?auto_33365 ?auto_33376 ) ( AT ?auto_33363 ?auto_33376 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_33363 ?auto_33365 ?auto_33376 )
      ( DELIVER-PKG ?auto_33363 ?auto_33364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33617
      ?auto_33618
    )
    :vars
    (
      ?auto_33619
      ?auto_33623
      ?auto_33625
      ?auto_33629
      ?auto_33628
      ?auto_33620
      ?auto_33627
      ?auto_33630
      ?auto_33622
      ?auto_33624
      ?auto_33632
    )
    :precondition
    ( and ( OBJ ?auto_33617 ) ( LOCATION ?auto_33618 ) ( AIRPLANE ?auto_33619 ) ( AIRPORT ?auto_33623 ) ( AIRPORT ?auto_33618 ) ( DIFFERENT ?auto_33618 ?auto_33623 ) ( LOCATION ?auto_33623 ) ( AIRPLANE ?auto_33625 ) ( AT ?auto_33625 ?auto_33623 ) ( LOCATION ?auto_33629 ) ( AT ?auto_33625 ?auto_33629 ) ( AIRPLANE ?auto_33628 ) ( AT ?auto_33628 ?auto_33629 ) ( LOCATION ?auto_33620 ) ( AT ?auto_33628 ?auto_33620 ) ( AIRPLANE ?auto_33627 ) ( AT ?auto_33627 ?auto_33620 ) ( AT ?auto_33627 ?auto_33623 ) ( AIRPORT ?auto_33630 ) ( AT ?auto_33619 ?auto_33630 ) ( DIFFERENT ?auto_33623 ?auto_33630 ) ( LOCATION ?auto_33622 ) ( AT ?auto_33619 ?auto_33622 ) ( AIRPLANE ?auto_33624 ) ( AT ?auto_33624 ?auto_33622 ) ( LOCATION ?auto_33632 ) ( AT ?auto_33617 ?auto_33632 ) ( AT ?auto_33624 ?auto_33632 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_33617 ?auto_33624 ?auto_33632 )
      ( DELIVER-PKG ?auto_33617 ?auto_33618 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33601
      ?auto_33602
    )
    :vars
    (
      ?auto_33613
      ?auto_33607
      ?auto_33603
      ?auto_33606
      ?auto_33611
      ?auto_33609
      ?auto_33612
      ?auto_33605
      ?auto_33608
      ?auto_33615
    )
    :precondition
    ( and ( OBJ ?auto_33601 ) ( LOCATION ?auto_33602 ) ( AIRPLANE ?auto_33613 ) ( AIRPORT ?auto_33607 ) ( AIRPORT ?auto_33602 ) ( DIFFERENT ?auto_33602 ?auto_33607 ) ( LOCATION ?auto_33607 ) ( AIRPLANE ?auto_33603 ) ( AT ?auto_33603 ?auto_33607 ) ( LOCATION ?auto_33606 ) ( AT ?auto_33603 ?auto_33606 ) ( AIRPLANE ?auto_33611 ) ( AT ?auto_33611 ?auto_33606 ) ( LOCATION ?auto_33609 ) ( AT ?auto_33611 ?auto_33609 ) ( AIRPLANE ?auto_33612 ) ( AT ?auto_33612 ?auto_33609 ) ( AT ?auto_33612 ?auto_33607 ) ( AIRPORT ?auto_33605 ) ( AT ?auto_33613 ?auto_33605 ) ( DIFFERENT ?auto_33607 ?auto_33605 ) ( LOCATION ?auto_33608 ) ( AT ?auto_33613 ?auto_33608 ) ( AIRPLANE ?auto_33615 ) ( IN ?auto_33601 ?auto_33615 ) ( AT ?auto_33615 ?auto_33608 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_33601 ?auto_33608 )
      ( DELIVER-PKG ?auto_33601 ?auto_33602 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33649
      ?auto_33650
    )
    :vars
    (
      ?auto_33651
      ?auto_33656
      ?auto_33652
      ?auto_33661
      ?auto_33654
      ?auto_33663
      ?auto_33658
      ?auto_33659
      ?auto_33657
      ?auto_33662
      ?auto_33655
      ?auto_33664
    )
    :precondition
    ( and ( OBJ ?auto_33649 ) ( LOCATION ?auto_33650 ) ( AIRPLANE ?auto_33651 ) ( AIRPORT ?auto_33656 ) ( AIRPORT ?auto_33650 ) ( DIFFERENT ?auto_33650 ?auto_33656 ) ( LOCATION ?auto_33656 ) ( AIRPLANE ?auto_33652 ) ( AT ?auto_33652 ?auto_33656 ) ( LOCATION ?auto_33661 ) ( AT ?auto_33652 ?auto_33661 ) ( AIRPLANE ?auto_33654 ) ( AT ?auto_33654 ?auto_33661 ) ( LOCATION ?auto_33663 ) ( AT ?auto_33654 ?auto_33663 ) ( AIRPLANE ?auto_33658 ) ( AT ?auto_33658 ?auto_33663 ) ( AT ?auto_33658 ?auto_33656 ) ( AIRPORT ?auto_33659 ) ( AT ?auto_33651 ?auto_33659 ) ( DIFFERENT ?auto_33656 ?auto_33659 ) ( LOCATION ?auto_33657 ) ( AT ?auto_33651 ?auto_33657 ) ( AIRPLANE ?auto_33662 ) ( AT ?auto_33662 ?auto_33657 ) ( LOCATION ?auto_33655 ) ( AT ?auto_33662 ?auto_33655 ) ( TRUCK ?auto_33664 ) ( AT ?auto_33664 ?auto_33655 ) ( IN ?auto_33649 ?auto_33664 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_33649 ?auto_33655 )
      ( DELIVER-PKG ?auto_33649 ?auto_33650 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33699
      ?auto_33700
    )
    :vars
    (
      ?auto_33710
      ?auto_33702
      ?auto_33708
      ?auto_33703
      ?auto_33713
      ?auto_33711
      ?auto_33706
      ?auto_33707
      ?auto_33705
      ?auto_33704
      ?auto_33701
      ?auto_33714
      ?auto_33717
      ?auto_33716
    )
    :precondition
    ( and ( OBJ ?auto_33699 ) ( LOCATION ?auto_33700 ) ( AIRPLANE ?auto_33710 ) ( AIRPORT ?auto_33702 ) ( AIRPORT ?auto_33700 ) ( DIFFERENT ?auto_33700 ?auto_33702 ) ( LOCATION ?auto_33702 ) ( AIRPLANE ?auto_33708 ) ( AT ?auto_33708 ?auto_33702 ) ( LOCATION ?auto_33703 ) ( AT ?auto_33708 ?auto_33703 ) ( AIRPLANE ?auto_33713 ) ( AT ?auto_33713 ?auto_33703 ) ( LOCATION ?auto_33711 ) ( AT ?auto_33713 ?auto_33711 ) ( AIRPLANE ?auto_33706 ) ( AT ?auto_33706 ?auto_33711 ) ( AT ?auto_33706 ?auto_33702 ) ( AIRPORT ?auto_33707 ) ( AT ?auto_33710 ?auto_33707 ) ( DIFFERENT ?auto_33702 ?auto_33707 ) ( LOCATION ?auto_33705 ) ( AT ?auto_33710 ?auto_33705 ) ( AIRPLANE ?auto_33704 ) ( AT ?auto_33704 ?auto_33705 ) ( LOCATION ?auto_33701 ) ( AT ?auto_33704 ?auto_33701 ) ( TRUCK ?auto_33714 ) ( IN ?auto_33699 ?auto_33714 ) ( LOCATION ?auto_33717 ) ( CITY ?auto_33716 ) ( AT ?auto_33714 ?auto_33717 ) ( IN-CITY ?auto_33717 ?auto_33716 ) ( IN-CITY ?auto_33701 ?auto_33716 ) ( DIFFERENT ?auto_33701 ?auto_33717 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33714 ?auto_33717 ?auto_33701 ?auto_33716 )
      ( DELIVER-PKG ?auto_33699 ?auto_33700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33755
      ?auto_33756
    )
    :vars
    (
      ?auto_33764
      ?auto_33771
      ?auto_33763
      ?auto_33765
      ?auto_33760
      ?auto_33758
      ?auto_33767
      ?auto_33768
      ?auto_33766
      ?auto_33769
      ?auto_33762
      ?auto_33761
      ?auto_33772
      ?auto_33759
      ?auto_33774
    )
    :precondition
    ( and ( OBJ ?auto_33755 ) ( LOCATION ?auto_33756 ) ( AIRPLANE ?auto_33764 ) ( AIRPORT ?auto_33771 ) ( AIRPORT ?auto_33756 ) ( DIFFERENT ?auto_33756 ?auto_33771 ) ( LOCATION ?auto_33771 ) ( AIRPLANE ?auto_33763 ) ( AT ?auto_33763 ?auto_33771 ) ( LOCATION ?auto_33765 ) ( AT ?auto_33763 ?auto_33765 ) ( AIRPLANE ?auto_33760 ) ( AT ?auto_33760 ?auto_33765 ) ( LOCATION ?auto_33758 ) ( AT ?auto_33760 ?auto_33758 ) ( AIRPLANE ?auto_33767 ) ( AT ?auto_33767 ?auto_33758 ) ( AT ?auto_33767 ?auto_33771 ) ( AIRPORT ?auto_33768 ) ( AT ?auto_33764 ?auto_33768 ) ( DIFFERENT ?auto_33771 ?auto_33768 ) ( LOCATION ?auto_33766 ) ( AT ?auto_33764 ?auto_33766 ) ( AIRPLANE ?auto_33769 ) ( AT ?auto_33769 ?auto_33766 ) ( LOCATION ?auto_33762 ) ( AT ?auto_33769 ?auto_33762 ) ( TRUCK ?auto_33761 ) ( LOCATION ?auto_33772 ) ( CITY ?auto_33759 ) ( AT ?auto_33761 ?auto_33772 ) ( IN-CITY ?auto_33772 ?auto_33759 ) ( IN-CITY ?auto_33762 ?auto_33759 ) ( DIFFERENT ?auto_33762 ?auto_33772 ) ( LOCATION ?auto_33774 ) ( AT ?auto_33761 ?auto_33774 ) ( AT ?auto_33755 ?auto_33774 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_33755 ?auto_33761 ?auto_33774 )
      ( DELIVER-PKG ?auto_33755 ?auto_33756 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33795
      ?auto_33796
    )
    :vars
    (
      ?auto_33806
      ?auto_33812
      ?auto_33805
      ?auto_33807
      ?auto_33800
      ?auto_33798
      ?auto_33809
      ?auto_33810
      ?auto_33808
      ?auto_33811
      ?auto_33803
      ?auto_33802
      ?auto_33804
      ?auto_33799
      ?auto_33816
      ?auto_33815
    )
    :precondition
    ( and ( OBJ ?auto_33795 ) ( LOCATION ?auto_33796 ) ( AIRPLANE ?auto_33806 ) ( AIRPORT ?auto_33812 ) ( AIRPORT ?auto_33796 ) ( DIFFERENT ?auto_33796 ?auto_33812 ) ( LOCATION ?auto_33812 ) ( AIRPLANE ?auto_33805 ) ( AT ?auto_33805 ?auto_33812 ) ( LOCATION ?auto_33807 ) ( AT ?auto_33805 ?auto_33807 ) ( AIRPLANE ?auto_33800 ) ( AT ?auto_33800 ?auto_33807 ) ( LOCATION ?auto_33798 ) ( AT ?auto_33800 ?auto_33798 ) ( AIRPLANE ?auto_33809 ) ( AT ?auto_33809 ?auto_33798 ) ( AT ?auto_33809 ?auto_33812 ) ( AIRPORT ?auto_33810 ) ( AT ?auto_33806 ?auto_33810 ) ( DIFFERENT ?auto_33812 ?auto_33810 ) ( LOCATION ?auto_33808 ) ( AT ?auto_33806 ?auto_33808 ) ( AIRPLANE ?auto_33811 ) ( AT ?auto_33811 ?auto_33808 ) ( LOCATION ?auto_33803 ) ( AT ?auto_33811 ?auto_33803 ) ( TRUCK ?auto_33802 ) ( LOCATION ?auto_33804 ) ( CITY ?auto_33799 ) ( IN-CITY ?auto_33804 ?auto_33799 ) ( IN-CITY ?auto_33803 ?auto_33799 ) ( DIFFERENT ?auto_33803 ?auto_33804 ) ( AT ?auto_33795 ?auto_33804 ) ( LOCATION ?auto_33816 ) ( CITY ?auto_33815 ) ( AT ?auto_33802 ?auto_33816 ) ( IN-CITY ?auto_33816 ?auto_33815 ) ( IN-CITY ?auto_33804 ?auto_33815 ) ( DIFFERENT ?auto_33804 ?auto_33816 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33802 ?auto_33816 ?auto_33804 ?auto_33815 )
      ( DELIVER-PKG ?auto_33795 ?auto_33796 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33818
      ?auto_33819
    )
    :vars
    (
      ?auto_33831
      ?auto_33820
      ?auto_33834
      ?auto_33835
      ?auto_33833
      ?auto_33824
      ?auto_33828
      ?auto_33827
      ?auto_33829
      ?auto_33822
      ?auto_33837
      ?auto_33823
      ?auto_33839
    )
    :precondition
    ( and ( OBJ ?auto_33818 ) ( LOCATION ?auto_33819 ) ( AIRPLANE ?auto_33831 ) ( AIRPORT ?auto_33820 ) ( AIRPORT ?auto_33819 ) ( DIFFERENT ?auto_33819 ?auto_33820 ) ( LOCATION ?auto_33820 ) ( AIRPLANE ?auto_33834 ) ( AIRPORT ?auto_33835 ) ( AT ?auto_33831 ?auto_33835 ) ( DIFFERENT ?auto_33820 ?auto_33835 ) ( LOCATION ?auto_33833 ) ( AT ?auto_33831 ?auto_33833 ) ( AIRPLANE ?auto_33824 ) ( AT ?auto_33824 ?auto_33833 ) ( LOCATION ?auto_33828 ) ( AT ?auto_33824 ?auto_33828 ) ( TRUCK ?auto_33827 ) ( LOCATION ?auto_33829 ) ( CITY ?auto_33822 ) ( IN-CITY ?auto_33829 ?auto_33822 ) ( IN-CITY ?auto_33828 ?auto_33822 ) ( DIFFERENT ?auto_33828 ?auto_33829 ) ( AT ?auto_33818 ?auto_33829 ) ( LOCATION ?auto_33837 ) ( CITY ?auto_33823 ) ( AT ?auto_33827 ?auto_33837 ) ( IN-CITY ?auto_33837 ?auto_33823 ) ( IN-CITY ?auto_33829 ?auto_33823 ) ( DIFFERENT ?auto_33829 ?auto_33837 ) ( AIRPORT ?auto_33839 ) ( AT ?auto_33834 ?auto_33839 ) ( DIFFERENT ?auto_33820 ?auto_33839 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33834 ?auto_33839 ?auto_33820 )
      ( DELIVER-PKG ?auto_33818 ?auto_33819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33858
      ?auto_33859
    )
    :vars
    (
      ?auto_33869
      ?auto_33866
      ?auto_33872
      ?auto_33873
      ?auto_33867
      ?auto_33874
      ?auto_33860
      ?auto_33868
      ?auto_33863
      ?auto_33870
      ?auto_33865
      ?auto_33871
      ?auto_33861
      ?auto_33877
      ?auto_33876
    )
    :precondition
    ( and ( OBJ ?auto_33858 ) ( LOCATION ?auto_33859 ) ( AIRPLANE ?auto_33869 ) ( AIRPORT ?auto_33866 ) ( AIRPORT ?auto_33859 ) ( DIFFERENT ?auto_33859 ?auto_33866 ) ( LOCATION ?auto_33866 ) ( AIRPLANE ?auto_33872 ) ( AIRPORT ?auto_33873 ) ( AT ?auto_33869 ?auto_33873 ) ( DIFFERENT ?auto_33866 ?auto_33873 ) ( LOCATION ?auto_33867 ) ( AT ?auto_33869 ?auto_33867 ) ( AIRPLANE ?auto_33874 ) ( AT ?auto_33874 ?auto_33867 ) ( LOCATION ?auto_33860 ) ( AT ?auto_33874 ?auto_33860 ) ( TRUCK ?auto_33868 ) ( LOCATION ?auto_33863 ) ( CITY ?auto_33870 ) ( IN-CITY ?auto_33863 ?auto_33870 ) ( IN-CITY ?auto_33860 ?auto_33870 ) ( DIFFERENT ?auto_33860 ?auto_33863 ) ( AT ?auto_33858 ?auto_33863 ) ( LOCATION ?auto_33865 ) ( CITY ?auto_33871 ) ( IN-CITY ?auto_33865 ?auto_33871 ) ( IN-CITY ?auto_33863 ?auto_33871 ) ( DIFFERENT ?auto_33863 ?auto_33865 ) ( AIRPORT ?auto_33861 ) ( AT ?auto_33872 ?auto_33861 ) ( DIFFERENT ?auto_33866 ?auto_33861 ) ( LOCATION ?auto_33877 ) ( CITY ?auto_33876 ) ( AT ?auto_33868 ?auto_33877 ) ( IN-CITY ?auto_33877 ?auto_33876 ) ( IN-CITY ?auto_33865 ?auto_33876 ) ( DIFFERENT ?auto_33865 ?auto_33877 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33868 ?auto_33877 ?auto_33865 ?auto_33876 )
      ( DELIVER-PKG ?auto_33858 ?auto_33859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34589
      ?auto_34590
    )
    :vars
    (
      ?auto_34593
      ?auto_34591
      ?auto_34595
      ?auto_34599
      ?auto_34597
      ?auto_34596
      ?auto_34594
      ?auto_34600
    )
    :precondition
    ( and ( OBJ ?auto_34589 ) ( LOCATION ?auto_34590 ) ( TRUCK ?auto_34593 ) ( LOCATION ?auto_34591 ) ( CITY ?auto_34595 ) ( AT ?auto_34593 ?auto_34591 ) ( IN-CITY ?auto_34591 ?auto_34595 ) ( IN-CITY ?auto_34590 ?auto_34595 ) ( DIFFERENT ?auto_34590 ?auto_34591 ) ( LOCATION ?auto_34599 ) ( AT ?auto_34593 ?auto_34599 ) ( AIRPLANE ?auto_34597 ) ( AIRPORT ?auto_34596 ) ( AIRPORT ?auto_34599 ) ( DIFFERENT ?auto_34599 ?auto_34596 ) ( LOCATION ?auto_34596 ) ( AIRPORT ?auto_34594 ) ( AT ?auto_34597 ?auto_34594 ) ( DIFFERENT ?auto_34596 ?auto_34594 ) ( TRUCK ?auto_34600 ) ( AT ?auto_34600 ?auto_34596 ) ( IN ?auto_34589 ?auto_34600 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_34589 ?auto_34596 )
      ( DELIVER-PKG ?auto_34589 ?auto_34590 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34627
      ?auto_34628
    )
    :vars
    (
      ?auto_34631
      ?auto_34638
      ?auto_34633
      ?auto_34637
      ?auto_34635
      ?auto_34634
      ?auto_34632
      ?auto_34636
      ?auto_34641
      ?auto_34640
    )
    :precondition
    ( and ( OBJ ?auto_34627 ) ( LOCATION ?auto_34628 ) ( TRUCK ?auto_34631 ) ( LOCATION ?auto_34638 ) ( CITY ?auto_34633 ) ( AT ?auto_34631 ?auto_34638 ) ( IN-CITY ?auto_34638 ?auto_34633 ) ( IN-CITY ?auto_34628 ?auto_34633 ) ( DIFFERENT ?auto_34628 ?auto_34638 ) ( LOCATION ?auto_34637 ) ( AT ?auto_34631 ?auto_34637 ) ( AIRPLANE ?auto_34635 ) ( AIRPORT ?auto_34634 ) ( AIRPORT ?auto_34637 ) ( DIFFERENT ?auto_34637 ?auto_34634 ) ( LOCATION ?auto_34634 ) ( AIRPORT ?auto_34632 ) ( AT ?auto_34635 ?auto_34632 ) ( DIFFERENT ?auto_34634 ?auto_34632 ) ( TRUCK ?auto_34636 ) ( IN ?auto_34627 ?auto_34636 ) ( LOCATION ?auto_34641 ) ( CITY ?auto_34640 ) ( AT ?auto_34636 ?auto_34641 ) ( IN-CITY ?auto_34641 ?auto_34640 ) ( IN-CITY ?auto_34634 ?auto_34640 ) ( DIFFERENT ?auto_34634 ?auto_34641 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34636 ?auto_34641 ?auto_34634 ?auto_34640 )
      ( DELIVER-PKG ?auto_34627 ?auto_34628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34657
      ?auto_34658
    )
    :vars
    (
      ?auto_34661
      ?auto_34668
      ?auto_34663
      ?auto_34667
      ?auto_34665
      ?auto_34664
      ?auto_34662
      ?auto_34666
      ?auto_34670
      ?auto_34669
      ?auto_34673
      ?auto_34672
    )
    :precondition
    ( and ( OBJ ?auto_34657 ) ( LOCATION ?auto_34658 ) ( TRUCK ?auto_34661 ) ( LOCATION ?auto_34668 ) ( CITY ?auto_34663 ) ( AT ?auto_34661 ?auto_34668 ) ( IN-CITY ?auto_34668 ?auto_34663 ) ( IN-CITY ?auto_34658 ?auto_34663 ) ( DIFFERENT ?auto_34658 ?auto_34668 ) ( LOCATION ?auto_34667 ) ( AT ?auto_34661 ?auto_34667 ) ( AIRPLANE ?auto_34665 ) ( AIRPORT ?auto_34664 ) ( AIRPORT ?auto_34667 ) ( DIFFERENT ?auto_34667 ?auto_34664 ) ( LOCATION ?auto_34664 ) ( AIRPORT ?auto_34662 ) ( AT ?auto_34665 ?auto_34662 ) ( DIFFERENT ?auto_34664 ?auto_34662 ) ( TRUCK ?auto_34666 ) ( IN ?auto_34657 ?auto_34666 ) ( LOCATION ?auto_34670 ) ( CITY ?auto_34669 ) ( IN-CITY ?auto_34670 ?auto_34669 ) ( IN-CITY ?auto_34664 ?auto_34669 ) ( DIFFERENT ?auto_34664 ?auto_34670 ) ( LOCATION ?auto_34673 ) ( CITY ?auto_34672 ) ( AT ?auto_34666 ?auto_34673 ) ( IN-CITY ?auto_34673 ?auto_34672 ) ( IN-CITY ?auto_34670 ?auto_34672 ) ( DIFFERENT ?auto_34670 ?auto_34673 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34666 ?auto_34673 ?auto_34670 ?auto_34672 )
      ( DELIVER-PKG ?auto_34657 ?auto_34658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34707
      ?auto_34708
    )
    :vars
    (
      ?auto_34719
      ?auto_34716
      ?auto_34710
      ?auto_34715
      ?auto_34713
      ?auto_34711
      ?auto_34712
      ?auto_34714
      ?auto_34718
      ?auto_34717
      ?auto_34722
      ?auto_34721
      ?auto_34724
    )
    :precondition
    ( and ( OBJ ?auto_34707 ) ( LOCATION ?auto_34708 ) ( TRUCK ?auto_34719 ) ( LOCATION ?auto_34716 ) ( CITY ?auto_34710 ) ( AT ?auto_34719 ?auto_34716 ) ( IN-CITY ?auto_34716 ?auto_34710 ) ( IN-CITY ?auto_34708 ?auto_34710 ) ( DIFFERENT ?auto_34708 ?auto_34716 ) ( LOCATION ?auto_34715 ) ( AT ?auto_34719 ?auto_34715 ) ( AIRPLANE ?auto_34713 ) ( AIRPORT ?auto_34711 ) ( AIRPORT ?auto_34715 ) ( DIFFERENT ?auto_34715 ?auto_34711 ) ( LOCATION ?auto_34711 ) ( AIRPORT ?auto_34712 ) ( AT ?auto_34713 ?auto_34712 ) ( DIFFERENT ?auto_34711 ?auto_34712 ) ( TRUCK ?auto_34714 ) ( LOCATION ?auto_34718 ) ( CITY ?auto_34717 ) ( IN-CITY ?auto_34718 ?auto_34717 ) ( IN-CITY ?auto_34711 ?auto_34717 ) ( DIFFERENT ?auto_34711 ?auto_34718 ) ( LOCATION ?auto_34722 ) ( CITY ?auto_34721 ) ( AT ?auto_34714 ?auto_34722 ) ( IN-CITY ?auto_34722 ?auto_34721 ) ( IN-CITY ?auto_34718 ?auto_34721 ) ( DIFFERENT ?auto_34718 ?auto_34722 ) ( LOCATION ?auto_34724 ) ( AT ?auto_34714 ?auto_34724 ) ( AT ?auto_34707 ?auto_34724 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_34707 ?auto_34714 ?auto_34724 )
      ( DELIVER-PKG ?auto_34707 ?auto_34708 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35092
      ?auto_35093
    )
    :vars
    (
      ?auto_35098
      ?auto_35103
      ?auto_35109
      ?auto_35095
      ?auto_35101
      ?auto_35096
      ?auto_35094
      ?auto_35108
      ?auto_35107
      ?auto_35097
      ?auto_35106
      ?auto_35099
      ?auto_35105
      ?auto_35102
      ?auto_35111
    )
    :precondition
    ( and ( OBJ ?auto_35092 ) ( LOCATION ?auto_35093 ) ( TRUCK ?auto_35098 ) ( LOCATION ?auto_35103 ) ( CITY ?auto_35109 ) ( AT ?auto_35098 ?auto_35103 ) ( IN-CITY ?auto_35103 ?auto_35109 ) ( IN-CITY ?auto_35093 ?auto_35109 ) ( DIFFERENT ?auto_35093 ?auto_35103 ) ( LOCATION ?auto_35095 ) ( AT ?auto_35098 ?auto_35095 ) ( AIRPLANE ?auto_35101 ) ( AIRPORT ?auto_35096 ) ( AIRPORT ?auto_35095 ) ( DIFFERENT ?auto_35095 ?auto_35096 ) ( LOCATION ?auto_35096 ) ( AIRPLANE ?auto_35094 ) ( AT ?auto_35094 ?auto_35096 ) ( LOCATION ?auto_35108 ) ( AT ?auto_35094 ?auto_35108 ) ( AIRPLANE ?auto_35107 ) ( AT ?auto_35107 ?auto_35108 ) ( LOCATION ?auto_35097 ) ( AT ?auto_35107 ?auto_35097 ) ( AIRPLANE ?auto_35106 ) ( AT ?auto_35106 ?auto_35097 ) ( AT ?auto_35106 ?auto_35096 ) ( AIRPORT ?auto_35099 ) ( AT ?auto_35101 ?auto_35099 ) ( DIFFERENT ?auto_35096 ?auto_35099 ) ( LOCATION ?auto_35105 ) ( AT ?auto_35101 ?auto_35105 ) ( AIRPLANE ?auto_35102 ) ( AT ?auto_35102 ?auto_35105 ) ( LOCATION ?auto_35111 ) ( AT ?auto_35092 ?auto_35111 ) ( AT ?auto_35102 ?auto_35111 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_35092 ?auto_35102 ?auto_35111 )
      ( DELIVER-PKG ?auto_35092 ?auto_35093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35072
      ?auto_35073
    )
    :vars
    (
      ?auto_35088
      ?auto_35074
      ?auto_35079
      ?auto_35080
      ?auto_35082
      ?auto_35085
      ?auto_35087
      ?auto_35078
      ?auto_35084
      ?auto_35086
      ?auto_35076
      ?auto_35075
      ?auto_35081
      ?auto_35090
    )
    :precondition
    ( and ( OBJ ?auto_35072 ) ( LOCATION ?auto_35073 ) ( TRUCK ?auto_35088 ) ( LOCATION ?auto_35074 ) ( CITY ?auto_35079 ) ( AT ?auto_35088 ?auto_35074 ) ( IN-CITY ?auto_35074 ?auto_35079 ) ( IN-CITY ?auto_35073 ?auto_35079 ) ( DIFFERENT ?auto_35073 ?auto_35074 ) ( LOCATION ?auto_35080 ) ( AT ?auto_35088 ?auto_35080 ) ( AIRPLANE ?auto_35082 ) ( AIRPORT ?auto_35085 ) ( AIRPORT ?auto_35080 ) ( DIFFERENT ?auto_35080 ?auto_35085 ) ( LOCATION ?auto_35085 ) ( AIRPLANE ?auto_35087 ) ( AT ?auto_35087 ?auto_35085 ) ( LOCATION ?auto_35078 ) ( AT ?auto_35087 ?auto_35078 ) ( AIRPLANE ?auto_35084 ) ( AT ?auto_35084 ?auto_35078 ) ( LOCATION ?auto_35086 ) ( AT ?auto_35084 ?auto_35086 ) ( AIRPLANE ?auto_35076 ) ( AT ?auto_35076 ?auto_35086 ) ( AT ?auto_35076 ?auto_35085 ) ( AIRPORT ?auto_35075 ) ( AT ?auto_35082 ?auto_35075 ) ( DIFFERENT ?auto_35085 ?auto_35075 ) ( LOCATION ?auto_35081 ) ( AT ?auto_35082 ?auto_35081 ) ( AIRPLANE ?auto_35090 ) ( IN ?auto_35072 ?auto_35090 ) ( AT ?auto_35090 ?auto_35081 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35072 ?auto_35081 )
      ( DELIVER-PKG ?auto_35072 ?auto_35073 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35132
      ?auto_35133
    )
    :vars
    (
      ?auto_35149
      ?auto_35145
      ?auto_35141
      ?auto_35146
      ?auto_35144
      ?auto_35147
      ?auto_35143
      ?auto_35140
      ?auto_35135
      ?auto_35148
      ?auto_35142
      ?auto_35150
      ?auto_35136
      ?auto_35138
      ?auto_35137
      ?auto_35151
    )
    :precondition
    ( and ( OBJ ?auto_35132 ) ( LOCATION ?auto_35133 ) ( TRUCK ?auto_35149 ) ( LOCATION ?auto_35145 ) ( CITY ?auto_35141 ) ( AT ?auto_35149 ?auto_35145 ) ( IN-CITY ?auto_35145 ?auto_35141 ) ( IN-CITY ?auto_35133 ?auto_35141 ) ( DIFFERENT ?auto_35133 ?auto_35145 ) ( LOCATION ?auto_35146 ) ( AT ?auto_35149 ?auto_35146 ) ( AIRPLANE ?auto_35144 ) ( AIRPORT ?auto_35147 ) ( AIRPORT ?auto_35146 ) ( DIFFERENT ?auto_35146 ?auto_35147 ) ( LOCATION ?auto_35147 ) ( AIRPLANE ?auto_35143 ) ( AT ?auto_35143 ?auto_35147 ) ( LOCATION ?auto_35140 ) ( AT ?auto_35143 ?auto_35140 ) ( AIRPLANE ?auto_35135 ) ( AT ?auto_35135 ?auto_35140 ) ( LOCATION ?auto_35148 ) ( AT ?auto_35135 ?auto_35148 ) ( AIRPLANE ?auto_35142 ) ( AT ?auto_35142 ?auto_35148 ) ( AT ?auto_35142 ?auto_35147 ) ( AIRPORT ?auto_35150 ) ( AT ?auto_35144 ?auto_35150 ) ( DIFFERENT ?auto_35147 ?auto_35150 ) ( LOCATION ?auto_35136 ) ( AT ?auto_35144 ?auto_35136 ) ( AIRPLANE ?auto_35138 ) ( AT ?auto_35138 ?auto_35136 ) ( LOCATION ?auto_35137 ) ( AT ?auto_35138 ?auto_35137 ) ( TRUCK ?auto_35151 ) ( AT ?auto_35151 ?auto_35137 ) ( IN ?auto_35132 ?auto_35151 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35132 ?auto_35137 )
      ( DELIVER-PKG ?auto_35132 ?auto_35133 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35194
      ?auto_35195
    )
    :vars
    (
      ?auto_35210
      ?auto_35206
      ?auto_35198
      ?auto_35207
      ?auto_35204
      ?auto_35208
      ?auto_35203
      ?auto_35211
      ?auto_35212
      ?auto_35209
      ?auto_35202
      ?auto_35199
      ?auto_35197
      ?auto_35196
      ?auto_35201
      ?auto_35213
      ?auto_35216
      ?auto_35215
    )
    :precondition
    ( and ( OBJ ?auto_35194 ) ( LOCATION ?auto_35195 ) ( TRUCK ?auto_35210 ) ( LOCATION ?auto_35206 ) ( CITY ?auto_35198 ) ( AT ?auto_35210 ?auto_35206 ) ( IN-CITY ?auto_35206 ?auto_35198 ) ( IN-CITY ?auto_35195 ?auto_35198 ) ( DIFFERENT ?auto_35195 ?auto_35206 ) ( LOCATION ?auto_35207 ) ( AT ?auto_35210 ?auto_35207 ) ( AIRPLANE ?auto_35204 ) ( AIRPORT ?auto_35208 ) ( AIRPORT ?auto_35207 ) ( DIFFERENT ?auto_35207 ?auto_35208 ) ( LOCATION ?auto_35208 ) ( AIRPLANE ?auto_35203 ) ( AT ?auto_35203 ?auto_35208 ) ( LOCATION ?auto_35211 ) ( AT ?auto_35203 ?auto_35211 ) ( AIRPLANE ?auto_35212 ) ( AT ?auto_35212 ?auto_35211 ) ( LOCATION ?auto_35209 ) ( AT ?auto_35212 ?auto_35209 ) ( AIRPLANE ?auto_35202 ) ( AT ?auto_35202 ?auto_35209 ) ( AT ?auto_35202 ?auto_35208 ) ( AIRPORT ?auto_35199 ) ( AT ?auto_35204 ?auto_35199 ) ( DIFFERENT ?auto_35208 ?auto_35199 ) ( LOCATION ?auto_35197 ) ( AT ?auto_35204 ?auto_35197 ) ( AIRPLANE ?auto_35196 ) ( AT ?auto_35196 ?auto_35197 ) ( LOCATION ?auto_35201 ) ( AT ?auto_35196 ?auto_35201 ) ( TRUCK ?auto_35213 ) ( IN ?auto_35194 ?auto_35213 ) ( LOCATION ?auto_35216 ) ( CITY ?auto_35215 ) ( AT ?auto_35213 ?auto_35216 ) ( IN-CITY ?auto_35216 ?auto_35215 ) ( IN-CITY ?auto_35201 ?auto_35215 ) ( DIFFERENT ?auto_35201 ?auto_35216 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35213 ?auto_35216 ?auto_35201 ?auto_35215 )
      ( DELIVER-PKG ?auto_35194 ?auto_35195 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35262
      ?auto_35263
    )
    :vars
    (
      ?auto_35268
      ?auto_35276
      ?auto_35266
      ?auto_35277
      ?auto_35275
      ?auto_35278
      ?auto_35274
      ?auto_35269
      ?auto_35271
      ?auto_35279
      ?auto_35273
      ?auto_35267
      ?auto_35265
      ?auto_35264
      ?auto_35272
      ?auto_35282
      ?auto_35283
      ?auto_35270
      ?auto_35285
    )
    :precondition
    ( and ( OBJ ?auto_35262 ) ( LOCATION ?auto_35263 ) ( TRUCK ?auto_35268 ) ( LOCATION ?auto_35276 ) ( CITY ?auto_35266 ) ( AT ?auto_35268 ?auto_35276 ) ( IN-CITY ?auto_35276 ?auto_35266 ) ( IN-CITY ?auto_35263 ?auto_35266 ) ( DIFFERENT ?auto_35263 ?auto_35276 ) ( LOCATION ?auto_35277 ) ( AT ?auto_35268 ?auto_35277 ) ( AIRPLANE ?auto_35275 ) ( AIRPORT ?auto_35278 ) ( AIRPORT ?auto_35277 ) ( DIFFERENT ?auto_35277 ?auto_35278 ) ( LOCATION ?auto_35278 ) ( AIRPLANE ?auto_35274 ) ( AT ?auto_35274 ?auto_35278 ) ( LOCATION ?auto_35269 ) ( AT ?auto_35274 ?auto_35269 ) ( AIRPLANE ?auto_35271 ) ( AT ?auto_35271 ?auto_35269 ) ( LOCATION ?auto_35279 ) ( AT ?auto_35271 ?auto_35279 ) ( AIRPLANE ?auto_35273 ) ( AT ?auto_35273 ?auto_35279 ) ( AT ?auto_35273 ?auto_35278 ) ( AIRPORT ?auto_35267 ) ( AT ?auto_35275 ?auto_35267 ) ( DIFFERENT ?auto_35278 ?auto_35267 ) ( LOCATION ?auto_35265 ) ( AT ?auto_35275 ?auto_35265 ) ( AIRPLANE ?auto_35264 ) ( AT ?auto_35264 ?auto_35265 ) ( LOCATION ?auto_35272 ) ( AT ?auto_35264 ?auto_35272 ) ( TRUCK ?auto_35282 ) ( LOCATION ?auto_35283 ) ( CITY ?auto_35270 ) ( AT ?auto_35282 ?auto_35283 ) ( IN-CITY ?auto_35283 ?auto_35270 ) ( IN-CITY ?auto_35272 ?auto_35270 ) ( DIFFERENT ?auto_35272 ?auto_35283 ) ( LOCATION ?auto_35285 ) ( AT ?auto_35282 ?auto_35285 ) ( AT ?auto_35262 ?auto_35285 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_35262 ?auto_35282 ?auto_35285 )
      ( DELIVER-PKG ?auto_35262 ?auto_35263 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35310
      ?auto_35311
    )
    :vars
    (
      ?auto_35320
      ?auto_35327
      ?auto_35317
      ?auto_35328
      ?auto_35326
      ?auto_35329
      ?auto_35325
      ?auto_35321
      ?auto_35315
      ?auto_35330
      ?auto_35324
      ?auto_35316
      ?auto_35319
      ?auto_35322
      ?auto_35323
      ?auto_35331
      ?auto_35318
      ?auto_35314
      ?auto_35335
      ?auto_35334
    )
    :precondition
    ( and ( OBJ ?auto_35310 ) ( LOCATION ?auto_35311 ) ( TRUCK ?auto_35320 ) ( LOCATION ?auto_35327 ) ( CITY ?auto_35317 ) ( AT ?auto_35320 ?auto_35327 ) ( IN-CITY ?auto_35327 ?auto_35317 ) ( IN-CITY ?auto_35311 ?auto_35317 ) ( DIFFERENT ?auto_35311 ?auto_35327 ) ( LOCATION ?auto_35328 ) ( AT ?auto_35320 ?auto_35328 ) ( AIRPLANE ?auto_35326 ) ( AIRPORT ?auto_35329 ) ( AIRPORT ?auto_35328 ) ( DIFFERENT ?auto_35328 ?auto_35329 ) ( LOCATION ?auto_35329 ) ( AIRPLANE ?auto_35325 ) ( AT ?auto_35325 ?auto_35329 ) ( LOCATION ?auto_35321 ) ( AT ?auto_35325 ?auto_35321 ) ( AIRPLANE ?auto_35315 ) ( AT ?auto_35315 ?auto_35321 ) ( LOCATION ?auto_35330 ) ( AT ?auto_35315 ?auto_35330 ) ( AIRPLANE ?auto_35324 ) ( AT ?auto_35324 ?auto_35330 ) ( AT ?auto_35324 ?auto_35329 ) ( AIRPORT ?auto_35316 ) ( AT ?auto_35326 ?auto_35316 ) ( DIFFERENT ?auto_35329 ?auto_35316 ) ( LOCATION ?auto_35319 ) ( AT ?auto_35326 ?auto_35319 ) ( AIRPLANE ?auto_35322 ) ( AT ?auto_35322 ?auto_35319 ) ( LOCATION ?auto_35323 ) ( AT ?auto_35322 ?auto_35323 ) ( TRUCK ?auto_35331 ) ( LOCATION ?auto_35318 ) ( CITY ?auto_35314 ) ( IN-CITY ?auto_35318 ?auto_35314 ) ( IN-CITY ?auto_35323 ?auto_35314 ) ( DIFFERENT ?auto_35323 ?auto_35318 ) ( AT ?auto_35310 ?auto_35318 ) ( LOCATION ?auto_35335 ) ( CITY ?auto_35334 ) ( AT ?auto_35331 ?auto_35335 ) ( IN-CITY ?auto_35335 ?auto_35334 ) ( IN-CITY ?auto_35318 ?auto_35334 ) ( DIFFERENT ?auto_35318 ?auto_35335 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35331 ?auto_35335 ?auto_35318 ?auto_35334 )
      ( DELIVER-PKG ?auto_35310 ?auto_35311 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35337
      ?auto_35338
    )
    :vars
    (
      ?auto_35347
      ?auto_35354
      ?auto_35340
      ?auto_35356
      ?auto_35353
      ?auto_35359
      ?auto_35351
      ?auto_35344
      ?auto_35346
      ?auto_35349
      ?auto_35350
      ?auto_35360
      ?auto_35345
      ?auto_35339
      ?auto_35355
      ?auto_35357
      ?auto_35362
    )
    :precondition
    ( and ( OBJ ?auto_35337 ) ( LOCATION ?auto_35338 ) ( TRUCK ?auto_35347 ) ( LOCATION ?auto_35354 ) ( CITY ?auto_35340 ) ( AT ?auto_35347 ?auto_35354 ) ( IN-CITY ?auto_35354 ?auto_35340 ) ( IN-CITY ?auto_35338 ?auto_35340 ) ( DIFFERENT ?auto_35338 ?auto_35354 ) ( LOCATION ?auto_35356 ) ( AT ?auto_35347 ?auto_35356 ) ( AIRPLANE ?auto_35353 ) ( AIRPORT ?auto_35359 ) ( AIRPORT ?auto_35356 ) ( DIFFERENT ?auto_35356 ?auto_35359 ) ( LOCATION ?auto_35359 ) ( AIRPLANE ?auto_35351 ) ( AIRPORT ?auto_35344 ) ( AT ?auto_35353 ?auto_35344 ) ( DIFFERENT ?auto_35359 ?auto_35344 ) ( LOCATION ?auto_35346 ) ( AT ?auto_35353 ?auto_35346 ) ( AIRPLANE ?auto_35349 ) ( AT ?auto_35349 ?auto_35346 ) ( LOCATION ?auto_35350 ) ( AT ?auto_35349 ?auto_35350 ) ( TRUCK ?auto_35360 ) ( LOCATION ?auto_35345 ) ( CITY ?auto_35339 ) ( IN-CITY ?auto_35345 ?auto_35339 ) ( IN-CITY ?auto_35350 ?auto_35339 ) ( DIFFERENT ?auto_35350 ?auto_35345 ) ( AT ?auto_35337 ?auto_35345 ) ( LOCATION ?auto_35355 ) ( CITY ?auto_35357 ) ( AT ?auto_35360 ?auto_35355 ) ( IN-CITY ?auto_35355 ?auto_35357 ) ( IN-CITY ?auto_35345 ?auto_35357 ) ( DIFFERENT ?auto_35345 ?auto_35355 ) ( AIRPORT ?auto_35362 ) ( AT ?auto_35351 ?auto_35362 ) ( DIFFERENT ?auto_35359 ?auto_35362 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_35351 ?auto_35362 ?auto_35359 )
      ( DELIVER-PKG ?auto_35337 ?auto_35338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35385
      ?auto_35386
    )
    :vars
    (
      ?auto_35399
      ?auto_35396
      ?auto_35402
      ?auto_35397
      ?auto_35395
      ?auto_35391
      ?auto_35389
      ?auto_35405
      ?auto_35403
      ?auto_35390
      ?auto_35388
      ?auto_35392
      ?auto_35404
      ?auto_35394
      ?auto_35401
      ?auto_35398
      ?auto_35400
      ?auto_35408
      ?auto_35407
    )
    :precondition
    ( and ( OBJ ?auto_35385 ) ( LOCATION ?auto_35386 ) ( TRUCK ?auto_35399 ) ( LOCATION ?auto_35396 ) ( CITY ?auto_35402 ) ( AT ?auto_35399 ?auto_35396 ) ( IN-CITY ?auto_35396 ?auto_35402 ) ( IN-CITY ?auto_35386 ?auto_35402 ) ( DIFFERENT ?auto_35386 ?auto_35396 ) ( LOCATION ?auto_35397 ) ( AT ?auto_35399 ?auto_35397 ) ( AIRPLANE ?auto_35395 ) ( AIRPORT ?auto_35391 ) ( AIRPORT ?auto_35397 ) ( DIFFERENT ?auto_35397 ?auto_35391 ) ( LOCATION ?auto_35391 ) ( AIRPLANE ?auto_35389 ) ( AIRPORT ?auto_35405 ) ( AT ?auto_35395 ?auto_35405 ) ( DIFFERENT ?auto_35391 ?auto_35405 ) ( LOCATION ?auto_35403 ) ( AT ?auto_35395 ?auto_35403 ) ( AIRPLANE ?auto_35390 ) ( AT ?auto_35390 ?auto_35403 ) ( LOCATION ?auto_35388 ) ( AT ?auto_35390 ?auto_35388 ) ( TRUCK ?auto_35392 ) ( LOCATION ?auto_35404 ) ( CITY ?auto_35394 ) ( IN-CITY ?auto_35404 ?auto_35394 ) ( IN-CITY ?auto_35388 ?auto_35394 ) ( DIFFERENT ?auto_35388 ?auto_35404 ) ( AT ?auto_35385 ?auto_35404 ) ( LOCATION ?auto_35401 ) ( CITY ?auto_35398 ) ( IN-CITY ?auto_35401 ?auto_35398 ) ( IN-CITY ?auto_35404 ?auto_35398 ) ( DIFFERENT ?auto_35404 ?auto_35401 ) ( AIRPORT ?auto_35400 ) ( AT ?auto_35389 ?auto_35400 ) ( DIFFERENT ?auto_35391 ?auto_35400 ) ( LOCATION ?auto_35408 ) ( CITY ?auto_35407 ) ( AT ?auto_35392 ?auto_35408 ) ( IN-CITY ?auto_35408 ?auto_35407 ) ( IN-CITY ?auto_35401 ?auto_35407 ) ( DIFFERENT ?auto_35401 ?auto_35408 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35392 ?auto_35408 ?auto_35401 ?auto_35407 )
      ( DELIVER-PKG ?auto_35385 ?auto_35386 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35696
      ?auto_35701
    )
    :vars
    (
      ?auto_35700
      ?auto_35703
      ?auto_35706
      ?auto_35709
      ?auto_35712
    )
    :precondition
    ( and ( OBJ ?auto_35696 ) ( LOCATION ?auto_35701 ) ( AIRPLANE ?auto_35700 ) ( AIRPORT ?auto_35703 ) ( AIRPORT ?auto_35701 ) ( DIFFERENT ?auto_35701 ?auto_35703 ) ( AIRPORT ?auto_35706 ) ( DIFFERENT ?auto_35703 ?auto_35706 ) ( AIRPORT ?auto_35709 ) ( AT ?auto_35700 ?auto_35709 ) ( DIFFERENT ?auto_35706 ?auto_35709 ) ( TRUCK ?auto_35712 ) ( AT ?auto_35712 ?auto_35701 ) ( IN ?auto_35696 ?auto_35712 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35696 ?auto_35701 )
      ( FLY-AIRPLANE ?auto_35700 ?auto_35709 ?auto_35706 )
      ( FLY-AIRPLANE ?auto_35700 ?auto_35706 ?auto_35703 )
      ( FLY-AIRPLANE ?auto_35700 ?auto_35703 ?auto_35701 )
      ( DELIVER-PKG ?auto_35696 ?auto_35701 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37916
      ?auto_37917
    )
    :vars
    (
      ?auto_37921
      ?auto_37923
      ?auto_37922
      ?auto_37925
      ?auto_37924
      ?auto_37926
      ?auto_37920
      ?auto_37928
      ?auto_37927
      ?auto_37931
      ?auto_37930
    )
    :precondition
    ( and ( OBJ ?auto_37916 ) ( LOCATION ?auto_37917 ) ( TRUCK ?auto_37921 ) ( LOCATION ?auto_37923 ) ( CITY ?auto_37922 ) ( IN-CITY ?auto_37923 ?auto_37922 ) ( IN-CITY ?auto_37917 ?auto_37922 ) ( DIFFERENT ?auto_37917 ?auto_37923 ) ( AT ?auto_37916 ?auto_37923 ) ( LOCATION ?auto_37925 ) ( CITY ?auto_37924 ) ( IN-CITY ?auto_37925 ?auto_37924 ) ( IN-CITY ?auto_37923 ?auto_37924 ) ( DIFFERENT ?auto_37923 ?auto_37925 ) ( LOCATION ?auto_37926 ) ( CITY ?auto_37920 ) ( IN-CITY ?auto_37926 ?auto_37920 ) ( IN-CITY ?auto_37925 ?auto_37920 ) ( DIFFERENT ?auto_37925 ?auto_37926 ) ( LOCATION ?auto_37928 ) ( CITY ?auto_37927 ) ( IN-CITY ?auto_37928 ?auto_37927 ) ( IN-CITY ?auto_37926 ?auto_37927 ) ( DIFFERENT ?auto_37926 ?auto_37928 ) ( LOCATION ?auto_37931 ) ( CITY ?auto_37930 ) ( AT ?auto_37921 ?auto_37931 ) ( IN-CITY ?auto_37931 ?auto_37930 ) ( IN-CITY ?auto_37928 ?auto_37930 ) ( DIFFERENT ?auto_37928 ?auto_37931 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37921 ?auto_37931 ?auto_37928 ?auto_37930 )
      ( DELIVER-PKG ?auto_37916 ?auto_37917 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38566
      ?auto_38567
    )
    :vars
    (
      ?auto_38569
      ?auto_38571
      ?auto_38573
      ?auto_38570
      ?auto_38574
      ?auto_38572
      ?auto_38576
      ?auto_38575
      ?auto_38579
      ?auto_38577
      ?auto_38582
      ?auto_38581
    )
    :precondition
    ( and ( OBJ ?auto_38566 ) ( LOCATION ?auto_38567 ) ( AIRPLANE ?auto_38569 ) ( AIRPORT ?auto_38571 ) ( AIRPORT ?auto_38567 ) ( AT ?auto_38569 ?auto_38571 ) ( DIFFERENT ?auto_38567 ?auto_38571 ) ( LOCATION ?auto_38573 ) ( AT ?auto_38569 ?auto_38573 ) ( TRUCK ?auto_38570 ) ( LOCATION ?auto_38574 ) ( CITY ?auto_38572 ) ( IN-CITY ?auto_38574 ?auto_38572 ) ( IN-CITY ?auto_38573 ?auto_38572 ) ( DIFFERENT ?auto_38573 ?auto_38574 ) ( AT ?auto_38566 ?auto_38574 ) ( LOCATION ?auto_38576 ) ( CITY ?auto_38575 ) ( IN-CITY ?auto_38576 ?auto_38575 ) ( IN-CITY ?auto_38574 ?auto_38575 ) ( DIFFERENT ?auto_38574 ?auto_38576 ) ( LOCATION ?auto_38579 ) ( CITY ?auto_38577 ) ( IN-CITY ?auto_38579 ?auto_38577 ) ( IN-CITY ?auto_38576 ?auto_38577 ) ( DIFFERENT ?auto_38576 ?auto_38579 ) ( LOCATION ?auto_38582 ) ( CITY ?auto_38581 ) ( AT ?auto_38570 ?auto_38582 ) ( IN-CITY ?auto_38582 ?auto_38581 ) ( IN-CITY ?auto_38579 ?auto_38581 ) ( DIFFERENT ?auto_38579 ?auto_38582 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38570 ?auto_38582 ?auto_38579 ?auto_38581 )
      ( DELIVER-PKG ?auto_38566 ?auto_38567 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38600
      ?auto_38601
    )
    :vars
    (
      ?auto_38605
      ?auto_38606
      ?auto_38608
      ?auto_38604
      ?auto_38609
      ?auto_38607
      ?auto_38611
      ?auto_38610
      ?auto_38613
      ?auto_38612
      ?auto_38615
      ?auto_38614
      ?auto_38618
      ?auto_38617
    )
    :precondition
    ( and ( OBJ ?auto_38600 ) ( LOCATION ?auto_38601 ) ( AIRPLANE ?auto_38605 ) ( AIRPORT ?auto_38606 ) ( AIRPORT ?auto_38601 ) ( AT ?auto_38605 ?auto_38606 ) ( DIFFERENT ?auto_38601 ?auto_38606 ) ( LOCATION ?auto_38608 ) ( AT ?auto_38605 ?auto_38608 ) ( TRUCK ?auto_38604 ) ( LOCATION ?auto_38609 ) ( CITY ?auto_38607 ) ( IN-CITY ?auto_38609 ?auto_38607 ) ( IN-CITY ?auto_38608 ?auto_38607 ) ( DIFFERENT ?auto_38608 ?auto_38609 ) ( AT ?auto_38600 ?auto_38609 ) ( LOCATION ?auto_38611 ) ( CITY ?auto_38610 ) ( IN-CITY ?auto_38611 ?auto_38610 ) ( IN-CITY ?auto_38609 ?auto_38610 ) ( DIFFERENT ?auto_38609 ?auto_38611 ) ( LOCATION ?auto_38613 ) ( CITY ?auto_38612 ) ( IN-CITY ?auto_38613 ?auto_38612 ) ( IN-CITY ?auto_38611 ?auto_38612 ) ( DIFFERENT ?auto_38611 ?auto_38613 ) ( LOCATION ?auto_38615 ) ( CITY ?auto_38614 ) ( IN-CITY ?auto_38615 ?auto_38614 ) ( IN-CITY ?auto_38613 ?auto_38614 ) ( DIFFERENT ?auto_38613 ?auto_38615 ) ( LOCATION ?auto_38618 ) ( CITY ?auto_38617 ) ( AT ?auto_38604 ?auto_38618 ) ( IN-CITY ?auto_38618 ?auto_38617 ) ( IN-CITY ?auto_38615 ?auto_38617 ) ( DIFFERENT ?auto_38615 ?auto_38618 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38604 ?auto_38618 ?auto_38615 ?auto_38617 )
      ( DELIVER-PKG ?auto_38600 ?auto_38601 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38692
      ?auto_38693
    )
    :vars
    (
      ?auto_38696
      ?auto_38702
      ?auto_38707
      ?auto_38703
      ?auto_38701
      ?auto_38705
      ?auto_38704
      ?auto_38697
      ?auto_38706
      ?auto_38699
      ?auto_38698
      ?auto_38709
      ?auto_38708
      ?auto_38711
    )
    :precondition
    ( and ( OBJ ?auto_38692 ) ( LOCATION ?auto_38693 ) ( AIRPLANE ?auto_38696 ) ( AIRPORT ?auto_38702 ) ( AIRPORT ?auto_38693 ) ( DIFFERENT ?auto_38693 ?auto_38702 ) ( LOCATION ?auto_38702 ) ( TRUCK ?auto_38707 ) ( LOCATION ?auto_38703 ) ( CITY ?auto_38701 ) ( IN-CITY ?auto_38703 ?auto_38701 ) ( IN-CITY ?auto_38702 ?auto_38701 ) ( DIFFERENT ?auto_38702 ?auto_38703 ) ( AT ?auto_38692 ?auto_38703 ) ( LOCATION ?auto_38705 ) ( CITY ?auto_38704 ) ( IN-CITY ?auto_38705 ?auto_38704 ) ( IN-CITY ?auto_38703 ?auto_38704 ) ( DIFFERENT ?auto_38703 ?auto_38705 ) ( LOCATION ?auto_38697 ) ( CITY ?auto_38706 ) ( IN-CITY ?auto_38697 ?auto_38706 ) ( IN-CITY ?auto_38705 ?auto_38706 ) ( DIFFERENT ?auto_38705 ?auto_38697 ) ( LOCATION ?auto_38699 ) ( CITY ?auto_38698 ) ( IN-CITY ?auto_38699 ?auto_38698 ) ( IN-CITY ?auto_38697 ?auto_38698 ) ( DIFFERENT ?auto_38697 ?auto_38699 ) ( LOCATION ?auto_38709 ) ( CITY ?auto_38708 ) ( AT ?auto_38707 ?auto_38709 ) ( IN-CITY ?auto_38709 ?auto_38708 ) ( IN-CITY ?auto_38699 ?auto_38708 ) ( DIFFERENT ?auto_38699 ?auto_38709 ) ( AIRPORT ?auto_38711 ) ( AT ?auto_38696 ?auto_38711 ) ( DIFFERENT ?auto_38702 ?auto_38711 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38696 ?auto_38711 ?auto_38702 )
      ( DELIVER-PKG ?auto_38692 ?auto_38693 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39180
      ?auto_39181
    )
    :vars
    (
      ?auto_39187
      ?auto_39188
      ?auto_39182
      ?auto_39186
      ?auto_39185
      ?auto_39189
      ?auto_39190
      ?auto_39183
      ?auto_39191
      ?auto_39184
      ?auto_39195
      ?auto_39194
      ?auto_39198
      ?auto_39197
    )
    :precondition
    ( and ( OBJ ?auto_39180 ) ( LOCATION ?auto_39181 ) ( TRUCK ?auto_39187 ) ( LOCATION ?auto_39188 ) ( CITY ?auto_39182 ) ( AT ?auto_39187 ?auto_39188 ) ( IN-CITY ?auto_39188 ?auto_39182 ) ( IN-CITY ?auto_39181 ?auto_39182 ) ( DIFFERENT ?auto_39181 ?auto_39188 ) ( LOCATION ?auto_39186 ) ( AT ?auto_39187 ?auto_39186 ) ( AIRPLANE ?auto_39185 ) ( AIRPORT ?auto_39189 ) ( AIRPORT ?auto_39186 ) ( AT ?auto_39185 ?auto_39189 ) ( DIFFERENT ?auto_39186 ?auto_39189 ) ( LOCATION ?auto_39190 ) ( AT ?auto_39185 ?auto_39190 ) ( TRUCK ?auto_39183 ) ( LOCATION ?auto_39191 ) ( CITY ?auto_39184 ) ( IN-CITY ?auto_39191 ?auto_39184 ) ( IN-CITY ?auto_39190 ?auto_39184 ) ( DIFFERENT ?auto_39190 ?auto_39191 ) ( AT ?auto_39180 ?auto_39191 ) ( LOCATION ?auto_39195 ) ( CITY ?auto_39194 ) ( IN-CITY ?auto_39195 ?auto_39194 ) ( IN-CITY ?auto_39191 ?auto_39194 ) ( DIFFERENT ?auto_39191 ?auto_39195 ) ( LOCATION ?auto_39198 ) ( CITY ?auto_39197 ) ( AT ?auto_39183 ?auto_39198 ) ( IN-CITY ?auto_39198 ?auto_39197 ) ( IN-CITY ?auto_39195 ?auto_39197 ) ( DIFFERENT ?auto_39195 ?auto_39198 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39183 ?auto_39198 ?auto_39195 ?auto_39197 )
      ( DELIVER-PKG ?auto_39180 ?auto_39181 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39254
      ?auto_39255
    )
    :vars
    (
      ?auto_39262
      ?auto_39263
      ?auto_39270
      ?auto_39261
      ?auto_39260
      ?auto_39264
      ?auto_39265
      ?auto_39257
      ?auto_39266
      ?auto_39258
      ?auto_39269
      ?auto_39268
      ?auto_39271
      ?auto_39267
      ?auto_39274
      ?auto_39273
    )
    :precondition
    ( and ( OBJ ?auto_39254 ) ( LOCATION ?auto_39255 ) ( TRUCK ?auto_39262 ) ( LOCATION ?auto_39263 ) ( CITY ?auto_39270 ) ( AT ?auto_39262 ?auto_39263 ) ( IN-CITY ?auto_39263 ?auto_39270 ) ( IN-CITY ?auto_39255 ?auto_39270 ) ( DIFFERENT ?auto_39255 ?auto_39263 ) ( LOCATION ?auto_39261 ) ( AT ?auto_39262 ?auto_39261 ) ( AIRPLANE ?auto_39260 ) ( AIRPORT ?auto_39264 ) ( AIRPORT ?auto_39261 ) ( AT ?auto_39260 ?auto_39264 ) ( DIFFERENT ?auto_39261 ?auto_39264 ) ( LOCATION ?auto_39265 ) ( AT ?auto_39260 ?auto_39265 ) ( TRUCK ?auto_39257 ) ( LOCATION ?auto_39266 ) ( CITY ?auto_39258 ) ( IN-CITY ?auto_39266 ?auto_39258 ) ( IN-CITY ?auto_39265 ?auto_39258 ) ( DIFFERENT ?auto_39265 ?auto_39266 ) ( AT ?auto_39254 ?auto_39266 ) ( LOCATION ?auto_39269 ) ( CITY ?auto_39268 ) ( IN-CITY ?auto_39269 ?auto_39268 ) ( IN-CITY ?auto_39266 ?auto_39268 ) ( DIFFERENT ?auto_39266 ?auto_39269 ) ( LOCATION ?auto_39271 ) ( CITY ?auto_39267 ) ( IN-CITY ?auto_39271 ?auto_39267 ) ( IN-CITY ?auto_39269 ?auto_39267 ) ( DIFFERENT ?auto_39269 ?auto_39271 ) ( LOCATION ?auto_39274 ) ( CITY ?auto_39273 ) ( AT ?auto_39257 ?auto_39274 ) ( IN-CITY ?auto_39274 ?auto_39273 ) ( IN-CITY ?auto_39271 ?auto_39273 ) ( DIFFERENT ?auto_39271 ?auto_39274 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39257 ?auto_39274 ?auto_39271 ?auto_39273 )
      ( DELIVER-PKG ?auto_39254 ?auto_39255 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39296
      ?auto_39297
    )
    :vars
    (
      ?auto_39305
      ?auto_39306
      ?auto_39313
      ?auto_39304
      ?auto_39303
      ?auto_39307
      ?auto_39308
      ?auto_39298
      ?auto_39309
      ?auto_39302
      ?auto_39312
      ?auto_39311
      ?auto_39314
      ?auto_39310
      ?auto_39315
      ?auto_39299
      ?auto_39318
      ?auto_39317
    )
    :precondition
    ( and ( OBJ ?auto_39296 ) ( LOCATION ?auto_39297 ) ( TRUCK ?auto_39305 ) ( LOCATION ?auto_39306 ) ( CITY ?auto_39313 ) ( AT ?auto_39305 ?auto_39306 ) ( IN-CITY ?auto_39306 ?auto_39313 ) ( IN-CITY ?auto_39297 ?auto_39313 ) ( DIFFERENT ?auto_39297 ?auto_39306 ) ( LOCATION ?auto_39304 ) ( AT ?auto_39305 ?auto_39304 ) ( AIRPLANE ?auto_39303 ) ( AIRPORT ?auto_39307 ) ( AIRPORT ?auto_39304 ) ( AT ?auto_39303 ?auto_39307 ) ( DIFFERENT ?auto_39304 ?auto_39307 ) ( LOCATION ?auto_39308 ) ( AT ?auto_39303 ?auto_39308 ) ( TRUCK ?auto_39298 ) ( LOCATION ?auto_39309 ) ( CITY ?auto_39302 ) ( IN-CITY ?auto_39309 ?auto_39302 ) ( IN-CITY ?auto_39308 ?auto_39302 ) ( DIFFERENT ?auto_39308 ?auto_39309 ) ( AT ?auto_39296 ?auto_39309 ) ( LOCATION ?auto_39312 ) ( CITY ?auto_39311 ) ( IN-CITY ?auto_39312 ?auto_39311 ) ( IN-CITY ?auto_39309 ?auto_39311 ) ( DIFFERENT ?auto_39309 ?auto_39312 ) ( LOCATION ?auto_39314 ) ( CITY ?auto_39310 ) ( IN-CITY ?auto_39314 ?auto_39310 ) ( IN-CITY ?auto_39312 ?auto_39310 ) ( DIFFERENT ?auto_39312 ?auto_39314 ) ( LOCATION ?auto_39315 ) ( CITY ?auto_39299 ) ( IN-CITY ?auto_39315 ?auto_39299 ) ( IN-CITY ?auto_39314 ?auto_39299 ) ( DIFFERENT ?auto_39314 ?auto_39315 ) ( LOCATION ?auto_39318 ) ( CITY ?auto_39317 ) ( AT ?auto_39298 ?auto_39318 ) ( IN-CITY ?auto_39318 ?auto_39317 ) ( IN-CITY ?auto_39315 ?auto_39317 ) ( DIFFERENT ?auto_39315 ?auto_39318 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39298 ?auto_39318 ?auto_39315 ?auto_39317 )
      ( DELIVER-PKG ?auto_39296 ?auto_39297 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39364
      ?auto_39365
    )
    :vars
    (
      ?auto_39374
      ?auto_39373
      ?auto_39382
      ?auto_39372
      ?auto_39376
      ?auto_39377
      ?auto_39368
      ?auto_39378
      ?auto_39371
      ?auto_39381
      ?auto_39380
      ?auto_39383
      ?auto_39379
      ?auto_39384
      ?auto_39369
      ?auto_39385
      ?auto_39370
      ?auto_39388
      ?auto_39387
    )
    :precondition
    ( and ( OBJ ?auto_39364 ) ( LOCATION ?auto_39365 ) ( TRUCK ?auto_39374 ) ( LOCATION ?auto_39373 ) ( CITY ?auto_39382 ) ( IN-CITY ?auto_39373 ?auto_39382 ) ( IN-CITY ?auto_39365 ?auto_39382 ) ( DIFFERENT ?auto_39365 ?auto_39373 ) ( AIRPLANE ?auto_39372 ) ( AIRPORT ?auto_39376 ) ( AIRPORT ?auto_39373 ) ( AT ?auto_39372 ?auto_39376 ) ( DIFFERENT ?auto_39373 ?auto_39376 ) ( LOCATION ?auto_39377 ) ( AT ?auto_39372 ?auto_39377 ) ( TRUCK ?auto_39368 ) ( LOCATION ?auto_39378 ) ( CITY ?auto_39371 ) ( IN-CITY ?auto_39378 ?auto_39371 ) ( IN-CITY ?auto_39377 ?auto_39371 ) ( DIFFERENT ?auto_39377 ?auto_39378 ) ( AT ?auto_39364 ?auto_39378 ) ( LOCATION ?auto_39381 ) ( CITY ?auto_39380 ) ( IN-CITY ?auto_39381 ?auto_39380 ) ( IN-CITY ?auto_39378 ?auto_39380 ) ( DIFFERENT ?auto_39378 ?auto_39381 ) ( LOCATION ?auto_39383 ) ( CITY ?auto_39379 ) ( IN-CITY ?auto_39383 ?auto_39379 ) ( IN-CITY ?auto_39381 ?auto_39379 ) ( DIFFERENT ?auto_39381 ?auto_39383 ) ( LOCATION ?auto_39384 ) ( CITY ?auto_39369 ) ( IN-CITY ?auto_39384 ?auto_39369 ) ( IN-CITY ?auto_39383 ?auto_39369 ) ( DIFFERENT ?auto_39383 ?auto_39384 ) ( LOCATION ?auto_39385 ) ( CITY ?auto_39370 ) ( AT ?auto_39368 ?auto_39385 ) ( IN-CITY ?auto_39385 ?auto_39370 ) ( IN-CITY ?auto_39384 ?auto_39370 ) ( DIFFERENT ?auto_39384 ?auto_39385 ) ( LOCATION ?auto_39388 ) ( CITY ?auto_39387 ) ( AT ?auto_39374 ?auto_39388 ) ( IN-CITY ?auto_39388 ?auto_39387 ) ( IN-CITY ?auto_39373 ?auto_39387 ) ( DIFFERENT ?auto_39373 ?auto_39388 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_39374 ?auto_39388 ?auto_39373 ?auto_39387 )
      ( DELIVER-PKG ?auto_39364 ?auto_39365 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_39413
      ?auto_39414
    )
    :vars
    (
      ?auto_39431
      ?auto_39430
      ?auto_39418
      ?auto_39429
      ?auto_39427
      ?auto_39422
      ?auto_39428
      ?auto_39425
      ?auto_39417
      ?auto_39416
      ?auto_39433
      ?auto_39415
      ?auto_39434
      ?auto_39423
      ?auto_39435
      ?auto_39424
      ?auto_39421
      ?auto_39420
      ?auto_39437
    )
    :precondition
    ( and ( OBJ ?auto_39413 ) ( LOCATION ?auto_39414 ) ( TRUCK ?auto_39431 ) ( LOCATION ?auto_39430 ) ( CITY ?auto_39418 ) ( IN-CITY ?auto_39430 ?auto_39418 ) ( IN-CITY ?auto_39414 ?auto_39418 ) ( DIFFERENT ?auto_39414 ?auto_39430 ) ( AIRPLANE ?auto_39429 ) ( AIRPORT ?auto_39427 ) ( AIRPORT ?auto_39430 ) ( DIFFERENT ?auto_39430 ?auto_39427 ) ( LOCATION ?auto_39427 ) ( TRUCK ?auto_39422 ) ( LOCATION ?auto_39428 ) ( CITY ?auto_39425 ) ( IN-CITY ?auto_39428 ?auto_39425 ) ( IN-CITY ?auto_39427 ?auto_39425 ) ( DIFFERENT ?auto_39427 ?auto_39428 ) ( AT ?auto_39413 ?auto_39428 ) ( LOCATION ?auto_39417 ) ( CITY ?auto_39416 ) ( IN-CITY ?auto_39417 ?auto_39416 ) ( IN-CITY ?auto_39428 ?auto_39416 ) ( DIFFERENT ?auto_39428 ?auto_39417 ) ( LOCATION ?auto_39433 ) ( CITY ?auto_39415 ) ( IN-CITY ?auto_39433 ?auto_39415 ) ( IN-CITY ?auto_39417 ?auto_39415 ) ( DIFFERENT ?auto_39417 ?auto_39433 ) ( LOCATION ?auto_39434 ) ( CITY ?auto_39423 ) ( IN-CITY ?auto_39434 ?auto_39423 ) ( IN-CITY ?auto_39433 ?auto_39423 ) ( DIFFERENT ?auto_39433 ?auto_39434 ) ( LOCATION ?auto_39435 ) ( CITY ?auto_39424 ) ( AT ?auto_39422 ?auto_39435 ) ( IN-CITY ?auto_39435 ?auto_39424 ) ( IN-CITY ?auto_39434 ?auto_39424 ) ( DIFFERENT ?auto_39434 ?auto_39435 ) ( LOCATION ?auto_39421 ) ( CITY ?auto_39420 ) ( AT ?auto_39431 ?auto_39421 ) ( IN-CITY ?auto_39421 ?auto_39420 ) ( IN-CITY ?auto_39430 ?auto_39420 ) ( DIFFERENT ?auto_39430 ?auto_39421 ) ( AIRPORT ?auto_39437 ) ( AT ?auto_39429 ?auto_39437 ) ( DIFFERENT ?auto_39427 ?auto_39437 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_39429 ?auto_39437 ?auto_39427 )
      ( DELIVER-PKG ?auto_39413 ?auto_39414 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40436
      ?auto_40437
    )
    :vars
    (
      ?auto_40438
      ?auto_40440
      ?auto_40443
      ?auto_40442
      ?auto_40441
      ?auto_40445
      ?auto_40444
      ?auto_40449
    )
    :precondition
    ( and ( OBJ ?auto_40436 ) ( LOCATION ?auto_40437 ) ( TRUCK ?auto_40438 ) ( LOCATION ?auto_40440 ) ( CITY ?auto_40443 ) ( IN-CITY ?auto_40440 ?auto_40443 ) ( IN-CITY ?auto_40437 ?auto_40443 ) ( DIFFERENT ?auto_40437 ?auto_40440 ) ( LOCATION ?auto_40442 ) ( CITY ?auto_40441 ) ( IN-CITY ?auto_40442 ?auto_40441 ) ( IN-CITY ?auto_40440 ?auto_40441 ) ( DIFFERENT ?auto_40440 ?auto_40442 ) ( LOCATION ?auto_40445 ) ( CITY ?auto_40444 ) ( AT ?auto_40438 ?auto_40445 ) ( IN-CITY ?auto_40445 ?auto_40444 ) ( IN-CITY ?auto_40442 ?auto_40444 ) ( DIFFERENT ?auto_40442 ?auto_40445 ) ( AIRPLANE ?auto_40449 ) ( IN ?auto_40436 ?auto_40449 ) ( AT ?auto_40449 ?auto_40440 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_40436 ?auto_40440 )
      ( DELIVER-PKG ?auto_40436 ?auto_40437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40474
      ?auto_40475
    )
    :vars
    (
      ?auto_40478
      ?auto_40479
      ?auto_40482
      ?auto_40481
      ?auto_40480
      ?auto_40484
      ?auto_40483
      ?auto_40485
      ?auto_40487
    )
    :precondition
    ( and ( OBJ ?auto_40474 ) ( LOCATION ?auto_40475 ) ( TRUCK ?auto_40478 ) ( LOCATION ?auto_40479 ) ( CITY ?auto_40482 ) ( IN-CITY ?auto_40479 ?auto_40482 ) ( IN-CITY ?auto_40475 ?auto_40482 ) ( DIFFERENT ?auto_40475 ?auto_40479 ) ( LOCATION ?auto_40481 ) ( CITY ?auto_40480 ) ( IN-CITY ?auto_40481 ?auto_40480 ) ( IN-CITY ?auto_40479 ?auto_40480 ) ( DIFFERENT ?auto_40479 ?auto_40481 ) ( LOCATION ?auto_40484 ) ( CITY ?auto_40483 ) ( AT ?auto_40478 ?auto_40484 ) ( IN-CITY ?auto_40484 ?auto_40483 ) ( IN-CITY ?auto_40481 ?auto_40483 ) ( DIFFERENT ?auto_40481 ?auto_40484 ) ( AIRPLANE ?auto_40485 ) ( IN ?auto_40474 ?auto_40485 ) ( AIRPORT ?auto_40487 ) ( AIRPORT ?auto_40479 ) ( AT ?auto_40485 ?auto_40487 ) ( DIFFERENT ?auto_40479 ?auto_40487 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_40485 ?auto_40487 ?auto_40479 )
      ( DELIVER-PKG ?auto_40474 ?auto_40475 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40515
      ?auto_40516
    )
    :vars
    (
      ?auto_40520
      ?auto_40521
      ?auto_40524
      ?auto_40523
      ?auto_40522
      ?auto_40526
      ?auto_40525
      ?auto_40518
      ?auto_40527
      ?auto_40529
    )
    :precondition
    ( and ( OBJ ?auto_40515 ) ( LOCATION ?auto_40516 ) ( TRUCK ?auto_40520 ) ( LOCATION ?auto_40521 ) ( CITY ?auto_40524 ) ( IN-CITY ?auto_40521 ?auto_40524 ) ( IN-CITY ?auto_40516 ?auto_40524 ) ( DIFFERENT ?auto_40516 ?auto_40521 ) ( LOCATION ?auto_40523 ) ( CITY ?auto_40522 ) ( IN-CITY ?auto_40523 ?auto_40522 ) ( IN-CITY ?auto_40521 ?auto_40522 ) ( DIFFERENT ?auto_40521 ?auto_40523 ) ( LOCATION ?auto_40526 ) ( CITY ?auto_40525 ) ( AT ?auto_40520 ?auto_40526 ) ( IN-CITY ?auto_40526 ?auto_40525 ) ( IN-CITY ?auto_40523 ?auto_40525 ) ( DIFFERENT ?auto_40523 ?auto_40526 ) ( AIRPLANE ?auto_40518 ) ( AIRPORT ?auto_40527 ) ( AIRPORT ?auto_40521 ) ( AT ?auto_40518 ?auto_40527 ) ( DIFFERENT ?auto_40521 ?auto_40527 ) ( LOCATION ?auto_40529 ) ( AT ?auto_40515 ?auto_40529 ) ( AT ?auto_40518 ?auto_40529 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_40515 ?auto_40518 ?auto_40529 )
      ( DELIVER-PKG ?auto_40515 ?auto_40516 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40559
      ?auto_40560
    )
    :vars
    (
      ?auto_40567
      ?auto_40568
      ?auto_40571
      ?auto_40570
      ?auto_40569
      ?auto_40564
      ?auto_40562
      ?auto_40566
      ?auto_40565
      ?auto_40572
      ?auto_40574
    )
    :precondition
    ( and ( OBJ ?auto_40559 ) ( LOCATION ?auto_40560 ) ( TRUCK ?auto_40567 ) ( LOCATION ?auto_40568 ) ( CITY ?auto_40571 ) ( IN-CITY ?auto_40568 ?auto_40571 ) ( IN-CITY ?auto_40560 ?auto_40571 ) ( DIFFERENT ?auto_40560 ?auto_40568 ) ( LOCATION ?auto_40570 ) ( CITY ?auto_40569 ) ( IN-CITY ?auto_40570 ?auto_40569 ) ( IN-CITY ?auto_40568 ?auto_40569 ) ( DIFFERENT ?auto_40568 ?auto_40570 ) ( LOCATION ?auto_40564 ) ( CITY ?auto_40562 ) ( AT ?auto_40567 ?auto_40564 ) ( IN-CITY ?auto_40564 ?auto_40562 ) ( IN-CITY ?auto_40570 ?auto_40562 ) ( DIFFERENT ?auto_40570 ?auto_40564 ) ( AIRPLANE ?auto_40566 ) ( AIRPORT ?auto_40565 ) ( AIRPORT ?auto_40568 ) ( AT ?auto_40566 ?auto_40565 ) ( DIFFERENT ?auto_40568 ?auto_40565 ) ( LOCATION ?auto_40572 ) ( AT ?auto_40566 ?auto_40572 ) ( TRUCK ?auto_40574 ) ( AT ?auto_40574 ?auto_40572 ) ( IN ?auto_40559 ?auto_40574 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_40559 ?auto_40572 )
      ( DELIVER-PKG ?auto_40559 ?auto_40560 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40591
      ?auto_40592
    )
    :vars
    (
      ?auto_40605
      ?auto_40594
      ?auto_40598
      ?auto_40596
      ?auto_40595
      ?auto_40602
      ?auto_40601
      ?auto_40604
      ?auto_40603
      ?auto_40599
      ?auto_40597
      ?auto_40608
      ?auto_40607
    )
    :precondition
    ( and ( OBJ ?auto_40591 ) ( LOCATION ?auto_40592 ) ( TRUCK ?auto_40605 ) ( LOCATION ?auto_40594 ) ( CITY ?auto_40598 ) ( IN-CITY ?auto_40594 ?auto_40598 ) ( IN-CITY ?auto_40592 ?auto_40598 ) ( DIFFERENT ?auto_40592 ?auto_40594 ) ( LOCATION ?auto_40596 ) ( CITY ?auto_40595 ) ( IN-CITY ?auto_40596 ?auto_40595 ) ( IN-CITY ?auto_40594 ?auto_40595 ) ( DIFFERENT ?auto_40594 ?auto_40596 ) ( LOCATION ?auto_40602 ) ( CITY ?auto_40601 ) ( AT ?auto_40605 ?auto_40602 ) ( IN-CITY ?auto_40602 ?auto_40601 ) ( IN-CITY ?auto_40596 ?auto_40601 ) ( DIFFERENT ?auto_40596 ?auto_40602 ) ( AIRPLANE ?auto_40604 ) ( AIRPORT ?auto_40603 ) ( AIRPORT ?auto_40594 ) ( AT ?auto_40604 ?auto_40603 ) ( DIFFERENT ?auto_40594 ?auto_40603 ) ( LOCATION ?auto_40599 ) ( AT ?auto_40604 ?auto_40599 ) ( TRUCK ?auto_40597 ) ( IN ?auto_40591 ?auto_40597 ) ( LOCATION ?auto_40608 ) ( CITY ?auto_40607 ) ( AT ?auto_40597 ?auto_40608 ) ( IN-CITY ?auto_40608 ?auto_40607 ) ( IN-CITY ?auto_40599 ?auto_40607 ) ( DIFFERENT ?auto_40599 ?auto_40608 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40597 ?auto_40608 ?auto_40599 ?auto_40607 )
      ( DELIVER-PKG ?auto_40591 ?auto_40592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40627
      ?auto_40628
    )
    :vars
    (
      ?auto_40639
      ?auto_40629
      ?auto_40633
      ?auto_40631
      ?auto_40630
      ?auto_40636
      ?auto_40635
      ?auto_40638
      ?auto_40637
      ?auto_40634
      ?auto_40632
      ?auto_40643
      ?auto_40642
      ?auto_40646
      ?auto_40645
    )
    :precondition
    ( and ( OBJ ?auto_40627 ) ( LOCATION ?auto_40628 ) ( TRUCK ?auto_40639 ) ( LOCATION ?auto_40629 ) ( CITY ?auto_40633 ) ( IN-CITY ?auto_40629 ?auto_40633 ) ( IN-CITY ?auto_40628 ?auto_40633 ) ( DIFFERENT ?auto_40628 ?auto_40629 ) ( LOCATION ?auto_40631 ) ( CITY ?auto_40630 ) ( IN-CITY ?auto_40631 ?auto_40630 ) ( IN-CITY ?auto_40629 ?auto_40630 ) ( DIFFERENT ?auto_40629 ?auto_40631 ) ( LOCATION ?auto_40636 ) ( CITY ?auto_40635 ) ( AT ?auto_40639 ?auto_40636 ) ( IN-CITY ?auto_40636 ?auto_40635 ) ( IN-CITY ?auto_40631 ?auto_40635 ) ( DIFFERENT ?auto_40631 ?auto_40636 ) ( AIRPLANE ?auto_40638 ) ( AIRPORT ?auto_40637 ) ( AIRPORT ?auto_40629 ) ( AT ?auto_40638 ?auto_40637 ) ( DIFFERENT ?auto_40629 ?auto_40637 ) ( LOCATION ?auto_40634 ) ( AT ?auto_40638 ?auto_40634 ) ( TRUCK ?auto_40632 ) ( IN ?auto_40627 ?auto_40632 ) ( LOCATION ?auto_40643 ) ( CITY ?auto_40642 ) ( IN-CITY ?auto_40643 ?auto_40642 ) ( IN-CITY ?auto_40634 ?auto_40642 ) ( DIFFERENT ?auto_40634 ?auto_40643 ) ( LOCATION ?auto_40646 ) ( CITY ?auto_40645 ) ( AT ?auto_40632 ?auto_40646 ) ( IN-CITY ?auto_40646 ?auto_40645 ) ( IN-CITY ?auto_40643 ?auto_40645 ) ( DIFFERENT ?auto_40643 ?auto_40646 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40632 ?auto_40646 ?auto_40643 ?auto_40645 )
      ( DELIVER-PKG ?auto_40627 ?auto_40628 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_40686
      ?auto_40687
    )
    :vars
    (
      ?auto_40701
      ?auto_40689
      ?auto_40695
      ?auto_40692
      ?auto_40691
      ?auto_40698
      ?auto_40697
      ?auto_40700
      ?auto_40699
      ?auto_40696
      ?auto_40694
      ?auto_40703
      ?auto_40702
      ?auto_40704
      ?auto_40693
      ?auto_40707
      ?auto_40706
    )
    :precondition
    ( and ( OBJ ?auto_40686 ) ( LOCATION ?auto_40687 ) ( TRUCK ?auto_40701 ) ( LOCATION ?auto_40689 ) ( CITY ?auto_40695 ) ( IN-CITY ?auto_40689 ?auto_40695 ) ( IN-CITY ?auto_40687 ?auto_40695 ) ( DIFFERENT ?auto_40687 ?auto_40689 ) ( LOCATION ?auto_40692 ) ( CITY ?auto_40691 ) ( IN-CITY ?auto_40692 ?auto_40691 ) ( IN-CITY ?auto_40689 ?auto_40691 ) ( DIFFERENT ?auto_40689 ?auto_40692 ) ( LOCATION ?auto_40698 ) ( CITY ?auto_40697 ) ( IN-CITY ?auto_40698 ?auto_40697 ) ( IN-CITY ?auto_40692 ?auto_40697 ) ( DIFFERENT ?auto_40692 ?auto_40698 ) ( AIRPLANE ?auto_40700 ) ( AIRPORT ?auto_40699 ) ( AIRPORT ?auto_40689 ) ( AT ?auto_40700 ?auto_40699 ) ( DIFFERENT ?auto_40689 ?auto_40699 ) ( LOCATION ?auto_40696 ) ( AT ?auto_40700 ?auto_40696 ) ( TRUCK ?auto_40694 ) ( IN ?auto_40686 ?auto_40694 ) ( LOCATION ?auto_40703 ) ( CITY ?auto_40702 ) ( IN-CITY ?auto_40703 ?auto_40702 ) ( IN-CITY ?auto_40696 ?auto_40702 ) ( DIFFERENT ?auto_40696 ?auto_40703 ) ( LOCATION ?auto_40704 ) ( CITY ?auto_40693 ) ( AT ?auto_40694 ?auto_40704 ) ( IN-CITY ?auto_40704 ?auto_40693 ) ( IN-CITY ?auto_40703 ?auto_40693 ) ( DIFFERENT ?auto_40703 ?auto_40704 ) ( LOCATION ?auto_40707 ) ( CITY ?auto_40706 ) ( AT ?auto_40701 ?auto_40707 ) ( IN-CITY ?auto_40707 ?auto_40706 ) ( IN-CITY ?auto_40698 ?auto_40706 ) ( DIFFERENT ?auto_40698 ?auto_40707 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_40701 ?auto_40707 ?auto_40698 ?auto_40706 )
      ( DELIVER-PKG ?auto_40686 ?auto_40687 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41196
      ?auto_41197
    )
    :vars
    (
      ?auto_41200
      ?auto_41201
      ?auto_41199
      ?auto_41198
      ?auto_41205
    )
    :precondition
    ( and ( OBJ ?auto_41196 ) ( LOCATION ?auto_41197 ) ( AIRPLANE ?auto_41200 ) ( AIRPORT ?auto_41201 ) ( AIRPORT ?auto_41197 ) ( AT ?auto_41200 ?auto_41201 ) ( DIFFERENT ?auto_41197 ?auto_41201 ) ( LOCATION ?auto_41199 ) ( AT ?auto_41200 ?auto_41199 ) ( AIRPLANE ?auto_41198 ) ( IN ?auto_41196 ?auto_41198 ) ( AIRPORT ?auto_41205 ) ( AIRPORT ?auto_41199 ) ( AT ?auto_41198 ?auto_41205 ) ( DIFFERENT ?auto_41199 ?auto_41205 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41198 ?auto_41205 ?auto_41199 )
      ( DELIVER-PKG ?auto_41196 ?auto_41197 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41207
      ?auto_41208
    )
    :vars
    (
      ?auto_41214
      ?auto_41215
      ?auto_41213
      ?auto_41211
      ?auto_41209
      ?auto_41217
    )
    :precondition
    ( and ( OBJ ?auto_41207 ) ( LOCATION ?auto_41208 ) ( AIRPLANE ?auto_41214 ) ( AIRPORT ?auto_41215 ) ( AIRPORT ?auto_41208 ) ( AT ?auto_41214 ?auto_41215 ) ( DIFFERENT ?auto_41208 ?auto_41215 ) ( LOCATION ?auto_41213 ) ( AT ?auto_41214 ?auto_41213 ) ( AIRPLANE ?auto_41211 ) ( AIRPORT ?auto_41209 ) ( AIRPORT ?auto_41213 ) ( AT ?auto_41211 ?auto_41209 ) ( DIFFERENT ?auto_41213 ?auto_41209 ) ( LOCATION ?auto_41217 ) ( AT ?auto_41207 ?auto_41217 ) ( AT ?auto_41211 ?auto_41217 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_41207 ?auto_41211 ?auto_41217 )
      ( DELIVER-PKG ?auto_41207 ?auto_41208 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41219
      ?auto_41220
    )
    :vars
    (
      ?auto_41222
      ?auto_41226
      ?auto_41224
      ?auto_41228
      ?auto_41221
      ?auto_41230
    )
    :precondition
    ( and ( OBJ ?auto_41219 ) ( LOCATION ?auto_41220 ) ( AIRPLANE ?auto_41222 ) ( AIRPORT ?auto_41226 ) ( AIRPORT ?auto_41220 ) ( AT ?auto_41222 ?auto_41226 ) ( DIFFERENT ?auto_41220 ?auto_41226 ) ( LOCATION ?auto_41224 ) ( AT ?auto_41222 ?auto_41224 ) ( AIRPLANE ?auto_41228 ) ( AIRPORT ?auto_41221 ) ( AIRPORT ?auto_41224 ) ( DIFFERENT ?auto_41224 ?auto_41221 ) ( LOCATION ?auto_41221 ) ( AT ?auto_41219 ?auto_41221 ) ( AIRPORT ?auto_41230 ) ( AT ?auto_41228 ?auto_41230 ) ( DIFFERENT ?auto_41221 ?auto_41230 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41228 ?auto_41230 ?auto_41221 )
      ( DELIVER-PKG ?auto_41219 ?auto_41220 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41252
      ?auto_41253
    )
    :vars
    (
      ?auto_41260
      ?auto_41261
      ?auto_41257
      ?auto_41254
      ?auto_41259
      ?auto_41263
    )
    :precondition
    ( and ( OBJ ?auto_41252 ) ( LOCATION ?auto_41253 ) ( AIRPLANE ?auto_41260 ) ( AIRPORT ?auto_41261 ) ( AIRPORT ?auto_41253 ) ( DIFFERENT ?auto_41253 ?auto_41261 ) ( LOCATION ?auto_41261 ) ( AIRPLANE ?auto_41257 ) ( AIRPORT ?auto_41254 ) ( DIFFERENT ?auto_41261 ?auto_41254 ) ( LOCATION ?auto_41254 ) ( AT ?auto_41252 ?auto_41254 ) ( AIRPORT ?auto_41259 ) ( AT ?auto_41257 ?auto_41259 ) ( DIFFERENT ?auto_41254 ?auto_41259 ) ( AIRPORT ?auto_41263 ) ( AT ?auto_41260 ?auto_41263 ) ( DIFFERENT ?auto_41261 ?auto_41263 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41260 ?auto_41263 ?auto_41261 )
      ( DELIVER-PKG ?auto_41252 ?auto_41253 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41880
      ?auto_41881
    )
    :vars
    (
      ?auto_41885
      ?auto_41884
      ?auto_41887
      ?auto_41890
      ?auto_41888
      ?auto_41889
      ?auto_41891
      ?auto_41894
      ?auto_41893
    )
    :precondition
    ( and ( OBJ ?auto_41880 ) ( LOCATION ?auto_41881 ) ( TRUCK ?auto_41885 ) ( LOCATION ?auto_41884 ) ( CITY ?auto_41887 ) ( IN-CITY ?auto_41884 ?auto_41887 ) ( IN-CITY ?auto_41881 ?auto_41887 ) ( DIFFERENT ?auto_41881 ?auto_41884 ) ( AIRPLANE ?auto_41890 ) ( IN ?auto_41880 ?auto_41890 ) ( AIRPORT ?auto_41888 ) ( AIRPORT ?auto_41884 ) ( DIFFERENT ?auto_41884 ?auto_41888 ) ( AIRPORT ?auto_41889 ) ( DIFFERENT ?auto_41888 ?auto_41889 ) ( AIRPORT ?auto_41891 ) ( AT ?auto_41890 ?auto_41891 ) ( DIFFERENT ?auto_41889 ?auto_41891 ) ( LOCATION ?auto_41894 ) ( CITY ?auto_41893 ) ( AT ?auto_41885 ?auto_41894 ) ( IN-CITY ?auto_41894 ?auto_41893 ) ( IN-CITY ?auto_41884 ?auto_41893 ) ( DIFFERENT ?auto_41884 ?auto_41894 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41885 ?auto_41894 ?auto_41884 ?auto_41893 )
      ( DELIVER-PKG ?auto_41880 ?auto_41881 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41909
      ?auto_41910
    )
    :vars
    (
      ?auto_41912
      ?auto_41911
      ?auto_41913
      ?auto_41916
      ?auto_41914
      ?auto_41915
      ?auto_41917
      ?auto_41920
      ?auto_41918
      ?auto_41923
    )
    :precondition
    ( and ( OBJ ?auto_41909 ) ( LOCATION ?auto_41910 ) ( TRUCK ?auto_41912 ) ( LOCATION ?auto_41911 ) ( CITY ?auto_41913 ) ( IN-CITY ?auto_41911 ?auto_41913 ) ( IN-CITY ?auto_41910 ?auto_41913 ) ( DIFFERENT ?auto_41910 ?auto_41911 ) ( AIRPLANE ?auto_41916 ) ( AIRPORT ?auto_41914 ) ( AIRPORT ?auto_41911 ) ( DIFFERENT ?auto_41911 ?auto_41914 ) ( AIRPORT ?auto_41915 ) ( DIFFERENT ?auto_41914 ?auto_41915 ) ( AIRPORT ?auto_41917 ) ( AT ?auto_41916 ?auto_41917 ) ( DIFFERENT ?auto_41915 ?auto_41917 ) ( LOCATION ?auto_41920 ) ( CITY ?auto_41918 ) ( AT ?auto_41912 ?auto_41920 ) ( IN-CITY ?auto_41920 ?auto_41918 ) ( IN-CITY ?auto_41911 ?auto_41918 ) ( DIFFERENT ?auto_41911 ?auto_41920 ) ( LOCATION ?auto_41923 ) ( AT ?auto_41909 ?auto_41923 ) ( AT ?auto_41916 ?auto_41923 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_41909 ?auto_41916 ?auto_41923 )
      ( DELIVER-PKG ?auto_41909 ?auto_41910 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42483
      ?auto_42484
    )
    :vars
    (
      ?auto_42490
      ?auto_42492
      ?auto_42486
      ?auto_42493
      ?auto_42489
      ?auto_42494
      ?auto_42488
      ?auto_42487
      ?auto_42496
    )
    :precondition
    ( and ( OBJ ?auto_42483 ) ( LOCATION ?auto_42484 ) ( TRUCK ?auto_42490 ) ( LOCATION ?auto_42492 ) ( CITY ?auto_42486 ) ( AT ?auto_42490 ?auto_42492 ) ( IN-CITY ?auto_42492 ?auto_42486 ) ( IN-CITY ?auto_42484 ?auto_42486 ) ( DIFFERENT ?auto_42484 ?auto_42492 ) ( LOCATION ?auto_42493 ) ( AT ?auto_42490 ?auto_42493 ) ( AIRPLANE ?auto_42489 ) ( AIRPORT ?auto_42494 ) ( AIRPORT ?auto_42493 ) ( AT ?auto_42489 ?auto_42494 ) ( DIFFERENT ?auto_42493 ?auto_42494 ) ( LOCATION ?auto_42488 ) ( AT ?auto_42489 ?auto_42488 ) ( AIRPLANE ?auto_42487 ) ( IN ?auto_42483 ?auto_42487 ) ( AIRPORT ?auto_42496 ) ( AIRPORT ?auto_42488 ) ( AT ?auto_42487 ?auto_42496 ) ( DIFFERENT ?auto_42488 ?auto_42496 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42487 ?auto_42496 ?auto_42488 )
      ( DELIVER-PKG ?auto_42483 ?auto_42484 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42498
      ?auto_42499
    )
    :vars
    (
      ?auto_42506
      ?auto_42507
      ?auto_42503
      ?auto_42508
      ?auto_42505
      ?auto_42509
      ?auto_42504
      ?auto_42500
      ?auto_42510
      ?auto_42512
    )
    :precondition
    ( and ( OBJ ?auto_42498 ) ( LOCATION ?auto_42499 ) ( TRUCK ?auto_42506 ) ( LOCATION ?auto_42507 ) ( CITY ?auto_42503 ) ( AT ?auto_42506 ?auto_42507 ) ( IN-CITY ?auto_42507 ?auto_42503 ) ( IN-CITY ?auto_42499 ?auto_42503 ) ( DIFFERENT ?auto_42499 ?auto_42507 ) ( LOCATION ?auto_42508 ) ( AT ?auto_42506 ?auto_42508 ) ( AIRPLANE ?auto_42505 ) ( AIRPORT ?auto_42509 ) ( AIRPORT ?auto_42508 ) ( AT ?auto_42505 ?auto_42509 ) ( DIFFERENT ?auto_42508 ?auto_42509 ) ( LOCATION ?auto_42504 ) ( AT ?auto_42505 ?auto_42504 ) ( AIRPLANE ?auto_42500 ) ( AIRPORT ?auto_42510 ) ( AIRPORT ?auto_42504 ) ( AT ?auto_42500 ?auto_42510 ) ( DIFFERENT ?auto_42504 ?auto_42510 ) ( LOCATION ?auto_42512 ) ( AT ?auto_42498 ?auto_42512 ) ( AT ?auto_42500 ?auto_42512 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_42498 ?auto_42500 ?auto_42512 )
      ( DELIVER-PKG ?auto_42498 ?auto_42499 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42514
      ?auto_42515
    )
    :vars
    (
      ?auto_42522
      ?auto_42523
      ?auto_42519
      ?auto_42524
      ?auto_42521
      ?auto_42525
      ?auto_42520
      ?auto_42517
      ?auto_42527
      ?auto_42529
    )
    :precondition
    ( and ( OBJ ?auto_42514 ) ( LOCATION ?auto_42515 ) ( TRUCK ?auto_42522 ) ( LOCATION ?auto_42523 ) ( CITY ?auto_42519 ) ( AT ?auto_42522 ?auto_42523 ) ( IN-CITY ?auto_42523 ?auto_42519 ) ( IN-CITY ?auto_42515 ?auto_42519 ) ( DIFFERENT ?auto_42515 ?auto_42523 ) ( LOCATION ?auto_42524 ) ( AT ?auto_42522 ?auto_42524 ) ( AIRPLANE ?auto_42521 ) ( AIRPORT ?auto_42525 ) ( AIRPORT ?auto_42524 ) ( AT ?auto_42521 ?auto_42525 ) ( DIFFERENT ?auto_42524 ?auto_42525 ) ( LOCATION ?auto_42520 ) ( AT ?auto_42521 ?auto_42520 ) ( AIRPLANE ?auto_42517 ) ( AIRPORT ?auto_42527 ) ( AIRPORT ?auto_42520 ) ( DIFFERENT ?auto_42520 ?auto_42527 ) ( LOCATION ?auto_42527 ) ( AT ?auto_42514 ?auto_42527 ) ( AIRPORT ?auto_42529 ) ( AT ?auto_42517 ?auto_42529 ) ( DIFFERENT ?auto_42527 ?auto_42529 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42517 ?auto_42529 ?auto_42527 )
      ( DELIVER-PKG ?auto_42514 ?auto_42515 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42531
      ?auto_42532
    )
    :vars
    (
      ?auto_42535
      ?auto_42542
      ?auto_42537
      ?auto_42534
      ?auto_42538
      ?auto_42540
      ?auto_42544
      ?auto_42541
      ?auto_42539
      ?auto_42547
      ?auto_42546
    )
    :precondition
    ( and ( OBJ ?auto_42531 ) ( LOCATION ?auto_42532 ) ( TRUCK ?auto_42535 ) ( LOCATION ?auto_42542 ) ( CITY ?auto_42537 ) ( IN-CITY ?auto_42542 ?auto_42537 ) ( IN-CITY ?auto_42532 ?auto_42537 ) ( DIFFERENT ?auto_42532 ?auto_42542 ) ( AIRPLANE ?auto_42534 ) ( AIRPORT ?auto_42538 ) ( AIRPORT ?auto_42542 ) ( AT ?auto_42534 ?auto_42538 ) ( DIFFERENT ?auto_42542 ?auto_42538 ) ( LOCATION ?auto_42540 ) ( AT ?auto_42534 ?auto_42540 ) ( AIRPLANE ?auto_42544 ) ( AIRPORT ?auto_42541 ) ( AIRPORT ?auto_42540 ) ( DIFFERENT ?auto_42540 ?auto_42541 ) ( LOCATION ?auto_42541 ) ( AT ?auto_42531 ?auto_42541 ) ( AIRPORT ?auto_42539 ) ( AT ?auto_42544 ?auto_42539 ) ( DIFFERENT ?auto_42541 ?auto_42539 ) ( LOCATION ?auto_42547 ) ( CITY ?auto_42546 ) ( AT ?auto_42535 ?auto_42547 ) ( IN-CITY ?auto_42547 ?auto_42546 ) ( IN-CITY ?auto_42542 ?auto_42546 ) ( DIFFERENT ?auto_42542 ?auto_42547 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42535 ?auto_42547 ?auto_42542 ?auto_42546 )
      ( DELIVER-PKG ?auto_42531 ?auto_42532 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42564
      ?auto_42565
    )
    :vars
    (
      ?auto_42576
      ?auto_42571
      ?auto_42567
      ?auto_42575
      ?auto_42578
      ?auto_42573
      ?auto_42568
      ?auto_42577
      ?auto_42570
      ?auto_42569
      ?auto_42580
    )
    :precondition
    ( and ( OBJ ?auto_42564 ) ( LOCATION ?auto_42565 ) ( TRUCK ?auto_42576 ) ( LOCATION ?auto_42571 ) ( CITY ?auto_42567 ) ( IN-CITY ?auto_42571 ?auto_42567 ) ( IN-CITY ?auto_42565 ?auto_42567 ) ( DIFFERENT ?auto_42565 ?auto_42571 ) ( AIRPLANE ?auto_42575 ) ( AIRPORT ?auto_42578 ) ( AIRPORT ?auto_42571 ) ( DIFFERENT ?auto_42571 ?auto_42578 ) ( LOCATION ?auto_42578 ) ( AIRPLANE ?auto_42573 ) ( AIRPORT ?auto_42568 ) ( DIFFERENT ?auto_42578 ?auto_42568 ) ( LOCATION ?auto_42568 ) ( AT ?auto_42564 ?auto_42568 ) ( AIRPORT ?auto_42577 ) ( AT ?auto_42573 ?auto_42577 ) ( DIFFERENT ?auto_42568 ?auto_42577 ) ( LOCATION ?auto_42570 ) ( CITY ?auto_42569 ) ( AT ?auto_42576 ?auto_42570 ) ( IN-CITY ?auto_42570 ?auto_42569 ) ( IN-CITY ?auto_42571 ?auto_42569 ) ( DIFFERENT ?auto_42571 ?auto_42570 ) ( AIRPORT ?auto_42580 ) ( AT ?auto_42575 ?auto_42580 ) ( DIFFERENT ?auto_42578 ?auto_42580 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42575 ?auto_42580 ?auto_42578 )
      ( DELIVER-PKG ?auto_42564 ?auto_42565 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42754
      ?auto_42755
    )
    :vars
    (
      ?auto_42759
      ?auto_42761
      ?auto_42762
      ?auto_42758
      ?auto_42760
      ?auto_42763
      ?auto_42765
    )
    :precondition
    ( and ( OBJ ?auto_42754 ) ( LOCATION ?auto_42755 ) ( AIRPLANE ?auto_42759 ) ( AIRPORT ?auto_42761 ) ( AIRPORT ?auto_42755 ) ( DIFFERENT ?auto_42755 ?auto_42761 ) ( LOCATION ?auto_42761 ) ( AT ?auto_42754 ?auto_42761 ) ( AIRPORT ?auto_42762 ) ( DIFFERENT ?auto_42761 ?auto_42762 ) ( AIRPORT ?auto_42758 ) ( DIFFERENT ?auto_42762 ?auto_42758 ) ( AIRPORT ?auto_42760 ) ( DIFFERENT ?auto_42758 ?auto_42760 ) ( AIRPORT ?auto_42763 ) ( DIFFERENT ?auto_42760 ?auto_42763 ) ( AIRPORT ?auto_42765 ) ( AT ?auto_42759 ?auto_42765 ) ( DIFFERENT ?auto_42763 ?auto_42765 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42759 ?auto_42765 ?auto_42763 )
      ( DELIVER-PKG ?auto_42754 ?auto_42755 ) )
  )

)

