( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_417
      ?auto_418
    )
    :vars
    (
      ?auto_421
    )
    :precondition
    ( and ( OBJ ?auto_417 ) ( LOCATION ?auto_418 ) ( TRUCK ?auto_421 ) ( AT ?auto_421 ?auto_418 ) ( IN ?auto_417 ?auto_421 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_417 ?auto_421 ?auto_418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_432
      ?auto_433
    )
    :vars
    (
      ?auto_435
      ?auto_439
      ?auto_438
    )
    :precondition
    ( and ( OBJ ?auto_432 ) ( LOCATION ?auto_433 ) ( TRUCK ?auto_435 ) ( IN ?auto_432 ?auto_435 ) ( LOCATION ?auto_439 ) ( CITY ?auto_438 ) ( AT ?auto_435 ?auto_439 ) ( IN-CITY ?auto_439 ?auto_438 ) ( IN-CITY ?auto_433 ?auto_438 ) ( DIFFERENT ?auto_433 ?auto_439 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_435 ?auto_439 ?auto_433 ?auto_438 )
      ( DELIVER-PKG ?auto_432 ?auto_433 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_455
      ?auto_456
    )
    :vars
    (
      ?auto_459
      ?auto_461
      ?auto_460
      ?auto_464
      ?auto_463
    )
    :precondition
    ( and ( OBJ ?auto_455 ) ( LOCATION ?auto_456 ) ( TRUCK ?auto_459 ) ( IN ?auto_455 ?auto_459 ) ( LOCATION ?auto_461 ) ( CITY ?auto_460 ) ( IN-CITY ?auto_461 ?auto_460 ) ( IN-CITY ?auto_456 ?auto_460 ) ( DIFFERENT ?auto_456 ?auto_461 ) ( LOCATION ?auto_464 ) ( CITY ?auto_463 ) ( AT ?auto_459 ?auto_464 ) ( IN-CITY ?auto_464 ?auto_463 ) ( IN-CITY ?auto_461 ?auto_463 ) ( DIFFERENT ?auto_461 ?auto_464 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_459 ?auto_464 ?auto_461 ?auto_463 )
      ( DELIVER-PKG ?auto_455 ?auto_456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_493
      ?auto_494
    )
    :vars
    (
      ?auto_499
      ?auto_498
      ?auto_497
      ?auto_501
      ?auto_500
      ?auto_503
    )
    :precondition
    ( and ( OBJ ?auto_493 ) ( LOCATION ?auto_494 ) ( TRUCK ?auto_499 ) ( LOCATION ?auto_498 ) ( CITY ?auto_497 ) ( IN-CITY ?auto_498 ?auto_497 ) ( IN-CITY ?auto_494 ?auto_497 ) ( DIFFERENT ?auto_494 ?auto_498 ) ( LOCATION ?auto_501 ) ( CITY ?auto_500 ) ( AT ?auto_499 ?auto_501 ) ( IN-CITY ?auto_501 ?auto_500 ) ( IN-CITY ?auto_498 ?auto_500 ) ( DIFFERENT ?auto_498 ?auto_501 ) ( LOCATION ?auto_503 ) ( AT ?auto_499 ?auto_503 ) ( AT ?auto_493 ?auto_503 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_493 ?auto_499 ?auto_503 )
      ( DELIVER-PKG ?auto_493 ?auto_494 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6289
      ?auto_6290
    )
    :vars
    (
      ?auto_6292
      ?auto_6296
      ?auto_6295
      ?auto_6291
      ?auto_6297
      ?auto_6299
    )
    :precondition
    ( and ( OBJ ?auto_6289 ) ( LOCATION ?auto_6290 ) ( TRUCK ?auto_6292 ) ( LOCATION ?auto_6296 ) ( CITY ?auto_6295 ) ( AT ?auto_6292 ?auto_6296 ) ( IN-CITY ?auto_6296 ?auto_6295 ) ( IN-CITY ?auto_6290 ?auto_6295 ) ( DIFFERENT ?auto_6290 ?auto_6296 ) ( LOCATION ?auto_6291 ) ( AT ?auto_6292 ?auto_6291 ) ( TRUCK ?auto_6297 ) ( AT ?auto_6297 ?auto_6291 ) ( LOCATION ?auto_6299 ) ( AT ?auto_6297 ?auto_6299 ) ( AT ?auto_6289 ?auto_6299 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6289 ?auto_6297 ?auto_6299 )
      ( DELIVER-PKG ?auto_6289 ?auto_6290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_591
      ?auto_592
    )
    :vars
    (
      ?auto_593
      ?auto_598
      ?auto_594
      ?auto_601
      ?auto_600
    )
    :precondition
    ( and ( OBJ ?auto_591 ) ( LOCATION ?auto_592 ) ( TRUCK ?auto_593 ) ( LOCATION ?auto_598 ) ( CITY ?auto_594 ) ( IN-CITY ?auto_598 ?auto_594 ) ( IN-CITY ?auto_592 ?auto_594 ) ( DIFFERENT ?auto_592 ?auto_598 ) ( AT ?auto_591 ?auto_598 ) ( LOCATION ?auto_601 ) ( CITY ?auto_600 ) ( AT ?auto_593 ?auto_601 ) ( IN-CITY ?auto_601 ?auto_600 ) ( IN-CITY ?auto_598 ?auto_600 ) ( DIFFERENT ?auto_598 ?auto_601 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_593 ?auto_601 ?auto_598 ?auto_600 )
      ( DELIVER-PKG ?auto_591 ?auto_592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_641
      ?auto_642
    )
    :vars
    (
      ?auto_645
    )
    :precondition
    ( and ( OBJ ?auto_641 ) ( LOCATION ?auto_642 ) ( AIRPLANE ?auto_645 ) ( IN ?auto_641 ?auto_645 ) ( AT ?auto_645 ?auto_642 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_641 ?auto_645 ?auto_642 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_656
      ?auto_657
    )
    :vars
    (
      ?auto_660
      ?auto_662
    )
    :precondition
    ( and ( OBJ ?auto_656 ) ( LOCATION ?auto_657 ) ( AIRPLANE ?auto_660 ) ( IN ?auto_656 ?auto_660 ) ( AIRPORT ?auto_662 ) ( AIRPORT ?auto_657 ) ( AT ?auto_660 ?auto_662 ) ( DIFFERENT ?auto_657 ?auto_662 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_660 ?auto_662 ?auto_657 )
      ( DELIVER-PKG ?auto_656 ?auto_657 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34994
      ?auto_34995
    )
    :vars
    (
      ?auto_34999
      ?auto_34998
      ?auto_35005
      ?auto_35000
      ?auto_35001
      ?auto_34997
      ?auto_35004
      ?auto_35003
      ?auto_35007
    )
    :precondition
    ( and ( OBJ ?auto_34994 ) ( LOCATION ?auto_34995 ) ( AIRPLANE ?auto_34999 ) ( AIRPORT ?auto_34998 ) ( AIRPORT ?auto_34995 ) ( AT ?auto_34999 ?auto_34998 ) ( DIFFERENT ?auto_34995 ?auto_34998 ) ( LOCATION ?auto_35005 ) ( AT ?auto_34999 ?auto_35005 ) ( AIRPLANE ?auto_35000 ) ( AT ?auto_35000 ?auto_35005 ) ( LOCATION ?auto_35001 ) ( AT ?auto_35000 ?auto_35001 ) ( AIRPLANE ?auto_34997 ) ( AT ?auto_34997 ?auto_35001 ) ( LOCATION ?auto_35004 ) ( AT ?auto_34997 ?auto_35004 ) ( AIRPLANE ?auto_35003 ) ( AT ?auto_35003 ?auto_35004 ) ( LOCATION ?auto_35007 ) ( AT ?auto_34994 ?auto_35007 ) ( AT ?auto_35003 ?auto_35007 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_34994 ?auto_35003 ?auto_35007 )
      ( DELIVER-PKG ?auto_34994 ?auto_34995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_699
      ?auto_700
    )
    :vars
    (
      ?auto_701
      ?auto_705
      ?auto_707
    )
    :precondition
    ( and ( OBJ ?auto_699 ) ( LOCATION ?auto_700 ) ( AIRPLANE ?auto_701 ) ( AIRPORT ?auto_705 ) ( AIRPORT ?auto_700 ) ( DIFFERENT ?auto_700 ?auto_705 ) ( LOCATION ?auto_705 ) ( AT ?auto_699 ?auto_705 ) ( AIRPORT ?auto_707 ) ( AT ?auto_701 ?auto_707 ) ( DIFFERENT ?auto_705 ?auto_707 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_701 ?auto_707 ?auto_705 )
      ( DELIVER-PKG ?auto_699 ?auto_700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_737
      ?auto_738
    )
    :vars
    (
      ?auto_739
      ?auto_740
      ?auto_743
      ?auto_745
    )
    :precondition
    ( and ( OBJ ?auto_737 ) ( LOCATION ?auto_738 ) ( AIRPLANE ?auto_739 ) ( AIRPORT ?auto_740 ) ( AIRPORT ?auto_738 ) ( DIFFERENT ?auto_738 ?auto_740 ) ( LOCATION ?auto_740 ) ( AT ?auto_737 ?auto_740 ) ( AIRPORT ?auto_743 ) ( DIFFERENT ?auto_740 ?auto_743 ) ( AIRPORT ?auto_745 ) ( AT ?auto_739 ?auto_745 ) ( DIFFERENT ?auto_743 ?auto_745 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_739 ?auto_745 ?auto_743 )
      ( DELIVER-PKG ?auto_737 ?auto_738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34115
      ?auto_34116
    )
    :vars
    (
      ?auto_34121
      ?auto_34118
      ?auto_34120
      ?auto_34123
      ?auto_34119
      ?auto_34125
    )
    :precondition
    ( and ( OBJ ?auto_34115 ) ( LOCATION ?auto_34116 ) ( AIRPLANE ?auto_34121 ) ( AT ?auto_34121 ?auto_34116 ) ( LOCATION ?auto_34118 ) ( AT ?auto_34121 ?auto_34118 ) ( AIRPLANE ?auto_34120 ) ( AT ?auto_34120 ?auto_34118 ) ( LOCATION ?auto_34123 ) ( AT ?auto_34120 ?auto_34123 ) ( AIRPLANE ?auto_34119 ) ( AT ?auto_34119 ?auto_34123 ) ( LOCATION ?auto_34125 ) ( AT ?auto_34115 ?auto_34125 ) ( AT ?auto_34119 ?auto_34125 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_34115 ?auto_34119 ?auto_34125 )
      ( DELIVER-PKG ?auto_34115 ?auto_34116 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34127
      ?auto_34128
    )
    :vars
    (
      ?auto_34133
      ?auto_34136
      ?auto_34131
      ?auto_34130
      ?auto_34135
      ?auto_34132
      ?auto_34139
    )
    :precondition
    ( and ( OBJ ?auto_34127 ) ( LOCATION ?auto_34128 ) ( AIRPLANE ?auto_34133 ) ( AT ?auto_34133 ?auto_34128 ) ( LOCATION ?auto_34136 ) ( AT ?auto_34133 ?auto_34136 ) ( AIRPLANE ?auto_34131 ) ( AT ?auto_34131 ?auto_34136 ) ( LOCATION ?auto_34130 ) ( AT ?auto_34131 ?auto_34130 ) ( AIRPLANE ?auto_34135 ) ( AT ?auto_34135 ?auto_34130 ) ( LOCATION ?auto_34132 ) ( AT ?auto_34135 ?auto_34132 ) ( AIRPLANE ?auto_34139 ) ( IN ?auto_34127 ?auto_34139 ) ( AT ?auto_34139 ?auto_34132 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_34127 ?auto_34132 )
      ( DELIVER-PKG ?auto_34127 ?auto_34128 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34151
      ?auto_34152
    )
    :vars
    (
      ?auto_34161
      ?auto_34157
      ?auto_34159
      ?auto_34160
      ?auto_34158
      ?auto_34156
      ?auto_34155
      ?auto_34163
    )
    :precondition
    ( and ( OBJ ?auto_34151 ) ( LOCATION ?auto_34152 ) ( AIRPLANE ?auto_34161 ) ( AT ?auto_34161 ?auto_34152 ) ( LOCATION ?auto_34157 ) ( AT ?auto_34161 ?auto_34157 ) ( AIRPLANE ?auto_34159 ) ( AT ?auto_34159 ?auto_34157 ) ( LOCATION ?auto_34160 ) ( AT ?auto_34159 ?auto_34160 ) ( AIRPLANE ?auto_34158 ) ( AT ?auto_34158 ?auto_34160 ) ( LOCATION ?auto_34156 ) ( AT ?auto_34158 ?auto_34156 ) ( AIRPLANE ?auto_34155 ) ( IN ?auto_34151 ?auto_34155 ) ( AIRPORT ?auto_34163 ) ( AIRPORT ?auto_34156 ) ( AT ?auto_34155 ?auto_34163 ) ( DIFFERENT ?auto_34156 ?auto_34163 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_34155 ?auto_34163 ?auto_34156 )
      ( DELIVER-PKG ?auto_34151 ?auto_34152 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34196
      ?auto_34197
    )
    :vars
    (
      ?auto_34203
      ?auto_34200
      ?auto_34205
      ?auto_34201
      ?auto_34208
      ?auto_34207
      ?auto_34198
      ?auto_34209
      ?auto_34202
      ?auto_34199
      ?auto_34211
    )
    :precondition
    ( and ( OBJ ?auto_34196 ) ( LOCATION ?auto_34197 ) ( AIRPLANE ?auto_34203 ) ( AT ?auto_34203 ?auto_34197 ) ( LOCATION ?auto_34200 ) ( AT ?auto_34203 ?auto_34200 ) ( AIRPLANE ?auto_34205 ) ( AT ?auto_34205 ?auto_34200 ) ( LOCATION ?auto_34201 ) ( AT ?auto_34205 ?auto_34201 ) ( AIRPLANE ?auto_34208 ) ( AT ?auto_34208 ?auto_34201 ) ( LOCATION ?auto_34207 ) ( AT ?auto_34208 ?auto_34207 ) ( AIRPLANE ?auto_34198 ) ( AIRPORT ?auto_34209 ) ( AIRPORT ?auto_34207 ) ( AT ?auto_34198 ?auto_34209 ) ( DIFFERENT ?auto_34207 ?auto_34209 ) ( LOCATION ?auto_34202 ) ( AT ?auto_34198 ?auto_34202 ) ( AIRPLANE ?auto_34199 ) ( AT ?auto_34199 ?auto_34202 ) ( LOCATION ?auto_34211 ) ( AT ?auto_34196 ?auto_34211 ) ( AT ?auto_34199 ?auto_34211 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_34196 ?auto_34199 ?auto_34211 )
      ( DELIVER-PKG ?auto_34196 ?auto_34197 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1306
      ?auto_1307
    )
    :vars
    (
      ?auto_1310
      ?auto_1311
      ?auto_1309
      ?auto_1314
      ?auto_1316
    )
    :precondition
    ( and ( OBJ ?auto_1306 ) ( LOCATION ?auto_1307 ) ( AIRPLANE ?auto_1310 ) ( AT ?auto_1310 ?auto_1307 ) ( LOCATION ?auto_1311 ) ( AT ?auto_1310 ?auto_1311 ) ( AIRPLANE ?auto_1309 ) ( AIRPORT ?auto_1314 ) ( AIRPORT ?auto_1311 ) ( DIFFERENT ?auto_1311 ?auto_1314 ) ( LOCATION ?auto_1314 ) ( AT ?auto_1306 ?auto_1314 ) ( AIRPORT ?auto_1316 ) ( AT ?auto_1309 ?auto_1316 ) ( DIFFERENT ?auto_1314 ?auto_1316 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1309 ?auto_1316 ?auto_1314 )
      ( DELIVER-PKG ?auto_1306 ?auto_1307 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1354
      ?auto_1355
    )
    :vars
    (
      ?auto_1357
      ?auto_1359
      ?auto_1356
      ?auto_1361
      ?auto_1362
      ?auto_1364
    )
    :precondition
    ( and ( OBJ ?auto_1354 ) ( LOCATION ?auto_1355 ) ( AIRPLANE ?auto_1357 ) ( AT ?auto_1357 ?auto_1355 ) ( LOCATION ?auto_1359 ) ( AT ?auto_1357 ?auto_1359 ) ( AIRPLANE ?auto_1356 ) ( AIRPORT ?auto_1361 ) ( AIRPORT ?auto_1359 ) ( DIFFERENT ?auto_1359 ?auto_1361 ) ( LOCATION ?auto_1361 ) ( AT ?auto_1354 ?auto_1361 ) ( AIRPORT ?auto_1362 ) ( DIFFERENT ?auto_1361 ?auto_1362 ) ( AIRPORT ?auto_1364 ) ( AT ?auto_1356 ?auto_1364 ) ( DIFFERENT ?auto_1362 ?auto_1364 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1356 ?auto_1364 ?auto_1362 )
      ( DELIVER-PKG ?auto_1354 ?auto_1355 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7983
      ?auto_7984
    )
    :vars
    (
      ?auto_7988
      ?auto_7986
      ?auto_7991
      ?auto_7989
      ?auto_7987
      ?auto_7993
    )
    :precondition
    ( and ( OBJ ?auto_7983 ) ( LOCATION ?auto_7984 ) ( AIRPLANE ?auto_7988 ) ( AIRPORT ?auto_7986 ) ( AIRPORT ?auto_7984 ) ( AT ?auto_7988 ?auto_7986 ) ( DIFFERENT ?auto_7984 ?auto_7986 ) ( LOCATION ?auto_7991 ) ( AT ?auto_7988 ?auto_7991 ) ( TRUCK ?auto_7989 ) ( AT ?auto_7989 ?auto_7991 ) ( LOCATION ?auto_7987 ) ( AT ?auto_7989 ?auto_7987 ) ( TRUCK ?auto_7993 ) ( AT ?auto_7993 ?auto_7987 ) ( IN ?auto_7983 ?auto_7993 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7983 ?auto_7987 )
      ( DELIVER-PKG ?auto_7983 ?auto_7984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12829
      ?auto_12830
    )
    :vars
    (
      ?auto_12832
      ?auto_12834
      ?auto_12835
      ?auto_12833
      ?auto_12838
      ?auto_12831
      ?auto_12841
      ?auto_12840
    )
    :precondition
    ( and ( OBJ ?auto_12829 ) ( LOCATION ?auto_12830 ) ( AIRPLANE ?auto_12832 ) ( AIRPORT ?auto_12834 ) ( AIRPORT ?auto_12830 ) ( AT ?auto_12832 ?auto_12834 ) ( DIFFERENT ?auto_12830 ?auto_12834 ) ( LOCATION ?auto_12835 ) ( AT ?auto_12832 ?auto_12835 ) ( AIRPLANE ?auto_12833 ) ( AT ?auto_12833 ?auto_12835 ) ( LOCATION ?auto_12838 ) ( AT ?auto_12833 ?auto_12838 ) ( TRUCK ?auto_12831 ) ( IN ?auto_12829 ?auto_12831 ) ( LOCATION ?auto_12841 ) ( CITY ?auto_12840 ) ( AT ?auto_12831 ?auto_12841 ) ( IN-CITY ?auto_12841 ?auto_12840 ) ( IN-CITY ?auto_12838 ?auto_12840 ) ( DIFFERENT ?auto_12838 ?auto_12841 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12831 ?auto_12841 ?auto_12838 ?auto_12840 )
      ( DELIVER-PKG ?auto_12829 ?auto_12830 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12843
      ?auto_12844
    )
    :vars
    (
      ?auto_12852
      ?auto_12854
      ?auto_12853
      ?auto_12851
      ?auto_12848
      ?auto_12846
      ?auto_12850
      ?auto_12849
      ?auto_12856
    )
    :precondition
    ( and ( OBJ ?auto_12843 ) ( LOCATION ?auto_12844 ) ( AIRPLANE ?auto_12852 ) ( AIRPORT ?auto_12854 ) ( AIRPORT ?auto_12844 ) ( AT ?auto_12852 ?auto_12854 ) ( DIFFERENT ?auto_12844 ?auto_12854 ) ( LOCATION ?auto_12853 ) ( AT ?auto_12852 ?auto_12853 ) ( AIRPLANE ?auto_12851 ) ( AT ?auto_12851 ?auto_12853 ) ( LOCATION ?auto_12848 ) ( AT ?auto_12851 ?auto_12848 ) ( TRUCK ?auto_12846 ) ( LOCATION ?auto_12850 ) ( CITY ?auto_12849 ) ( AT ?auto_12846 ?auto_12850 ) ( IN-CITY ?auto_12850 ?auto_12849 ) ( IN-CITY ?auto_12848 ?auto_12849 ) ( DIFFERENT ?auto_12848 ?auto_12850 ) ( LOCATION ?auto_12856 ) ( AT ?auto_12846 ?auto_12856 ) ( AT ?auto_12843 ?auto_12856 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12843 ?auto_12846 ?auto_12856 )
      ( DELIVER-PKG ?auto_12843 ?auto_12844 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12858
      ?auto_12859
    )
    :vars
    (
      ?auto_12860
      ?auto_12862
      ?auto_12863
      ?auto_12866
      ?auto_12868
      ?auto_12867
      ?auto_12865
      ?auto_12869
      ?auto_12873
      ?auto_12872
    )
    :precondition
    ( and ( OBJ ?auto_12858 ) ( LOCATION ?auto_12859 ) ( AIRPLANE ?auto_12860 ) ( AIRPORT ?auto_12862 ) ( AIRPORT ?auto_12859 ) ( AT ?auto_12860 ?auto_12862 ) ( DIFFERENT ?auto_12859 ?auto_12862 ) ( LOCATION ?auto_12863 ) ( AT ?auto_12860 ?auto_12863 ) ( AIRPLANE ?auto_12866 ) ( AT ?auto_12866 ?auto_12863 ) ( LOCATION ?auto_12868 ) ( AT ?auto_12866 ?auto_12868 ) ( TRUCK ?auto_12867 ) ( LOCATION ?auto_12865 ) ( CITY ?auto_12869 ) ( IN-CITY ?auto_12865 ?auto_12869 ) ( IN-CITY ?auto_12868 ?auto_12869 ) ( DIFFERENT ?auto_12868 ?auto_12865 ) ( AT ?auto_12858 ?auto_12865 ) ( LOCATION ?auto_12873 ) ( CITY ?auto_12872 ) ( AT ?auto_12867 ?auto_12873 ) ( IN-CITY ?auto_12873 ?auto_12872 ) ( IN-CITY ?auto_12865 ?auto_12872 ) ( DIFFERENT ?auto_12865 ?auto_12873 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12867 ?auto_12873 ?auto_12865 ?auto_12872 )
      ( DELIVER-PKG ?auto_12858 ?auto_12859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1823
      ?auto_1824
    )
    :vars
    (
      ?auto_1826
      ?auto_1828
      ?auto_1829
      ?auto_1831
      ?auto_1830
      ?auto_1834
      ?auto_1833
      ?auto_1836
    )
    :precondition
    ( and ( OBJ ?auto_1823 ) ( LOCATION ?auto_1824 ) ( AIRPLANE ?auto_1826 ) ( AIRPORT ?auto_1828 ) ( AIRPORT ?auto_1824 ) ( DIFFERENT ?auto_1824 ?auto_1828 ) ( LOCATION ?auto_1828 ) ( TRUCK ?auto_1829 ) ( LOCATION ?auto_1831 ) ( CITY ?auto_1830 ) ( IN-CITY ?auto_1831 ?auto_1830 ) ( IN-CITY ?auto_1828 ?auto_1830 ) ( DIFFERENT ?auto_1828 ?auto_1831 ) ( AT ?auto_1823 ?auto_1831 ) ( LOCATION ?auto_1834 ) ( CITY ?auto_1833 ) ( AT ?auto_1829 ?auto_1834 ) ( IN-CITY ?auto_1834 ?auto_1833 ) ( IN-CITY ?auto_1831 ?auto_1833 ) ( DIFFERENT ?auto_1831 ?auto_1834 ) ( AIRPORT ?auto_1836 ) ( AT ?auto_1826 ?auto_1836 ) ( DIFFERENT ?auto_1828 ?auto_1836 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1826 ?auto_1836 ?auto_1828 )
      ( DELIVER-PKG ?auto_1823 ?auto_1824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2007
      ?auto_2008
    )
    :vars
    (
      ?auto_2011
      ?auto_2013
      ?auto_2012
      ?auto_2015
      ?auto_2014
      ?auto_2018
      ?auto_2017
    )
    :precondition
    ( and ( OBJ ?auto_2007 ) ( LOCATION ?auto_2008 ) ( TRUCK ?auto_2011 ) ( LOCATION ?auto_2013 ) ( CITY ?auto_2012 ) ( IN-CITY ?auto_2013 ?auto_2012 ) ( IN-CITY ?auto_2008 ?auto_2012 ) ( DIFFERENT ?auto_2008 ?auto_2013 ) ( AT ?auto_2007 ?auto_2013 ) ( LOCATION ?auto_2015 ) ( CITY ?auto_2014 ) ( IN-CITY ?auto_2015 ?auto_2014 ) ( IN-CITY ?auto_2013 ?auto_2014 ) ( DIFFERENT ?auto_2013 ?auto_2015 ) ( LOCATION ?auto_2018 ) ( CITY ?auto_2017 ) ( AT ?auto_2011 ?auto_2018 ) ( IN-CITY ?auto_2018 ?auto_2017 ) ( IN-CITY ?auto_2015 ?auto_2017 ) ( DIFFERENT ?auto_2015 ?auto_2018 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2011 ?auto_2018 ?auto_2015 ?auto_2017 )
      ( DELIVER-PKG ?auto_2007 ?auto_2008 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2042
      ?auto_2043
    )
    :vars
    (
      ?auto_2046
      ?auto_2048
      ?auto_2047
      ?auto_2050
      ?auto_2049
      ?auto_2052
      ?auto_2051
      ?auto_2055
      ?auto_2054
    )
    :precondition
    ( and ( OBJ ?auto_2042 ) ( LOCATION ?auto_2043 ) ( TRUCK ?auto_2046 ) ( LOCATION ?auto_2048 ) ( CITY ?auto_2047 ) ( IN-CITY ?auto_2048 ?auto_2047 ) ( IN-CITY ?auto_2043 ?auto_2047 ) ( DIFFERENT ?auto_2043 ?auto_2048 ) ( AT ?auto_2042 ?auto_2048 ) ( LOCATION ?auto_2050 ) ( CITY ?auto_2049 ) ( IN-CITY ?auto_2050 ?auto_2049 ) ( IN-CITY ?auto_2048 ?auto_2049 ) ( DIFFERENT ?auto_2048 ?auto_2050 ) ( LOCATION ?auto_2052 ) ( CITY ?auto_2051 ) ( IN-CITY ?auto_2052 ?auto_2051 ) ( IN-CITY ?auto_2050 ?auto_2051 ) ( DIFFERENT ?auto_2050 ?auto_2052 ) ( LOCATION ?auto_2055 ) ( CITY ?auto_2054 ) ( AT ?auto_2046 ?auto_2055 ) ( IN-CITY ?auto_2055 ?auto_2054 ) ( IN-CITY ?auto_2052 ?auto_2054 ) ( DIFFERENT ?auto_2052 ?auto_2055 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2046 ?auto_2055 ?auto_2052 ?auto_2054 )
      ( DELIVER-PKG ?auto_2042 ?auto_2043 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2505
      ?auto_2506
    )
    :vars
    (
      ?auto_2509
      ?auto_2510
      ?auto_2511
      ?auto_2513
    )
    :precondition
    ( and ( OBJ ?auto_2505 ) ( LOCATION ?auto_2506 ) ( AIRPLANE ?auto_2509 ) ( AIRPORT ?auto_2510 ) ( AIRPORT ?auto_2506 ) ( DIFFERENT ?auto_2506 ?auto_2510 ) ( LOCATION ?auto_2510 ) ( AIRPORT ?auto_2511 ) ( AT ?auto_2509 ?auto_2511 ) ( DIFFERENT ?auto_2510 ?auto_2511 ) ( TRUCK ?auto_2513 ) ( AT ?auto_2513 ?auto_2510 ) ( IN ?auto_2505 ?auto_2513 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2505 ?auto_2510 )
      ( DELIVER-PKG ?auto_2505 ?auto_2506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2515
      ?auto_2516
    )
    :vars
    (
      ?auto_2519
      ?auto_2520
      ?auto_2521
      ?auto_2522
      ?auto_2524
    )
    :precondition
    ( and ( OBJ ?auto_2515 ) ( LOCATION ?auto_2516 ) ( AIRPLANE ?auto_2519 ) ( AIRPORT ?auto_2520 ) ( AIRPORT ?auto_2516 ) ( DIFFERENT ?auto_2516 ?auto_2520 ) ( LOCATION ?auto_2520 ) ( AIRPORT ?auto_2521 ) ( DIFFERENT ?auto_2520 ?auto_2521 ) ( TRUCK ?auto_2522 ) ( AT ?auto_2522 ?auto_2520 ) ( IN ?auto_2515 ?auto_2522 ) ( AIRPORT ?auto_2524 ) ( AT ?auto_2519 ?auto_2524 ) ( DIFFERENT ?auto_2521 ?auto_2524 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2519 ?auto_2524 ?auto_2521 )
      ( DELIVER-PKG ?auto_2515 ?auto_2516 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2535
      ?auto_2536
    )
    :vars
    (
      ?auto_2537
      ?auto_2542
      ?auto_2540
      ?auto_2541
      ?auto_2539
      ?auto_2546
      ?auto_2545
    )
    :precondition
    ( and ( OBJ ?auto_2535 ) ( LOCATION ?auto_2536 ) ( AIRPLANE ?auto_2537 ) ( AIRPORT ?auto_2542 ) ( AIRPORT ?auto_2536 ) ( DIFFERENT ?auto_2536 ?auto_2542 ) ( LOCATION ?auto_2542 ) ( AIRPORT ?auto_2540 ) ( DIFFERENT ?auto_2542 ?auto_2540 ) ( TRUCK ?auto_2541 ) ( IN ?auto_2535 ?auto_2541 ) ( AIRPORT ?auto_2539 ) ( AT ?auto_2537 ?auto_2539 ) ( DIFFERENT ?auto_2540 ?auto_2539 ) ( LOCATION ?auto_2546 ) ( CITY ?auto_2545 ) ( AT ?auto_2541 ?auto_2546 ) ( IN-CITY ?auto_2546 ?auto_2545 ) ( IN-CITY ?auto_2542 ?auto_2545 ) ( DIFFERENT ?auto_2542 ?auto_2546 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2541 ?auto_2546 ?auto_2542 ?auto_2545 )
      ( DELIVER-PKG ?auto_2535 ?auto_2536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2570
      ?auto_2571
    )
    :vars
    (
      ?auto_2572
      ?auto_2573
      ?auto_2575
      ?auto_2574
      ?auto_2577
      ?auto_2580
      ?auto_2579
      ?auto_2583
      ?auto_2582
    )
    :precondition
    ( and ( OBJ ?auto_2570 ) ( LOCATION ?auto_2571 ) ( AIRPLANE ?auto_2572 ) ( AIRPORT ?auto_2573 ) ( AIRPORT ?auto_2571 ) ( DIFFERENT ?auto_2571 ?auto_2573 ) ( LOCATION ?auto_2573 ) ( AIRPORT ?auto_2575 ) ( DIFFERENT ?auto_2573 ?auto_2575 ) ( TRUCK ?auto_2574 ) ( IN ?auto_2570 ?auto_2574 ) ( AIRPORT ?auto_2577 ) ( AT ?auto_2572 ?auto_2577 ) ( DIFFERENT ?auto_2575 ?auto_2577 ) ( LOCATION ?auto_2580 ) ( CITY ?auto_2579 ) ( IN-CITY ?auto_2580 ?auto_2579 ) ( IN-CITY ?auto_2573 ?auto_2579 ) ( DIFFERENT ?auto_2573 ?auto_2580 ) ( LOCATION ?auto_2583 ) ( CITY ?auto_2582 ) ( AT ?auto_2574 ?auto_2583 ) ( IN-CITY ?auto_2583 ?auto_2582 ) ( IN-CITY ?auto_2580 ?auto_2582 ) ( DIFFERENT ?auto_2580 ?auto_2583 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2574 ?auto_2583 ?auto_2580 ?auto_2582 )
      ( DELIVER-PKG ?auto_2570 ?auto_2571 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2585
      ?auto_2586
    )
    :vars
    (
      ?auto_2594
      ?auto_2589
      ?auto_2591
      ?auto_2587
      ?auto_2592
      ?auto_2595
      ?auto_2593
      ?auto_2597
      ?auto_2596
      ?auto_2599
    )
    :precondition
    ( and ( OBJ ?auto_2585 ) ( LOCATION ?auto_2586 ) ( AIRPLANE ?auto_2594 ) ( AIRPORT ?auto_2589 ) ( AIRPORT ?auto_2586 ) ( DIFFERENT ?auto_2586 ?auto_2589 ) ( LOCATION ?auto_2589 ) ( AIRPORT ?auto_2591 ) ( DIFFERENT ?auto_2589 ?auto_2591 ) ( TRUCK ?auto_2587 ) ( IN ?auto_2585 ?auto_2587 ) ( AIRPORT ?auto_2592 ) ( DIFFERENT ?auto_2591 ?auto_2592 ) ( LOCATION ?auto_2595 ) ( CITY ?auto_2593 ) ( IN-CITY ?auto_2595 ?auto_2593 ) ( IN-CITY ?auto_2589 ?auto_2593 ) ( DIFFERENT ?auto_2589 ?auto_2595 ) ( LOCATION ?auto_2597 ) ( CITY ?auto_2596 ) ( AT ?auto_2587 ?auto_2597 ) ( IN-CITY ?auto_2597 ?auto_2596 ) ( IN-CITY ?auto_2595 ?auto_2596 ) ( DIFFERENT ?auto_2595 ?auto_2597 ) ( AIRPORT ?auto_2599 ) ( AT ?auto_2594 ?auto_2599 ) ( DIFFERENT ?auto_2592 ?auto_2599 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2594 ?auto_2599 ?auto_2592 )
      ( DELIVER-PKG ?auto_2585 ?auto_2586 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2629
      ?auto_2630
    )
    :vars
    (
      ?auto_2633
      ?auto_2635
      ?auto_2631
      ?auto_2640
      ?auto_2632
      ?auto_2641
      ?auto_2637
      ?auto_2636
      ?auto_2634
      ?auto_2638
      ?auto_2644
    )
    :precondition
    ( and ( OBJ ?auto_2629 ) ( LOCATION ?auto_2630 ) ( AIRPLANE ?auto_2633 ) ( AIRPORT ?auto_2635 ) ( AIRPORT ?auto_2630 ) ( DIFFERENT ?auto_2630 ?auto_2635 ) ( LOCATION ?auto_2635 ) ( AIRPORT ?auto_2631 ) ( DIFFERENT ?auto_2635 ?auto_2631 ) ( TRUCK ?auto_2640 ) ( AIRPORT ?auto_2632 ) ( DIFFERENT ?auto_2631 ?auto_2632 ) ( LOCATION ?auto_2641 ) ( CITY ?auto_2637 ) ( IN-CITY ?auto_2641 ?auto_2637 ) ( IN-CITY ?auto_2635 ?auto_2637 ) ( DIFFERENT ?auto_2635 ?auto_2641 ) ( LOCATION ?auto_2636 ) ( CITY ?auto_2634 ) ( AT ?auto_2640 ?auto_2636 ) ( IN-CITY ?auto_2636 ?auto_2634 ) ( IN-CITY ?auto_2641 ?auto_2634 ) ( DIFFERENT ?auto_2641 ?auto_2636 ) ( AIRPORT ?auto_2638 ) ( AT ?auto_2633 ?auto_2638 ) ( DIFFERENT ?auto_2632 ?auto_2638 ) ( LOCATION ?auto_2644 ) ( AT ?auto_2640 ?auto_2644 ) ( AT ?auto_2629 ?auto_2644 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2629 ?auto_2640 ?auto_2644 )
      ( DELIVER-PKG ?auto_2629 ?auto_2630 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2661
      ?auto_2662
    )
    :vars
    (
      ?auto_2667
      ?auto_2671
      ?auto_2666
      ?auto_2665
      ?auto_2668
      ?auto_2664
      ?auto_2673
      ?auto_2672
      ?auto_2670
      ?auto_2674
      ?auto_2675
      ?auto_2677
    )
    :precondition
    ( and ( OBJ ?auto_2661 ) ( LOCATION ?auto_2662 ) ( AIRPLANE ?auto_2667 ) ( AIRPORT ?auto_2671 ) ( AIRPORT ?auto_2662 ) ( DIFFERENT ?auto_2662 ?auto_2671 ) ( LOCATION ?auto_2671 ) ( AIRPORT ?auto_2666 ) ( DIFFERENT ?auto_2671 ?auto_2666 ) ( TRUCK ?auto_2665 ) ( AIRPORT ?auto_2668 ) ( DIFFERENT ?auto_2666 ?auto_2668 ) ( LOCATION ?auto_2664 ) ( CITY ?auto_2673 ) ( IN-CITY ?auto_2664 ?auto_2673 ) ( IN-CITY ?auto_2671 ?auto_2673 ) ( DIFFERENT ?auto_2671 ?auto_2664 ) ( LOCATION ?auto_2672 ) ( CITY ?auto_2670 ) ( AT ?auto_2665 ?auto_2672 ) ( IN-CITY ?auto_2672 ?auto_2670 ) ( IN-CITY ?auto_2664 ?auto_2670 ) ( DIFFERENT ?auto_2664 ?auto_2672 ) ( AIRPORT ?auto_2674 ) ( DIFFERENT ?auto_2668 ?auto_2674 ) ( LOCATION ?auto_2675 ) ( AT ?auto_2665 ?auto_2675 ) ( AT ?auto_2661 ?auto_2675 ) ( AIRPORT ?auto_2677 ) ( AT ?auto_2667 ?auto_2677 ) ( DIFFERENT ?auto_2674 ?auto_2677 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2667 ?auto_2677 ?auto_2674 )
      ( DELIVER-PKG ?auto_2661 ?auto_2662 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2781
      ?auto_2782
    )
    :vars
    (
      ?auto_2790
      ?auto_2789
      ?auto_2788
      ?auto_2785
      ?auto_2783
      ?auto_2791
      ?auto_2793
    )
    :precondition
    ( and ( OBJ ?auto_2781 ) ( LOCATION ?auto_2782 ) ( AIRPLANE ?auto_2790 ) ( AIRPORT ?auto_2789 ) ( AIRPORT ?auto_2782 ) ( DIFFERENT ?auto_2782 ?auto_2789 ) ( LOCATION ?auto_2789 ) ( TRUCK ?auto_2788 ) ( LOCATION ?auto_2785 ) ( CITY ?auto_2783 ) ( AT ?auto_2788 ?auto_2785 ) ( IN-CITY ?auto_2785 ?auto_2783 ) ( IN-CITY ?auto_2789 ?auto_2783 ) ( DIFFERENT ?auto_2789 ?auto_2785 ) ( LOCATION ?auto_2791 ) ( AT ?auto_2788 ?auto_2791 ) ( AT ?auto_2781 ?auto_2791 ) ( AIRPORT ?auto_2793 ) ( AT ?auto_2790 ?auto_2793 ) ( DIFFERENT ?auto_2789 ?auto_2793 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2790 ?auto_2793 ?auto_2789 )
      ( DELIVER-PKG ?auto_2781 ?auto_2782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2817
      ?auto_2818
    )
    :vars
    (
      ?auto_2825
      ?auto_2826
      ?auto_2823
      ?auto_2821
      ?auto_2819
      ?auto_2824
      ?auto_2830
      ?auto_2829
    )
    :precondition
    ( and ( OBJ ?auto_2817 ) ( LOCATION ?auto_2818 ) ( AIRPLANE ?auto_2825 ) ( AIRPORT ?auto_2826 ) ( AIRPORT ?auto_2818 ) ( DIFFERENT ?auto_2818 ?auto_2826 ) ( LOCATION ?auto_2826 ) ( TRUCK ?auto_2823 ) ( LOCATION ?auto_2821 ) ( CITY ?auto_2819 ) ( IN-CITY ?auto_2821 ?auto_2819 ) ( IN-CITY ?auto_2826 ?auto_2819 ) ( DIFFERENT ?auto_2826 ?auto_2821 ) ( AT ?auto_2817 ?auto_2821 ) ( AIRPORT ?auto_2824 ) ( AT ?auto_2825 ?auto_2824 ) ( DIFFERENT ?auto_2826 ?auto_2824 ) ( LOCATION ?auto_2830 ) ( CITY ?auto_2829 ) ( AT ?auto_2823 ?auto_2830 ) ( IN-CITY ?auto_2830 ?auto_2829 ) ( IN-CITY ?auto_2821 ?auto_2829 ) ( DIFFERENT ?auto_2821 ?auto_2830 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2823 ?auto_2830 ?auto_2821 ?auto_2829 )
      ( DELIVER-PKG ?auto_2817 ?auto_2818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2868
      ?auto_2869
    )
    :vars
    (
      ?auto_2874
      ?auto_2875
      ?auto_2872
      ?auto_2871
      ?auto_2877
      ?auto_2873
      ?auto_2879
      ?auto_2878
      ?auto_2881
    )
    :precondition
    ( and ( OBJ ?auto_2868 ) ( LOCATION ?auto_2869 ) ( AIRPLANE ?auto_2874 ) ( AIRPORT ?auto_2875 ) ( AIRPORT ?auto_2869 ) ( DIFFERENT ?auto_2869 ?auto_2875 ) ( LOCATION ?auto_2875 ) ( TRUCK ?auto_2872 ) ( LOCATION ?auto_2871 ) ( CITY ?auto_2877 ) ( IN-CITY ?auto_2871 ?auto_2877 ) ( IN-CITY ?auto_2875 ?auto_2877 ) ( DIFFERENT ?auto_2875 ?auto_2871 ) ( AT ?auto_2868 ?auto_2871 ) ( AIRPORT ?auto_2873 ) ( DIFFERENT ?auto_2875 ?auto_2873 ) ( LOCATION ?auto_2879 ) ( CITY ?auto_2878 ) ( AT ?auto_2872 ?auto_2879 ) ( IN-CITY ?auto_2879 ?auto_2878 ) ( IN-CITY ?auto_2871 ?auto_2878 ) ( DIFFERENT ?auto_2871 ?auto_2879 ) ( AIRPORT ?auto_2881 ) ( AT ?auto_2874 ?auto_2881 ) ( DIFFERENT ?auto_2873 ?auto_2881 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2874 ?auto_2881 ?auto_2873 )
      ( DELIVER-PKG ?auto_2868 ?auto_2869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2896
      ?auto_2897
    )
    :vars
    (
      ?auto_2903
      ?auto_2904
      ?auto_2901
      ?auto_2900
      ?auto_2905
      ?auto_2902
      ?auto_2907
      ?auto_2906
      ?auto_2908
      ?auto_2911
      ?auto_2910
    )
    :precondition
    ( and ( OBJ ?auto_2896 ) ( LOCATION ?auto_2897 ) ( AIRPLANE ?auto_2903 ) ( AIRPORT ?auto_2904 ) ( AIRPORT ?auto_2897 ) ( DIFFERENT ?auto_2897 ?auto_2904 ) ( LOCATION ?auto_2904 ) ( TRUCK ?auto_2901 ) ( LOCATION ?auto_2900 ) ( CITY ?auto_2905 ) ( IN-CITY ?auto_2900 ?auto_2905 ) ( IN-CITY ?auto_2904 ?auto_2905 ) ( DIFFERENT ?auto_2904 ?auto_2900 ) ( AT ?auto_2896 ?auto_2900 ) ( AIRPORT ?auto_2902 ) ( DIFFERENT ?auto_2904 ?auto_2902 ) ( LOCATION ?auto_2907 ) ( CITY ?auto_2906 ) ( IN-CITY ?auto_2907 ?auto_2906 ) ( IN-CITY ?auto_2900 ?auto_2906 ) ( DIFFERENT ?auto_2900 ?auto_2907 ) ( AIRPORT ?auto_2908 ) ( AT ?auto_2903 ?auto_2908 ) ( DIFFERENT ?auto_2902 ?auto_2908 ) ( LOCATION ?auto_2911 ) ( CITY ?auto_2910 ) ( AT ?auto_2901 ?auto_2911 ) ( IN-CITY ?auto_2911 ?auto_2910 ) ( IN-CITY ?auto_2907 ?auto_2910 ) ( DIFFERENT ?auto_2907 ?auto_2911 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2901 ?auto_2911 ?auto_2907 ?auto_2910 )
      ( DELIVER-PKG ?auto_2896 ?auto_2897 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2943
      ?auto_2944
    )
    :vars
    (
      ?auto_2952
      ?auto_2953
      ?auto_2947
      ?auto_2946
      ?auto_2948
      ?auto_2951
      ?auto_2950
      ?auto_2949
      ?auto_2954
      ?auto_2957
      ?auto_2955
      ?auto_2960
      ?auto_2959
    )
    :precondition
    ( and ( OBJ ?auto_2943 ) ( LOCATION ?auto_2944 ) ( AIRPLANE ?auto_2952 ) ( AIRPORT ?auto_2953 ) ( AIRPORT ?auto_2944 ) ( DIFFERENT ?auto_2944 ?auto_2953 ) ( LOCATION ?auto_2953 ) ( TRUCK ?auto_2947 ) ( LOCATION ?auto_2946 ) ( CITY ?auto_2948 ) ( IN-CITY ?auto_2946 ?auto_2948 ) ( IN-CITY ?auto_2953 ?auto_2948 ) ( DIFFERENT ?auto_2953 ?auto_2946 ) ( AT ?auto_2943 ?auto_2946 ) ( AIRPORT ?auto_2951 ) ( DIFFERENT ?auto_2953 ?auto_2951 ) ( LOCATION ?auto_2950 ) ( CITY ?auto_2949 ) ( IN-CITY ?auto_2950 ?auto_2949 ) ( IN-CITY ?auto_2946 ?auto_2949 ) ( DIFFERENT ?auto_2946 ?auto_2950 ) ( AIRPORT ?auto_2954 ) ( AT ?auto_2952 ?auto_2954 ) ( DIFFERENT ?auto_2951 ?auto_2954 ) ( LOCATION ?auto_2957 ) ( CITY ?auto_2955 ) ( IN-CITY ?auto_2957 ?auto_2955 ) ( IN-CITY ?auto_2950 ?auto_2955 ) ( DIFFERENT ?auto_2950 ?auto_2957 ) ( LOCATION ?auto_2960 ) ( CITY ?auto_2959 ) ( AT ?auto_2947 ?auto_2960 ) ( IN-CITY ?auto_2960 ?auto_2959 ) ( IN-CITY ?auto_2957 ?auto_2959 ) ( DIFFERENT ?auto_2957 ?auto_2960 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2947 ?auto_2960 ?auto_2957 ?auto_2959 )
      ( DELIVER-PKG ?auto_2943 ?auto_2944 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2962
      ?auto_2963
    )
    :vars
    (
      ?auto_2971
      ?auto_2972
      ?auto_2965
      ?auto_2976
      ?auto_2966
      ?auto_2970
      ?auto_2969
      ?auto_2967
      ?auto_2973
      ?auto_2975
      ?auto_2974
      ?auto_2978
      ?auto_2977
      ?auto_2980
    )
    :precondition
    ( and ( OBJ ?auto_2962 ) ( LOCATION ?auto_2963 ) ( AIRPLANE ?auto_2971 ) ( AIRPORT ?auto_2972 ) ( AIRPORT ?auto_2963 ) ( DIFFERENT ?auto_2963 ?auto_2972 ) ( LOCATION ?auto_2972 ) ( TRUCK ?auto_2965 ) ( LOCATION ?auto_2976 ) ( CITY ?auto_2966 ) ( IN-CITY ?auto_2976 ?auto_2966 ) ( IN-CITY ?auto_2972 ?auto_2966 ) ( DIFFERENT ?auto_2972 ?auto_2976 ) ( AT ?auto_2962 ?auto_2976 ) ( AIRPORT ?auto_2970 ) ( DIFFERENT ?auto_2972 ?auto_2970 ) ( LOCATION ?auto_2969 ) ( CITY ?auto_2967 ) ( IN-CITY ?auto_2969 ?auto_2967 ) ( IN-CITY ?auto_2976 ?auto_2967 ) ( DIFFERENT ?auto_2976 ?auto_2969 ) ( AIRPORT ?auto_2973 ) ( DIFFERENT ?auto_2970 ?auto_2973 ) ( LOCATION ?auto_2975 ) ( CITY ?auto_2974 ) ( IN-CITY ?auto_2975 ?auto_2974 ) ( IN-CITY ?auto_2969 ?auto_2974 ) ( DIFFERENT ?auto_2969 ?auto_2975 ) ( LOCATION ?auto_2978 ) ( CITY ?auto_2977 ) ( AT ?auto_2965 ?auto_2978 ) ( IN-CITY ?auto_2978 ?auto_2977 ) ( IN-CITY ?auto_2975 ?auto_2977 ) ( DIFFERENT ?auto_2975 ?auto_2978 ) ( AIRPORT ?auto_2980 ) ( AT ?auto_2971 ?auto_2980 ) ( DIFFERENT ?auto_2973 ?auto_2980 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2971 ?auto_2980 ?auto_2973 )
      ( DELIVER-PKG ?auto_2962 ?auto_2963 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3054
      ?auto_3055
    )
    :vars
    (
      ?auto_3056
      ?auto_3059
      ?auto_3069
      ?auto_3060
      ?auto_3070
      ?auto_3058
      ?auto_3071
      ?auto_3057
      ?auto_3063
      ?auto_3062
      ?auto_3066
      ?auto_3065
      ?auto_3061
      ?auto_3067
      ?auto_3073
    )
    :precondition
    ( and ( OBJ ?auto_3054 ) ( LOCATION ?auto_3055 ) ( AIRPLANE ?auto_3056 ) ( AIRPORT ?auto_3059 ) ( AIRPORT ?auto_3055 ) ( DIFFERENT ?auto_3055 ?auto_3059 ) ( LOCATION ?auto_3059 ) ( TRUCK ?auto_3069 ) ( LOCATION ?auto_3060 ) ( CITY ?auto_3070 ) ( IN-CITY ?auto_3060 ?auto_3070 ) ( IN-CITY ?auto_3059 ?auto_3070 ) ( DIFFERENT ?auto_3059 ?auto_3060 ) ( AT ?auto_3054 ?auto_3060 ) ( AIRPORT ?auto_3058 ) ( DIFFERENT ?auto_3059 ?auto_3058 ) ( LOCATION ?auto_3071 ) ( CITY ?auto_3057 ) ( IN-CITY ?auto_3071 ?auto_3057 ) ( IN-CITY ?auto_3060 ?auto_3057 ) ( DIFFERENT ?auto_3060 ?auto_3071 ) ( AIRPORT ?auto_3063 ) ( DIFFERENT ?auto_3058 ?auto_3063 ) ( LOCATION ?auto_3062 ) ( CITY ?auto_3066 ) ( IN-CITY ?auto_3062 ?auto_3066 ) ( IN-CITY ?auto_3071 ?auto_3066 ) ( DIFFERENT ?auto_3071 ?auto_3062 ) ( LOCATION ?auto_3065 ) ( CITY ?auto_3061 ) ( AT ?auto_3069 ?auto_3065 ) ( IN-CITY ?auto_3065 ?auto_3061 ) ( IN-CITY ?auto_3062 ?auto_3061 ) ( DIFFERENT ?auto_3062 ?auto_3065 ) ( AIRPORT ?auto_3067 ) ( DIFFERENT ?auto_3063 ?auto_3067 ) ( AIRPORT ?auto_3073 ) ( AT ?auto_3056 ?auto_3073 ) ( DIFFERENT ?auto_3067 ?auto_3073 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3056 ?auto_3073 ?auto_3067 )
      ( DELIVER-PKG ?auto_3054 ?auto_3055 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6301
      ?auto_6302
    )
    :vars
    (
      ?auto_6308
      ?auto_6306
      ?auto_6303
      ?auto_6304
      ?auto_6307
      ?auto_6310
      ?auto_6313
    )
    :precondition
    ( and ( OBJ ?auto_6301 ) ( LOCATION ?auto_6302 ) ( TRUCK ?auto_6308 ) ( LOCATION ?auto_6306 ) ( CITY ?auto_6303 ) ( AT ?auto_6308 ?auto_6306 ) ( IN-CITY ?auto_6306 ?auto_6303 ) ( IN-CITY ?auto_6302 ?auto_6303 ) ( DIFFERENT ?auto_6302 ?auto_6306 ) ( LOCATION ?auto_6304 ) ( AT ?auto_6308 ?auto_6304 ) ( TRUCK ?auto_6307 ) ( AT ?auto_6307 ?auto_6304 ) ( LOCATION ?auto_6310 ) ( AT ?auto_6307 ?auto_6310 ) ( AIRPLANE ?auto_6313 ) ( IN ?auto_6301 ?auto_6313 ) ( AT ?auto_6313 ?auto_6310 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6301 ?auto_6310 )
      ( DELIVER-PKG ?auto_6301 ?auto_6302 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6314
      ?auto_6315
    )
    :vars
    (
      ?auto_6319
      ?auto_6316
      ?auto_6320
      ?auto_6324
      ?auto_6317
      ?auto_6318
      ?auto_6321
      ?auto_6326
    )
    :precondition
    ( and ( OBJ ?auto_6314 ) ( LOCATION ?auto_6315 ) ( TRUCK ?auto_6319 ) ( LOCATION ?auto_6316 ) ( CITY ?auto_6320 ) ( AT ?auto_6319 ?auto_6316 ) ( IN-CITY ?auto_6316 ?auto_6320 ) ( IN-CITY ?auto_6315 ?auto_6320 ) ( DIFFERENT ?auto_6315 ?auto_6316 ) ( LOCATION ?auto_6324 ) ( AT ?auto_6319 ?auto_6324 ) ( TRUCK ?auto_6317 ) ( AT ?auto_6317 ?auto_6324 ) ( LOCATION ?auto_6318 ) ( AT ?auto_6317 ?auto_6318 ) ( AIRPLANE ?auto_6321 ) ( IN ?auto_6314 ?auto_6321 ) ( AIRPORT ?auto_6326 ) ( AIRPORT ?auto_6318 ) ( AT ?auto_6321 ?auto_6326 ) ( DIFFERENT ?auto_6318 ?auto_6326 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6321 ?auto_6326 ?auto_6318 )
      ( DELIVER-PKG ?auto_6314 ?auto_6315 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6328
      ?auto_6329
    )
    :vars
    (
      ?auto_6331
      ?auto_6334
      ?auto_6337
      ?auto_6332
      ?auto_6338
      ?auto_6339
      ?auto_6330
      ?auto_6333
      ?auto_6341
    )
    :precondition
    ( and ( OBJ ?auto_6328 ) ( LOCATION ?auto_6329 ) ( TRUCK ?auto_6331 ) ( LOCATION ?auto_6334 ) ( CITY ?auto_6337 ) ( AT ?auto_6331 ?auto_6334 ) ( IN-CITY ?auto_6334 ?auto_6337 ) ( IN-CITY ?auto_6329 ?auto_6337 ) ( DIFFERENT ?auto_6329 ?auto_6334 ) ( LOCATION ?auto_6332 ) ( AT ?auto_6331 ?auto_6332 ) ( TRUCK ?auto_6338 ) ( AT ?auto_6338 ?auto_6332 ) ( LOCATION ?auto_6339 ) ( AT ?auto_6338 ?auto_6339 ) ( AIRPLANE ?auto_6330 ) ( AIRPORT ?auto_6333 ) ( AIRPORT ?auto_6339 ) ( AT ?auto_6330 ?auto_6333 ) ( DIFFERENT ?auto_6339 ?auto_6333 ) ( LOCATION ?auto_6341 ) ( AT ?auto_6328 ?auto_6341 ) ( AT ?auto_6330 ?auto_6341 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6328 ?auto_6330 ?auto_6341 )
      ( DELIVER-PKG ?auto_6328 ?auto_6329 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7174
      ?auto_7175
    )
    :vars
    (
      ?auto_7177
      ?auto_7176
      ?auto_7178
      ?auto_7183
      ?auto_7181
      ?auto_7180
      ?auto_7179
      ?auto_7185
      ?auto_7188
    )
    :precondition
    ( and ( OBJ ?auto_7174 ) ( LOCATION ?auto_7175 ) ( TRUCK ?auto_7177 ) ( LOCATION ?auto_7176 ) ( CITY ?auto_7178 ) ( AT ?auto_7177 ?auto_7176 ) ( IN-CITY ?auto_7176 ?auto_7178 ) ( IN-CITY ?auto_7175 ?auto_7178 ) ( DIFFERENT ?auto_7175 ?auto_7176 ) ( LOCATION ?auto_7183 ) ( AT ?auto_7177 ?auto_7183 ) ( TRUCK ?auto_7181 ) ( AT ?auto_7181 ?auto_7183 ) ( LOCATION ?auto_7180 ) ( AT ?auto_7181 ?auto_7180 ) ( AIRPLANE ?auto_7179 ) ( AIRPORT ?auto_7185 ) ( AIRPORT ?auto_7180 ) ( DIFFERENT ?auto_7180 ?auto_7185 ) ( LOCATION ?auto_7185 ) ( AT ?auto_7174 ?auto_7185 ) ( AIRPORT ?auto_7188 ) ( AT ?auto_7179 ?auto_7188 ) ( DIFFERENT ?auto_7185 ?auto_7188 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7179 ?auto_7188 ?auto_7185 )
      ( DELIVER-PKG ?auto_7174 ?auto_7175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3502
      ?auto_3503
    )
    :vars
    (
      ?auto_3508
      ?auto_3507
      ?auto_3510
      ?auto_3506
      ?auto_3509
      ?auto_3511
      ?auto_3512
      ?auto_3514
    )
    :precondition
    ( and ( OBJ ?auto_3502 ) ( LOCATION ?auto_3503 ) ( TRUCK ?auto_3508 ) ( LOCATION ?auto_3507 ) ( CITY ?auto_3510 ) ( AT ?auto_3508 ?auto_3507 ) ( IN-CITY ?auto_3507 ?auto_3510 ) ( IN-CITY ?auto_3503 ?auto_3510 ) ( DIFFERENT ?auto_3503 ?auto_3507 ) ( LOCATION ?auto_3506 ) ( AT ?auto_3508 ?auto_3506 ) ( AIRPLANE ?auto_3509 ) ( AIRPORT ?auto_3511 ) ( AIRPORT ?auto_3506 ) ( DIFFERENT ?auto_3506 ?auto_3511 ) ( LOCATION ?auto_3511 ) ( AIRPORT ?auto_3512 ) ( AT ?auto_3509 ?auto_3512 ) ( DIFFERENT ?auto_3511 ?auto_3512 ) ( TRUCK ?auto_3514 ) ( AT ?auto_3514 ?auto_3511 ) ( IN ?auto_3502 ?auto_3514 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3502 ?auto_3511 )
      ( DELIVER-PKG ?auto_3502 ?auto_3503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3516
      ?auto_3517
    )
    :vars
    (
      ?auto_3522
      ?auto_3521
      ?auto_3525
      ?auto_3520
      ?auto_3524
      ?auto_3526
      ?auto_3527
      ?auto_3523
      ?auto_3529
    )
    :precondition
    ( and ( OBJ ?auto_3516 ) ( LOCATION ?auto_3517 ) ( TRUCK ?auto_3522 ) ( LOCATION ?auto_3521 ) ( CITY ?auto_3525 ) ( AT ?auto_3522 ?auto_3521 ) ( IN-CITY ?auto_3521 ?auto_3525 ) ( IN-CITY ?auto_3517 ?auto_3525 ) ( DIFFERENT ?auto_3517 ?auto_3521 ) ( LOCATION ?auto_3520 ) ( AT ?auto_3522 ?auto_3520 ) ( AIRPLANE ?auto_3524 ) ( AIRPORT ?auto_3526 ) ( AIRPORT ?auto_3520 ) ( DIFFERENT ?auto_3520 ?auto_3526 ) ( LOCATION ?auto_3526 ) ( AIRPORT ?auto_3527 ) ( DIFFERENT ?auto_3526 ?auto_3527 ) ( TRUCK ?auto_3523 ) ( AT ?auto_3523 ?auto_3526 ) ( IN ?auto_3516 ?auto_3523 ) ( AIRPORT ?auto_3529 ) ( AT ?auto_3524 ?auto_3529 ) ( DIFFERENT ?auto_3527 ?auto_3529 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3524 ?auto_3529 ?auto_3527 )
      ( DELIVER-PKG ?auto_3516 ?auto_3517 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7278
      ?auto_7279
    )
    :vars
    (
      ?auto_7289
      ?auto_7290
      ?auto_7285
      ?auto_7286
      ?auto_7284
      ?auto_7280
      ?auto_7283
      ?auto_7287
      ?auto_7288
      ?auto_7291
      ?auto_7292
      ?auto_7295
      ?auto_7294
    )
    :precondition
    ( and ( OBJ ?auto_7278 ) ( LOCATION ?auto_7279 ) ( TRUCK ?auto_7289 ) ( LOCATION ?auto_7290 ) ( CITY ?auto_7285 ) ( AT ?auto_7289 ?auto_7290 ) ( IN-CITY ?auto_7290 ?auto_7285 ) ( IN-CITY ?auto_7279 ?auto_7285 ) ( DIFFERENT ?auto_7279 ?auto_7290 ) ( LOCATION ?auto_7286 ) ( AT ?auto_7289 ?auto_7286 ) ( TRUCK ?auto_7284 ) ( AT ?auto_7284 ?auto_7286 ) ( LOCATION ?auto_7280 ) ( AT ?auto_7284 ?auto_7280 ) ( AIRPLANE ?auto_7283 ) ( AIRPORT ?auto_7287 ) ( AIRPORT ?auto_7280 ) ( DIFFERENT ?auto_7280 ?auto_7287 ) ( LOCATION ?auto_7287 ) ( AIRPORT ?auto_7288 ) ( DIFFERENT ?auto_7287 ?auto_7288 ) ( AIRPORT ?auto_7291 ) ( AT ?auto_7283 ?auto_7291 ) ( DIFFERENT ?auto_7288 ?auto_7291 ) ( TRUCK ?auto_7292 ) ( IN ?auto_7278 ?auto_7292 ) ( LOCATION ?auto_7295 ) ( CITY ?auto_7294 ) ( AT ?auto_7292 ?auto_7295 ) ( IN-CITY ?auto_7295 ?auto_7294 ) ( IN-CITY ?auto_7287 ?auto_7294 ) ( DIFFERENT ?auto_7287 ?auto_7295 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7292 ?auto_7295 ?auto_7287 ?auto_7294 )
      ( DELIVER-PKG ?auto_7278 ?auto_7279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3591
      ?auto_3592
    )
    :vars
    (
      ?auto_3603
      ?auto_3594
      ?auto_3600
      ?auto_3599
      ?auto_3596
      ?auto_3598
      ?auto_3593
      ?auto_3595
      ?auto_3601
      ?auto_3605
      ?auto_3604
      ?auto_3608
      ?auto_3607
    )
    :precondition
    ( and ( OBJ ?auto_3591 ) ( LOCATION ?auto_3592 ) ( TRUCK ?auto_3603 ) ( LOCATION ?auto_3594 ) ( CITY ?auto_3600 ) ( AT ?auto_3603 ?auto_3594 ) ( IN-CITY ?auto_3594 ?auto_3600 ) ( IN-CITY ?auto_3592 ?auto_3600 ) ( DIFFERENT ?auto_3592 ?auto_3594 ) ( LOCATION ?auto_3599 ) ( AT ?auto_3603 ?auto_3599 ) ( AIRPLANE ?auto_3596 ) ( AIRPORT ?auto_3598 ) ( AIRPORT ?auto_3599 ) ( DIFFERENT ?auto_3599 ?auto_3598 ) ( LOCATION ?auto_3598 ) ( AIRPORT ?auto_3593 ) ( DIFFERENT ?auto_3598 ?auto_3593 ) ( TRUCK ?auto_3595 ) ( IN ?auto_3591 ?auto_3595 ) ( AIRPORT ?auto_3601 ) ( AT ?auto_3596 ?auto_3601 ) ( DIFFERENT ?auto_3593 ?auto_3601 ) ( LOCATION ?auto_3605 ) ( CITY ?auto_3604 ) ( IN-CITY ?auto_3605 ?auto_3604 ) ( IN-CITY ?auto_3598 ?auto_3604 ) ( DIFFERENT ?auto_3598 ?auto_3605 ) ( LOCATION ?auto_3608 ) ( CITY ?auto_3607 ) ( AT ?auto_3595 ?auto_3608 ) ( IN-CITY ?auto_3608 ?auto_3607 ) ( IN-CITY ?auto_3605 ?auto_3607 ) ( DIFFERENT ?auto_3605 ?auto_3608 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3595 ?auto_3608 ?auto_3605 ?auto_3607 )
      ( DELIVER-PKG ?auto_3591 ?auto_3592 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3610
      ?auto_3611
    )
    :vars
    (
      ?auto_3617
      ?auto_3614
      ?auto_3623
      ?auto_3622
      ?auto_3620
      ?auto_3621
      ?auto_3612
      ?auto_3613
      ?auto_3616
      ?auto_3619
      ?auto_3618
      ?auto_3626
      ?auto_3625
      ?auto_3628
    )
    :precondition
    ( and ( OBJ ?auto_3610 ) ( LOCATION ?auto_3611 ) ( TRUCK ?auto_3617 ) ( LOCATION ?auto_3614 ) ( CITY ?auto_3623 ) ( AT ?auto_3617 ?auto_3614 ) ( IN-CITY ?auto_3614 ?auto_3623 ) ( IN-CITY ?auto_3611 ?auto_3623 ) ( DIFFERENT ?auto_3611 ?auto_3614 ) ( LOCATION ?auto_3622 ) ( AT ?auto_3617 ?auto_3622 ) ( AIRPLANE ?auto_3620 ) ( AIRPORT ?auto_3621 ) ( AIRPORT ?auto_3622 ) ( DIFFERENT ?auto_3622 ?auto_3621 ) ( LOCATION ?auto_3621 ) ( AIRPORT ?auto_3612 ) ( DIFFERENT ?auto_3621 ?auto_3612 ) ( TRUCK ?auto_3613 ) ( IN ?auto_3610 ?auto_3613 ) ( AIRPORT ?auto_3616 ) ( DIFFERENT ?auto_3612 ?auto_3616 ) ( LOCATION ?auto_3619 ) ( CITY ?auto_3618 ) ( IN-CITY ?auto_3619 ?auto_3618 ) ( IN-CITY ?auto_3621 ?auto_3618 ) ( DIFFERENT ?auto_3621 ?auto_3619 ) ( LOCATION ?auto_3626 ) ( CITY ?auto_3625 ) ( AT ?auto_3613 ?auto_3626 ) ( IN-CITY ?auto_3626 ?auto_3625 ) ( IN-CITY ?auto_3619 ?auto_3625 ) ( DIFFERENT ?auto_3619 ?auto_3626 ) ( AIRPORT ?auto_3628 ) ( AT ?auto_3620 ?auto_3628 ) ( DIFFERENT ?auto_3616 ?auto_3628 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3620 ?auto_3628 ?auto_3616 )
      ( DELIVER-PKG ?auto_3610 ?auto_3611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3666
      ?auto_3667
    )
    :vars
    (
      ?auto_3675
      ?auto_3683
      ?auto_3673
      ?auto_3680
      ?auto_3676
      ?auto_3677
      ?auto_3681
      ?auto_3682
      ?auto_3672
      ?auto_3669
      ?auto_3671
      ?auto_3674
      ?auto_3670
      ?auto_3679
      ?auto_3685
    )
    :precondition
    ( and ( OBJ ?auto_3666 ) ( LOCATION ?auto_3667 ) ( TRUCK ?auto_3675 ) ( LOCATION ?auto_3683 ) ( CITY ?auto_3673 ) ( AT ?auto_3675 ?auto_3683 ) ( IN-CITY ?auto_3683 ?auto_3673 ) ( IN-CITY ?auto_3667 ?auto_3673 ) ( DIFFERENT ?auto_3667 ?auto_3683 ) ( LOCATION ?auto_3680 ) ( AT ?auto_3675 ?auto_3680 ) ( AIRPLANE ?auto_3676 ) ( AIRPORT ?auto_3677 ) ( AIRPORT ?auto_3680 ) ( DIFFERENT ?auto_3680 ?auto_3677 ) ( LOCATION ?auto_3677 ) ( AIRPORT ?auto_3681 ) ( DIFFERENT ?auto_3677 ?auto_3681 ) ( TRUCK ?auto_3682 ) ( AIRPORT ?auto_3672 ) ( DIFFERENT ?auto_3681 ?auto_3672 ) ( LOCATION ?auto_3669 ) ( CITY ?auto_3671 ) ( IN-CITY ?auto_3669 ?auto_3671 ) ( IN-CITY ?auto_3677 ?auto_3671 ) ( DIFFERENT ?auto_3677 ?auto_3669 ) ( LOCATION ?auto_3674 ) ( CITY ?auto_3670 ) ( AT ?auto_3682 ?auto_3674 ) ( IN-CITY ?auto_3674 ?auto_3670 ) ( IN-CITY ?auto_3669 ?auto_3670 ) ( DIFFERENT ?auto_3669 ?auto_3674 ) ( AIRPORT ?auto_3679 ) ( AT ?auto_3676 ?auto_3679 ) ( DIFFERENT ?auto_3672 ?auto_3679 ) ( LOCATION ?auto_3685 ) ( AT ?auto_3682 ?auto_3685 ) ( AT ?auto_3666 ?auto_3685 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3666 ?auto_3682 ?auto_3685 )
      ( DELIVER-PKG ?auto_3666 ?auto_3667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3687
      ?auto_3688
    )
    :vars
    (
      ?auto_3698
      ?auto_3702
      ?auto_3694
      ?auto_3699
      ?auto_3700
      ?auto_3703
      ?auto_3704
      ?auto_3693
      ?auto_3690
      ?auto_3692
      ?auto_3697
      ?auto_3696
      ?auto_3701
      ?auto_3691
      ?auto_3708
      ?auto_3707
    )
    :precondition
    ( and ( OBJ ?auto_3687 ) ( LOCATION ?auto_3688 ) ( TRUCK ?auto_3698 ) ( LOCATION ?auto_3702 ) ( CITY ?auto_3694 ) ( IN-CITY ?auto_3702 ?auto_3694 ) ( IN-CITY ?auto_3688 ?auto_3694 ) ( DIFFERENT ?auto_3688 ?auto_3702 ) ( AIRPLANE ?auto_3699 ) ( AIRPORT ?auto_3700 ) ( AIRPORT ?auto_3702 ) ( DIFFERENT ?auto_3702 ?auto_3700 ) ( LOCATION ?auto_3700 ) ( AIRPORT ?auto_3703 ) ( DIFFERENT ?auto_3700 ?auto_3703 ) ( TRUCK ?auto_3704 ) ( AIRPORT ?auto_3693 ) ( DIFFERENT ?auto_3703 ?auto_3693 ) ( LOCATION ?auto_3690 ) ( CITY ?auto_3692 ) ( IN-CITY ?auto_3690 ?auto_3692 ) ( IN-CITY ?auto_3700 ?auto_3692 ) ( DIFFERENT ?auto_3700 ?auto_3690 ) ( LOCATION ?auto_3697 ) ( CITY ?auto_3696 ) ( AT ?auto_3704 ?auto_3697 ) ( IN-CITY ?auto_3697 ?auto_3696 ) ( IN-CITY ?auto_3690 ?auto_3696 ) ( DIFFERENT ?auto_3690 ?auto_3697 ) ( AIRPORT ?auto_3701 ) ( AT ?auto_3699 ?auto_3701 ) ( DIFFERENT ?auto_3693 ?auto_3701 ) ( LOCATION ?auto_3691 ) ( AT ?auto_3704 ?auto_3691 ) ( AT ?auto_3687 ?auto_3691 ) ( LOCATION ?auto_3708 ) ( CITY ?auto_3707 ) ( AT ?auto_3698 ?auto_3708 ) ( IN-CITY ?auto_3708 ?auto_3707 ) ( IN-CITY ?auto_3702 ?auto_3707 ) ( DIFFERENT ?auto_3702 ?auto_3708 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3698 ?auto_3708 ?auto_3702 ?auto_3707 )
      ( DELIVER-PKG ?auto_3687 ?auto_3688 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3710
      ?auto_3711
    )
    :vars
    (
      ?auto_3716
      ?auto_3726
      ?auto_3714
      ?auto_3722
      ?auto_3724
      ?auto_3718
      ?auto_3719
      ?auto_3729
      ?auto_3727
      ?auto_3728
      ?auto_3712
      ?auto_3717
      ?auto_3721
      ?auto_3725
      ?auto_3723
      ?auto_3720
      ?auto_3731
    )
    :precondition
    ( and ( OBJ ?auto_3710 ) ( LOCATION ?auto_3711 ) ( TRUCK ?auto_3716 ) ( LOCATION ?auto_3726 ) ( CITY ?auto_3714 ) ( IN-CITY ?auto_3726 ?auto_3714 ) ( IN-CITY ?auto_3711 ?auto_3714 ) ( DIFFERENT ?auto_3711 ?auto_3726 ) ( AIRPLANE ?auto_3722 ) ( AIRPORT ?auto_3724 ) ( AIRPORT ?auto_3726 ) ( DIFFERENT ?auto_3726 ?auto_3724 ) ( LOCATION ?auto_3724 ) ( AIRPORT ?auto_3718 ) ( DIFFERENT ?auto_3724 ?auto_3718 ) ( TRUCK ?auto_3719 ) ( AIRPORT ?auto_3729 ) ( DIFFERENT ?auto_3718 ?auto_3729 ) ( LOCATION ?auto_3727 ) ( CITY ?auto_3728 ) ( IN-CITY ?auto_3727 ?auto_3728 ) ( IN-CITY ?auto_3724 ?auto_3728 ) ( DIFFERENT ?auto_3724 ?auto_3727 ) ( LOCATION ?auto_3712 ) ( CITY ?auto_3717 ) ( AT ?auto_3719 ?auto_3712 ) ( IN-CITY ?auto_3712 ?auto_3717 ) ( IN-CITY ?auto_3727 ?auto_3717 ) ( DIFFERENT ?auto_3727 ?auto_3712 ) ( AIRPORT ?auto_3721 ) ( DIFFERENT ?auto_3729 ?auto_3721 ) ( LOCATION ?auto_3725 ) ( AT ?auto_3719 ?auto_3725 ) ( AT ?auto_3710 ?auto_3725 ) ( LOCATION ?auto_3723 ) ( CITY ?auto_3720 ) ( AT ?auto_3716 ?auto_3723 ) ( IN-CITY ?auto_3723 ?auto_3720 ) ( IN-CITY ?auto_3726 ?auto_3720 ) ( DIFFERENT ?auto_3726 ?auto_3723 ) ( AIRPORT ?auto_3731 ) ( AT ?auto_3722 ?auto_3731 ) ( DIFFERENT ?auto_3721 ?auto_3731 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3722 ?auto_3731 ?auto_3721 )
      ( DELIVER-PKG ?auto_3710 ?auto_3711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4141
      ?auto_4142
    )
    :vars
    (
      ?auto_4143
      ?auto_4148
      ?auto_4150
      ?auto_4146
      ?auto_4145
      ?auto_4147
      ?auto_4153
    )
    :precondition
    ( and ( OBJ ?auto_4141 ) ( LOCATION ?auto_4142 ) ( TRUCK ?auto_4143 ) ( LOCATION ?auto_4148 ) ( CITY ?auto_4150 ) ( IN-CITY ?auto_4148 ?auto_4150 ) ( IN-CITY ?auto_4142 ?auto_4150 ) ( DIFFERENT ?auto_4142 ?auto_4148 ) ( LOCATION ?auto_4146 ) ( CITY ?auto_4145 ) ( AT ?auto_4143 ?auto_4146 ) ( IN-CITY ?auto_4146 ?auto_4145 ) ( IN-CITY ?auto_4148 ?auto_4145 ) ( DIFFERENT ?auto_4148 ?auto_4146 ) ( LOCATION ?auto_4147 ) ( AT ?auto_4143 ?auto_4147 ) ( AIRPLANE ?auto_4153 ) ( IN ?auto_4141 ?auto_4153 ) ( AT ?auto_4153 ?auto_4147 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4141 ?auto_4147 )
      ( DELIVER-PKG ?auto_4141 ?auto_4142 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4165
      ?auto_4166
    )
    :vars
    (
      ?auto_4173
      ?auto_4171
      ?auto_4172
      ?auto_4169
      ?auto_4168
      ?auto_4170
      ?auto_4175
      ?auto_4177
    )
    :precondition
    ( and ( OBJ ?auto_4165 ) ( LOCATION ?auto_4166 ) ( TRUCK ?auto_4173 ) ( LOCATION ?auto_4171 ) ( CITY ?auto_4172 ) ( IN-CITY ?auto_4171 ?auto_4172 ) ( IN-CITY ?auto_4166 ?auto_4172 ) ( DIFFERENT ?auto_4166 ?auto_4171 ) ( LOCATION ?auto_4169 ) ( CITY ?auto_4168 ) ( AT ?auto_4173 ?auto_4169 ) ( IN-CITY ?auto_4169 ?auto_4168 ) ( IN-CITY ?auto_4171 ?auto_4168 ) ( DIFFERENT ?auto_4171 ?auto_4169 ) ( LOCATION ?auto_4170 ) ( AT ?auto_4173 ?auto_4170 ) ( AIRPLANE ?auto_4175 ) ( IN ?auto_4165 ?auto_4175 ) ( AIRPORT ?auto_4177 ) ( AIRPORT ?auto_4170 ) ( AT ?auto_4175 ?auto_4177 ) ( DIFFERENT ?auto_4170 ?auto_4177 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4175 ?auto_4177 ?auto_4170 )
      ( DELIVER-PKG ?auto_4165 ?auto_4166 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14016
      ?auto_14017
    )
    :vars
    (
      ?auto_14028
      ?auto_14018
      ?auto_14021
      ?auto_14019
      ?auto_14027
      ?auto_14022
      ?auto_14024
      ?auto_14025
      ?auto_14020
      ?auto_14026
      ?auto_14031
    )
    :precondition
    ( and ( OBJ ?auto_14016 ) ( LOCATION ?auto_14017 ) ( TRUCK ?auto_14028 ) ( LOCATION ?auto_14018 ) ( CITY ?auto_14021 ) ( IN-CITY ?auto_14018 ?auto_14021 ) ( IN-CITY ?auto_14017 ?auto_14021 ) ( DIFFERENT ?auto_14017 ?auto_14018 ) ( LOCATION ?auto_14019 ) ( CITY ?auto_14027 ) ( AT ?auto_14028 ?auto_14019 ) ( IN-CITY ?auto_14019 ?auto_14027 ) ( IN-CITY ?auto_14018 ?auto_14027 ) ( DIFFERENT ?auto_14018 ?auto_14019 ) ( LOCATION ?auto_14022 ) ( AT ?auto_14028 ?auto_14022 ) ( AIRPLANE ?auto_14024 ) ( AIRPORT ?auto_14025 ) ( AIRPORT ?auto_14022 ) ( AT ?auto_14024 ?auto_14025 ) ( DIFFERENT ?auto_14022 ?auto_14025 ) ( LOCATION ?auto_14020 ) ( AT ?auto_14024 ?auto_14020 ) ( AIRPLANE ?auto_14026 ) ( AT ?auto_14026 ?auto_14020 ) ( LOCATION ?auto_14031 ) ( AT ?auto_14016 ?auto_14031 ) ( AT ?auto_14026 ?auto_14031 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_14016 ?auto_14026 ?auto_14031 )
      ( DELIVER-PKG ?auto_14016 ?auto_14017 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14033
      ?auto_14034
    )
    :vars
    (
      ?auto_14043
      ?auto_14035
      ?auto_14037
      ?auto_14036
      ?auto_14042
      ?auto_14038
      ?auto_14039
      ?auto_14040
      ?auto_14046
      ?auto_14041
      ?auto_14047
      ?auto_14050
    )
    :precondition
    ( and ( OBJ ?auto_14033 ) ( LOCATION ?auto_14034 ) ( TRUCK ?auto_14043 ) ( LOCATION ?auto_14035 ) ( CITY ?auto_14037 ) ( IN-CITY ?auto_14035 ?auto_14037 ) ( IN-CITY ?auto_14034 ?auto_14037 ) ( DIFFERENT ?auto_14034 ?auto_14035 ) ( LOCATION ?auto_14036 ) ( CITY ?auto_14042 ) ( AT ?auto_14043 ?auto_14036 ) ( IN-CITY ?auto_14036 ?auto_14042 ) ( IN-CITY ?auto_14035 ?auto_14042 ) ( DIFFERENT ?auto_14035 ?auto_14036 ) ( LOCATION ?auto_14038 ) ( AT ?auto_14043 ?auto_14038 ) ( AIRPLANE ?auto_14039 ) ( AIRPORT ?auto_14040 ) ( AIRPORT ?auto_14038 ) ( AT ?auto_14039 ?auto_14040 ) ( DIFFERENT ?auto_14038 ?auto_14040 ) ( LOCATION ?auto_14046 ) ( AT ?auto_14039 ?auto_14046 ) ( AIRPLANE ?auto_14041 ) ( AT ?auto_14041 ?auto_14046 ) ( LOCATION ?auto_14047 ) ( AT ?auto_14041 ?auto_14047 ) ( TRUCK ?auto_14050 ) ( AT ?auto_14050 ?auto_14047 ) ( IN ?auto_14033 ?auto_14050 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_14033 ?auto_14047 )
      ( DELIVER-PKG ?auto_14033 ?auto_14034 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14051
      ?auto_14052
    )
    :vars
    (
      ?auto_14058
      ?auto_14057
      ?auto_14064
      ?auto_14065
      ?auto_14062
      ?auto_14055
      ?auto_14066
      ?auto_14053
      ?auto_14060
      ?auto_14054
      ?auto_14061
      ?auto_14059
      ?auto_14069
      ?auto_14068
    )
    :precondition
    ( and ( OBJ ?auto_14051 ) ( LOCATION ?auto_14052 ) ( TRUCK ?auto_14058 ) ( LOCATION ?auto_14057 ) ( CITY ?auto_14064 ) ( IN-CITY ?auto_14057 ?auto_14064 ) ( IN-CITY ?auto_14052 ?auto_14064 ) ( DIFFERENT ?auto_14052 ?auto_14057 ) ( LOCATION ?auto_14065 ) ( CITY ?auto_14062 ) ( AT ?auto_14058 ?auto_14065 ) ( IN-CITY ?auto_14065 ?auto_14062 ) ( IN-CITY ?auto_14057 ?auto_14062 ) ( DIFFERENT ?auto_14057 ?auto_14065 ) ( LOCATION ?auto_14055 ) ( AT ?auto_14058 ?auto_14055 ) ( AIRPLANE ?auto_14066 ) ( AIRPORT ?auto_14053 ) ( AIRPORT ?auto_14055 ) ( AT ?auto_14066 ?auto_14053 ) ( DIFFERENT ?auto_14055 ?auto_14053 ) ( LOCATION ?auto_14060 ) ( AT ?auto_14066 ?auto_14060 ) ( AIRPLANE ?auto_14054 ) ( AT ?auto_14054 ?auto_14060 ) ( LOCATION ?auto_14061 ) ( AT ?auto_14054 ?auto_14061 ) ( TRUCK ?auto_14059 ) ( IN ?auto_14051 ?auto_14059 ) ( LOCATION ?auto_14069 ) ( CITY ?auto_14068 ) ( AT ?auto_14059 ?auto_14069 ) ( IN-CITY ?auto_14069 ?auto_14068 ) ( IN-CITY ?auto_14061 ?auto_14068 ) ( DIFFERENT ?auto_14061 ?auto_14069 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14059 ?auto_14069 ?auto_14061 ?auto_14068 )
      ( DELIVER-PKG ?auto_14051 ?auto_14052 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14071
      ?auto_14072
    )
    :vars
    (
      ?auto_14075
      ?auto_14087
      ?auto_14074
      ?auto_14082
      ?auto_14086
      ?auto_14084
      ?auto_14083
      ?auto_14081
      ?auto_14078
      ?auto_14085
      ?auto_14073
      ?auto_14088
      ?auto_14077
      ?auto_14076
      ?auto_14090
    )
    :precondition
    ( and ( OBJ ?auto_14071 ) ( LOCATION ?auto_14072 ) ( TRUCK ?auto_14075 ) ( LOCATION ?auto_14087 ) ( CITY ?auto_14074 ) ( IN-CITY ?auto_14087 ?auto_14074 ) ( IN-CITY ?auto_14072 ?auto_14074 ) ( DIFFERENT ?auto_14072 ?auto_14087 ) ( LOCATION ?auto_14082 ) ( CITY ?auto_14086 ) ( AT ?auto_14075 ?auto_14082 ) ( IN-CITY ?auto_14082 ?auto_14086 ) ( IN-CITY ?auto_14087 ?auto_14086 ) ( DIFFERENT ?auto_14087 ?auto_14082 ) ( LOCATION ?auto_14084 ) ( AT ?auto_14075 ?auto_14084 ) ( AIRPLANE ?auto_14083 ) ( AIRPORT ?auto_14081 ) ( AIRPORT ?auto_14084 ) ( AT ?auto_14083 ?auto_14081 ) ( DIFFERENT ?auto_14084 ?auto_14081 ) ( LOCATION ?auto_14078 ) ( AT ?auto_14083 ?auto_14078 ) ( AIRPLANE ?auto_14085 ) ( AT ?auto_14085 ?auto_14078 ) ( LOCATION ?auto_14073 ) ( AT ?auto_14085 ?auto_14073 ) ( TRUCK ?auto_14088 ) ( LOCATION ?auto_14077 ) ( CITY ?auto_14076 ) ( AT ?auto_14088 ?auto_14077 ) ( IN-CITY ?auto_14077 ?auto_14076 ) ( IN-CITY ?auto_14073 ?auto_14076 ) ( DIFFERENT ?auto_14073 ?auto_14077 ) ( LOCATION ?auto_14090 ) ( AT ?auto_14088 ?auto_14090 ) ( AT ?auto_14071 ?auto_14090 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_14071 ?auto_14088 ?auto_14090 )
      ( DELIVER-PKG ?auto_14071 ?auto_14072 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4309
      ?auto_4310
    )
    :vars
    (
      ?auto_4316
      ?auto_4318
      ?auto_4313
      ?auto_4317
      ?auto_4322
      ?auto_4315
      ?auto_4320
      ?auto_4319
      ?auto_4314
      ?auto_4325
      ?auto_4323
      ?auto_4324
      ?auto_4327
    )
    :precondition
    ( and ( OBJ ?auto_4309 ) ( LOCATION ?auto_4310 ) ( TRUCK ?auto_4316 ) ( LOCATION ?auto_4318 ) ( CITY ?auto_4313 ) ( IN-CITY ?auto_4318 ?auto_4313 ) ( IN-CITY ?auto_4310 ?auto_4313 ) ( DIFFERENT ?auto_4310 ?auto_4318 ) ( LOCATION ?auto_4317 ) ( CITY ?auto_4322 ) ( AT ?auto_4316 ?auto_4317 ) ( IN-CITY ?auto_4317 ?auto_4322 ) ( IN-CITY ?auto_4318 ?auto_4322 ) ( DIFFERENT ?auto_4318 ?auto_4317 ) ( LOCATION ?auto_4315 ) ( AT ?auto_4316 ?auto_4315 ) ( AIRPLANE ?auto_4320 ) ( AIRPORT ?auto_4319 ) ( AIRPORT ?auto_4315 ) ( DIFFERENT ?auto_4315 ?auto_4319 ) ( LOCATION ?auto_4319 ) ( TRUCK ?auto_4314 ) ( LOCATION ?auto_4325 ) ( CITY ?auto_4323 ) ( AT ?auto_4314 ?auto_4325 ) ( IN-CITY ?auto_4325 ?auto_4323 ) ( IN-CITY ?auto_4319 ?auto_4323 ) ( DIFFERENT ?auto_4319 ?auto_4325 ) ( LOCATION ?auto_4324 ) ( AT ?auto_4314 ?auto_4324 ) ( AT ?auto_4309 ?auto_4324 ) ( AIRPORT ?auto_4327 ) ( AT ?auto_4320 ?auto_4327 ) ( DIFFERENT ?auto_4319 ?auto_4327 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4320 ?auto_4327 ?auto_4319 )
      ( DELIVER-PKG ?auto_4309 ?auto_4310 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4363
      ?auto_4364
    )
    :vars
    (
      ?auto_4368
      ?auto_4379
      ?auto_4375
      ?auto_4369
      ?auto_4376
      ?auto_4378
      ?auto_4367
      ?auto_4366
      ?auto_4377
      ?auto_4371
      ?auto_4370
      ?auto_4373
      ?auto_4382
      ?auto_4381
    )
    :precondition
    ( and ( OBJ ?auto_4363 ) ( LOCATION ?auto_4364 ) ( TRUCK ?auto_4368 ) ( LOCATION ?auto_4379 ) ( CITY ?auto_4375 ) ( IN-CITY ?auto_4379 ?auto_4375 ) ( IN-CITY ?auto_4364 ?auto_4375 ) ( DIFFERENT ?auto_4364 ?auto_4379 ) ( LOCATION ?auto_4369 ) ( CITY ?auto_4376 ) ( AT ?auto_4368 ?auto_4369 ) ( IN-CITY ?auto_4369 ?auto_4376 ) ( IN-CITY ?auto_4379 ?auto_4376 ) ( DIFFERENT ?auto_4379 ?auto_4369 ) ( LOCATION ?auto_4378 ) ( AT ?auto_4368 ?auto_4378 ) ( AIRPLANE ?auto_4367 ) ( AIRPORT ?auto_4366 ) ( AIRPORT ?auto_4378 ) ( DIFFERENT ?auto_4378 ?auto_4366 ) ( LOCATION ?auto_4366 ) ( TRUCK ?auto_4377 ) ( LOCATION ?auto_4371 ) ( CITY ?auto_4370 ) ( IN-CITY ?auto_4371 ?auto_4370 ) ( IN-CITY ?auto_4366 ?auto_4370 ) ( DIFFERENT ?auto_4366 ?auto_4371 ) ( AT ?auto_4363 ?auto_4371 ) ( AIRPORT ?auto_4373 ) ( AT ?auto_4367 ?auto_4373 ) ( DIFFERENT ?auto_4366 ?auto_4373 ) ( LOCATION ?auto_4382 ) ( CITY ?auto_4381 ) ( AT ?auto_4377 ?auto_4382 ) ( IN-CITY ?auto_4382 ?auto_4381 ) ( IN-CITY ?auto_4371 ?auto_4381 ) ( DIFFERENT ?auto_4371 ?auto_4382 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4377 ?auto_4382 ?auto_4371 ?auto_4381 )
      ( DELIVER-PKG ?auto_4363 ?auto_4364 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4438
      ?auto_4439
    )
    :vars
    (
      ?auto_4451
      ?auto_4454
      ?auto_4445
      ?auto_4448
      ?auto_4446
      ?auto_4453
      ?auto_4440
      ?auto_4441
      ?auto_4447
      ?auto_4450
      ?auto_4449
      ?auto_4444
      ?auto_4455
      ?auto_4443
      ?auto_4457
    )
    :precondition
    ( and ( OBJ ?auto_4438 ) ( LOCATION ?auto_4439 ) ( TRUCK ?auto_4451 ) ( LOCATION ?auto_4454 ) ( CITY ?auto_4445 ) ( IN-CITY ?auto_4454 ?auto_4445 ) ( IN-CITY ?auto_4439 ?auto_4445 ) ( DIFFERENT ?auto_4439 ?auto_4454 ) ( LOCATION ?auto_4448 ) ( CITY ?auto_4446 ) ( AT ?auto_4451 ?auto_4448 ) ( IN-CITY ?auto_4448 ?auto_4446 ) ( IN-CITY ?auto_4454 ?auto_4446 ) ( DIFFERENT ?auto_4454 ?auto_4448 ) ( LOCATION ?auto_4453 ) ( AT ?auto_4451 ?auto_4453 ) ( AIRPLANE ?auto_4440 ) ( AIRPORT ?auto_4441 ) ( AIRPORT ?auto_4453 ) ( DIFFERENT ?auto_4453 ?auto_4441 ) ( LOCATION ?auto_4441 ) ( TRUCK ?auto_4447 ) ( LOCATION ?auto_4450 ) ( CITY ?auto_4449 ) ( IN-CITY ?auto_4450 ?auto_4449 ) ( IN-CITY ?auto_4441 ?auto_4449 ) ( DIFFERENT ?auto_4441 ?auto_4450 ) ( AT ?auto_4438 ?auto_4450 ) ( AIRPORT ?auto_4444 ) ( DIFFERENT ?auto_4441 ?auto_4444 ) ( LOCATION ?auto_4455 ) ( CITY ?auto_4443 ) ( AT ?auto_4447 ?auto_4455 ) ( IN-CITY ?auto_4455 ?auto_4443 ) ( IN-CITY ?auto_4450 ?auto_4443 ) ( DIFFERENT ?auto_4450 ?auto_4455 ) ( AIRPORT ?auto_4457 ) ( AT ?auto_4440 ?auto_4457 ) ( DIFFERENT ?auto_4444 ?auto_4457 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4440 ?auto_4457 ?auto_4444 )
      ( DELIVER-PKG ?auto_4438 ?auto_4439 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4478
      ?auto_4479
    )
    :vars
    (
      ?auto_4492
      ?auto_4495
      ?auto_4486
      ?auto_4489
      ?auto_4487
      ?auto_4494
      ?auto_4480
      ?auto_4483
      ?auto_4488
      ?auto_4491
      ?auto_4490
      ?auto_4485
      ?auto_4496
      ?auto_4484
      ?auto_4493
      ?auto_4499
      ?auto_4498
    )
    :precondition
    ( and ( OBJ ?auto_4478 ) ( LOCATION ?auto_4479 ) ( TRUCK ?auto_4492 ) ( LOCATION ?auto_4495 ) ( CITY ?auto_4486 ) ( IN-CITY ?auto_4495 ?auto_4486 ) ( IN-CITY ?auto_4479 ?auto_4486 ) ( DIFFERENT ?auto_4479 ?auto_4495 ) ( LOCATION ?auto_4489 ) ( CITY ?auto_4487 ) ( AT ?auto_4492 ?auto_4489 ) ( IN-CITY ?auto_4489 ?auto_4487 ) ( IN-CITY ?auto_4495 ?auto_4487 ) ( DIFFERENT ?auto_4495 ?auto_4489 ) ( LOCATION ?auto_4494 ) ( AT ?auto_4492 ?auto_4494 ) ( AIRPLANE ?auto_4480 ) ( AIRPORT ?auto_4483 ) ( AIRPORT ?auto_4494 ) ( DIFFERENT ?auto_4494 ?auto_4483 ) ( LOCATION ?auto_4483 ) ( TRUCK ?auto_4488 ) ( LOCATION ?auto_4491 ) ( CITY ?auto_4490 ) ( IN-CITY ?auto_4491 ?auto_4490 ) ( IN-CITY ?auto_4483 ?auto_4490 ) ( DIFFERENT ?auto_4483 ?auto_4491 ) ( AT ?auto_4478 ?auto_4491 ) ( AIRPORT ?auto_4485 ) ( DIFFERENT ?auto_4483 ?auto_4485 ) ( LOCATION ?auto_4496 ) ( CITY ?auto_4484 ) ( IN-CITY ?auto_4496 ?auto_4484 ) ( IN-CITY ?auto_4491 ?auto_4484 ) ( DIFFERENT ?auto_4491 ?auto_4496 ) ( AIRPORT ?auto_4493 ) ( AT ?auto_4480 ?auto_4493 ) ( DIFFERENT ?auto_4485 ?auto_4493 ) ( LOCATION ?auto_4499 ) ( CITY ?auto_4498 ) ( AT ?auto_4488 ?auto_4499 ) ( IN-CITY ?auto_4499 ?auto_4498 ) ( IN-CITY ?auto_4496 ?auto_4498 ) ( DIFFERENT ?auto_4496 ?auto_4499 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4488 ?auto_4499 ?auto_4496 ?auto_4498 )
      ( DELIVER-PKG ?auto_4478 ?auto_4479 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4543
      ?auto_4544
    )
    :vars
    (
      ?auto_4557
      ?auto_4554
      ?auto_4562
      ?auto_4548
      ?auto_4561
      ?auto_4546
      ?auto_4553
      ?auto_4560
      ?auto_4563
      ?auto_4549
      ?auto_4547
      ?auto_4556
      ?auto_4551
      ?auto_4552
      ?auto_4545
      ?auto_4558
      ?auto_4550
      ?auto_4566
      ?auto_4565
    )
    :precondition
    ( and ( OBJ ?auto_4543 ) ( LOCATION ?auto_4544 ) ( TRUCK ?auto_4557 ) ( LOCATION ?auto_4554 ) ( CITY ?auto_4562 ) ( IN-CITY ?auto_4554 ?auto_4562 ) ( IN-CITY ?auto_4544 ?auto_4562 ) ( DIFFERENT ?auto_4544 ?auto_4554 ) ( LOCATION ?auto_4548 ) ( CITY ?auto_4561 ) ( AT ?auto_4557 ?auto_4548 ) ( IN-CITY ?auto_4548 ?auto_4561 ) ( IN-CITY ?auto_4554 ?auto_4561 ) ( DIFFERENT ?auto_4554 ?auto_4548 ) ( LOCATION ?auto_4546 ) ( AT ?auto_4557 ?auto_4546 ) ( AIRPLANE ?auto_4553 ) ( AIRPORT ?auto_4560 ) ( AIRPORT ?auto_4546 ) ( DIFFERENT ?auto_4546 ?auto_4560 ) ( LOCATION ?auto_4560 ) ( TRUCK ?auto_4563 ) ( LOCATION ?auto_4549 ) ( CITY ?auto_4547 ) ( IN-CITY ?auto_4549 ?auto_4547 ) ( IN-CITY ?auto_4560 ?auto_4547 ) ( DIFFERENT ?auto_4560 ?auto_4549 ) ( AT ?auto_4543 ?auto_4549 ) ( AIRPORT ?auto_4556 ) ( DIFFERENT ?auto_4560 ?auto_4556 ) ( LOCATION ?auto_4551 ) ( CITY ?auto_4552 ) ( IN-CITY ?auto_4551 ?auto_4552 ) ( IN-CITY ?auto_4549 ?auto_4552 ) ( DIFFERENT ?auto_4549 ?auto_4551 ) ( AIRPORT ?auto_4545 ) ( AT ?auto_4553 ?auto_4545 ) ( DIFFERENT ?auto_4556 ?auto_4545 ) ( LOCATION ?auto_4558 ) ( CITY ?auto_4550 ) ( IN-CITY ?auto_4558 ?auto_4550 ) ( IN-CITY ?auto_4551 ?auto_4550 ) ( DIFFERENT ?auto_4551 ?auto_4558 ) ( LOCATION ?auto_4566 ) ( CITY ?auto_4565 ) ( AT ?auto_4563 ?auto_4566 ) ( IN-CITY ?auto_4566 ?auto_4565 ) ( IN-CITY ?auto_4558 ?auto_4565 ) ( DIFFERENT ?auto_4558 ?auto_4566 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4563 ?auto_4566 ?auto_4558 ?auto_4565 )
      ( DELIVER-PKG ?auto_4543 ?auto_4544 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4568
      ?auto_4569
    )
    :vars
    (
      ?auto_4584
      ?auto_4582
      ?auto_4588
      ?auto_4576
      ?auto_4587
      ?auto_4573
      ?auto_4581
      ?auto_4586
      ?auto_4589
      ?auto_4577
      ?auto_4575
      ?auto_4583
      ?auto_4579
      ?auto_4580
      ?auto_4571
      ?auto_4585
      ?auto_4578
      ?auto_4590
      ?auto_4574
      ?auto_4592
    )
    :precondition
    ( and ( OBJ ?auto_4568 ) ( LOCATION ?auto_4569 ) ( TRUCK ?auto_4584 ) ( LOCATION ?auto_4582 ) ( CITY ?auto_4588 ) ( IN-CITY ?auto_4582 ?auto_4588 ) ( IN-CITY ?auto_4569 ?auto_4588 ) ( DIFFERENT ?auto_4569 ?auto_4582 ) ( LOCATION ?auto_4576 ) ( CITY ?auto_4587 ) ( AT ?auto_4584 ?auto_4576 ) ( IN-CITY ?auto_4576 ?auto_4587 ) ( IN-CITY ?auto_4582 ?auto_4587 ) ( DIFFERENT ?auto_4582 ?auto_4576 ) ( LOCATION ?auto_4573 ) ( AT ?auto_4584 ?auto_4573 ) ( AIRPLANE ?auto_4581 ) ( AIRPORT ?auto_4586 ) ( AIRPORT ?auto_4573 ) ( DIFFERENT ?auto_4573 ?auto_4586 ) ( LOCATION ?auto_4586 ) ( TRUCK ?auto_4589 ) ( LOCATION ?auto_4577 ) ( CITY ?auto_4575 ) ( IN-CITY ?auto_4577 ?auto_4575 ) ( IN-CITY ?auto_4586 ?auto_4575 ) ( DIFFERENT ?auto_4586 ?auto_4577 ) ( AT ?auto_4568 ?auto_4577 ) ( AIRPORT ?auto_4583 ) ( DIFFERENT ?auto_4586 ?auto_4583 ) ( LOCATION ?auto_4579 ) ( CITY ?auto_4580 ) ( IN-CITY ?auto_4579 ?auto_4580 ) ( IN-CITY ?auto_4577 ?auto_4580 ) ( DIFFERENT ?auto_4577 ?auto_4579 ) ( AIRPORT ?auto_4571 ) ( DIFFERENT ?auto_4583 ?auto_4571 ) ( LOCATION ?auto_4585 ) ( CITY ?auto_4578 ) ( IN-CITY ?auto_4585 ?auto_4578 ) ( IN-CITY ?auto_4579 ?auto_4578 ) ( DIFFERENT ?auto_4579 ?auto_4585 ) ( LOCATION ?auto_4590 ) ( CITY ?auto_4574 ) ( AT ?auto_4589 ?auto_4590 ) ( IN-CITY ?auto_4590 ?auto_4574 ) ( IN-CITY ?auto_4585 ?auto_4574 ) ( DIFFERENT ?auto_4585 ?auto_4590 ) ( AIRPORT ?auto_4592 ) ( AT ?auto_4581 ?auto_4592 ) ( DIFFERENT ?auto_4571 ?auto_4592 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4581 ?auto_4592 ?auto_4571 )
      ( DELIVER-PKG ?auto_4568 ?auto_4569 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4666
      ?auto_4667
    )
    :vars
    (
      ?auto_4677
      ?auto_4676
      ?auto_4674
      ?auto_4686
      ?auto_4673
      ?auto_4670
      ?auto_4685
      ?auto_4679
      ?auto_4678
      ?auto_4688
      ?auto_4683
      ?auto_4672
      ?auto_4669
      ?auto_4687
      ?auto_4684
      ?auto_4682
      ?auto_4680
      ?auto_4689
      ?auto_4675
      ?auto_4692
      ?auto_4691
    )
    :precondition
    ( and ( OBJ ?auto_4666 ) ( LOCATION ?auto_4667 ) ( TRUCK ?auto_4677 ) ( LOCATION ?auto_4676 ) ( CITY ?auto_4674 ) ( IN-CITY ?auto_4676 ?auto_4674 ) ( IN-CITY ?auto_4667 ?auto_4674 ) ( DIFFERENT ?auto_4667 ?auto_4676 ) ( LOCATION ?auto_4686 ) ( CITY ?auto_4673 ) ( IN-CITY ?auto_4686 ?auto_4673 ) ( IN-CITY ?auto_4676 ?auto_4673 ) ( DIFFERENT ?auto_4676 ?auto_4686 ) ( AIRPLANE ?auto_4670 ) ( AIRPORT ?auto_4685 ) ( AIRPORT ?auto_4686 ) ( DIFFERENT ?auto_4686 ?auto_4685 ) ( LOCATION ?auto_4685 ) ( TRUCK ?auto_4679 ) ( LOCATION ?auto_4678 ) ( CITY ?auto_4688 ) ( IN-CITY ?auto_4678 ?auto_4688 ) ( IN-CITY ?auto_4685 ?auto_4688 ) ( DIFFERENT ?auto_4685 ?auto_4678 ) ( AT ?auto_4666 ?auto_4678 ) ( AIRPORT ?auto_4683 ) ( DIFFERENT ?auto_4685 ?auto_4683 ) ( LOCATION ?auto_4672 ) ( CITY ?auto_4669 ) ( IN-CITY ?auto_4672 ?auto_4669 ) ( IN-CITY ?auto_4678 ?auto_4669 ) ( DIFFERENT ?auto_4678 ?auto_4672 ) ( AIRPORT ?auto_4687 ) ( DIFFERENT ?auto_4683 ?auto_4687 ) ( LOCATION ?auto_4684 ) ( CITY ?auto_4682 ) ( IN-CITY ?auto_4684 ?auto_4682 ) ( IN-CITY ?auto_4672 ?auto_4682 ) ( DIFFERENT ?auto_4672 ?auto_4684 ) ( LOCATION ?auto_4680 ) ( CITY ?auto_4689 ) ( AT ?auto_4679 ?auto_4680 ) ( IN-CITY ?auto_4680 ?auto_4689 ) ( IN-CITY ?auto_4684 ?auto_4689 ) ( DIFFERENT ?auto_4684 ?auto_4680 ) ( AIRPORT ?auto_4675 ) ( AT ?auto_4670 ?auto_4675 ) ( DIFFERENT ?auto_4687 ?auto_4675 ) ( LOCATION ?auto_4692 ) ( CITY ?auto_4691 ) ( AT ?auto_4677 ?auto_4692 ) ( IN-CITY ?auto_4692 ?auto_4691 ) ( IN-CITY ?auto_4686 ?auto_4691 ) ( DIFFERENT ?auto_4686 ?auto_4692 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4677 ?auto_4692 ?auto_4686 ?auto_4691 )
      ( DELIVER-PKG ?auto_4666 ?auto_4667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4694
      ?auto_4695
    )
    :vars
    (
      ?auto_4706
      ?auto_4705
      ?auto_4703
      ?auto_4715
      ?auto_4701
      ?auto_4698
      ?auto_4714
      ?auto_4708
      ?auto_4707
      ?auto_4717
      ?auto_4711
      ?auto_4700
      ?auto_4697
      ?auto_4716
      ?auto_4712
      ?auto_4710
      ?auto_4709
      ?auto_4718
      ?auto_4704
      ?auto_4702
      ?auto_4713
      ?auto_4720
    )
    :precondition
    ( and ( OBJ ?auto_4694 ) ( LOCATION ?auto_4695 ) ( TRUCK ?auto_4706 ) ( LOCATION ?auto_4705 ) ( CITY ?auto_4703 ) ( IN-CITY ?auto_4705 ?auto_4703 ) ( IN-CITY ?auto_4695 ?auto_4703 ) ( DIFFERENT ?auto_4695 ?auto_4705 ) ( LOCATION ?auto_4715 ) ( CITY ?auto_4701 ) ( IN-CITY ?auto_4715 ?auto_4701 ) ( IN-CITY ?auto_4705 ?auto_4701 ) ( DIFFERENT ?auto_4705 ?auto_4715 ) ( AIRPLANE ?auto_4698 ) ( AIRPORT ?auto_4714 ) ( AIRPORT ?auto_4715 ) ( DIFFERENT ?auto_4715 ?auto_4714 ) ( LOCATION ?auto_4714 ) ( TRUCK ?auto_4708 ) ( LOCATION ?auto_4707 ) ( CITY ?auto_4717 ) ( IN-CITY ?auto_4707 ?auto_4717 ) ( IN-CITY ?auto_4714 ?auto_4717 ) ( DIFFERENT ?auto_4714 ?auto_4707 ) ( AT ?auto_4694 ?auto_4707 ) ( AIRPORT ?auto_4711 ) ( DIFFERENT ?auto_4714 ?auto_4711 ) ( LOCATION ?auto_4700 ) ( CITY ?auto_4697 ) ( IN-CITY ?auto_4700 ?auto_4697 ) ( IN-CITY ?auto_4707 ?auto_4697 ) ( DIFFERENT ?auto_4707 ?auto_4700 ) ( AIRPORT ?auto_4716 ) ( DIFFERENT ?auto_4711 ?auto_4716 ) ( LOCATION ?auto_4712 ) ( CITY ?auto_4710 ) ( IN-CITY ?auto_4712 ?auto_4710 ) ( IN-CITY ?auto_4700 ?auto_4710 ) ( DIFFERENT ?auto_4700 ?auto_4712 ) ( LOCATION ?auto_4709 ) ( CITY ?auto_4718 ) ( AT ?auto_4708 ?auto_4709 ) ( IN-CITY ?auto_4709 ?auto_4718 ) ( IN-CITY ?auto_4712 ?auto_4718 ) ( DIFFERENT ?auto_4712 ?auto_4709 ) ( AIRPORT ?auto_4704 ) ( DIFFERENT ?auto_4716 ?auto_4704 ) ( LOCATION ?auto_4702 ) ( CITY ?auto_4713 ) ( AT ?auto_4706 ?auto_4702 ) ( IN-CITY ?auto_4702 ?auto_4713 ) ( IN-CITY ?auto_4715 ?auto_4713 ) ( DIFFERENT ?auto_4715 ?auto_4702 ) ( AIRPORT ?auto_4720 ) ( AT ?auto_4698 ?auto_4720 ) ( DIFFERENT ?auto_4704 ?auto_4720 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4698 ?auto_4720 ?auto_4704 )
      ( DELIVER-PKG ?auto_4694 ?auto_4695 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5494
      ?auto_5495
    )
    :vars
    (
      ?auto_5497
      ?auto_5500
    )
    :precondition
    ( and ( OBJ ?auto_5494 ) ( LOCATION ?auto_5495 ) ( TRUCK ?auto_5497 ) ( AT ?auto_5497 ?auto_5495 ) ( LOCATION ?auto_5500 ) ( AT ?auto_5497 ?auto_5500 ) ( AT ?auto_5494 ?auto_5500 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5494 ?auto_5497 ?auto_5500 )
      ( DELIVER-PKG ?auto_5494 ?auto_5495 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5502
      ?auto_5503
    )
    :vars
    (
      ?auto_5506
      ?auto_5505
      ?auto_5510
    )
    :precondition
    ( and ( OBJ ?auto_5502 ) ( LOCATION ?auto_5503 ) ( TRUCK ?auto_5506 ) ( AT ?auto_5506 ?auto_5503 ) ( LOCATION ?auto_5505 ) ( AT ?auto_5506 ?auto_5505 ) ( AIRPLANE ?auto_5510 ) ( IN ?auto_5502 ?auto_5510 ) ( AT ?auto_5510 ?auto_5505 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5502 ?auto_5505 )
      ( DELIVER-PKG ?auto_5502 ?auto_5503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5511
      ?auto_5512
    )
    :vars
    (
      ?auto_5517
      ?auto_5516
      ?auto_5513
      ?auto_5519
    )
    :precondition
    ( and ( OBJ ?auto_5511 ) ( LOCATION ?auto_5512 ) ( TRUCK ?auto_5517 ) ( AT ?auto_5517 ?auto_5512 ) ( LOCATION ?auto_5516 ) ( AT ?auto_5517 ?auto_5516 ) ( AIRPLANE ?auto_5513 ) ( IN ?auto_5511 ?auto_5513 ) ( AIRPORT ?auto_5519 ) ( AIRPORT ?auto_5516 ) ( AT ?auto_5513 ?auto_5519 ) ( DIFFERENT ?auto_5516 ?auto_5519 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5513 ?auto_5519 ?auto_5516 )
      ( DELIVER-PKG ?auto_5511 ?auto_5512 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5521
      ?auto_5522
    )
    :vars
    (
      ?auto_5526
      ?auto_5525
      ?auto_5528
      ?auto_5523
      ?auto_5530
    )
    :precondition
    ( and ( OBJ ?auto_5521 ) ( LOCATION ?auto_5522 ) ( TRUCK ?auto_5526 ) ( AT ?auto_5526 ?auto_5522 ) ( LOCATION ?auto_5525 ) ( AT ?auto_5526 ?auto_5525 ) ( AIRPLANE ?auto_5528 ) ( AIRPORT ?auto_5523 ) ( AIRPORT ?auto_5525 ) ( AT ?auto_5528 ?auto_5523 ) ( DIFFERENT ?auto_5525 ?auto_5523 ) ( LOCATION ?auto_5530 ) ( AT ?auto_5521 ?auto_5530 ) ( AT ?auto_5528 ?auto_5530 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5521 ?auto_5528 ?auto_5530 )
      ( DELIVER-PKG ?auto_5521 ?auto_5522 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15704
      ?auto_15705
    )
    :vars
    (
      ?auto_15711
      ?auto_15713
      ?auto_15706
      ?auto_15708
      ?auto_15709
      ?auto_15714
      ?auto_15710
      ?auto_15715
    )
    :precondition
    ( and ( OBJ ?auto_15704 ) ( LOCATION ?auto_15705 ) ( TRUCK ?auto_15711 ) ( AT ?auto_15711 ?auto_15705 ) ( LOCATION ?auto_15713 ) ( AT ?auto_15711 ?auto_15713 ) ( AIRPLANE ?auto_15706 ) ( AIRPORT ?auto_15708 ) ( AIRPORT ?auto_15713 ) ( AT ?auto_15706 ?auto_15708 ) ( DIFFERENT ?auto_15713 ?auto_15708 ) ( LOCATION ?auto_15709 ) ( AT ?auto_15706 ?auto_15709 ) ( TRUCK ?auto_15714 ) ( AT ?auto_15714 ?auto_15709 ) ( LOCATION ?auto_15710 ) ( AT ?auto_15714 ?auto_15710 ) ( TRUCK ?auto_15715 ) ( AT ?auto_15715 ?auto_15710 ) ( IN ?auto_15704 ?auto_15715 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15704 ?auto_15710 )
      ( DELIVER-PKG ?auto_15704 ?auto_15705 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5563
      ?auto_5564
    )
    :vars
    (
      ?auto_5571
      ?auto_5568
      ?auto_5565
      ?auto_5567
      ?auto_5569
      ?auto_5572
      ?auto_5575
      ?auto_5574
    )
    :precondition
    ( and ( OBJ ?auto_5563 ) ( LOCATION ?auto_5564 ) ( TRUCK ?auto_5571 ) ( AT ?auto_5571 ?auto_5564 ) ( LOCATION ?auto_5568 ) ( AT ?auto_5571 ?auto_5568 ) ( AIRPLANE ?auto_5565 ) ( AIRPORT ?auto_5567 ) ( AIRPORT ?auto_5568 ) ( AT ?auto_5565 ?auto_5567 ) ( DIFFERENT ?auto_5568 ?auto_5567 ) ( LOCATION ?auto_5569 ) ( AT ?auto_5565 ?auto_5569 ) ( TRUCK ?auto_5572 ) ( IN ?auto_5563 ?auto_5572 ) ( LOCATION ?auto_5575 ) ( CITY ?auto_5574 ) ( AT ?auto_5572 ?auto_5575 ) ( IN-CITY ?auto_5575 ?auto_5574 ) ( IN-CITY ?auto_5569 ?auto_5574 ) ( DIFFERENT ?auto_5569 ?auto_5575 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5572 ?auto_5575 ?auto_5569 ?auto_5574 )
      ( DELIVER-PKG ?auto_5563 ?auto_5564 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5601
      ?auto_5602
    )
    :vars
    (
      ?auto_5603
      ?auto_5606
      ?auto_5608
      ?auto_5605
      ?auto_5607
      ?auto_5609
      ?auto_5612
      ?auto_5611
      ?auto_5614
    )
    :precondition
    ( and ( OBJ ?auto_5601 ) ( LOCATION ?auto_5602 ) ( TRUCK ?auto_5603 ) ( AT ?auto_5603 ?auto_5602 ) ( LOCATION ?auto_5606 ) ( AT ?auto_5603 ?auto_5606 ) ( AIRPLANE ?auto_5608 ) ( AIRPORT ?auto_5605 ) ( AIRPORT ?auto_5606 ) ( AT ?auto_5608 ?auto_5605 ) ( DIFFERENT ?auto_5606 ?auto_5605 ) ( LOCATION ?auto_5607 ) ( AT ?auto_5608 ?auto_5607 ) ( TRUCK ?auto_5609 ) ( LOCATION ?auto_5612 ) ( CITY ?auto_5611 ) ( AT ?auto_5609 ?auto_5612 ) ( IN-CITY ?auto_5612 ?auto_5611 ) ( IN-CITY ?auto_5607 ?auto_5611 ) ( DIFFERENT ?auto_5607 ?auto_5612 ) ( LOCATION ?auto_5614 ) ( AT ?auto_5609 ?auto_5614 ) ( AT ?auto_5601 ?auto_5614 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5601 ?auto_5609 ?auto_5614 )
      ( DELIVER-PKG ?auto_5601 ?auto_5602 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5642
      ?auto_5643
    )
    :vars
    (
      ?auto_5647
      ?auto_5645
      ?auto_5648
      ?auto_5646
      ?auto_5649
      ?auto_5651
      ?auto_5650
      ?auto_5654
      ?auto_5656
    )
    :precondition
    ( and ( OBJ ?auto_5642 ) ( LOCATION ?auto_5643 ) ( TRUCK ?auto_5647 ) ( AT ?auto_5647 ?auto_5643 ) ( LOCATION ?auto_5645 ) ( AT ?auto_5647 ?auto_5645 ) ( AIRPLANE ?auto_5648 ) ( AIRPORT ?auto_5646 ) ( AIRPORT ?auto_5645 ) ( DIFFERENT ?auto_5645 ?auto_5646 ) ( LOCATION ?auto_5646 ) ( TRUCK ?auto_5649 ) ( LOCATION ?auto_5651 ) ( CITY ?auto_5650 ) ( AT ?auto_5649 ?auto_5651 ) ( IN-CITY ?auto_5651 ?auto_5650 ) ( IN-CITY ?auto_5646 ?auto_5650 ) ( DIFFERENT ?auto_5646 ?auto_5651 ) ( LOCATION ?auto_5654 ) ( AT ?auto_5649 ?auto_5654 ) ( AT ?auto_5642 ?auto_5654 ) ( AIRPORT ?auto_5656 ) ( AT ?auto_5648 ?auto_5656 ) ( DIFFERENT ?auto_5646 ?auto_5656 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5648 ?auto_5656 ?auto_5646 )
      ( DELIVER-PKG ?auto_5642 ?auto_5643 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5658
      ?auto_5659
    )
    :vars
    (
      ?auto_5665
      ?auto_5664
      ?auto_5666
      ?auto_5662
      ?auto_5667
      ?auto_5669
      ?auto_5668
      ?auto_5670
      ?auto_5673
      ?auto_5672
    )
    :precondition
    ( and ( OBJ ?auto_5658 ) ( LOCATION ?auto_5659 ) ( TRUCK ?auto_5665 ) ( AT ?auto_5665 ?auto_5659 ) ( LOCATION ?auto_5664 ) ( AT ?auto_5665 ?auto_5664 ) ( AIRPLANE ?auto_5666 ) ( AIRPORT ?auto_5662 ) ( AIRPORT ?auto_5664 ) ( DIFFERENT ?auto_5664 ?auto_5662 ) ( LOCATION ?auto_5662 ) ( TRUCK ?auto_5667 ) ( LOCATION ?auto_5669 ) ( CITY ?auto_5668 ) ( IN-CITY ?auto_5669 ?auto_5668 ) ( IN-CITY ?auto_5662 ?auto_5668 ) ( DIFFERENT ?auto_5662 ?auto_5669 ) ( AT ?auto_5658 ?auto_5669 ) ( AIRPORT ?auto_5670 ) ( AT ?auto_5666 ?auto_5670 ) ( DIFFERENT ?auto_5662 ?auto_5670 ) ( LOCATION ?auto_5673 ) ( CITY ?auto_5672 ) ( AT ?auto_5667 ?auto_5673 ) ( IN-CITY ?auto_5673 ?auto_5672 ) ( IN-CITY ?auto_5669 ?auto_5672 ) ( DIFFERENT ?auto_5669 ?auto_5673 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5667 ?auto_5673 ?auto_5669 ?auto_5672 )
      ( DELIVER-PKG ?auto_5658 ?auto_5659 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6082
      ?auto_6083
    )
    :vars
    (
      ?auto_6084
      ?auto_6085
      ?auto_6086
      ?auto_6087
      ?auto_6092
    )
    :precondition
    ( and ( OBJ ?auto_6082 ) ( LOCATION ?auto_6083 ) ( AIRPLANE ?auto_6084 ) ( AIRPORT ?auto_6085 ) ( AIRPORT ?auto_6083 ) ( DIFFERENT ?auto_6083 ?auto_6085 ) ( LOCATION ?auto_6085 ) ( AIRPORT ?auto_6086 ) ( DIFFERENT ?auto_6085 ?auto_6086 ) ( AIRPORT ?auto_6087 ) ( AT ?auto_6084 ?auto_6087 ) ( DIFFERENT ?auto_6086 ?auto_6087 ) ( TRUCK ?auto_6092 ) ( AT ?auto_6092 ?auto_6085 ) ( IN ?auto_6082 ?auto_6092 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6082 ?auto_6085 )
      ( DELIVER-PKG ?auto_6082 ?auto_6083 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6126
      ?auto_6127
    )
    :vars
    (
      ?auto_6134
      ?auto_6133
      ?auto_6131
      ?auto_6132
      ?auto_6129
      ?auto_6136
      ?auto_6135
      ?auto_6138
    )
    :precondition
    ( and ( OBJ ?auto_6126 ) ( LOCATION ?auto_6127 ) ( AIRPLANE ?auto_6134 ) ( AIRPORT ?auto_6133 ) ( AIRPORT ?auto_6127 ) ( DIFFERENT ?auto_6127 ?auto_6133 ) ( LOCATION ?auto_6133 ) ( AIRPORT ?auto_6131 ) ( DIFFERENT ?auto_6133 ?auto_6131 ) ( AIRPORT ?auto_6132 ) ( AT ?auto_6134 ?auto_6132 ) ( DIFFERENT ?auto_6131 ?auto_6132 ) ( TRUCK ?auto_6129 ) ( LOCATION ?auto_6136 ) ( CITY ?auto_6135 ) ( AT ?auto_6129 ?auto_6136 ) ( IN-CITY ?auto_6136 ?auto_6135 ) ( IN-CITY ?auto_6133 ?auto_6135 ) ( DIFFERENT ?auto_6133 ?auto_6136 ) ( LOCATION ?auto_6138 ) ( AT ?auto_6129 ?auto_6138 ) ( AT ?auto_6126 ?auto_6138 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6126 ?auto_6129 ?auto_6138 )
      ( DELIVER-PKG ?auto_6126 ?auto_6127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6164
      ?auto_6165
    )
    :vars
    (
      ?auto_6170
      ?auto_6169
      ?auto_6167
      ?auto_6168
      ?auto_6175
      ?auto_6174
      ?auto_6172
      ?auto_6178
      ?auto_6177
    )
    :precondition
    ( and ( OBJ ?auto_6164 ) ( LOCATION ?auto_6165 ) ( AIRPLANE ?auto_6170 ) ( AIRPORT ?auto_6169 ) ( AIRPORT ?auto_6165 ) ( DIFFERENT ?auto_6165 ?auto_6169 ) ( LOCATION ?auto_6169 ) ( AIRPORT ?auto_6167 ) ( DIFFERENT ?auto_6169 ?auto_6167 ) ( AIRPORT ?auto_6168 ) ( AT ?auto_6170 ?auto_6168 ) ( DIFFERENT ?auto_6167 ?auto_6168 ) ( TRUCK ?auto_6175 ) ( LOCATION ?auto_6174 ) ( CITY ?auto_6172 ) ( IN-CITY ?auto_6174 ?auto_6172 ) ( IN-CITY ?auto_6169 ?auto_6172 ) ( DIFFERENT ?auto_6169 ?auto_6174 ) ( AT ?auto_6164 ?auto_6174 ) ( LOCATION ?auto_6178 ) ( CITY ?auto_6177 ) ( AT ?auto_6175 ?auto_6178 ) ( IN-CITY ?auto_6178 ?auto_6177 ) ( IN-CITY ?auto_6174 ?auto_6177 ) ( DIFFERENT ?auto_6174 ?auto_6178 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6175 ?auto_6178 ?auto_6174 ?auto_6177 )
      ( DELIVER-PKG ?auto_6164 ?auto_6165 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6193
      ?auto_6194
    )
    :vars
    (
      ?auto_6202
      ?auto_6201
      ?auto_6197
      ?auto_6200
      ?auto_6199
      ?auto_6198
      ?auto_6203
      ?auto_6205
      ?auto_6204
      ?auto_6207
    )
    :precondition
    ( and ( OBJ ?auto_6193 ) ( LOCATION ?auto_6194 ) ( AIRPLANE ?auto_6202 ) ( AIRPORT ?auto_6201 ) ( AIRPORT ?auto_6194 ) ( DIFFERENT ?auto_6194 ?auto_6201 ) ( LOCATION ?auto_6201 ) ( AIRPORT ?auto_6197 ) ( DIFFERENT ?auto_6201 ?auto_6197 ) ( AIRPORT ?auto_6200 ) ( DIFFERENT ?auto_6197 ?auto_6200 ) ( TRUCK ?auto_6199 ) ( LOCATION ?auto_6198 ) ( CITY ?auto_6203 ) ( IN-CITY ?auto_6198 ?auto_6203 ) ( IN-CITY ?auto_6201 ?auto_6203 ) ( DIFFERENT ?auto_6201 ?auto_6198 ) ( AT ?auto_6193 ?auto_6198 ) ( LOCATION ?auto_6205 ) ( CITY ?auto_6204 ) ( AT ?auto_6199 ?auto_6205 ) ( IN-CITY ?auto_6205 ?auto_6204 ) ( IN-CITY ?auto_6198 ?auto_6204 ) ( DIFFERENT ?auto_6198 ?auto_6205 ) ( AIRPORT ?auto_6207 ) ( AT ?auto_6202 ?auto_6207 ) ( DIFFERENT ?auto_6200 ?auto_6207 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6202 ?auto_6207 ?auto_6200 )
      ( DELIVER-PKG ?auto_6193 ?auto_6194 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6269
      ?auto_6270
    )
    :vars
    (
      ?auto_6273
      ?auto_6275
      ?auto_6274
      ?auto_6272
      ?auto_6278
    )
    :precondition
    ( and ( OBJ ?auto_6269 ) ( LOCATION ?auto_6270 ) ( TRUCK ?auto_6273 ) ( LOCATION ?auto_6275 ) ( CITY ?auto_6274 ) ( AT ?auto_6273 ?auto_6275 ) ( IN-CITY ?auto_6275 ?auto_6274 ) ( IN-CITY ?auto_6270 ?auto_6274 ) ( DIFFERENT ?auto_6270 ?auto_6275 ) ( LOCATION ?auto_6272 ) ( AT ?auto_6273 ?auto_6272 ) ( TRUCK ?auto_6278 ) ( AT ?auto_6278 ?auto_6272 ) ( IN ?auto_6269 ?auto_6278 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6269 ?auto_6272 )
      ( DELIVER-PKG ?auto_6269 ?auto_6270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6356
      ?auto_6357
    )
    :vars
    (
      ?auto_6367
      ?auto_6362
      ?auto_6363
      ?auto_6365
      ?auto_6361
      ?auto_6366
      ?auto_6358
      ?auto_6368
      ?auto_6364
      ?auto_6371
    )
    :precondition
    ( and ( OBJ ?auto_6356 ) ( LOCATION ?auto_6357 ) ( TRUCK ?auto_6367 ) ( LOCATION ?auto_6362 ) ( CITY ?auto_6363 ) ( AT ?auto_6367 ?auto_6362 ) ( IN-CITY ?auto_6362 ?auto_6363 ) ( IN-CITY ?auto_6357 ?auto_6363 ) ( DIFFERENT ?auto_6357 ?auto_6362 ) ( LOCATION ?auto_6365 ) ( AT ?auto_6367 ?auto_6365 ) ( TRUCK ?auto_6361 ) ( AT ?auto_6361 ?auto_6365 ) ( LOCATION ?auto_6366 ) ( AT ?auto_6361 ?auto_6366 ) ( AIRPLANE ?auto_6358 ) ( AIRPORT ?auto_6368 ) ( AIRPORT ?auto_6366 ) ( AT ?auto_6358 ?auto_6368 ) ( DIFFERENT ?auto_6366 ?auto_6368 ) ( LOCATION ?auto_6364 ) ( AT ?auto_6358 ?auto_6364 ) ( TRUCK ?auto_6371 ) ( AT ?auto_6371 ?auto_6364 ) ( IN ?auto_6356 ?auto_6371 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6356 ?auto_6364 )
      ( DELIVER-PKG ?auto_6356 ?auto_6357 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6386
      ?auto_6387
    )
    :vars
    (
      ?auto_6393
      ?auto_6388
      ?auto_6389
      ?auto_6396
      ?auto_6392
      ?auto_6397
      ?auto_6391
      ?auto_6394
      ?auto_6390
      ?auto_6399
      ?auto_6402
      ?auto_6401
    )
    :precondition
    ( and ( OBJ ?auto_6386 ) ( LOCATION ?auto_6387 ) ( TRUCK ?auto_6393 ) ( LOCATION ?auto_6388 ) ( CITY ?auto_6389 ) ( AT ?auto_6393 ?auto_6388 ) ( IN-CITY ?auto_6388 ?auto_6389 ) ( IN-CITY ?auto_6387 ?auto_6389 ) ( DIFFERENT ?auto_6387 ?auto_6388 ) ( LOCATION ?auto_6396 ) ( AT ?auto_6393 ?auto_6396 ) ( TRUCK ?auto_6392 ) ( AT ?auto_6392 ?auto_6396 ) ( LOCATION ?auto_6397 ) ( AT ?auto_6392 ?auto_6397 ) ( AIRPLANE ?auto_6391 ) ( AIRPORT ?auto_6394 ) ( AIRPORT ?auto_6397 ) ( AT ?auto_6391 ?auto_6394 ) ( DIFFERENT ?auto_6397 ?auto_6394 ) ( LOCATION ?auto_6390 ) ( AT ?auto_6391 ?auto_6390 ) ( TRUCK ?auto_6399 ) ( IN ?auto_6386 ?auto_6399 ) ( LOCATION ?auto_6402 ) ( CITY ?auto_6401 ) ( AT ?auto_6399 ?auto_6402 ) ( IN-CITY ?auto_6402 ?auto_6401 ) ( IN-CITY ?auto_6390 ?auto_6401 ) ( DIFFERENT ?auto_6390 ?auto_6402 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6399 ?auto_6402 ?auto_6390 ?auto_6401 )
      ( DELIVER-PKG ?auto_6386 ?auto_6387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6436
      ?auto_6437
    )
    :vars
    (
      ?auto_6445
      ?auto_6440
      ?auto_6448
      ?auto_6442
      ?auto_6444
      ?auto_6443
      ?auto_6446
      ?auto_6441
      ?auto_6439
      ?auto_6447
      ?auto_6451
      ?auto_6450
      ?auto_6453
    )
    :precondition
    ( and ( OBJ ?auto_6436 ) ( LOCATION ?auto_6437 ) ( TRUCK ?auto_6445 ) ( LOCATION ?auto_6440 ) ( CITY ?auto_6448 ) ( AT ?auto_6445 ?auto_6440 ) ( IN-CITY ?auto_6440 ?auto_6448 ) ( IN-CITY ?auto_6437 ?auto_6448 ) ( DIFFERENT ?auto_6437 ?auto_6440 ) ( LOCATION ?auto_6442 ) ( AT ?auto_6445 ?auto_6442 ) ( TRUCK ?auto_6444 ) ( AT ?auto_6444 ?auto_6442 ) ( LOCATION ?auto_6443 ) ( AT ?auto_6444 ?auto_6443 ) ( AIRPLANE ?auto_6446 ) ( AIRPORT ?auto_6441 ) ( AIRPORT ?auto_6443 ) ( AT ?auto_6446 ?auto_6441 ) ( DIFFERENT ?auto_6443 ?auto_6441 ) ( LOCATION ?auto_6439 ) ( AT ?auto_6446 ?auto_6439 ) ( TRUCK ?auto_6447 ) ( LOCATION ?auto_6451 ) ( CITY ?auto_6450 ) ( AT ?auto_6447 ?auto_6451 ) ( IN-CITY ?auto_6451 ?auto_6450 ) ( IN-CITY ?auto_6439 ?auto_6450 ) ( DIFFERENT ?auto_6439 ?auto_6451 ) ( LOCATION ?auto_6453 ) ( AT ?auto_6447 ?auto_6453 ) ( AT ?auto_6436 ?auto_6453 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6436 ?auto_6447 ?auto_6453 )
      ( DELIVER-PKG ?auto_6436 ?auto_6437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6489
      ?auto_6490
    )
    :vars
    (
      ?auto_6502
      ?auto_6493
      ?auto_6497
      ?auto_6499
      ?auto_6501
      ?auto_6500
      ?auto_6503
      ?auto_6492
      ?auto_6496
      ?auto_6504
      ?auto_6498
      ?auto_6505
      ?auto_6507
    )
    :precondition
    ( and ( OBJ ?auto_6489 ) ( LOCATION ?auto_6490 ) ( TRUCK ?auto_6502 ) ( LOCATION ?auto_6493 ) ( CITY ?auto_6497 ) ( AT ?auto_6502 ?auto_6493 ) ( IN-CITY ?auto_6493 ?auto_6497 ) ( IN-CITY ?auto_6490 ?auto_6497 ) ( DIFFERENT ?auto_6490 ?auto_6493 ) ( LOCATION ?auto_6499 ) ( AT ?auto_6502 ?auto_6499 ) ( TRUCK ?auto_6501 ) ( AT ?auto_6501 ?auto_6499 ) ( LOCATION ?auto_6500 ) ( AT ?auto_6501 ?auto_6500 ) ( AIRPLANE ?auto_6503 ) ( AIRPORT ?auto_6492 ) ( AIRPORT ?auto_6500 ) ( DIFFERENT ?auto_6500 ?auto_6492 ) ( LOCATION ?auto_6492 ) ( TRUCK ?auto_6496 ) ( LOCATION ?auto_6504 ) ( CITY ?auto_6498 ) ( AT ?auto_6496 ?auto_6504 ) ( IN-CITY ?auto_6504 ?auto_6498 ) ( IN-CITY ?auto_6492 ?auto_6498 ) ( DIFFERENT ?auto_6492 ?auto_6504 ) ( LOCATION ?auto_6505 ) ( AT ?auto_6496 ?auto_6505 ) ( AT ?auto_6489 ?auto_6505 ) ( AIRPORT ?auto_6507 ) ( AT ?auto_6503 ?auto_6507 ) ( DIFFERENT ?auto_6492 ?auto_6507 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6503 ?auto_6507 ?auto_6492 )
      ( DELIVER-PKG ?auto_6489 ?auto_6490 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6509
      ?auto_6510
    )
    :vars
    (
      ?auto_6522
      ?auto_6518
      ?auto_6516
      ?auto_6519
      ?auto_6521
      ?auto_6520
      ?auto_6523
      ?auto_6514
      ?auto_6515
      ?auto_6525
      ?auto_6517
      ?auto_6513
      ?auto_6528
      ?auto_6527
    )
    :precondition
    ( and ( OBJ ?auto_6509 ) ( LOCATION ?auto_6510 ) ( TRUCK ?auto_6522 ) ( LOCATION ?auto_6518 ) ( CITY ?auto_6516 ) ( AT ?auto_6522 ?auto_6518 ) ( IN-CITY ?auto_6518 ?auto_6516 ) ( IN-CITY ?auto_6510 ?auto_6516 ) ( DIFFERENT ?auto_6510 ?auto_6518 ) ( LOCATION ?auto_6519 ) ( AT ?auto_6522 ?auto_6519 ) ( TRUCK ?auto_6521 ) ( AT ?auto_6521 ?auto_6519 ) ( LOCATION ?auto_6520 ) ( AT ?auto_6521 ?auto_6520 ) ( AIRPLANE ?auto_6523 ) ( AIRPORT ?auto_6514 ) ( AIRPORT ?auto_6520 ) ( DIFFERENT ?auto_6520 ?auto_6514 ) ( LOCATION ?auto_6514 ) ( TRUCK ?auto_6515 ) ( LOCATION ?auto_6525 ) ( CITY ?auto_6517 ) ( IN-CITY ?auto_6525 ?auto_6517 ) ( IN-CITY ?auto_6514 ?auto_6517 ) ( DIFFERENT ?auto_6514 ?auto_6525 ) ( AT ?auto_6509 ?auto_6525 ) ( AIRPORT ?auto_6513 ) ( AT ?auto_6523 ?auto_6513 ) ( DIFFERENT ?auto_6514 ?auto_6513 ) ( LOCATION ?auto_6528 ) ( CITY ?auto_6527 ) ( AT ?auto_6515 ?auto_6528 ) ( IN-CITY ?auto_6528 ?auto_6527 ) ( IN-CITY ?auto_6525 ?auto_6527 ) ( DIFFERENT ?auto_6525 ?auto_6528 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6515 ?auto_6528 ?auto_6525 ?auto_6527 )
      ( DELIVER-PKG ?auto_6509 ?auto_6510 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6605
      ?auto_6606
    )
    :vars
    (
      ?auto_6609
      ?auto_6608
      ?auto_6610
      ?auto_6613
      ?auto_6615
    )
    :precondition
    ( and ( OBJ ?auto_6605 ) ( LOCATION ?auto_6606 ) ( TRUCK ?auto_6609 ) ( AT ?auto_6609 ?auto_6606 ) ( LOCATION ?auto_6608 ) ( AT ?auto_6609 ?auto_6608 ) ( AIRPLANE ?auto_6610 ) ( AIRPORT ?auto_6613 ) ( AIRPORT ?auto_6608 ) ( DIFFERENT ?auto_6608 ?auto_6613 ) ( LOCATION ?auto_6613 ) ( AT ?auto_6605 ?auto_6613 ) ( AIRPORT ?auto_6615 ) ( AT ?auto_6610 ?auto_6615 ) ( DIFFERENT ?auto_6613 ?auto_6615 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6610 ?auto_6615 ?auto_6613 )
      ( DELIVER-PKG ?auto_6605 ?auto_6606 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6635
      ?auto_6636
    )
    :vars
    (
      ?auto_6640
      ?auto_6637
      ?auto_6641
      ?auto_6642
      ?auto_6643
      ?auto_6645
    )
    :precondition
    ( and ( OBJ ?auto_6635 ) ( LOCATION ?auto_6636 ) ( TRUCK ?auto_6640 ) ( AT ?auto_6640 ?auto_6636 ) ( LOCATION ?auto_6637 ) ( AT ?auto_6640 ?auto_6637 ) ( AIRPLANE ?auto_6641 ) ( AIRPORT ?auto_6642 ) ( AIRPORT ?auto_6637 ) ( DIFFERENT ?auto_6637 ?auto_6642 ) ( LOCATION ?auto_6642 ) ( AT ?auto_6635 ?auto_6642 ) ( AIRPORT ?auto_6643 ) ( DIFFERENT ?auto_6642 ?auto_6643 ) ( AIRPORT ?auto_6645 ) ( AT ?auto_6641 ?auto_6645 ) ( DIFFERENT ?auto_6643 ?auto_6645 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6641 ?auto_6645 ?auto_6643 )
      ( DELIVER-PKG ?auto_6635 ?auto_6636 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6657
      ?auto_6658
    )
    :vars
    (
      ?auto_6663
      ?auto_6665
      ?auto_6660
      ?auto_6661
      ?auto_6662
      ?auto_6666
      ?auto_6669
    )
    :precondition
    ( and ( OBJ ?auto_6657 ) ( LOCATION ?auto_6658 ) ( TRUCK ?auto_6663 ) ( AT ?auto_6663 ?auto_6658 ) ( LOCATION ?auto_6665 ) ( AT ?auto_6663 ?auto_6665 ) ( AIRPLANE ?auto_6660 ) ( AIRPORT ?auto_6661 ) ( AIRPORT ?auto_6665 ) ( DIFFERENT ?auto_6665 ?auto_6661 ) ( LOCATION ?auto_6661 ) ( AIRPORT ?auto_6662 ) ( DIFFERENT ?auto_6661 ?auto_6662 ) ( AIRPORT ?auto_6666 ) ( AT ?auto_6660 ?auto_6666 ) ( DIFFERENT ?auto_6662 ?auto_6666 ) ( TRUCK ?auto_6669 ) ( AT ?auto_6669 ?auto_6661 ) ( IN ?auto_6657 ?auto_6669 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6657 ?auto_6661 )
      ( DELIVER-PKG ?auto_6657 ?auto_6658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6681
      ?auto_6682
    )
    :vars
    (
      ?auto_6687
      ?auto_6688
      ?auto_6690
      ?auto_6685
      ?auto_6686
      ?auto_6689
      ?auto_6691
      ?auto_6694
      ?auto_6693
    )
    :precondition
    ( and ( OBJ ?auto_6681 ) ( LOCATION ?auto_6682 ) ( TRUCK ?auto_6687 ) ( AT ?auto_6687 ?auto_6682 ) ( LOCATION ?auto_6688 ) ( AT ?auto_6687 ?auto_6688 ) ( AIRPLANE ?auto_6690 ) ( AIRPORT ?auto_6685 ) ( AIRPORT ?auto_6688 ) ( DIFFERENT ?auto_6688 ?auto_6685 ) ( LOCATION ?auto_6685 ) ( AIRPORT ?auto_6686 ) ( DIFFERENT ?auto_6685 ?auto_6686 ) ( AIRPORT ?auto_6689 ) ( AT ?auto_6690 ?auto_6689 ) ( DIFFERENT ?auto_6686 ?auto_6689 ) ( TRUCK ?auto_6691 ) ( IN ?auto_6681 ?auto_6691 ) ( LOCATION ?auto_6694 ) ( CITY ?auto_6693 ) ( AT ?auto_6691 ?auto_6694 ) ( IN-CITY ?auto_6694 ?auto_6693 ) ( IN-CITY ?auto_6685 ?auto_6693 ) ( DIFFERENT ?auto_6685 ?auto_6694 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6691 ?auto_6694 ?auto_6685 ?auto_6693 )
      ( DELIVER-PKG ?auto_6681 ?auto_6682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6709
      ?auto_6710
    )
    :vars
    (
      ?auto_6713
      ?auto_6714
      ?auto_6719
      ?auto_6716
      ?auto_6717
      ?auto_6718
      ?auto_6712
      ?auto_6721
      ?auto_6715
      ?auto_6723
    )
    :precondition
    ( and ( OBJ ?auto_6709 ) ( LOCATION ?auto_6710 ) ( TRUCK ?auto_6713 ) ( AT ?auto_6713 ?auto_6710 ) ( LOCATION ?auto_6714 ) ( AT ?auto_6713 ?auto_6714 ) ( AIRPLANE ?auto_6719 ) ( AIRPORT ?auto_6716 ) ( AIRPORT ?auto_6714 ) ( DIFFERENT ?auto_6714 ?auto_6716 ) ( LOCATION ?auto_6716 ) ( AIRPORT ?auto_6717 ) ( DIFFERENT ?auto_6716 ?auto_6717 ) ( AIRPORT ?auto_6718 ) ( AT ?auto_6719 ?auto_6718 ) ( DIFFERENT ?auto_6717 ?auto_6718 ) ( TRUCK ?auto_6712 ) ( LOCATION ?auto_6721 ) ( CITY ?auto_6715 ) ( AT ?auto_6712 ?auto_6721 ) ( IN-CITY ?auto_6721 ?auto_6715 ) ( IN-CITY ?auto_6716 ?auto_6715 ) ( DIFFERENT ?auto_6716 ?auto_6721 ) ( LOCATION ?auto_6723 ) ( AT ?auto_6712 ?auto_6723 ) ( AT ?auto_6709 ?auto_6723 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6709 ?auto_6712 ?auto_6723 )
      ( DELIVER-PKG ?auto_6709 ?auto_6710 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6725
      ?auto_6727
    )
    :vars
    (
      ?auto_6735
      ?auto_6732
      ?auto_6729
      ?auto_6730
      ?auto_6731
      ?auto_6733
      ?auto_6734
      ?auto_6728
      ?auto_6738
      ?auto_6741
      ?auto_6740
    )
    :precondition
    ( and ( OBJ ?auto_6725 ) ( LOCATION ?auto_6727 ) ( TRUCK ?auto_6735 ) ( AIRPLANE ?auto_6732 ) ( AIRPORT ?auto_6729 ) ( AIRPORT ?auto_6727 ) ( DIFFERENT ?auto_6727 ?auto_6729 ) ( LOCATION ?auto_6729 ) ( AIRPORT ?auto_6730 ) ( DIFFERENT ?auto_6729 ?auto_6730 ) ( AIRPORT ?auto_6731 ) ( AT ?auto_6732 ?auto_6731 ) ( DIFFERENT ?auto_6730 ?auto_6731 ) ( TRUCK ?auto_6733 ) ( LOCATION ?auto_6734 ) ( CITY ?auto_6728 ) ( AT ?auto_6733 ?auto_6734 ) ( IN-CITY ?auto_6734 ?auto_6728 ) ( IN-CITY ?auto_6729 ?auto_6728 ) ( DIFFERENT ?auto_6729 ?auto_6734 ) ( LOCATION ?auto_6738 ) ( AT ?auto_6733 ?auto_6738 ) ( AT ?auto_6725 ?auto_6738 ) ( LOCATION ?auto_6741 ) ( CITY ?auto_6740 ) ( AT ?auto_6735 ?auto_6741 ) ( IN-CITY ?auto_6741 ?auto_6740 ) ( IN-CITY ?auto_6727 ?auto_6740 ) ( DIFFERENT ?auto_6727 ?auto_6741 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6735 ?auto_6741 ?auto_6727 ?auto_6740 )
      ( DELIVER-PKG ?auto_6725 ?auto_6727 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6777
      ?auto_6778
    )
    :vars
    (
      ?auto_6779
      ?auto_6784
      ?auto_6781
      ?auto_6786
      ?auto_6783
      ?auto_6782
      ?auto_6785
      ?auto_6780
      ?auto_6788
      ?auto_6787
      ?auto_6792
      ?auto_6791
      ?auto_6795
      ?auto_6794
    )
    :precondition
    ( and ( OBJ ?auto_6777 ) ( LOCATION ?auto_6778 ) ( TRUCK ?auto_6779 ) ( AIRPLANE ?auto_6784 ) ( AIRPORT ?auto_6781 ) ( AIRPORT ?auto_6778 ) ( DIFFERENT ?auto_6778 ?auto_6781 ) ( LOCATION ?auto_6781 ) ( AIRPORT ?auto_6786 ) ( DIFFERENT ?auto_6781 ?auto_6786 ) ( AIRPORT ?auto_6783 ) ( AT ?auto_6784 ?auto_6783 ) ( DIFFERENT ?auto_6786 ?auto_6783 ) ( TRUCK ?auto_6782 ) ( LOCATION ?auto_6785 ) ( CITY ?auto_6780 ) ( IN-CITY ?auto_6785 ?auto_6780 ) ( IN-CITY ?auto_6781 ?auto_6780 ) ( DIFFERENT ?auto_6781 ?auto_6785 ) ( AT ?auto_6777 ?auto_6785 ) ( LOCATION ?auto_6788 ) ( CITY ?auto_6787 ) ( IN-CITY ?auto_6788 ?auto_6787 ) ( IN-CITY ?auto_6778 ?auto_6787 ) ( DIFFERENT ?auto_6778 ?auto_6788 ) ( LOCATION ?auto_6792 ) ( CITY ?auto_6791 ) ( AT ?auto_6782 ?auto_6792 ) ( IN-CITY ?auto_6792 ?auto_6791 ) ( IN-CITY ?auto_6785 ?auto_6791 ) ( DIFFERENT ?auto_6785 ?auto_6792 ) ( LOCATION ?auto_6795 ) ( CITY ?auto_6794 ) ( AT ?auto_6779 ?auto_6795 ) ( IN-CITY ?auto_6795 ?auto_6794 ) ( IN-CITY ?auto_6788 ?auto_6794 ) ( DIFFERENT ?auto_6788 ?auto_6795 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6779 ?auto_6795 ?auto_6788 ?auto_6794 )
      ( DELIVER-PKG ?auto_6777 ?auto_6778 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7216
      ?auto_7217
    )
    :vars
    (
      ?auto_7223
      ?auto_7224
      ?auto_7225
      ?auto_7226
      ?auto_7220
      ?auto_7219
      ?auto_7218
      ?auto_7227
      ?auto_7228
      ?auto_7230
    )
    :precondition
    ( and ( OBJ ?auto_7216 ) ( LOCATION ?auto_7217 ) ( TRUCK ?auto_7223 ) ( LOCATION ?auto_7224 ) ( CITY ?auto_7225 ) ( AT ?auto_7223 ?auto_7224 ) ( IN-CITY ?auto_7224 ?auto_7225 ) ( IN-CITY ?auto_7217 ?auto_7225 ) ( DIFFERENT ?auto_7217 ?auto_7224 ) ( LOCATION ?auto_7226 ) ( AT ?auto_7223 ?auto_7226 ) ( TRUCK ?auto_7220 ) ( AT ?auto_7220 ?auto_7226 ) ( LOCATION ?auto_7219 ) ( AT ?auto_7220 ?auto_7219 ) ( AIRPLANE ?auto_7218 ) ( AIRPORT ?auto_7227 ) ( AIRPORT ?auto_7219 ) ( DIFFERENT ?auto_7219 ?auto_7227 ) ( LOCATION ?auto_7227 ) ( AT ?auto_7216 ?auto_7227 ) ( AIRPORT ?auto_7228 ) ( DIFFERENT ?auto_7227 ?auto_7228 ) ( AIRPORT ?auto_7230 ) ( AT ?auto_7218 ?auto_7230 ) ( DIFFERENT ?auto_7228 ?auto_7230 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7218 ?auto_7230 ?auto_7228 )
      ( DELIVER-PKG ?auto_7216 ?auto_7217 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7246
      ?auto_7247
    )
    :vars
    (
      ?auto_7257
      ?auto_7258
      ?auto_7252
      ?auto_7253
      ?auto_7250
      ?auto_7248
      ?auto_7249
      ?auto_7254
      ?auto_7255
      ?auto_7259
      ?auto_7262
    )
    :precondition
    ( and ( OBJ ?auto_7246 ) ( LOCATION ?auto_7247 ) ( TRUCK ?auto_7257 ) ( LOCATION ?auto_7258 ) ( CITY ?auto_7252 ) ( AT ?auto_7257 ?auto_7258 ) ( IN-CITY ?auto_7258 ?auto_7252 ) ( IN-CITY ?auto_7247 ?auto_7252 ) ( DIFFERENT ?auto_7247 ?auto_7258 ) ( LOCATION ?auto_7253 ) ( AT ?auto_7257 ?auto_7253 ) ( TRUCK ?auto_7250 ) ( AT ?auto_7250 ?auto_7253 ) ( LOCATION ?auto_7248 ) ( AT ?auto_7250 ?auto_7248 ) ( AIRPLANE ?auto_7249 ) ( AIRPORT ?auto_7254 ) ( AIRPORT ?auto_7248 ) ( DIFFERENT ?auto_7248 ?auto_7254 ) ( LOCATION ?auto_7254 ) ( AIRPORT ?auto_7255 ) ( DIFFERENT ?auto_7254 ?auto_7255 ) ( AIRPORT ?auto_7259 ) ( AT ?auto_7249 ?auto_7259 ) ( DIFFERENT ?auto_7255 ?auto_7259 ) ( TRUCK ?auto_7262 ) ( AT ?auto_7262 ?auto_7254 ) ( IN ?auto_7246 ?auto_7262 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7246 ?auto_7254 )
      ( DELIVER-PKG ?auto_7246 ?auto_7247 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7314
      ?auto_7315
    )
    :vars
    (
      ?auto_7323
      ?auto_7317
      ?auto_7326
      ?auto_7320
      ?auto_7325
      ?auto_7328
      ?auto_7324
      ?auto_7321
      ?auto_7322
      ?auto_7318
      ?auto_7319
      ?auto_7330
      ?auto_7329
      ?auto_7332
    )
    :precondition
    ( and ( OBJ ?auto_7314 ) ( LOCATION ?auto_7315 ) ( TRUCK ?auto_7323 ) ( LOCATION ?auto_7317 ) ( CITY ?auto_7326 ) ( AT ?auto_7323 ?auto_7317 ) ( IN-CITY ?auto_7317 ?auto_7326 ) ( IN-CITY ?auto_7315 ?auto_7326 ) ( DIFFERENT ?auto_7315 ?auto_7317 ) ( LOCATION ?auto_7320 ) ( AT ?auto_7323 ?auto_7320 ) ( TRUCK ?auto_7325 ) ( AT ?auto_7325 ?auto_7320 ) ( LOCATION ?auto_7328 ) ( AT ?auto_7325 ?auto_7328 ) ( AIRPLANE ?auto_7324 ) ( AIRPORT ?auto_7321 ) ( AIRPORT ?auto_7328 ) ( DIFFERENT ?auto_7328 ?auto_7321 ) ( LOCATION ?auto_7321 ) ( AIRPORT ?auto_7322 ) ( DIFFERENT ?auto_7321 ?auto_7322 ) ( AIRPORT ?auto_7318 ) ( AT ?auto_7324 ?auto_7318 ) ( DIFFERENT ?auto_7322 ?auto_7318 ) ( TRUCK ?auto_7319 ) ( LOCATION ?auto_7330 ) ( CITY ?auto_7329 ) ( AT ?auto_7319 ?auto_7330 ) ( IN-CITY ?auto_7330 ?auto_7329 ) ( IN-CITY ?auto_7321 ?auto_7329 ) ( DIFFERENT ?auto_7321 ?auto_7330 ) ( LOCATION ?auto_7332 ) ( AT ?auto_7319 ?auto_7332 ) ( AT ?auto_7314 ?auto_7332 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7314 ?auto_7319 ?auto_7332 )
      ( DELIVER-PKG ?auto_7314 ?auto_7315 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7334
      ?auto_7335
    )
    :vars
    (
      ?auto_7337
      ?auto_7345
      ?auto_7338
      ?auto_7349
      ?auto_7341
      ?auto_7342
      ?auto_7336
      ?auto_7339
      ?auto_7347
      ?auto_7346
      ?auto_7340
      ?auto_7354
      ?auto_7353
    )
    :precondition
    ( and ( OBJ ?auto_7334 ) ( LOCATION ?auto_7335 ) ( TRUCK ?auto_7337 ) ( LOCATION ?auto_7345 ) ( CITY ?auto_7338 ) ( IN-CITY ?auto_7345 ?auto_7338 ) ( IN-CITY ?auto_7335 ?auto_7338 ) ( DIFFERENT ?auto_7335 ?auto_7345 ) ( AIRPLANE ?auto_7349 ) ( AIRPORT ?auto_7341 ) ( AIRPORT ?auto_7345 ) ( DIFFERENT ?auto_7345 ?auto_7341 ) ( LOCATION ?auto_7341 ) ( AIRPORT ?auto_7342 ) ( DIFFERENT ?auto_7341 ?auto_7342 ) ( AIRPORT ?auto_7336 ) ( AT ?auto_7349 ?auto_7336 ) ( DIFFERENT ?auto_7342 ?auto_7336 ) ( TRUCK ?auto_7339 ) ( LOCATION ?auto_7347 ) ( CITY ?auto_7346 ) ( AT ?auto_7339 ?auto_7347 ) ( IN-CITY ?auto_7347 ?auto_7346 ) ( IN-CITY ?auto_7341 ?auto_7346 ) ( DIFFERENT ?auto_7341 ?auto_7347 ) ( LOCATION ?auto_7340 ) ( AT ?auto_7339 ?auto_7340 ) ( AT ?auto_7334 ?auto_7340 ) ( LOCATION ?auto_7354 ) ( CITY ?auto_7353 ) ( AT ?auto_7337 ?auto_7354 ) ( IN-CITY ?auto_7354 ?auto_7353 ) ( IN-CITY ?auto_7345 ?auto_7353 ) ( DIFFERENT ?auto_7345 ?auto_7354 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7337 ?auto_7354 ?auto_7345 ?auto_7353 )
      ( DELIVER-PKG ?auto_7334 ?auto_7335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7373
      ?auto_7374
    )
    :vars
    (
      ?auto_7384
      ?auto_7385
      ?auto_7386
      ?auto_7380
      ?auto_7377
      ?auto_7389
      ?auto_7378
      ?auto_7388
      ?auto_7387
      ?auto_7383
      ?auto_7382
      ?auto_7379
      ?auto_7392
      ?auto_7391
    )
    :precondition
    ( and ( OBJ ?auto_7373 ) ( LOCATION ?auto_7374 ) ( TRUCK ?auto_7384 ) ( LOCATION ?auto_7385 ) ( CITY ?auto_7386 ) ( IN-CITY ?auto_7385 ?auto_7386 ) ( IN-CITY ?auto_7374 ?auto_7386 ) ( DIFFERENT ?auto_7374 ?auto_7385 ) ( AIRPLANE ?auto_7380 ) ( AIRPORT ?auto_7377 ) ( AIRPORT ?auto_7385 ) ( DIFFERENT ?auto_7385 ?auto_7377 ) ( LOCATION ?auto_7377 ) ( AIRPORT ?auto_7389 ) ( DIFFERENT ?auto_7377 ?auto_7389 ) ( AIRPORT ?auto_7378 ) ( AT ?auto_7380 ?auto_7378 ) ( DIFFERENT ?auto_7389 ?auto_7378 ) ( TRUCK ?auto_7388 ) ( LOCATION ?auto_7387 ) ( CITY ?auto_7383 ) ( IN-CITY ?auto_7387 ?auto_7383 ) ( IN-CITY ?auto_7377 ?auto_7383 ) ( DIFFERENT ?auto_7377 ?auto_7387 ) ( AT ?auto_7373 ?auto_7387 ) ( LOCATION ?auto_7382 ) ( CITY ?auto_7379 ) ( AT ?auto_7384 ?auto_7382 ) ( IN-CITY ?auto_7382 ?auto_7379 ) ( IN-CITY ?auto_7385 ?auto_7379 ) ( DIFFERENT ?auto_7385 ?auto_7382 ) ( LOCATION ?auto_7392 ) ( CITY ?auto_7391 ) ( AT ?auto_7388 ?auto_7392 ) ( IN-CITY ?auto_7392 ?auto_7391 ) ( IN-CITY ?auto_7387 ?auto_7391 ) ( DIFFERENT ?auto_7387 ?auto_7392 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7388 ?auto_7392 ?auto_7387 ?auto_7391 )
      ( DELIVER-PKG ?auto_7373 ?auto_7374 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7394
      ?auto_7395
    )
    :vars
    (
      ?auto_7403
      ?auto_7404
      ?auto_7405
      ?auto_7406
      ?auto_7396
      ?auto_7399
      ?auto_7409
      ?auto_7398
      ?auto_7397
      ?auto_7402
      ?auto_7401
      ?auto_7407
      ?auto_7411
      ?auto_7408
      ?auto_7414
      ?auto_7413
    )
    :precondition
    ( and ( OBJ ?auto_7394 ) ( LOCATION ?auto_7395 ) ( TRUCK ?auto_7403 ) ( LOCATION ?auto_7404 ) ( CITY ?auto_7405 ) ( IN-CITY ?auto_7404 ?auto_7405 ) ( IN-CITY ?auto_7395 ?auto_7405 ) ( DIFFERENT ?auto_7395 ?auto_7404 ) ( AIRPLANE ?auto_7406 ) ( AIRPORT ?auto_7396 ) ( AIRPORT ?auto_7404 ) ( DIFFERENT ?auto_7404 ?auto_7396 ) ( LOCATION ?auto_7396 ) ( AIRPORT ?auto_7399 ) ( DIFFERENT ?auto_7396 ?auto_7399 ) ( AIRPORT ?auto_7409 ) ( AT ?auto_7406 ?auto_7409 ) ( DIFFERENT ?auto_7399 ?auto_7409 ) ( TRUCK ?auto_7398 ) ( LOCATION ?auto_7397 ) ( CITY ?auto_7402 ) ( IN-CITY ?auto_7397 ?auto_7402 ) ( IN-CITY ?auto_7396 ?auto_7402 ) ( DIFFERENT ?auto_7396 ?auto_7397 ) ( AT ?auto_7394 ?auto_7397 ) ( LOCATION ?auto_7401 ) ( CITY ?auto_7407 ) ( IN-CITY ?auto_7401 ?auto_7407 ) ( IN-CITY ?auto_7404 ?auto_7407 ) ( DIFFERENT ?auto_7404 ?auto_7401 ) ( LOCATION ?auto_7411 ) ( CITY ?auto_7408 ) ( AT ?auto_7398 ?auto_7411 ) ( IN-CITY ?auto_7411 ?auto_7408 ) ( IN-CITY ?auto_7397 ?auto_7408 ) ( DIFFERENT ?auto_7397 ?auto_7411 ) ( LOCATION ?auto_7414 ) ( CITY ?auto_7413 ) ( AT ?auto_7403 ?auto_7414 ) ( IN-CITY ?auto_7414 ?auto_7413 ) ( IN-CITY ?auto_7401 ?auto_7413 ) ( DIFFERENT ?auto_7401 ?auto_7414 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7403 ?auto_7414 ?auto_7401 ?auto_7413 )
      ( DELIVER-PKG ?auto_7394 ?auto_7395 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7416
      ?auto_7417
    )
    :vars
    (
      ?auto_7426
      ?auto_7427
      ?auto_7428
      ?auto_7429
      ?auto_7420
      ?auto_7419
      ?auto_7432
      ?auto_7423
      ?auto_7422
      ?auto_7425
      ?auto_7424
      ?auto_7430
      ?auto_7433
      ?auto_7431
      ?auto_7435
      ?auto_7434
      ?auto_7437
    )
    :precondition
    ( and ( OBJ ?auto_7416 ) ( LOCATION ?auto_7417 ) ( TRUCK ?auto_7426 ) ( LOCATION ?auto_7427 ) ( CITY ?auto_7428 ) ( IN-CITY ?auto_7427 ?auto_7428 ) ( IN-CITY ?auto_7417 ?auto_7428 ) ( DIFFERENT ?auto_7417 ?auto_7427 ) ( AIRPLANE ?auto_7429 ) ( AIRPORT ?auto_7420 ) ( AIRPORT ?auto_7427 ) ( DIFFERENT ?auto_7427 ?auto_7420 ) ( LOCATION ?auto_7420 ) ( AIRPORT ?auto_7419 ) ( DIFFERENT ?auto_7420 ?auto_7419 ) ( AIRPORT ?auto_7432 ) ( DIFFERENT ?auto_7419 ?auto_7432 ) ( TRUCK ?auto_7423 ) ( LOCATION ?auto_7422 ) ( CITY ?auto_7425 ) ( IN-CITY ?auto_7422 ?auto_7425 ) ( IN-CITY ?auto_7420 ?auto_7425 ) ( DIFFERENT ?auto_7420 ?auto_7422 ) ( AT ?auto_7416 ?auto_7422 ) ( LOCATION ?auto_7424 ) ( CITY ?auto_7430 ) ( IN-CITY ?auto_7424 ?auto_7430 ) ( IN-CITY ?auto_7427 ?auto_7430 ) ( DIFFERENT ?auto_7427 ?auto_7424 ) ( LOCATION ?auto_7433 ) ( CITY ?auto_7431 ) ( AT ?auto_7423 ?auto_7433 ) ( IN-CITY ?auto_7433 ?auto_7431 ) ( IN-CITY ?auto_7422 ?auto_7431 ) ( DIFFERENT ?auto_7422 ?auto_7433 ) ( LOCATION ?auto_7435 ) ( CITY ?auto_7434 ) ( AT ?auto_7426 ?auto_7435 ) ( IN-CITY ?auto_7435 ?auto_7434 ) ( IN-CITY ?auto_7424 ?auto_7434 ) ( DIFFERENT ?auto_7424 ?auto_7435 ) ( AIRPORT ?auto_7437 ) ( AT ?auto_7429 ?auto_7437 ) ( DIFFERENT ?auto_7432 ?auto_7437 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7429 ?auto_7437 ?auto_7432 )
      ( DELIVER-PKG ?auto_7416 ?auto_7417 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7475
      ?auto_7476
    )
    :vars
    (
      ?auto_7479
      ?auto_7478
      ?auto_7482
    )
    :precondition
    ( and ( OBJ ?auto_7475 ) ( LOCATION ?auto_7476 ) ( TRUCK ?auto_7479 ) ( AT ?auto_7479 ?auto_7476 ) ( LOCATION ?auto_7478 ) ( AT ?auto_7479 ?auto_7478 ) ( TRUCK ?auto_7482 ) ( AT ?auto_7482 ?auto_7478 ) ( IN ?auto_7475 ?auto_7482 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7475 ?auto_7478 )
      ( DELIVER-PKG ?auto_7475 ?auto_7476 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7963
      ?auto_7964
    )
    :vars
    (
      ?auto_7966
      ?auto_7969
      ?auto_7967
      ?auto_7968
      ?auto_7972
    )
    :precondition
    ( and ( OBJ ?auto_7963 ) ( LOCATION ?auto_7964 ) ( AIRPLANE ?auto_7966 ) ( AIRPORT ?auto_7969 ) ( AIRPORT ?auto_7964 ) ( AT ?auto_7966 ?auto_7969 ) ( DIFFERENT ?auto_7964 ?auto_7969 ) ( LOCATION ?auto_7967 ) ( AT ?auto_7966 ?auto_7967 ) ( TRUCK ?auto_7968 ) ( AT ?auto_7968 ?auto_7967 ) ( LOCATION ?auto_7972 ) ( AT ?auto_7968 ?auto_7972 ) ( AT ?auto_7963 ?auto_7972 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7963 ?auto_7968 ?auto_7972 )
      ( DELIVER-PKG ?auto_7963 ?auto_7964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9040
      ?auto_9041
    )
    :vars
    (
      ?auto_9043
      ?auto_9044
      ?auto_9047
    )
    :precondition
    ( and ( OBJ ?auto_9040 ) ( LOCATION ?auto_9041 ) ( AIRPLANE ?auto_9043 ) ( IN ?auto_9040 ?auto_9043 ) ( AIRPORT ?auto_9044 ) ( AIRPORT ?auto_9041 ) ( DIFFERENT ?auto_9041 ?auto_9044 ) ( AIRPORT ?auto_9047 ) ( AT ?auto_9043 ?auto_9047 ) ( DIFFERENT ?auto_9044 ?auto_9047 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9043 ?auto_9047 ?auto_9044 )
      ( DELIVER-PKG ?auto_9040 ?auto_9041 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9056
      ?auto_9057
    )
    :vars
    (
      ?auto_9060
      ?auto_9061
      ?auto_9062
      ?auto_9064
    )
    :precondition
    ( and ( OBJ ?auto_9056 ) ( LOCATION ?auto_9057 ) ( AIRPLANE ?auto_9060 ) ( IN ?auto_9056 ?auto_9060 ) ( AIRPORT ?auto_9061 ) ( AIRPORT ?auto_9057 ) ( DIFFERENT ?auto_9057 ?auto_9061 ) ( AIRPORT ?auto_9062 ) ( DIFFERENT ?auto_9061 ?auto_9062 ) ( AIRPORT ?auto_9064 ) ( AT ?auto_9060 ?auto_9064 ) ( DIFFERENT ?auto_9062 ?auto_9064 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9060 ?auto_9064 ?auto_9062 )
      ( DELIVER-PKG ?auto_9056 ?auto_9057 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9066
      ?auto_9067
    )
    :vars
    (
      ?auto_9072
      ?auto_9071
      ?auto_9068
      ?auto_9070
      ?auto_9075
    )
    :precondition
    ( and ( OBJ ?auto_9066 ) ( LOCATION ?auto_9067 ) ( AIRPLANE ?auto_9072 ) ( AIRPORT ?auto_9071 ) ( AIRPORT ?auto_9067 ) ( DIFFERENT ?auto_9067 ?auto_9071 ) ( AIRPORT ?auto_9068 ) ( DIFFERENT ?auto_9071 ?auto_9068 ) ( AIRPORT ?auto_9070 ) ( AT ?auto_9072 ?auto_9070 ) ( DIFFERENT ?auto_9068 ?auto_9070 ) ( LOCATION ?auto_9075 ) ( AT ?auto_9066 ?auto_9075 ) ( AT ?auto_9072 ?auto_9075 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9066 ?auto_9072 ?auto_9075 )
      ( DELIVER-PKG ?auto_9066 ?auto_9067 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9077
      ?auto_9078
    )
    :vars
    (
      ?auto_9081
      ?auto_9083
      ?auto_9085
      ?auto_9082
      ?auto_9079
      ?auto_9088
    )
    :precondition
    ( and ( OBJ ?auto_9077 ) ( LOCATION ?auto_9078 ) ( AIRPLANE ?auto_9081 ) ( AIRPORT ?auto_9083 ) ( AIRPORT ?auto_9078 ) ( DIFFERENT ?auto_9078 ?auto_9083 ) ( AIRPORT ?auto_9085 ) ( DIFFERENT ?auto_9083 ?auto_9085 ) ( AIRPORT ?auto_9082 ) ( AT ?auto_9081 ?auto_9082 ) ( DIFFERENT ?auto_9085 ?auto_9082 ) ( LOCATION ?auto_9079 ) ( AT ?auto_9081 ?auto_9079 ) ( AIRPLANE ?auto_9088 ) ( IN ?auto_9077 ?auto_9088 ) ( AT ?auto_9088 ?auto_9079 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9077 ?auto_9079 )
      ( DELIVER-PKG ?auto_9077 ?auto_9078 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37447
      ?auto_37448
    )
    :vars
    (
      ?auto_37452
      ?auto_37454
      ?auto_37449
      ?auto_37451
      ?auto_37456
    )
    :precondition
    ( and ( OBJ ?auto_37447 ) ( LOCATION ?auto_37448 ) ( AIRPLANE ?auto_37452 ) ( IN ?auto_37447 ?auto_37452 ) ( AIRPORT ?auto_37454 ) ( AIRPORT ?auto_37448 ) ( DIFFERENT ?auto_37448 ?auto_37454 ) ( AIRPORT ?auto_37449 ) ( DIFFERENT ?auto_37454 ?auto_37449 ) ( AIRPORT ?auto_37451 ) ( DIFFERENT ?auto_37449 ?auto_37451 ) ( AIRPORT ?auto_37456 ) ( AT ?auto_37452 ?auto_37456 ) ( DIFFERENT ?auto_37451 ?auto_37456 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_37452 ?auto_37456 ?auto_37451 )
      ( DELIVER-PKG ?auto_37447 ?auto_37448 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37467
      ?auto_37468
    )
    :vars
    (
      ?auto_37471
      ?auto_37472
      ?auto_37475
      ?auto_37469
      ?auto_37474
      ?auto_37477
    )
    :precondition
    ( and ( OBJ ?auto_37467 ) ( LOCATION ?auto_37468 ) ( AIRPLANE ?auto_37471 ) ( AIRPORT ?auto_37472 ) ( AIRPORT ?auto_37468 ) ( DIFFERENT ?auto_37468 ?auto_37472 ) ( AIRPORT ?auto_37475 ) ( DIFFERENT ?auto_37472 ?auto_37475 ) ( AIRPORT ?auto_37469 ) ( DIFFERENT ?auto_37475 ?auto_37469 ) ( AIRPORT ?auto_37474 ) ( AT ?auto_37471 ?auto_37474 ) ( DIFFERENT ?auto_37469 ?auto_37474 ) ( LOCATION ?auto_37477 ) ( AT ?auto_37467 ?auto_37477 ) ( AT ?auto_37471 ?auto_37477 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_37467 ?auto_37471 ?auto_37477 )
      ( DELIVER-PKG ?auto_37467 ?auto_37468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9153
      ?auto_9154
    )
    :vars
    (
      ?auto_9162
      ?auto_9157
      ?auto_9164
      ?auto_9159
      ?auto_9160
      ?auto_9156
      ?auto_9163
      ?auto_9158
      ?auto_9166
    )
    :precondition
    ( and ( OBJ ?auto_9153 ) ( LOCATION ?auto_9154 ) ( AIRPLANE ?auto_9162 ) ( AIRPORT ?auto_9157 ) ( AIRPORT ?auto_9154 ) ( DIFFERENT ?auto_9154 ?auto_9157 ) ( AIRPORT ?auto_9164 ) ( DIFFERENT ?auto_9157 ?auto_9164 ) ( AIRPORT ?auto_9159 ) ( DIFFERENT ?auto_9164 ?auto_9159 ) ( LOCATION ?auto_9159 ) ( AIRPORT ?auto_9160 ) ( AT ?auto_9162 ?auto_9160 ) ( DIFFERENT ?auto_9159 ?auto_9160 ) ( LOCATION ?auto_9156 ) ( AT ?auto_9162 ?auto_9156 ) ( TRUCK ?auto_9163 ) ( AT ?auto_9163 ?auto_9156 ) ( LOCATION ?auto_9158 ) ( AT ?auto_9163 ?auto_9158 ) ( TRUCK ?auto_9166 ) ( AT ?auto_9166 ?auto_9158 ) ( IN ?auto_9153 ?auto_9166 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9153 ?auto_9158 )
      ( DELIVER-PKG ?auto_9153 ?auto_9154 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9127
      ?auto_9128
    )
    :vars
    (
      ?auto_9132
      ?auto_9133
      ?auto_9130
      ?auto_9136
      ?auto_9129
      ?auto_9137
      ?auto_9135
      ?auto_9139
    )
    :precondition
    ( and ( OBJ ?auto_9127 ) ( LOCATION ?auto_9128 ) ( AIRPLANE ?auto_9132 ) ( AIRPORT ?auto_9133 ) ( AIRPORT ?auto_9128 ) ( DIFFERENT ?auto_9128 ?auto_9133 ) ( AIRPORT ?auto_9130 ) ( DIFFERENT ?auto_9133 ?auto_9130 ) ( AIRPORT ?auto_9136 ) ( DIFFERENT ?auto_9130 ?auto_9136 ) ( LOCATION ?auto_9136 ) ( AIRPORT ?auto_9129 ) ( AT ?auto_9132 ?auto_9129 ) ( DIFFERENT ?auto_9136 ?auto_9129 ) ( LOCATION ?auto_9137 ) ( AT ?auto_9132 ?auto_9137 ) ( TRUCK ?auto_9135 ) ( AT ?auto_9135 ?auto_9137 ) ( LOCATION ?auto_9139 ) ( AT ?auto_9135 ?auto_9139 ) ( AT ?auto_9127 ?auto_9139 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9127 ?auto_9135 ?auto_9139 )
      ( DELIVER-PKG ?auto_9127 ?auto_9128 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9181
      ?auto_9182
    )
    :vars
    (
      ?auto_9183
      ?auto_9190
      ?auto_9191
      ?auto_9187
      ?auto_9188
      ?auto_9186
      ?auto_9192
      ?auto_9196
      ?auto_9195
    )
    :precondition
    ( and ( OBJ ?auto_9181 ) ( LOCATION ?auto_9182 ) ( AIRPLANE ?auto_9183 ) ( AIRPORT ?auto_9190 ) ( AIRPORT ?auto_9182 ) ( DIFFERENT ?auto_9182 ?auto_9190 ) ( AIRPORT ?auto_9191 ) ( DIFFERENT ?auto_9190 ?auto_9191 ) ( AIRPORT ?auto_9187 ) ( DIFFERENT ?auto_9191 ?auto_9187 ) ( LOCATION ?auto_9187 ) ( AIRPORT ?auto_9188 ) ( AT ?auto_9183 ?auto_9188 ) ( DIFFERENT ?auto_9187 ?auto_9188 ) ( LOCATION ?auto_9186 ) ( AT ?auto_9183 ?auto_9186 ) ( TRUCK ?auto_9192 ) ( IN ?auto_9181 ?auto_9192 ) ( LOCATION ?auto_9196 ) ( CITY ?auto_9195 ) ( AT ?auto_9192 ?auto_9196 ) ( IN-CITY ?auto_9196 ?auto_9195 ) ( IN-CITY ?auto_9186 ?auto_9195 ) ( DIFFERENT ?auto_9186 ?auto_9196 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9192 ?auto_9196 ?auto_9186 ?auto_9195 )
      ( DELIVER-PKG ?auto_9181 ?auto_9182 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9211
      ?auto_9212
    )
    :vars
    (
      ?auto_9221
      ?auto_9213
      ?auto_9214
      ?auto_9220
      ?auto_9219
      ?auto_9218
      ?auto_9216
      ?auto_9215
      ?auto_9222
      ?auto_9225
    )
    :precondition
    ( and ( OBJ ?auto_9211 ) ( LOCATION ?auto_9212 ) ( AIRPLANE ?auto_9221 ) ( AIRPORT ?auto_9213 ) ( AIRPORT ?auto_9212 ) ( DIFFERENT ?auto_9212 ?auto_9213 ) ( AIRPORT ?auto_9214 ) ( DIFFERENT ?auto_9213 ?auto_9214 ) ( AIRPORT ?auto_9220 ) ( DIFFERENT ?auto_9214 ?auto_9220 ) ( LOCATION ?auto_9220 ) ( AIRPORT ?auto_9219 ) ( AT ?auto_9221 ?auto_9219 ) ( DIFFERENT ?auto_9220 ?auto_9219 ) ( LOCATION ?auto_9218 ) ( AT ?auto_9221 ?auto_9218 ) ( TRUCK ?auto_9216 ) ( LOCATION ?auto_9215 ) ( CITY ?auto_9222 ) ( AT ?auto_9216 ?auto_9215 ) ( IN-CITY ?auto_9215 ?auto_9222 ) ( IN-CITY ?auto_9218 ?auto_9222 ) ( DIFFERENT ?auto_9218 ?auto_9215 ) ( LOCATION ?auto_9225 ) ( AT ?auto_9216 ?auto_9225 ) ( AT ?auto_9211 ?auto_9225 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9211 ?auto_9216 ?auto_9225 )
      ( DELIVER-PKG ?auto_9211 ?auto_9212 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9241
      ?auto_9242
    )
    :vars
    (
      ?auto_9245
      ?auto_9253
      ?auto_9244
      ?auto_9250
      ?auto_9247
      ?auto_9251
      ?auto_9243
      ?auto_9246
      ?auto_9252
      ?auto_9256
    )
    :precondition
    ( and ( OBJ ?auto_9241 ) ( LOCATION ?auto_9242 ) ( AIRPLANE ?auto_9245 ) ( AIRPORT ?auto_9253 ) ( AIRPORT ?auto_9242 ) ( DIFFERENT ?auto_9242 ?auto_9253 ) ( AIRPORT ?auto_9244 ) ( DIFFERENT ?auto_9253 ?auto_9244 ) ( AIRPORT ?auto_9250 ) ( DIFFERENT ?auto_9244 ?auto_9250 ) ( LOCATION ?auto_9250 ) ( AIRPORT ?auto_9247 ) ( DIFFERENT ?auto_9250 ?auto_9247 ) ( LOCATION ?auto_9247 ) ( TRUCK ?auto_9251 ) ( LOCATION ?auto_9243 ) ( CITY ?auto_9246 ) ( AT ?auto_9251 ?auto_9243 ) ( IN-CITY ?auto_9243 ?auto_9246 ) ( IN-CITY ?auto_9247 ?auto_9246 ) ( DIFFERENT ?auto_9247 ?auto_9243 ) ( LOCATION ?auto_9252 ) ( AT ?auto_9251 ?auto_9252 ) ( AT ?auto_9241 ?auto_9252 ) ( AIRPORT ?auto_9256 ) ( AT ?auto_9245 ?auto_9256 ) ( DIFFERENT ?auto_9247 ?auto_9256 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9245 ?auto_9256 ?auto_9247 )
      ( DELIVER-PKG ?auto_9241 ?auto_9242 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9258
      ?auto_9259
    )
    :vars
    (
      ?auto_9264
      ?auto_9262
      ?auto_9265
      ?auto_9267
      ?auto_9266
      ?auto_9260
      ?auto_9261
      ?auto_9268
      ?auto_9271
      ?auto_9274
      ?auto_9273
    )
    :precondition
    ( and ( OBJ ?auto_9258 ) ( LOCATION ?auto_9259 ) ( AIRPLANE ?auto_9264 ) ( AIRPORT ?auto_9262 ) ( AIRPORT ?auto_9259 ) ( DIFFERENT ?auto_9259 ?auto_9262 ) ( AIRPORT ?auto_9265 ) ( DIFFERENT ?auto_9262 ?auto_9265 ) ( AIRPORT ?auto_9267 ) ( DIFFERENT ?auto_9265 ?auto_9267 ) ( LOCATION ?auto_9267 ) ( AIRPORT ?auto_9266 ) ( DIFFERENT ?auto_9267 ?auto_9266 ) ( LOCATION ?auto_9266 ) ( TRUCK ?auto_9260 ) ( LOCATION ?auto_9261 ) ( CITY ?auto_9268 ) ( IN-CITY ?auto_9261 ?auto_9268 ) ( IN-CITY ?auto_9266 ?auto_9268 ) ( DIFFERENT ?auto_9266 ?auto_9261 ) ( AT ?auto_9258 ?auto_9261 ) ( AIRPORT ?auto_9271 ) ( AT ?auto_9264 ?auto_9271 ) ( DIFFERENT ?auto_9266 ?auto_9271 ) ( LOCATION ?auto_9274 ) ( CITY ?auto_9273 ) ( AT ?auto_9260 ?auto_9274 ) ( IN-CITY ?auto_9274 ?auto_9273 ) ( IN-CITY ?auto_9261 ?auto_9273 ) ( DIFFERENT ?auto_9261 ?auto_9274 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9260 ?auto_9274 ?auto_9261 ?auto_9273 )
      ( DELIVER-PKG ?auto_9258 ?auto_9259 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10399
      ?auto_10400
    )
    :vars
    (
      ?auto_10407
      ?auto_10403
      ?auto_10402
      ?auto_10405
      ?auto_10404
      ?auto_10410
      ?auto_10409
    )
    :precondition
    ( and ( OBJ ?auto_10399 ) ( LOCATION ?auto_10400 ) ( TRUCK ?auto_10407 ) ( IN ?auto_10399 ?auto_10407 ) ( LOCATION ?auto_10403 ) ( CITY ?auto_10402 ) ( IN-CITY ?auto_10403 ?auto_10402 ) ( IN-CITY ?auto_10400 ?auto_10402 ) ( DIFFERENT ?auto_10400 ?auto_10403 ) ( LOCATION ?auto_10405 ) ( CITY ?auto_10404 ) ( IN-CITY ?auto_10405 ?auto_10404 ) ( IN-CITY ?auto_10403 ?auto_10404 ) ( DIFFERENT ?auto_10403 ?auto_10405 ) ( LOCATION ?auto_10410 ) ( CITY ?auto_10409 ) ( AT ?auto_10407 ?auto_10410 ) ( IN-CITY ?auto_10410 ?auto_10409 ) ( IN-CITY ?auto_10405 ?auto_10409 ) ( DIFFERENT ?auto_10405 ?auto_10410 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10407 ?auto_10410 ?auto_10405 ?auto_10409 )
      ( DELIVER-PKG ?auto_10399 ?auto_10400 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10423
      ?auto_10424
    )
    :vars
    (
      ?auto_10431
      ?auto_10428
      ?auto_10427
      ?auto_10430
      ?auto_10429
      ?auto_10433
      ?auto_10432
      ?auto_10436
      ?auto_10435
    )
    :precondition
    ( and ( OBJ ?auto_10423 ) ( LOCATION ?auto_10424 ) ( TRUCK ?auto_10431 ) ( IN ?auto_10423 ?auto_10431 ) ( LOCATION ?auto_10428 ) ( CITY ?auto_10427 ) ( IN-CITY ?auto_10428 ?auto_10427 ) ( IN-CITY ?auto_10424 ?auto_10427 ) ( DIFFERENT ?auto_10424 ?auto_10428 ) ( LOCATION ?auto_10430 ) ( CITY ?auto_10429 ) ( IN-CITY ?auto_10430 ?auto_10429 ) ( IN-CITY ?auto_10428 ?auto_10429 ) ( DIFFERENT ?auto_10428 ?auto_10430 ) ( LOCATION ?auto_10433 ) ( CITY ?auto_10432 ) ( IN-CITY ?auto_10433 ?auto_10432 ) ( IN-CITY ?auto_10430 ?auto_10432 ) ( DIFFERENT ?auto_10430 ?auto_10433 ) ( LOCATION ?auto_10436 ) ( CITY ?auto_10435 ) ( AT ?auto_10431 ?auto_10436 ) ( IN-CITY ?auto_10436 ?auto_10435 ) ( IN-CITY ?auto_10433 ?auto_10435 ) ( DIFFERENT ?auto_10433 ?auto_10436 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10431 ?auto_10436 ?auto_10433 ?auto_10435 )
      ( DELIVER-PKG ?auto_10423 ?auto_10424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10451
      ?auto_10452
    )
    :vars
    (
      ?auto_10456
      ?auto_10460
      ?auto_10459
      ?auto_10455
      ?auto_10454
      ?auto_10458
      ?auto_10457
      ?auto_10463
      ?auto_10462
      ?auto_10465
    )
    :precondition
    ( and ( OBJ ?auto_10451 ) ( LOCATION ?auto_10452 ) ( TRUCK ?auto_10456 ) ( LOCATION ?auto_10460 ) ( CITY ?auto_10459 ) ( IN-CITY ?auto_10460 ?auto_10459 ) ( IN-CITY ?auto_10452 ?auto_10459 ) ( DIFFERENT ?auto_10452 ?auto_10460 ) ( LOCATION ?auto_10455 ) ( CITY ?auto_10454 ) ( IN-CITY ?auto_10455 ?auto_10454 ) ( IN-CITY ?auto_10460 ?auto_10454 ) ( DIFFERENT ?auto_10460 ?auto_10455 ) ( LOCATION ?auto_10458 ) ( CITY ?auto_10457 ) ( IN-CITY ?auto_10458 ?auto_10457 ) ( IN-CITY ?auto_10455 ?auto_10457 ) ( DIFFERENT ?auto_10455 ?auto_10458 ) ( LOCATION ?auto_10463 ) ( CITY ?auto_10462 ) ( AT ?auto_10456 ?auto_10463 ) ( IN-CITY ?auto_10463 ?auto_10462 ) ( IN-CITY ?auto_10458 ?auto_10462 ) ( DIFFERENT ?auto_10458 ?auto_10463 ) ( LOCATION ?auto_10465 ) ( AT ?auto_10456 ?auto_10465 ) ( AT ?auto_10451 ?auto_10465 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10451 ?auto_10456 ?auto_10465 )
      ( DELIVER-PKG ?auto_10451 ?auto_10452 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10467
      ?auto_10468
    )
    :vars
    (
      ?auto_10478
      ?auto_10469
      ?auto_10475
      ?auto_10472
      ?auto_10471
      ?auto_10474
      ?auto_10473
      ?auto_10477
      ?auto_10470
      ?auto_10480
      ?auto_10481
    )
    :precondition
    ( and ( OBJ ?auto_10467 ) ( LOCATION ?auto_10468 ) ( TRUCK ?auto_10478 ) ( LOCATION ?auto_10469 ) ( CITY ?auto_10475 ) ( IN-CITY ?auto_10469 ?auto_10475 ) ( IN-CITY ?auto_10468 ?auto_10475 ) ( DIFFERENT ?auto_10468 ?auto_10469 ) ( LOCATION ?auto_10472 ) ( CITY ?auto_10471 ) ( IN-CITY ?auto_10472 ?auto_10471 ) ( IN-CITY ?auto_10469 ?auto_10471 ) ( DIFFERENT ?auto_10469 ?auto_10472 ) ( LOCATION ?auto_10474 ) ( CITY ?auto_10473 ) ( IN-CITY ?auto_10474 ?auto_10473 ) ( IN-CITY ?auto_10472 ?auto_10473 ) ( DIFFERENT ?auto_10472 ?auto_10474 ) ( LOCATION ?auto_10477 ) ( CITY ?auto_10470 ) ( AT ?auto_10478 ?auto_10477 ) ( IN-CITY ?auto_10477 ?auto_10470 ) ( IN-CITY ?auto_10474 ?auto_10470 ) ( DIFFERENT ?auto_10474 ?auto_10477 ) ( LOCATION ?auto_10480 ) ( AT ?auto_10478 ?auto_10480 ) ( AIRPLANE ?auto_10481 ) ( IN ?auto_10467 ?auto_10481 ) ( AT ?auto_10481 ?auto_10480 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10467 ?auto_10480 )
      ( DELIVER-PKG ?auto_10467 ?auto_10468 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10484
      ?auto_10485
    )
    :vars
    (
      ?auto_10493
      ?auto_10491
      ?auto_10487
      ?auto_10486
      ?auto_10498
      ?auto_10489
      ?auto_10497
      ?auto_10490
      ?auto_10494
      ?auto_10492
      ?auto_10496
      ?auto_10500
    )
    :precondition
    ( and ( OBJ ?auto_10484 ) ( LOCATION ?auto_10485 ) ( TRUCK ?auto_10493 ) ( LOCATION ?auto_10491 ) ( CITY ?auto_10487 ) ( IN-CITY ?auto_10491 ?auto_10487 ) ( IN-CITY ?auto_10485 ?auto_10487 ) ( DIFFERENT ?auto_10485 ?auto_10491 ) ( LOCATION ?auto_10486 ) ( CITY ?auto_10498 ) ( IN-CITY ?auto_10486 ?auto_10498 ) ( IN-CITY ?auto_10491 ?auto_10498 ) ( DIFFERENT ?auto_10491 ?auto_10486 ) ( LOCATION ?auto_10489 ) ( CITY ?auto_10497 ) ( IN-CITY ?auto_10489 ?auto_10497 ) ( IN-CITY ?auto_10486 ?auto_10497 ) ( DIFFERENT ?auto_10486 ?auto_10489 ) ( LOCATION ?auto_10490 ) ( CITY ?auto_10494 ) ( AT ?auto_10493 ?auto_10490 ) ( IN-CITY ?auto_10490 ?auto_10494 ) ( IN-CITY ?auto_10489 ?auto_10494 ) ( DIFFERENT ?auto_10489 ?auto_10490 ) ( LOCATION ?auto_10492 ) ( AT ?auto_10493 ?auto_10492 ) ( AIRPLANE ?auto_10496 ) ( IN ?auto_10484 ?auto_10496 ) ( AIRPORT ?auto_10500 ) ( AIRPORT ?auto_10492 ) ( AT ?auto_10496 ?auto_10500 ) ( DIFFERENT ?auto_10492 ?auto_10500 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10496 ?auto_10500 ?auto_10492 )
      ( DELIVER-PKG ?auto_10484 ?auto_10485 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10502
      ?auto_10503
    )
    :vars
    (
      ?auto_10515
      ?auto_10510
      ?auto_10516
      ?auto_10513
      ?auto_10508
      ?auto_10517
      ?auto_10507
      ?auto_10506
      ?auto_10511
      ?auto_10512
      ?auto_10505
      ?auto_10514
      ?auto_10519
    )
    :precondition
    ( and ( OBJ ?auto_10502 ) ( LOCATION ?auto_10503 ) ( TRUCK ?auto_10515 ) ( LOCATION ?auto_10510 ) ( CITY ?auto_10516 ) ( IN-CITY ?auto_10510 ?auto_10516 ) ( IN-CITY ?auto_10503 ?auto_10516 ) ( DIFFERENT ?auto_10503 ?auto_10510 ) ( LOCATION ?auto_10513 ) ( CITY ?auto_10508 ) ( IN-CITY ?auto_10513 ?auto_10508 ) ( IN-CITY ?auto_10510 ?auto_10508 ) ( DIFFERENT ?auto_10510 ?auto_10513 ) ( LOCATION ?auto_10517 ) ( CITY ?auto_10507 ) ( IN-CITY ?auto_10517 ?auto_10507 ) ( IN-CITY ?auto_10513 ?auto_10507 ) ( DIFFERENT ?auto_10513 ?auto_10517 ) ( LOCATION ?auto_10506 ) ( CITY ?auto_10511 ) ( AT ?auto_10515 ?auto_10506 ) ( IN-CITY ?auto_10506 ?auto_10511 ) ( IN-CITY ?auto_10517 ?auto_10511 ) ( DIFFERENT ?auto_10517 ?auto_10506 ) ( LOCATION ?auto_10512 ) ( AT ?auto_10515 ?auto_10512 ) ( AIRPLANE ?auto_10505 ) ( AIRPORT ?auto_10514 ) ( AIRPORT ?auto_10512 ) ( AT ?auto_10505 ?auto_10514 ) ( DIFFERENT ?auto_10512 ?auto_10514 ) ( LOCATION ?auto_10519 ) ( AT ?auto_10502 ?auto_10519 ) ( AT ?auto_10505 ?auto_10519 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_10502 ?auto_10505 ?auto_10519 )
      ( DELIVER-PKG ?auto_10502 ?auto_10503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10521
      ?auto_10522
    )
    :vars
    (
      ?auto_10525
      ?auto_10526
      ?auto_10529
      ?auto_10533
      ?auto_10537
      ?auto_10530
      ?auto_10536
      ?auto_10535
      ?auto_10524
      ?auto_10528
      ?auto_10532
      ?auto_10527
      ?auto_10539
    )
    :precondition
    ( and ( OBJ ?auto_10521 ) ( LOCATION ?auto_10522 ) ( TRUCK ?auto_10525 ) ( LOCATION ?auto_10526 ) ( CITY ?auto_10529 ) ( IN-CITY ?auto_10526 ?auto_10529 ) ( IN-CITY ?auto_10522 ?auto_10529 ) ( DIFFERENT ?auto_10522 ?auto_10526 ) ( LOCATION ?auto_10533 ) ( CITY ?auto_10537 ) ( IN-CITY ?auto_10533 ?auto_10537 ) ( IN-CITY ?auto_10526 ?auto_10537 ) ( DIFFERENT ?auto_10526 ?auto_10533 ) ( LOCATION ?auto_10530 ) ( CITY ?auto_10536 ) ( IN-CITY ?auto_10530 ?auto_10536 ) ( IN-CITY ?auto_10533 ?auto_10536 ) ( DIFFERENT ?auto_10533 ?auto_10530 ) ( LOCATION ?auto_10535 ) ( CITY ?auto_10524 ) ( AT ?auto_10525 ?auto_10535 ) ( IN-CITY ?auto_10535 ?auto_10524 ) ( IN-CITY ?auto_10530 ?auto_10524 ) ( DIFFERENT ?auto_10530 ?auto_10535 ) ( LOCATION ?auto_10528 ) ( AT ?auto_10525 ?auto_10528 ) ( AIRPLANE ?auto_10532 ) ( AIRPORT ?auto_10527 ) ( AIRPORT ?auto_10528 ) ( DIFFERENT ?auto_10528 ?auto_10527 ) ( LOCATION ?auto_10527 ) ( AT ?auto_10521 ?auto_10527 ) ( AIRPORT ?auto_10539 ) ( AT ?auto_10532 ?auto_10539 ) ( DIFFERENT ?auto_10527 ?auto_10539 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10532 ?auto_10539 ?auto_10527 )
      ( DELIVER-PKG ?auto_10521 ?auto_10522 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10575
      ?auto_10576
    )
    :vars
    (
      ?auto_10586
      ?auto_10588
      ?auto_10578
      ?auto_10587
      ?auto_10585
      ?auto_10591
      ?auto_10584
      ?auto_10583
      ?auto_10581
      ?auto_10590
      ?auto_10579
      ?auto_10589
      ?auto_10580
      ?auto_10593
    )
    :precondition
    ( and ( OBJ ?auto_10575 ) ( LOCATION ?auto_10576 ) ( TRUCK ?auto_10586 ) ( LOCATION ?auto_10588 ) ( CITY ?auto_10578 ) ( IN-CITY ?auto_10588 ?auto_10578 ) ( IN-CITY ?auto_10576 ?auto_10578 ) ( DIFFERENT ?auto_10576 ?auto_10588 ) ( LOCATION ?auto_10587 ) ( CITY ?auto_10585 ) ( IN-CITY ?auto_10587 ?auto_10585 ) ( IN-CITY ?auto_10588 ?auto_10585 ) ( DIFFERENT ?auto_10588 ?auto_10587 ) ( LOCATION ?auto_10591 ) ( CITY ?auto_10584 ) ( IN-CITY ?auto_10591 ?auto_10584 ) ( IN-CITY ?auto_10587 ?auto_10584 ) ( DIFFERENT ?auto_10587 ?auto_10591 ) ( LOCATION ?auto_10583 ) ( CITY ?auto_10581 ) ( AT ?auto_10586 ?auto_10583 ) ( IN-CITY ?auto_10583 ?auto_10581 ) ( IN-CITY ?auto_10591 ?auto_10581 ) ( DIFFERENT ?auto_10591 ?auto_10583 ) ( LOCATION ?auto_10590 ) ( AT ?auto_10586 ?auto_10590 ) ( AIRPLANE ?auto_10579 ) ( AIRPORT ?auto_10589 ) ( AIRPORT ?auto_10590 ) ( DIFFERENT ?auto_10590 ?auto_10589 ) ( LOCATION ?auto_10589 ) ( AT ?auto_10575 ?auto_10589 ) ( AIRPORT ?auto_10580 ) ( DIFFERENT ?auto_10589 ?auto_10580 ) ( AIRPORT ?auto_10593 ) ( AT ?auto_10579 ?auto_10593 ) ( DIFFERENT ?auto_10580 ?auto_10593 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10579 ?auto_10593 ?auto_10580 )
      ( DELIVER-PKG ?auto_10575 ?auto_10576 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10649
      ?auto_10650
    )
    :vars
    (
      ?auto_10652
      ?auto_10654
      ?auto_10656
      ?auto_10653
      ?auto_10662
      ?auto_10665
      ?auto_10661
      ?auto_10660
      ?auto_10651
      ?auto_10664
      ?auto_10659
      ?auto_10655
      ?auto_10657
      ?auto_10666
      ?auto_10668
    )
    :precondition
    ( and ( OBJ ?auto_10649 ) ( LOCATION ?auto_10650 ) ( TRUCK ?auto_10652 ) ( LOCATION ?auto_10654 ) ( CITY ?auto_10656 ) ( IN-CITY ?auto_10654 ?auto_10656 ) ( IN-CITY ?auto_10650 ?auto_10656 ) ( DIFFERENT ?auto_10650 ?auto_10654 ) ( LOCATION ?auto_10653 ) ( CITY ?auto_10662 ) ( IN-CITY ?auto_10653 ?auto_10662 ) ( IN-CITY ?auto_10654 ?auto_10662 ) ( DIFFERENT ?auto_10654 ?auto_10653 ) ( LOCATION ?auto_10665 ) ( CITY ?auto_10661 ) ( IN-CITY ?auto_10665 ?auto_10661 ) ( IN-CITY ?auto_10653 ?auto_10661 ) ( DIFFERENT ?auto_10653 ?auto_10665 ) ( LOCATION ?auto_10660 ) ( CITY ?auto_10651 ) ( AT ?auto_10652 ?auto_10660 ) ( IN-CITY ?auto_10660 ?auto_10651 ) ( IN-CITY ?auto_10665 ?auto_10651 ) ( DIFFERENT ?auto_10665 ?auto_10660 ) ( LOCATION ?auto_10664 ) ( AT ?auto_10652 ?auto_10664 ) ( AIRPLANE ?auto_10659 ) ( AIRPORT ?auto_10655 ) ( AIRPORT ?auto_10664 ) ( DIFFERENT ?auto_10664 ?auto_10655 ) ( LOCATION ?auto_10655 ) ( AIRPORT ?auto_10657 ) ( DIFFERENT ?auto_10655 ?auto_10657 ) ( AIRPORT ?auto_10666 ) ( AT ?auto_10659 ?auto_10666 ) ( DIFFERENT ?auto_10657 ?auto_10666 ) ( TRUCK ?auto_10668 ) ( AT ?auto_10668 ?auto_10655 ) ( IN ?auto_10649 ?auto_10668 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10649 ?auto_10655 )
      ( DELIVER-PKG ?auto_10649 ?auto_10650 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10689
      ?auto_10690
    )
    :vars
    (
      ?auto_10691
      ?auto_10696
      ?auto_10698
      ?auto_10695
      ?auto_10703
      ?auto_10706
      ?auto_10702
      ?auto_10701
      ?auto_10692
      ?auto_10705
      ?auto_10700
      ?auto_10697
      ?auto_10699
      ?auto_10707
      ?auto_10704
      ?auto_10710
      ?auto_10709
    )
    :precondition
    ( and ( OBJ ?auto_10689 ) ( LOCATION ?auto_10690 ) ( TRUCK ?auto_10691 ) ( LOCATION ?auto_10696 ) ( CITY ?auto_10698 ) ( IN-CITY ?auto_10696 ?auto_10698 ) ( IN-CITY ?auto_10690 ?auto_10698 ) ( DIFFERENT ?auto_10690 ?auto_10696 ) ( LOCATION ?auto_10695 ) ( CITY ?auto_10703 ) ( IN-CITY ?auto_10695 ?auto_10703 ) ( IN-CITY ?auto_10696 ?auto_10703 ) ( DIFFERENT ?auto_10696 ?auto_10695 ) ( LOCATION ?auto_10706 ) ( CITY ?auto_10702 ) ( IN-CITY ?auto_10706 ?auto_10702 ) ( IN-CITY ?auto_10695 ?auto_10702 ) ( DIFFERENT ?auto_10695 ?auto_10706 ) ( LOCATION ?auto_10701 ) ( CITY ?auto_10692 ) ( AT ?auto_10691 ?auto_10701 ) ( IN-CITY ?auto_10701 ?auto_10692 ) ( IN-CITY ?auto_10706 ?auto_10692 ) ( DIFFERENT ?auto_10706 ?auto_10701 ) ( LOCATION ?auto_10705 ) ( AT ?auto_10691 ?auto_10705 ) ( AIRPLANE ?auto_10700 ) ( AIRPORT ?auto_10697 ) ( AIRPORT ?auto_10705 ) ( DIFFERENT ?auto_10705 ?auto_10697 ) ( LOCATION ?auto_10697 ) ( AIRPORT ?auto_10699 ) ( DIFFERENT ?auto_10697 ?auto_10699 ) ( AIRPORT ?auto_10707 ) ( AT ?auto_10700 ?auto_10707 ) ( DIFFERENT ?auto_10699 ?auto_10707 ) ( TRUCK ?auto_10704 ) ( IN ?auto_10689 ?auto_10704 ) ( LOCATION ?auto_10710 ) ( CITY ?auto_10709 ) ( AT ?auto_10704 ?auto_10710 ) ( IN-CITY ?auto_10710 ?auto_10709 ) ( IN-CITY ?auto_10697 ?auto_10709 ) ( DIFFERENT ?auto_10697 ?auto_10710 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10704 ?auto_10710 ?auto_10697 ?auto_10709 )
      ( DELIVER-PKG ?auto_10689 ?auto_10690 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10712
      ?auto_10713
    )
    :vars
    (
      ?auto_10731
      ?auto_10715
      ?auto_10720
      ?auto_10719
      ?auto_10725
      ?auto_10728
      ?auto_10724
      ?auto_10727
      ?auto_10714
      ?auto_10722
      ?auto_10716
      ?auto_10721
      ?auto_10729
      ?auto_10726
      ?auto_10732
      ?auto_10730
      ?auto_10735
      ?auto_10734
    )
    :precondition
    ( and ( OBJ ?auto_10712 ) ( LOCATION ?auto_10713 ) ( TRUCK ?auto_10731 ) ( LOCATION ?auto_10715 ) ( CITY ?auto_10720 ) ( IN-CITY ?auto_10715 ?auto_10720 ) ( IN-CITY ?auto_10713 ?auto_10720 ) ( DIFFERENT ?auto_10713 ?auto_10715 ) ( LOCATION ?auto_10719 ) ( CITY ?auto_10725 ) ( IN-CITY ?auto_10719 ?auto_10725 ) ( IN-CITY ?auto_10715 ?auto_10725 ) ( DIFFERENT ?auto_10715 ?auto_10719 ) ( LOCATION ?auto_10728 ) ( CITY ?auto_10724 ) ( IN-CITY ?auto_10728 ?auto_10724 ) ( IN-CITY ?auto_10719 ?auto_10724 ) ( DIFFERENT ?auto_10719 ?auto_10728 ) ( LOCATION ?auto_10727 ) ( CITY ?auto_10714 ) ( IN-CITY ?auto_10727 ?auto_10714 ) ( IN-CITY ?auto_10728 ?auto_10714 ) ( DIFFERENT ?auto_10728 ?auto_10727 ) ( AIRPLANE ?auto_10722 ) ( AIRPORT ?auto_10716 ) ( AIRPORT ?auto_10727 ) ( DIFFERENT ?auto_10727 ?auto_10716 ) ( LOCATION ?auto_10716 ) ( AIRPORT ?auto_10721 ) ( DIFFERENT ?auto_10716 ?auto_10721 ) ( AIRPORT ?auto_10729 ) ( AT ?auto_10722 ?auto_10729 ) ( DIFFERENT ?auto_10721 ?auto_10729 ) ( TRUCK ?auto_10726 ) ( IN ?auto_10712 ?auto_10726 ) ( LOCATION ?auto_10732 ) ( CITY ?auto_10730 ) ( AT ?auto_10726 ?auto_10732 ) ( IN-CITY ?auto_10732 ?auto_10730 ) ( IN-CITY ?auto_10716 ?auto_10730 ) ( DIFFERENT ?auto_10716 ?auto_10732 ) ( LOCATION ?auto_10735 ) ( CITY ?auto_10734 ) ( AT ?auto_10731 ?auto_10735 ) ( IN-CITY ?auto_10735 ?auto_10734 ) ( IN-CITY ?auto_10727 ?auto_10734 ) ( DIFFERENT ?auto_10727 ?auto_10735 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10731 ?auto_10735 ?auto_10727 ?auto_10734 )
      ( DELIVER-PKG ?auto_10712 ?auto_10713 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10737
      ?auto_10738
    )
    :vars
    (
      ?auto_10746
      ?auto_10758
      ?auto_10744
      ?auto_10739
      ?auto_10754
      ?auto_10756
      ?auto_10753
      ?auto_10755
      ?auto_10740
      ?auto_10743
      ?auto_10757
      ?auto_10741
      ?auto_10748
      ?auto_10750
      ?auto_10747
      ?auto_10749
      ?auto_10751
      ?auto_10745
      ?auto_10760
    )
    :precondition
    ( and ( OBJ ?auto_10737 ) ( LOCATION ?auto_10738 ) ( TRUCK ?auto_10746 ) ( LOCATION ?auto_10758 ) ( CITY ?auto_10744 ) ( IN-CITY ?auto_10758 ?auto_10744 ) ( IN-CITY ?auto_10738 ?auto_10744 ) ( DIFFERENT ?auto_10738 ?auto_10758 ) ( LOCATION ?auto_10739 ) ( CITY ?auto_10754 ) ( IN-CITY ?auto_10739 ?auto_10754 ) ( IN-CITY ?auto_10758 ?auto_10754 ) ( DIFFERENT ?auto_10758 ?auto_10739 ) ( LOCATION ?auto_10756 ) ( CITY ?auto_10753 ) ( IN-CITY ?auto_10756 ?auto_10753 ) ( IN-CITY ?auto_10739 ?auto_10753 ) ( DIFFERENT ?auto_10739 ?auto_10756 ) ( LOCATION ?auto_10755 ) ( CITY ?auto_10740 ) ( IN-CITY ?auto_10755 ?auto_10740 ) ( IN-CITY ?auto_10756 ?auto_10740 ) ( DIFFERENT ?auto_10756 ?auto_10755 ) ( AIRPLANE ?auto_10743 ) ( AIRPORT ?auto_10757 ) ( AIRPORT ?auto_10755 ) ( DIFFERENT ?auto_10755 ?auto_10757 ) ( LOCATION ?auto_10757 ) ( AIRPORT ?auto_10741 ) ( DIFFERENT ?auto_10757 ?auto_10741 ) ( AIRPORT ?auto_10748 ) ( AT ?auto_10743 ?auto_10748 ) ( DIFFERENT ?auto_10741 ?auto_10748 ) ( TRUCK ?auto_10750 ) ( LOCATION ?auto_10747 ) ( CITY ?auto_10749 ) ( AT ?auto_10750 ?auto_10747 ) ( IN-CITY ?auto_10747 ?auto_10749 ) ( IN-CITY ?auto_10757 ?auto_10749 ) ( DIFFERENT ?auto_10757 ?auto_10747 ) ( LOCATION ?auto_10751 ) ( CITY ?auto_10745 ) ( AT ?auto_10746 ?auto_10751 ) ( IN-CITY ?auto_10751 ?auto_10745 ) ( IN-CITY ?auto_10755 ?auto_10745 ) ( DIFFERENT ?auto_10755 ?auto_10751 ) ( LOCATION ?auto_10760 ) ( AT ?auto_10750 ?auto_10760 ) ( AT ?auto_10737 ?auto_10760 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10737 ?auto_10750 ?auto_10760 )
      ( DELIVER-PKG ?auto_10737 ?auto_10738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10785
      ?auto_10786
    )
    :vars
    (
      ?auto_10807
      ?auto_10798
      ?auto_10803
      ?auto_10790
      ?auto_10800
      ?auto_10792
      ?auto_10794
      ?auto_10802
      ?auto_10787
      ?auto_10804
      ?auto_10793
      ?auto_10799
      ?auto_10797
      ?auto_10789
      ?auto_10801
      ?auto_10788
      ?auto_10791
      ?auto_10805
      ?auto_10810
      ?auto_10809
    )
    :precondition
    ( and ( OBJ ?auto_10785 ) ( LOCATION ?auto_10786 ) ( TRUCK ?auto_10807 ) ( LOCATION ?auto_10798 ) ( CITY ?auto_10803 ) ( IN-CITY ?auto_10798 ?auto_10803 ) ( IN-CITY ?auto_10786 ?auto_10803 ) ( DIFFERENT ?auto_10786 ?auto_10798 ) ( LOCATION ?auto_10790 ) ( CITY ?auto_10800 ) ( IN-CITY ?auto_10790 ?auto_10800 ) ( IN-CITY ?auto_10798 ?auto_10800 ) ( DIFFERENT ?auto_10798 ?auto_10790 ) ( LOCATION ?auto_10792 ) ( CITY ?auto_10794 ) ( IN-CITY ?auto_10792 ?auto_10794 ) ( IN-CITY ?auto_10790 ?auto_10794 ) ( DIFFERENT ?auto_10790 ?auto_10792 ) ( LOCATION ?auto_10802 ) ( CITY ?auto_10787 ) ( IN-CITY ?auto_10802 ?auto_10787 ) ( IN-CITY ?auto_10792 ?auto_10787 ) ( DIFFERENT ?auto_10792 ?auto_10802 ) ( AIRPLANE ?auto_10804 ) ( AIRPORT ?auto_10793 ) ( AIRPORT ?auto_10802 ) ( DIFFERENT ?auto_10802 ?auto_10793 ) ( LOCATION ?auto_10793 ) ( AIRPORT ?auto_10799 ) ( DIFFERENT ?auto_10793 ?auto_10799 ) ( AIRPORT ?auto_10797 ) ( AT ?auto_10804 ?auto_10797 ) ( DIFFERENT ?auto_10799 ?auto_10797 ) ( TRUCK ?auto_10789 ) ( LOCATION ?auto_10801 ) ( CITY ?auto_10788 ) ( IN-CITY ?auto_10801 ?auto_10788 ) ( IN-CITY ?auto_10793 ?auto_10788 ) ( DIFFERENT ?auto_10793 ?auto_10801 ) ( LOCATION ?auto_10791 ) ( CITY ?auto_10805 ) ( AT ?auto_10807 ?auto_10791 ) ( IN-CITY ?auto_10791 ?auto_10805 ) ( IN-CITY ?auto_10802 ?auto_10805 ) ( DIFFERENT ?auto_10802 ?auto_10791 ) ( AT ?auto_10785 ?auto_10801 ) ( LOCATION ?auto_10810 ) ( CITY ?auto_10809 ) ( AT ?auto_10789 ?auto_10810 ) ( IN-CITY ?auto_10810 ?auto_10809 ) ( IN-CITY ?auto_10801 ?auto_10809 ) ( DIFFERENT ?auto_10801 ?auto_10810 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10789 ?auto_10810 ?auto_10801 ?auto_10809 )
      ( DELIVER-PKG ?auto_10785 ?auto_10786 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10812
      ?auto_10813
    )
    :vars
    (
      ?auto_10834
      ?auto_10818
      ?auto_10830
      ?auto_10820
      ?auto_10825
      ?auto_10835
      ?auto_10816
      ?auto_10827
      ?auto_10822
      ?auto_10831
      ?auto_10829
      ?auto_10824
      ?auto_10817
      ?auto_10815
      ?auto_10826
      ?auto_10821
      ?auto_10828
      ?auto_10833
      ?auto_10823
      ?auto_10832
      ?auto_10837
    )
    :precondition
    ( and ( OBJ ?auto_10812 ) ( LOCATION ?auto_10813 ) ( TRUCK ?auto_10834 ) ( LOCATION ?auto_10818 ) ( CITY ?auto_10830 ) ( IN-CITY ?auto_10818 ?auto_10830 ) ( IN-CITY ?auto_10813 ?auto_10830 ) ( DIFFERENT ?auto_10813 ?auto_10818 ) ( LOCATION ?auto_10820 ) ( CITY ?auto_10825 ) ( IN-CITY ?auto_10820 ?auto_10825 ) ( IN-CITY ?auto_10818 ?auto_10825 ) ( DIFFERENT ?auto_10818 ?auto_10820 ) ( LOCATION ?auto_10835 ) ( CITY ?auto_10816 ) ( IN-CITY ?auto_10835 ?auto_10816 ) ( IN-CITY ?auto_10820 ?auto_10816 ) ( DIFFERENT ?auto_10820 ?auto_10835 ) ( LOCATION ?auto_10827 ) ( CITY ?auto_10822 ) ( IN-CITY ?auto_10827 ?auto_10822 ) ( IN-CITY ?auto_10835 ?auto_10822 ) ( DIFFERENT ?auto_10835 ?auto_10827 ) ( AIRPLANE ?auto_10831 ) ( AIRPORT ?auto_10829 ) ( AIRPORT ?auto_10827 ) ( DIFFERENT ?auto_10827 ?auto_10829 ) ( LOCATION ?auto_10829 ) ( AIRPORT ?auto_10824 ) ( DIFFERENT ?auto_10829 ?auto_10824 ) ( AIRPORT ?auto_10817 ) ( DIFFERENT ?auto_10824 ?auto_10817 ) ( TRUCK ?auto_10815 ) ( LOCATION ?auto_10826 ) ( CITY ?auto_10821 ) ( IN-CITY ?auto_10826 ?auto_10821 ) ( IN-CITY ?auto_10829 ?auto_10821 ) ( DIFFERENT ?auto_10829 ?auto_10826 ) ( LOCATION ?auto_10828 ) ( CITY ?auto_10833 ) ( AT ?auto_10834 ?auto_10828 ) ( IN-CITY ?auto_10828 ?auto_10833 ) ( IN-CITY ?auto_10827 ?auto_10833 ) ( DIFFERENT ?auto_10827 ?auto_10828 ) ( AT ?auto_10812 ?auto_10826 ) ( LOCATION ?auto_10823 ) ( CITY ?auto_10832 ) ( AT ?auto_10815 ?auto_10823 ) ( IN-CITY ?auto_10823 ?auto_10832 ) ( IN-CITY ?auto_10826 ?auto_10832 ) ( DIFFERENT ?auto_10826 ?auto_10823 ) ( AIRPORT ?auto_10837 ) ( AT ?auto_10831 ?auto_10837 ) ( DIFFERENT ?auto_10817 ?auto_10837 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10831 ?auto_10837 ?auto_10817 )
      ( DELIVER-PKG ?auto_10812 ?auto_10813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10839
      ?auto_10840
    )
    :vars
    (
      ?auto_10857
      ?auto_10844
      ?auto_10852
      ?auto_10858
      ?auto_10862
      ?auto_10854
      ?auto_10850
      ?auto_10855
      ?auto_10859
      ?auto_10846
      ?auto_10845
      ?auto_10863
      ?auto_10842
      ?auto_10849
      ?auto_10841
      ?auto_10861
      ?auto_10851
      ?auto_10856
      ?auto_10860
      ?auto_10853
      ?auto_10843
      ?auto_10866
      ?auto_10865
    )
    :precondition
    ( and ( OBJ ?auto_10839 ) ( LOCATION ?auto_10840 ) ( TRUCK ?auto_10857 ) ( LOCATION ?auto_10844 ) ( CITY ?auto_10852 ) ( IN-CITY ?auto_10844 ?auto_10852 ) ( IN-CITY ?auto_10840 ?auto_10852 ) ( DIFFERENT ?auto_10840 ?auto_10844 ) ( LOCATION ?auto_10858 ) ( CITY ?auto_10862 ) ( IN-CITY ?auto_10858 ?auto_10862 ) ( IN-CITY ?auto_10844 ?auto_10862 ) ( DIFFERENT ?auto_10844 ?auto_10858 ) ( LOCATION ?auto_10854 ) ( CITY ?auto_10850 ) ( IN-CITY ?auto_10854 ?auto_10850 ) ( IN-CITY ?auto_10858 ?auto_10850 ) ( DIFFERENT ?auto_10858 ?auto_10854 ) ( LOCATION ?auto_10855 ) ( CITY ?auto_10859 ) ( IN-CITY ?auto_10855 ?auto_10859 ) ( IN-CITY ?auto_10854 ?auto_10859 ) ( DIFFERENT ?auto_10854 ?auto_10855 ) ( AIRPLANE ?auto_10846 ) ( AIRPORT ?auto_10845 ) ( AIRPORT ?auto_10855 ) ( DIFFERENT ?auto_10855 ?auto_10845 ) ( LOCATION ?auto_10845 ) ( AIRPORT ?auto_10863 ) ( DIFFERENT ?auto_10845 ?auto_10863 ) ( AIRPORT ?auto_10842 ) ( DIFFERENT ?auto_10863 ?auto_10842 ) ( TRUCK ?auto_10849 ) ( LOCATION ?auto_10841 ) ( CITY ?auto_10861 ) ( IN-CITY ?auto_10841 ?auto_10861 ) ( IN-CITY ?auto_10845 ?auto_10861 ) ( DIFFERENT ?auto_10845 ?auto_10841 ) ( LOCATION ?auto_10851 ) ( CITY ?auto_10856 ) ( IN-CITY ?auto_10851 ?auto_10856 ) ( IN-CITY ?auto_10855 ?auto_10856 ) ( DIFFERENT ?auto_10855 ?auto_10851 ) ( AT ?auto_10839 ?auto_10841 ) ( LOCATION ?auto_10860 ) ( CITY ?auto_10853 ) ( AT ?auto_10849 ?auto_10860 ) ( IN-CITY ?auto_10860 ?auto_10853 ) ( IN-CITY ?auto_10841 ?auto_10853 ) ( DIFFERENT ?auto_10841 ?auto_10860 ) ( AIRPORT ?auto_10843 ) ( AT ?auto_10846 ?auto_10843 ) ( DIFFERENT ?auto_10842 ?auto_10843 ) ( LOCATION ?auto_10866 ) ( CITY ?auto_10865 ) ( AT ?auto_10857 ?auto_10866 ) ( IN-CITY ?auto_10866 ?auto_10865 ) ( IN-CITY ?auto_10851 ?auto_10865 ) ( DIFFERENT ?auto_10851 ?auto_10866 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10857 ?auto_10866 ?auto_10851 ?auto_10865 )
      ( DELIVER-PKG ?auto_10839 ?auto_10840 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33447
      ?auto_33448
    )
    :vars
    (
      ?auto_33451
      ?auto_33454
      ?auto_33452
      ?auto_33459
      ?auto_33450
      ?auto_33453
      ?auto_33456
      ?auto_33455
      ?auto_33458
      ?auto_33457
      ?auto_33463
      ?auto_33462
    )
    :precondition
    ( and ( OBJ ?auto_33447 ) ( LOCATION ?auto_33448 ) ( AIRPLANE ?auto_33451 ) ( AIRPORT ?auto_33454 ) ( AIRPORT ?auto_33448 ) ( AT ?auto_33451 ?auto_33454 ) ( DIFFERENT ?auto_33448 ?auto_33454 ) ( LOCATION ?auto_33452 ) ( AT ?auto_33451 ?auto_33452 ) ( AIRPLANE ?auto_33459 ) ( AT ?auto_33459 ?auto_33452 ) ( LOCATION ?auto_33450 ) ( AT ?auto_33459 ?auto_33450 ) ( TRUCK ?auto_33453 ) ( LOCATION ?auto_33456 ) ( CITY ?auto_33455 ) ( IN-CITY ?auto_33456 ?auto_33455 ) ( IN-CITY ?auto_33450 ?auto_33455 ) ( DIFFERENT ?auto_33450 ?auto_33456 ) ( AT ?auto_33447 ?auto_33456 ) ( LOCATION ?auto_33458 ) ( CITY ?auto_33457 ) ( IN-CITY ?auto_33458 ?auto_33457 ) ( IN-CITY ?auto_33456 ?auto_33457 ) ( DIFFERENT ?auto_33456 ?auto_33458 ) ( LOCATION ?auto_33463 ) ( CITY ?auto_33462 ) ( AT ?auto_33453 ?auto_33463 ) ( IN-CITY ?auto_33463 ?auto_33462 ) ( IN-CITY ?auto_33458 ?auto_33462 ) ( DIFFERENT ?auto_33458 ?auto_33463 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_33453 ?auto_33463 ?auto_33458 ?auto_33462 )
      ( DELIVER-PKG ?auto_33447 ?auto_33448 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11227
      ?auto_11228
    )
    :vars
    (
      ?auto_11229
      ?auto_11233
      ?auto_11235
      ?auto_11230
      ?auto_11234
      ?auto_11232
      ?auto_11231
      ?auto_11237
      ?auto_11236
      ?auto_11242
    )
    :precondition
    ( and ( OBJ ?auto_11227 ) ( LOCATION ?auto_11228 ) ( AIRPLANE ?auto_11229 ) ( AIRPORT ?auto_11233 ) ( AIRPORT ?auto_11228 ) ( DIFFERENT ?auto_11228 ?auto_11233 ) ( LOCATION ?auto_11233 ) ( TRUCK ?auto_11235 ) ( LOCATION ?auto_11230 ) ( CITY ?auto_11234 ) ( IN-CITY ?auto_11230 ?auto_11234 ) ( IN-CITY ?auto_11233 ?auto_11234 ) ( DIFFERENT ?auto_11233 ?auto_11230 ) ( AT ?auto_11227 ?auto_11230 ) ( LOCATION ?auto_11232 ) ( CITY ?auto_11231 ) ( IN-CITY ?auto_11232 ?auto_11231 ) ( IN-CITY ?auto_11230 ?auto_11231 ) ( DIFFERENT ?auto_11230 ?auto_11232 ) ( LOCATION ?auto_11237 ) ( CITY ?auto_11236 ) ( AT ?auto_11235 ?auto_11237 ) ( IN-CITY ?auto_11237 ?auto_11236 ) ( IN-CITY ?auto_11232 ?auto_11236 ) ( DIFFERENT ?auto_11232 ?auto_11237 ) ( AIRPORT ?auto_11242 ) ( AT ?auto_11229 ?auto_11242 ) ( DIFFERENT ?auto_11233 ?auto_11242 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11229 ?auto_11242 ?auto_11233 )
      ( DELIVER-PKG ?auto_11227 ?auto_11228 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11817
      ?auto_11818
    )
    :vars
    (
      ?auto_11821
      ?auto_11819
      ?auto_11825
    )
    :precondition
    ( and ( OBJ ?auto_11817 ) ( LOCATION ?auto_11818 ) ( AIRPLANE ?auto_11821 ) ( AT ?auto_11821 ?auto_11818 ) ( LOCATION ?auto_11819 ) ( AT ?auto_11821 ?auto_11819 ) ( TRUCK ?auto_11825 ) ( AT ?auto_11825 ?auto_11819 ) ( IN ?auto_11817 ?auto_11825 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11817 ?auto_11819 )
      ( DELIVER-PKG ?auto_11817 ?auto_11818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11826
      ?auto_11827
    )
    :vars
    (
      ?auto_11830
      ?auto_11829
      ?auto_11831
      ?auto_11835
      ?auto_11834
    )
    :precondition
    ( and ( OBJ ?auto_11826 ) ( LOCATION ?auto_11827 ) ( AIRPLANE ?auto_11830 ) ( AT ?auto_11830 ?auto_11827 ) ( LOCATION ?auto_11829 ) ( AT ?auto_11830 ?auto_11829 ) ( TRUCK ?auto_11831 ) ( IN ?auto_11826 ?auto_11831 ) ( LOCATION ?auto_11835 ) ( CITY ?auto_11834 ) ( AT ?auto_11831 ?auto_11835 ) ( IN-CITY ?auto_11835 ?auto_11834 ) ( IN-CITY ?auto_11829 ?auto_11834 ) ( DIFFERENT ?auto_11829 ?auto_11835 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11831 ?auto_11835 ?auto_11829 ?auto_11834 )
      ( DELIVER-PKG ?auto_11826 ?auto_11827 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11837
      ?auto_11838
    )
    :vars
    (
      ?auto_11845
      ?auto_11844
      ?auto_11842
      ?auto_11840
      ?auto_11841
      ?auto_11847
    )
    :precondition
    ( and ( OBJ ?auto_11837 ) ( LOCATION ?auto_11838 ) ( AIRPLANE ?auto_11845 ) ( AT ?auto_11845 ?auto_11838 ) ( LOCATION ?auto_11844 ) ( AT ?auto_11845 ?auto_11844 ) ( TRUCK ?auto_11842 ) ( LOCATION ?auto_11840 ) ( CITY ?auto_11841 ) ( AT ?auto_11842 ?auto_11840 ) ( IN-CITY ?auto_11840 ?auto_11841 ) ( IN-CITY ?auto_11844 ?auto_11841 ) ( DIFFERENT ?auto_11844 ?auto_11840 ) ( LOCATION ?auto_11847 ) ( AT ?auto_11842 ?auto_11847 ) ( AT ?auto_11837 ?auto_11847 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11837 ?auto_11842 ?auto_11847 )
      ( DELIVER-PKG ?auto_11837 ?auto_11838 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11849
      ?auto_11850
    )
    :vars
    (
      ?auto_11852
      ?auto_11856
      ?auto_11851
      ?auto_11855
      ?auto_11858
      ?auto_11861
      ?auto_11860
    )
    :precondition
    ( and ( OBJ ?auto_11849 ) ( LOCATION ?auto_11850 ) ( AIRPLANE ?auto_11852 ) ( AT ?auto_11852 ?auto_11850 ) ( LOCATION ?auto_11856 ) ( AT ?auto_11852 ?auto_11856 ) ( TRUCK ?auto_11851 ) ( LOCATION ?auto_11855 ) ( CITY ?auto_11858 ) ( IN-CITY ?auto_11855 ?auto_11858 ) ( IN-CITY ?auto_11856 ?auto_11858 ) ( DIFFERENT ?auto_11856 ?auto_11855 ) ( AT ?auto_11849 ?auto_11855 ) ( LOCATION ?auto_11861 ) ( CITY ?auto_11860 ) ( AT ?auto_11851 ?auto_11861 ) ( IN-CITY ?auto_11861 ?auto_11860 ) ( IN-CITY ?auto_11855 ?auto_11860 ) ( DIFFERENT ?auto_11855 ?auto_11861 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11851 ?auto_11861 ?auto_11855 ?auto_11860 )
      ( DELIVER-PKG ?auto_11849 ?auto_11850 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11885
      ?auto_11890
    )
    :vars
    (
      ?auto_11893
      ?auto_11888
      ?auto_11894
      ?auto_11895
      ?auto_11891
      ?auto_11887
      ?auto_11897
    )
    :precondition
    ( and ( OBJ ?auto_11885 ) ( LOCATION ?auto_11890 ) ( AIRPLANE ?auto_11893 ) ( TRUCK ?auto_11888 ) ( LOCATION ?auto_11894 ) ( CITY ?auto_11895 ) ( IN-CITY ?auto_11894 ?auto_11895 ) ( IN-CITY ?auto_11890 ?auto_11895 ) ( DIFFERENT ?auto_11890 ?auto_11894 ) ( AT ?auto_11885 ?auto_11894 ) ( LOCATION ?auto_11891 ) ( CITY ?auto_11887 ) ( AT ?auto_11888 ?auto_11891 ) ( IN-CITY ?auto_11891 ?auto_11887 ) ( IN-CITY ?auto_11894 ?auto_11887 ) ( DIFFERENT ?auto_11894 ?auto_11891 ) ( AIRPORT ?auto_11897 ) ( AIRPORT ?auto_11890 ) ( AT ?auto_11893 ?auto_11897 ) ( DIFFERENT ?auto_11890 ?auto_11897 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11893 ?auto_11897 ?auto_11890 )
      ( DELIVER-PKG ?auto_11885 ?auto_11890 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11976
      ?auto_11977
    )
    :vars
    (
      ?auto_11983
      ?auto_11978
      ?auto_11981
      ?auto_11982
      ?auto_11985
      ?auto_11980
      ?auto_11986
      ?auto_11988
    )
    :precondition
    ( and ( OBJ ?auto_11976 ) ( LOCATION ?auto_11977 ) ( AIRPLANE ?auto_11983 ) ( TRUCK ?auto_11978 ) ( LOCATION ?auto_11981 ) ( CITY ?auto_11982 ) ( IN-CITY ?auto_11981 ?auto_11982 ) ( IN-CITY ?auto_11977 ?auto_11982 ) ( DIFFERENT ?auto_11977 ?auto_11981 ) ( AT ?auto_11976 ?auto_11981 ) ( LOCATION ?auto_11985 ) ( CITY ?auto_11980 ) ( AT ?auto_11978 ?auto_11985 ) ( IN-CITY ?auto_11985 ?auto_11980 ) ( IN-CITY ?auto_11981 ?auto_11980 ) ( DIFFERENT ?auto_11981 ?auto_11985 ) ( AIRPORT ?auto_11986 ) ( AIRPORT ?auto_11977 ) ( DIFFERENT ?auto_11977 ?auto_11986 ) ( AIRPORT ?auto_11988 ) ( AT ?auto_11983 ?auto_11988 ) ( DIFFERENT ?auto_11986 ?auto_11988 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11983 ?auto_11988 ?auto_11986 )
      ( DELIVER-PKG ?auto_11976 ?auto_11977 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12444
      ?auto_12445
    )
    :vars
    (
      ?auto_12450
      ?auto_12453
      ?auto_12457
      ?auto_12446
      ?auto_12447
      ?auto_12451
      ?auto_12454
      ?auto_12458
      ?auto_12456
      ?auto_12455
      ?auto_12449
      ?auto_12448
      ?auto_12452
      ?auto_12462
    )
    :precondition
    ( and ( OBJ ?auto_12444 ) ( LOCATION ?auto_12445 ) ( TRUCK ?auto_12450 ) ( LOCATION ?auto_12453 ) ( CITY ?auto_12457 ) ( IN-CITY ?auto_12453 ?auto_12457 ) ( IN-CITY ?auto_12445 ?auto_12457 ) ( DIFFERENT ?auto_12445 ?auto_12453 ) ( LOCATION ?auto_12446 ) ( CITY ?auto_12447 ) ( IN-CITY ?auto_12446 ?auto_12447 ) ( IN-CITY ?auto_12453 ?auto_12447 ) ( DIFFERENT ?auto_12453 ?auto_12446 ) ( LOCATION ?auto_12451 ) ( CITY ?auto_12454 ) ( IN-CITY ?auto_12451 ?auto_12454 ) ( IN-CITY ?auto_12446 ?auto_12454 ) ( DIFFERENT ?auto_12446 ?auto_12451 ) ( LOCATION ?auto_12458 ) ( CITY ?auto_12456 ) ( AT ?auto_12450 ?auto_12458 ) ( IN-CITY ?auto_12458 ?auto_12456 ) ( IN-CITY ?auto_12451 ?auto_12456 ) ( DIFFERENT ?auto_12451 ?auto_12458 ) ( LOCATION ?auto_12455 ) ( AT ?auto_12450 ?auto_12455 ) ( AIRPLANE ?auto_12449 ) ( AIRPORT ?auto_12448 ) ( AIRPORT ?auto_12455 ) ( AT ?auto_12449 ?auto_12448 ) ( DIFFERENT ?auto_12455 ?auto_12448 ) ( LOCATION ?auto_12452 ) ( AT ?auto_12449 ?auto_12452 ) ( TRUCK ?auto_12462 ) ( AT ?auto_12462 ?auto_12452 ) ( IN ?auto_12444 ?auto_12462 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12444 ?auto_12452 )
      ( DELIVER-PKG ?auto_12444 ?auto_12445 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12464
      ?auto_12465
    )
    :vars
    (
      ?auto_12467
      ?auto_12470
      ?auto_12475
      ?auto_12477
      ?auto_12480
      ?auto_12468
      ?auto_12471
      ?auto_12476
      ?auto_12473
      ?auto_12472
      ?auto_12466
      ?auto_12479
      ?auto_12469
      ?auto_12474
      ?auto_12484
      ?auto_12483
    )
    :precondition
    ( and ( OBJ ?auto_12464 ) ( LOCATION ?auto_12465 ) ( TRUCK ?auto_12467 ) ( LOCATION ?auto_12470 ) ( CITY ?auto_12475 ) ( IN-CITY ?auto_12470 ?auto_12475 ) ( IN-CITY ?auto_12465 ?auto_12475 ) ( DIFFERENT ?auto_12465 ?auto_12470 ) ( LOCATION ?auto_12477 ) ( CITY ?auto_12480 ) ( IN-CITY ?auto_12477 ?auto_12480 ) ( IN-CITY ?auto_12470 ?auto_12480 ) ( DIFFERENT ?auto_12470 ?auto_12477 ) ( LOCATION ?auto_12468 ) ( CITY ?auto_12471 ) ( IN-CITY ?auto_12468 ?auto_12471 ) ( IN-CITY ?auto_12477 ?auto_12471 ) ( DIFFERENT ?auto_12477 ?auto_12468 ) ( LOCATION ?auto_12476 ) ( CITY ?auto_12473 ) ( AT ?auto_12467 ?auto_12476 ) ( IN-CITY ?auto_12476 ?auto_12473 ) ( IN-CITY ?auto_12468 ?auto_12473 ) ( DIFFERENT ?auto_12468 ?auto_12476 ) ( LOCATION ?auto_12472 ) ( AT ?auto_12467 ?auto_12472 ) ( AIRPLANE ?auto_12466 ) ( AIRPORT ?auto_12479 ) ( AIRPORT ?auto_12472 ) ( AT ?auto_12466 ?auto_12479 ) ( DIFFERENT ?auto_12472 ?auto_12479 ) ( LOCATION ?auto_12469 ) ( AT ?auto_12466 ?auto_12469 ) ( TRUCK ?auto_12474 ) ( IN ?auto_12464 ?auto_12474 ) ( LOCATION ?auto_12484 ) ( CITY ?auto_12483 ) ( AT ?auto_12474 ?auto_12484 ) ( IN-CITY ?auto_12484 ?auto_12483 ) ( IN-CITY ?auto_12469 ?auto_12483 ) ( DIFFERENT ?auto_12469 ?auto_12484 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12474 ?auto_12484 ?auto_12469 ?auto_12483 )
      ( DELIVER-PKG ?auto_12464 ?auto_12465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12486
      ?auto_12487
    )
    :vars
    (
      ?auto_12494
      ?auto_12498
      ?auto_12503
      ?auto_12505
      ?auto_12502
      ?auto_12495
      ?auto_12499
      ?auto_12504
      ?auto_12501
      ?auto_12500
      ?auto_12496
      ?auto_12491
      ?auto_12497
      ?auto_12490
      ?auto_12488
      ?auto_12489
      ?auto_12507
    )
    :precondition
    ( and ( OBJ ?auto_12486 ) ( LOCATION ?auto_12487 ) ( TRUCK ?auto_12494 ) ( LOCATION ?auto_12498 ) ( CITY ?auto_12503 ) ( IN-CITY ?auto_12498 ?auto_12503 ) ( IN-CITY ?auto_12487 ?auto_12503 ) ( DIFFERENT ?auto_12487 ?auto_12498 ) ( LOCATION ?auto_12505 ) ( CITY ?auto_12502 ) ( IN-CITY ?auto_12505 ?auto_12502 ) ( IN-CITY ?auto_12498 ?auto_12502 ) ( DIFFERENT ?auto_12498 ?auto_12505 ) ( LOCATION ?auto_12495 ) ( CITY ?auto_12499 ) ( IN-CITY ?auto_12495 ?auto_12499 ) ( IN-CITY ?auto_12505 ?auto_12499 ) ( DIFFERENT ?auto_12505 ?auto_12495 ) ( LOCATION ?auto_12504 ) ( CITY ?auto_12501 ) ( AT ?auto_12494 ?auto_12504 ) ( IN-CITY ?auto_12504 ?auto_12501 ) ( IN-CITY ?auto_12495 ?auto_12501 ) ( DIFFERENT ?auto_12495 ?auto_12504 ) ( LOCATION ?auto_12500 ) ( AT ?auto_12494 ?auto_12500 ) ( AIRPLANE ?auto_12496 ) ( AIRPORT ?auto_12491 ) ( AIRPORT ?auto_12500 ) ( AT ?auto_12496 ?auto_12491 ) ( DIFFERENT ?auto_12500 ?auto_12491 ) ( LOCATION ?auto_12497 ) ( AT ?auto_12496 ?auto_12497 ) ( TRUCK ?auto_12490 ) ( LOCATION ?auto_12488 ) ( CITY ?auto_12489 ) ( AT ?auto_12490 ?auto_12488 ) ( IN-CITY ?auto_12488 ?auto_12489 ) ( IN-CITY ?auto_12497 ?auto_12489 ) ( DIFFERENT ?auto_12497 ?auto_12488 ) ( LOCATION ?auto_12507 ) ( AT ?auto_12490 ?auto_12507 ) ( AT ?auto_12486 ?auto_12507 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12486 ?auto_12490 ?auto_12507 )
      ( DELIVER-PKG ?auto_12486 ?auto_12487 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12509
      ?auto_12510
    )
    :vars
    (
      ?auto_12528
      ?auto_12512
      ?auto_12517
      ?auto_12525
      ?auto_12523
      ?auto_12514
      ?auto_12522
      ?auto_12515
      ?auto_12521
      ?auto_12520
      ?auto_12527
      ?auto_12526
      ?auto_12529
      ?auto_12518
      ?auto_12519
      ?auto_12524
      ?auto_12532
      ?auto_12531
    )
    :precondition
    ( and ( OBJ ?auto_12509 ) ( LOCATION ?auto_12510 ) ( TRUCK ?auto_12528 ) ( LOCATION ?auto_12512 ) ( CITY ?auto_12517 ) ( IN-CITY ?auto_12512 ?auto_12517 ) ( IN-CITY ?auto_12510 ?auto_12517 ) ( DIFFERENT ?auto_12510 ?auto_12512 ) ( LOCATION ?auto_12525 ) ( CITY ?auto_12523 ) ( IN-CITY ?auto_12525 ?auto_12523 ) ( IN-CITY ?auto_12512 ?auto_12523 ) ( DIFFERENT ?auto_12512 ?auto_12525 ) ( LOCATION ?auto_12514 ) ( CITY ?auto_12522 ) ( IN-CITY ?auto_12514 ?auto_12522 ) ( IN-CITY ?auto_12525 ?auto_12522 ) ( DIFFERENT ?auto_12525 ?auto_12514 ) ( LOCATION ?auto_12515 ) ( CITY ?auto_12521 ) ( AT ?auto_12528 ?auto_12515 ) ( IN-CITY ?auto_12515 ?auto_12521 ) ( IN-CITY ?auto_12514 ?auto_12521 ) ( DIFFERENT ?auto_12514 ?auto_12515 ) ( LOCATION ?auto_12520 ) ( AT ?auto_12528 ?auto_12520 ) ( AIRPLANE ?auto_12527 ) ( AIRPORT ?auto_12526 ) ( AIRPORT ?auto_12520 ) ( AT ?auto_12527 ?auto_12526 ) ( DIFFERENT ?auto_12520 ?auto_12526 ) ( LOCATION ?auto_12529 ) ( AT ?auto_12527 ?auto_12529 ) ( TRUCK ?auto_12518 ) ( LOCATION ?auto_12519 ) ( CITY ?auto_12524 ) ( IN-CITY ?auto_12519 ?auto_12524 ) ( IN-CITY ?auto_12529 ?auto_12524 ) ( DIFFERENT ?auto_12529 ?auto_12519 ) ( AT ?auto_12509 ?auto_12519 ) ( LOCATION ?auto_12532 ) ( CITY ?auto_12531 ) ( AT ?auto_12518 ?auto_12532 ) ( IN-CITY ?auto_12532 ?auto_12531 ) ( IN-CITY ?auto_12519 ?auto_12531 ) ( DIFFERENT ?auto_12519 ?auto_12532 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12518 ?auto_12532 ?auto_12519 ?auto_12531 )
      ( DELIVER-PKG ?auto_12509 ?auto_12510 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12556
      ?auto_12557
    )
    :vars
    (
      ?auto_12558
      ?auto_12561
      ?auto_12577
      ?auto_12566
      ?auto_12567
      ?auto_12572
      ?auto_12560
      ?auto_12576
      ?auto_12571
      ?auto_12563
      ?auto_12574
      ?auto_12573
      ?auto_12559
      ?auto_12562
      ?auto_12568
      ?auto_12569
      ?auto_12570
      ?auto_12575
      ?auto_12580
      ?auto_12579
    )
    :precondition
    ( and ( OBJ ?auto_12556 ) ( LOCATION ?auto_12557 ) ( TRUCK ?auto_12558 ) ( LOCATION ?auto_12561 ) ( CITY ?auto_12577 ) ( IN-CITY ?auto_12561 ?auto_12577 ) ( IN-CITY ?auto_12557 ?auto_12577 ) ( DIFFERENT ?auto_12557 ?auto_12561 ) ( LOCATION ?auto_12566 ) ( CITY ?auto_12567 ) ( IN-CITY ?auto_12566 ?auto_12567 ) ( IN-CITY ?auto_12561 ?auto_12567 ) ( DIFFERENT ?auto_12561 ?auto_12566 ) ( LOCATION ?auto_12572 ) ( CITY ?auto_12560 ) ( IN-CITY ?auto_12572 ?auto_12560 ) ( IN-CITY ?auto_12566 ?auto_12560 ) ( DIFFERENT ?auto_12566 ?auto_12572 ) ( LOCATION ?auto_12576 ) ( CITY ?auto_12571 ) ( AT ?auto_12558 ?auto_12576 ) ( IN-CITY ?auto_12576 ?auto_12571 ) ( IN-CITY ?auto_12572 ?auto_12571 ) ( DIFFERENT ?auto_12572 ?auto_12576 ) ( LOCATION ?auto_12563 ) ( AT ?auto_12558 ?auto_12563 ) ( AIRPLANE ?auto_12574 ) ( AIRPORT ?auto_12573 ) ( AIRPORT ?auto_12563 ) ( AT ?auto_12574 ?auto_12573 ) ( DIFFERENT ?auto_12563 ?auto_12573 ) ( LOCATION ?auto_12559 ) ( AT ?auto_12574 ?auto_12559 ) ( TRUCK ?auto_12562 ) ( LOCATION ?auto_12568 ) ( CITY ?auto_12569 ) ( IN-CITY ?auto_12568 ?auto_12569 ) ( IN-CITY ?auto_12559 ?auto_12569 ) ( DIFFERENT ?auto_12559 ?auto_12568 ) ( AT ?auto_12556 ?auto_12568 ) ( LOCATION ?auto_12570 ) ( CITY ?auto_12575 ) ( IN-CITY ?auto_12570 ?auto_12575 ) ( IN-CITY ?auto_12568 ?auto_12575 ) ( DIFFERENT ?auto_12568 ?auto_12570 ) ( LOCATION ?auto_12580 ) ( CITY ?auto_12579 ) ( AT ?auto_12562 ?auto_12580 ) ( IN-CITY ?auto_12580 ?auto_12579 ) ( IN-CITY ?auto_12570 ?auto_12579 ) ( DIFFERENT ?auto_12570 ?auto_12580 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12562 ?auto_12580 ?auto_12570 ?auto_12579 )
      ( DELIVER-PKG ?auto_12556 ?auto_12557 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12582
      ?auto_12583
    )
    :vars
    (
      ?auto_12585
      ?auto_12601
      ?auto_12595
      ?auto_12589
      ?auto_12590
      ?auto_12597
      ?auto_12604
      ?auto_12594
      ?auto_12596
      ?auto_12602
      ?auto_12591
      ?auto_12603
      ?auto_12600
      ?auto_12586
      ?auto_12587
      ?auto_12588
      ?auto_12593
      ?auto_12599
      ?auto_12592
      ?auto_12607
    )
    :precondition
    ( and ( OBJ ?auto_12582 ) ( LOCATION ?auto_12583 ) ( TRUCK ?auto_12585 ) ( LOCATION ?auto_12601 ) ( CITY ?auto_12595 ) ( IN-CITY ?auto_12601 ?auto_12595 ) ( IN-CITY ?auto_12583 ?auto_12595 ) ( DIFFERENT ?auto_12583 ?auto_12601 ) ( LOCATION ?auto_12589 ) ( CITY ?auto_12590 ) ( IN-CITY ?auto_12589 ?auto_12590 ) ( IN-CITY ?auto_12601 ?auto_12590 ) ( DIFFERENT ?auto_12601 ?auto_12589 ) ( LOCATION ?auto_12597 ) ( CITY ?auto_12604 ) ( IN-CITY ?auto_12597 ?auto_12604 ) ( IN-CITY ?auto_12589 ?auto_12604 ) ( DIFFERENT ?auto_12589 ?auto_12597 ) ( LOCATION ?auto_12594 ) ( CITY ?auto_12596 ) ( AT ?auto_12585 ?auto_12594 ) ( IN-CITY ?auto_12594 ?auto_12596 ) ( IN-CITY ?auto_12597 ?auto_12596 ) ( DIFFERENT ?auto_12597 ?auto_12594 ) ( LOCATION ?auto_12602 ) ( AT ?auto_12585 ?auto_12602 ) ( AIRPLANE ?auto_12591 ) ( AIRPORT ?auto_12603 ) ( AIRPORT ?auto_12602 ) ( DIFFERENT ?auto_12602 ?auto_12603 ) ( LOCATION ?auto_12603 ) ( TRUCK ?auto_12600 ) ( LOCATION ?auto_12586 ) ( CITY ?auto_12587 ) ( IN-CITY ?auto_12586 ?auto_12587 ) ( IN-CITY ?auto_12603 ?auto_12587 ) ( DIFFERENT ?auto_12603 ?auto_12586 ) ( AT ?auto_12582 ?auto_12586 ) ( LOCATION ?auto_12588 ) ( CITY ?auto_12593 ) ( IN-CITY ?auto_12588 ?auto_12593 ) ( IN-CITY ?auto_12586 ?auto_12593 ) ( DIFFERENT ?auto_12586 ?auto_12588 ) ( LOCATION ?auto_12599 ) ( CITY ?auto_12592 ) ( AT ?auto_12600 ?auto_12599 ) ( IN-CITY ?auto_12599 ?auto_12592 ) ( IN-CITY ?auto_12588 ?auto_12592 ) ( DIFFERENT ?auto_12588 ?auto_12599 ) ( AIRPORT ?auto_12607 ) ( AT ?auto_12591 ?auto_12607 ) ( DIFFERENT ?auto_12603 ?auto_12607 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12591 ?auto_12607 ?auto_12603 )
      ( DELIVER-PKG ?auto_12582 ?auto_12583 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35009
      ?auto_35010
    )
    :vars
    (
      ?auto_35019
      ?auto_35020
      ?auto_35014
      ?auto_35011
      ?auto_35021
      ?auto_35018
      ?auto_35017
      ?auto_35015
      ?auto_35016
      ?auto_35024
    )
    :precondition
    ( and ( OBJ ?auto_35009 ) ( LOCATION ?auto_35010 ) ( AIRPLANE ?auto_35019 ) ( AIRPORT ?auto_35020 ) ( AIRPORT ?auto_35010 ) ( AT ?auto_35019 ?auto_35020 ) ( DIFFERENT ?auto_35010 ?auto_35020 ) ( LOCATION ?auto_35014 ) ( AT ?auto_35019 ?auto_35014 ) ( AIRPLANE ?auto_35011 ) ( AT ?auto_35011 ?auto_35014 ) ( LOCATION ?auto_35021 ) ( AT ?auto_35011 ?auto_35021 ) ( AIRPLANE ?auto_35018 ) ( AT ?auto_35018 ?auto_35021 ) ( LOCATION ?auto_35017 ) ( AT ?auto_35018 ?auto_35017 ) ( AIRPLANE ?auto_35015 ) ( AT ?auto_35015 ?auto_35017 ) ( LOCATION ?auto_35016 ) ( AT ?auto_35015 ?auto_35016 ) ( AIRPLANE ?auto_35024 ) ( IN ?auto_35009 ?auto_35024 ) ( AT ?auto_35024 ?auto_35016 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_35009 ?auto_35016 )
      ( DELIVER-PKG ?auto_35009 ?auto_35010 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12817
      ?auto_12818
    )
    :vars
    (
      ?auto_12823
      ?auto_12825
      ?auto_12822
      ?auto_12819
      ?auto_12820
      ?auto_12828
    )
    :precondition
    ( and ( OBJ ?auto_12817 ) ( LOCATION ?auto_12818 ) ( AIRPLANE ?auto_12823 ) ( AIRPORT ?auto_12825 ) ( AIRPORT ?auto_12818 ) ( AT ?auto_12823 ?auto_12825 ) ( DIFFERENT ?auto_12818 ?auto_12825 ) ( LOCATION ?auto_12822 ) ( AT ?auto_12823 ?auto_12822 ) ( AIRPLANE ?auto_12819 ) ( AT ?auto_12819 ?auto_12822 ) ( LOCATION ?auto_12820 ) ( AT ?auto_12819 ?auto_12820 ) ( TRUCK ?auto_12828 ) ( AT ?auto_12828 ?auto_12820 ) ( IN ?auto_12817 ?auto_12828 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12817 ?auto_12820 )
      ( DELIVER-PKG ?auto_12817 ?auto_12818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36464
      ?auto_36465
    )
    :vars
    (
      ?auto_36469
      ?auto_36468
      ?auto_36479
      ?auto_36478
      ?auto_36475
      ?auto_36466
      ?auto_36477
      ?auto_36467
      ?auto_36476
      ?auto_36474
      ?auto_36470
      ?auto_36480
      ?auto_36473
      ?auto_36483
    )
    :precondition
    ( and ( OBJ ?auto_36464 ) ( LOCATION ?auto_36465 ) ( TRUCK ?auto_36469 ) ( LOCATION ?auto_36468 ) ( CITY ?auto_36479 ) ( AT ?auto_36469 ?auto_36468 ) ( IN-CITY ?auto_36468 ?auto_36479 ) ( IN-CITY ?auto_36465 ?auto_36479 ) ( DIFFERENT ?auto_36465 ?auto_36468 ) ( LOCATION ?auto_36478 ) ( AT ?auto_36469 ?auto_36478 ) ( AIRPLANE ?auto_36475 ) ( AIRPORT ?auto_36466 ) ( AIRPORT ?auto_36478 ) ( AT ?auto_36475 ?auto_36466 ) ( DIFFERENT ?auto_36478 ?auto_36466 ) ( LOCATION ?auto_36477 ) ( AT ?auto_36475 ?auto_36477 ) ( AIRPLANE ?auto_36467 ) ( AT ?auto_36467 ?auto_36477 ) ( LOCATION ?auto_36476 ) ( AT ?auto_36467 ?auto_36476 ) ( AIRPLANE ?auto_36474 ) ( AT ?auto_36474 ?auto_36476 ) ( LOCATION ?auto_36470 ) ( AT ?auto_36474 ?auto_36470 ) ( AIRPLANE ?auto_36480 ) ( AT ?auto_36480 ?auto_36470 ) ( LOCATION ?auto_36473 ) ( AT ?auto_36480 ?auto_36473 ) ( AIRPLANE ?auto_36483 ) ( IN ?auto_36464 ?auto_36483 ) ( AT ?auto_36483 ?auto_36473 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_36464 ?auto_36473 )
      ( DELIVER-PKG ?auto_36464 ?auto_36465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36445
      ?auto_36446
    )
    :vars
    (
      ?auto_36458
      ?auto_36457
      ?auto_36450
      ?auto_36456
      ?auto_36455
      ?auto_36459
      ?auto_36449
      ?auto_36460
      ?auto_36448
      ?auto_36454
      ?auto_36447
      ?auto_36453
      ?auto_36462
    )
    :precondition
    ( and ( OBJ ?auto_36445 ) ( LOCATION ?auto_36446 ) ( TRUCK ?auto_36458 ) ( LOCATION ?auto_36457 ) ( CITY ?auto_36450 ) ( AT ?auto_36458 ?auto_36457 ) ( IN-CITY ?auto_36457 ?auto_36450 ) ( IN-CITY ?auto_36446 ?auto_36450 ) ( DIFFERENT ?auto_36446 ?auto_36457 ) ( LOCATION ?auto_36456 ) ( AT ?auto_36458 ?auto_36456 ) ( AIRPLANE ?auto_36455 ) ( AIRPORT ?auto_36459 ) ( AIRPORT ?auto_36456 ) ( AT ?auto_36455 ?auto_36459 ) ( DIFFERENT ?auto_36456 ?auto_36459 ) ( LOCATION ?auto_36449 ) ( AT ?auto_36455 ?auto_36449 ) ( AIRPLANE ?auto_36460 ) ( AT ?auto_36460 ?auto_36449 ) ( LOCATION ?auto_36448 ) ( AT ?auto_36460 ?auto_36448 ) ( AIRPLANE ?auto_36454 ) ( AT ?auto_36454 ?auto_36448 ) ( LOCATION ?auto_36447 ) ( AT ?auto_36454 ?auto_36447 ) ( AIRPLANE ?auto_36453 ) ( AT ?auto_36453 ?auto_36447 ) ( LOCATION ?auto_36462 ) ( AT ?auto_36445 ?auto_36462 ) ( AT ?auto_36453 ?auto_36462 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_36445 ?auto_36453 ?auto_36462 )
      ( DELIVER-PKG ?auto_36445 ?auto_36446 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13307
      ?auto_13308
    )
    :vars
    (
      ?auto_13314
      ?auto_13311
      ?auto_13310
      ?auto_13316
      ?auto_13309
      ?auto_13313
      ?auto_13318
      ?auto_13315
      ?auto_13319
      ?auto_13322
    )
    :precondition
    ( and ( OBJ ?auto_13307 ) ( LOCATION ?auto_13308 ) ( TRUCK ?auto_13314 ) ( LOCATION ?auto_13311 ) ( CITY ?auto_13310 ) ( AT ?auto_13314 ?auto_13311 ) ( IN-CITY ?auto_13311 ?auto_13310 ) ( IN-CITY ?auto_13308 ?auto_13310 ) ( DIFFERENT ?auto_13308 ?auto_13311 ) ( LOCATION ?auto_13316 ) ( AT ?auto_13314 ?auto_13316 ) ( AIRPLANE ?auto_13309 ) ( AIRPORT ?auto_13313 ) ( AIRPORT ?auto_13316 ) ( AT ?auto_13309 ?auto_13313 ) ( DIFFERENT ?auto_13316 ?auto_13313 ) ( LOCATION ?auto_13318 ) ( AT ?auto_13309 ?auto_13318 ) ( AIRPLANE ?auto_13315 ) ( AT ?auto_13315 ?auto_13318 ) ( LOCATION ?auto_13319 ) ( AT ?auto_13315 ?auto_13319 ) ( TRUCK ?auto_13322 ) ( AT ?auto_13322 ?auto_13319 ) ( IN ?auto_13307 ?auto_13322 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13307 ?auto_13319 )
      ( DELIVER-PKG ?auto_13307 ?auto_13308 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13323
      ?auto_13324
    )
    :vars
    (
      ?auto_13325
      ?auto_13336
      ?auto_13335
      ?auto_13330
      ?auto_13333
      ?auto_13328
      ?auto_13329
      ?auto_13327
      ?auto_13334
      ?auto_13331
      ?auto_13339
      ?auto_13338
    )
    :precondition
    ( and ( OBJ ?auto_13323 ) ( LOCATION ?auto_13324 ) ( TRUCK ?auto_13325 ) ( LOCATION ?auto_13336 ) ( CITY ?auto_13335 ) ( AT ?auto_13325 ?auto_13336 ) ( IN-CITY ?auto_13336 ?auto_13335 ) ( IN-CITY ?auto_13324 ?auto_13335 ) ( DIFFERENT ?auto_13324 ?auto_13336 ) ( LOCATION ?auto_13330 ) ( AT ?auto_13325 ?auto_13330 ) ( AIRPLANE ?auto_13333 ) ( AIRPORT ?auto_13328 ) ( AIRPORT ?auto_13330 ) ( AT ?auto_13333 ?auto_13328 ) ( DIFFERENT ?auto_13330 ?auto_13328 ) ( LOCATION ?auto_13329 ) ( AT ?auto_13333 ?auto_13329 ) ( AIRPLANE ?auto_13327 ) ( AT ?auto_13327 ?auto_13329 ) ( LOCATION ?auto_13334 ) ( AT ?auto_13327 ?auto_13334 ) ( TRUCK ?auto_13331 ) ( IN ?auto_13323 ?auto_13331 ) ( LOCATION ?auto_13339 ) ( CITY ?auto_13338 ) ( AT ?auto_13331 ?auto_13339 ) ( IN-CITY ?auto_13339 ?auto_13338 ) ( IN-CITY ?auto_13334 ?auto_13338 ) ( DIFFERENT ?auto_13334 ?auto_13339 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13331 ?auto_13339 ?auto_13334 ?auto_13338 )
      ( DELIVER-PKG ?auto_13323 ?auto_13324 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13341
      ?auto_13342
    )
    :vars
    (
      ?auto_13350
      ?auto_13344
      ?auto_13343
      ?auto_13351
      ?auto_13354
      ?auto_13356
      ?auto_13347
      ?auto_13355
      ?auto_13345
      ?auto_13353
      ?auto_13349
      ?auto_13348
      ?auto_13358
    )
    :precondition
    ( and ( OBJ ?auto_13341 ) ( LOCATION ?auto_13342 ) ( TRUCK ?auto_13350 ) ( LOCATION ?auto_13344 ) ( CITY ?auto_13343 ) ( AT ?auto_13350 ?auto_13344 ) ( IN-CITY ?auto_13344 ?auto_13343 ) ( IN-CITY ?auto_13342 ?auto_13343 ) ( DIFFERENT ?auto_13342 ?auto_13344 ) ( LOCATION ?auto_13351 ) ( AT ?auto_13350 ?auto_13351 ) ( AIRPLANE ?auto_13354 ) ( AIRPORT ?auto_13356 ) ( AIRPORT ?auto_13351 ) ( AT ?auto_13354 ?auto_13356 ) ( DIFFERENT ?auto_13351 ?auto_13356 ) ( LOCATION ?auto_13347 ) ( AT ?auto_13354 ?auto_13347 ) ( AIRPLANE ?auto_13355 ) ( AT ?auto_13355 ?auto_13347 ) ( LOCATION ?auto_13345 ) ( AT ?auto_13355 ?auto_13345 ) ( TRUCK ?auto_13353 ) ( LOCATION ?auto_13349 ) ( CITY ?auto_13348 ) ( AT ?auto_13353 ?auto_13349 ) ( IN-CITY ?auto_13349 ?auto_13348 ) ( IN-CITY ?auto_13345 ?auto_13348 ) ( DIFFERENT ?auto_13345 ?auto_13349 ) ( LOCATION ?auto_13358 ) ( AT ?auto_13353 ?auto_13358 ) ( AT ?auto_13341 ?auto_13358 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13341 ?auto_13353 ?auto_13358 )
      ( DELIVER-PKG ?auto_13341 ?auto_13342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13360
      ?auto_13361
    )
    :vars
    (
      ?auto_13376
      ?auto_13368
      ?auto_13367
      ?auto_13369
      ?auto_13370
      ?auto_13362
      ?auto_13372
      ?auto_13373
      ?auto_13371
      ?auto_13363
      ?auto_13366
      ?auto_13374
      ?auto_13379
      ?auto_13378
    )
    :precondition
    ( and ( OBJ ?auto_13360 ) ( LOCATION ?auto_13361 ) ( TRUCK ?auto_13376 ) ( LOCATION ?auto_13368 ) ( CITY ?auto_13367 ) ( AT ?auto_13376 ?auto_13368 ) ( IN-CITY ?auto_13368 ?auto_13367 ) ( IN-CITY ?auto_13361 ?auto_13367 ) ( DIFFERENT ?auto_13361 ?auto_13368 ) ( LOCATION ?auto_13369 ) ( AT ?auto_13376 ?auto_13369 ) ( AIRPLANE ?auto_13370 ) ( AIRPORT ?auto_13362 ) ( AIRPORT ?auto_13369 ) ( AT ?auto_13370 ?auto_13362 ) ( DIFFERENT ?auto_13369 ?auto_13362 ) ( LOCATION ?auto_13372 ) ( AT ?auto_13370 ?auto_13372 ) ( AIRPLANE ?auto_13373 ) ( AT ?auto_13373 ?auto_13372 ) ( LOCATION ?auto_13371 ) ( AT ?auto_13373 ?auto_13371 ) ( TRUCK ?auto_13363 ) ( LOCATION ?auto_13366 ) ( CITY ?auto_13374 ) ( IN-CITY ?auto_13366 ?auto_13374 ) ( IN-CITY ?auto_13371 ?auto_13374 ) ( DIFFERENT ?auto_13371 ?auto_13366 ) ( AT ?auto_13360 ?auto_13366 ) ( LOCATION ?auto_13379 ) ( CITY ?auto_13378 ) ( AT ?auto_13363 ?auto_13379 ) ( IN-CITY ?auto_13379 ?auto_13378 ) ( IN-CITY ?auto_13366 ?auto_13378 ) ( DIFFERENT ?auto_13366 ?auto_13379 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13363 ?auto_13379 ?auto_13366 ?auto_13378 )
      ( DELIVER-PKG ?auto_13360 ?auto_13361 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13417
      ?auto_13418
    )
    :vars
    (
      ?auto_13422
      ?auto_13434
      ?auto_13433
      ?auto_13419
      ?auto_13430
      ?auto_13426
      ?auto_13428
      ?auto_13432
      ?auto_13431
      ?auto_13424
      ?auto_13420
      ?auto_13436
    )
    :precondition
    ( and ( OBJ ?auto_13417 ) ( LOCATION ?auto_13418 ) ( TRUCK ?auto_13422 ) ( LOCATION ?auto_13434 ) ( CITY ?auto_13433 ) ( AT ?auto_13422 ?auto_13434 ) ( IN-CITY ?auto_13434 ?auto_13433 ) ( IN-CITY ?auto_13418 ?auto_13433 ) ( DIFFERENT ?auto_13418 ?auto_13434 ) ( LOCATION ?auto_13419 ) ( AT ?auto_13422 ?auto_13419 ) ( AIRPLANE ?auto_13430 ) ( AIRPORT ?auto_13426 ) ( AIRPORT ?auto_13419 ) ( DIFFERENT ?auto_13419 ?auto_13426 ) ( LOCATION ?auto_13426 ) ( TRUCK ?auto_13428 ) ( LOCATION ?auto_13432 ) ( CITY ?auto_13431 ) ( IN-CITY ?auto_13432 ?auto_13431 ) ( IN-CITY ?auto_13426 ?auto_13431 ) ( DIFFERENT ?auto_13426 ?auto_13432 ) ( AT ?auto_13417 ?auto_13432 ) ( LOCATION ?auto_13424 ) ( CITY ?auto_13420 ) ( AT ?auto_13428 ?auto_13424 ) ( IN-CITY ?auto_13424 ?auto_13420 ) ( IN-CITY ?auto_13432 ?auto_13420 ) ( DIFFERENT ?auto_13432 ?auto_13424 ) ( AIRPORT ?auto_13436 ) ( AT ?auto_13430 ?auto_13436 ) ( DIFFERENT ?auto_13426 ?auto_13436 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13430 ?auto_13436 ?auto_13426 )
      ( DELIVER-PKG ?auto_13417 ?auto_13418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13518
      ?auto_13519
    )
    :vars
    (
      ?auto_13523
      ?auto_13520
      ?auto_13532
      ?auto_13528
      ?auto_13526
      ?auto_13527
      ?auto_13530
      ?auto_13529
      ?auto_13522
      ?auto_13521
      ?auto_13524
      ?auto_13536
      ?auto_13535
    )
    :precondition
    ( and ( OBJ ?auto_13518 ) ( LOCATION ?auto_13519 ) ( TRUCK ?auto_13523 ) ( LOCATION ?auto_13520 ) ( CITY ?auto_13532 ) ( IN-CITY ?auto_13520 ?auto_13532 ) ( IN-CITY ?auto_13519 ?auto_13532 ) ( DIFFERENT ?auto_13519 ?auto_13520 ) ( AIRPLANE ?auto_13528 ) ( AIRPORT ?auto_13526 ) ( AIRPORT ?auto_13520 ) ( DIFFERENT ?auto_13520 ?auto_13526 ) ( LOCATION ?auto_13526 ) ( TRUCK ?auto_13527 ) ( LOCATION ?auto_13530 ) ( CITY ?auto_13529 ) ( IN-CITY ?auto_13530 ?auto_13529 ) ( IN-CITY ?auto_13526 ?auto_13529 ) ( DIFFERENT ?auto_13526 ?auto_13530 ) ( AT ?auto_13518 ?auto_13530 ) ( LOCATION ?auto_13522 ) ( CITY ?auto_13521 ) ( AT ?auto_13527 ?auto_13522 ) ( IN-CITY ?auto_13522 ?auto_13521 ) ( IN-CITY ?auto_13530 ?auto_13521 ) ( DIFFERENT ?auto_13530 ?auto_13522 ) ( AIRPORT ?auto_13524 ) ( AT ?auto_13528 ?auto_13524 ) ( DIFFERENT ?auto_13526 ?auto_13524 ) ( LOCATION ?auto_13536 ) ( CITY ?auto_13535 ) ( AT ?auto_13523 ?auto_13536 ) ( IN-CITY ?auto_13536 ?auto_13535 ) ( IN-CITY ?auto_13520 ?auto_13535 ) ( DIFFERENT ?auto_13520 ?auto_13536 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13523 ?auto_13536 ?auto_13520 ?auto_13535 )
      ( DELIVER-PKG ?auto_13518 ?auto_13519 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13555
      ?auto_13556
    )
    :vars
    (
      ?auto_13562
      ?auto_13558
      ?auto_13569
      ?auto_13566
      ?auto_13564
      ?auto_13565
      ?auto_13568
      ?auto_13567
      ?auto_13560
      ?auto_13559
      ?auto_13563
      ?auto_13571
      ?auto_13570
      ?auto_13573
    )
    :precondition
    ( and ( OBJ ?auto_13555 ) ( LOCATION ?auto_13556 ) ( TRUCK ?auto_13562 ) ( LOCATION ?auto_13558 ) ( CITY ?auto_13569 ) ( IN-CITY ?auto_13558 ?auto_13569 ) ( IN-CITY ?auto_13556 ?auto_13569 ) ( DIFFERENT ?auto_13556 ?auto_13558 ) ( AIRPLANE ?auto_13566 ) ( AIRPORT ?auto_13564 ) ( AIRPORT ?auto_13558 ) ( DIFFERENT ?auto_13558 ?auto_13564 ) ( LOCATION ?auto_13564 ) ( TRUCK ?auto_13565 ) ( LOCATION ?auto_13568 ) ( CITY ?auto_13567 ) ( IN-CITY ?auto_13568 ?auto_13567 ) ( IN-CITY ?auto_13564 ?auto_13567 ) ( DIFFERENT ?auto_13564 ?auto_13568 ) ( AT ?auto_13555 ?auto_13568 ) ( LOCATION ?auto_13560 ) ( CITY ?auto_13559 ) ( AT ?auto_13565 ?auto_13560 ) ( IN-CITY ?auto_13560 ?auto_13559 ) ( IN-CITY ?auto_13568 ?auto_13559 ) ( DIFFERENT ?auto_13568 ?auto_13560 ) ( AIRPORT ?auto_13563 ) ( DIFFERENT ?auto_13564 ?auto_13563 ) ( LOCATION ?auto_13571 ) ( CITY ?auto_13570 ) ( AT ?auto_13562 ?auto_13571 ) ( IN-CITY ?auto_13571 ?auto_13570 ) ( IN-CITY ?auto_13558 ?auto_13570 ) ( DIFFERENT ?auto_13558 ?auto_13571 ) ( AIRPORT ?auto_13573 ) ( AT ?auto_13566 ?auto_13573 ) ( DIFFERENT ?auto_13563 ?auto_13573 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13566 ?auto_13573 ?auto_13563 )
      ( DELIVER-PKG ?auto_13555 ?auto_13556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13986
      ?auto_13987
    )
    :vars
    (
      ?auto_13989
      ?auto_13992
      ?auto_13995
      ?auto_13993
      ?auto_13988
      ?auto_13997
      ?auto_13990
      ?auto_13991
      ?auto_13994
      ?auto_14001
    )
    :precondition
    ( and ( OBJ ?auto_13986 ) ( LOCATION ?auto_13987 ) ( TRUCK ?auto_13989 ) ( LOCATION ?auto_13992 ) ( CITY ?auto_13995 ) ( IN-CITY ?auto_13992 ?auto_13995 ) ( IN-CITY ?auto_13987 ?auto_13995 ) ( DIFFERENT ?auto_13987 ?auto_13992 ) ( LOCATION ?auto_13993 ) ( CITY ?auto_13988 ) ( AT ?auto_13989 ?auto_13993 ) ( IN-CITY ?auto_13993 ?auto_13988 ) ( IN-CITY ?auto_13992 ?auto_13988 ) ( DIFFERENT ?auto_13992 ?auto_13993 ) ( LOCATION ?auto_13997 ) ( AT ?auto_13989 ?auto_13997 ) ( AIRPLANE ?auto_13990 ) ( AIRPORT ?auto_13991 ) ( AIRPORT ?auto_13997 ) ( AT ?auto_13990 ?auto_13991 ) ( DIFFERENT ?auto_13997 ?auto_13991 ) ( LOCATION ?auto_13994 ) ( AT ?auto_13990 ?auto_13994 ) ( AIRPLANE ?auto_14001 ) ( IN ?auto_13986 ?auto_14001 ) ( AT ?auto_14001 ?auto_13994 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13986 ?auto_13994 )
      ( DELIVER-PKG ?auto_13986 ?auto_13987 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14092
      ?auto_14093
    )
    :vars
    (
      ?auto_14107
      ?auto_14097
      ?auto_14108
      ?auto_14101
      ?auto_14106
      ?auto_14102
      ?auto_14096
      ?auto_14103
      ?auto_14110
      ?auto_14099
      ?auto_14100
      ?auto_14098
      ?auto_14095
      ?auto_14105
      ?auto_14113
      ?auto_14112
    )
    :precondition
    ( and ( OBJ ?auto_14092 ) ( LOCATION ?auto_14093 ) ( TRUCK ?auto_14107 ) ( LOCATION ?auto_14097 ) ( CITY ?auto_14108 ) ( IN-CITY ?auto_14097 ?auto_14108 ) ( IN-CITY ?auto_14093 ?auto_14108 ) ( DIFFERENT ?auto_14093 ?auto_14097 ) ( LOCATION ?auto_14101 ) ( CITY ?auto_14106 ) ( AT ?auto_14107 ?auto_14101 ) ( IN-CITY ?auto_14101 ?auto_14106 ) ( IN-CITY ?auto_14097 ?auto_14106 ) ( DIFFERENT ?auto_14097 ?auto_14101 ) ( LOCATION ?auto_14102 ) ( AT ?auto_14107 ?auto_14102 ) ( AIRPLANE ?auto_14096 ) ( AIRPORT ?auto_14103 ) ( AIRPORT ?auto_14102 ) ( AT ?auto_14096 ?auto_14103 ) ( DIFFERENT ?auto_14102 ?auto_14103 ) ( LOCATION ?auto_14110 ) ( AT ?auto_14096 ?auto_14110 ) ( AIRPLANE ?auto_14099 ) ( AT ?auto_14099 ?auto_14110 ) ( LOCATION ?auto_14100 ) ( AT ?auto_14099 ?auto_14100 ) ( TRUCK ?auto_14098 ) ( LOCATION ?auto_14095 ) ( CITY ?auto_14105 ) ( IN-CITY ?auto_14095 ?auto_14105 ) ( IN-CITY ?auto_14100 ?auto_14105 ) ( DIFFERENT ?auto_14100 ?auto_14095 ) ( AT ?auto_14092 ?auto_14095 ) ( LOCATION ?auto_14113 ) ( CITY ?auto_14112 ) ( AT ?auto_14098 ?auto_14113 ) ( IN-CITY ?auto_14113 ?auto_14112 ) ( IN-CITY ?auto_14095 ?auto_14112 ) ( DIFFERENT ?auto_14095 ?auto_14113 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14098 ?auto_14113 ?auto_14095 ?auto_14112 )
      ( DELIVER-PKG ?auto_14092 ?auto_14093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14155
      ?auto_14156
    )
    :vars
    (
      ?auto_14163
      ?auto_14169
      ?auto_14164
      ?auto_14158
      ?auto_14160
      ?auto_14159
      ?auto_14172
      ?auto_14173
      ?auto_14171
      ?auto_14167
      ?auto_14161
      ?auto_14165
      ?auto_14166
      ?auto_14176
    )
    :precondition
    ( and ( OBJ ?auto_14155 ) ( LOCATION ?auto_14156 ) ( TRUCK ?auto_14163 ) ( LOCATION ?auto_14169 ) ( CITY ?auto_14164 ) ( IN-CITY ?auto_14169 ?auto_14164 ) ( IN-CITY ?auto_14156 ?auto_14164 ) ( DIFFERENT ?auto_14156 ?auto_14169 ) ( LOCATION ?auto_14158 ) ( CITY ?auto_14160 ) ( AT ?auto_14163 ?auto_14158 ) ( IN-CITY ?auto_14158 ?auto_14160 ) ( IN-CITY ?auto_14169 ?auto_14160 ) ( DIFFERENT ?auto_14169 ?auto_14158 ) ( LOCATION ?auto_14159 ) ( AT ?auto_14163 ?auto_14159 ) ( AIRPLANE ?auto_14172 ) ( AIRPORT ?auto_14173 ) ( AIRPORT ?auto_14159 ) ( DIFFERENT ?auto_14159 ?auto_14173 ) ( LOCATION ?auto_14173 ) ( TRUCK ?auto_14171 ) ( LOCATION ?auto_14167 ) ( CITY ?auto_14161 ) ( IN-CITY ?auto_14167 ?auto_14161 ) ( IN-CITY ?auto_14173 ?auto_14161 ) ( DIFFERENT ?auto_14173 ?auto_14167 ) ( AT ?auto_14155 ?auto_14167 ) ( LOCATION ?auto_14165 ) ( CITY ?auto_14166 ) ( AT ?auto_14171 ?auto_14165 ) ( IN-CITY ?auto_14165 ?auto_14166 ) ( IN-CITY ?auto_14167 ?auto_14166 ) ( DIFFERENT ?auto_14167 ?auto_14165 ) ( AIRPORT ?auto_14176 ) ( AT ?auto_14172 ?auto_14176 ) ( DIFFERENT ?auto_14173 ?auto_14176 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14172 ?auto_14176 ?auto_14173 )
      ( DELIVER-PKG ?auto_14155 ?auto_14156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14268
      ?auto_14269
    )
    :vars
    (
      ?auto_14279
      ?auto_14284
      ?auto_14280
      ?auto_14272
      ?auto_14277
      ?auto_14270
      ?auto_14285
      ?auto_14271
      ?auto_14283
      ?auto_14273
      ?auto_14281
      ?auto_14282
      ?auto_14275
      ?auto_14288
      ?auto_14287
    )
    :precondition
    ( and ( OBJ ?auto_14268 ) ( LOCATION ?auto_14269 ) ( TRUCK ?auto_14279 ) ( LOCATION ?auto_14284 ) ( CITY ?auto_14280 ) ( IN-CITY ?auto_14284 ?auto_14280 ) ( IN-CITY ?auto_14269 ?auto_14280 ) ( DIFFERENT ?auto_14269 ?auto_14284 ) ( LOCATION ?auto_14272 ) ( CITY ?auto_14277 ) ( IN-CITY ?auto_14272 ?auto_14277 ) ( IN-CITY ?auto_14284 ?auto_14277 ) ( DIFFERENT ?auto_14284 ?auto_14272 ) ( AIRPLANE ?auto_14270 ) ( AIRPORT ?auto_14285 ) ( AIRPORT ?auto_14272 ) ( DIFFERENT ?auto_14272 ?auto_14285 ) ( LOCATION ?auto_14285 ) ( TRUCK ?auto_14271 ) ( LOCATION ?auto_14283 ) ( CITY ?auto_14273 ) ( IN-CITY ?auto_14283 ?auto_14273 ) ( IN-CITY ?auto_14285 ?auto_14273 ) ( DIFFERENT ?auto_14285 ?auto_14283 ) ( AT ?auto_14268 ?auto_14283 ) ( LOCATION ?auto_14281 ) ( CITY ?auto_14282 ) ( AT ?auto_14271 ?auto_14281 ) ( IN-CITY ?auto_14281 ?auto_14282 ) ( IN-CITY ?auto_14283 ?auto_14282 ) ( DIFFERENT ?auto_14283 ?auto_14281 ) ( AIRPORT ?auto_14275 ) ( AT ?auto_14270 ?auto_14275 ) ( DIFFERENT ?auto_14285 ?auto_14275 ) ( LOCATION ?auto_14288 ) ( CITY ?auto_14287 ) ( AT ?auto_14279 ?auto_14288 ) ( IN-CITY ?auto_14288 ?auto_14287 ) ( IN-CITY ?auto_14272 ?auto_14287 ) ( DIFFERENT ?auto_14272 ?auto_14288 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14279 ?auto_14288 ?auto_14272 ?auto_14287 )
      ( DELIVER-PKG ?auto_14268 ?auto_14269 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14309
      ?auto_14310
    )
    :vars
    (
      ?auto_14320
      ?auto_14325
      ?auto_14321
      ?auto_14316
      ?auto_14319
      ?auto_14313
      ?auto_14326
      ?auto_14314
      ?auto_14324
      ?auto_14317
      ?auto_14322
      ?auto_14323
      ?auto_14318
      ?auto_14327
      ?auto_14315
      ?auto_14329
    )
    :precondition
    ( and ( OBJ ?auto_14309 ) ( LOCATION ?auto_14310 ) ( TRUCK ?auto_14320 ) ( LOCATION ?auto_14325 ) ( CITY ?auto_14321 ) ( IN-CITY ?auto_14325 ?auto_14321 ) ( IN-CITY ?auto_14310 ?auto_14321 ) ( DIFFERENT ?auto_14310 ?auto_14325 ) ( LOCATION ?auto_14316 ) ( CITY ?auto_14319 ) ( IN-CITY ?auto_14316 ?auto_14319 ) ( IN-CITY ?auto_14325 ?auto_14319 ) ( DIFFERENT ?auto_14325 ?auto_14316 ) ( AIRPLANE ?auto_14313 ) ( AIRPORT ?auto_14326 ) ( AIRPORT ?auto_14316 ) ( DIFFERENT ?auto_14316 ?auto_14326 ) ( LOCATION ?auto_14326 ) ( TRUCK ?auto_14314 ) ( LOCATION ?auto_14324 ) ( CITY ?auto_14317 ) ( IN-CITY ?auto_14324 ?auto_14317 ) ( IN-CITY ?auto_14326 ?auto_14317 ) ( DIFFERENT ?auto_14326 ?auto_14324 ) ( AT ?auto_14309 ?auto_14324 ) ( LOCATION ?auto_14322 ) ( CITY ?auto_14323 ) ( AT ?auto_14314 ?auto_14322 ) ( IN-CITY ?auto_14322 ?auto_14323 ) ( IN-CITY ?auto_14324 ?auto_14323 ) ( DIFFERENT ?auto_14324 ?auto_14322 ) ( AIRPORT ?auto_14318 ) ( DIFFERENT ?auto_14326 ?auto_14318 ) ( LOCATION ?auto_14327 ) ( CITY ?auto_14315 ) ( AT ?auto_14320 ?auto_14327 ) ( IN-CITY ?auto_14327 ?auto_14315 ) ( IN-CITY ?auto_14316 ?auto_14315 ) ( DIFFERENT ?auto_14316 ?auto_14327 ) ( AIRPORT ?auto_14329 ) ( AT ?auto_14313 ?auto_14329 ) ( DIFFERENT ?auto_14318 ?auto_14329 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14313 ?auto_14329 ?auto_14318 )
      ( DELIVER-PKG ?auto_14309 ?auto_14310 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15171
      ?auto_15172
    )
    :vars
    (
      ?auto_15175
      ?auto_15179
      ?auto_15180
      ?auto_15177
      ?auto_15173
      ?auto_15181
      ?auto_15178
      ?auto_15184
    )
    :precondition
    ( and ( OBJ ?auto_15171 ) ( LOCATION ?auto_15172 ) ( AIRPLANE ?auto_15175 ) ( AIRPORT ?auto_15179 ) ( AIRPORT ?auto_15172 ) ( AT ?auto_15175 ?auto_15179 ) ( DIFFERENT ?auto_15172 ?auto_15179 ) ( LOCATION ?auto_15180 ) ( AT ?auto_15175 ?auto_15180 ) ( TRUCK ?auto_15177 ) ( LOCATION ?auto_15173 ) ( CITY ?auto_15181 ) ( AT ?auto_15177 ?auto_15173 ) ( IN-CITY ?auto_15173 ?auto_15181 ) ( IN-CITY ?auto_15180 ?auto_15181 ) ( DIFFERENT ?auto_15180 ?auto_15173 ) ( LOCATION ?auto_15178 ) ( AT ?auto_15177 ?auto_15178 ) ( TRUCK ?auto_15184 ) ( AT ?auto_15184 ?auto_15178 ) ( IN ?auto_15171 ?auto_15184 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15171 ?auto_15178 )
      ( DELIVER-PKG ?auto_15171 ?auto_15172 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15185
      ?auto_15186
    )
    :vars
    (
      ?auto_15195
      ?auto_15194
      ?auto_15187
      ?auto_15189
      ?auto_15193
      ?auto_15188
      ?auto_15199
      ?auto_15198
    )
    :precondition
    ( and ( OBJ ?auto_15185 ) ( LOCATION ?auto_15186 ) ( AIRPLANE ?auto_15195 ) ( AIRPORT ?auto_15194 ) ( AIRPORT ?auto_15186 ) ( AT ?auto_15195 ?auto_15194 ) ( DIFFERENT ?auto_15186 ?auto_15194 ) ( LOCATION ?auto_15187 ) ( AT ?auto_15195 ?auto_15187 ) ( TRUCK ?auto_15189 ) ( LOCATION ?auto_15193 ) ( CITY ?auto_15188 ) ( IN-CITY ?auto_15193 ?auto_15188 ) ( IN-CITY ?auto_15187 ?auto_15188 ) ( DIFFERENT ?auto_15187 ?auto_15193 ) ( IN ?auto_15185 ?auto_15189 ) ( LOCATION ?auto_15199 ) ( CITY ?auto_15198 ) ( AT ?auto_15189 ?auto_15199 ) ( IN-CITY ?auto_15199 ?auto_15198 ) ( IN-CITY ?auto_15193 ?auto_15198 ) ( DIFFERENT ?auto_15193 ?auto_15199 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15189 ?auto_15199 ?auto_15193 ?auto_15198 )
      ( DELIVER-PKG ?auto_15185 ?auto_15186 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15201
      ?auto_15202
    )
    :vars
    (
      ?auto_15206
      ?auto_15207
      ?auto_15208
      ?auto_15212
      ?auto_15210
      ?auto_15211
      ?auto_15209
      ?auto_15204
      ?auto_15214
    )
    :precondition
    ( and ( OBJ ?auto_15201 ) ( LOCATION ?auto_15202 ) ( AIRPLANE ?auto_15206 ) ( AIRPORT ?auto_15207 ) ( AIRPORT ?auto_15202 ) ( AT ?auto_15206 ?auto_15207 ) ( DIFFERENT ?auto_15202 ?auto_15207 ) ( LOCATION ?auto_15208 ) ( AT ?auto_15206 ?auto_15208 ) ( TRUCK ?auto_15212 ) ( LOCATION ?auto_15210 ) ( CITY ?auto_15211 ) ( IN-CITY ?auto_15210 ?auto_15211 ) ( IN-CITY ?auto_15208 ?auto_15211 ) ( DIFFERENT ?auto_15208 ?auto_15210 ) ( LOCATION ?auto_15209 ) ( CITY ?auto_15204 ) ( AT ?auto_15212 ?auto_15209 ) ( IN-CITY ?auto_15209 ?auto_15204 ) ( IN-CITY ?auto_15210 ?auto_15204 ) ( DIFFERENT ?auto_15210 ?auto_15209 ) ( LOCATION ?auto_15214 ) ( AT ?auto_15212 ?auto_15214 ) ( AT ?auto_15201 ?auto_15214 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15201 ?auto_15212 ?auto_15214 )
      ( DELIVER-PKG ?auto_15201 ?auto_15202 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15216
      ?auto_15217
    )
    :vars
    (
      ?auto_15228
      ?auto_15227
      ?auto_15222
      ?auto_15223
      ?auto_15218
      ?auto_15221
      ?auto_15219
      ?auto_15226
      ?auto_15220
      ?auto_15231
    )
    :precondition
    ( and ( OBJ ?auto_15216 ) ( LOCATION ?auto_15217 ) ( AIRPLANE ?auto_15228 ) ( AIRPORT ?auto_15227 ) ( AIRPORT ?auto_15217 ) ( AT ?auto_15228 ?auto_15227 ) ( DIFFERENT ?auto_15217 ?auto_15227 ) ( LOCATION ?auto_15222 ) ( AT ?auto_15228 ?auto_15222 ) ( TRUCK ?auto_15223 ) ( LOCATION ?auto_15218 ) ( CITY ?auto_15221 ) ( IN-CITY ?auto_15218 ?auto_15221 ) ( IN-CITY ?auto_15222 ?auto_15221 ) ( DIFFERENT ?auto_15222 ?auto_15218 ) ( LOCATION ?auto_15219 ) ( CITY ?auto_15226 ) ( AT ?auto_15223 ?auto_15219 ) ( IN-CITY ?auto_15219 ?auto_15226 ) ( IN-CITY ?auto_15218 ?auto_15226 ) ( DIFFERENT ?auto_15218 ?auto_15219 ) ( LOCATION ?auto_15220 ) ( AT ?auto_15223 ?auto_15220 ) ( AIRPLANE ?auto_15231 ) ( IN ?auto_15216 ?auto_15231 ) ( AT ?auto_15231 ?auto_15220 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15216 ?auto_15220 )
      ( DELIVER-PKG ?auto_15216 ?auto_15217 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_47699
      ?auto_47700
    )
    :vars
    (
      ?auto_47705
      ?auto_47702
      ?auto_47701
      ?auto_47706
      ?auto_47704
      ?auto_47709
    )
    :precondition
    ( and ( OBJ ?auto_47699 ) ( LOCATION ?auto_47700 ) ( AIRPLANE ?auto_47705 ) ( AIRPORT ?auto_47702 ) ( AIRPORT ?auto_47700 ) ( DIFFERENT ?auto_47700 ?auto_47702 ) ( AIRPORT ?auto_47701 ) ( AT ?auto_47705 ?auto_47701 ) ( DIFFERENT ?auto_47702 ?auto_47701 ) ( LOCATION ?auto_47706 ) ( AT ?auto_47705 ?auto_47706 ) ( AIRPLANE ?auto_47704 ) ( AT ?auto_47704 ?auto_47706 ) ( LOCATION ?auto_47709 ) ( AT ?auto_47699 ?auto_47709 ) ( AT ?auto_47704 ?auto_47709 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_47699 ?auto_47704 ?auto_47709 )
      ( DELIVER-PKG ?auto_47699 ?auto_47700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30978
      ?auto_30979
    )
    :vars
    (
      ?auto_30980
      ?auto_30983
      ?auto_30981
      ?auto_30982
      ?auto_30987
    )
    :precondition
    ( and ( OBJ ?auto_30978 ) ( LOCATION ?auto_30979 ) ( AIRPLANE ?auto_30980 ) ( AIRPORT ?auto_30983 ) ( AIRPORT ?auto_30979 ) ( DIFFERENT ?auto_30979 ?auto_30983 ) ( AIRPORT ?auto_30981 ) ( AT ?auto_30980 ?auto_30981 ) ( DIFFERENT ?auto_30983 ?auto_30981 ) ( LOCATION ?auto_30982 ) ( AT ?auto_30980 ?auto_30982 ) ( AIRPLANE ?auto_30987 ) ( IN ?auto_30978 ?auto_30987 ) ( AT ?auto_30987 ?auto_30982 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30978 ?auto_30982 )
      ( DELIVER-PKG ?auto_30978 ?auto_30979 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_47711
      ?auto_47712
    )
    :vars
    (
      ?auto_47717
      ?auto_47720
      ?auto_47718
      ?auto_47715
      ?auto_47716
      ?auto_47714
      ?auto_47723
    )
    :precondition
    ( and ( OBJ ?auto_47711 ) ( LOCATION ?auto_47712 ) ( AIRPLANE ?auto_47717 ) ( AIRPORT ?auto_47720 ) ( AIRPORT ?auto_47712 ) ( DIFFERENT ?auto_47712 ?auto_47720 ) ( AIRPORT ?auto_47718 ) ( AT ?auto_47717 ?auto_47718 ) ( DIFFERENT ?auto_47720 ?auto_47718 ) ( LOCATION ?auto_47715 ) ( AT ?auto_47717 ?auto_47715 ) ( AIRPLANE ?auto_47716 ) ( AT ?auto_47716 ?auto_47715 ) ( LOCATION ?auto_47714 ) ( AT ?auto_47716 ?auto_47714 ) ( TRUCK ?auto_47723 ) ( AT ?auto_47723 ?auto_47714 ) ( IN ?auto_47711 ?auto_47723 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_47711 ?auto_47714 )
      ( DELIVER-PKG ?auto_47711 ?auto_47712 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_47724
      ?auto_47725
    )
    :vars
    (
      ?auto_47731
      ?auto_47729
      ?auto_47730
      ?auto_47733
      ?auto_47734
      ?auto_47732
      ?auto_47726
      ?auto_47737
      ?auto_47736
    )
    :precondition
    ( and ( OBJ ?auto_47724 ) ( LOCATION ?auto_47725 ) ( AIRPLANE ?auto_47731 ) ( AIRPORT ?auto_47729 ) ( AIRPORT ?auto_47725 ) ( DIFFERENT ?auto_47725 ?auto_47729 ) ( AIRPORT ?auto_47730 ) ( AT ?auto_47731 ?auto_47730 ) ( DIFFERENT ?auto_47729 ?auto_47730 ) ( LOCATION ?auto_47733 ) ( AT ?auto_47731 ?auto_47733 ) ( AIRPLANE ?auto_47734 ) ( AT ?auto_47734 ?auto_47733 ) ( LOCATION ?auto_47732 ) ( AT ?auto_47734 ?auto_47732 ) ( TRUCK ?auto_47726 ) ( IN ?auto_47724 ?auto_47726 ) ( LOCATION ?auto_47737 ) ( CITY ?auto_47736 ) ( AT ?auto_47726 ?auto_47737 ) ( IN-CITY ?auto_47737 ?auto_47736 ) ( IN-CITY ?auto_47732 ?auto_47736 ) ( DIFFERENT ?auto_47732 ?auto_47737 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_47726 ?auto_47737 ?auto_47732 ?auto_47736 )
      ( DELIVER-PKG ?auto_47724 ?auto_47725 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_47739
      ?auto_47740
    )
    :vars
    (
      ?auto_47751
      ?auto_47750
      ?auto_47743
      ?auto_47749
      ?auto_47747
      ?auto_47741
      ?auto_47742
      ?auto_47745
      ?auto_47744
      ?auto_47753
    )
    :precondition
    ( and ( OBJ ?auto_47739 ) ( LOCATION ?auto_47740 ) ( AIRPLANE ?auto_47751 ) ( AIRPORT ?auto_47750 ) ( AIRPORT ?auto_47740 ) ( DIFFERENT ?auto_47740 ?auto_47750 ) ( AIRPORT ?auto_47743 ) ( AT ?auto_47751 ?auto_47743 ) ( DIFFERENT ?auto_47750 ?auto_47743 ) ( LOCATION ?auto_47749 ) ( AT ?auto_47751 ?auto_47749 ) ( AIRPLANE ?auto_47747 ) ( AT ?auto_47747 ?auto_47749 ) ( LOCATION ?auto_47741 ) ( AT ?auto_47747 ?auto_47741 ) ( TRUCK ?auto_47742 ) ( LOCATION ?auto_47745 ) ( CITY ?auto_47744 ) ( AT ?auto_47742 ?auto_47745 ) ( IN-CITY ?auto_47745 ?auto_47744 ) ( IN-CITY ?auto_47741 ?auto_47744 ) ( DIFFERENT ?auto_47741 ?auto_47745 ) ( LOCATION ?auto_47753 ) ( AT ?auto_47742 ?auto_47753 ) ( AT ?auto_47739 ?auto_47753 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_47739 ?auto_47742 ?auto_47753 )
      ( DELIVER-PKG ?auto_47739 ?auto_47740 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15395
      ?auto_15396
    )
    :vars
    (
      ?auto_15413
      ?auto_15404
      ?auto_15406
      ?auto_15407
      ?auto_15403
      ?auto_15399
      ?auto_15408
      ?auto_15410
      ?auto_15402
      ?auto_15412
      ?auto_15398
      ?auto_15409
      ?auto_15400
      ?auto_15397
      ?auto_15416
      ?auto_15415
    )
    :precondition
    ( and ( OBJ ?auto_15395 ) ( LOCATION ?auto_15396 ) ( AIRPLANE ?auto_15413 ) ( AIRPORT ?auto_15404 ) ( AIRPORT ?auto_15396 ) ( DIFFERENT ?auto_15396 ?auto_15404 ) ( LOCATION ?auto_15404 ) ( TRUCK ?auto_15406 ) ( LOCATION ?auto_15407 ) ( CITY ?auto_15403 ) ( IN-CITY ?auto_15407 ?auto_15403 ) ( IN-CITY ?auto_15404 ?auto_15403 ) ( DIFFERENT ?auto_15404 ?auto_15407 ) ( LOCATION ?auto_15399 ) ( CITY ?auto_15408 ) ( AT ?auto_15406 ?auto_15399 ) ( IN-CITY ?auto_15399 ?auto_15408 ) ( IN-CITY ?auto_15407 ?auto_15408 ) ( DIFFERENT ?auto_15407 ?auto_15399 ) ( AT ?auto_15406 ?auto_15404 ) ( AIRPORT ?auto_15410 ) ( AT ?auto_15413 ?auto_15410 ) ( DIFFERENT ?auto_15404 ?auto_15410 ) ( LOCATION ?auto_15402 ) ( AT ?auto_15413 ?auto_15402 ) ( AIRPLANE ?auto_15412 ) ( AT ?auto_15412 ?auto_15402 ) ( LOCATION ?auto_15398 ) ( AT ?auto_15412 ?auto_15398 ) ( TRUCK ?auto_15409 ) ( LOCATION ?auto_15400 ) ( CITY ?auto_15397 ) ( IN-CITY ?auto_15400 ?auto_15397 ) ( IN-CITY ?auto_15398 ?auto_15397 ) ( DIFFERENT ?auto_15398 ?auto_15400 ) ( AT ?auto_15395 ?auto_15400 ) ( LOCATION ?auto_15416 ) ( CITY ?auto_15415 ) ( AT ?auto_15409 ?auto_15416 ) ( IN-CITY ?auto_15416 ?auto_15415 ) ( IN-CITY ?auto_15400 ?auto_15415 ) ( DIFFERENT ?auto_15400 ?auto_15416 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15409 ?auto_15416 ?auto_15400 ?auto_15415 )
      ( DELIVER-PKG ?auto_15395 ?auto_15396 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19766
      ?auto_19767
    )
    :vars
    (
      ?auto_19771
      ?auto_19774
      ?auto_19768
      ?auto_19772
      ?auto_19775
      ?auto_19773
      ?auto_19778
      ?auto_19776
      ?auto_19780
    )
    :precondition
    ( and ( OBJ ?auto_19766 ) ( LOCATION ?auto_19767 ) ( AIRPLANE ?auto_19771 ) ( AIRPORT ?auto_19774 ) ( AIRPORT ?auto_19767 ) ( DIFFERENT ?auto_19767 ?auto_19774 ) ( AIRPORT ?auto_19768 ) ( DIFFERENT ?auto_19774 ?auto_19768 ) ( LOCATION ?auto_19768 ) ( TRUCK ?auto_19772 ) ( LOCATION ?auto_19775 ) ( CITY ?auto_19773 ) ( IN-CITY ?auto_19775 ?auto_19773 ) ( IN-CITY ?auto_19768 ?auto_19773 ) ( DIFFERENT ?auto_19768 ?auto_19775 ) ( AT ?auto_19766 ?auto_19775 ) ( LOCATION ?auto_19778 ) ( CITY ?auto_19776 ) ( AT ?auto_19772 ?auto_19778 ) ( IN-CITY ?auto_19778 ?auto_19776 ) ( IN-CITY ?auto_19775 ?auto_19776 ) ( DIFFERENT ?auto_19775 ?auto_19778 ) ( AIRPORT ?auto_19780 ) ( AT ?auto_19771 ?auto_19780 ) ( DIFFERENT ?auto_19768 ?auto_19780 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19771 ?auto_19780 ?auto_19768 )
      ( DELIVER-PKG ?auto_19766 ?auto_19767 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15571
      ?auto_15572
    )
    :vars
    (
      ?auto_15583
      ?auto_15588
      ?auto_15577
      ?auto_15580
      ?auto_15584
      ?auto_15581
      ?auto_15585
      ?auto_15582
      ?auto_15573
      ?auto_15575
      ?auto_15586
      ?auto_15576
      ?auto_15579
      ?auto_15591
      ?auto_15590
    )
    :precondition
    ( and ( OBJ ?auto_15571 ) ( LOCATION ?auto_15572 ) ( AIRPLANE ?auto_15583 ) ( AIRPORT ?auto_15588 ) ( AIRPORT ?auto_15572 ) ( DIFFERENT ?auto_15572 ?auto_15588 ) ( LOCATION ?auto_15588 ) ( TRUCK ?auto_15577 ) ( LOCATION ?auto_15580 ) ( CITY ?auto_15584 ) ( IN-CITY ?auto_15580 ?auto_15584 ) ( IN-CITY ?auto_15588 ?auto_15584 ) ( DIFFERENT ?auto_15588 ?auto_15580 ) ( CITY ?auto_15581 ) ( IN-CITY ?auto_15588 ?auto_15581 ) ( IN-CITY ?auto_15580 ?auto_15581 ) ( DIFFERENT ?auto_15580 ?auto_15588 ) ( AIRPORT ?auto_15585 ) ( DIFFERENT ?auto_15588 ?auto_15585 ) ( LOCATION ?auto_15585 ) ( TRUCK ?auto_15582 ) ( LOCATION ?auto_15573 ) ( CITY ?auto_15575 ) ( IN-CITY ?auto_15573 ?auto_15575 ) ( IN-CITY ?auto_15585 ?auto_15575 ) ( DIFFERENT ?auto_15585 ?auto_15573 ) ( AT ?auto_15571 ?auto_15573 ) ( LOCATION ?auto_15586 ) ( CITY ?auto_15576 ) ( AT ?auto_15582 ?auto_15586 ) ( IN-CITY ?auto_15586 ?auto_15576 ) ( IN-CITY ?auto_15573 ?auto_15576 ) ( DIFFERENT ?auto_15573 ?auto_15586 ) ( AIRPORT ?auto_15579 ) ( AT ?auto_15583 ?auto_15579 ) ( DIFFERENT ?auto_15585 ?auto_15579 ) ( LOCATION ?auto_15591 ) ( CITY ?auto_15590 ) ( AT ?auto_15577 ?auto_15591 ) ( IN-CITY ?auto_15591 ?auto_15590 ) ( IN-CITY ?auto_15588 ?auto_15590 ) ( DIFFERENT ?auto_15588 ?auto_15591 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15577 ?auto_15591 ?auto_15588 ?auto_15590 )
      ( DELIVER-PKG ?auto_15571 ?auto_15572 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15612
      ?auto_15613
    )
    :vars
    (
      ?auto_15625
      ?auto_15629
      ?auto_15620
      ?auto_15622
      ?auto_15626
      ?auto_15623
      ?auto_15627
      ?auto_15624
      ?auto_15617
      ?auto_15618
      ?auto_15628
      ?auto_15619
      ?auto_15621
      ?auto_15630
      ?auto_15615
      ?auto_15632
    )
    :precondition
    ( and ( OBJ ?auto_15612 ) ( LOCATION ?auto_15613 ) ( AIRPLANE ?auto_15625 ) ( AIRPORT ?auto_15629 ) ( AIRPORT ?auto_15613 ) ( DIFFERENT ?auto_15613 ?auto_15629 ) ( LOCATION ?auto_15629 ) ( TRUCK ?auto_15620 ) ( LOCATION ?auto_15622 ) ( CITY ?auto_15626 ) ( IN-CITY ?auto_15622 ?auto_15626 ) ( IN-CITY ?auto_15629 ?auto_15626 ) ( DIFFERENT ?auto_15629 ?auto_15622 ) ( CITY ?auto_15623 ) ( IN-CITY ?auto_15629 ?auto_15623 ) ( IN-CITY ?auto_15622 ?auto_15623 ) ( DIFFERENT ?auto_15622 ?auto_15629 ) ( AIRPORT ?auto_15627 ) ( DIFFERENT ?auto_15629 ?auto_15627 ) ( LOCATION ?auto_15627 ) ( TRUCK ?auto_15624 ) ( LOCATION ?auto_15617 ) ( CITY ?auto_15618 ) ( IN-CITY ?auto_15617 ?auto_15618 ) ( IN-CITY ?auto_15627 ?auto_15618 ) ( DIFFERENT ?auto_15627 ?auto_15617 ) ( AT ?auto_15612 ?auto_15617 ) ( LOCATION ?auto_15628 ) ( CITY ?auto_15619 ) ( AT ?auto_15624 ?auto_15628 ) ( IN-CITY ?auto_15628 ?auto_15619 ) ( IN-CITY ?auto_15617 ?auto_15619 ) ( DIFFERENT ?auto_15617 ?auto_15628 ) ( AIRPORT ?auto_15621 ) ( DIFFERENT ?auto_15627 ?auto_15621 ) ( LOCATION ?auto_15630 ) ( CITY ?auto_15615 ) ( AT ?auto_15620 ?auto_15630 ) ( IN-CITY ?auto_15630 ?auto_15615 ) ( IN-CITY ?auto_15629 ?auto_15615 ) ( DIFFERENT ?auto_15629 ?auto_15630 ) ( AIRPORT ?auto_15632 ) ( AT ?auto_15625 ?auto_15632 ) ( DIFFERENT ?auto_15621 ?auto_15632 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15625 ?auto_15632 ?auto_15621 )
      ( DELIVER-PKG ?auto_15612 ?auto_15613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15691
      ?auto_15692
    )
    :vars
    (
      ?auto_15693
      ?auto_15695
      ?auto_15699
      ?auto_15700
      ?auto_15697
      ?auto_15694
      ?auto_15702
    )
    :precondition
    ( and ( OBJ ?auto_15691 ) ( LOCATION ?auto_15692 ) ( TRUCK ?auto_15693 ) ( AT ?auto_15693 ?auto_15692 ) ( LOCATION ?auto_15695 ) ( AT ?auto_15693 ?auto_15695 ) ( AIRPLANE ?auto_15699 ) ( AIRPORT ?auto_15700 ) ( AIRPORT ?auto_15695 ) ( AT ?auto_15699 ?auto_15700 ) ( DIFFERENT ?auto_15695 ?auto_15700 ) ( LOCATION ?auto_15697 ) ( AT ?auto_15699 ?auto_15697 ) ( TRUCK ?auto_15694 ) ( AT ?auto_15694 ?auto_15697 ) ( LOCATION ?auto_15702 ) ( AT ?auto_15694 ?auto_15702 ) ( AT ?auto_15691 ?auto_15702 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15691 ?auto_15694 ?auto_15702 )
      ( DELIVER-PKG ?auto_15691 ?auto_15692 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15749
      ?auto_15750
    )
    :vars
    (
      ?auto_15759
      ?auto_15753
      ?auto_15754
      ?auto_15760
      ?auto_15752
      ?auto_15757
      ?auto_15751
      ?auto_15761
      ?auto_15755
      ?auto_15764
    )
    :precondition
    ( and ( OBJ ?auto_15749 ) ( LOCATION ?auto_15750 ) ( TRUCK ?auto_15759 ) ( AT ?auto_15759 ?auto_15750 ) ( LOCATION ?auto_15753 ) ( AT ?auto_15759 ?auto_15753 ) ( AIRPLANE ?auto_15754 ) ( AIRPORT ?auto_15760 ) ( AIRPORT ?auto_15753 ) ( AT ?auto_15754 ?auto_15760 ) ( DIFFERENT ?auto_15753 ?auto_15760 ) ( LOCATION ?auto_15752 ) ( AT ?auto_15754 ?auto_15752 ) ( TRUCK ?auto_15757 ) ( LOCATION ?auto_15751 ) ( CITY ?auto_15761 ) ( AT ?auto_15757 ?auto_15751 ) ( IN-CITY ?auto_15751 ?auto_15761 ) ( IN-CITY ?auto_15752 ?auto_15761 ) ( DIFFERENT ?auto_15752 ?auto_15751 ) ( LOCATION ?auto_15755 ) ( AT ?auto_15757 ?auto_15755 ) ( TRUCK ?auto_15764 ) ( AT ?auto_15764 ?auto_15755 ) ( IN ?auto_15749 ?auto_15764 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15749 ?auto_15755 )
      ( DELIVER-PKG ?auto_15749 ?auto_15750 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15765
      ?auto_15766
    )
    :vars
    (
      ?auto_15771
      ?auto_15777
      ?auto_15778
      ?auto_15769
      ?auto_15776
      ?auto_15775
      ?auto_15774
      ?auto_15770
      ?auto_15781
      ?auto_15780
    )
    :precondition
    ( and ( OBJ ?auto_15765 ) ( LOCATION ?auto_15766 ) ( TRUCK ?auto_15771 ) ( AT ?auto_15771 ?auto_15766 ) ( LOCATION ?auto_15777 ) ( AT ?auto_15771 ?auto_15777 ) ( AIRPLANE ?auto_15778 ) ( AIRPORT ?auto_15769 ) ( AIRPORT ?auto_15777 ) ( AT ?auto_15778 ?auto_15769 ) ( DIFFERENT ?auto_15777 ?auto_15769 ) ( LOCATION ?auto_15776 ) ( AT ?auto_15778 ?auto_15776 ) ( TRUCK ?auto_15775 ) ( LOCATION ?auto_15774 ) ( CITY ?auto_15770 ) ( IN-CITY ?auto_15774 ?auto_15770 ) ( IN-CITY ?auto_15776 ?auto_15770 ) ( DIFFERENT ?auto_15776 ?auto_15774 ) ( IN ?auto_15765 ?auto_15775 ) ( LOCATION ?auto_15781 ) ( CITY ?auto_15780 ) ( AT ?auto_15775 ?auto_15781 ) ( IN-CITY ?auto_15781 ?auto_15780 ) ( IN-CITY ?auto_15774 ?auto_15780 ) ( DIFFERENT ?auto_15774 ?auto_15781 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15775 ?auto_15781 ?auto_15774 ?auto_15780 )
      ( DELIVER-PKG ?auto_15765 ?auto_15766 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15783
      ?auto_15784
    )
    :vars
    (
      ?auto_15789
      ?auto_15785
      ?auto_15786
      ?auto_15795
      ?auto_15787
      ?auto_15794
      ?auto_15788
      ?auto_15796
      ?auto_15791
      ?auto_15790
      ?auto_15798
    )
    :precondition
    ( and ( OBJ ?auto_15783 ) ( LOCATION ?auto_15784 ) ( TRUCK ?auto_15789 ) ( AT ?auto_15789 ?auto_15784 ) ( LOCATION ?auto_15785 ) ( AT ?auto_15789 ?auto_15785 ) ( AIRPLANE ?auto_15786 ) ( AIRPORT ?auto_15795 ) ( AIRPORT ?auto_15785 ) ( AT ?auto_15786 ?auto_15795 ) ( DIFFERENT ?auto_15785 ?auto_15795 ) ( LOCATION ?auto_15787 ) ( AT ?auto_15786 ?auto_15787 ) ( TRUCK ?auto_15794 ) ( LOCATION ?auto_15788 ) ( CITY ?auto_15796 ) ( IN-CITY ?auto_15788 ?auto_15796 ) ( IN-CITY ?auto_15787 ?auto_15796 ) ( DIFFERENT ?auto_15787 ?auto_15788 ) ( LOCATION ?auto_15791 ) ( CITY ?auto_15790 ) ( AT ?auto_15794 ?auto_15791 ) ( IN-CITY ?auto_15791 ?auto_15790 ) ( IN-CITY ?auto_15788 ?auto_15790 ) ( DIFFERENT ?auto_15788 ?auto_15791 ) ( LOCATION ?auto_15798 ) ( AT ?auto_15794 ?auto_15798 ) ( AT ?auto_15783 ?auto_15798 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15783 ?auto_15794 ?auto_15798 )
      ( DELIVER-PKG ?auto_15783 ?auto_15784 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15800
      ?auto_15801
    )
    :vars
    (
      ?auto_15813
      ?auto_15807
      ?auto_15812
      ?auto_15809
      ?auto_15811
      ?auto_15810
      ?auto_15814
      ?auto_15806
      ?auto_15804
      ?auto_15803
      ?auto_15802
      ?auto_15817
    )
    :precondition
    ( and ( OBJ ?auto_15800 ) ( LOCATION ?auto_15801 ) ( TRUCK ?auto_15813 ) ( AT ?auto_15813 ?auto_15801 ) ( LOCATION ?auto_15807 ) ( AT ?auto_15813 ?auto_15807 ) ( AIRPLANE ?auto_15812 ) ( AIRPORT ?auto_15809 ) ( AIRPORT ?auto_15807 ) ( AT ?auto_15812 ?auto_15809 ) ( DIFFERENT ?auto_15807 ?auto_15809 ) ( LOCATION ?auto_15811 ) ( AT ?auto_15812 ?auto_15811 ) ( TRUCK ?auto_15810 ) ( LOCATION ?auto_15814 ) ( CITY ?auto_15806 ) ( IN-CITY ?auto_15814 ?auto_15806 ) ( IN-CITY ?auto_15811 ?auto_15806 ) ( DIFFERENT ?auto_15811 ?auto_15814 ) ( LOCATION ?auto_15804 ) ( CITY ?auto_15803 ) ( AT ?auto_15810 ?auto_15804 ) ( IN-CITY ?auto_15804 ?auto_15803 ) ( IN-CITY ?auto_15814 ?auto_15803 ) ( DIFFERENT ?auto_15814 ?auto_15804 ) ( LOCATION ?auto_15802 ) ( AT ?auto_15810 ?auto_15802 ) ( AIRPLANE ?auto_15817 ) ( IN ?auto_15800 ?auto_15817 ) ( AT ?auto_15817 ?auto_15802 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15800 ?auto_15802 )
      ( DELIVER-PKG ?auto_15800 ?auto_15801 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15818
      ?auto_15819
    )
    :vars
    (
      ?auto_15832
      ?auto_15823
      ?auto_15826
      ?auto_15827
      ?auto_15820
      ?auto_15821
      ?auto_15833
      ?auto_15831
      ?auto_15828
      ?auto_15835
    )
    :precondition
    ( and ( OBJ ?auto_15818 ) ( LOCATION ?auto_15819 ) ( TRUCK ?auto_15832 ) ( AT ?auto_15832 ?auto_15819 ) ( LOCATION ?auto_15823 ) ( AT ?auto_15832 ?auto_15823 ) ( AIRPLANE ?auto_15826 ) ( AIRPORT ?auto_15827 ) ( AIRPORT ?auto_15823 ) ( DIFFERENT ?auto_15823 ?auto_15827 ) ( LOCATION ?auto_15827 ) ( TRUCK ?auto_15820 ) ( LOCATION ?auto_15821 ) ( CITY ?auto_15833 ) ( IN-CITY ?auto_15821 ?auto_15833 ) ( IN-CITY ?auto_15827 ?auto_15833 ) ( DIFFERENT ?auto_15827 ?auto_15821 ) ( LOCATION ?auto_15831 ) ( CITY ?auto_15828 ) ( AT ?auto_15820 ?auto_15831 ) ( IN-CITY ?auto_15831 ?auto_15828 ) ( IN-CITY ?auto_15821 ?auto_15828 ) ( DIFFERENT ?auto_15821 ?auto_15831 ) ( AT ?auto_15820 ?auto_15827 ) ( IN ?auto_15818 ?auto_15826 ) ( AIRPORT ?auto_15835 ) ( AT ?auto_15826 ?auto_15835 ) ( DIFFERENT ?auto_15827 ?auto_15835 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15826 ?auto_15835 ?auto_15827 )
      ( DELIVER-PKG ?auto_15818 ?auto_15819 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15917
      ?auto_15918
    )
    :vars
    (
      ?auto_15925
      ?auto_15921
      ?auto_15923
      ?auto_15928
      ?auto_15919
      ?auto_15922
      ?auto_15926
      ?auto_15927
      ?auto_15929
      ?auto_15920
      ?auto_15924
      ?auto_15932
      ?auto_15934
    )
    :precondition
    ( and ( OBJ ?auto_15917 ) ( LOCATION ?auto_15918 ) ( TRUCK ?auto_15925 ) ( AT ?auto_15925 ?auto_15918 ) ( LOCATION ?auto_15921 ) ( AT ?auto_15925 ?auto_15921 ) ( AIRPLANE ?auto_15923 ) ( AIRPORT ?auto_15928 ) ( AIRPORT ?auto_15921 ) ( DIFFERENT ?auto_15921 ?auto_15928 ) ( LOCATION ?auto_15928 ) ( TRUCK ?auto_15919 ) ( LOCATION ?auto_15922 ) ( CITY ?auto_15926 ) ( IN-CITY ?auto_15922 ?auto_15926 ) ( IN-CITY ?auto_15928 ?auto_15926 ) ( DIFFERENT ?auto_15928 ?auto_15922 ) ( LOCATION ?auto_15927 ) ( CITY ?auto_15929 ) ( AT ?auto_15919 ?auto_15927 ) ( IN-CITY ?auto_15927 ?auto_15929 ) ( IN-CITY ?auto_15922 ?auto_15929 ) ( DIFFERENT ?auto_15922 ?auto_15927 ) ( AT ?auto_15919 ?auto_15928 ) ( AIRPORT ?auto_15920 ) ( AT ?auto_15923 ?auto_15920 ) ( DIFFERENT ?auto_15928 ?auto_15920 ) ( LOCATION ?auto_15924 ) ( AT ?auto_15923 ?auto_15924 ) ( AIRPLANE ?auto_15932 ) ( AT ?auto_15932 ?auto_15924 ) ( LOCATION ?auto_15934 ) ( AT ?auto_15917 ?auto_15934 ) ( AT ?auto_15932 ?auto_15934 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_15917 ?auto_15932 ?auto_15934 )
      ( DELIVER-PKG ?auto_15917 ?auto_15918 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15883
      ?auto_15884
    )
    :vars
    (
      ?auto_15895
      ?auto_15889
      ?auto_15892
      ?auto_15890
      ?auto_15887
      ?auto_15888
      ?auto_15885
      ?auto_15897
      ?auto_15891
      ?auto_15886
      ?auto_15894
      ?auto_15900
    )
    :precondition
    ( and ( OBJ ?auto_15883 ) ( LOCATION ?auto_15884 ) ( TRUCK ?auto_15895 ) ( AT ?auto_15895 ?auto_15884 ) ( LOCATION ?auto_15889 ) ( AT ?auto_15895 ?auto_15889 ) ( AIRPLANE ?auto_15892 ) ( AIRPORT ?auto_15890 ) ( AIRPORT ?auto_15889 ) ( DIFFERENT ?auto_15889 ?auto_15890 ) ( LOCATION ?auto_15890 ) ( TRUCK ?auto_15887 ) ( LOCATION ?auto_15888 ) ( CITY ?auto_15885 ) ( IN-CITY ?auto_15888 ?auto_15885 ) ( IN-CITY ?auto_15890 ?auto_15885 ) ( DIFFERENT ?auto_15890 ?auto_15888 ) ( LOCATION ?auto_15897 ) ( CITY ?auto_15891 ) ( AT ?auto_15887 ?auto_15897 ) ( IN-CITY ?auto_15897 ?auto_15891 ) ( IN-CITY ?auto_15888 ?auto_15891 ) ( DIFFERENT ?auto_15888 ?auto_15897 ) ( AT ?auto_15887 ?auto_15890 ) ( AIRPORT ?auto_15886 ) ( AT ?auto_15892 ?auto_15886 ) ( DIFFERENT ?auto_15890 ?auto_15886 ) ( LOCATION ?auto_15894 ) ( AT ?auto_15892 ?auto_15894 ) ( AIRPLANE ?auto_15900 ) ( IN ?auto_15883 ?auto_15900 ) ( AT ?auto_15900 ?auto_15894 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15883 ?auto_15894 )
      ( DELIVER-PKG ?auto_15883 ?auto_15884 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15936
      ?auto_15937
    )
    :vars
    (
      ?auto_15949
      ?auto_15945
      ?auto_15944
      ?auto_15943
      ?auto_15938
      ?auto_15939
      ?auto_15941
      ?auto_15942
      ?auto_15940
      ?auto_15946
      ?auto_15948
      ?auto_15947
      ?auto_15952
      ?auto_15955
    )
    :precondition
    ( and ( OBJ ?auto_15936 ) ( LOCATION ?auto_15937 ) ( TRUCK ?auto_15949 ) ( AT ?auto_15949 ?auto_15937 ) ( LOCATION ?auto_15945 ) ( AT ?auto_15949 ?auto_15945 ) ( AIRPLANE ?auto_15944 ) ( AIRPORT ?auto_15943 ) ( AIRPORT ?auto_15945 ) ( DIFFERENT ?auto_15945 ?auto_15943 ) ( LOCATION ?auto_15943 ) ( TRUCK ?auto_15938 ) ( LOCATION ?auto_15939 ) ( CITY ?auto_15941 ) ( IN-CITY ?auto_15939 ?auto_15941 ) ( IN-CITY ?auto_15943 ?auto_15941 ) ( DIFFERENT ?auto_15943 ?auto_15939 ) ( LOCATION ?auto_15942 ) ( CITY ?auto_15940 ) ( AT ?auto_15938 ?auto_15942 ) ( IN-CITY ?auto_15942 ?auto_15940 ) ( IN-CITY ?auto_15939 ?auto_15940 ) ( DIFFERENT ?auto_15939 ?auto_15942 ) ( AT ?auto_15938 ?auto_15943 ) ( AIRPORT ?auto_15946 ) ( AT ?auto_15944 ?auto_15946 ) ( DIFFERENT ?auto_15943 ?auto_15946 ) ( LOCATION ?auto_15948 ) ( AT ?auto_15944 ?auto_15948 ) ( AIRPLANE ?auto_15947 ) ( AT ?auto_15947 ?auto_15948 ) ( LOCATION ?auto_15952 ) ( AT ?auto_15947 ?auto_15952 ) ( TRUCK ?auto_15955 ) ( AT ?auto_15955 ?auto_15952 ) ( IN ?auto_15936 ?auto_15955 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15936 ?auto_15952 )
      ( DELIVER-PKG ?auto_15936 ?auto_15937 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15956
      ?auto_15957
    )
    :vars
    (
      ?auto_15959
      ?auto_15973
      ?auto_15969
      ?auto_15966
      ?auto_15968
      ?auto_15971
      ?auto_15972
      ?auto_15962
      ?auto_15970
      ?auto_15961
      ?auto_15958
      ?auto_15963
      ?auto_15964
      ?auto_15965
      ?auto_15976
      ?auto_15975
    )
    :precondition
    ( and ( OBJ ?auto_15956 ) ( LOCATION ?auto_15957 ) ( TRUCK ?auto_15959 ) ( AT ?auto_15959 ?auto_15957 ) ( LOCATION ?auto_15973 ) ( AT ?auto_15959 ?auto_15973 ) ( AIRPLANE ?auto_15969 ) ( AIRPORT ?auto_15966 ) ( AIRPORT ?auto_15973 ) ( DIFFERENT ?auto_15973 ?auto_15966 ) ( LOCATION ?auto_15966 ) ( TRUCK ?auto_15968 ) ( LOCATION ?auto_15971 ) ( CITY ?auto_15972 ) ( IN-CITY ?auto_15971 ?auto_15972 ) ( IN-CITY ?auto_15966 ?auto_15972 ) ( DIFFERENT ?auto_15966 ?auto_15971 ) ( LOCATION ?auto_15962 ) ( CITY ?auto_15970 ) ( AT ?auto_15968 ?auto_15962 ) ( IN-CITY ?auto_15962 ?auto_15970 ) ( IN-CITY ?auto_15971 ?auto_15970 ) ( DIFFERENT ?auto_15971 ?auto_15962 ) ( AT ?auto_15968 ?auto_15966 ) ( AIRPORT ?auto_15961 ) ( AT ?auto_15969 ?auto_15961 ) ( DIFFERENT ?auto_15966 ?auto_15961 ) ( LOCATION ?auto_15958 ) ( AT ?auto_15969 ?auto_15958 ) ( AIRPLANE ?auto_15963 ) ( AT ?auto_15963 ?auto_15958 ) ( LOCATION ?auto_15964 ) ( AT ?auto_15963 ?auto_15964 ) ( TRUCK ?auto_15965 ) ( IN ?auto_15956 ?auto_15965 ) ( LOCATION ?auto_15976 ) ( CITY ?auto_15975 ) ( AT ?auto_15965 ?auto_15976 ) ( IN-CITY ?auto_15976 ?auto_15975 ) ( IN-CITY ?auto_15964 ?auto_15975 ) ( DIFFERENT ?auto_15964 ?auto_15976 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15965 ?auto_15976 ?auto_15964 ?auto_15975 )
      ( DELIVER-PKG ?auto_15956 ?auto_15957 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15978
      ?auto_15979
    )
    :vars
    (
      ?auto_15995
      ?auto_15987
      ?auto_15993
      ?auto_15982
      ?auto_15984
      ?auto_15992
      ?auto_15981
      ?auto_15996
      ?auto_15986
      ?auto_15994
      ?auto_15983
      ?auto_15997
      ?auto_15985
      ?auto_15990
      ?auto_15989
      ?auto_15988
      ?auto_15999
    )
    :precondition
    ( and ( OBJ ?auto_15978 ) ( LOCATION ?auto_15979 ) ( TRUCK ?auto_15995 ) ( AT ?auto_15995 ?auto_15979 ) ( LOCATION ?auto_15987 ) ( AT ?auto_15995 ?auto_15987 ) ( AIRPLANE ?auto_15993 ) ( AIRPORT ?auto_15982 ) ( AIRPORT ?auto_15987 ) ( DIFFERENT ?auto_15987 ?auto_15982 ) ( LOCATION ?auto_15982 ) ( TRUCK ?auto_15984 ) ( LOCATION ?auto_15992 ) ( CITY ?auto_15981 ) ( IN-CITY ?auto_15992 ?auto_15981 ) ( IN-CITY ?auto_15982 ?auto_15981 ) ( DIFFERENT ?auto_15982 ?auto_15992 ) ( LOCATION ?auto_15996 ) ( CITY ?auto_15986 ) ( AT ?auto_15984 ?auto_15996 ) ( IN-CITY ?auto_15996 ?auto_15986 ) ( IN-CITY ?auto_15992 ?auto_15986 ) ( DIFFERENT ?auto_15992 ?auto_15996 ) ( AT ?auto_15984 ?auto_15982 ) ( AIRPORT ?auto_15994 ) ( AT ?auto_15993 ?auto_15994 ) ( DIFFERENT ?auto_15982 ?auto_15994 ) ( LOCATION ?auto_15983 ) ( AT ?auto_15993 ?auto_15983 ) ( AIRPLANE ?auto_15997 ) ( AT ?auto_15997 ?auto_15983 ) ( LOCATION ?auto_15985 ) ( AT ?auto_15997 ?auto_15985 ) ( TRUCK ?auto_15990 ) ( LOCATION ?auto_15989 ) ( CITY ?auto_15988 ) ( AT ?auto_15990 ?auto_15989 ) ( IN-CITY ?auto_15989 ?auto_15988 ) ( IN-CITY ?auto_15985 ?auto_15988 ) ( DIFFERENT ?auto_15985 ?auto_15989 ) ( LOCATION ?auto_15999 ) ( AT ?auto_15990 ?auto_15999 ) ( AT ?auto_15978 ?auto_15999 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15978 ?auto_15990 ?auto_15999 )
      ( DELIVER-PKG ?auto_15978 ?auto_15979 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16001
      ?auto_16002
    )
    :vars
    (
      ?auto_16012
      ?auto_16013
      ?auto_16018
      ?auto_16017
      ?auto_16016
      ?auto_16006
      ?auto_16014
      ?auto_16008
      ?auto_16021
      ?auto_16011
      ?auto_16019
      ?auto_16010
      ?auto_16020
      ?auto_16015
      ?auto_16009
      ?auto_16004
      ?auto_16024
      ?auto_16023
    )
    :precondition
    ( and ( OBJ ?auto_16001 ) ( LOCATION ?auto_16002 ) ( TRUCK ?auto_16012 ) ( AT ?auto_16012 ?auto_16002 ) ( LOCATION ?auto_16013 ) ( AT ?auto_16012 ?auto_16013 ) ( AIRPLANE ?auto_16018 ) ( AIRPORT ?auto_16017 ) ( AIRPORT ?auto_16013 ) ( DIFFERENT ?auto_16013 ?auto_16017 ) ( LOCATION ?auto_16017 ) ( TRUCK ?auto_16016 ) ( LOCATION ?auto_16006 ) ( CITY ?auto_16014 ) ( IN-CITY ?auto_16006 ?auto_16014 ) ( IN-CITY ?auto_16017 ?auto_16014 ) ( DIFFERENT ?auto_16017 ?auto_16006 ) ( LOCATION ?auto_16008 ) ( CITY ?auto_16021 ) ( AT ?auto_16016 ?auto_16008 ) ( IN-CITY ?auto_16008 ?auto_16021 ) ( IN-CITY ?auto_16006 ?auto_16021 ) ( DIFFERENT ?auto_16006 ?auto_16008 ) ( AT ?auto_16016 ?auto_16017 ) ( AIRPORT ?auto_16011 ) ( AT ?auto_16018 ?auto_16011 ) ( DIFFERENT ?auto_16017 ?auto_16011 ) ( LOCATION ?auto_16019 ) ( AT ?auto_16018 ?auto_16019 ) ( AIRPLANE ?auto_16010 ) ( AT ?auto_16010 ?auto_16019 ) ( LOCATION ?auto_16020 ) ( AT ?auto_16010 ?auto_16020 ) ( TRUCK ?auto_16015 ) ( LOCATION ?auto_16009 ) ( CITY ?auto_16004 ) ( IN-CITY ?auto_16009 ?auto_16004 ) ( IN-CITY ?auto_16020 ?auto_16004 ) ( DIFFERENT ?auto_16020 ?auto_16009 ) ( AT ?auto_16001 ?auto_16009 ) ( LOCATION ?auto_16024 ) ( CITY ?auto_16023 ) ( AT ?auto_16015 ?auto_16024 ) ( IN-CITY ?auto_16024 ?auto_16023 ) ( IN-CITY ?auto_16009 ?auto_16023 ) ( DIFFERENT ?auto_16009 ?auto_16024 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16015 ?auto_16024 ?auto_16009 ?auto_16023 )
      ( DELIVER-PKG ?auto_16001 ?auto_16002 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16070
      ?auto_16071
    )
    :vars
    (
      ?auto_16074
      ?auto_16085
      ?auto_16073
      ?auto_16088
      ?auto_16086
      ?auto_16087
      ?auto_16084
      ?auto_16090
      ?auto_16082
      ?auto_16081
      ?auto_16077
      ?auto_16091
      ?auto_16078
      ?auto_16076
      ?auto_16079
      ?auto_16093
    )
    :precondition
    ( and ( OBJ ?auto_16070 ) ( LOCATION ?auto_16071 ) ( TRUCK ?auto_16074 ) ( AT ?auto_16074 ?auto_16071 ) ( LOCATION ?auto_16085 ) ( AT ?auto_16074 ?auto_16085 ) ( AIRPLANE ?auto_16073 ) ( AIRPORT ?auto_16088 ) ( AIRPORT ?auto_16085 ) ( DIFFERENT ?auto_16085 ?auto_16088 ) ( LOCATION ?auto_16088 ) ( TRUCK ?auto_16086 ) ( LOCATION ?auto_16087 ) ( CITY ?auto_16084 ) ( IN-CITY ?auto_16087 ?auto_16084 ) ( IN-CITY ?auto_16088 ?auto_16084 ) ( DIFFERENT ?auto_16088 ?auto_16087 ) ( LOCATION ?auto_16090 ) ( CITY ?auto_16082 ) ( AT ?auto_16086 ?auto_16090 ) ( IN-CITY ?auto_16090 ?auto_16082 ) ( IN-CITY ?auto_16087 ?auto_16082 ) ( DIFFERENT ?auto_16087 ?auto_16090 ) ( AT ?auto_16086 ?auto_16088 ) ( AIRPORT ?auto_16081 ) ( DIFFERENT ?auto_16088 ?auto_16081 ) ( LOCATION ?auto_16081 ) ( TRUCK ?auto_16077 ) ( LOCATION ?auto_16091 ) ( CITY ?auto_16078 ) ( IN-CITY ?auto_16091 ?auto_16078 ) ( IN-CITY ?auto_16081 ?auto_16078 ) ( DIFFERENT ?auto_16081 ?auto_16091 ) ( AT ?auto_16070 ?auto_16091 ) ( LOCATION ?auto_16076 ) ( CITY ?auto_16079 ) ( AT ?auto_16077 ?auto_16076 ) ( IN-CITY ?auto_16076 ?auto_16079 ) ( IN-CITY ?auto_16091 ?auto_16079 ) ( DIFFERENT ?auto_16091 ?auto_16076 ) ( AIRPORT ?auto_16093 ) ( AT ?auto_16073 ?auto_16093 ) ( DIFFERENT ?auto_16081 ?auto_16093 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16073 ?auto_16093 ?auto_16081 )
      ( DELIVER-PKG ?auto_16070 ?auto_16071 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16135
      ?auto_16151
    )
    :vars
    (
      ?auto_16143
      ?auto_16137
      ?auto_16141
      ?auto_16139
      ?auto_16140
      ?auto_16150
      ?auto_16142
      ?auto_16149
      ?auto_16148
      ?auto_16144
      ?auto_16154
      ?auto_16146
      ?auto_16145
      ?auto_16147
      ?auto_16138
      ?auto_16157
      ?auto_16156
    )
    :precondition
    ( and ( OBJ ?auto_16135 ) ( LOCATION ?auto_16151 ) ( TRUCK ?auto_16143 ) ( AIRPLANE ?auto_16137 ) ( AIRPORT ?auto_16141 ) ( AIRPORT ?auto_16151 ) ( DIFFERENT ?auto_16151 ?auto_16141 ) ( LOCATION ?auto_16141 ) ( TRUCK ?auto_16139 ) ( LOCATION ?auto_16140 ) ( CITY ?auto_16150 ) ( IN-CITY ?auto_16140 ?auto_16150 ) ( IN-CITY ?auto_16141 ?auto_16150 ) ( DIFFERENT ?auto_16141 ?auto_16140 ) ( LOCATION ?auto_16142 ) ( CITY ?auto_16149 ) ( AT ?auto_16139 ?auto_16142 ) ( IN-CITY ?auto_16142 ?auto_16149 ) ( IN-CITY ?auto_16140 ?auto_16149 ) ( DIFFERENT ?auto_16140 ?auto_16142 ) ( AT ?auto_16139 ?auto_16141 ) ( AIRPORT ?auto_16148 ) ( DIFFERENT ?auto_16141 ?auto_16148 ) ( LOCATION ?auto_16148 ) ( TRUCK ?auto_16144 ) ( LOCATION ?auto_16154 ) ( CITY ?auto_16146 ) ( IN-CITY ?auto_16154 ?auto_16146 ) ( IN-CITY ?auto_16148 ?auto_16146 ) ( DIFFERENT ?auto_16148 ?auto_16154 ) ( AT ?auto_16135 ?auto_16154 ) ( LOCATION ?auto_16145 ) ( CITY ?auto_16147 ) ( AT ?auto_16144 ?auto_16145 ) ( IN-CITY ?auto_16145 ?auto_16147 ) ( IN-CITY ?auto_16154 ?auto_16147 ) ( DIFFERENT ?auto_16154 ?auto_16145 ) ( AIRPORT ?auto_16138 ) ( AT ?auto_16137 ?auto_16138 ) ( DIFFERENT ?auto_16148 ?auto_16138 ) ( LOCATION ?auto_16157 ) ( CITY ?auto_16156 ) ( AT ?auto_16143 ?auto_16157 ) ( IN-CITY ?auto_16157 ?auto_16156 ) ( IN-CITY ?auto_16151 ?auto_16156 ) ( DIFFERENT ?auto_16151 ?auto_16157 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16143 ?auto_16157 ?auto_16151 ?auto_16156 )
      ( DELIVER-PKG ?auto_16135 ?auto_16151 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16180
      ?auto_16181
    )
    :vars
    (
      ?auto_16192
      ?auto_16182
      ?auto_16199
      ?auto_16185
      ?auto_16190
      ?auto_16187
      ?auto_16191
      ?auto_16198
      ?auto_16197
      ?auto_16193
      ?auto_16189
      ?auto_16195
      ?auto_16194
      ?auto_16196
      ?auto_16183
      ?auto_16200
      ?auto_16184
      ?auto_16203
      ?auto_16202
    )
    :precondition
    ( and ( OBJ ?auto_16180 ) ( LOCATION ?auto_16181 ) ( TRUCK ?auto_16192 ) ( AIRPLANE ?auto_16182 ) ( AIRPORT ?auto_16199 ) ( AIRPORT ?auto_16181 ) ( DIFFERENT ?auto_16181 ?auto_16199 ) ( LOCATION ?auto_16199 ) ( TRUCK ?auto_16185 ) ( LOCATION ?auto_16190 ) ( CITY ?auto_16187 ) ( IN-CITY ?auto_16190 ?auto_16187 ) ( IN-CITY ?auto_16199 ?auto_16187 ) ( DIFFERENT ?auto_16199 ?auto_16190 ) ( LOCATION ?auto_16191 ) ( CITY ?auto_16198 ) ( AT ?auto_16185 ?auto_16191 ) ( IN-CITY ?auto_16191 ?auto_16198 ) ( IN-CITY ?auto_16190 ?auto_16198 ) ( DIFFERENT ?auto_16190 ?auto_16191 ) ( AT ?auto_16185 ?auto_16199 ) ( AIRPORT ?auto_16197 ) ( DIFFERENT ?auto_16199 ?auto_16197 ) ( LOCATION ?auto_16197 ) ( TRUCK ?auto_16193 ) ( LOCATION ?auto_16189 ) ( CITY ?auto_16195 ) ( IN-CITY ?auto_16189 ?auto_16195 ) ( IN-CITY ?auto_16197 ?auto_16195 ) ( DIFFERENT ?auto_16197 ?auto_16189 ) ( AT ?auto_16180 ?auto_16189 ) ( LOCATION ?auto_16194 ) ( CITY ?auto_16196 ) ( AT ?auto_16193 ?auto_16194 ) ( IN-CITY ?auto_16194 ?auto_16196 ) ( IN-CITY ?auto_16189 ?auto_16196 ) ( DIFFERENT ?auto_16189 ?auto_16194 ) ( AIRPORT ?auto_16183 ) ( AT ?auto_16182 ?auto_16183 ) ( DIFFERENT ?auto_16197 ?auto_16183 ) ( LOCATION ?auto_16200 ) ( CITY ?auto_16184 ) ( IN-CITY ?auto_16200 ?auto_16184 ) ( IN-CITY ?auto_16181 ?auto_16184 ) ( DIFFERENT ?auto_16181 ?auto_16200 ) ( LOCATION ?auto_16203 ) ( CITY ?auto_16202 ) ( AT ?auto_16192 ?auto_16203 ) ( IN-CITY ?auto_16203 ?auto_16202 ) ( IN-CITY ?auto_16200 ?auto_16202 ) ( DIFFERENT ?auto_16200 ?auto_16203 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16192 ?auto_16203 ?auto_16200 ?auto_16202 )
      ( DELIVER-PKG ?auto_16180 ?auto_16181 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16232
      ?auto_16233
    )
    :vars
    (
      ?auto_16243
      ?auto_16252
      ?auto_16240
      ?auto_16238
      ?auto_16249
      ?auto_16246
      ?auto_16245
      ?auto_16255
      ?auto_16251
      ?auto_16244
      ?auto_16248
      ?auto_16247
      ?auto_16254
      ?auto_16239
      ?auto_16237
      ?auto_16234
      ?auto_16253
      ?auto_16242
      ?auto_16241
      ?auto_16250
      ?auto_16258
      ?auto_16257
    )
    :precondition
    ( and ( OBJ ?auto_16232 ) ( LOCATION ?auto_16233 ) ( TRUCK ?auto_16243 ) ( AIRPLANE ?auto_16252 ) ( AIRPORT ?auto_16240 ) ( AIRPORT ?auto_16233 ) ( DIFFERENT ?auto_16233 ?auto_16240 ) ( LOCATION ?auto_16240 ) ( TRUCK ?auto_16238 ) ( LOCATION ?auto_16249 ) ( CITY ?auto_16246 ) ( IN-CITY ?auto_16249 ?auto_16246 ) ( IN-CITY ?auto_16240 ?auto_16246 ) ( DIFFERENT ?auto_16240 ?auto_16249 ) ( CITY ?auto_16245 ) ( IN-CITY ?auto_16240 ?auto_16245 ) ( IN-CITY ?auto_16249 ?auto_16245 ) ( DIFFERENT ?auto_16249 ?auto_16240 ) ( AIRPORT ?auto_16255 ) ( DIFFERENT ?auto_16240 ?auto_16255 ) ( LOCATION ?auto_16255 ) ( TRUCK ?auto_16251 ) ( LOCATION ?auto_16244 ) ( CITY ?auto_16248 ) ( IN-CITY ?auto_16244 ?auto_16248 ) ( IN-CITY ?auto_16255 ?auto_16248 ) ( DIFFERENT ?auto_16255 ?auto_16244 ) ( AT ?auto_16232 ?auto_16244 ) ( LOCATION ?auto_16247 ) ( CITY ?auto_16254 ) ( AT ?auto_16251 ?auto_16247 ) ( IN-CITY ?auto_16247 ?auto_16254 ) ( IN-CITY ?auto_16244 ?auto_16254 ) ( DIFFERENT ?auto_16244 ?auto_16247 ) ( AIRPORT ?auto_16239 ) ( AT ?auto_16252 ?auto_16239 ) ( DIFFERENT ?auto_16255 ?auto_16239 ) ( LOCATION ?auto_16237 ) ( CITY ?auto_16234 ) ( IN-CITY ?auto_16237 ?auto_16234 ) ( IN-CITY ?auto_16233 ?auto_16234 ) ( DIFFERENT ?auto_16233 ?auto_16237 ) ( LOCATION ?auto_16253 ) ( CITY ?auto_16242 ) ( IN-CITY ?auto_16253 ?auto_16242 ) ( IN-CITY ?auto_16237 ?auto_16242 ) ( DIFFERENT ?auto_16237 ?auto_16253 ) ( LOCATION ?auto_16241 ) ( CITY ?auto_16250 ) ( AT ?auto_16238 ?auto_16241 ) ( IN-CITY ?auto_16241 ?auto_16250 ) ( IN-CITY ?auto_16240 ?auto_16250 ) ( DIFFERENT ?auto_16240 ?auto_16241 ) ( LOCATION ?auto_16258 ) ( CITY ?auto_16257 ) ( AT ?auto_16243 ?auto_16258 ) ( IN-CITY ?auto_16258 ?auto_16257 ) ( IN-CITY ?auto_16253 ?auto_16257 ) ( DIFFERENT ?auto_16253 ?auto_16258 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16243 ?auto_16258 ?auto_16253 ?auto_16257 )
      ( DELIVER-PKG ?auto_16232 ?auto_16233 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16895
      ?auto_16896
    )
    :vars
    (
      ?auto_16900
      ?auto_16898
      ?auto_16902
      ?auto_16897
      ?auto_16905
      ?auto_16899
      ?auto_16908
      ?auto_16907
    )
    :precondition
    ( and ( OBJ ?auto_16895 ) ( LOCATION ?auto_16896 ) ( TRUCK ?auto_16900 ) ( LOCATION ?auto_16898 ) ( CITY ?auto_16902 ) ( IN-CITY ?auto_16898 ?auto_16902 ) ( IN-CITY ?auto_16896 ?auto_16902 ) ( DIFFERENT ?auto_16896 ?auto_16898 ) ( AIRPLANE ?auto_16897 ) ( AIRPORT ?auto_16905 ) ( AIRPORT ?auto_16898 ) ( AT ?auto_16897 ?auto_16905 ) ( DIFFERENT ?auto_16898 ?auto_16905 ) ( LOCATION ?auto_16899 ) ( AT ?auto_16895 ?auto_16899 ) ( AT ?auto_16897 ?auto_16899 ) ( LOCATION ?auto_16908 ) ( CITY ?auto_16907 ) ( AT ?auto_16900 ?auto_16908 ) ( IN-CITY ?auto_16908 ?auto_16907 ) ( IN-CITY ?auto_16898 ?auto_16907 ) ( DIFFERENT ?auto_16898 ?auto_16908 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16900 ?auto_16908 ?auto_16898 ?auto_16907 )
      ( DELIVER-PKG ?auto_16895 ?auto_16896 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17188
      ?auto_17189
    )
    :vars
    (
      ?auto_17192
      ?auto_17194
      ?auto_17191
      ?auto_17195
      ?auto_17193
      ?auto_17196
      ?auto_17201
      ?auto_17200
    )
    :precondition
    ( and ( OBJ ?auto_17188 ) ( LOCATION ?auto_17189 ) ( TRUCK ?auto_17192 ) ( LOCATION ?auto_17194 ) ( CITY ?auto_17191 ) ( IN-CITY ?auto_17194 ?auto_17191 ) ( IN-CITY ?auto_17189 ?auto_17191 ) ( DIFFERENT ?auto_17189 ?auto_17194 ) ( AIRPLANE ?auto_17195 ) ( AIRPORT ?auto_17193 ) ( AIRPORT ?auto_17194 ) ( DIFFERENT ?auto_17194 ?auto_17193 ) ( LOCATION ?auto_17193 ) ( AT ?auto_17188 ?auto_17193 ) ( AIRPORT ?auto_17196 ) ( AT ?auto_17195 ?auto_17196 ) ( DIFFERENT ?auto_17193 ?auto_17196 ) ( LOCATION ?auto_17201 ) ( CITY ?auto_17200 ) ( AT ?auto_17192 ?auto_17201 ) ( IN-CITY ?auto_17201 ?auto_17200 ) ( IN-CITY ?auto_17194 ?auto_17200 ) ( DIFFERENT ?auto_17194 ?auto_17201 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17192 ?auto_17201 ?auto_17194 ?auto_17200 )
      ( DELIVER-PKG ?auto_17188 ?auto_17189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17941
      ?auto_17942
    )
    :vars
    (
      ?auto_17946
      ?auto_17945
      ?auto_17943
      ?auto_17947
      ?auto_17950
      ?auto_17949
      ?auto_17948
      ?auto_17954
    )
    :precondition
    ( and ( OBJ ?auto_17941 ) ( LOCATION ?auto_17942 ) ( TRUCK ?auto_17946 ) ( LOCATION ?auto_17945 ) ( CITY ?auto_17943 ) ( IN-CITY ?auto_17945 ?auto_17943 ) ( IN-CITY ?auto_17942 ?auto_17943 ) ( DIFFERENT ?auto_17942 ?auto_17945 ) ( AIRPLANE ?auto_17947 ) ( AIRPORT ?auto_17950 ) ( AIRPORT ?auto_17945 ) ( DIFFERENT ?auto_17945 ?auto_17950 ) ( LOCATION ?auto_17950 ) ( AT ?auto_17941 ?auto_17950 ) ( LOCATION ?auto_17949 ) ( CITY ?auto_17948 ) ( AT ?auto_17946 ?auto_17949 ) ( IN-CITY ?auto_17949 ?auto_17948 ) ( IN-CITY ?auto_17945 ?auto_17948 ) ( DIFFERENT ?auto_17945 ?auto_17949 ) ( AIRPORT ?auto_17954 ) ( AT ?auto_17947 ?auto_17954 ) ( DIFFERENT ?auto_17950 ?auto_17954 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17947 ?auto_17954 ?auto_17950 )
      ( DELIVER-PKG ?auto_17941 ?auto_17942 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18279
      ?auto_18280
    )
    :vars
    (
      ?auto_18283
      ?auto_18286
      ?auto_18285
      ?auto_18284
      ?auto_18287
      ?auto_18288
      ?auto_18290
      ?auto_18289
      ?auto_18292
    )
    :precondition
    ( and ( OBJ ?auto_18279 ) ( LOCATION ?auto_18280 ) ( TRUCK ?auto_18283 ) ( LOCATION ?auto_18286 ) ( CITY ?auto_18285 ) ( IN-CITY ?auto_18286 ?auto_18285 ) ( IN-CITY ?auto_18280 ?auto_18285 ) ( DIFFERENT ?auto_18280 ?auto_18286 ) ( AIRPLANE ?auto_18284 ) ( AIRPORT ?auto_18287 ) ( AIRPORT ?auto_18286 ) ( DIFFERENT ?auto_18286 ?auto_18287 ) ( LOCATION ?auto_18287 ) ( AT ?auto_18279 ?auto_18287 ) ( AIRPORT ?auto_18288 ) ( DIFFERENT ?auto_18287 ?auto_18288 ) ( LOCATION ?auto_18290 ) ( CITY ?auto_18289 ) ( AT ?auto_18283 ?auto_18290 ) ( IN-CITY ?auto_18290 ?auto_18289 ) ( IN-CITY ?auto_18286 ?auto_18289 ) ( DIFFERENT ?auto_18286 ?auto_18290 ) ( AIRPORT ?auto_18292 ) ( AT ?auto_18284 ?auto_18292 ) ( DIFFERENT ?auto_18288 ?auto_18292 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18284 ?auto_18292 ?auto_18288 )
      ( DELIVER-PKG ?auto_18279 ?auto_18280 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19672
      ?auto_19673
    )
    :vars
    (
      ?auto_19676
      ?auto_19681
      ?auto_19675
      ?auto_19674
      ?auto_19677
      ?auto_19683
      ?auto_19679
      ?auto_19686
      ?auto_19685
    )
    :precondition
    ( and ( OBJ ?auto_19672 ) ( LOCATION ?auto_19673 ) ( AIRPLANE ?auto_19676 ) ( AIRPORT ?auto_19681 ) ( AIRPORT ?auto_19673 ) ( DIFFERENT ?auto_19673 ?auto_19681 ) ( AIRPORT ?auto_19675 ) ( AT ?auto_19676 ?auto_19675 ) ( DIFFERENT ?auto_19681 ?auto_19675 ) ( LOCATION ?auto_19674 ) ( AT ?auto_19676 ?auto_19674 ) ( TRUCK ?auto_19677 ) ( LOCATION ?auto_19683 ) ( CITY ?auto_19679 ) ( IN-CITY ?auto_19683 ?auto_19679 ) ( IN-CITY ?auto_19674 ?auto_19679 ) ( DIFFERENT ?auto_19674 ?auto_19683 ) ( AT ?auto_19672 ?auto_19683 ) ( LOCATION ?auto_19686 ) ( CITY ?auto_19685 ) ( AT ?auto_19677 ?auto_19686 ) ( IN-CITY ?auto_19686 ?auto_19685 ) ( IN-CITY ?auto_19683 ?auto_19685 ) ( DIFFERENT ?auto_19683 ?auto_19686 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19677 ?auto_19686 ?auto_19683 ?auto_19685 )
      ( DELIVER-PKG ?auto_19672 ?auto_19673 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20408
      ?auto_20409
    )
    :vars
    (
      ?auto_20412
      ?auto_20417
      ?auto_20416
      ?auto_20413
      ?auto_20410
      ?auto_20420
      ?auto_20419
    )
    :precondition
    ( and ( OBJ ?auto_20408 ) ( LOCATION ?auto_20409 ) ( TRUCK ?auto_20412 ) ( LOCATION ?auto_20417 ) ( CITY ?auto_20416 ) ( IN-CITY ?auto_20417 ?auto_20416 ) ( IN-CITY ?auto_20409 ?auto_20416 ) ( DIFFERENT ?auto_20409 ?auto_20417 ) ( LOCATION ?auto_20413 ) ( CITY ?auto_20410 ) ( IN-CITY ?auto_20413 ?auto_20410 ) ( IN-CITY ?auto_20417 ?auto_20410 ) ( DIFFERENT ?auto_20417 ?auto_20413 ) ( AT ?auto_20408 ?auto_20413 ) ( LOCATION ?auto_20420 ) ( CITY ?auto_20419 ) ( AT ?auto_20412 ?auto_20420 ) ( IN-CITY ?auto_20420 ?auto_20419 ) ( IN-CITY ?auto_20413 ?auto_20419 ) ( DIFFERENT ?auto_20413 ?auto_20420 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20412 ?auto_20420 ?auto_20413 ?auto_20419 )
      ( DELIVER-PKG ?auto_20408 ?auto_20409 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20433
      ?auto_20434
    )
    :vars
    (
      ?auto_20436
      ?auto_20441
      ?auto_20440
      ?auto_20437
      ?auto_20439
      ?auto_20443
      ?auto_20442
      ?auto_20446
      ?auto_20445
    )
    :precondition
    ( and ( OBJ ?auto_20433 ) ( LOCATION ?auto_20434 ) ( TRUCK ?auto_20436 ) ( LOCATION ?auto_20441 ) ( CITY ?auto_20440 ) ( IN-CITY ?auto_20441 ?auto_20440 ) ( IN-CITY ?auto_20434 ?auto_20440 ) ( DIFFERENT ?auto_20434 ?auto_20441 ) ( LOCATION ?auto_20437 ) ( CITY ?auto_20439 ) ( IN-CITY ?auto_20437 ?auto_20439 ) ( IN-CITY ?auto_20441 ?auto_20439 ) ( DIFFERENT ?auto_20441 ?auto_20437 ) ( AT ?auto_20433 ?auto_20437 ) ( LOCATION ?auto_20443 ) ( CITY ?auto_20442 ) ( IN-CITY ?auto_20443 ?auto_20442 ) ( IN-CITY ?auto_20437 ?auto_20442 ) ( DIFFERENT ?auto_20437 ?auto_20443 ) ( LOCATION ?auto_20446 ) ( CITY ?auto_20445 ) ( AT ?auto_20436 ?auto_20446 ) ( IN-CITY ?auto_20446 ?auto_20445 ) ( IN-CITY ?auto_20443 ?auto_20445 ) ( DIFFERENT ?auto_20443 ?auto_20446 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20436 ?auto_20446 ?auto_20443 ?auto_20445 )
      ( DELIVER-PKG ?auto_20433 ?auto_20434 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21179
      ?auto_21180
    )
    :vars
    (
      ?auto_21186
      ?auto_21184
      ?auto_21185
      ?auto_21187
      ?auto_21181
      ?auto_21189
      ?auto_21188
      ?auto_21191
      ?auto_21190
      ?auto_21193
    )
    :precondition
    ( and ( OBJ ?auto_21179 ) ( LOCATION ?auto_21180 ) ( AIRPLANE ?auto_21186 ) ( AIRPORT ?auto_21184 ) ( AIRPORT ?auto_21180 ) ( DIFFERENT ?auto_21180 ?auto_21184 ) ( LOCATION ?auto_21184 ) ( AIRPORT ?auto_21185 ) ( DIFFERENT ?auto_21184 ?auto_21185 ) ( AIRPORT ?auto_21187 ) ( AT ?auto_21186 ?auto_21187 ) ( DIFFERENT ?auto_21185 ?auto_21187 ) ( TRUCK ?auto_21181 ) ( LOCATION ?auto_21189 ) ( CITY ?auto_21188 ) ( IN-CITY ?auto_21189 ?auto_21188 ) ( IN-CITY ?auto_21184 ?auto_21188 ) ( DIFFERENT ?auto_21184 ?auto_21189 ) ( LOCATION ?auto_21191 ) ( CITY ?auto_21190 ) ( AT ?auto_21181 ?auto_21191 ) ( IN-CITY ?auto_21191 ?auto_21190 ) ( IN-CITY ?auto_21189 ?auto_21190 ) ( DIFFERENT ?auto_21189 ?auto_21191 ) ( LOCATION ?auto_21193 ) ( AT ?auto_21181 ?auto_21193 ) ( AT ?auto_21179 ?auto_21193 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_21179 ?auto_21181 ?auto_21193 )
      ( DELIVER-PKG ?auto_21179 ?auto_21180 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21223
      ?auto_21224
    )
    :vars
    (
      ?auto_21228
      ?auto_21226
      ?auto_21227
      ?auto_21229
      ?auto_21236
      ?auto_21232
      ?auto_21230
      ?auto_21235
      ?auto_21233
      ?auto_21239
      ?auto_21238
    )
    :precondition
    ( and ( OBJ ?auto_21223 ) ( LOCATION ?auto_21224 ) ( AIRPLANE ?auto_21228 ) ( AIRPORT ?auto_21226 ) ( AIRPORT ?auto_21224 ) ( DIFFERENT ?auto_21224 ?auto_21226 ) ( LOCATION ?auto_21226 ) ( AIRPORT ?auto_21227 ) ( DIFFERENT ?auto_21226 ?auto_21227 ) ( AIRPORT ?auto_21229 ) ( AT ?auto_21228 ?auto_21229 ) ( DIFFERENT ?auto_21227 ?auto_21229 ) ( TRUCK ?auto_21236 ) ( LOCATION ?auto_21232 ) ( CITY ?auto_21230 ) ( IN-CITY ?auto_21232 ?auto_21230 ) ( IN-CITY ?auto_21226 ?auto_21230 ) ( DIFFERENT ?auto_21226 ?auto_21232 ) ( LOCATION ?auto_21235 ) ( CITY ?auto_21233 ) ( IN-CITY ?auto_21235 ?auto_21233 ) ( IN-CITY ?auto_21232 ?auto_21233 ) ( DIFFERENT ?auto_21232 ?auto_21235 ) ( AT ?auto_21223 ?auto_21235 ) ( LOCATION ?auto_21239 ) ( CITY ?auto_21238 ) ( AT ?auto_21236 ?auto_21239 ) ( IN-CITY ?auto_21239 ?auto_21238 ) ( IN-CITY ?auto_21235 ?auto_21238 ) ( DIFFERENT ?auto_21235 ?auto_21239 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21236 ?auto_21239 ?auto_21235 ?auto_21238 )
      ( DELIVER-PKG ?auto_21223 ?auto_21224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21256
      ?auto_21257
    )
    :vars
    (
      ?auto_21259
      ?auto_21265
      ?auto_21263
      ?auto_21260
      ?auto_21262
      ?auto_21267
      ?auto_21266
      ?auto_21261
      ?auto_21268
      ?auto_21270
      ?auto_21269
      ?auto_21273
      ?auto_21272
    )
    :precondition
    ( and ( OBJ ?auto_21256 ) ( LOCATION ?auto_21257 ) ( AIRPLANE ?auto_21259 ) ( AIRPORT ?auto_21265 ) ( AIRPORT ?auto_21257 ) ( DIFFERENT ?auto_21257 ?auto_21265 ) ( LOCATION ?auto_21265 ) ( AIRPORT ?auto_21263 ) ( DIFFERENT ?auto_21265 ?auto_21263 ) ( AIRPORT ?auto_21260 ) ( AT ?auto_21259 ?auto_21260 ) ( DIFFERENT ?auto_21263 ?auto_21260 ) ( TRUCK ?auto_21262 ) ( LOCATION ?auto_21267 ) ( CITY ?auto_21266 ) ( IN-CITY ?auto_21267 ?auto_21266 ) ( IN-CITY ?auto_21265 ?auto_21266 ) ( DIFFERENT ?auto_21265 ?auto_21267 ) ( LOCATION ?auto_21261 ) ( CITY ?auto_21268 ) ( IN-CITY ?auto_21261 ?auto_21268 ) ( IN-CITY ?auto_21267 ?auto_21268 ) ( DIFFERENT ?auto_21267 ?auto_21261 ) ( AT ?auto_21256 ?auto_21261 ) ( LOCATION ?auto_21270 ) ( CITY ?auto_21269 ) ( IN-CITY ?auto_21270 ?auto_21269 ) ( IN-CITY ?auto_21261 ?auto_21269 ) ( DIFFERENT ?auto_21261 ?auto_21270 ) ( LOCATION ?auto_21273 ) ( CITY ?auto_21272 ) ( AT ?auto_21262 ?auto_21273 ) ( IN-CITY ?auto_21273 ?auto_21272 ) ( IN-CITY ?auto_21270 ?auto_21272 ) ( DIFFERENT ?auto_21270 ?auto_21273 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_21262 ?auto_21273 ?auto_21270 ?auto_21272 )
      ( DELIVER-PKG ?auto_21256 ?auto_21257 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_21990
      ?auto_21991
    )
    :vars
    (
      ?auto_21998
      ?auto_21997
      ?auto_22005
      ?auto_21995
      ?auto_21999
      ?auto_21996
      ?auto_22000
      ?auto_21994
      ?auto_21993
      ?auto_22006
      ?auto_22002
      ?auto_22001
      ?auto_22004
      ?auto_22003
      ?auto_22010
      ?auto_22009
    )
    :precondition
    ( and ( OBJ ?auto_21990 ) ( LOCATION ?auto_21991 ) ( TRUCK ?auto_21998 ) ( LOCATION ?auto_21997 ) ( CITY ?auto_22005 ) ( IN-CITY ?auto_21997 ?auto_22005 ) ( IN-CITY ?auto_21991 ?auto_22005 ) ( DIFFERENT ?auto_21991 ?auto_21997 ) ( LOCATION ?auto_21995 ) ( CITY ?auto_21999 ) ( AT ?auto_21998 ?auto_21995 ) ( IN-CITY ?auto_21995 ?auto_21999 ) ( IN-CITY ?auto_21997 ?auto_21999 ) ( DIFFERENT ?auto_21997 ?auto_21995 ) ( LOCATION ?auto_21996 ) ( AT ?auto_21998 ?auto_21996 ) ( AIRPLANE ?auto_22000 ) ( AIRPORT ?auto_21994 ) ( AIRPORT ?auto_21996 ) ( AT ?auto_22000 ?auto_21994 ) ( DIFFERENT ?auto_21996 ?auto_21994 ) ( LOCATION ?auto_21993 ) ( AT ?auto_22000 ?auto_21993 ) ( TRUCK ?auto_22006 ) ( LOCATION ?auto_22002 ) ( CITY ?auto_22001 ) ( IN-CITY ?auto_22002 ?auto_22001 ) ( IN-CITY ?auto_21993 ?auto_22001 ) ( DIFFERENT ?auto_21993 ?auto_22002 ) ( AT ?auto_21990 ?auto_22002 ) ( LOCATION ?auto_22004 ) ( CITY ?auto_22003 ) ( IN-CITY ?auto_22004 ?auto_22003 ) ( IN-CITY ?auto_22002 ?auto_22003 ) ( DIFFERENT ?auto_22002 ?auto_22004 ) ( LOCATION ?auto_22010 ) ( CITY ?auto_22009 ) ( AT ?auto_22006 ?auto_22010 ) ( IN-CITY ?auto_22010 ?auto_22009 ) ( IN-CITY ?auto_22004 ?auto_22009 ) ( DIFFERENT ?auto_22004 ?auto_22010 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22006 ?auto_22010 ?auto_22004 ?auto_22009 )
      ( DELIVER-PKG ?auto_21990 ?auto_21991 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22098
      ?auto_22099
    )
    :vars
    (
      ?auto_22102
      ?auto_22109
      ?auto_22100
      ?auto_22103
      ?auto_22110
      ?auto_22108
      ?auto_22104
      ?auto_22105
      ?auto_22112
    )
    :precondition
    ( and ( OBJ ?auto_22098 ) ( LOCATION ?auto_22099 ) ( TRUCK ?auto_22102 ) ( LOCATION ?auto_22109 ) ( CITY ?auto_22100 ) ( IN-CITY ?auto_22109 ?auto_22100 ) ( IN-CITY ?auto_22099 ?auto_22100 ) ( DIFFERENT ?auto_22099 ?auto_22109 ) ( LOCATION ?auto_22103 ) ( CITY ?auto_22110 ) ( AT ?auto_22102 ?auto_22103 ) ( IN-CITY ?auto_22103 ?auto_22110 ) ( IN-CITY ?auto_22109 ?auto_22110 ) ( DIFFERENT ?auto_22109 ?auto_22103 ) ( LOCATION ?auto_22108 ) ( AT ?auto_22102 ?auto_22108 ) ( AIRPLANE ?auto_22104 ) ( AIRPORT ?auto_22105 ) ( AIRPORT ?auto_22108 ) ( DIFFERENT ?auto_22108 ?auto_22105 ) ( LOCATION ?auto_22105 ) ( AT ?auto_22098 ?auto_22105 ) ( AIRPORT ?auto_22112 ) ( AT ?auto_22104 ?auto_22112 ) ( DIFFERENT ?auto_22105 ?auto_22112 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22104 ?auto_22112 ?auto_22105 )
      ( DELIVER-PKG ?auto_22098 ?auto_22099 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22140
      ?auto_22141
    )
    :vars
    (
      ?auto_22151
      ?auto_22143
      ?auto_22149
      ?auto_22152
      ?auto_22146
      ?auto_22142
      ?auto_22148
      ?auto_22144
      ?auto_22147
      ?auto_22154
    )
    :precondition
    ( and ( OBJ ?auto_22140 ) ( LOCATION ?auto_22141 ) ( TRUCK ?auto_22151 ) ( LOCATION ?auto_22143 ) ( CITY ?auto_22149 ) ( IN-CITY ?auto_22143 ?auto_22149 ) ( IN-CITY ?auto_22141 ?auto_22149 ) ( DIFFERENT ?auto_22141 ?auto_22143 ) ( LOCATION ?auto_22152 ) ( CITY ?auto_22146 ) ( AT ?auto_22151 ?auto_22152 ) ( IN-CITY ?auto_22152 ?auto_22146 ) ( IN-CITY ?auto_22143 ?auto_22146 ) ( DIFFERENT ?auto_22143 ?auto_22152 ) ( LOCATION ?auto_22142 ) ( AT ?auto_22151 ?auto_22142 ) ( AIRPLANE ?auto_22148 ) ( AIRPORT ?auto_22144 ) ( AIRPORT ?auto_22142 ) ( DIFFERENT ?auto_22142 ?auto_22144 ) ( LOCATION ?auto_22144 ) ( AT ?auto_22140 ?auto_22144 ) ( AIRPORT ?auto_22147 ) ( DIFFERENT ?auto_22144 ?auto_22147 ) ( AIRPORT ?auto_22154 ) ( AT ?auto_22148 ?auto_22154 ) ( DIFFERENT ?auto_22147 ?auto_22154 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_22148 ?auto_22154 ?auto_22147 )
      ( DELIVER-PKG ?auto_22140 ?auto_22141 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22156
      ?auto_22157
    )
    :vars
    (
      ?auto_22160
      ?auto_22159
      ?auto_22167
      ?auto_22158
      ?auto_22163
      ?auto_22161
      ?auto_22166
      ?auto_22168
      ?auto_22165
      ?auto_22169
      ?auto_22170
    )
    :precondition
    ( and ( OBJ ?auto_22156 ) ( LOCATION ?auto_22157 ) ( TRUCK ?auto_22160 ) ( LOCATION ?auto_22159 ) ( CITY ?auto_22167 ) ( IN-CITY ?auto_22159 ?auto_22167 ) ( IN-CITY ?auto_22157 ?auto_22167 ) ( DIFFERENT ?auto_22157 ?auto_22159 ) ( LOCATION ?auto_22158 ) ( CITY ?auto_22163 ) ( AT ?auto_22160 ?auto_22158 ) ( IN-CITY ?auto_22158 ?auto_22163 ) ( IN-CITY ?auto_22159 ?auto_22163 ) ( DIFFERENT ?auto_22159 ?auto_22158 ) ( LOCATION ?auto_22161 ) ( AT ?auto_22160 ?auto_22161 ) ( AIRPLANE ?auto_22166 ) ( AIRPORT ?auto_22168 ) ( AIRPORT ?auto_22161 ) ( DIFFERENT ?auto_22161 ?auto_22168 ) ( LOCATION ?auto_22168 ) ( AIRPORT ?auto_22165 ) ( DIFFERENT ?auto_22168 ?auto_22165 ) ( AIRPORT ?auto_22169 ) ( AT ?auto_22166 ?auto_22169 ) ( DIFFERENT ?auto_22165 ?auto_22169 ) ( TRUCK ?auto_22170 ) ( AT ?auto_22170 ?auto_22168 ) ( IN ?auto_22156 ?auto_22170 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_22156 ?auto_22168 )
      ( DELIVER-PKG ?auto_22156 ?auto_22157 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22188
      ?auto_22189
    )
    :vars
    (
      ?auto_22202
      ?auto_22199
      ?auto_22191
      ?auto_22194
      ?auto_22193
      ?auto_22195
      ?auto_22190
      ?auto_22197
      ?auto_22200
      ?auto_22196
      ?auto_22201
      ?auto_22205
      ?auto_22204
    )
    :precondition
    ( and ( OBJ ?auto_22188 ) ( LOCATION ?auto_22189 ) ( TRUCK ?auto_22202 ) ( LOCATION ?auto_22199 ) ( CITY ?auto_22191 ) ( IN-CITY ?auto_22199 ?auto_22191 ) ( IN-CITY ?auto_22189 ?auto_22191 ) ( DIFFERENT ?auto_22189 ?auto_22199 ) ( LOCATION ?auto_22194 ) ( CITY ?auto_22193 ) ( AT ?auto_22202 ?auto_22194 ) ( IN-CITY ?auto_22194 ?auto_22193 ) ( IN-CITY ?auto_22199 ?auto_22193 ) ( DIFFERENT ?auto_22199 ?auto_22194 ) ( LOCATION ?auto_22195 ) ( AT ?auto_22202 ?auto_22195 ) ( AIRPLANE ?auto_22190 ) ( AIRPORT ?auto_22197 ) ( AIRPORT ?auto_22195 ) ( DIFFERENT ?auto_22195 ?auto_22197 ) ( LOCATION ?auto_22197 ) ( AIRPORT ?auto_22200 ) ( DIFFERENT ?auto_22197 ?auto_22200 ) ( AIRPORT ?auto_22196 ) ( AT ?auto_22190 ?auto_22196 ) ( DIFFERENT ?auto_22200 ?auto_22196 ) ( TRUCK ?auto_22201 ) ( IN ?auto_22188 ?auto_22201 ) ( LOCATION ?auto_22205 ) ( CITY ?auto_22204 ) ( AT ?auto_22201 ?auto_22205 ) ( IN-CITY ?auto_22205 ?auto_22204 ) ( IN-CITY ?auto_22197 ?auto_22204 ) ( DIFFERENT ?auto_22197 ?auto_22205 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22201 ?auto_22205 ?auto_22197 ?auto_22204 )
      ( DELIVER-PKG ?auto_22188 ?auto_22189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22241
      ?auto_22242
    )
    :vars
    (
      ?auto_22247
      ?auto_22244
      ?auto_22254
      ?auto_22249
      ?auto_22248
      ?auto_22250
      ?auto_22243
      ?auto_22252
      ?auto_22245
      ?auto_22251
      ?auto_22246
      ?auto_22257
      ?auto_22256
      ?auto_22260
      ?auto_22259
    )
    :precondition
    ( and ( OBJ ?auto_22241 ) ( LOCATION ?auto_22242 ) ( TRUCK ?auto_22247 ) ( LOCATION ?auto_22244 ) ( CITY ?auto_22254 ) ( IN-CITY ?auto_22244 ?auto_22254 ) ( IN-CITY ?auto_22242 ?auto_22254 ) ( DIFFERENT ?auto_22242 ?auto_22244 ) ( LOCATION ?auto_22249 ) ( CITY ?auto_22248 ) ( AT ?auto_22247 ?auto_22249 ) ( IN-CITY ?auto_22249 ?auto_22248 ) ( IN-CITY ?auto_22244 ?auto_22248 ) ( DIFFERENT ?auto_22244 ?auto_22249 ) ( LOCATION ?auto_22250 ) ( AT ?auto_22247 ?auto_22250 ) ( AIRPLANE ?auto_22243 ) ( AIRPORT ?auto_22252 ) ( AIRPORT ?auto_22250 ) ( DIFFERENT ?auto_22250 ?auto_22252 ) ( LOCATION ?auto_22252 ) ( AIRPORT ?auto_22245 ) ( DIFFERENT ?auto_22252 ?auto_22245 ) ( AIRPORT ?auto_22251 ) ( AT ?auto_22243 ?auto_22251 ) ( DIFFERENT ?auto_22245 ?auto_22251 ) ( TRUCK ?auto_22246 ) ( IN ?auto_22241 ?auto_22246 ) ( LOCATION ?auto_22257 ) ( CITY ?auto_22256 ) ( IN-CITY ?auto_22257 ?auto_22256 ) ( IN-CITY ?auto_22252 ?auto_22256 ) ( DIFFERENT ?auto_22252 ?auto_22257 ) ( LOCATION ?auto_22260 ) ( CITY ?auto_22259 ) ( AT ?auto_22246 ?auto_22260 ) ( IN-CITY ?auto_22260 ?auto_22259 ) ( IN-CITY ?auto_22257 ?auto_22259 ) ( DIFFERENT ?auto_22257 ?auto_22260 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22246 ?auto_22260 ?auto_22257 ?auto_22259 )
      ( DELIVER-PKG ?auto_22241 ?auto_22242 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22281
      ?auto_22282
    )
    :vars
    (
      ?auto_22292
      ?auto_22285
      ?auto_22290
      ?auto_22294
      ?auto_22293
      ?auto_22295
      ?auto_22296
      ?auto_22289
      ?auto_22286
      ?auto_22288
      ?auto_22287
      ?auto_22298
      ?auto_22291
      ?auto_22299
      ?auto_22284
      ?auto_22301
    )
    :precondition
    ( and ( OBJ ?auto_22281 ) ( LOCATION ?auto_22282 ) ( TRUCK ?auto_22292 ) ( LOCATION ?auto_22285 ) ( CITY ?auto_22290 ) ( IN-CITY ?auto_22285 ?auto_22290 ) ( IN-CITY ?auto_22282 ?auto_22290 ) ( DIFFERENT ?auto_22282 ?auto_22285 ) ( LOCATION ?auto_22294 ) ( CITY ?auto_22293 ) ( AT ?auto_22292 ?auto_22294 ) ( IN-CITY ?auto_22294 ?auto_22293 ) ( IN-CITY ?auto_22285 ?auto_22293 ) ( DIFFERENT ?auto_22285 ?auto_22294 ) ( LOCATION ?auto_22295 ) ( AT ?auto_22292 ?auto_22295 ) ( AIRPLANE ?auto_22296 ) ( AIRPORT ?auto_22289 ) ( AIRPORT ?auto_22295 ) ( DIFFERENT ?auto_22295 ?auto_22289 ) ( LOCATION ?auto_22289 ) ( AIRPORT ?auto_22286 ) ( DIFFERENT ?auto_22289 ?auto_22286 ) ( AIRPORT ?auto_22288 ) ( AT ?auto_22296 ?auto_22288 ) ( DIFFERENT ?auto_22286 ?auto_22288 ) ( TRUCK ?auto_22287 ) ( LOCATION ?auto_22298 ) ( CITY ?auto_22291 ) ( IN-CITY ?auto_22298 ?auto_22291 ) ( IN-CITY ?auto_22289 ?auto_22291 ) ( DIFFERENT ?auto_22289 ?auto_22298 ) ( LOCATION ?auto_22299 ) ( CITY ?auto_22284 ) ( AT ?auto_22287 ?auto_22299 ) ( IN-CITY ?auto_22299 ?auto_22284 ) ( IN-CITY ?auto_22298 ?auto_22284 ) ( DIFFERENT ?auto_22298 ?auto_22299 ) ( LOCATION ?auto_22301 ) ( AT ?auto_22287 ?auto_22301 ) ( AT ?auto_22281 ?auto_22301 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_22281 ?auto_22287 ?auto_22301 )
      ( DELIVER-PKG ?auto_22281 ?auto_22282 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22343
      ?auto_22344
    )
    :vars
    (
      ?auto_22353
      ?auto_22345
      ?auto_22350
      ?auto_22355
      ?auto_22354
      ?auto_22356
      ?auto_22357
      ?auto_22349
      ?auto_22361
      ?auto_22348
      ?auto_22351
      ?auto_22358
      ?auto_22352
      ?auto_22346
      ?auto_22347
      ?auto_22365
      ?auto_22364
    )
    :precondition
    ( and ( OBJ ?auto_22343 ) ( LOCATION ?auto_22344 ) ( TRUCK ?auto_22353 ) ( LOCATION ?auto_22345 ) ( CITY ?auto_22350 ) ( IN-CITY ?auto_22345 ?auto_22350 ) ( IN-CITY ?auto_22344 ?auto_22350 ) ( DIFFERENT ?auto_22344 ?auto_22345 ) ( LOCATION ?auto_22355 ) ( CITY ?auto_22354 ) ( AT ?auto_22353 ?auto_22355 ) ( IN-CITY ?auto_22355 ?auto_22354 ) ( IN-CITY ?auto_22345 ?auto_22354 ) ( DIFFERENT ?auto_22345 ?auto_22355 ) ( LOCATION ?auto_22356 ) ( AT ?auto_22353 ?auto_22356 ) ( AIRPLANE ?auto_22357 ) ( AIRPORT ?auto_22349 ) ( AIRPORT ?auto_22356 ) ( DIFFERENT ?auto_22356 ?auto_22349 ) ( LOCATION ?auto_22349 ) ( AIRPORT ?auto_22361 ) ( DIFFERENT ?auto_22349 ?auto_22361 ) ( AIRPORT ?auto_22348 ) ( AT ?auto_22357 ?auto_22348 ) ( DIFFERENT ?auto_22361 ?auto_22348 ) ( TRUCK ?auto_22351 ) ( LOCATION ?auto_22358 ) ( CITY ?auto_22352 ) ( IN-CITY ?auto_22358 ?auto_22352 ) ( IN-CITY ?auto_22349 ?auto_22352 ) ( DIFFERENT ?auto_22349 ?auto_22358 ) ( LOCATION ?auto_22346 ) ( CITY ?auto_22347 ) ( IN-CITY ?auto_22346 ?auto_22347 ) ( IN-CITY ?auto_22358 ?auto_22347 ) ( DIFFERENT ?auto_22358 ?auto_22346 ) ( AT ?auto_22343 ?auto_22346 ) ( LOCATION ?auto_22365 ) ( CITY ?auto_22364 ) ( AT ?auto_22351 ?auto_22365 ) ( IN-CITY ?auto_22365 ?auto_22364 ) ( IN-CITY ?auto_22346 ?auto_22364 ) ( DIFFERENT ?auto_22346 ?auto_22365 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22351 ?auto_22365 ?auto_22346 ?auto_22364 )
      ( DELIVER-PKG ?auto_22343 ?auto_22344 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22388
      ?auto_22389
    )
    :vars
    (
      ?auto_22401
      ?auto_22393
      ?auto_22398
      ?auto_22403
      ?auto_22402
      ?auto_22404
      ?auto_22405
      ?auto_22392
      ?auto_22407
      ?auto_22396
      ?auto_22399
      ?auto_22406
      ?auto_22400
      ?auto_22394
      ?auto_22395
      ?auto_22408
      ?auto_22397
      ?auto_22411
      ?auto_22410
    )
    :precondition
    ( and ( OBJ ?auto_22388 ) ( LOCATION ?auto_22389 ) ( TRUCK ?auto_22401 ) ( LOCATION ?auto_22393 ) ( CITY ?auto_22398 ) ( IN-CITY ?auto_22393 ?auto_22398 ) ( IN-CITY ?auto_22389 ?auto_22398 ) ( DIFFERENT ?auto_22389 ?auto_22393 ) ( LOCATION ?auto_22403 ) ( CITY ?auto_22402 ) ( AT ?auto_22401 ?auto_22403 ) ( IN-CITY ?auto_22403 ?auto_22402 ) ( IN-CITY ?auto_22393 ?auto_22402 ) ( DIFFERENT ?auto_22393 ?auto_22403 ) ( LOCATION ?auto_22404 ) ( AT ?auto_22401 ?auto_22404 ) ( AIRPLANE ?auto_22405 ) ( AIRPORT ?auto_22392 ) ( AIRPORT ?auto_22404 ) ( DIFFERENT ?auto_22404 ?auto_22392 ) ( LOCATION ?auto_22392 ) ( AIRPORT ?auto_22407 ) ( DIFFERENT ?auto_22392 ?auto_22407 ) ( AIRPORT ?auto_22396 ) ( AT ?auto_22405 ?auto_22396 ) ( DIFFERENT ?auto_22407 ?auto_22396 ) ( TRUCK ?auto_22399 ) ( LOCATION ?auto_22406 ) ( CITY ?auto_22400 ) ( IN-CITY ?auto_22406 ?auto_22400 ) ( IN-CITY ?auto_22392 ?auto_22400 ) ( DIFFERENT ?auto_22392 ?auto_22406 ) ( LOCATION ?auto_22394 ) ( CITY ?auto_22395 ) ( IN-CITY ?auto_22394 ?auto_22395 ) ( IN-CITY ?auto_22406 ?auto_22395 ) ( DIFFERENT ?auto_22406 ?auto_22394 ) ( AT ?auto_22388 ?auto_22394 ) ( LOCATION ?auto_22408 ) ( CITY ?auto_22397 ) ( IN-CITY ?auto_22408 ?auto_22397 ) ( IN-CITY ?auto_22394 ?auto_22397 ) ( DIFFERENT ?auto_22394 ?auto_22408 ) ( LOCATION ?auto_22411 ) ( CITY ?auto_22410 ) ( AT ?auto_22399 ?auto_22411 ) ( IN-CITY ?auto_22411 ?auto_22410 ) ( IN-CITY ?auto_22408 ?auto_22410 ) ( DIFFERENT ?auto_22408 ?auto_22411 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22399 ?auto_22411 ?auto_22408 ?auto_22410 )
      ( DELIVER-PKG ?auto_22388 ?auto_22389 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_22742
      ?auto_22743
    )
    :vars
    (
      ?auto_22747
      ?auto_22748
      ?auto_22745
      ?auto_22749
      ?auto_22744
      ?auto_22751
      ?auto_22750
      ?auto_22755
      ?auto_22754
    )
    :precondition
    ( and ( OBJ ?auto_22742 ) ( LOCATION ?auto_22743 ) ( AIRPLANE ?auto_22747 ) ( AT ?auto_22747 ?auto_22743 ) ( LOCATION ?auto_22748 ) ( AT ?auto_22747 ?auto_22748 ) ( TRUCK ?auto_22745 ) ( LOCATION ?auto_22749 ) ( CITY ?auto_22744 ) ( IN-CITY ?auto_22749 ?auto_22744 ) ( IN-CITY ?auto_22748 ?auto_22744 ) ( DIFFERENT ?auto_22748 ?auto_22749 ) ( AT ?auto_22742 ?auto_22749 ) ( LOCATION ?auto_22751 ) ( CITY ?auto_22750 ) ( IN-CITY ?auto_22751 ?auto_22750 ) ( IN-CITY ?auto_22749 ?auto_22750 ) ( DIFFERENT ?auto_22749 ?auto_22751 ) ( LOCATION ?auto_22755 ) ( CITY ?auto_22754 ) ( AT ?auto_22745 ?auto_22755 ) ( IN-CITY ?auto_22755 ?auto_22754 ) ( IN-CITY ?auto_22751 ?auto_22754 ) ( DIFFERENT ?auto_22751 ?auto_22755 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_22745 ?auto_22755 ?auto_22751 ?auto_22754 )
      ( DELIVER-PKG ?auto_22742 ?auto_22743 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23144
      ?auto_23145
    )
    :vars
    (
      ?auto_23148
      ?auto_23149
      ?auto_23150
      ?auto_23147
      ?auto_23153
    )
    :precondition
    ( and ( OBJ ?auto_23144 ) ( LOCATION ?auto_23145 ) ( AIRPLANE ?auto_23148 ) ( AIRPORT ?auto_23149 ) ( AIRPORT ?auto_23145 ) ( AT ?auto_23148 ?auto_23149 ) ( DIFFERENT ?auto_23145 ?auto_23149 ) ( LOCATION ?auto_23150 ) ( AT ?auto_23148 ?auto_23150 ) ( AIRPLANE ?auto_23147 ) ( IN ?auto_23144 ?auto_23147 ) ( AIRPORT ?auto_23153 ) ( AIRPORT ?auto_23150 ) ( AT ?auto_23147 ?auto_23153 ) ( DIFFERENT ?auto_23150 ?auto_23153 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23147 ?auto_23153 ?auto_23150 )
      ( DELIVER-PKG ?auto_23144 ?auto_23145 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23155
      ?auto_23156
    )
    :vars
    (
      ?auto_23159
      ?auto_23160
      ?auto_23161
      ?auto_23162
      ?auto_23157
      ?auto_23165
    )
    :precondition
    ( and ( OBJ ?auto_23155 ) ( LOCATION ?auto_23156 ) ( AIRPLANE ?auto_23159 ) ( AIRPORT ?auto_23160 ) ( AIRPORT ?auto_23156 ) ( AT ?auto_23159 ?auto_23160 ) ( DIFFERENT ?auto_23156 ?auto_23160 ) ( LOCATION ?auto_23161 ) ( AT ?auto_23159 ?auto_23161 ) ( AIRPLANE ?auto_23162 ) ( AIRPORT ?auto_23157 ) ( AIRPORT ?auto_23161 ) ( AT ?auto_23162 ?auto_23157 ) ( DIFFERENT ?auto_23161 ?auto_23157 ) ( LOCATION ?auto_23165 ) ( AT ?auto_23155 ?auto_23165 ) ( AT ?auto_23162 ?auto_23165 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_23155 ?auto_23162 ?auto_23165 )
      ( DELIVER-PKG ?auto_23155 ?auto_23156 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23177
      ?auto_23178
    )
    :vars
    (
      ?auto_23185
      ?auto_23183
      ?auto_23182
      ?auto_23186
      ?auto_23180
      ?auto_23188
    )
    :precondition
    ( and ( OBJ ?auto_23177 ) ( LOCATION ?auto_23178 ) ( AIRPLANE ?auto_23185 ) ( AIRPORT ?auto_23183 ) ( AIRPORT ?auto_23178 ) ( AT ?auto_23185 ?auto_23183 ) ( DIFFERENT ?auto_23178 ?auto_23183 ) ( LOCATION ?auto_23182 ) ( AT ?auto_23185 ?auto_23182 ) ( AIRPLANE ?auto_23186 ) ( AIRPORT ?auto_23180 ) ( AIRPORT ?auto_23182 ) ( DIFFERENT ?auto_23182 ?auto_23180 ) ( LOCATION ?auto_23180 ) ( AT ?auto_23177 ?auto_23180 ) ( AIRPORT ?auto_23188 ) ( AT ?auto_23186 ?auto_23188 ) ( DIFFERENT ?auto_23180 ?auto_23188 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23186 ?auto_23188 ?auto_23180 )
      ( DELIVER-PKG ?auto_23177 ?auto_23178 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_23558
      ?auto_23559
    )
    :vars
    (
      ?auto_23562
      ?auto_23563
      ?auto_23564
      ?auto_23565
      ?auto_23567
    )
    :precondition
    ( and ( OBJ ?auto_23558 ) ( LOCATION ?auto_23559 ) ( AIRPLANE ?auto_23562 ) ( AIRPORT ?auto_23563 ) ( AIRPORT ?auto_23559 ) ( DIFFERENT ?auto_23559 ?auto_23563 ) ( LOCATION ?auto_23563 ) ( AT ?auto_23558 ?auto_23563 ) ( AIRPORT ?auto_23564 ) ( DIFFERENT ?auto_23563 ?auto_23564 ) ( AIRPORT ?auto_23565 ) ( DIFFERENT ?auto_23564 ?auto_23565 ) ( AIRPORT ?auto_23567 ) ( AT ?auto_23562 ?auto_23567 ) ( DIFFERENT ?auto_23565 ?auto_23567 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_23562 ?auto_23567 ?auto_23565 )
      ( DELIVER-PKG ?auto_23558 ?auto_23559 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24048
      ?auto_24049
    )
    :vars
    (
      ?auto_24051
      ?auto_24058
      ?auto_24050
      ?auto_24054
      ?auto_24053
      ?auto_24052
      ?auto_24055
      ?auto_24057
      ?auto_24061
    )
    :precondition
    ( and ( OBJ ?auto_24048 ) ( LOCATION ?auto_24049 ) ( TRUCK ?auto_24051 ) ( LOCATION ?auto_24058 ) ( CITY ?auto_24050 ) ( AT ?auto_24051 ?auto_24058 ) ( IN-CITY ?auto_24058 ?auto_24050 ) ( IN-CITY ?auto_24049 ?auto_24050 ) ( DIFFERENT ?auto_24049 ?auto_24058 ) ( LOCATION ?auto_24054 ) ( AT ?auto_24051 ?auto_24054 ) ( AIRPLANE ?auto_24053 ) ( AIRPORT ?auto_24052 ) ( AIRPORT ?auto_24054 ) ( AT ?auto_24053 ?auto_24052 ) ( DIFFERENT ?auto_24054 ?auto_24052 ) ( LOCATION ?auto_24055 ) ( AT ?auto_24053 ?auto_24055 ) ( AIRPLANE ?auto_24057 ) ( IN ?auto_24048 ?auto_24057 ) ( AIRPORT ?auto_24061 ) ( AIRPORT ?auto_24055 ) ( AT ?auto_24057 ?auto_24061 ) ( DIFFERENT ?auto_24055 ?auto_24061 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24057 ?auto_24061 ?auto_24055 )
      ( DELIVER-PKG ?auto_24048 ?auto_24049 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24063
      ?auto_24064
    )
    :vars
    (
      ?auto_24075
      ?auto_24072
      ?auto_24069
      ?auto_24066
      ?auto_24067
      ?auto_24065
      ?auto_24074
      ?auto_24071
      ?auto_24068
      ?auto_24077
    )
    :precondition
    ( and ( OBJ ?auto_24063 ) ( LOCATION ?auto_24064 ) ( TRUCK ?auto_24075 ) ( LOCATION ?auto_24072 ) ( CITY ?auto_24069 ) ( AT ?auto_24075 ?auto_24072 ) ( IN-CITY ?auto_24072 ?auto_24069 ) ( IN-CITY ?auto_24064 ?auto_24069 ) ( DIFFERENT ?auto_24064 ?auto_24072 ) ( LOCATION ?auto_24066 ) ( AT ?auto_24075 ?auto_24066 ) ( AIRPLANE ?auto_24067 ) ( AIRPORT ?auto_24065 ) ( AIRPORT ?auto_24066 ) ( AT ?auto_24067 ?auto_24065 ) ( DIFFERENT ?auto_24066 ?auto_24065 ) ( LOCATION ?auto_24074 ) ( AT ?auto_24067 ?auto_24074 ) ( AIRPLANE ?auto_24071 ) ( AIRPORT ?auto_24068 ) ( AIRPORT ?auto_24074 ) ( AT ?auto_24071 ?auto_24068 ) ( DIFFERENT ?auto_24074 ?auto_24068 ) ( LOCATION ?auto_24077 ) ( AT ?auto_24063 ?auto_24077 ) ( AT ?auto_24071 ?auto_24077 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_24063 ?auto_24071 ?auto_24077 )
      ( DELIVER-PKG ?auto_24063 ?auto_24064 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24093
      ?auto_24094
    )
    :vars
    (
      ?auto_24099
      ?auto_24097
      ?auto_24106
      ?auto_24104
      ?auto_24105
      ?auto_24096
      ?auto_24098
      ?auto_24100
      ?auto_24101
      ?auto_24108
    )
    :precondition
    ( and ( OBJ ?auto_24093 ) ( LOCATION ?auto_24094 ) ( TRUCK ?auto_24099 ) ( LOCATION ?auto_24097 ) ( CITY ?auto_24106 ) ( AT ?auto_24099 ?auto_24097 ) ( IN-CITY ?auto_24097 ?auto_24106 ) ( IN-CITY ?auto_24094 ?auto_24106 ) ( DIFFERENT ?auto_24094 ?auto_24097 ) ( LOCATION ?auto_24104 ) ( AT ?auto_24099 ?auto_24104 ) ( AIRPLANE ?auto_24105 ) ( AIRPORT ?auto_24096 ) ( AIRPORT ?auto_24104 ) ( AT ?auto_24105 ?auto_24096 ) ( DIFFERENT ?auto_24104 ?auto_24096 ) ( LOCATION ?auto_24098 ) ( AT ?auto_24105 ?auto_24098 ) ( AIRPLANE ?auto_24100 ) ( AIRPORT ?auto_24101 ) ( AIRPORT ?auto_24098 ) ( DIFFERENT ?auto_24098 ?auto_24101 ) ( LOCATION ?auto_24101 ) ( AT ?auto_24093 ?auto_24101 ) ( AIRPORT ?auto_24108 ) ( AT ?auto_24100 ?auto_24108 ) ( DIFFERENT ?auto_24101 ?auto_24108 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_24100 ?auto_24108 ?auto_24101 )
      ( DELIVER-PKG ?auto_24093 ?auto_24094 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24110
      ?auto_24111
    )
    :vars
    (
      ?auto_24119
      ?auto_24117
      ?auto_24112
      ?auto_24118
      ?auto_24116
      ?auto_24115
      ?auto_24120
      ?auto_24113
      ?auto_24123
      ?auto_24126
      ?auto_24125
    )
    :precondition
    ( and ( OBJ ?auto_24110 ) ( LOCATION ?auto_24111 ) ( TRUCK ?auto_24119 ) ( LOCATION ?auto_24117 ) ( CITY ?auto_24112 ) ( IN-CITY ?auto_24117 ?auto_24112 ) ( IN-CITY ?auto_24111 ?auto_24112 ) ( DIFFERENT ?auto_24111 ?auto_24117 ) ( AIRPLANE ?auto_24118 ) ( AIRPORT ?auto_24116 ) ( AIRPORT ?auto_24117 ) ( AT ?auto_24118 ?auto_24116 ) ( DIFFERENT ?auto_24117 ?auto_24116 ) ( LOCATION ?auto_24115 ) ( AT ?auto_24118 ?auto_24115 ) ( AIRPLANE ?auto_24120 ) ( AIRPORT ?auto_24113 ) ( AIRPORT ?auto_24115 ) ( DIFFERENT ?auto_24115 ?auto_24113 ) ( LOCATION ?auto_24113 ) ( AT ?auto_24110 ?auto_24113 ) ( AIRPORT ?auto_24123 ) ( AT ?auto_24120 ?auto_24123 ) ( DIFFERENT ?auto_24113 ?auto_24123 ) ( LOCATION ?auto_24126 ) ( CITY ?auto_24125 ) ( AT ?auto_24119 ?auto_24126 ) ( IN-CITY ?auto_24126 ?auto_24125 ) ( IN-CITY ?auto_24117 ?auto_24125 ) ( DIFFERENT ?auto_24117 ?auto_24126 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24119 ?auto_24126 ?auto_24117 ?auto_24125 )
      ( DELIVER-PKG ?auto_24110 ?auto_24111 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24868
      ?auto_24873
    )
    :vars
    (
      ?auto_24872
      ?auto_24874
      ?auto_24877
      ?auto_24876
    )
    :precondition
    ( and ( OBJ ?auto_24868 ) ( LOCATION ?auto_24873 ) ( TRUCK ?auto_24872 ) ( AIRPLANE ?auto_24874 ) ( IN ?auto_24868 ?auto_24874 ) ( AT ?auto_24874 ?auto_24873 ) ( LOCATION ?auto_24877 ) ( CITY ?auto_24876 ) ( AT ?auto_24872 ?auto_24877 ) ( IN-CITY ?auto_24877 ?auto_24876 ) ( IN-CITY ?auto_24873 ?auto_24876 ) ( DIFFERENT ?auto_24873 ?auto_24877 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24872 ?auto_24877 ?auto_24873 ?auto_24876 )
      ( DELIVER-PKG ?auto_24868 ?auto_24873 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_24945
      ?auto_24946
    )
    :vars
    (
      ?auto_24951
      ?auto_24947
      ?auto_24950
      ?auto_24952
      ?auto_24953
      ?auto_24954
      ?auto_24957
      ?auto_24956
    )
    :precondition
    ( and ( OBJ ?auto_24945 ) ( LOCATION ?auto_24946 ) ( TRUCK ?auto_24951 ) ( AIRPLANE ?auto_24947 ) ( LOCATION ?auto_24950 ) ( CITY ?auto_24952 ) ( IN-CITY ?auto_24950 ?auto_24952 ) ( IN-CITY ?auto_24946 ?auto_24952 ) ( DIFFERENT ?auto_24946 ?auto_24950 ) ( AIRPORT ?auto_24953 ) ( AIRPORT ?auto_24946 ) ( AT ?auto_24947 ?auto_24953 ) ( DIFFERENT ?auto_24946 ?auto_24953 ) ( LOCATION ?auto_24954 ) ( AT ?auto_24945 ?auto_24954 ) ( AT ?auto_24947 ?auto_24954 ) ( LOCATION ?auto_24957 ) ( CITY ?auto_24956 ) ( AT ?auto_24951 ?auto_24957 ) ( IN-CITY ?auto_24957 ?auto_24956 ) ( IN-CITY ?auto_24950 ?auto_24956 ) ( DIFFERENT ?auto_24950 ?auto_24957 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_24951 ?auto_24957 ?auto_24950 ?auto_24956 )
      ( DELIVER-PKG ?auto_24945 ?auto_24946 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25786
      ?auto_25787
    )
    :vars
    (
      ?auto_25790
      ?auto_25793
      ?auto_25791
      ?auto_25794
      ?auto_25797
      ?auto_25796
    )
    :precondition
    ( and ( OBJ ?auto_25786 ) ( LOCATION ?auto_25787 ) ( TRUCK ?auto_25790 ) ( LOCATION ?auto_25793 ) ( CITY ?auto_25791 ) ( IN-CITY ?auto_25793 ?auto_25791 ) ( IN-CITY ?auto_25787 ?auto_25791 ) ( DIFFERENT ?auto_25787 ?auto_25793 ) ( AIRPLANE ?auto_25794 ) ( IN ?auto_25786 ?auto_25794 ) ( AT ?auto_25794 ?auto_25793 ) ( LOCATION ?auto_25797 ) ( CITY ?auto_25796 ) ( AT ?auto_25790 ?auto_25797 ) ( IN-CITY ?auto_25797 ?auto_25796 ) ( IN-CITY ?auto_25793 ?auto_25796 ) ( DIFFERENT ?auto_25793 ?auto_25797 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25790 ?auto_25797 ?auto_25793 ?auto_25796 )
      ( DELIVER-PKG ?auto_25786 ?auto_25787 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25809
      ?auto_25810
    )
    :vars
    (
      ?auto_25811
      ?auto_25813
      ?auto_25812
      ?auto_25815
      ?auto_25817
      ?auto_25816
      ?auto_25820
    )
    :precondition
    ( and ( OBJ ?auto_25809 ) ( LOCATION ?auto_25810 ) ( TRUCK ?auto_25811 ) ( LOCATION ?auto_25813 ) ( CITY ?auto_25812 ) ( IN-CITY ?auto_25813 ?auto_25812 ) ( IN-CITY ?auto_25810 ?auto_25812 ) ( DIFFERENT ?auto_25810 ?auto_25813 ) ( AIRPLANE ?auto_25815 ) ( IN ?auto_25809 ?auto_25815 ) ( LOCATION ?auto_25817 ) ( CITY ?auto_25816 ) ( AT ?auto_25811 ?auto_25817 ) ( IN-CITY ?auto_25817 ?auto_25816 ) ( IN-CITY ?auto_25813 ?auto_25816 ) ( DIFFERENT ?auto_25813 ?auto_25817 ) ( AIRPORT ?auto_25820 ) ( AIRPORT ?auto_25813 ) ( AT ?auto_25815 ?auto_25820 ) ( DIFFERENT ?auto_25813 ?auto_25820 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_25815 ?auto_25820 ?auto_25813 )
      ( DELIVER-PKG ?auto_25809 ?auto_25810 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25855
      ?auto_25856
    )
    :vars
    (
      ?auto_25859
      ?auto_25860
      ?auto_25864
      ?auto_25861
      ?auto_25858
      ?auto_25862
      ?auto_25865
      ?auto_25867
    )
    :precondition
    ( and ( OBJ ?auto_25855 ) ( LOCATION ?auto_25856 ) ( TRUCK ?auto_25859 ) ( LOCATION ?auto_25860 ) ( CITY ?auto_25864 ) ( IN-CITY ?auto_25860 ?auto_25864 ) ( IN-CITY ?auto_25856 ?auto_25864 ) ( DIFFERENT ?auto_25856 ?auto_25860 ) ( AIRPLANE ?auto_25861 ) ( LOCATION ?auto_25858 ) ( CITY ?auto_25862 ) ( AT ?auto_25859 ?auto_25858 ) ( IN-CITY ?auto_25858 ?auto_25862 ) ( IN-CITY ?auto_25860 ?auto_25862 ) ( DIFFERENT ?auto_25860 ?auto_25858 ) ( AIRPORT ?auto_25865 ) ( AIRPORT ?auto_25860 ) ( AT ?auto_25861 ?auto_25865 ) ( DIFFERENT ?auto_25860 ?auto_25865 ) ( LOCATION ?auto_25867 ) ( AT ?auto_25855 ?auto_25867 ) ( AT ?auto_25861 ?auto_25867 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_25855 ?auto_25861 ?auto_25867 )
      ( DELIVER-PKG ?auto_25855 ?auto_25856 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_25881
      ?auto_25882
    )
    :vars
    (
      ?auto_25884
      ?auto_25885
      ?auto_25890
      ?auto_25888
      ?auto_25883
      ?auto_25889
      ?auto_25891
      ?auto_25892
      ?auto_25895
      ?auto_25894
    )
    :precondition
    ( and ( OBJ ?auto_25881 ) ( LOCATION ?auto_25882 ) ( TRUCK ?auto_25884 ) ( LOCATION ?auto_25885 ) ( CITY ?auto_25890 ) ( IN-CITY ?auto_25885 ?auto_25890 ) ( IN-CITY ?auto_25882 ?auto_25890 ) ( DIFFERENT ?auto_25882 ?auto_25885 ) ( AIRPLANE ?auto_25888 ) ( LOCATION ?auto_25883 ) ( CITY ?auto_25889 ) ( IN-CITY ?auto_25883 ?auto_25889 ) ( IN-CITY ?auto_25885 ?auto_25889 ) ( DIFFERENT ?auto_25885 ?auto_25883 ) ( AIRPORT ?auto_25891 ) ( AIRPORT ?auto_25885 ) ( AT ?auto_25888 ?auto_25891 ) ( DIFFERENT ?auto_25885 ?auto_25891 ) ( LOCATION ?auto_25892 ) ( AT ?auto_25881 ?auto_25892 ) ( AT ?auto_25888 ?auto_25892 ) ( LOCATION ?auto_25895 ) ( CITY ?auto_25894 ) ( AT ?auto_25884 ?auto_25895 ) ( IN-CITY ?auto_25895 ?auto_25894 ) ( IN-CITY ?auto_25883 ?auto_25894 ) ( DIFFERENT ?auto_25883 ?auto_25895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_25884 ?auto_25895 ?auto_25883 ?auto_25894 )
      ( DELIVER-PKG ?auto_25881 ?auto_25882 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26036
      ?auto_26037
    )
    :vars
    (
      ?auto_26039
      ?auto_26041
      ?auto_26042
      ?auto_26043
      ?auto_26046
      ?auto_26045
    )
    :precondition
    ( and ( OBJ ?auto_26036 ) ( LOCATION ?auto_26037 ) ( AIRPLANE ?auto_26039 ) ( AIRPORT ?auto_26041 ) ( AIRPORT ?auto_26037 ) ( DIFFERENT ?auto_26037 ?auto_26041 ) ( LOCATION ?auto_26041 ) ( AIRPORT ?auto_26042 ) ( AT ?auto_26039 ?auto_26042 ) ( DIFFERENT ?auto_26041 ?auto_26042 ) ( TRUCK ?auto_26043 ) ( IN ?auto_26036 ?auto_26043 ) ( LOCATION ?auto_26046 ) ( CITY ?auto_26045 ) ( AT ?auto_26043 ?auto_26046 ) ( IN-CITY ?auto_26046 ?auto_26045 ) ( IN-CITY ?auto_26041 ?auto_26045 ) ( DIFFERENT ?auto_26041 ?auto_26046 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26043 ?auto_26046 ?auto_26041 ?auto_26045 )
      ( DELIVER-PKG ?auto_26036 ?auto_26037 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26058
      ?auto_26059
    )
    :vars
    (
      ?auto_26060
      ?auto_26063
      ?auto_26064
      ?auto_26065
      ?auto_26067
      ?auto_26066
      ?auto_26069
    )
    :precondition
    ( and ( OBJ ?auto_26058 ) ( LOCATION ?auto_26059 ) ( AIRPLANE ?auto_26060 ) ( AIRPORT ?auto_26063 ) ( AIRPORT ?auto_26059 ) ( DIFFERENT ?auto_26059 ?auto_26063 ) ( LOCATION ?auto_26063 ) ( AIRPORT ?auto_26064 ) ( DIFFERENT ?auto_26063 ?auto_26064 ) ( TRUCK ?auto_26065 ) ( IN ?auto_26058 ?auto_26065 ) ( LOCATION ?auto_26067 ) ( CITY ?auto_26066 ) ( AT ?auto_26065 ?auto_26067 ) ( IN-CITY ?auto_26067 ?auto_26066 ) ( IN-CITY ?auto_26063 ?auto_26066 ) ( DIFFERENT ?auto_26063 ?auto_26067 ) ( AIRPORT ?auto_26069 ) ( AT ?auto_26060 ?auto_26069 ) ( DIFFERENT ?auto_26064 ?auto_26069 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_26060 ?auto_26069 ?auto_26064 )
      ( DELIVER-PKG ?auto_26058 ?auto_26059 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_26879
      ?auto_26880
    )
    :vars
    (
      ?auto_26890
      ?auto_26891
      ?auto_26883
      ?auto_26886
      ?auto_26889
      ?auto_26888
      ?auto_26887
      ?auto_26892
      ?auto_26884
      ?auto_26895
      ?auto_26894
    )
    :precondition
    ( and ( OBJ ?auto_26879 ) ( LOCATION ?auto_26880 ) ( TRUCK ?auto_26890 ) ( LOCATION ?auto_26891 ) ( CITY ?auto_26883 ) ( IN-CITY ?auto_26891 ?auto_26883 ) ( IN-CITY ?auto_26880 ?auto_26883 ) ( DIFFERENT ?auto_26880 ?auto_26891 ) ( LOCATION ?auto_26886 ) ( CITY ?auto_26889 ) ( IN-CITY ?auto_26886 ?auto_26889 ) ( IN-CITY ?auto_26891 ?auto_26889 ) ( DIFFERENT ?auto_26891 ?auto_26886 ) ( LOCATION ?auto_26888 ) ( CITY ?auto_26887 ) ( IN-CITY ?auto_26888 ?auto_26887 ) ( IN-CITY ?auto_26886 ?auto_26887 ) ( DIFFERENT ?auto_26886 ?auto_26888 ) ( LOCATION ?auto_26892 ) ( CITY ?auto_26884 ) ( IN-CITY ?auto_26892 ?auto_26884 ) ( IN-CITY ?auto_26888 ?auto_26884 ) ( DIFFERENT ?auto_26888 ?auto_26892 ) ( AT ?auto_26879 ?auto_26892 ) ( LOCATION ?auto_26895 ) ( CITY ?auto_26894 ) ( AT ?auto_26890 ?auto_26895 ) ( IN-CITY ?auto_26895 ?auto_26894 ) ( IN-CITY ?auto_26892 ?auto_26894 ) ( DIFFERENT ?auto_26892 ?auto_26895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_26890 ?auto_26895 ?auto_26892 ?auto_26894 )
      ( DELIVER-PKG ?auto_26879 ?auto_26880 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27254
      ?auto_27255
    )
    :vars
    (
      ?auto_27260
      ?auto_27261
      ?auto_27263
      ?auto_27264
      ?auto_27259
      ?auto_27262
      ?auto_27256
      ?auto_27266
      ?auto_27265
      ?auto_27269
      ?auto_27268
    )
    :precondition
    ( and ( OBJ ?auto_27254 ) ( LOCATION ?auto_27255 ) ( TRUCK ?auto_27260 ) ( LOCATION ?auto_27261 ) ( CITY ?auto_27263 ) ( IN-CITY ?auto_27261 ?auto_27263 ) ( IN-CITY ?auto_27255 ?auto_27263 ) ( DIFFERENT ?auto_27255 ?auto_27261 ) ( IN ?auto_27254 ?auto_27260 ) ( LOCATION ?auto_27264 ) ( CITY ?auto_27259 ) ( IN-CITY ?auto_27264 ?auto_27259 ) ( IN-CITY ?auto_27261 ?auto_27259 ) ( DIFFERENT ?auto_27261 ?auto_27264 ) ( LOCATION ?auto_27262 ) ( CITY ?auto_27256 ) ( IN-CITY ?auto_27262 ?auto_27256 ) ( IN-CITY ?auto_27264 ?auto_27256 ) ( DIFFERENT ?auto_27264 ?auto_27262 ) ( LOCATION ?auto_27266 ) ( CITY ?auto_27265 ) ( IN-CITY ?auto_27266 ?auto_27265 ) ( IN-CITY ?auto_27262 ?auto_27265 ) ( DIFFERENT ?auto_27262 ?auto_27266 ) ( LOCATION ?auto_27269 ) ( CITY ?auto_27268 ) ( AT ?auto_27260 ?auto_27269 ) ( IN-CITY ?auto_27269 ?auto_27268 ) ( IN-CITY ?auto_27266 ?auto_27268 ) ( DIFFERENT ?auto_27266 ?auto_27269 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27260 ?auto_27269 ?auto_27266 ?auto_27268 )
      ( DELIVER-PKG ?auto_27254 ?auto_27255 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27301
      ?auto_27302
    )
    :vars
    (
      ?auto_27305
      ?auto_27306
      ?auto_27308
      ?auto_27309
      ?auto_27304
      ?auto_27307
      ?auto_27314
      ?auto_27311
      ?auto_27310
      ?auto_27313
      ?auto_27312
      ?auto_27317
    )
    :precondition
    ( and ( OBJ ?auto_27301 ) ( LOCATION ?auto_27302 ) ( TRUCK ?auto_27305 ) ( LOCATION ?auto_27306 ) ( CITY ?auto_27308 ) ( IN-CITY ?auto_27306 ?auto_27308 ) ( IN-CITY ?auto_27302 ?auto_27308 ) ( DIFFERENT ?auto_27302 ?auto_27306 ) ( LOCATION ?auto_27309 ) ( CITY ?auto_27304 ) ( IN-CITY ?auto_27309 ?auto_27304 ) ( IN-CITY ?auto_27306 ?auto_27304 ) ( DIFFERENT ?auto_27306 ?auto_27309 ) ( LOCATION ?auto_27307 ) ( CITY ?auto_27314 ) ( IN-CITY ?auto_27307 ?auto_27314 ) ( IN-CITY ?auto_27309 ?auto_27314 ) ( DIFFERENT ?auto_27309 ?auto_27307 ) ( LOCATION ?auto_27311 ) ( CITY ?auto_27310 ) ( IN-CITY ?auto_27311 ?auto_27310 ) ( IN-CITY ?auto_27307 ?auto_27310 ) ( DIFFERENT ?auto_27307 ?auto_27311 ) ( LOCATION ?auto_27313 ) ( CITY ?auto_27312 ) ( AT ?auto_27305 ?auto_27313 ) ( IN-CITY ?auto_27313 ?auto_27312 ) ( IN-CITY ?auto_27311 ?auto_27312 ) ( DIFFERENT ?auto_27311 ?auto_27313 ) ( LOCATION ?auto_27317 ) ( AT ?auto_27305 ?auto_27317 ) ( AT ?auto_27301 ?auto_27317 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27301 ?auto_27305 ?auto_27317 )
      ( DELIVER-PKG ?auto_27301 ?auto_27302 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27335
      ?auto_27336
    )
    :vars
    (
      ?auto_27348
      ?auto_27345
      ?auto_27347
      ?auto_27338
      ?auto_27344
      ?auto_27346
      ?auto_27343
      ?auto_27340
      ?auto_27339
      ?auto_27350
      ?auto_27341
      ?auto_27353
      ?auto_27352
    )
    :precondition
    ( and ( OBJ ?auto_27335 ) ( LOCATION ?auto_27336 ) ( TRUCK ?auto_27348 ) ( LOCATION ?auto_27345 ) ( CITY ?auto_27347 ) ( IN-CITY ?auto_27345 ?auto_27347 ) ( IN-CITY ?auto_27336 ?auto_27347 ) ( DIFFERENT ?auto_27336 ?auto_27345 ) ( LOCATION ?auto_27338 ) ( CITY ?auto_27344 ) ( IN-CITY ?auto_27338 ?auto_27344 ) ( IN-CITY ?auto_27345 ?auto_27344 ) ( DIFFERENT ?auto_27345 ?auto_27338 ) ( LOCATION ?auto_27346 ) ( CITY ?auto_27343 ) ( IN-CITY ?auto_27346 ?auto_27343 ) ( IN-CITY ?auto_27338 ?auto_27343 ) ( DIFFERENT ?auto_27338 ?auto_27346 ) ( LOCATION ?auto_27340 ) ( CITY ?auto_27339 ) ( IN-CITY ?auto_27340 ?auto_27339 ) ( IN-CITY ?auto_27346 ?auto_27339 ) ( DIFFERENT ?auto_27346 ?auto_27340 ) ( LOCATION ?auto_27350 ) ( CITY ?auto_27341 ) ( IN-CITY ?auto_27350 ?auto_27341 ) ( IN-CITY ?auto_27340 ?auto_27341 ) ( DIFFERENT ?auto_27340 ?auto_27350 ) ( AT ?auto_27335 ?auto_27350 ) ( LOCATION ?auto_27353 ) ( CITY ?auto_27352 ) ( AT ?auto_27348 ?auto_27353 ) ( IN-CITY ?auto_27353 ?auto_27352 ) ( IN-CITY ?auto_27350 ?auto_27352 ) ( DIFFERENT ?auto_27350 ?auto_27353 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27348 ?auto_27353 ?auto_27350 ?auto_27352 )
      ( DELIVER-PKG ?auto_27335 ?auto_27336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27536
      ?auto_27537
    )
    :vars
    (
      ?auto_27547
      ?auto_27545
      ?auto_27541
      ?auto_27546
      ?auto_27538
      ?auto_27542
      ?auto_27544
      ?auto_27540
      ?auto_27550
      ?auto_27549
    )
    :precondition
    ( and ( OBJ ?auto_27536 ) ( LOCATION ?auto_27537 ) ( AIRPLANE ?auto_27547 ) ( AIRPORT ?auto_27545 ) ( AIRPORT ?auto_27537 ) ( AT ?auto_27547 ?auto_27545 ) ( DIFFERENT ?auto_27537 ?auto_27545 ) ( LOCATION ?auto_27541 ) ( AT ?auto_27547 ?auto_27541 ) ( TRUCK ?auto_27546 ) ( LOCATION ?auto_27538 ) ( CITY ?auto_27542 ) ( IN-CITY ?auto_27538 ?auto_27542 ) ( IN-CITY ?auto_27541 ?auto_27542 ) ( DIFFERENT ?auto_27541 ?auto_27538 ) ( IN ?auto_27536 ?auto_27546 ) ( LOCATION ?auto_27544 ) ( CITY ?auto_27540 ) ( IN-CITY ?auto_27544 ?auto_27540 ) ( IN-CITY ?auto_27538 ?auto_27540 ) ( DIFFERENT ?auto_27538 ?auto_27544 ) ( LOCATION ?auto_27550 ) ( CITY ?auto_27549 ) ( AT ?auto_27546 ?auto_27550 ) ( IN-CITY ?auto_27550 ?auto_27549 ) ( IN-CITY ?auto_27544 ?auto_27549 ) ( DIFFERENT ?auto_27544 ?auto_27550 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27546 ?auto_27550 ?auto_27544 ?auto_27549 )
      ( DELIVER-PKG ?auto_27536 ?auto_27537 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27580
      ?auto_27581
    )
    :vars
    (
      ?auto_27586
      ?auto_27591
      ?auto_27593
      ?auto_27582
      ?auto_27588
      ?auto_27587
      ?auto_27589
      ?auto_27592
      ?auto_27584
      ?auto_27583
      ?auto_27596
      ?auto_27595
    )
    :precondition
    ( and ( OBJ ?auto_27580 ) ( LOCATION ?auto_27581 ) ( AIRPLANE ?auto_27586 ) ( AIRPORT ?auto_27591 ) ( AIRPORT ?auto_27581 ) ( AT ?auto_27586 ?auto_27591 ) ( DIFFERENT ?auto_27581 ?auto_27591 ) ( LOCATION ?auto_27593 ) ( AT ?auto_27586 ?auto_27593 ) ( TRUCK ?auto_27582 ) ( LOCATION ?auto_27588 ) ( CITY ?auto_27587 ) ( IN-CITY ?auto_27588 ?auto_27587 ) ( IN-CITY ?auto_27593 ?auto_27587 ) ( DIFFERENT ?auto_27593 ?auto_27588 ) ( IN ?auto_27580 ?auto_27582 ) ( LOCATION ?auto_27589 ) ( CITY ?auto_27592 ) ( IN-CITY ?auto_27589 ?auto_27592 ) ( IN-CITY ?auto_27588 ?auto_27592 ) ( DIFFERENT ?auto_27588 ?auto_27589 ) ( LOCATION ?auto_27584 ) ( CITY ?auto_27583 ) ( IN-CITY ?auto_27584 ?auto_27583 ) ( IN-CITY ?auto_27589 ?auto_27583 ) ( DIFFERENT ?auto_27589 ?auto_27584 ) ( LOCATION ?auto_27596 ) ( CITY ?auto_27595 ) ( AT ?auto_27582 ?auto_27596 ) ( IN-CITY ?auto_27596 ?auto_27595 ) ( IN-CITY ?auto_27584 ?auto_27595 ) ( DIFFERENT ?auto_27584 ?auto_27596 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27582 ?auto_27596 ?auto_27584 ?auto_27595 )
      ( DELIVER-PKG ?auto_27580 ?auto_27581 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27614
      ?auto_27615
    )
    :vars
    (
      ?auto_27618
      ?auto_27622
      ?auto_27624
      ?auto_27616
      ?auto_27626
      ?auto_27625
      ?auto_27627
      ?auto_27623
      ?auto_27620
      ?auto_27619
      ?auto_27629
      ?auto_27628
      ?auto_27632
      ?auto_27631
    )
    :precondition
    ( and ( OBJ ?auto_27614 ) ( LOCATION ?auto_27615 ) ( AIRPLANE ?auto_27618 ) ( AIRPORT ?auto_27622 ) ( AIRPORT ?auto_27615 ) ( AT ?auto_27618 ?auto_27622 ) ( DIFFERENT ?auto_27615 ?auto_27622 ) ( LOCATION ?auto_27624 ) ( AT ?auto_27618 ?auto_27624 ) ( TRUCK ?auto_27616 ) ( LOCATION ?auto_27626 ) ( CITY ?auto_27625 ) ( IN-CITY ?auto_27626 ?auto_27625 ) ( IN-CITY ?auto_27624 ?auto_27625 ) ( DIFFERENT ?auto_27624 ?auto_27626 ) ( IN ?auto_27614 ?auto_27616 ) ( LOCATION ?auto_27627 ) ( CITY ?auto_27623 ) ( IN-CITY ?auto_27627 ?auto_27623 ) ( IN-CITY ?auto_27626 ?auto_27623 ) ( DIFFERENT ?auto_27626 ?auto_27627 ) ( LOCATION ?auto_27620 ) ( CITY ?auto_27619 ) ( IN-CITY ?auto_27620 ?auto_27619 ) ( IN-CITY ?auto_27627 ?auto_27619 ) ( DIFFERENT ?auto_27627 ?auto_27620 ) ( LOCATION ?auto_27629 ) ( CITY ?auto_27628 ) ( IN-CITY ?auto_27629 ?auto_27628 ) ( IN-CITY ?auto_27620 ?auto_27628 ) ( DIFFERENT ?auto_27620 ?auto_27629 ) ( LOCATION ?auto_27632 ) ( CITY ?auto_27631 ) ( AT ?auto_27616 ?auto_27632 ) ( IN-CITY ?auto_27632 ?auto_27631 ) ( IN-CITY ?auto_27629 ?auto_27631 ) ( DIFFERENT ?auto_27629 ?auto_27632 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27616 ?auto_27632 ?auto_27629 ?auto_27631 )
      ( DELIVER-PKG ?auto_27614 ?auto_27615 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27670
      ?auto_27671
    )
    :vars
    (
      ?auto_27674
      ?auto_27679
      ?auto_27681
      ?auto_27673
      ?auto_27683
      ?auto_27682
      ?auto_27684
      ?auto_27680
      ?auto_27678
      ?auto_27675
      ?auto_27677
      ?auto_27676
      ?auto_27687
      ?auto_27686
      ?auto_27689
    )
    :precondition
    ( and ( OBJ ?auto_27670 ) ( LOCATION ?auto_27671 ) ( AIRPLANE ?auto_27674 ) ( AIRPORT ?auto_27679 ) ( AIRPORT ?auto_27671 ) ( AT ?auto_27674 ?auto_27679 ) ( DIFFERENT ?auto_27671 ?auto_27679 ) ( LOCATION ?auto_27681 ) ( AT ?auto_27674 ?auto_27681 ) ( TRUCK ?auto_27673 ) ( LOCATION ?auto_27683 ) ( CITY ?auto_27682 ) ( IN-CITY ?auto_27683 ?auto_27682 ) ( IN-CITY ?auto_27681 ?auto_27682 ) ( DIFFERENT ?auto_27681 ?auto_27683 ) ( LOCATION ?auto_27684 ) ( CITY ?auto_27680 ) ( IN-CITY ?auto_27684 ?auto_27680 ) ( IN-CITY ?auto_27683 ?auto_27680 ) ( DIFFERENT ?auto_27683 ?auto_27684 ) ( LOCATION ?auto_27678 ) ( CITY ?auto_27675 ) ( IN-CITY ?auto_27678 ?auto_27675 ) ( IN-CITY ?auto_27684 ?auto_27675 ) ( DIFFERENT ?auto_27684 ?auto_27678 ) ( LOCATION ?auto_27677 ) ( CITY ?auto_27676 ) ( IN-CITY ?auto_27677 ?auto_27676 ) ( IN-CITY ?auto_27678 ?auto_27676 ) ( DIFFERENT ?auto_27678 ?auto_27677 ) ( LOCATION ?auto_27687 ) ( CITY ?auto_27686 ) ( AT ?auto_27673 ?auto_27687 ) ( IN-CITY ?auto_27687 ?auto_27686 ) ( IN-CITY ?auto_27677 ?auto_27686 ) ( DIFFERENT ?auto_27677 ?auto_27687 ) ( LOCATION ?auto_27689 ) ( AT ?auto_27673 ?auto_27689 ) ( AT ?auto_27670 ?auto_27689 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_27670 ?auto_27673 ?auto_27689 )
      ( DELIVER-PKG ?auto_27670 ?auto_27671 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_27710
      ?auto_27711
    )
    :vars
    (
      ?auto_27720
      ?auto_27725
      ?auto_27713
      ?auto_27719
      ?auto_27715
      ?auto_27714
      ?auto_27717
      ?auto_27726
      ?auto_27724
      ?auto_27721
      ?auto_27722
      ?auto_27723
      ?auto_27716
      ?auto_27727
      ?auto_27731
      ?auto_27730
    )
    :precondition
    ( and ( OBJ ?auto_27710 ) ( LOCATION ?auto_27711 ) ( AIRPLANE ?auto_27720 ) ( AIRPORT ?auto_27725 ) ( AIRPORT ?auto_27711 ) ( AT ?auto_27720 ?auto_27725 ) ( DIFFERENT ?auto_27711 ?auto_27725 ) ( LOCATION ?auto_27713 ) ( AT ?auto_27720 ?auto_27713 ) ( TRUCK ?auto_27719 ) ( LOCATION ?auto_27715 ) ( CITY ?auto_27714 ) ( IN-CITY ?auto_27715 ?auto_27714 ) ( IN-CITY ?auto_27713 ?auto_27714 ) ( DIFFERENT ?auto_27713 ?auto_27715 ) ( LOCATION ?auto_27717 ) ( CITY ?auto_27726 ) ( IN-CITY ?auto_27717 ?auto_27726 ) ( IN-CITY ?auto_27715 ?auto_27726 ) ( DIFFERENT ?auto_27715 ?auto_27717 ) ( LOCATION ?auto_27724 ) ( CITY ?auto_27721 ) ( IN-CITY ?auto_27724 ?auto_27721 ) ( IN-CITY ?auto_27717 ?auto_27721 ) ( DIFFERENT ?auto_27717 ?auto_27724 ) ( LOCATION ?auto_27722 ) ( CITY ?auto_27723 ) ( IN-CITY ?auto_27722 ?auto_27723 ) ( IN-CITY ?auto_27724 ?auto_27723 ) ( DIFFERENT ?auto_27724 ?auto_27722 ) ( LOCATION ?auto_27716 ) ( CITY ?auto_27727 ) ( IN-CITY ?auto_27716 ?auto_27727 ) ( IN-CITY ?auto_27722 ?auto_27727 ) ( DIFFERENT ?auto_27722 ?auto_27716 ) ( AT ?auto_27710 ?auto_27716 ) ( LOCATION ?auto_27731 ) ( CITY ?auto_27730 ) ( AT ?auto_27719 ?auto_27731 ) ( IN-CITY ?auto_27731 ?auto_27730 ) ( IN-CITY ?auto_27716 ?auto_27730 ) ( DIFFERENT ?auto_27716 ?auto_27731 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_27719 ?auto_27731 ?auto_27716 ?auto_27730 )
      ( DELIVER-PKG ?auto_27710 ?auto_27711 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28663
      ?auto_28664
    )
    :vars
    (
      ?auto_28667
      ?auto_28668
      ?auto_28669
      ?auto_28672
      ?auto_28674
      ?auto_28675
      ?auto_28670
      ?auto_28673
      ?auto_28677
      ?auto_28676
      ?auto_28665
      ?auto_28679
    )
    :precondition
    ( and ( OBJ ?auto_28663 ) ( LOCATION ?auto_28664 ) ( TRUCK ?auto_28667 ) ( LOCATION ?auto_28668 ) ( CITY ?auto_28669 ) ( AT ?auto_28667 ?auto_28668 ) ( IN-CITY ?auto_28668 ?auto_28669 ) ( IN-CITY ?auto_28664 ?auto_28669 ) ( DIFFERENT ?auto_28664 ?auto_28668 ) ( LOCATION ?auto_28672 ) ( AT ?auto_28667 ?auto_28672 ) ( AIRPLANE ?auto_28674 ) ( AIRPORT ?auto_28675 ) ( AIRPORT ?auto_28672 ) ( AT ?auto_28674 ?auto_28675 ) ( DIFFERENT ?auto_28672 ?auto_28675 ) ( LOCATION ?auto_28670 ) ( AT ?auto_28674 ?auto_28670 ) ( TRUCK ?auto_28673 ) ( LOCATION ?auto_28677 ) ( CITY ?auto_28676 ) ( AT ?auto_28673 ?auto_28677 ) ( IN-CITY ?auto_28677 ?auto_28676 ) ( IN-CITY ?auto_28670 ?auto_28676 ) ( DIFFERENT ?auto_28670 ?auto_28677 ) ( LOCATION ?auto_28665 ) ( AT ?auto_28673 ?auto_28665 ) ( TRUCK ?auto_28679 ) ( AT ?auto_28679 ?auto_28665 ) ( IN ?auto_28663 ?auto_28679 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_28663 ?auto_28665 )
      ( DELIVER-PKG ?auto_28663 ?auto_28664 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28681
      ?auto_28682
    )
    :vars
    (
      ?auto_28693
      ?auto_28694
      ?auto_28695
      ?auto_28684
      ?auto_28692
      ?auto_28690
      ?auto_28696
      ?auto_28689
      ?auto_28683
      ?auto_28685
      ?auto_28699
      ?auto_28698
    )
    :precondition
    ( and ( OBJ ?auto_28681 ) ( LOCATION ?auto_28682 ) ( TRUCK ?auto_28693 ) ( LOCATION ?auto_28694 ) ( CITY ?auto_28695 ) ( AT ?auto_28693 ?auto_28694 ) ( IN-CITY ?auto_28694 ?auto_28695 ) ( IN-CITY ?auto_28682 ?auto_28695 ) ( DIFFERENT ?auto_28682 ?auto_28694 ) ( LOCATION ?auto_28684 ) ( AT ?auto_28693 ?auto_28684 ) ( AIRPLANE ?auto_28692 ) ( AIRPORT ?auto_28690 ) ( AIRPORT ?auto_28684 ) ( AT ?auto_28692 ?auto_28690 ) ( DIFFERENT ?auto_28684 ?auto_28690 ) ( LOCATION ?auto_28696 ) ( AT ?auto_28692 ?auto_28696 ) ( TRUCK ?auto_28689 ) ( LOCATION ?auto_28683 ) ( CITY ?auto_28685 ) ( IN-CITY ?auto_28683 ?auto_28685 ) ( IN-CITY ?auto_28696 ?auto_28685 ) ( DIFFERENT ?auto_28696 ?auto_28683 ) ( IN ?auto_28681 ?auto_28689 ) ( LOCATION ?auto_28699 ) ( CITY ?auto_28698 ) ( AT ?auto_28689 ?auto_28699 ) ( IN-CITY ?auto_28699 ?auto_28698 ) ( IN-CITY ?auto_28683 ?auto_28698 ) ( DIFFERENT ?auto_28683 ?auto_28699 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28689 ?auto_28699 ?auto_28683 ?auto_28698 )
      ( DELIVER-PKG ?auto_28681 ?auto_28682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28701
      ?auto_28702
    )
    :vars
    (
      ?auto_28704
      ?auto_28710
      ?auto_28713
      ?auto_28715
      ?auto_28703
      ?auto_28706
      ?auto_28714
      ?auto_28711
      ?auto_28707
      ?auto_28716
      ?auto_28709
      ?auto_28708
      ?auto_28719
      ?auto_28718
    )
    :precondition
    ( and ( OBJ ?auto_28701 ) ( LOCATION ?auto_28702 ) ( TRUCK ?auto_28704 ) ( LOCATION ?auto_28710 ) ( CITY ?auto_28713 ) ( AT ?auto_28704 ?auto_28710 ) ( IN-CITY ?auto_28710 ?auto_28713 ) ( IN-CITY ?auto_28702 ?auto_28713 ) ( DIFFERENT ?auto_28702 ?auto_28710 ) ( LOCATION ?auto_28715 ) ( AT ?auto_28704 ?auto_28715 ) ( AIRPLANE ?auto_28703 ) ( AIRPORT ?auto_28706 ) ( AIRPORT ?auto_28715 ) ( AT ?auto_28703 ?auto_28706 ) ( DIFFERENT ?auto_28715 ?auto_28706 ) ( LOCATION ?auto_28714 ) ( AT ?auto_28703 ?auto_28714 ) ( TRUCK ?auto_28711 ) ( LOCATION ?auto_28707 ) ( CITY ?auto_28716 ) ( IN-CITY ?auto_28707 ?auto_28716 ) ( IN-CITY ?auto_28714 ?auto_28716 ) ( DIFFERENT ?auto_28714 ?auto_28707 ) ( IN ?auto_28701 ?auto_28711 ) ( LOCATION ?auto_28709 ) ( CITY ?auto_28708 ) ( IN-CITY ?auto_28709 ?auto_28708 ) ( IN-CITY ?auto_28707 ?auto_28708 ) ( DIFFERENT ?auto_28707 ?auto_28709 ) ( LOCATION ?auto_28719 ) ( CITY ?auto_28718 ) ( AT ?auto_28711 ?auto_28719 ) ( IN-CITY ?auto_28719 ?auto_28718 ) ( IN-CITY ?auto_28709 ?auto_28718 ) ( DIFFERENT ?auto_28709 ?auto_28719 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28711 ?auto_28719 ?auto_28709 ?auto_28718 )
      ( DELIVER-PKG ?auto_28701 ?auto_28702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28757
      ?auto_28758
    )
    :vars
    (
      ?auto_28766
      ?auto_28759
      ?auto_28769
      ?auto_28763
      ?auto_28765
      ?auto_28770
      ?auto_28762
      ?auto_28761
      ?auto_28772
      ?auto_28771
      ?auto_28774
      ?auto_28773
      ?auto_28768
      ?auto_28767
      ?auto_28777
      ?auto_28776
    )
    :precondition
    ( and ( OBJ ?auto_28757 ) ( LOCATION ?auto_28758 ) ( TRUCK ?auto_28766 ) ( LOCATION ?auto_28759 ) ( CITY ?auto_28769 ) ( AT ?auto_28766 ?auto_28759 ) ( IN-CITY ?auto_28759 ?auto_28769 ) ( IN-CITY ?auto_28758 ?auto_28769 ) ( DIFFERENT ?auto_28758 ?auto_28759 ) ( LOCATION ?auto_28763 ) ( AT ?auto_28766 ?auto_28763 ) ( AIRPLANE ?auto_28765 ) ( AIRPORT ?auto_28770 ) ( AIRPORT ?auto_28763 ) ( AT ?auto_28765 ?auto_28770 ) ( DIFFERENT ?auto_28763 ?auto_28770 ) ( LOCATION ?auto_28762 ) ( AT ?auto_28765 ?auto_28762 ) ( TRUCK ?auto_28761 ) ( LOCATION ?auto_28772 ) ( CITY ?auto_28771 ) ( IN-CITY ?auto_28772 ?auto_28771 ) ( IN-CITY ?auto_28762 ?auto_28771 ) ( DIFFERENT ?auto_28762 ?auto_28772 ) ( IN ?auto_28757 ?auto_28761 ) ( LOCATION ?auto_28774 ) ( CITY ?auto_28773 ) ( IN-CITY ?auto_28774 ?auto_28773 ) ( IN-CITY ?auto_28772 ?auto_28773 ) ( DIFFERENT ?auto_28772 ?auto_28774 ) ( LOCATION ?auto_28768 ) ( CITY ?auto_28767 ) ( IN-CITY ?auto_28768 ?auto_28767 ) ( IN-CITY ?auto_28774 ?auto_28767 ) ( DIFFERENT ?auto_28774 ?auto_28768 ) ( LOCATION ?auto_28777 ) ( CITY ?auto_28776 ) ( AT ?auto_28761 ?auto_28777 ) ( IN-CITY ?auto_28777 ?auto_28776 ) ( IN-CITY ?auto_28768 ?auto_28776 ) ( DIFFERENT ?auto_28768 ?auto_28777 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28761 ?auto_28777 ?auto_28768 ?auto_28776 )
      ( DELIVER-PKG ?auto_28757 ?auto_28758 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28799
      ?auto_28800
    )
    :vars
    (
      ?auto_28811
      ?auto_28808
      ?auto_28803
      ?auto_28809
      ?auto_28810
      ?auto_28804
      ?auto_28802
      ?auto_28814
      ?auto_28806
      ?auto_28805
      ?auto_28817
      ?auto_28816
      ?auto_28813
      ?auto_28812
      ?auto_28818
      ?auto_28807
      ?auto_28821
      ?auto_28820
    )
    :precondition
    ( and ( OBJ ?auto_28799 ) ( LOCATION ?auto_28800 ) ( TRUCK ?auto_28811 ) ( LOCATION ?auto_28808 ) ( CITY ?auto_28803 ) ( AT ?auto_28811 ?auto_28808 ) ( IN-CITY ?auto_28808 ?auto_28803 ) ( IN-CITY ?auto_28800 ?auto_28803 ) ( DIFFERENT ?auto_28800 ?auto_28808 ) ( LOCATION ?auto_28809 ) ( AT ?auto_28811 ?auto_28809 ) ( AIRPLANE ?auto_28810 ) ( AIRPORT ?auto_28804 ) ( AIRPORT ?auto_28809 ) ( AT ?auto_28810 ?auto_28804 ) ( DIFFERENT ?auto_28809 ?auto_28804 ) ( LOCATION ?auto_28802 ) ( AT ?auto_28810 ?auto_28802 ) ( TRUCK ?auto_28814 ) ( LOCATION ?auto_28806 ) ( CITY ?auto_28805 ) ( IN-CITY ?auto_28806 ?auto_28805 ) ( IN-CITY ?auto_28802 ?auto_28805 ) ( DIFFERENT ?auto_28802 ?auto_28806 ) ( IN ?auto_28799 ?auto_28814 ) ( LOCATION ?auto_28817 ) ( CITY ?auto_28816 ) ( IN-CITY ?auto_28817 ?auto_28816 ) ( IN-CITY ?auto_28806 ?auto_28816 ) ( DIFFERENT ?auto_28806 ?auto_28817 ) ( LOCATION ?auto_28813 ) ( CITY ?auto_28812 ) ( IN-CITY ?auto_28813 ?auto_28812 ) ( IN-CITY ?auto_28817 ?auto_28812 ) ( DIFFERENT ?auto_28817 ?auto_28813 ) ( LOCATION ?auto_28818 ) ( CITY ?auto_28807 ) ( IN-CITY ?auto_28818 ?auto_28807 ) ( IN-CITY ?auto_28813 ?auto_28807 ) ( DIFFERENT ?auto_28813 ?auto_28818 ) ( LOCATION ?auto_28821 ) ( CITY ?auto_28820 ) ( AT ?auto_28814 ?auto_28821 ) ( IN-CITY ?auto_28821 ?auto_28820 ) ( IN-CITY ?auto_28818 ?auto_28820 ) ( DIFFERENT ?auto_28818 ?auto_28821 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28814 ?auto_28821 ?auto_28818 ?auto_28820 )
      ( DELIVER-PKG ?auto_28799 ?auto_28800 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28867
      ?auto_28868
    )
    :vars
    (
      ?auto_28878
      ?auto_28875
      ?auto_28871
      ?auto_28876
      ?auto_28877
      ?auto_28872
      ?auto_28870
      ?auto_28881
      ?auto_28873
      ?auto_28886
      ?auto_28884
      ?auto_28882
      ?auto_28880
      ?auto_28879
      ?auto_28885
      ?auto_28874
      ?auto_28888
      ?auto_28883
      ?auto_28890
    )
    :precondition
    ( and ( OBJ ?auto_28867 ) ( LOCATION ?auto_28868 ) ( TRUCK ?auto_28878 ) ( LOCATION ?auto_28875 ) ( CITY ?auto_28871 ) ( AT ?auto_28878 ?auto_28875 ) ( IN-CITY ?auto_28875 ?auto_28871 ) ( IN-CITY ?auto_28868 ?auto_28871 ) ( DIFFERENT ?auto_28868 ?auto_28875 ) ( LOCATION ?auto_28876 ) ( AT ?auto_28878 ?auto_28876 ) ( AIRPLANE ?auto_28877 ) ( AIRPORT ?auto_28872 ) ( AIRPORT ?auto_28876 ) ( AT ?auto_28877 ?auto_28872 ) ( DIFFERENT ?auto_28876 ?auto_28872 ) ( LOCATION ?auto_28870 ) ( AT ?auto_28877 ?auto_28870 ) ( TRUCK ?auto_28881 ) ( LOCATION ?auto_28873 ) ( CITY ?auto_28886 ) ( IN-CITY ?auto_28873 ?auto_28886 ) ( IN-CITY ?auto_28870 ?auto_28886 ) ( DIFFERENT ?auto_28870 ?auto_28873 ) ( LOCATION ?auto_28884 ) ( CITY ?auto_28882 ) ( IN-CITY ?auto_28884 ?auto_28882 ) ( IN-CITY ?auto_28873 ?auto_28882 ) ( DIFFERENT ?auto_28873 ?auto_28884 ) ( LOCATION ?auto_28880 ) ( CITY ?auto_28879 ) ( IN-CITY ?auto_28880 ?auto_28879 ) ( IN-CITY ?auto_28884 ?auto_28879 ) ( DIFFERENT ?auto_28884 ?auto_28880 ) ( LOCATION ?auto_28885 ) ( CITY ?auto_28874 ) ( IN-CITY ?auto_28885 ?auto_28874 ) ( IN-CITY ?auto_28880 ?auto_28874 ) ( DIFFERENT ?auto_28880 ?auto_28885 ) ( LOCATION ?auto_28888 ) ( CITY ?auto_28883 ) ( AT ?auto_28881 ?auto_28888 ) ( IN-CITY ?auto_28888 ?auto_28883 ) ( IN-CITY ?auto_28885 ?auto_28883 ) ( DIFFERENT ?auto_28885 ?auto_28888 ) ( LOCATION ?auto_28890 ) ( AT ?auto_28881 ?auto_28890 ) ( AT ?auto_28867 ?auto_28890 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_28867 ?auto_28881 ?auto_28890 )
      ( DELIVER-PKG ?auto_28867 ?auto_28868 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_28915
      ?auto_28916
    )
    :vars
    (
      ?auto_28928
      ?auto_28932
      ?auto_28918
      ?auto_28933
      ?auto_28934
      ?auto_28925
      ?auto_28919
      ?auto_28931
      ?auto_28926
      ?auto_28935
      ?auto_28922
      ?auto_28920
      ?auto_28930
      ?auto_28929
      ?auto_28923
      ?auto_28927
      ?auto_28936
      ?auto_28921
      ?auto_28940
      ?auto_28939
    )
    :precondition
    ( and ( OBJ ?auto_28915 ) ( LOCATION ?auto_28916 ) ( TRUCK ?auto_28928 ) ( LOCATION ?auto_28932 ) ( CITY ?auto_28918 ) ( AT ?auto_28928 ?auto_28932 ) ( IN-CITY ?auto_28932 ?auto_28918 ) ( IN-CITY ?auto_28916 ?auto_28918 ) ( DIFFERENT ?auto_28916 ?auto_28932 ) ( LOCATION ?auto_28933 ) ( AT ?auto_28928 ?auto_28933 ) ( AIRPLANE ?auto_28934 ) ( AIRPORT ?auto_28925 ) ( AIRPORT ?auto_28933 ) ( AT ?auto_28934 ?auto_28925 ) ( DIFFERENT ?auto_28933 ?auto_28925 ) ( LOCATION ?auto_28919 ) ( AT ?auto_28934 ?auto_28919 ) ( TRUCK ?auto_28931 ) ( LOCATION ?auto_28926 ) ( CITY ?auto_28935 ) ( IN-CITY ?auto_28926 ?auto_28935 ) ( IN-CITY ?auto_28919 ?auto_28935 ) ( DIFFERENT ?auto_28919 ?auto_28926 ) ( LOCATION ?auto_28922 ) ( CITY ?auto_28920 ) ( IN-CITY ?auto_28922 ?auto_28920 ) ( IN-CITY ?auto_28926 ?auto_28920 ) ( DIFFERENT ?auto_28926 ?auto_28922 ) ( LOCATION ?auto_28930 ) ( CITY ?auto_28929 ) ( IN-CITY ?auto_28930 ?auto_28929 ) ( IN-CITY ?auto_28922 ?auto_28929 ) ( DIFFERENT ?auto_28922 ?auto_28930 ) ( LOCATION ?auto_28923 ) ( CITY ?auto_28927 ) ( IN-CITY ?auto_28923 ?auto_28927 ) ( IN-CITY ?auto_28930 ?auto_28927 ) ( DIFFERENT ?auto_28930 ?auto_28923 ) ( LOCATION ?auto_28936 ) ( CITY ?auto_28921 ) ( IN-CITY ?auto_28936 ?auto_28921 ) ( IN-CITY ?auto_28923 ?auto_28921 ) ( DIFFERENT ?auto_28923 ?auto_28936 ) ( AT ?auto_28915 ?auto_28936 ) ( LOCATION ?auto_28940 ) ( CITY ?auto_28939 ) ( AT ?auto_28931 ?auto_28940 ) ( IN-CITY ?auto_28940 ?auto_28939 ) ( IN-CITY ?auto_28936 ?auto_28939 ) ( DIFFERENT ?auto_28936 ?auto_28940 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_28931 ?auto_28940 ?auto_28936 ?auto_28939 )
      ( DELIVER-PKG ?auto_28915 ?auto_28916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_29265
      ?auto_29266
    )
    :vars
    (
      ?auto_29275
      ?auto_29271
      ?auto_29274
      ?auto_29272
      ?auto_29273
      ?auto_29270
      ?auto_29276
      ?auto_29277
      ?auto_29267
      ?auto_29279
      ?auto_29268
      ?auto_29283
      ?auto_29282
    )
    :precondition
    ( and ( OBJ ?auto_29265 ) ( LOCATION ?auto_29266 ) ( TRUCK ?auto_29275 ) ( LOCATION ?auto_29271 ) ( CITY ?auto_29274 ) ( AT ?auto_29275 ?auto_29271 ) ( IN-CITY ?auto_29271 ?auto_29274 ) ( IN-CITY ?auto_29266 ?auto_29274 ) ( DIFFERENT ?auto_29266 ?auto_29271 ) ( LOCATION ?auto_29272 ) ( AT ?auto_29275 ?auto_29272 ) ( AIRPLANE ?auto_29273 ) ( AIRPORT ?auto_29270 ) ( AIRPORT ?auto_29272 ) ( DIFFERENT ?auto_29272 ?auto_29270 ) ( LOCATION ?auto_29270 ) ( AIRPORT ?auto_29276 ) ( DIFFERENT ?auto_29270 ?auto_29276 ) ( AIRPORT ?auto_29277 ) ( AT ?auto_29273 ?auto_29277 ) ( DIFFERENT ?auto_29276 ?auto_29277 ) ( TRUCK ?auto_29267 ) ( LOCATION ?auto_29279 ) ( CITY ?auto_29268 ) ( IN-CITY ?auto_29279 ?auto_29268 ) ( IN-CITY ?auto_29270 ?auto_29268 ) ( DIFFERENT ?auto_29270 ?auto_29279 ) ( AT ?auto_29265 ?auto_29279 ) ( LOCATION ?auto_29283 ) ( CITY ?auto_29282 ) ( AT ?auto_29267 ?auto_29283 ) ( IN-CITY ?auto_29283 ?auto_29282 ) ( IN-CITY ?auto_29279 ?auto_29282 ) ( DIFFERENT ?auto_29279 ?auto_29283 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_29267 ?auto_29283 ?auto_29279 ?auto_29282 )
      ( DELIVER-PKG ?auto_29265 ?auto_29266 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30025
      ?auto_30026
    )
    :vars
    (
      ?auto_30027
      ?auto_30032
      ?auto_30028
      ?auto_30034
      ?auto_30030
      ?auto_30029
      ?auto_30037
      ?auto_30036
    )
    :precondition
    ( and ( OBJ ?auto_30025 ) ( LOCATION ?auto_30026 ) ( AIRPLANE ?auto_30027 ) ( AIRPORT ?auto_30032 ) ( AIRPORT ?auto_30026 ) ( DIFFERENT ?auto_30026 ?auto_30032 ) ( LOCATION ?auto_30032 ) ( AIRPORT ?auto_30028 ) ( AT ?auto_30027 ?auto_30028 ) ( DIFFERENT ?auto_30032 ?auto_30028 ) ( TRUCK ?auto_30034 ) ( IN ?auto_30025 ?auto_30034 ) ( LOCATION ?auto_30030 ) ( CITY ?auto_30029 ) ( IN-CITY ?auto_30030 ?auto_30029 ) ( IN-CITY ?auto_30032 ?auto_30029 ) ( DIFFERENT ?auto_30032 ?auto_30030 ) ( LOCATION ?auto_30037 ) ( CITY ?auto_30036 ) ( AT ?auto_30034 ?auto_30037 ) ( IN-CITY ?auto_30037 ?auto_30036 ) ( IN-CITY ?auto_30030 ?auto_30036 ) ( DIFFERENT ?auto_30030 ?auto_30037 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30034 ?auto_30037 ?auto_30030 ?auto_30036 )
      ( DELIVER-PKG ?auto_30025 ?auto_30026 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30051
      ?auto_30052
    )
    :vars
    (
      ?auto_30056
      ?auto_30053
      ?auto_30055
      ?auto_30060
      ?auto_30054
      ?auto_30061
      ?auto_30058
      ?auto_30059
      ?auto_30064
    )
    :precondition
    ( and ( OBJ ?auto_30051 ) ( LOCATION ?auto_30052 ) ( AIRPLANE ?auto_30056 ) ( AIRPORT ?auto_30053 ) ( AIRPORT ?auto_30052 ) ( DIFFERENT ?auto_30052 ?auto_30053 ) ( LOCATION ?auto_30053 ) ( AIRPORT ?auto_30055 ) ( AT ?auto_30056 ?auto_30055 ) ( DIFFERENT ?auto_30053 ?auto_30055 ) ( TRUCK ?auto_30060 ) ( LOCATION ?auto_30054 ) ( CITY ?auto_30061 ) ( IN-CITY ?auto_30054 ?auto_30061 ) ( IN-CITY ?auto_30053 ?auto_30061 ) ( DIFFERENT ?auto_30053 ?auto_30054 ) ( LOCATION ?auto_30058 ) ( CITY ?auto_30059 ) ( AT ?auto_30060 ?auto_30058 ) ( IN-CITY ?auto_30058 ?auto_30059 ) ( IN-CITY ?auto_30054 ?auto_30059 ) ( DIFFERENT ?auto_30054 ?auto_30058 ) ( LOCATION ?auto_30064 ) ( AT ?auto_30060 ?auto_30064 ) ( AT ?auto_30051 ?auto_30064 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30051 ?auto_30060 ?auto_30064 )
      ( DELIVER-PKG ?auto_30051 ?auto_30052 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30092
      ?auto_30093
    )
    :vars
    (
      ?auto_30097
      ?auto_30103
      ?auto_30102
      ?auto_30099
      ?auto_30096
      ?auto_30094
      ?auto_30104
      ?auto_30098
      ?auto_30107
      ?auto_30106
    )
    :precondition
    ( and ( OBJ ?auto_30092 ) ( LOCATION ?auto_30093 ) ( AIRPLANE ?auto_30097 ) ( AIRPORT ?auto_30103 ) ( AIRPORT ?auto_30093 ) ( DIFFERENT ?auto_30093 ?auto_30103 ) ( LOCATION ?auto_30103 ) ( AIRPORT ?auto_30102 ) ( AT ?auto_30097 ?auto_30102 ) ( DIFFERENT ?auto_30103 ?auto_30102 ) ( TRUCK ?auto_30099 ) ( LOCATION ?auto_30096 ) ( CITY ?auto_30094 ) ( IN-CITY ?auto_30096 ?auto_30094 ) ( IN-CITY ?auto_30103 ?auto_30094 ) ( DIFFERENT ?auto_30103 ?auto_30096 ) ( LOCATION ?auto_30104 ) ( CITY ?auto_30098 ) ( IN-CITY ?auto_30104 ?auto_30098 ) ( IN-CITY ?auto_30096 ?auto_30098 ) ( DIFFERENT ?auto_30096 ?auto_30104 ) ( AT ?auto_30092 ?auto_30104 ) ( LOCATION ?auto_30107 ) ( CITY ?auto_30106 ) ( AT ?auto_30099 ?auto_30107 ) ( IN-CITY ?auto_30107 ?auto_30106 ) ( IN-CITY ?auto_30104 ?auto_30106 ) ( DIFFERENT ?auto_30104 ?auto_30107 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30099 ?auto_30107 ?auto_30104 ?auto_30106 )
      ( DELIVER-PKG ?auto_30092 ?auto_30093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30109
      ?auto_30110
    )
    :vars
    (
      ?auto_30114
      ?auto_30119
      ?auto_30118
      ?auto_30117
      ?auto_30113
      ?auto_30112
      ?auto_30120
      ?auto_30116
      ?auto_30122
      ?auto_30121
      ?auto_30124
    )
    :precondition
    ( and ( OBJ ?auto_30109 ) ( LOCATION ?auto_30110 ) ( AIRPLANE ?auto_30114 ) ( AIRPORT ?auto_30119 ) ( AIRPORT ?auto_30110 ) ( DIFFERENT ?auto_30110 ?auto_30119 ) ( LOCATION ?auto_30119 ) ( AIRPORT ?auto_30118 ) ( DIFFERENT ?auto_30119 ?auto_30118 ) ( TRUCK ?auto_30117 ) ( LOCATION ?auto_30113 ) ( CITY ?auto_30112 ) ( IN-CITY ?auto_30113 ?auto_30112 ) ( IN-CITY ?auto_30119 ?auto_30112 ) ( DIFFERENT ?auto_30119 ?auto_30113 ) ( LOCATION ?auto_30120 ) ( CITY ?auto_30116 ) ( IN-CITY ?auto_30120 ?auto_30116 ) ( IN-CITY ?auto_30113 ?auto_30116 ) ( DIFFERENT ?auto_30113 ?auto_30120 ) ( AT ?auto_30109 ?auto_30120 ) ( LOCATION ?auto_30122 ) ( CITY ?auto_30121 ) ( AT ?auto_30117 ?auto_30122 ) ( IN-CITY ?auto_30122 ?auto_30121 ) ( IN-CITY ?auto_30120 ?auto_30121 ) ( DIFFERENT ?auto_30120 ?auto_30122 ) ( AIRPORT ?auto_30124 ) ( AT ?auto_30114 ?auto_30124 ) ( DIFFERENT ?auto_30118 ?auto_30124 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_30114 ?auto_30124 ?auto_30118 )
      ( DELIVER-PKG ?auto_30109 ?auto_30110 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30404
      ?auto_30405
    )
    :vars
    (
      ?auto_30407
      ?auto_30406
      ?auto_30408
      ?auto_30411
      ?auto_30412
      ?auto_30414
    )
    :precondition
    ( and ( OBJ ?auto_30404 ) ( LOCATION ?auto_30405 ) ( AIRPLANE ?auto_30407 ) ( AIRPORT ?auto_30406 ) ( AIRPORT ?auto_30405 ) ( DIFFERENT ?auto_30405 ?auto_30406 ) ( AIRPORT ?auto_30408 ) ( DIFFERENT ?auto_30406 ?auto_30408 ) ( AIRPORT ?auto_30411 ) ( AT ?auto_30407 ?auto_30411 ) ( DIFFERENT ?auto_30408 ?auto_30411 ) ( LOCATION ?auto_30412 ) ( AT ?auto_30407 ?auto_30412 ) ( TRUCK ?auto_30414 ) ( AT ?auto_30414 ?auto_30412 ) ( IN ?auto_30404 ?auto_30414 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_30404 ?auto_30412 )
      ( DELIVER-PKG ?auto_30404 ?auto_30405 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30426
      ?auto_30427
    )
    :vars
    (
      ?auto_30428
      ?auto_30430
      ?auto_30433
      ?auto_30431
      ?auto_30432
      ?auto_30435
      ?auto_30438
      ?auto_30437
    )
    :precondition
    ( and ( OBJ ?auto_30426 ) ( LOCATION ?auto_30427 ) ( AIRPLANE ?auto_30428 ) ( AIRPORT ?auto_30430 ) ( AIRPORT ?auto_30427 ) ( DIFFERENT ?auto_30427 ?auto_30430 ) ( AIRPORT ?auto_30433 ) ( DIFFERENT ?auto_30430 ?auto_30433 ) ( AIRPORT ?auto_30431 ) ( AT ?auto_30428 ?auto_30431 ) ( DIFFERENT ?auto_30433 ?auto_30431 ) ( LOCATION ?auto_30432 ) ( AT ?auto_30428 ?auto_30432 ) ( TRUCK ?auto_30435 ) ( IN ?auto_30426 ?auto_30435 ) ( LOCATION ?auto_30438 ) ( CITY ?auto_30437 ) ( AT ?auto_30435 ?auto_30438 ) ( IN-CITY ?auto_30438 ?auto_30437 ) ( IN-CITY ?auto_30432 ?auto_30437 ) ( DIFFERENT ?auto_30432 ?auto_30438 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30435 ?auto_30438 ?auto_30432 ?auto_30437 )
      ( DELIVER-PKG ?auto_30426 ?auto_30427 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30452
      ?auto_30453
    )
    :vars
    (
      ?auto_30459
      ?auto_30456
      ?auto_30457
      ?auto_30454
      ?auto_30455
      ?auto_30458
      ?auto_30463
      ?auto_30462
      ?auto_30465
    )
    :precondition
    ( and ( OBJ ?auto_30452 ) ( LOCATION ?auto_30453 ) ( AIRPLANE ?auto_30459 ) ( AIRPORT ?auto_30456 ) ( AIRPORT ?auto_30453 ) ( DIFFERENT ?auto_30453 ?auto_30456 ) ( AIRPORT ?auto_30457 ) ( DIFFERENT ?auto_30456 ?auto_30457 ) ( AIRPORT ?auto_30454 ) ( AT ?auto_30459 ?auto_30454 ) ( DIFFERENT ?auto_30457 ?auto_30454 ) ( LOCATION ?auto_30455 ) ( AT ?auto_30459 ?auto_30455 ) ( TRUCK ?auto_30458 ) ( LOCATION ?auto_30463 ) ( CITY ?auto_30462 ) ( AT ?auto_30458 ?auto_30463 ) ( IN-CITY ?auto_30463 ?auto_30462 ) ( IN-CITY ?auto_30455 ?auto_30462 ) ( DIFFERENT ?auto_30455 ?auto_30463 ) ( LOCATION ?auto_30465 ) ( AT ?auto_30458 ?auto_30465 ) ( AT ?auto_30452 ?auto_30465 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_30452 ?auto_30458 ?auto_30465 )
      ( DELIVER-PKG ?auto_30452 ?auto_30453 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30493
      ?auto_30494
    )
    :vars
    (
      ?auto_30499
      ?auto_30501
      ?auto_30502
      ?auto_30495
      ?auto_30498
      ?auto_30497
      ?auto_30496
      ?auto_30505
      ?auto_30507
    )
    :precondition
    ( and ( OBJ ?auto_30493 ) ( LOCATION ?auto_30494 ) ( AIRPLANE ?auto_30499 ) ( AIRPORT ?auto_30501 ) ( AIRPORT ?auto_30494 ) ( DIFFERENT ?auto_30494 ?auto_30501 ) ( AIRPORT ?auto_30502 ) ( DIFFERENT ?auto_30501 ?auto_30502 ) ( AIRPORT ?auto_30495 ) ( DIFFERENT ?auto_30502 ?auto_30495 ) ( LOCATION ?auto_30495 ) ( TRUCK ?auto_30498 ) ( LOCATION ?auto_30497 ) ( CITY ?auto_30496 ) ( AT ?auto_30498 ?auto_30497 ) ( IN-CITY ?auto_30497 ?auto_30496 ) ( IN-CITY ?auto_30495 ?auto_30496 ) ( DIFFERENT ?auto_30495 ?auto_30497 ) ( LOCATION ?auto_30505 ) ( AT ?auto_30498 ?auto_30505 ) ( AT ?auto_30493 ?auto_30505 ) ( AIRPORT ?auto_30507 ) ( AT ?auto_30499 ?auto_30507 ) ( DIFFERENT ?auto_30495 ?auto_30507 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_30499 ?auto_30507 ?auto_30495 )
      ( DELIVER-PKG ?auto_30493 ?auto_30494 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_30509
      ?auto_30510
    )
    :vars
    (
      ?auto_30518
      ?auto_30519
      ?auto_30515
      ?auto_30511
      ?auto_30517
      ?auto_30516
      ?auto_30514
      ?auto_30521
      ?auto_30524
      ?auto_30523
    )
    :precondition
    ( and ( OBJ ?auto_30509 ) ( LOCATION ?auto_30510 ) ( AIRPLANE ?auto_30518 ) ( AIRPORT ?auto_30519 ) ( AIRPORT ?auto_30510 ) ( DIFFERENT ?auto_30510 ?auto_30519 ) ( AIRPORT ?auto_30515 ) ( DIFFERENT ?auto_30519 ?auto_30515 ) ( AIRPORT ?auto_30511 ) ( DIFFERENT ?auto_30515 ?auto_30511 ) ( LOCATION ?auto_30511 ) ( TRUCK ?auto_30517 ) ( LOCATION ?auto_30516 ) ( CITY ?auto_30514 ) ( IN-CITY ?auto_30516 ?auto_30514 ) ( IN-CITY ?auto_30511 ?auto_30514 ) ( DIFFERENT ?auto_30511 ?auto_30516 ) ( AT ?auto_30509 ?auto_30516 ) ( AIRPORT ?auto_30521 ) ( AT ?auto_30518 ?auto_30521 ) ( DIFFERENT ?auto_30511 ?auto_30521 ) ( LOCATION ?auto_30524 ) ( CITY ?auto_30523 ) ( AT ?auto_30517 ?auto_30524 ) ( IN-CITY ?auto_30524 ?auto_30523 ) ( IN-CITY ?auto_30516 ?auto_30523 ) ( DIFFERENT ?auto_30516 ?auto_30524 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_30517 ?auto_30524 ?auto_30516 ?auto_30523 )
      ( DELIVER-PKG ?auto_30509 ?auto_30510 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38501
      ?auto_38502
    )
    :vars
    (
      ?auto_38506
      ?auto_38505
      ?auto_38507
      ?auto_38509
      ?auto_38511
    )
    :precondition
    ( and ( OBJ ?auto_38501 ) ( LOCATION ?auto_38502 ) ( AIRPLANE ?auto_38506 ) ( AIRPORT ?auto_38505 ) ( AIRPORT ?auto_38502 ) ( DIFFERENT ?auto_38502 ?auto_38505 ) ( AIRPORT ?auto_38507 ) ( DIFFERENT ?auto_38505 ?auto_38507 ) ( AIRPORT ?auto_38509 ) ( DIFFERENT ?auto_38507 ?auto_38509 ) ( LOCATION ?auto_38509 ) ( AT ?auto_38501 ?auto_38509 ) ( AIRPORT ?auto_38511 ) ( AT ?auto_38506 ?auto_38511 ) ( DIFFERENT ?auto_38509 ?auto_38511 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38506 ?auto_38511 ?auto_38509 )
      ( DELIVER-PKG ?auto_38501 ?auto_38502 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31024
      ?auto_31025
    )
    :vars
    (
      ?auto_31030
      ?auto_31031
      ?auto_31027
      ?auto_31029
      ?auto_31028
      ?auto_31035
    )
    :precondition
    ( and ( OBJ ?auto_31024 ) ( LOCATION ?auto_31025 ) ( AIRPLANE ?auto_31030 ) ( AIRPORT ?auto_31031 ) ( AIRPORT ?auto_31025 ) ( DIFFERENT ?auto_31025 ?auto_31031 ) ( AIRPORT ?auto_31027 ) ( DIFFERENT ?auto_31031 ?auto_31027 ) ( LOCATION ?auto_31027 ) ( AIRPORT ?auto_31029 ) ( DIFFERENT ?auto_31027 ?auto_31029 ) ( LOCATION ?auto_31029 ) ( AIRPORT ?auto_31028 ) ( AT ?auto_31030 ?auto_31028 ) ( DIFFERENT ?auto_31029 ?auto_31028 ) ( TRUCK ?auto_31035 ) ( AT ?auto_31035 ?auto_31029 ) ( IN ?auto_31024 ?auto_31035 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_31024 ?auto_31029 )
      ( DELIVER-PKG ?auto_31024 ?auto_31025 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31046
      ?auto_31047
    )
    :vars
    (
      ?auto_31048
      ?auto_31052
      ?auto_31055
      ?auto_31053
      ?auto_31054
      ?auto_31050
      ?auto_31058
      ?auto_31057
    )
    :precondition
    ( and ( OBJ ?auto_31046 ) ( LOCATION ?auto_31047 ) ( AIRPLANE ?auto_31048 ) ( AIRPORT ?auto_31052 ) ( AIRPORT ?auto_31047 ) ( DIFFERENT ?auto_31047 ?auto_31052 ) ( AIRPORT ?auto_31055 ) ( DIFFERENT ?auto_31052 ?auto_31055 ) ( LOCATION ?auto_31055 ) ( AIRPORT ?auto_31053 ) ( DIFFERENT ?auto_31055 ?auto_31053 ) ( LOCATION ?auto_31053 ) ( AIRPORT ?auto_31054 ) ( AT ?auto_31048 ?auto_31054 ) ( DIFFERENT ?auto_31053 ?auto_31054 ) ( TRUCK ?auto_31050 ) ( IN ?auto_31046 ?auto_31050 ) ( LOCATION ?auto_31058 ) ( CITY ?auto_31057 ) ( AT ?auto_31050 ?auto_31058 ) ( IN-CITY ?auto_31058 ?auto_31057 ) ( IN-CITY ?auto_31053 ?auto_31057 ) ( DIFFERENT ?auto_31053 ?auto_31058 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31050 ?auto_31058 ?auto_31053 ?auto_31057 )
      ( DELIVER-PKG ?auto_31046 ?auto_31047 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31072
      ?auto_31073
    )
    :vars
    (
      ?auto_31075
      ?auto_31082
      ?auto_31080
      ?auto_31074
      ?auto_31079
      ?auto_31081
      ?auto_31083
      ?auto_31076
      ?auto_31086
      ?auto_31085
    )
    :precondition
    ( and ( OBJ ?auto_31072 ) ( LOCATION ?auto_31073 ) ( AIRPLANE ?auto_31075 ) ( AIRPORT ?auto_31082 ) ( AIRPORT ?auto_31073 ) ( DIFFERENT ?auto_31073 ?auto_31082 ) ( AIRPORT ?auto_31080 ) ( DIFFERENT ?auto_31082 ?auto_31080 ) ( LOCATION ?auto_31080 ) ( AIRPORT ?auto_31074 ) ( DIFFERENT ?auto_31080 ?auto_31074 ) ( LOCATION ?auto_31074 ) ( AIRPORT ?auto_31079 ) ( AT ?auto_31075 ?auto_31079 ) ( DIFFERENT ?auto_31074 ?auto_31079 ) ( TRUCK ?auto_31081 ) ( IN ?auto_31072 ?auto_31081 ) ( LOCATION ?auto_31083 ) ( CITY ?auto_31076 ) ( IN-CITY ?auto_31083 ?auto_31076 ) ( IN-CITY ?auto_31074 ?auto_31076 ) ( DIFFERENT ?auto_31074 ?auto_31083 ) ( LOCATION ?auto_31086 ) ( CITY ?auto_31085 ) ( AT ?auto_31081 ?auto_31086 ) ( IN-CITY ?auto_31086 ?auto_31085 ) ( IN-CITY ?auto_31083 ?auto_31085 ) ( DIFFERENT ?auto_31083 ?auto_31086 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31081 ?auto_31086 ?auto_31083 ?auto_31085 )
      ( DELIVER-PKG ?auto_31072 ?auto_31073 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31102
      ?auto_31103
    )
    :vars
    (
      ?auto_31109
      ?auto_31107
      ?auto_31106
      ?auto_31111
      ?auto_31104
      ?auto_31105
      ?auto_31110
      ?auto_31108
      ?auto_31113
      ?auto_31112
      ?auto_31117
    )
    :precondition
    ( and ( OBJ ?auto_31102 ) ( LOCATION ?auto_31103 ) ( AIRPLANE ?auto_31109 ) ( AIRPORT ?auto_31107 ) ( AIRPORT ?auto_31103 ) ( DIFFERENT ?auto_31103 ?auto_31107 ) ( AIRPORT ?auto_31106 ) ( DIFFERENT ?auto_31107 ?auto_31106 ) ( LOCATION ?auto_31106 ) ( AIRPORT ?auto_31111 ) ( DIFFERENT ?auto_31106 ?auto_31111 ) ( LOCATION ?auto_31111 ) ( AIRPORT ?auto_31104 ) ( AT ?auto_31109 ?auto_31104 ) ( DIFFERENT ?auto_31111 ?auto_31104 ) ( TRUCK ?auto_31105 ) ( LOCATION ?auto_31110 ) ( CITY ?auto_31108 ) ( IN-CITY ?auto_31110 ?auto_31108 ) ( IN-CITY ?auto_31111 ?auto_31108 ) ( DIFFERENT ?auto_31111 ?auto_31110 ) ( LOCATION ?auto_31113 ) ( CITY ?auto_31112 ) ( AT ?auto_31105 ?auto_31113 ) ( IN-CITY ?auto_31113 ?auto_31112 ) ( IN-CITY ?auto_31110 ?auto_31112 ) ( DIFFERENT ?auto_31110 ?auto_31113 ) ( LOCATION ?auto_31117 ) ( AT ?auto_31105 ?auto_31117 ) ( AT ?auto_31102 ?auto_31117 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_31102 ?auto_31105 ?auto_31117 )
      ( DELIVER-PKG ?auto_31102 ?auto_31103 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31149
      ?auto_31150
    )
    :vars
    (
      ?auto_31153
      ?auto_31155
      ?auto_31151
      ?auto_31158
      ?auto_31152
      ?auto_31161
      ?auto_31154
      ?auto_31156
      ?auto_31163
      ?auto_31159
      ?auto_31166
      ?auto_31165
    )
    :precondition
    ( and ( OBJ ?auto_31149 ) ( LOCATION ?auto_31150 ) ( AIRPLANE ?auto_31153 ) ( AIRPORT ?auto_31155 ) ( AIRPORT ?auto_31150 ) ( DIFFERENT ?auto_31150 ?auto_31155 ) ( AIRPORT ?auto_31151 ) ( DIFFERENT ?auto_31155 ?auto_31151 ) ( LOCATION ?auto_31151 ) ( AIRPORT ?auto_31158 ) ( DIFFERENT ?auto_31151 ?auto_31158 ) ( LOCATION ?auto_31158 ) ( AIRPORT ?auto_31152 ) ( AT ?auto_31153 ?auto_31152 ) ( DIFFERENT ?auto_31158 ?auto_31152 ) ( TRUCK ?auto_31161 ) ( LOCATION ?auto_31154 ) ( CITY ?auto_31156 ) ( IN-CITY ?auto_31154 ?auto_31156 ) ( IN-CITY ?auto_31158 ?auto_31156 ) ( DIFFERENT ?auto_31158 ?auto_31154 ) ( LOCATION ?auto_31163 ) ( CITY ?auto_31159 ) ( IN-CITY ?auto_31163 ?auto_31159 ) ( IN-CITY ?auto_31154 ?auto_31159 ) ( DIFFERENT ?auto_31154 ?auto_31163 ) ( AT ?auto_31149 ?auto_31163 ) ( LOCATION ?auto_31166 ) ( CITY ?auto_31165 ) ( AT ?auto_31161 ?auto_31166 ) ( IN-CITY ?auto_31166 ?auto_31165 ) ( IN-CITY ?auto_31163 ?auto_31165 ) ( DIFFERENT ?auto_31163 ?auto_31166 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31161 ?auto_31166 ?auto_31163 ?auto_31165 )
      ( DELIVER-PKG ?auto_31149 ?auto_31150 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31168
      ?auto_31169
    )
    :vars
    (
      ?auto_31170
      ?auto_31180
      ?auto_31171
      ?auto_31175
      ?auto_31173
      ?auto_31177
      ?auto_31179
      ?auto_31174
      ?auto_31178
      ?auto_31176
      ?auto_31183
      ?auto_31182
      ?auto_31185
    )
    :precondition
    ( and ( OBJ ?auto_31168 ) ( LOCATION ?auto_31169 ) ( AIRPLANE ?auto_31170 ) ( AIRPORT ?auto_31180 ) ( AIRPORT ?auto_31169 ) ( DIFFERENT ?auto_31169 ?auto_31180 ) ( AIRPORT ?auto_31171 ) ( DIFFERENT ?auto_31180 ?auto_31171 ) ( LOCATION ?auto_31171 ) ( AIRPORT ?auto_31175 ) ( DIFFERENT ?auto_31171 ?auto_31175 ) ( LOCATION ?auto_31175 ) ( AIRPORT ?auto_31173 ) ( DIFFERENT ?auto_31175 ?auto_31173 ) ( TRUCK ?auto_31177 ) ( LOCATION ?auto_31179 ) ( CITY ?auto_31174 ) ( IN-CITY ?auto_31179 ?auto_31174 ) ( IN-CITY ?auto_31175 ?auto_31174 ) ( DIFFERENT ?auto_31175 ?auto_31179 ) ( LOCATION ?auto_31178 ) ( CITY ?auto_31176 ) ( IN-CITY ?auto_31178 ?auto_31176 ) ( IN-CITY ?auto_31179 ?auto_31176 ) ( DIFFERENT ?auto_31179 ?auto_31178 ) ( AT ?auto_31168 ?auto_31178 ) ( LOCATION ?auto_31183 ) ( CITY ?auto_31182 ) ( AT ?auto_31177 ?auto_31183 ) ( IN-CITY ?auto_31183 ?auto_31182 ) ( IN-CITY ?auto_31178 ?auto_31182 ) ( DIFFERENT ?auto_31178 ?auto_31183 ) ( AIRPORT ?auto_31185 ) ( AT ?auto_31170 ?auto_31185 ) ( DIFFERENT ?auto_31173 ?auto_31185 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_31170 ?auto_31185 ?auto_31173 )
      ( DELIVER-PKG ?auto_31168 ?auto_31169 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31565
      ?auto_31566
    )
    :vars
    (
      ?auto_31569
      ?auto_31576
      ?auto_31568
      ?auto_31567
      ?auto_31571
      ?auto_31573
      ?auto_31572
      ?auto_31570
      ?auto_31578
    )
    :precondition
    ( and ( OBJ ?auto_31565 ) ( LOCATION ?auto_31566 ) ( TRUCK ?auto_31569 ) ( LOCATION ?auto_31576 ) ( CITY ?auto_31568 ) ( IN-CITY ?auto_31576 ?auto_31568 ) ( IN-CITY ?auto_31566 ?auto_31568 ) ( DIFFERENT ?auto_31566 ?auto_31576 ) ( LOCATION ?auto_31567 ) ( CITY ?auto_31571 ) ( AT ?auto_31569 ?auto_31567 ) ( IN-CITY ?auto_31567 ?auto_31571 ) ( IN-CITY ?auto_31576 ?auto_31571 ) ( DIFFERENT ?auto_31576 ?auto_31567 ) ( LOCATION ?auto_31573 ) ( AT ?auto_31569 ?auto_31573 ) ( AIRPLANE ?auto_31572 ) ( IN ?auto_31565 ?auto_31572 ) ( AIRPORT ?auto_31570 ) ( AIRPORT ?auto_31573 ) ( DIFFERENT ?auto_31573 ?auto_31570 ) ( AIRPORT ?auto_31578 ) ( AT ?auto_31572 ?auto_31578 ) ( DIFFERENT ?auto_31570 ?auto_31578 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_31572 ?auto_31578 ?auto_31570 )
      ( DELIVER-PKG ?auto_31565 ?auto_31566 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31593
      ?auto_31594
    )
    :vars
    (
      ?auto_31602
      ?auto_31603
      ?auto_31600
      ?auto_31604
      ?auto_31596
      ?auto_31598
      ?auto_31597
      ?auto_31595
      ?auto_31605
      ?auto_31607
    )
    :precondition
    ( and ( OBJ ?auto_31593 ) ( LOCATION ?auto_31594 ) ( TRUCK ?auto_31602 ) ( LOCATION ?auto_31603 ) ( CITY ?auto_31600 ) ( IN-CITY ?auto_31603 ?auto_31600 ) ( IN-CITY ?auto_31594 ?auto_31600 ) ( DIFFERENT ?auto_31594 ?auto_31603 ) ( LOCATION ?auto_31604 ) ( CITY ?auto_31596 ) ( AT ?auto_31602 ?auto_31604 ) ( IN-CITY ?auto_31604 ?auto_31596 ) ( IN-CITY ?auto_31603 ?auto_31596 ) ( DIFFERENT ?auto_31603 ?auto_31604 ) ( LOCATION ?auto_31598 ) ( AT ?auto_31602 ?auto_31598 ) ( AIRPLANE ?auto_31597 ) ( IN ?auto_31593 ?auto_31597 ) ( AIRPORT ?auto_31595 ) ( AIRPORT ?auto_31598 ) ( DIFFERENT ?auto_31598 ?auto_31595 ) ( AIRPORT ?auto_31605 ) ( DIFFERENT ?auto_31595 ?auto_31605 ) ( AIRPORT ?auto_31607 ) ( AT ?auto_31597 ?auto_31607 ) ( DIFFERENT ?auto_31605 ?auto_31607 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_31597 ?auto_31607 ?auto_31605 )
      ( DELIVER-PKG ?auto_31593 ?auto_31594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31623
      ?auto_31624
    )
    :vars
    (
      ?auto_31628
      ?auto_31629
      ?auto_31631
      ?auto_31630
      ?auto_31635
      ?auto_31632
      ?auto_31633
      ?auto_31626
      ?auto_31634
      ?auto_31636
      ?auto_31638
    )
    :precondition
    ( and ( OBJ ?auto_31623 ) ( LOCATION ?auto_31624 ) ( TRUCK ?auto_31628 ) ( LOCATION ?auto_31629 ) ( CITY ?auto_31631 ) ( IN-CITY ?auto_31629 ?auto_31631 ) ( IN-CITY ?auto_31624 ?auto_31631 ) ( DIFFERENT ?auto_31624 ?auto_31629 ) ( LOCATION ?auto_31630 ) ( CITY ?auto_31635 ) ( AT ?auto_31628 ?auto_31630 ) ( IN-CITY ?auto_31630 ?auto_31635 ) ( IN-CITY ?auto_31629 ?auto_31635 ) ( DIFFERENT ?auto_31629 ?auto_31630 ) ( LOCATION ?auto_31632 ) ( AT ?auto_31628 ?auto_31632 ) ( AIRPLANE ?auto_31633 ) ( AIRPORT ?auto_31626 ) ( AIRPORT ?auto_31632 ) ( DIFFERENT ?auto_31632 ?auto_31626 ) ( AIRPORT ?auto_31634 ) ( DIFFERENT ?auto_31626 ?auto_31634 ) ( AIRPORT ?auto_31636 ) ( AT ?auto_31633 ?auto_31636 ) ( DIFFERENT ?auto_31634 ?auto_31636 ) ( LOCATION ?auto_31638 ) ( AT ?auto_31623 ?auto_31638 ) ( AT ?auto_31633 ?auto_31638 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_31623 ?auto_31633 ?auto_31638 )
      ( DELIVER-PKG ?auto_31623 ?auto_31624 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31655
      ?auto_31656
    )
    :vars
    (
      ?auto_31658
      ?auto_31659
      ?auto_31661
      ?auto_31660
      ?auto_31666
      ?auto_31662
      ?auto_31663
      ?auto_31657
      ?auto_31665
      ?auto_31667
      ?auto_31669
      ?auto_31671
    )
    :precondition
    ( and ( OBJ ?auto_31655 ) ( LOCATION ?auto_31656 ) ( TRUCK ?auto_31658 ) ( LOCATION ?auto_31659 ) ( CITY ?auto_31661 ) ( IN-CITY ?auto_31659 ?auto_31661 ) ( IN-CITY ?auto_31656 ?auto_31661 ) ( DIFFERENT ?auto_31656 ?auto_31659 ) ( LOCATION ?auto_31660 ) ( CITY ?auto_31666 ) ( AT ?auto_31658 ?auto_31660 ) ( IN-CITY ?auto_31660 ?auto_31666 ) ( IN-CITY ?auto_31659 ?auto_31666 ) ( DIFFERENT ?auto_31659 ?auto_31660 ) ( LOCATION ?auto_31662 ) ( AT ?auto_31658 ?auto_31662 ) ( AIRPLANE ?auto_31663 ) ( AIRPORT ?auto_31657 ) ( AIRPORT ?auto_31662 ) ( DIFFERENT ?auto_31662 ?auto_31657 ) ( AIRPORT ?auto_31665 ) ( DIFFERENT ?auto_31657 ?auto_31665 ) ( AIRPORT ?auto_31667 ) ( AT ?auto_31663 ?auto_31667 ) ( DIFFERENT ?auto_31665 ?auto_31667 ) ( LOCATION ?auto_31669 ) ( AT ?auto_31663 ?auto_31669 ) ( TRUCK ?auto_31671 ) ( AT ?auto_31671 ?auto_31669 ) ( IN ?auto_31655 ?auto_31671 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_31655 ?auto_31669 )
      ( DELIVER-PKG ?auto_31655 ?auto_31656 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31689
      ?auto_31690
    )
    :vars
    (
      ?auto_31692
      ?auto_31696
      ?auto_31698
      ?auto_31693
      ?auto_31695
      ?auto_31699
      ?auto_31700
      ?auto_31691
      ?auto_31694
      ?auto_31701
      ?auto_31703
      ?auto_31702
      ?auto_31707
      ?auto_31706
    )
    :precondition
    ( and ( OBJ ?auto_31689 ) ( LOCATION ?auto_31690 ) ( TRUCK ?auto_31692 ) ( LOCATION ?auto_31696 ) ( CITY ?auto_31698 ) ( IN-CITY ?auto_31696 ?auto_31698 ) ( IN-CITY ?auto_31690 ?auto_31698 ) ( DIFFERENT ?auto_31690 ?auto_31696 ) ( LOCATION ?auto_31693 ) ( CITY ?auto_31695 ) ( AT ?auto_31692 ?auto_31693 ) ( IN-CITY ?auto_31693 ?auto_31695 ) ( IN-CITY ?auto_31696 ?auto_31695 ) ( DIFFERENT ?auto_31696 ?auto_31693 ) ( LOCATION ?auto_31699 ) ( AT ?auto_31692 ?auto_31699 ) ( AIRPLANE ?auto_31700 ) ( AIRPORT ?auto_31691 ) ( AIRPORT ?auto_31699 ) ( DIFFERENT ?auto_31699 ?auto_31691 ) ( AIRPORT ?auto_31694 ) ( DIFFERENT ?auto_31691 ?auto_31694 ) ( AIRPORT ?auto_31701 ) ( AT ?auto_31700 ?auto_31701 ) ( DIFFERENT ?auto_31694 ?auto_31701 ) ( LOCATION ?auto_31703 ) ( AT ?auto_31700 ?auto_31703 ) ( TRUCK ?auto_31702 ) ( IN ?auto_31689 ?auto_31702 ) ( LOCATION ?auto_31707 ) ( CITY ?auto_31706 ) ( AT ?auto_31702 ?auto_31707 ) ( IN-CITY ?auto_31707 ?auto_31706 ) ( IN-CITY ?auto_31703 ?auto_31706 ) ( DIFFERENT ?auto_31703 ?auto_31707 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31702 ?auto_31707 ?auto_31703 ?auto_31706 )
      ( DELIVER-PKG ?auto_31689 ?auto_31690 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31727
      ?auto_31728
    )
    :vars
    (
      ?auto_31741
      ?auto_31734
      ?auto_31735
      ?auto_31730
      ?auto_31733
      ?auto_31736
      ?auto_31737
      ?auto_31729
      ?auto_31732
      ?auto_31738
      ?auto_31740
      ?auto_31739
      ?auto_31744
      ?auto_31743
      ?auto_31746
    )
    :precondition
    ( and ( OBJ ?auto_31727 ) ( LOCATION ?auto_31728 ) ( TRUCK ?auto_31741 ) ( LOCATION ?auto_31734 ) ( CITY ?auto_31735 ) ( IN-CITY ?auto_31734 ?auto_31735 ) ( IN-CITY ?auto_31728 ?auto_31735 ) ( DIFFERENT ?auto_31728 ?auto_31734 ) ( LOCATION ?auto_31730 ) ( CITY ?auto_31733 ) ( AT ?auto_31741 ?auto_31730 ) ( IN-CITY ?auto_31730 ?auto_31733 ) ( IN-CITY ?auto_31734 ?auto_31733 ) ( DIFFERENT ?auto_31734 ?auto_31730 ) ( LOCATION ?auto_31736 ) ( AT ?auto_31741 ?auto_31736 ) ( AIRPLANE ?auto_31737 ) ( AIRPORT ?auto_31729 ) ( AIRPORT ?auto_31736 ) ( DIFFERENT ?auto_31736 ?auto_31729 ) ( AIRPORT ?auto_31732 ) ( DIFFERENT ?auto_31729 ?auto_31732 ) ( AIRPORT ?auto_31738 ) ( AT ?auto_31737 ?auto_31738 ) ( DIFFERENT ?auto_31732 ?auto_31738 ) ( LOCATION ?auto_31740 ) ( AT ?auto_31737 ?auto_31740 ) ( TRUCK ?auto_31739 ) ( LOCATION ?auto_31744 ) ( CITY ?auto_31743 ) ( AT ?auto_31739 ?auto_31744 ) ( IN-CITY ?auto_31744 ?auto_31743 ) ( IN-CITY ?auto_31740 ?auto_31743 ) ( DIFFERENT ?auto_31740 ?auto_31744 ) ( LOCATION ?auto_31746 ) ( AT ?auto_31739 ?auto_31746 ) ( AT ?auto_31727 ?auto_31746 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_31727 ?auto_31739 ?auto_31746 )
      ( DELIVER-PKG ?auto_31727 ?auto_31728 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31748
      ?auto_31749
    )
    :vars
    (
      ?auto_31761
      ?auto_31751
      ?auto_31755
      ?auto_31756
      ?auto_31750
      ?auto_31757
      ?auto_31766
      ?auto_31752
      ?auto_31758
      ?auto_31760
      ?auto_31759
      ?auto_31763
      ?auto_31762
      ?auto_31765
      ?auto_31769
      ?auto_31768
    )
    :precondition
    ( and ( OBJ ?auto_31748 ) ( LOCATION ?auto_31749 ) ( TRUCK ?auto_31761 ) ( LOCATION ?auto_31751 ) ( CITY ?auto_31755 ) ( IN-CITY ?auto_31751 ?auto_31755 ) ( IN-CITY ?auto_31749 ?auto_31755 ) ( DIFFERENT ?auto_31749 ?auto_31751 ) ( LOCATION ?auto_31756 ) ( CITY ?auto_31750 ) ( IN-CITY ?auto_31756 ?auto_31750 ) ( IN-CITY ?auto_31751 ?auto_31750 ) ( DIFFERENT ?auto_31751 ?auto_31756 ) ( AIRPLANE ?auto_31757 ) ( AIRPORT ?auto_31766 ) ( AIRPORT ?auto_31756 ) ( DIFFERENT ?auto_31756 ?auto_31766 ) ( AIRPORT ?auto_31752 ) ( DIFFERENT ?auto_31766 ?auto_31752 ) ( AIRPORT ?auto_31758 ) ( AT ?auto_31757 ?auto_31758 ) ( DIFFERENT ?auto_31752 ?auto_31758 ) ( LOCATION ?auto_31760 ) ( AT ?auto_31757 ?auto_31760 ) ( TRUCK ?auto_31759 ) ( LOCATION ?auto_31763 ) ( CITY ?auto_31762 ) ( AT ?auto_31759 ?auto_31763 ) ( IN-CITY ?auto_31763 ?auto_31762 ) ( IN-CITY ?auto_31760 ?auto_31762 ) ( DIFFERENT ?auto_31760 ?auto_31763 ) ( LOCATION ?auto_31765 ) ( AT ?auto_31759 ?auto_31765 ) ( AT ?auto_31748 ?auto_31765 ) ( LOCATION ?auto_31769 ) ( CITY ?auto_31768 ) ( AT ?auto_31761 ?auto_31769 ) ( IN-CITY ?auto_31769 ?auto_31768 ) ( IN-CITY ?auto_31756 ?auto_31768 ) ( DIFFERENT ?auto_31756 ?auto_31769 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31761 ?auto_31769 ?auto_31756 ?auto_31768 )
      ( DELIVER-PKG ?auto_31748 ?auto_31749 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31791
      ?auto_31792
    )
    :vars
    (
      ?auto_31799
      ?auto_31810
      ?auto_31796
      ?auto_31801
      ?auto_31806
      ?auto_31797
      ?auto_31804
      ?auto_31808
      ?auto_31807
      ?auto_31798
      ?auto_31809
      ?auto_31800
      ?auto_31802
      ?auto_31803
      ?auto_31805
      ?auto_31812
    )
    :precondition
    ( and ( OBJ ?auto_31791 ) ( LOCATION ?auto_31792 ) ( TRUCK ?auto_31799 ) ( LOCATION ?auto_31810 ) ( CITY ?auto_31796 ) ( IN-CITY ?auto_31810 ?auto_31796 ) ( IN-CITY ?auto_31792 ?auto_31796 ) ( DIFFERENT ?auto_31792 ?auto_31810 ) ( LOCATION ?auto_31801 ) ( CITY ?auto_31806 ) ( IN-CITY ?auto_31801 ?auto_31806 ) ( IN-CITY ?auto_31810 ?auto_31806 ) ( DIFFERENT ?auto_31810 ?auto_31801 ) ( AIRPLANE ?auto_31797 ) ( AIRPORT ?auto_31804 ) ( AIRPORT ?auto_31801 ) ( DIFFERENT ?auto_31801 ?auto_31804 ) ( AIRPORT ?auto_31808 ) ( DIFFERENT ?auto_31804 ?auto_31808 ) ( AIRPORT ?auto_31807 ) ( DIFFERENT ?auto_31808 ?auto_31807 ) ( LOCATION ?auto_31807 ) ( TRUCK ?auto_31798 ) ( LOCATION ?auto_31809 ) ( CITY ?auto_31800 ) ( AT ?auto_31798 ?auto_31809 ) ( IN-CITY ?auto_31809 ?auto_31800 ) ( IN-CITY ?auto_31807 ?auto_31800 ) ( DIFFERENT ?auto_31807 ?auto_31809 ) ( LOCATION ?auto_31802 ) ( AT ?auto_31798 ?auto_31802 ) ( AT ?auto_31791 ?auto_31802 ) ( LOCATION ?auto_31803 ) ( CITY ?auto_31805 ) ( AT ?auto_31799 ?auto_31803 ) ( IN-CITY ?auto_31803 ?auto_31805 ) ( IN-CITY ?auto_31801 ?auto_31805 ) ( DIFFERENT ?auto_31801 ?auto_31803 ) ( AIRPORT ?auto_31812 ) ( AT ?auto_31797 ?auto_31812 ) ( DIFFERENT ?auto_31807 ?auto_31812 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_31797 ?auto_31812 ?auto_31807 )
      ( DELIVER-PKG ?auto_31791 ?auto_31792 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_31814
      ?auto_31815
    )
    :vars
    (
      ?auto_31829
      ?auto_31821
      ?auto_31831
      ?auto_31823
      ?auto_31817
      ?auto_31830
      ?auto_31826
      ?auto_31819
      ?auto_31818
      ?auto_31828
      ?auto_31824
      ?auto_31822
      ?auto_31825
      ?auto_31827
      ?auto_31832
      ?auto_31836
      ?auto_31835
    )
    :precondition
    ( and ( OBJ ?auto_31814 ) ( LOCATION ?auto_31815 ) ( TRUCK ?auto_31829 ) ( LOCATION ?auto_31821 ) ( CITY ?auto_31831 ) ( IN-CITY ?auto_31821 ?auto_31831 ) ( IN-CITY ?auto_31815 ?auto_31831 ) ( DIFFERENT ?auto_31815 ?auto_31821 ) ( LOCATION ?auto_31823 ) ( CITY ?auto_31817 ) ( IN-CITY ?auto_31823 ?auto_31817 ) ( IN-CITY ?auto_31821 ?auto_31817 ) ( DIFFERENT ?auto_31821 ?auto_31823 ) ( AIRPLANE ?auto_31830 ) ( AIRPORT ?auto_31826 ) ( AIRPORT ?auto_31823 ) ( DIFFERENT ?auto_31823 ?auto_31826 ) ( AIRPORT ?auto_31819 ) ( DIFFERENT ?auto_31826 ?auto_31819 ) ( AIRPORT ?auto_31818 ) ( DIFFERENT ?auto_31819 ?auto_31818 ) ( LOCATION ?auto_31818 ) ( TRUCK ?auto_31828 ) ( LOCATION ?auto_31824 ) ( CITY ?auto_31822 ) ( IN-CITY ?auto_31824 ?auto_31822 ) ( IN-CITY ?auto_31818 ?auto_31822 ) ( DIFFERENT ?auto_31818 ?auto_31824 ) ( AT ?auto_31814 ?auto_31824 ) ( LOCATION ?auto_31825 ) ( CITY ?auto_31827 ) ( AT ?auto_31829 ?auto_31825 ) ( IN-CITY ?auto_31825 ?auto_31827 ) ( IN-CITY ?auto_31823 ?auto_31827 ) ( DIFFERENT ?auto_31823 ?auto_31825 ) ( AIRPORT ?auto_31832 ) ( AT ?auto_31830 ?auto_31832 ) ( DIFFERENT ?auto_31818 ?auto_31832 ) ( LOCATION ?auto_31836 ) ( CITY ?auto_31835 ) ( AT ?auto_31828 ?auto_31836 ) ( IN-CITY ?auto_31836 ?auto_31835 ) ( IN-CITY ?auto_31824 ?auto_31835 ) ( DIFFERENT ?auto_31824 ?auto_31836 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_31828 ?auto_31836 ?auto_31824 ?auto_31835 )
      ( DELIVER-PKG ?auto_31814 ?auto_31815 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32095
      ?auto_32096
    )
    :vars
    (
      ?auto_32097
      ?auto_32100
      ?auto_32099
      ?auto_32098
      ?auto_32101
      ?auto_32103
      ?auto_32106
    )
    :precondition
    ( and ( OBJ ?auto_32095 ) ( LOCATION ?auto_32096 ) ( TRUCK ?auto_32097 ) ( LOCATION ?auto_32100 ) ( CITY ?auto_32099 ) ( AT ?auto_32097 ?auto_32100 ) ( IN-CITY ?auto_32100 ?auto_32099 ) ( IN-CITY ?auto_32096 ?auto_32099 ) ( DIFFERENT ?auto_32096 ?auto_32100 ) ( LOCATION ?auto_32098 ) ( AT ?auto_32097 ?auto_32098 ) ( AIRPLANE ?auto_32101 ) ( IN ?auto_32095 ?auto_32101 ) ( AIRPORT ?auto_32103 ) ( AIRPORT ?auto_32098 ) ( DIFFERENT ?auto_32098 ?auto_32103 ) ( AIRPORT ?auto_32106 ) ( AT ?auto_32101 ?auto_32106 ) ( DIFFERENT ?auto_32103 ?auto_32106 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32101 ?auto_32106 ?auto_32103 )
      ( DELIVER-PKG ?auto_32095 ?auto_32096 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32108
      ?auto_32109
    )
    :vars
    (
      ?auto_32115
      ?auto_32111
      ?auto_32110
      ?auto_32114
      ?auto_32112
      ?auto_32118
      ?auto_32117
      ?auto_32120
    )
    :precondition
    ( and ( OBJ ?auto_32108 ) ( LOCATION ?auto_32109 ) ( TRUCK ?auto_32115 ) ( LOCATION ?auto_32111 ) ( CITY ?auto_32110 ) ( AT ?auto_32115 ?auto_32111 ) ( IN-CITY ?auto_32111 ?auto_32110 ) ( IN-CITY ?auto_32109 ?auto_32110 ) ( DIFFERENT ?auto_32109 ?auto_32111 ) ( LOCATION ?auto_32114 ) ( AT ?auto_32115 ?auto_32114 ) ( AIRPLANE ?auto_32112 ) ( AIRPORT ?auto_32118 ) ( AIRPORT ?auto_32114 ) ( DIFFERENT ?auto_32114 ?auto_32118 ) ( AIRPORT ?auto_32117 ) ( AT ?auto_32112 ?auto_32117 ) ( DIFFERENT ?auto_32118 ?auto_32117 ) ( LOCATION ?auto_32120 ) ( AT ?auto_32108 ?auto_32120 ) ( AT ?auto_32112 ?auto_32120 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_32108 ?auto_32112 ?auto_32120 )
      ( DELIVER-PKG ?auto_32108 ?auto_32109 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32122
      ?auto_32123
    )
    :vars
    (
      ?auto_32126
      ?auto_32132
      ?auto_32127
      ?auto_32125
      ?auto_32133
      ?auto_32131
      ?auto_32128
      ?auto_32129
      ?auto_32135
    )
    :precondition
    ( and ( OBJ ?auto_32122 ) ( LOCATION ?auto_32123 ) ( TRUCK ?auto_32126 ) ( LOCATION ?auto_32132 ) ( CITY ?auto_32127 ) ( AT ?auto_32126 ?auto_32132 ) ( IN-CITY ?auto_32132 ?auto_32127 ) ( IN-CITY ?auto_32123 ?auto_32127 ) ( DIFFERENT ?auto_32123 ?auto_32132 ) ( LOCATION ?auto_32125 ) ( AT ?auto_32126 ?auto_32125 ) ( AIRPLANE ?auto_32133 ) ( AIRPORT ?auto_32131 ) ( AIRPORT ?auto_32125 ) ( DIFFERENT ?auto_32125 ?auto_32131 ) ( AIRPORT ?auto_32128 ) ( AT ?auto_32133 ?auto_32128 ) ( DIFFERENT ?auto_32131 ?auto_32128 ) ( LOCATION ?auto_32129 ) ( AT ?auto_32133 ?auto_32129 ) ( AIRPLANE ?auto_32135 ) ( IN ?auto_32122 ?auto_32135 ) ( AT ?auto_32135 ?auto_32129 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32122 ?auto_32129 )
      ( DELIVER-PKG ?auto_32122 ?auto_32123 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37913
      ?auto_37914
    )
    :vars
    (
      ?auto_37922
      ?auto_37921
      ?auto_37920
      ?auto_37919
      ?auto_37915
      ?auto_37923
      ?auto_37918
      ?auto_37925
    )
    :precondition
    ( and ( OBJ ?auto_37913 ) ( LOCATION ?auto_37914 ) ( TRUCK ?auto_37922 ) ( LOCATION ?auto_37921 ) ( CITY ?auto_37920 ) ( AT ?auto_37922 ?auto_37921 ) ( IN-CITY ?auto_37921 ?auto_37920 ) ( IN-CITY ?auto_37914 ?auto_37920 ) ( DIFFERENT ?auto_37914 ?auto_37921 ) ( LOCATION ?auto_37919 ) ( AT ?auto_37922 ?auto_37919 ) ( AIRPLANE ?auto_37915 ) ( IN ?auto_37913 ?auto_37915 ) ( AIRPORT ?auto_37923 ) ( AIRPORT ?auto_37919 ) ( DIFFERENT ?auto_37919 ?auto_37923 ) ( AIRPORT ?auto_37918 ) ( DIFFERENT ?auto_37923 ?auto_37918 ) ( AIRPORT ?auto_37925 ) ( AT ?auto_37915 ?auto_37925 ) ( DIFFERENT ?auto_37918 ?auto_37925 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_37915 ?auto_37925 ?auto_37918 )
      ( DELIVER-PKG ?auto_37913 ?auto_37914 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38855
      ?auto_38856
    )
    :vars
    (
      ?auto_38861
      ?auto_38862
      ?auto_38860
      ?auto_38864
      ?auto_38865
      ?auto_38859
      ?auto_38863
      ?auto_38866
      ?auto_38868
    )
    :precondition
    ( and ( OBJ ?auto_38855 ) ( LOCATION ?auto_38856 ) ( TRUCK ?auto_38861 ) ( LOCATION ?auto_38862 ) ( CITY ?auto_38860 ) ( AT ?auto_38861 ?auto_38862 ) ( IN-CITY ?auto_38862 ?auto_38860 ) ( IN-CITY ?auto_38856 ?auto_38860 ) ( DIFFERENT ?auto_38856 ?auto_38862 ) ( LOCATION ?auto_38864 ) ( AT ?auto_38861 ?auto_38864 ) ( AIRPLANE ?auto_38865 ) ( AIRPORT ?auto_38859 ) ( AIRPORT ?auto_38864 ) ( DIFFERENT ?auto_38864 ?auto_38859 ) ( AIRPORT ?auto_38863 ) ( DIFFERENT ?auto_38859 ?auto_38863 ) ( AIRPORT ?auto_38866 ) ( AT ?auto_38865 ?auto_38866 ) ( DIFFERENT ?auto_38863 ?auto_38866 ) ( LOCATION ?auto_38868 ) ( AT ?auto_38855 ?auto_38868 ) ( AT ?auto_38865 ?auto_38868 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_38855 ?auto_38865 ?auto_38868 )
      ( DELIVER-PKG ?auto_38855 ?auto_38856 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38883
      ?auto_38884
    )
    :vars
    (
      ?auto_38889
      ?auto_38890
      ?auto_38888
      ?auto_38892
      ?auto_38893
      ?auto_38887
      ?auto_38891
      ?auto_38895
      ?auto_38897
    )
    :precondition
    ( and ( OBJ ?auto_38883 ) ( LOCATION ?auto_38884 ) ( TRUCK ?auto_38889 ) ( LOCATION ?auto_38890 ) ( CITY ?auto_38888 ) ( AT ?auto_38889 ?auto_38890 ) ( IN-CITY ?auto_38890 ?auto_38888 ) ( IN-CITY ?auto_38884 ?auto_38888 ) ( DIFFERENT ?auto_38884 ?auto_38890 ) ( LOCATION ?auto_38892 ) ( AT ?auto_38889 ?auto_38892 ) ( AIRPLANE ?auto_38893 ) ( AIRPORT ?auto_38887 ) ( AIRPORT ?auto_38892 ) ( DIFFERENT ?auto_38892 ?auto_38887 ) ( AIRPORT ?auto_38891 ) ( DIFFERENT ?auto_38887 ?auto_38891 ) ( AIRPORT ?auto_38895 ) ( DIFFERENT ?auto_38891 ?auto_38895 ) ( LOCATION ?auto_38895 ) ( AT ?auto_38883 ?auto_38895 ) ( AIRPORT ?auto_38897 ) ( AT ?auto_38893 ?auto_38897 ) ( DIFFERENT ?auto_38895 ?auto_38897 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38893 ?auto_38897 ?auto_38895 )
      ( DELIVER-PKG ?auto_38883 ?auto_38884 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32184
      ?auto_32185
    )
    :vars
    (
      ?auto_32187
      ?auto_32196
      ?auto_32192
      ?auto_32195
      ?auto_32194
      ?auto_32186
      ?auto_32189
      ?auto_32191
      ?auto_32193
      ?auto_32199
    )
    :precondition
    ( and ( OBJ ?auto_32184 ) ( LOCATION ?auto_32185 ) ( TRUCK ?auto_32187 ) ( LOCATION ?auto_32196 ) ( CITY ?auto_32192 ) ( AT ?auto_32187 ?auto_32196 ) ( IN-CITY ?auto_32196 ?auto_32192 ) ( IN-CITY ?auto_32185 ?auto_32192 ) ( DIFFERENT ?auto_32185 ?auto_32196 ) ( LOCATION ?auto_32195 ) ( AT ?auto_32187 ?auto_32195 ) ( AIRPLANE ?auto_32194 ) ( AIRPORT ?auto_32186 ) ( AIRPORT ?auto_32195 ) ( DIFFERENT ?auto_32195 ?auto_32186 ) ( AIRPORT ?auto_32189 ) ( DIFFERENT ?auto_32186 ?auto_32189 ) ( LOCATION ?auto_32189 ) ( AIRPORT ?auto_32191 ) ( DIFFERENT ?auto_32189 ?auto_32191 ) ( LOCATION ?auto_32191 ) ( AIRPORT ?auto_32193 ) ( AT ?auto_32194 ?auto_32193 ) ( DIFFERENT ?auto_32191 ?auto_32193 ) ( TRUCK ?auto_32199 ) ( AT ?auto_32199 ?auto_32191 ) ( IN ?auto_32184 ?auto_32199 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_32184 ?auto_32191 )
      ( DELIVER-PKG ?auto_32184 ?auto_32185 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32214
      ?auto_32215
    )
    :vars
    (
      ?auto_32224
      ?auto_32221
      ?auto_32227
      ?auto_32225
      ?auto_32220
      ?auto_32218
      ?auto_32226
      ?auto_32217
      ?auto_32219
      ?auto_32216
      ?auto_32230
      ?auto_32229
    )
    :precondition
    ( and ( OBJ ?auto_32214 ) ( LOCATION ?auto_32215 ) ( TRUCK ?auto_32224 ) ( LOCATION ?auto_32221 ) ( CITY ?auto_32227 ) ( AT ?auto_32224 ?auto_32221 ) ( IN-CITY ?auto_32221 ?auto_32227 ) ( IN-CITY ?auto_32215 ?auto_32227 ) ( DIFFERENT ?auto_32215 ?auto_32221 ) ( LOCATION ?auto_32225 ) ( AT ?auto_32224 ?auto_32225 ) ( AIRPLANE ?auto_32220 ) ( AIRPORT ?auto_32218 ) ( AIRPORT ?auto_32225 ) ( DIFFERENT ?auto_32225 ?auto_32218 ) ( AIRPORT ?auto_32226 ) ( DIFFERENT ?auto_32218 ?auto_32226 ) ( LOCATION ?auto_32226 ) ( AIRPORT ?auto_32217 ) ( DIFFERENT ?auto_32226 ?auto_32217 ) ( LOCATION ?auto_32217 ) ( AIRPORT ?auto_32219 ) ( AT ?auto_32220 ?auto_32219 ) ( DIFFERENT ?auto_32217 ?auto_32219 ) ( TRUCK ?auto_32216 ) ( IN ?auto_32214 ?auto_32216 ) ( LOCATION ?auto_32230 ) ( CITY ?auto_32229 ) ( AT ?auto_32216 ?auto_32230 ) ( IN-CITY ?auto_32230 ?auto_32229 ) ( IN-CITY ?auto_32217 ?auto_32229 ) ( DIFFERENT ?auto_32217 ?auto_32230 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32216 ?auto_32230 ?auto_32217 ?auto_32229 )
      ( DELIVER-PKG ?auto_32214 ?auto_32215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32248
      ?auto_32249
    )
    :vars
    (
      ?auto_32258
      ?auto_32251
      ?auto_32253
      ?auto_32259
      ?auto_32256
      ?auto_32254
      ?auto_32252
      ?auto_32250
      ?auto_32255
      ?auto_32257
      ?auto_32263
      ?auto_32262
      ?auto_32266
      ?auto_32265
    )
    :precondition
    ( and ( OBJ ?auto_32248 ) ( LOCATION ?auto_32249 ) ( TRUCK ?auto_32258 ) ( LOCATION ?auto_32251 ) ( CITY ?auto_32253 ) ( AT ?auto_32258 ?auto_32251 ) ( IN-CITY ?auto_32251 ?auto_32253 ) ( IN-CITY ?auto_32249 ?auto_32253 ) ( DIFFERENT ?auto_32249 ?auto_32251 ) ( LOCATION ?auto_32259 ) ( AT ?auto_32258 ?auto_32259 ) ( AIRPLANE ?auto_32256 ) ( AIRPORT ?auto_32254 ) ( AIRPORT ?auto_32259 ) ( DIFFERENT ?auto_32259 ?auto_32254 ) ( AIRPORT ?auto_32252 ) ( DIFFERENT ?auto_32254 ?auto_32252 ) ( LOCATION ?auto_32252 ) ( AIRPORT ?auto_32250 ) ( DIFFERENT ?auto_32252 ?auto_32250 ) ( LOCATION ?auto_32250 ) ( AIRPORT ?auto_32255 ) ( AT ?auto_32256 ?auto_32255 ) ( DIFFERENT ?auto_32250 ?auto_32255 ) ( TRUCK ?auto_32257 ) ( IN ?auto_32248 ?auto_32257 ) ( LOCATION ?auto_32263 ) ( CITY ?auto_32262 ) ( IN-CITY ?auto_32263 ?auto_32262 ) ( IN-CITY ?auto_32250 ?auto_32262 ) ( DIFFERENT ?auto_32250 ?auto_32263 ) ( LOCATION ?auto_32266 ) ( CITY ?auto_32265 ) ( AT ?auto_32257 ?auto_32266 ) ( IN-CITY ?auto_32266 ?auto_32265 ) ( IN-CITY ?auto_32263 ?auto_32265 ) ( DIFFERENT ?auto_32263 ?auto_32266 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32257 ?auto_32266 ?auto_32263 ?auto_32265 )
      ( DELIVER-PKG ?auto_32248 ?auto_32249 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32286
      ?auto_32287
    )
    :vars
    (
      ?auto_32298
      ?auto_32295
      ?auto_32288
      ?auto_32289
      ?auto_32296
      ?auto_32290
      ?auto_32301
      ?auto_32294
      ?auto_32291
      ?auto_32297
      ?auto_32293
      ?auto_32292
      ?auto_32303
      ?auto_32302
      ?auto_32305
    )
    :precondition
    ( and ( OBJ ?auto_32286 ) ( LOCATION ?auto_32287 ) ( TRUCK ?auto_32298 ) ( LOCATION ?auto_32295 ) ( CITY ?auto_32288 ) ( AT ?auto_32298 ?auto_32295 ) ( IN-CITY ?auto_32295 ?auto_32288 ) ( IN-CITY ?auto_32287 ?auto_32288 ) ( DIFFERENT ?auto_32287 ?auto_32295 ) ( LOCATION ?auto_32289 ) ( AT ?auto_32298 ?auto_32289 ) ( AIRPLANE ?auto_32296 ) ( AIRPORT ?auto_32290 ) ( AIRPORT ?auto_32289 ) ( DIFFERENT ?auto_32289 ?auto_32290 ) ( AIRPORT ?auto_32301 ) ( DIFFERENT ?auto_32290 ?auto_32301 ) ( LOCATION ?auto_32301 ) ( AIRPORT ?auto_32294 ) ( DIFFERENT ?auto_32301 ?auto_32294 ) ( LOCATION ?auto_32294 ) ( AIRPORT ?auto_32291 ) ( AT ?auto_32296 ?auto_32291 ) ( DIFFERENT ?auto_32294 ?auto_32291 ) ( TRUCK ?auto_32297 ) ( LOCATION ?auto_32293 ) ( CITY ?auto_32292 ) ( IN-CITY ?auto_32293 ?auto_32292 ) ( IN-CITY ?auto_32294 ?auto_32292 ) ( DIFFERENT ?auto_32294 ?auto_32293 ) ( LOCATION ?auto_32303 ) ( CITY ?auto_32302 ) ( AT ?auto_32297 ?auto_32303 ) ( IN-CITY ?auto_32303 ?auto_32302 ) ( IN-CITY ?auto_32293 ?auto_32302 ) ( DIFFERENT ?auto_32293 ?auto_32303 ) ( LOCATION ?auto_32305 ) ( AT ?auto_32297 ?auto_32305 ) ( AT ?auto_32286 ?auto_32305 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_32286 ?auto_32297 ?auto_32305 )
      ( DELIVER-PKG ?auto_32286 ?auto_32287 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32345
      ?auto_32346
    )
    :vars
    (
      ?auto_32358
      ?auto_32354
      ?auto_32347
      ?auto_32350
      ?auto_32355
      ?auto_32349
      ?auto_32359
      ?auto_32353
      ?auto_32356
      ?auto_32357
      ?auto_32351
      ?auto_32352
      ?auto_32348
      ?auto_32360
      ?auto_32366
      ?auto_32365
    )
    :precondition
    ( and ( OBJ ?auto_32345 ) ( LOCATION ?auto_32346 ) ( TRUCK ?auto_32358 ) ( LOCATION ?auto_32354 ) ( CITY ?auto_32347 ) ( AT ?auto_32358 ?auto_32354 ) ( IN-CITY ?auto_32354 ?auto_32347 ) ( IN-CITY ?auto_32346 ?auto_32347 ) ( DIFFERENT ?auto_32346 ?auto_32354 ) ( LOCATION ?auto_32350 ) ( AT ?auto_32358 ?auto_32350 ) ( AIRPLANE ?auto_32355 ) ( AIRPORT ?auto_32349 ) ( AIRPORT ?auto_32350 ) ( DIFFERENT ?auto_32350 ?auto_32349 ) ( AIRPORT ?auto_32359 ) ( DIFFERENT ?auto_32349 ?auto_32359 ) ( LOCATION ?auto_32359 ) ( AIRPORT ?auto_32353 ) ( DIFFERENT ?auto_32359 ?auto_32353 ) ( LOCATION ?auto_32353 ) ( AIRPORT ?auto_32356 ) ( AT ?auto_32355 ?auto_32356 ) ( DIFFERENT ?auto_32353 ?auto_32356 ) ( TRUCK ?auto_32357 ) ( LOCATION ?auto_32351 ) ( CITY ?auto_32352 ) ( IN-CITY ?auto_32351 ?auto_32352 ) ( IN-CITY ?auto_32353 ?auto_32352 ) ( DIFFERENT ?auto_32353 ?auto_32351 ) ( LOCATION ?auto_32348 ) ( CITY ?auto_32360 ) ( IN-CITY ?auto_32348 ?auto_32360 ) ( IN-CITY ?auto_32351 ?auto_32360 ) ( DIFFERENT ?auto_32351 ?auto_32348 ) ( AT ?auto_32345 ?auto_32348 ) ( LOCATION ?auto_32366 ) ( CITY ?auto_32365 ) ( AT ?auto_32357 ?auto_32366 ) ( IN-CITY ?auto_32366 ?auto_32365 ) ( IN-CITY ?auto_32348 ?auto_32365 ) ( DIFFERENT ?auto_32348 ?auto_32366 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_32357 ?auto_32366 ?auto_32348 ?auto_32365 )
      ( DELIVER-PKG ?auto_32345 ?auto_32346 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_32368
      ?auto_32369
    )
    :vars
    (
      ?auto_32381
      ?auto_32385
      ?auto_32370
      ?auto_32376
      ?auto_32386
      ?auto_32375
      ?auto_32382
      ?auto_32384
      ?auto_32379
      ?auto_32380
      ?auto_32378
      ?auto_32383
      ?auto_32374
      ?auto_32371
      ?auto_32387
      ?auto_32377
      ?auto_32389
    )
    :precondition
    ( and ( OBJ ?auto_32368 ) ( LOCATION ?auto_32369 ) ( TRUCK ?auto_32381 ) ( LOCATION ?auto_32385 ) ( CITY ?auto_32370 ) ( AT ?auto_32381 ?auto_32385 ) ( IN-CITY ?auto_32385 ?auto_32370 ) ( IN-CITY ?auto_32369 ?auto_32370 ) ( DIFFERENT ?auto_32369 ?auto_32385 ) ( LOCATION ?auto_32376 ) ( AT ?auto_32381 ?auto_32376 ) ( AIRPLANE ?auto_32386 ) ( AIRPORT ?auto_32375 ) ( AIRPORT ?auto_32376 ) ( DIFFERENT ?auto_32376 ?auto_32375 ) ( AIRPORT ?auto_32382 ) ( DIFFERENT ?auto_32375 ?auto_32382 ) ( LOCATION ?auto_32382 ) ( AIRPORT ?auto_32384 ) ( DIFFERENT ?auto_32382 ?auto_32384 ) ( LOCATION ?auto_32384 ) ( AIRPORT ?auto_32379 ) ( DIFFERENT ?auto_32384 ?auto_32379 ) ( TRUCK ?auto_32380 ) ( LOCATION ?auto_32378 ) ( CITY ?auto_32383 ) ( IN-CITY ?auto_32378 ?auto_32383 ) ( IN-CITY ?auto_32384 ?auto_32383 ) ( DIFFERENT ?auto_32384 ?auto_32378 ) ( LOCATION ?auto_32374 ) ( CITY ?auto_32371 ) ( IN-CITY ?auto_32374 ?auto_32371 ) ( IN-CITY ?auto_32378 ?auto_32371 ) ( DIFFERENT ?auto_32378 ?auto_32374 ) ( AT ?auto_32368 ?auto_32374 ) ( LOCATION ?auto_32387 ) ( CITY ?auto_32377 ) ( AT ?auto_32380 ?auto_32387 ) ( IN-CITY ?auto_32387 ?auto_32377 ) ( IN-CITY ?auto_32374 ?auto_32377 ) ( DIFFERENT ?auto_32374 ?auto_32387 ) ( AIRPORT ?auto_32389 ) ( AT ?auto_32386 ?auto_32389 ) ( DIFFERENT ?auto_32379 ?auto_32389 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_32386 ?auto_32389 ?auto_32379 )
      ( DELIVER-PKG ?auto_32368 ?auto_32369 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34180
      ?auto_34181
    )
    :vars
    (
      ?auto_34186
      ?auto_34188
      ?auto_34191
      ?auto_34182
      ?auto_34190
      ?auto_34183
      ?auto_34192
      ?auto_34185
      ?auto_34187
      ?auto_34195
    )
    :precondition
    ( and ( OBJ ?auto_34180 ) ( LOCATION ?auto_34181 ) ( AIRPLANE ?auto_34186 ) ( AT ?auto_34186 ?auto_34181 ) ( LOCATION ?auto_34188 ) ( AT ?auto_34186 ?auto_34188 ) ( AIRPLANE ?auto_34191 ) ( AT ?auto_34191 ?auto_34188 ) ( LOCATION ?auto_34182 ) ( AT ?auto_34191 ?auto_34182 ) ( AIRPLANE ?auto_34190 ) ( AT ?auto_34190 ?auto_34182 ) ( LOCATION ?auto_34183 ) ( AT ?auto_34190 ?auto_34183 ) ( AIRPLANE ?auto_34192 ) ( AIRPORT ?auto_34185 ) ( AIRPORT ?auto_34183 ) ( AT ?auto_34192 ?auto_34185 ) ( DIFFERENT ?auto_34183 ?auto_34185 ) ( LOCATION ?auto_34187 ) ( AT ?auto_34192 ?auto_34187 ) ( AIRPLANE ?auto_34195 ) ( IN ?auto_34180 ?auto_34195 ) ( AT ?auto_34195 ?auto_34187 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_34180 ?auto_34187 )
      ( DELIVER-PKG ?auto_34180 ?auto_34181 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34228
      ?auto_34229
    )
    :vars
    (
      ?auto_34230
      ?auto_34242
      ?auto_34231
      ?auto_34241
      ?auto_34232
      ?auto_34239
      ?auto_34233
      ?auto_34238
      ?auto_34236
      ?auto_34240
      ?auto_34235
      ?auto_34244
    )
    :precondition
    ( and ( OBJ ?auto_34228 ) ( LOCATION ?auto_34229 ) ( AIRPLANE ?auto_34230 ) ( AT ?auto_34230 ?auto_34229 ) ( LOCATION ?auto_34242 ) ( AT ?auto_34230 ?auto_34242 ) ( AIRPLANE ?auto_34231 ) ( AT ?auto_34231 ?auto_34242 ) ( LOCATION ?auto_34241 ) ( AT ?auto_34231 ?auto_34241 ) ( AIRPLANE ?auto_34232 ) ( AT ?auto_34232 ?auto_34241 ) ( LOCATION ?auto_34239 ) ( AT ?auto_34232 ?auto_34239 ) ( AIRPLANE ?auto_34233 ) ( AIRPORT ?auto_34238 ) ( AIRPORT ?auto_34239 ) ( AT ?auto_34233 ?auto_34238 ) ( DIFFERENT ?auto_34239 ?auto_34238 ) ( LOCATION ?auto_34236 ) ( AT ?auto_34233 ?auto_34236 ) ( AIRPLANE ?auto_34240 ) ( AT ?auto_34240 ?auto_34236 ) ( LOCATION ?auto_34235 ) ( AT ?auto_34240 ?auto_34235 ) ( TRUCK ?auto_34244 ) ( AT ?auto_34244 ?auto_34235 ) ( IN ?auto_34228 ?auto_34244 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_34228 ?auto_34235 )
      ( DELIVER-PKG ?auto_34228 ?auto_34229 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34278
      ?auto_34279
    )
    :vars
    (
      ?auto_34293
      ?auto_34289
      ?auto_34290
      ?auto_34283
      ?auto_34292
      ?auto_34280
      ?auto_34286
      ?auto_34285
      ?auto_34284
      ?auto_34281
      ?auto_34291
      ?auto_34282
      ?auto_34296
      ?auto_34295
    )
    :precondition
    ( and ( OBJ ?auto_34278 ) ( LOCATION ?auto_34279 ) ( AIRPLANE ?auto_34293 ) ( AT ?auto_34293 ?auto_34279 ) ( LOCATION ?auto_34289 ) ( AT ?auto_34293 ?auto_34289 ) ( AIRPLANE ?auto_34290 ) ( AT ?auto_34290 ?auto_34289 ) ( LOCATION ?auto_34283 ) ( AT ?auto_34290 ?auto_34283 ) ( AIRPLANE ?auto_34292 ) ( AT ?auto_34292 ?auto_34283 ) ( LOCATION ?auto_34280 ) ( AT ?auto_34292 ?auto_34280 ) ( AIRPLANE ?auto_34286 ) ( AIRPORT ?auto_34285 ) ( AIRPORT ?auto_34280 ) ( AT ?auto_34286 ?auto_34285 ) ( DIFFERENT ?auto_34280 ?auto_34285 ) ( LOCATION ?auto_34284 ) ( AT ?auto_34286 ?auto_34284 ) ( AIRPLANE ?auto_34281 ) ( AT ?auto_34281 ?auto_34284 ) ( LOCATION ?auto_34291 ) ( AT ?auto_34281 ?auto_34291 ) ( TRUCK ?auto_34282 ) ( IN ?auto_34278 ?auto_34282 ) ( LOCATION ?auto_34296 ) ( CITY ?auto_34295 ) ( AT ?auto_34282 ?auto_34296 ) ( IN-CITY ?auto_34296 ?auto_34295 ) ( IN-CITY ?auto_34291 ?auto_34295 ) ( DIFFERENT ?auto_34291 ?auto_34296 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34282 ?auto_34296 ?auto_34291 ?auto_34295 )
      ( DELIVER-PKG ?auto_34278 ?auto_34279 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34334
      ?auto_34335
    )
    :vars
    (
      ?auto_34341
      ?auto_34337
      ?auto_34338
      ?auto_34346
      ?auto_34340
      ?auto_34343
      ?auto_34348
      ?auto_34347
      ?auto_34345
      ?auto_34342
      ?auto_34339
      ?auto_34349
      ?auto_34351
      ?auto_34350
      ?auto_34353
    )
    :precondition
    ( and ( OBJ ?auto_34334 ) ( LOCATION ?auto_34335 ) ( AIRPLANE ?auto_34341 ) ( AT ?auto_34341 ?auto_34335 ) ( LOCATION ?auto_34337 ) ( AT ?auto_34341 ?auto_34337 ) ( AIRPLANE ?auto_34338 ) ( AT ?auto_34338 ?auto_34337 ) ( LOCATION ?auto_34346 ) ( AT ?auto_34338 ?auto_34346 ) ( AIRPLANE ?auto_34340 ) ( AT ?auto_34340 ?auto_34346 ) ( LOCATION ?auto_34343 ) ( AT ?auto_34340 ?auto_34343 ) ( AIRPLANE ?auto_34348 ) ( AIRPORT ?auto_34347 ) ( AIRPORT ?auto_34343 ) ( AT ?auto_34348 ?auto_34347 ) ( DIFFERENT ?auto_34343 ?auto_34347 ) ( LOCATION ?auto_34345 ) ( AT ?auto_34348 ?auto_34345 ) ( AIRPLANE ?auto_34342 ) ( AT ?auto_34342 ?auto_34345 ) ( LOCATION ?auto_34339 ) ( AT ?auto_34342 ?auto_34339 ) ( TRUCK ?auto_34349 ) ( LOCATION ?auto_34351 ) ( CITY ?auto_34350 ) ( AT ?auto_34349 ?auto_34351 ) ( IN-CITY ?auto_34351 ?auto_34350 ) ( IN-CITY ?auto_34339 ?auto_34350 ) ( DIFFERENT ?auto_34339 ?auto_34351 ) ( LOCATION ?auto_34353 ) ( AT ?auto_34349 ?auto_34353 ) ( AT ?auto_34334 ?auto_34353 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_34334 ?auto_34349 ?auto_34353 )
      ( DELIVER-PKG ?auto_34334 ?auto_34335 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_34374
      ?auto_34375
    )
    :vars
    (
      ?auto_34382
      ?auto_34377
      ?auto_34379
      ?auto_34386
      ?auto_34381
      ?auto_34384
      ?auto_34389
      ?auto_34387
      ?auto_34385
      ?auto_34383
      ?auto_34380
      ?auto_34390
      ?auto_34388
      ?auto_34391
      ?auto_34395
      ?auto_34394
    )
    :precondition
    ( and ( OBJ ?auto_34374 ) ( LOCATION ?auto_34375 ) ( AIRPLANE ?auto_34382 ) ( AT ?auto_34382 ?auto_34375 ) ( LOCATION ?auto_34377 ) ( AT ?auto_34382 ?auto_34377 ) ( AIRPLANE ?auto_34379 ) ( AT ?auto_34379 ?auto_34377 ) ( LOCATION ?auto_34386 ) ( AT ?auto_34379 ?auto_34386 ) ( AIRPLANE ?auto_34381 ) ( AT ?auto_34381 ?auto_34386 ) ( LOCATION ?auto_34384 ) ( AT ?auto_34381 ?auto_34384 ) ( AIRPLANE ?auto_34389 ) ( AIRPORT ?auto_34387 ) ( AIRPORT ?auto_34384 ) ( AT ?auto_34389 ?auto_34387 ) ( DIFFERENT ?auto_34384 ?auto_34387 ) ( LOCATION ?auto_34385 ) ( AT ?auto_34389 ?auto_34385 ) ( AIRPLANE ?auto_34383 ) ( AT ?auto_34383 ?auto_34385 ) ( LOCATION ?auto_34380 ) ( AT ?auto_34383 ?auto_34380 ) ( TRUCK ?auto_34390 ) ( LOCATION ?auto_34388 ) ( CITY ?auto_34391 ) ( IN-CITY ?auto_34388 ?auto_34391 ) ( IN-CITY ?auto_34380 ?auto_34391 ) ( DIFFERENT ?auto_34380 ?auto_34388 ) ( AT ?auto_34374 ?auto_34388 ) ( LOCATION ?auto_34395 ) ( CITY ?auto_34394 ) ( AT ?auto_34390 ?auto_34395 ) ( IN-CITY ?auto_34395 ?auto_34394 ) ( IN-CITY ?auto_34388 ?auto_34394 ) ( DIFFERENT ?auto_34388 ?auto_34395 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_34390 ?auto_34395 ?auto_34388 ?auto_34394 )
      ( DELIVER-PKG ?auto_34374 ?auto_34375 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_33686
      ?auto_33692
    )
    :vars
    (
      ?auto_33696
      ?auto_33698
      ?auto_33689
      ?auto_33690
      ?auto_33697
      ?auto_33691
      ?auto_33695
      ?auto_33693
      ?auto_33694
      ?auto_33701
      ?auto_33700
      ?auto_33703
    )
    :precondition
    ( and ( OBJ ?auto_33686 ) ( LOCATION ?auto_33692 ) ( AIRPLANE ?auto_33696 ) ( AIRPLANE ?auto_33698 ) ( AIRPORT ?auto_33689 ) ( AIRPORT ?auto_33692 ) ( AT ?auto_33698 ?auto_33689 ) ( DIFFERENT ?auto_33692 ?auto_33689 ) ( LOCATION ?auto_33690 ) ( AT ?auto_33698 ?auto_33690 ) ( AIRPLANE ?auto_33697 ) ( AT ?auto_33697 ?auto_33690 ) ( LOCATION ?auto_33691 ) ( AT ?auto_33697 ?auto_33691 ) ( TRUCK ?auto_33695 ) ( LOCATION ?auto_33693 ) ( CITY ?auto_33694 ) ( IN-CITY ?auto_33693 ?auto_33694 ) ( IN-CITY ?auto_33691 ?auto_33694 ) ( DIFFERENT ?auto_33691 ?auto_33693 ) ( AT ?auto_33686 ?auto_33693 ) ( LOCATION ?auto_33701 ) ( CITY ?auto_33700 ) ( AT ?auto_33695 ?auto_33701 ) ( IN-CITY ?auto_33701 ?auto_33700 ) ( IN-CITY ?auto_33693 ?auto_33700 ) ( DIFFERENT ?auto_33693 ?auto_33701 ) ( AIRPORT ?auto_33703 ) ( AT ?auto_33696 ?auto_33703 ) ( DIFFERENT ?auto_33692 ?auto_33703 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_33696 ?auto_33703 ?auto_33692 )
      ( DELIVER-PKG ?auto_33686 ?auto_33692 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35265
      ?auto_35266
    )
    :vars
    (
      ?auto_35274
      ?auto_35280
      ?auto_35279
      ?auto_35278
      ?auto_35277
      ?auto_35275
      ?auto_35270
      ?auto_35268
      ?auto_35269
      ?auto_35272
      ?auto_35276
      ?auto_35271
      ?auto_35273
      ?auto_35281
      ?auto_35286
      ?auto_35285
    )
    :precondition
    ( and ( OBJ ?auto_35265 ) ( LOCATION ?auto_35266 ) ( AIRPLANE ?auto_35274 ) ( AIRPORT ?auto_35280 ) ( AIRPORT ?auto_35266 ) ( DIFFERENT ?auto_35266 ?auto_35280 ) ( LOCATION ?auto_35280 ) ( AIRPLANE ?auto_35279 ) ( AT ?auto_35279 ?auto_35280 ) ( LOCATION ?auto_35278 ) ( AT ?auto_35279 ?auto_35278 ) ( AIRPLANE ?auto_35277 ) ( AT ?auto_35277 ?auto_35278 ) ( LOCATION ?auto_35275 ) ( AT ?auto_35277 ?auto_35275 ) ( AIRPLANE ?auto_35270 ) ( AT ?auto_35270 ?auto_35275 ) ( AT ?auto_35270 ?auto_35280 ) ( AIRPORT ?auto_35268 ) ( AT ?auto_35274 ?auto_35268 ) ( DIFFERENT ?auto_35280 ?auto_35268 ) ( LOCATION ?auto_35269 ) ( AT ?auto_35274 ?auto_35269 ) ( AIRPLANE ?auto_35272 ) ( AT ?auto_35272 ?auto_35269 ) ( LOCATION ?auto_35276 ) ( AT ?auto_35272 ?auto_35276 ) ( TRUCK ?auto_35271 ) ( LOCATION ?auto_35273 ) ( CITY ?auto_35281 ) ( IN-CITY ?auto_35273 ?auto_35281 ) ( IN-CITY ?auto_35276 ?auto_35281 ) ( DIFFERENT ?auto_35276 ?auto_35273 ) ( AT ?auto_35265 ?auto_35273 ) ( LOCATION ?auto_35286 ) ( CITY ?auto_35285 ) ( AT ?auto_35271 ?auto_35286 ) ( IN-CITY ?auto_35286 ?auto_35285 ) ( IN-CITY ?auto_35273 ?auto_35285 ) ( DIFFERENT ?auto_35273 ?auto_35286 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35271 ?auto_35286 ?auto_35273 ?auto_35285 )
      ( DELIVER-PKG ?auto_35265 ?auto_35266 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35288
      ?auto_35289
    )
    :vars
    (
      ?auto_35297
      ?auto_35298
      ?auto_35305
      ?auto_35290
      ?auto_35292
      ?auto_35295
      ?auto_35299
      ?auto_35293
      ?auto_35296
      ?auto_35304
      ?auto_35307
      ?auto_35294
      ?auto_35309
    )
    :precondition
    ( and ( OBJ ?auto_35288 ) ( LOCATION ?auto_35289 ) ( AIRPLANE ?auto_35297 ) ( AIRPORT ?auto_35298 ) ( AIRPORT ?auto_35289 ) ( DIFFERENT ?auto_35289 ?auto_35298 ) ( LOCATION ?auto_35298 ) ( AIRPLANE ?auto_35305 ) ( AIRPORT ?auto_35290 ) ( AT ?auto_35297 ?auto_35290 ) ( DIFFERENT ?auto_35298 ?auto_35290 ) ( LOCATION ?auto_35292 ) ( AT ?auto_35297 ?auto_35292 ) ( AIRPLANE ?auto_35295 ) ( AT ?auto_35295 ?auto_35292 ) ( LOCATION ?auto_35299 ) ( AT ?auto_35295 ?auto_35299 ) ( TRUCK ?auto_35293 ) ( LOCATION ?auto_35296 ) ( CITY ?auto_35304 ) ( IN-CITY ?auto_35296 ?auto_35304 ) ( IN-CITY ?auto_35299 ?auto_35304 ) ( DIFFERENT ?auto_35299 ?auto_35296 ) ( AT ?auto_35288 ?auto_35296 ) ( LOCATION ?auto_35307 ) ( CITY ?auto_35294 ) ( AT ?auto_35293 ?auto_35307 ) ( IN-CITY ?auto_35307 ?auto_35294 ) ( IN-CITY ?auto_35296 ?auto_35294 ) ( DIFFERENT ?auto_35296 ?auto_35307 ) ( AIRPORT ?auto_35309 ) ( AT ?auto_35305 ?auto_35309 ) ( DIFFERENT ?auto_35298 ?auto_35309 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_35305 ?auto_35309 ?auto_35298 )
      ( DELIVER-PKG ?auto_35288 ?auto_35289 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_35328
      ?auto_35329
    )
    :vars
    (
      ?auto_35342
      ?auto_35334
      ?auto_35336
      ?auto_35331
      ?auto_35339
      ?auto_35335
      ?auto_35332
      ?auto_35344
      ?auto_35341
      ?auto_35340
      ?auto_35338
      ?auto_35343
      ?auto_35337
      ?auto_35347
      ?auto_35346
    )
    :precondition
    ( and ( OBJ ?auto_35328 ) ( LOCATION ?auto_35329 ) ( AIRPLANE ?auto_35342 ) ( AIRPORT ?auto_35334 ) ( AIRPORT ?auto_35329 ) ( DIFFERENT ?auto_35329 ?auto_35334 ) ( LOCATION ?auto_35334 ) ( AIRPLANE ?auto_35336 ) ( AIRPORT ?auto_35331 ) ( AT ?auto_35342 ?auto_35331 ) ( DIFFERENT ?auto_35334 ?auto_35331 ) ( LOCATION ?auto_35339 ) ( AT ?auto_35342 ?auto_35339 ) ( AIRPLANE ?auto_35335 ) ( AT ?auto_35335 ?auto_35339 ) ( LOCATION ?auto_35332 ) ( AT ?auto_35335 ?auto_35332 ) ( TRUCK ?auto_35344 ) ( LOCATION ?auto_35341 ) ( CITY ?auto_35340 ) ( IN-CITY ?auto_35341 ?auto_35340 ) ( IN-CITY ?auto_35332 ?auto_35340 ) ( DIFFERENT ?auto_35332 ?auto_35341 ) ( AT ?auto_35328 ?auto_35341 ) ( LOCATION ?auto_35338 ) ( CITY ?auto_35343 ) ( IN-CITY ?auto_35338 ?auto_35343 ) ( IN-CITY ?auto_35341 ?auto_35343 ) ( DIFFERENT ?auto_35341 ?auto_35338 ) ( AIRPORT ?auto_35337 ) ( AT ?auto_35336 ?auto_35337 ) ( DIFFERENT ?auto_35334 ?auto_35337 ) ( LOCATION ?auto_35347 ) ( CITY ?auto_35346 ) ( AT ?auto_35344 ?auto_35347 ) ( IN-CITY ?auto_35347 ?auto_35346 ) ( IN-CITY ?auto_35338 ?auto_35346 ) ( DIFFERENT ?auto_35338 ?auto_35347 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_35344 ?auto_35347 ?auto_35338 ?auto_35346 )
      ( DELIVER-PKG ?auto_35328 ?auto_35329 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36097
      ?auto_36098
    )
    :vars
    (
      ?auto_36102
      ?auto_36107
      ?auto_36099
      ?auto_36104
      ?auto_36105
      ?auto_36103
      ?auto_36101
      ?auto_36106
      ?auto_36111
      ?auto_36110
    )
    :precondition
    ( and ( OBJ ?auto_36097 ) ( LOCATION ?auto_36098 ) ( TRUCK ?auto_36102 ) ( LOCATION ?auto_36107 ) ( CITY ?auto_36099 ) ( AT ?auto_36102 ?auto_36107 ) ( IN-CITY ?auto_36107 ?auto_36099 ) ( IN-CITY ?auto_36098 ?auto_36099 ) ( DIFFERENT ?auto_36098 ?auto_36107 ) ( LOCATION ?auto_36104 ) ( AT ?auto_36102 ?auto_36104 ) ( AIRPLANE ?auto_36105 ) ( AIRPORT ?auto_36103 ) ( AIRPORT ?auto_36104 ) ( DIFFERENT ?auto_36104 ?auto_36103 ) ( LOCATION ?auto_36103 ) ( AIRPORT ?auto_36101 ) ( AT ?auto_36105 ?auto_36101 ) ( DIFFERENT ?auto_36103 ?auto_36101 ) ( TRUCK ?auto_36106 ) ( IN ?auto_36097 ?auto_36106 ) ( LOCATION ?auto_36111 ) ( CITY ?auto_36110 ) ( AT ?auto_36106 ?auto_36111 ) ( IN-CITY ?auto_36111 ?auto_36110 ) ( IN-CITY ?auto_36103 ?auto_36110 ) ( DIFFERENT ?auto_36103 ?auto_36111 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36106 ?auto_36111 ?auto_36103 ?auto_36110 )
      ( DELIVER-PKG ?auto_36097 ?auto_36098 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36127
      ?auto_36128
    )
    :vars
    (
      ?auto_36132
      ?auto_36137
      ?auto_36130
      ?auto_36134
      ?auto_36135
      ?auto_36133
      ?auto_36131
      ?auto_36136
      ?auto_36139
      ?auto_36138
      ?auto_36143
      ?auto_36142
    )
    :precondition
    ( and ( OBJ ?auto_36127 ) ( LOCATION ?auto_36128 ) ( TRUCK ?auto_36132 ) ( LOCATION ?auto_36137 ) ( CITY ?auto_36130 ) ( AT ?auto_36132 ?auto_36137 ) ( IN-CITY ?auto_36137 ?auto_36130 ) ( IN-CITY ?auto_36128 ?auto_36130 ) ( DIFFERENT ?auto_36128 ?auto_36137 ) ( LOCATION ?auto_36134 ) ( AT ?auto_36132 ?auto_36134 ) ( AIRPLANE ?auto_36135 ) ( AIRPORT ?auto_36133 ) ( AIRPORT ?auto_36134 ) ( DIFFERENT ?auto_36134 ?auto_36133 ) ( LOCATION ?auto_36133 ) ( AIRPORT ?auto_36131 ) ( AT ?auto_36135 ?auto_36131 ) ( DIFFERENT ?auto_36133 ?auto_36131 ) ( TRUCK ?auto_36136 ) ( IN ?auto_36127 ?auto_36136 ) ( LOCATION ?auto_36139 ) ( CITY ?auto_36138 ) ( IN-CITY ?auto_36139 ?auto_36138 ) ( IN-CITY ?auto_36133 ?auto_36138 ) ( DIFFERENT ?auto_36133 ?auto_36139 ) ( LOCATION ?auto_36143 ) ( CITY ?auto_36142 ) ( AT ?auto_36136 ?auto_36143 ) ( IN-CITY ?auto_36143 ?auto_36142 ) ( IN-CITY ?auto_36139 ?auto_36142 ) ( DIFFERENT ?auto_36139 ?auto_36143 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36136 ?auto_36143 ?auto_36139 ?auto_36142 )
      ( DELIVER-PKG ?auto_36127 ?auto_36128 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36177
      ?auto_36178
    )
    :vars
    (
      ?auto_36179
      ?auto_36184
      ?auto_36190
      ?auto_36181
      ?auto_36182
      ?auto_36180
      ?auto_36188
      ?auto_36183
      ?auto_36186
      ?auto_36185
      ?auto_36192
      ?auto_36191
      ?auto_36194
    )
    :precondition
    ( and ( OBJ ?auto_36177 ) ( LOCATION ?auto_36178 ) ( TRUCK ?auto_36179 ) ( LOCATION ?auto_36184 ) ( CITY ?auto_36190 ) ( AT ?auto_36179 ?auto_36184 ) ( IN-CITY ?auto_36184 ?auto_36190 ) ( IN-CITY ?auto_36178 ?auto_36190 ) ( DIFFERENT ?auto_36178 ?auto_36184 ) ( LOCATION ?auto_36181 ) ( AT ?auto_36179 ?auto_36181 ) ( AIRPLANE ?auto_36182 ) ( AIRPORT ?auto_36180 ) ( AIRPORT ?auto_36181 ) ( DIFFERENT ?auto_36181 ?auto_36180 ) ( LOCATION ?auto_36180 ) ( AIRPORT ?auto_36188 ) ( AT ?auto_36182 ?auto_36188 ) ( DIFFERENT ?auto_36180 ?auto_36188 ) ( TRUCK ?auto_36183 ) ( LOCATION ?auto_36186 ) ( CITY ?auto_36185 ) ( IN-CITY ?auto_36186 ?auto_36185 ) ( IN-CITY ?auto_36180 ?auto_36185 ) ( DIFFERENT ?auto_36180 ?auto_36186 ) ( LOCATION ?auto_36192 ) ( CITY ?auto_36191 ) ( AT ?auto_36183 ?auto_36192 ) ( IN-CITY ?auto_36192 ?auto_36191 ) ( IN-CITY ?auto_36186 ?auto_36191 ) ( DIFFERENT ?auto_36186 ?auto_36192 ) ( LOCATION ?auto_36194 ) ( AT ?auto_36183 ?auto_36194 ) ( AT ?auto_36177 ?auto_36194 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_36177 ?auto_36183 ?auto_36194 )
      ( DELIVER-PKG ?auto_36177 ?auto_36178 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36230
      ?auto_36231
    )
    :vars
    (
      ?auto_36232
      ?auto_36237
      ?auto_36241
      ?auto_36244
      ?auto_36233
      ?auto_36235
      ?auto_36240
      ?auto_36234
      ?auto_36239
      ?auto_36238
      ?auto_36246
      ?auto_36242
      ?auto_36249
      ?auto_36248
    )
    :precondition
    ( and ( OBJ ?auto_36230 ) ( LOCATION ?auto_36231 ) ( TRUCK ?auto_36232 ) ( LOCATION ?auto_36237 ) ( CITY ?auto_36241 ) ( AT ?auto_36232 ?auto_36237 ) ( IN-CITY ?auto_36237 ?auto_36241 ) ( IN-CITY ?auto_36231 ?auto_36241 ) ( DIFFERENT ?auto_36231 ?auto_36237 ) ( LOCATION ?auto_36244 ) ( AT ?auto_36232 ?auto_36244 ) ( AIRPLANE ?auto_36233 ) ( AIRPORT ?auto_36235 ) ( AIRPORT ?auto_36244 ) ( DIFFERENT ?auto_36244 ?auto_36235 ) ( LOCATION ?auto_36235 ) ( AIRPORT ?auto_36240 ) ( AT ?auto_36233 ?auto_36240 ) ( DIFFERENT ?auto_36235 ?auto_36240 ) ( TRUCK ?auto_36234 ) ( LOCATION ?auto_36239 ) ( CITY ?auto_36238 ) ( IN-CITY ?auto_36239 ?auto_36238 ) ( IN-CITY ?auto_36235 ?auto_36238 ) ( DIFFERENT ?auto_36235 ?auto_36239 ) ( LOCATION ?auto_36246 ) ( CITY ?auto_36242 ) ( IN-CITY ?auto_36246 ?auto_36242 ) ( IN-CITY ?auto_36239 ?auto_36242 ) ( DIFFERENT ?auto_36239 ?auto_36246 ) ( AT ?auto_36230 ?auto_36246 ) ( LOCATION ?auto_36249 ) ( CITY ?auto_36248 ) ( AT ?auto_36234 ?auto_36249 ) ( IN-CITY ?auto_36249 ?auto_36248 ) ( IN-CITY ?auto_36246 ?auto_36248 ) ( DIFFERENT ?auto_36246 ?auto_36249 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36234 ?auto_36249 ?auto_36246 ?auto_36248 )
      ( DELIVER-PKG ?auto_36230 ?auto_36231 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36562
      ?auto_36563
    )
    :vars
    (
      ?auto_36566
      ?auto_36576
      ?auto_36575
      ?auto_36564
      ?auto_36578
      ?auto_36570
      ?auto_36571
      ?auto_36577
      ?auto_36579
      ?auto_36565
      ?auto_36567
      ?auto_36569
      ?auto_36572
      ?auto_36568
      ?auto_36581
    )
    :precondition
    ( and ( OBJ ?auto_36562 ) ( LOCATION ?auto_36563 ) ( TRUCK ?auto_36566 ) ( LOCATION ?auto_36576 ) ( CITY ?auto_36575 ) ( AT ?auto_36566 ?auto_36576 ) ( IN-CITY ?auto_36576 ?auto_36575 ) ( IN-CITY ?auto_36563 ?auto_36575 ) ( DIFFERENT ?auto_36563 ?auto_36576 ) ( LOCATION ?auto_36564 ) ( AT ?auto_36566 ?auto_36564 ) ( AIRPLANE ?auto_36578 ) ( AIRPORT ?auto_36570 ) ( AIRPORT ?auto_36564 ) ( DIFFERENT ?auto_36564 ?auto_36570 ) ( LOCATION ?auto_36570 ) ( AIRPLANE ?auto_36571 ) ( AT ?auto_36571 ?auto_36570 ) ( LOCATION ?auto_36577 ) ( AT ?auto_36571 ?auto_36577 ) ( AIRPLANE ?auto_36579 ) ( AT ?auto_36579 ?auto_36577 ) ( LOCATION ?auto_36565 ) ( AT ?auto_36579 ?auto_36565 ) ( AIRPLANE ?auto_36567 ) ( AT ?auto_36567 ?auto_36565 ) ( AT ?auto_36567 ?auto_36570 ) ( AIRPORT ?auto_36569 ) ( AT ?auto_36578 ?auto_36569 ) ( DIFFERENT ?auto_36570 ?auto_36569 ) ( LOCATION ?auto_36572 ) ( AT ?auto_36578 ?auto_36572 ) ( AIRPLANE ?auto_36568 ) ( AT ?auto_36568 ?auto_36572 ) ( LOCATION ?auto_36581 ) ( AT ?auto_36562 ?auto_36581 ) ( AT ?auto_36568 ?auto_36581 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_36562 ?auto_36568 ?auto_36581 )
      ( DELIVER-PKG ?auto_36562 ?auto_36563 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36602
      ?auto_36603
    )
    :vars
    (
      ?auto_36618
      ?auto_36613
      ?auto_36606
      ?auto_36614
      ?auto_36609
      ?auto_36604
      ?auto_36605
      ?auto_36608
      ?auto_36611
      ?auto_36616
      ?auto_36619
      ?auto_36607
      ?auto_36617
      ?auto_36620
      ?auto_36612
      ?auto_36622
    )
    :precondition
    ( and ( OBJ ?auto_36602 ) ( LOCATION ?auto_36603 ) ( TRUCK ?auto_36618 ) ( LOCATION ?auto_36613 ) ( CITY ?auto_36606 ) ( AT ?auto_36618 ?auto_36613 ) ( IN-CITY ?auto_36613 ?auto_36606 ) ( IN-CITY ?auto_36603 ?auto_36606 ) ( DIFFERENT ?auto_36603 ?auto_36613 ) ( LOCATION ?auto_36614 ) ( AT ?auto_36618 ?auto_36614 ) ( AIRPLANE ?auto_36609 ) ( AIRPORT ?auto_36604 ) ( AIRPORT ?auto_36614 ) ( DIFFERENT ?auto_36614 ?auto_36604 ) ( LOCATION ?auto_36604 ) ( AIRPLANE ?auto_36605 ) ( AT ?auto_36605 ?auto_36604 ) ( LOCATION ?auto_36608 ) ( AT ?auto_36605 ?auto_36608 ) ( AIRPLANE ?auto_36611 ) ( AT ?auto_36611 ?auto_36608 ) ( LOCATION ?auto_36616 ) ( AT ?auto_36611 ?auto_36616 ) ( AIRPLANE ?auto_36619 ) ( AT ?auto_36619 ?auto_36616 ) ( AT ?auto_36619 ?auto_36604 ) ( AIRPORT ?auto_36607 ) ( AT ?auto_36609 ?auto_36607 ) ( DIFFERENT ?auto_36604 ?auto_36607 ) ( LOCATION ?auto_36617 ) ( AT ?auto_36609 ?auto_36617 ) ( AIRPLANE ?auto_36620 ) ( AT ?auto_36620 ?auto_36617 ) ( LOCATION ?auto_36612 ) ( AT ?auto_36620 ?auto_36612 ) ( TRUCK ?auto_36622 ) ( AT ?auto_36622 ?auto_36612 ) ( IN ?auto_36602 ?auto_36622 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_36602 ?auto_36612 )
      ( DELIVER-PKG ?auto_36602 ?auto_36603 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36664
      ?auto_36665
    )
    :vars
    (
      ?auto_36674
      ?auto_36669
      ?auto_36675
      ?auto_36670
      ?auto_36678
      ?auto_36680
      ?auto_36677
      ?auto_36676
      ?auto_36679
      ?auto_36672
      ?auto_36666
      ?auto_36682
      ?auto_36673
      ?auto_36667
      ?auto_36668
      ?auto_36671
      ?auto_36686
      ?auto_36685
    )
    :precondition
    ( and ( OBJ ?auto_36664 ) ( LOCATION ?auto_36665 ) ( TRUCK ?auto_36674 ) ( LOCATION ?auto_36669 ) ( CITY ?auto_36675 ) ( AT ?auto_36674 ?auto_36669 ) ( IN-CITY ?auto_36669 ?auto_36675 ) ( IN-CITY ?auto_36665 ?auto_36675 ) ( DIFFERENT ?auto_36665 ?auto_36669 ) ( LOCATION ?auto_36670 ) ( AT ?auto_36674 ?auto_36670 ) ( AIRPLANE ?auto_36678 ) ( AIRPORT ?auto_36680 ) ( AIRPORT ?auto_36670 ) ( DIFFERENT ?auto_36670 ?auto_36680 ) ( LOCATION ?auto_36680 ) ( AIRPLANE ?auto_36677 ) ( AT ?auto_36677 ?auto_36680 ) ( LOCATION ?auto_36676 ) ( AT ?auto_36677 ?auto_36676 ) ( AIRPLANE ?auto_36679 ) ( AT ?auto_36679 ?auto_36676 ) ( LOCATION ?auto_36672 ) ( AT ?auto_36679 ?auto_36672 ) ( AIRPLANE ?auto_36666 ) ( AT ?auto_36666 ?auto_36672 ) ( AT ?auto_36666 ?auto_36680 ) ( AIRPORT ?auto_36682 ) ( AT ?auto_36678 ?auto_36682 ) ( DIFFERENT ?auto_36680 ?auto_36682 ) ( LOCATION ?auto_36673 ) ( AT ?auto_36678 ?auto_36673 ) ( AIRPLANE ?auto_36667 ) ( AT ?auto_36667 ?auto_36673 ) ( LOCATION ?auto_36668 ) ( AT ?auto_36667 ?auto_36668 ) ( TRUCK ?auto_36671 ) ( IN ?auto_36664 ?auto_36671 ) ( LOCATION ?auto_36686 ) ( CITY ?auto_36685 ) ( AT ?auto_36671 ?auto_36686 ) ( IN-CITY ?auto_36686 ?auto_36685 ) ( IN-CITY ?auto_36668 ?auto_36685 ) ( DIFFERENT ?auto_36668 ?auto_36686 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36671 ?auto_36686 ?auto_36668 ?auto_36685 )
      ( DELIVER-PKG ?auto_36664 ?auto_36665 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36732
      ?auto_36733
    )
    :vars
    (
      ?auto_36747
      ?auto_36739
      ?auto_36748
      ?auto_36734
      ?auto_36751
      ?auto_36741
      ?auto_36750
      ?auto_36749
      ?auto_36752
      ?auto_36745
      ?auto_36736
      ?auto_36743
      ?auto_36746
      ?auto_36737
      ?auto_36738
      ?auto_36744
      ?auto_36753
      ?auto_36742
      ?auto_36755
    )
    :precondition
    ( and ( OBJ ?auto_36732 ) ( LOCATION ?auto_36733 ) ( TRUCK ?auto_36747 ) ( LOCATION ?auto_36739 ) ( CITY ?auto_36748 ) ( AT ?auto_36747 ?auto_36739 ) ( IN-CITY ?auto_36739 ?auto_36748 ) ( IN-CITY ?auto_36733 ?auto_36748 ) ( DIFFERENT ?auto_36733 ?auto_36739 ) ( LOCATION ?auto_36734 ) ( AT ?auto_36747 ?auto_36734 ) ( AIRPLANE ?auto_36751 ) ( AIRPORT ?auto_36741 ) ( AIRPORT ?auto_36734 ) ( DIFFERENT ?auto_36734 ?auto_36741 ) ( LOCATION ?auto_36741 ) ( AIRPLANE ?auto_36750 ) ( AT ?auto_36750 ?auto_36741 ) ( LOCATION ?auto_36749 ) ( AT ?auto_36750 ?auto_36749 ) ( AIRPLANE ?auto_36752 ) ( AT ?auto_36752 ?auto_36749 ) ( LOCATION ?auto_36745 ) ( AT ?auto_36752 ?auto_36745 ) ( AIRPLANE ?auto_36736 ) ( AT ?auto_36736 ?auto_36745 ) ( AT ?auto_36736 ?auto_36741 ) ( AIRPORT ?auto_36743 ) ( AT ?auto_36751 ?auto_36743 ) ( DIFFERENT ?auto_36741 ?auto_36743 ) ( LOCATION ?auto_36746 ) ( AT ?auto_36751 ?auto_36746 ) ( AIRPLANE ?auto_36737 ) ( AT ?auto_36737 ?auto_36746 ) ( LOCATION ?auto_36738 ) ( AT ?auto_36737 ?auto_36738 ) ( TRUCK ?auto_36744 ) ( LOCATION ?auto_36753 ) ( CITY ?auto_36742 ) ( AT ?auto_36744 ?auto_36753 ) ( IN-CITY ?auto_36753 ?auto_36742 ) ( IN-CITY ?auto_36738 ?auto_36742 ) ( DIFFERENT ?auto_36738 ?auto_36753 ) ( LOCATION ?auto_36755 ) ( AT ?auto_36744 ?auto_36755 ) ( AT ?auto_36732 ?auto_36755 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_36732 ?auto_36744 ?auto_36755 )
      ( DELIVER-PKG ?auto_36732 ?auto_36733 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36780
      ?auto_36781
    )
    :vars
    (
      ?auto_36800
      ?auto_36793
      ?auto_36784
      ?auto_36783
      ?auto_36787
      ?auto_36794
      ?auto_36786
      ?auto_36785
      ?auto_36801
      ?auto_36798
      ?auto_36788
      ?auto_36796
      ?auto_36799
      ?auto_36791
      ?auto_36792
      ?auto_36797
      ?auto_36790
      ?auto_36795
      ?auto_36805
      ?auto_36804
    )
    :precondition
    ( and ( OBJ ?auto_36780 ) ( LOCATION ?auto_36781 ) ( TRUCK ?auto_36800 ) ( LOCATION ?auto_36793 ) ( CITY ?auto_36784 ) ( AT ?auto_36800 ?auto_36793 ) ( IN-CITY ?auto_36793 ?auto_36784 ) ( IN-CITY ?auto_36781 ?auto_36784 ) ( DIFFERENT ?auto_36781 ?auto_36793 ) ( LOCATION ?auto_36783 ) ( AT ?auto_36800 ?auto_36783 ) ( AIRPLANE ?auto_36787 ) ( AIRPORT ?auto_36794 ) ( AIRPORT ?auto_36783 ) ( DIFFERENT ?auto_36783 ?auto_36794 ) ( LOCATION ?auto_36794 ) ( AIRPLANE ?auto_36786 ) ( AT ?auto_36786 ?auto_36794 ) ( LOCATION ?auto_36785 ) ( AT ?auto_36786 ?auto_36785 ) ( AIRPLANE ?auto_36801 ) ( AT ?auto_36801 ?auto_36785 ) ( LOCATION ?auto_36798 ) ( AT ?auto_36801 ?auto_36798 ) ( AIRPLANE ?auto_36788 ) ( AT ?auto_36788 ?auto_36798 ) ( AT ?auto_36788 ?auto_36794 ) ( AIRPORT ?auto_36796 ) ( AT ?auto_36787 ?auto_36796 ) ( DIFFERENT ?auto_36794 ?auto_36796 ) ( LOCATION ?auto_36799 ) ( AT ?auto_36787 ?auto_36799 ) ( AIRPLANE ?auto_36791 ) ( AT ?auto_36791 ?auto_36799 ) ( LOCATION ?auto_36792 ) ( AT ?auto_36791 ?auto_36792 ) ( TRUCK ?auto_36797 ) ( LOCATION ?auto_36790 ) ( CITY ?auto_36795 ) ( IN-CITY ?auto_36790 ?auto_36795 ) ( IN-CITY ?auto_36792 ?auto_36795 ) ( DIFFERENT ?auto_36792 ?auto_36790 ) ( AT ?auto_36780 ?auto_36790 ) ( LOCATION ?auto_36805 ) ( CITY ?auto_36804 ) ( AT ?auto_36797 ?auto_36805 ) ( IN-CITY ?auto_36805 ?auto_36804 ) ( IN-CITY ?auto_36790 ?auto_36804 ) ( DIFFERENT ?auto_36790 ?auto_36805 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36797 ?auto_36805 ?auto_36790 ?auto_36804 )
      ( DELIVER-PKG ?auto_36780 ?auto_36781 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36807
      ?auto_36808
    )
    :vars
    (
      ?auto_36827
      ?auto_36818
      ?auto_36810
      ?auto_36830
      ?auto_36813
      ?auto_36824
      ?auto_36814
      ?auto_36821
      ?auto_36826
      ?auto_36816
      ?auto_36817
      ?auto_36822
      ?auto_36815
      ?auto_36820
      ?auto_36823
      ?auto_36825
      ?auto_36832
    )
    :precondition
    ( and ( OBJ ?auto_36807 ) ( LOCATION ?auto_36808 ) ( TRUCK ?auto_36827 ) ( LOCATION ?auto_36818 ) ( CITY ?auto_36810 ) ( AT ?auto_36827 ?auto_36818 ) ( IN-CITY ?auto_36818 ?auto_36810 ) ( IN-CITY ?auto_36808 ?auto_36810 ) ( DIFFERENT ?auto_36808 ?auto_36818 ) ( LOCATION ?auto_36830 ) ( AT ?auto_36827 ?auto_36830 ) ( AIRPLANE ?auto_36813 ) ( AIRPORT ?auto_36824 ) ( AIRPORT ?auto_36830 ) ( DIFFERENT ?auto_36830 ?auto_36824 ) ( LOCATION ?auto_36824 ) ( AIRPLANE ?auto_36814 ) ( AIRPORT ?auto_36821 ) ( AT ?auto_36813 ?auto_36821 ) ( DIFFERENT ?auto_36824 ?auto_36821 ) ( LOCATION ?auto_36826 ) ( AT ?auto_36813 ?auto_36826 ) ( AIRPLANE ?auto_36816 ) ( AT ?auto_36816 ?auto_36826 ) ( LOCATION ?auto_36817 ) ( AT ?auto_36816 ?auto_36817 ) ( TRUCK ?auto_36822 ) ( LOCATION ?auto_36815 ) ( CITY ?auto_36820 ) ( IN-CITY ?auto_36815 ?auto_36820 ) ( IN-CITY ?auto_36817 ?auto_36820 ) ( DIFFERENT ?auto_36817 ?auto_36815 ) ( AT ?auto_36807 ?auto_36815 ) ( LOCATION ?auto_36823 ) ( CITY ?auto_36825 ) ( AT ?auto_36822 ?auto_36823 ) ( IN-CITY ?auto_36823 ?auto_36825 ) ( IN-CITY ?auto_36815 ?auto_36825 ) ( DIFFERENT ?auto_36815 ?auto_36823 ) ( AIRPORT ?auto_36832 ) ( AT ?auto_36814 ?auto_36832 ) ( DIFFERENT ?auto_36824 ?auto_36832 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_36814 ?auto_36832 ?auto_36824 )
      ( DELIVER-PKG ?auto_36807 ?auto_36808 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_36855
      ?auto_36856
    )
    :vars
    (
      ?auto_36866
      ?auto_36867
      ?auto_36868
      ?auto_36859
      ?auto_36870
      ?auto_36864
      ?auto_36875
      ?auto_36858
      ?auto_36865
      ?auto_36873
      ?auto_36869
      ?auto_36862
      ?auto_36874
      ?auto_36860
      ?auto_36863
      ?auto_36872
      ?auto_36871
      ?auto_36878
      ?auto_36877
    )
    :precondition
    ( and ( OBJ ?auto_36855 ) ( LOCATION ?auto_36856 ) ( TRUCK ?auto_36866 ) ( LOCATION ?auto_36867 ) ( CITY ?auto_36868 ) ( AT ?auto_36866 ?auto_36867 ) ( IN-CITY ?auto_36867 ?auto_36868 ) ( IN-CITY ?auto_36856 ?auto_36868 ) ( DIFFERENT ?auto_36856 ?auto_36867 ) ( LOCATION ?auto_36859 ) ( AT ?auto_36866 ?auto_36859 ) ( AIRPLANE ?auto_36870 ) ( AIRPORT ?auto_36864 ) ( AIRPORT ?auto_36859 ) ( DIFFERENT ?auto_36859 ?auto_36864 ) ( LOCATION ?auto_36864 ) ( AIRPLANE ?auto_36875 ) ( AIRPORT ?auto_36858 ) ( AT ?auto_36870 ?auto_36858 ) ( DIFFERENT ?auto_36864 ?auto_36858 ) ( LOCATION ?auto_36865 ) ( AT ?auto_36870 ?auto_36865 ) ( AIRPLANE ?auto_36873 ) ( AT ?auto_36873 ?auto_36865 ) ( LOCATION ?auto_36869 ) ( AT ?auto_36873 ?auto_36869 ) ( TRUCK ?auto_36862 ) ( LOCATION ?auto_36874 ) ( CITY ?auto_36860 ) ( IN-CITY ?auto_36874 ?auto_36860 ) ( IN-CITY ?auto_36869 ?auto_36860 ) ( DIFFERENT ?auto_36869 ?auto_36874 ) ( AT ?auto_36855 ?auto_36874 ) ( LOCATION ?auto_36863 ) ( CITY ?auto_36872 ) ( IN-CITY ?auto_36863 ?auto_36872 ) ( IN-CITY ?auto_36874 ?auto_36872 ) ( DIFFERENT ?auto_36874 ?auto_36863 ) ( AIRPORT ?auto_36871 ) ( AT ?auto_36875 ?auto_36871 ) ( DIFFERENT ?auto_36864 ?auto_36871 ) ( LOCATION ?auto_36878 ) ( CITY ?auto_36877 ) ( AT ?auto_36862 ?auto_36878 ) ( IN-CITY ?auto_36878 ?auto_36877 ) ( IN-CITY ?auto_36863 ?auto_36877 ) ( DIFFERENT ?auto_36863 ?auto_36878 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_36862 ?auto_36878 ?auto_36863 ?auto_36877 )
      ( DELIVER-PKG ?auto_36855 ?auto_36856 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37166
      ?auto_37171
    )
    :vars
    (
      ?auto_37168
      ?auto_37173
      ?auto_37176
      ?auto_37179
      ?auto_37182
    )
    :precondition
    ( and ( OBJ ?auto_37166 ) ( LOCATION ?auto_37171 ) ( AIRPLANE ?auto_37168 ) ( AIRPORT ?auto_37173 ) ( AIRPORT ?auto_37171 ) ( DIFFERENT ?auto_37171 ?auto_37173 ) ( AIRPORT ?auto_37176 ) ( DIFFERENT ?auto_37173 ?auto_37176 ) ( AIRPORT ?auto_37179 ) ( AT ?auto_37168 ?auto_37179 ) ( DIFFERENT ?auto_37176 ?auto_37179 ) ( TRUCK ?auto_37182 ) ( AT ?auto_37182 ?auto_37171 ) ( IN ?auto_37166 ?auto_37182 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_37166 ?auto_37171 )
      ( FLY-AIRPLANE ?auto_37168 ?auto_37179 ?auto_37176 )
      ( FLY-AIRPLANE ?auto_37168 ?auto_37176 ?auto_37173 )
      ( FLY-AIRPLANE ?auto_37168 ?auto_37173 ?auto_37171 )
      ( DELIVER-PKG ?auto_37166 ?auto_37171 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37781
      ?auto_37782
    )
    :vars
    (
      ?auto_37783
      ?auto_37786
      ?auto_37788
      ?auto_37784
      ?auto_37787
      ?auto_37791
    )
    :precondition
    ( and ( OBJ ?auto_37781 ) ( LOCATION ?auto_37782 ) ( AIRPLANE ?auto_37783 ) ( AIRPORT ?auto_37786 ) ( AIRPORT ?auto_37782 ) ( DIFFERENT ?auto_37782 ?auto_37786 ) ( LOCATION ?auto_37786 ) ( AT ?auto_37781 ?auto_37786 ) ( AIRPORT ?auto_37788 ) ( DIFFERENT ?auto_37786 ?auto_37788 ) ( AIRPORT ?auto_37784 ) ( DIFFERENT ?auto_37788 ?auto_37784 ) ( AIRPORT ?auto_37787 ) ( DIFFERENT ?auto_37784 ?auto_37787 ) ( AIRPORT ?auto_37791 ) ( AT ?auto_37783 ?auto_37791 ) ( DIFFERENT ?auto_37787 ?auto_37791 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_37783 ?auto_37791 ?auto_37787 )
      ( DELIVER-PKG ?auto_37781 ?auto_37782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37927
      ?auto_37928
    )
    :vars
    (
      ?auto_37936
      ?auto_37934
      ?auto_37933
      ?auto_37932
      ?auto_37937
      ?auto_37929
      ?auto_37938
      ?auto_37931
      ?auto_37940
    )
    :precondition
    ( and ( OBJ ?auto_37927 ) ( LOCATION ?auto_37928 ) ( TRUCK ?auto_37936 ) ( LOCATION ?auto_37934 ) ( CITY ?auto_37933 ) ( AT ?auto_37936 ?auto_37934 ) ( IN-CITY ?auto_37934 ?auto_37933 ) ( IN-CITY ?auto_37928 ?auto_37933 ) ( DIFFERENT ?auto_37928 ?auto_37934 ) ( LOCATION ?auto_37932 ) ( AT ?auto_37936 ?auto_37932 ) ( AIRPLANE ?auto_37937 ) ( IN ?auto_37927 ?auto_37937 ) ( AIRPORT ?auto_37929 ) ( AIRPORT ?auto_37932 ) ( DIFFERENT ?auto_37932 ?auto_37929 ) ( AIRPORT ?auto_37938 ) ( DIFFERENT ?auto_37929 ?auto_37938 ) ( AIRPORT ?auto_37931 ) ( DIFFERENT ?auto_37938 ?auto_37931 ) ( AIRPORT ?auto_37940 ) ( AT ?auto_37937 ?auto_37940 ) ( DIFFERENT ?auto_37931 ?auto_37940 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_37937 ?auto_37940 ?auto_37931 )
      ( DELIVER-PKG ?auto_37927 ?auto_37928 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37955
      ?auto_37956
    )
    :vars
    (
      ?auto_37959
      ?auto_37958
      ?auto_37960
      ?auto_37967
      ?auto_37966
      ?auto_37964
      ?auto_37962
      ?auto_37965
      ?auto_37963
      ?auto_37969
    )
    :precondition
    ( and ( OBJ ?auto_37955 ) ( LOCATION ?auto_37956 ) ( TRUCK ?auto_37959 ) ( LOCATION ?auto_37958 ) ( CITY ?auto_37960 ) ( AT ?auto_37959 ?auto_37958 ) ( IN-CITY ?auto_37958 ?auto_37960 ) ( IN-CITY ?auto_37956 ?auto_37960 ) ( DIFFERENT ?auto_37956 ?auto_37958 ) ( LOCATION ?auto_37967 ) ( AT ?auto_37959 ?auto_37967 ) ( AIRPLANE ?auto_37966 ) ( AIRPORT ?auto_37964 ) ( AIRPORT ?auto_37967 ) ( DIFFERENT ?auto_37967 ?auto_37964 ) ( AIRPORT ?auto_37962 ) ( DIFFERENT ?auto_37964 ?auto_37962 ) ( AIRPORT ?auto_37965 ) ( DIFFERENT ?auto_37962 ?auto_37965 ) ( AIRPORT ?auto_37963 ) ( AT ?auto_37966 ?auto_37963 ) ( DIFFERENT ?auto_37965 ?auto_37963 ) ( LOCATION ?auto_37969 ) ( AT ?auto_37955 ?auto_37969 ) ( AT ?auto_37966 ?auto_37969 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_37955 ?auto_37966 ?auto_37969 )
      ( DELIVER-PKG ?auto_37955 ?auto_37956 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_37971
      ?auto_37972
    )
    :vars
    (
      ?auto_37976
      ?auto_37983
      ?auto_37977
      ?auto_37982
      ?auto_37980
      ?auto_37978
      ?auto_37981
      ?auto_37979
      ?auto_37984
      ?auto_37987
      ?auto_37986
    )
    :precondition
    ( and ( OBJ ?auto_37971 ) ( LOCATION ?auto_37972 ) ( TRUCK ?auto_37976 ) ( LOCATION ?auto_37983 ) ( CITY ?auto_37977 ) ( IN-CITY ?auto_37983 ?auto_37977 ) ( IN-CITY ?auto_37972 ?auto_37977 ) ( DIFFERENT ?auto_37972 ?auto_37983 ) ( AIRPLANE ?auto_37982 ) ( AIRPORT ?auto_37980 ) ( AIRPORT ?auto_37983 ) ( DIFFERENT ?auto_37983 ?auto_37980 ) ( AIRPORT ?auto_37978 ) ( DIFFERENT ?auto_37980 ?auto_37978 ) ( AIRPORT ?auto_37981 ) ( DIFFERENT ?auto_37978 ?auto_37981 ) ( AIRPORT ?auto_37979 ) ( AT ?auto_37982 ?auto_37979 ) ( DIFFERENT ?auto_37981 ?auto_37979 ) ( LOCATION ?auto_37984 ) ( AT ?auto_37971 ?auto_37984 ) ( AT ?auto_37982 ?auto_37984 ) ( LOCATION ?auto_37987 ) ( CITY ?auto_37986 ) ( AT ?auto_37976 ?auto_37987 ) ( IN-CITY ?auto_37987 ?auto_37986 ) ( IN-CITY ?auto_37983 ?auto_37986 ) ( DIFFERENT ?auto_37983 ?auto_37987 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_37976 ?auto_37987 ?auto_37983 ?auto_37986 )
      ( DELIVER-PKG ?auto_37971 ?auto_37972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38513
      ?auto_38514
    )
    :vars
    (
      ?auto_38517
      ?auto_38516
      ?auto_38518
      ?auto_38519
      ?auto_38520
      ?auto_38523
    )
    :precondition
    ( and ( OBJ ?auto_38513 ) ( LOCATION ?auto_38514 ) ( AIRPLANE ?auto_38517 ) ( AIRPORT ?auto_38516 ) ( AIRPORT ?auto_38514 ) ( DIFFERENT ?auto_38514 ?auto_38516 ) ( AIRPORT ?auto_38518 ) ( DIFFERENT ?auto_38516 ?auto_38518 ) ( AIRPORT ?auto_38519 ) ( DIFFERENT ?auto_38518 ?auto_38519 ) ( LOCATION ?auto_38519 ) ( AT ?auto_38513 ?auto_38519 ) ( AIRPORT ?auto_38520 ) ( DIFFERENT ?auto_38519 ?auto_38520 ) ( AIRPORT ?auto_38523 ) ( AT ?auto_38517 ?auto_38523 ) ( DIFFERENT ?auto_38520 ?auto_38523 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38517 ?auto_38523 ?auto_38520 )
      ( DELIVER-PKG ?auto_38513 ?auto_38514 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38525
      ?auto_38526
    )
    :vars
    (
      ?auto_38532
      ?auto_38534
      ?auto_38531
      ?auto_38527
      ?auto_38533
      ?auto_38530
      ?auto_38536
    )
    :precondition
    ( and ( OBJ ?auto_38525 ) ( LOCATION ?auto_38526 ) ( AIRPLANE ?auto_38532 ) ( AIRPORT ?auto_38534 ) ( AIRPORT ?auto_38526 ) ( DIFFERENT ?auto_38526 ?auto_38534 ) ( AIRPORT ?auto_38531 ) ( DIFFERENT ?auto_38534 ?auto_38531 ) ( AIRPORT ?auto_38527 ) ( DIFFERENT ?auto_38531 ?auto_38527 ) ( LOCATION ?auto_38527 ) ( AT ?auto_38525 ?auto_38527 ) ( AIRPORT ?auto_38533 ) ( DIFFERENT ?auto_38527 ?auto_38533 ) ( AIRPORT ?auto_38530 ) ( DIFFERENT ?auto_38533 ?auto_38530 ) ( AIRPORT ?auto_38536 ) ( AT ?auto_38532 ?auto_38536 ) ( DIFFERENT ?auto_38530 ?auto_38536 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38532 ?auto_38536 ?auto_38530 )
      ( DELIVER-PKG ?auto_38525 ?auto_38526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38538
      ?auto_38539
    )
    :vars
    (
      ?auto_38548
      ?auto_38545
      ?auto_38540
      ?auto_38546
      ?auto_38544
      ?auto_38547
      ?auto_38541
      ?auto_38550
    )
    :precondition
    ( and ( OBJ ?auto_38538 ) ( LOCATION ?auto_38539 ) ( AIRPLANE ?auto_38548 ) ( AIRPORT ?auto_38545 ) ( AIRPORT ?auto_38539 ) ( DIFFERENT ?auto_38539 ?auto_38545 ) ( AIRPORT ?auto_38540 ) ( DIFFERENT ?auto_38545 ?auto_38540 ) ( AIRPORT ?auto_38546 ) ( DIFFERENT ?auto_38540 ?auto_38546 ) ( LOCATION ?auto_38546 ) ( AT ?auto_38538 ?auto_38546 ) ( AIRPORT ?auto_38544 ) ( DIFFERENT ?auto_38546 ?auto_38544 ) ( AIRPORT ?auto_38547 ) ( DIFFERENT ?auto_38544 ?auto_38547 ) ( AIRPORT ?auto_38541 ) ( DIFFERENT ?auto_38547 ?auto_38541 ) ( AIRPORT ?auto_38550 ) ( AT ?auto_38548 ?auto_38550 ) ( DIFFERENT ?auto_38541 ?auto_38550 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38548 ?auto_38550 ?auto_38541 )
      ( DELIVER-PKG ?auto_38538 ?auto_38539 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38899
      ?auto_38900
    )
    :vars
    (
      ?auto_38901
      ?auto_38902
      ?auto_38908
      ?auto_38904
      ?auto_38905
      ?auto_38907
      ?auto_38903
      ?auto_38906
      ?auto_38911
      ?auto_38913
    )
    :precondition
    ( and ( OBJ ?auto_38899 ) ( LOCATION ?auto_38900 ) ( TRUCK ?auto_38901 ) ( LOCATION ?auto_38902 ) ( CITY ?auto_38908 ) ( AT ?auto_38901 ?auto_38902 ) ( IN-CITY ?auto_38902 ?auto_38908 ) ( IN-CITY ?auto_38900 ?auto_38908 ) ( DIFFERENT ?auto_38900 ?auto_38902 ) ( LOCATION ?auto_38904 ) ( AT ?auto_38901 ?auto_38904 ) ( AIRPLANE ?auto_38905 ) ( AIRPORT ?auto_38907 ) ( AIRPORT ?auto_38904 ) ( DIFFERENT ?auto_38904 ?auto_38907 ) ( AIRPORT ?auto_38903 ) ( DIFFERENT ?auto_38907 ?auto_38903 ) ( AIRPORT ?auto_38906 ) ( DIFFERENT ?auto_38903 ?auto_38906 ) ( LOCATION ?auto_38906 ) ( AT ?auto_38899 ?auto_38906 ) ( AIRPORT ?auto_38911 ) ( DIFFERENT ?auto_38906 ?auto_38911 ) ( AIRPORT ?auto_38913 ) ( AT ?auto_38905 ?auto_38913 ) ( DIFFERENT ?auto_38911 ?auto_38913 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38905 ?auto_38913 ?auto_38911 )
      ( DELIVER-PKG ?auto_38899 ?auto_38900 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38915
      ?auto_38916
    )
    :vars
    (
      ?auto_38923
      ?auto_38926
      ?auto_38925
      ?auto_38928
      ?auto_38919
      ?auto_38922
      ?auto_38927
      ?auto_38917
      ?auto_38924
      ?auto_38921
      ?auto_38930
    )
    :precondition
    ( and ( OBJ ?auto_38915 ) ( LOCATION ?auto_38916 ) ( TRUCK ?auto_38923 ) ( LOCATION ?auto_38926 ) ( CITY ?auto_38925 ) ( AT ?auto_38923 ?auto_38926 ) ( IN-CITY ?auto_38926 ?auto_38925 ) ( IN-CITY ?auto_38916 ?auto_38925 ) ( DIFFERENT ?auto_38916 ?auto_38926 ) ( LOCATION ?auto_38928 ) ( AT ?auto_38923 ?auto_38928 ) ( AIRPLANE ?auto_38919 ) ( AIRPORT ?auto_38922 ) ( AIRPORT ?auto_38928 ) ( DIFFERENT ?auto_38928 ?auto_38922 ) ( AIRPORT ?auto_38927 ) ( DIFFERENT ?auto_38922 ?auto_38927 ) ( AIRPORT ?auto_38917 ) ( DIFFERENT ?auto_38927 ?auto_38917 ) ( LOCATION ?auto_38917 ) ( AT ?auto_38915 ?auto_38917 ) ( AIRPORT ?auto_38924 ) ( DIFFERENT ?auto_38917 ?auto_38924 ) ( AIRPORT ?auto_38921 ) ( DIFFERENT ?auto_38924 ?auto_38921 ) ( AIRPORT ?auto_38930 ) ( AT ?auto_38919 ?auto_38930 ) ( DIFFERENT ?auto_38921 ?auto_38930 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38919 ?auto_38930 ?auto_38921 )
      ( DELIVER-PKG ?auto_38915 ?auto_38916 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38932
      ?auto_38933
    )
    :vars
    (
      ?auto_38942
      ?auto_38936
      ?auto_38943
      ?auto_38935
      ?auto_38944
      ?auto_38946
      ?auto_38945
      ?auto_38934
      ?auto_38939
      ?auto_38937
      ?auto_38940
      ?auto_38948
    )
    :precondition
    ( and ( OBJ ?auto_38932 ) ( LOCATION ?auto_38933 ) ( TRUCK ?auto_38942 ) ( LOCATION ?auto_38936 ) ( CITY ?auto_38943 ) ( AT ?auto_38942 ?auto_38936 ) ( IN-CITY ?auto_38936 ?auto_38943 ) ( IN-CITY ?auto_38933 ?auto_38943 ) ( DIFFERENT ?auto_38933 ?auto_38936 ) ( LOCATION ?auto_38935 ) ( AT ?auto_38942 ?auto_38935 ) ( AIRPLANE ?auto_38944 ) ( AIRPORT ?auto_38946 ) ( AIRPORT ?auto_38935 ) ( DIFFERENT ?auto_38935 ?auto_38946 ) ( AIRPORT ?auto_38945 ) ( DIFFERENT ?auto_38946 ?auto_38945 ) ( AIRPORT ?auto_38934 ) ( DIFFERENT ?auto_38945 ?auto_38934 ) ( LOCATION ?auto_38934 ) ( AT ?auto_38932 ?auto_38934 ) ( AIRPORT ?auto_38939 ) ( DIFFERENT ?auto_38934 ?auto_38939 ) ( AIRPORT ?auto_38937 ) ( DIFFERENT ?auto_38939 ?auto_38937 ) ( AIRPORT ?auto_38940 ) ( DIFFERENT ?auto_38937 ?auto_38940 ) ( AIRPORT ?auto_38948 ) ( AT ?auto_38944 ?auto_38948 ) ( DIFFERENT ?auto_38940 ?auto_38948 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_38944 ?auto_38948 ?auto_38940 )
      ( DELIVER-PKG ?auto_38932 ?auto_38933 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_38950
      ?auto_38951
    )
    :vars
    (
      ?auto_38955
      ?auto_38952
      ?auto_38962
      ?auto_38957
      ?auto_38956
      ?auto_38954
      ?auto_38953
      ?auto_38965
      ?auto_38964
      ?auto_38958
      ?auto_38961
      ?auto_38968
      ?auto_38967
    )
    :precondition
    ( and ( OBJ ?auto_38950 ) ( LOCATION ?auto_38951 ) ( TRUCK ?auto_38955 ) ( LOCATION ?auto_38952 ) ( CITY ?auto_38962 ) ( IN-CITY ?auto_38952 ?auto_38962 ) ( IN-CITY ?auto_38951 ?auto_38962 ) ( DIFFERENT ?auto_38951 ?auto_38952 ) ( AIRPLANE ?auto_38957 ) ( AIRPORT ?auto_38956 ) ( AIRPORT ?auto_38952 ) ( DIFFERENT ?auto_38952 ?auto_38956 ) ( AIRPORT ?auto_38954 ) ( DIFFERENT ?auto_38956 ?auto_38954 ) ( AIRPORT ?auto_38953 ) ( DIFFERENT ?auto_38954 ?auto_38953 ) ( LOCATION ?auto_38953 ) ( AT ?auto_38950 ?auto_38953 ) ( AIRPORT ?auto_38965 ) ( DIFFERENT ?auto_38953 ?auto_38965 ) ( AIRPORT ?auto_38964 ) ( DIFFERENT ?auto_38965 ?auto_38964 ) ( AIRPORT ?auto_38958 ) ( DIFFERENT ?auto_38964 ?auto_38958 ) ( AIRPORT ?auto_38961 ) ( AT ?auto_38957 ?auto_38961 ) ( DIFFERENT ?auto_38958 ?auto_38961 ) ( LOCATION ?auto_38968 ) ( CITY ?auto_38967 ) ( AT ?auto_38955 ?auto_38968 ) ( IN-CITY ?auto_38968 ?auto_38967 ) ( IN-CITY ?auto_38952 ?auto_38967 ) ( DIFFERENT ?auto_38952 ?auto_38968 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_38955 ?auto_38968 ?auto_38952 ?auto_38967 )
      ( DELIVER-PKG ?auto_38950 ?auto_38951 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41180
      ?auto_41181
    )
    :vars
    (
      ?auto_41194
      ?auto_41186
      ?auto_41182
      ?auto_41187
      ?auto_41188
      ?auto_41185
      ?auto_41183
      ?auto_41197
      ?auto_41195
      ?auto_41196
      ?auto_41184
      ?auto_41189
      ?auto_41191
      ?auto_41190
      ?auto_41199
    )
    :precondition
    ( and ( OBJ ?auto_41180 ) ( LOCATION ?auto_41181 ) ( TRUCK ?auto_41194 ) ( LOCATION ?auto_41186 ) ( CITY ?auto_41182 ) ( IN-CITY ?auto_41186 ?auto_41182 ) ( IN-CITY ?auto_41181 ?auto_41182 ) ( DIFFERENT ?auto_41181 ?auto_41186 ) ( AIRPLANE ?auto_41187 ) ( AIRPORT ?auto_41188 ) ( AIRPORT ?auto_41186 ) ( DIFFERENT ?auto_41186 ?auto_41188 ) ( LOCATION ?auto_41188 ) ( AIRPORT ?auto_41185 ) ( DIFFERENT ?auto_41188 ?auto_41185 ) ( AIRPORT ?auto_41183 ) ( DIFFERENT ?auto_41185 ?auto_41183 ) ( TRUCK ?auto_41197 ) ( LOCATION ?auto_41195 ) ( CITY ?auto_41196 ) ( IN-CITY ?auto_41195 ?auto_41196 ) ( IN-CITY ?auto_41188 ?auto_41196 ) ( DIFFERENT ?auto_41188 ?auto_41195 ) ( AT ?auto_41180 ?auto_41195 ) ( LOCATION ?auto_41184 ) ( CITY ?auto_41189 ) ( AT ?auto_41194 ?auto_41184 ) ( IN-CITY ?auto_41184 ?auto_41189 ) ( IN-CITY ?auto_41186 ?auto_41189 ) ( DIFFERENT ?auto_41186 ?auto_41184 ) ( LOCATION ?auto_41191 ) ( CITY ?auto_41190 ) ( AT ?auto_41197 ?auto_41191 ) ( IN-CITY ?auto_41191 ?auto_41190 ) ( IN-CITY ?auto_41195 ?auto_41190 ) ( DIFFERENT ?auto_41195 ?auto_41191 ) ( AIRPORT ?auto_41199 ) ( AT ?auto_41187 ?auto_41199 ) ( DIFFERENT ?auto_41183 ?auto_41199 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41187 ?auto_41199 ?auto_41183 )
      ( DELIVER-PKG ?auto_41180 ?auto_41181 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41298
      ?auto_41299
    )
    :vars
    (
      ?auto_41301
      ?auto_41304
      ?auto_41302
      ?auto_41305
      ?auto_41303
      ?auto_41308
    )
    :precondition
    ( and ( OBJ ?auto_41298 ) ( LOCATION ?auto_41299 ) ( AIRPLANE ?auto_41301 ) ( IN ?auto_41298 ?auto_41301 ) ( AIRPORT ?auto_41304 ) ( AIRPORT ?auto_41299 ) ( DIFFERENT ?auto_41299 ?auto_41304 ) ( AIRPORT ?auto_41302 ) ( DIFFERENT ?auto_41304 ?auto_41302 ) ( AIRPORT ?auto_41305 ) ( DIFFERENT ?auto_41302 ?auto_41305 ) ( AIRPORT ?auto_41303 ) ( DIFFERENT ?auto_41305 ?auto_41303 ) ( AIRPORT ?auto_41308 ) ( AT ?auto_41301 ?auto_41308 ) ( DIFFERENT ?auto_41303 ?auto_41308 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41301 ?auto_41308 ?auto_41303 )
      ( DELIVER-PKG ?auto_41298 ?auto_41299 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41310
      ?auto_41311
    )
    :vars
    (
      ?auto_41318
      ?auto_41313
      ?auto_41319
      ?auto_41312
      ?auto_41316
      ?auto_41314
      ?auto_41321
    )
    :precondition
    ( and ( OBJ ?auto_41310 ) ( LOCATION ?auto_41311 ) ( AIRPLANE ?auto_41318 ) ( AIRPORT ?auto_41313 ) ( AIRPORT ?auto_41311 ) ( DIFFERENT ?auto_41311 ?auto_41313 ) ( AIRPORT ?auto_41319 ) ( DIFFERENT ?auto_41313 ?auto_41319 ) ( AIRPORT ?auto_41312 ) ( DIFFERENT ?auto_41319 ?auto_41312 ) ( AIRPORT ?auto_41316 ) ( DIFFERENT ?auto_41312 ?auto_41316 ) ( AIRPORT ?auto_41314 ) ( AT ?auto_41318 ?auto_41314 ) ( DIFFERENT ?auto_41316 ?auto_41314 ) ( LOCATION ?auto_41321 ) ( AT ?auto_41310 ?auto_41321 ) ( AT ?auto_41318 ?auto_41321 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_41310 ?auto_41318 ?auto_41321 )
      ( DELIVER-PKG ?auto_41310 ?auto_41311 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41323
      ?auto_41324
    )
    :vars
    (
      ?auto_41333
      ?auto_41331
      ?auto_41327
      ?auto_41325
      ?auto_41328
      ?auto_41332
      ?auto_41326
      ?auto_41334
    )
    :precondition
    ( and ( OBJ ?auto_41323 ) ( LOCATION ?auto_41324 ) ( AIRPLANE ?auto_41333 ) ( AIRPORT ?auto_41331 ) ( AIRPORT ?auto_41324 ) ( DIFFERENT ?auto_41324 ?auto_41331 ) ( AIRPORT ?auto_41327 ) ( DIFFERENT ?auto_41331 ?auto_41327 ) ( AIRPORT ?auto_41325 ) ( DIFFERENT ?auto_41327 ?auto_41325 ) ( AIRPORT ?auto_41328 ) ( DIFFERENT ?auto_41325 ?auto_41328 ) ( AIRPORT ?auto_41332 ) ( AT ?auto_41333 ?auto_41332 ) ( DIFFERENT ?auto_41328 ?auto_41332 ) ( LOCATION ?auto_41326 ) ( AT ?auto_41333 ?auto_41326 ) ( TRUCK ?auto_41334 ) ( AT ?auto_41334 ?auto_41326 ) ( IN ?auto_41323 ?auto_41334 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41323 ?auto_41326 )
      ( DELIVER-PKG ?auto_41323 ?auto_41324 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41337
      ?auto_41338
    )
    :vars
    (
      ?auto_41341
      ?auto_41342
      ?auto_41346
      ?auto_41344
      ?auto_41348
      ?auto_41340
      ?auto_41347
      ?auto_41339
      ?auto_41351
      ?auto_41350
    )
    :precondition
    ( and ( OBJ ?auto_41337 ) ( LOCATION ?auto_41338 ) ( AIRPLANE ?auto_41341 ) ( AIRPORT ?auto_41342 ) ( AIRPORT ?auto_41338 ) ( DIFFERENT ?auto_41338 ?auto_41342 ) ( AIRPORT ?auto_41346 ) ( DIFFERENT ?auto_41342 ?auto_41346 ) ( AIRPORT ?auto_41344 ) ( DIFFERENT ?auto_41346 ?auto_41344 ) ( AIRPORT ?auto_41348 ) ( DIFFERENT ?auto_41344 ?auto_41348 ) ( AIRPORT ?auto_41340 ) ( AT ?auto_41341 ?auto_41340 ) ( DIFFERENT ?auto_41348 ?auto_41340 ) ( LOCATION ?auto_41347 ) ( AT ?auto_41341 ?auto_41347 ) ( TRUCK ?auto_41339 ) ( IN ?auto_41337 ?auto_41339 ) ( LOCATION ?auto_41351 ) ( CITY ?auto_41350 ) ( AT ?auto_41339 ?auto_41351 ) ( IN-CITY ?auto_41351 ?auto_41350 ) ( IN-CITY ?auto_41347 ?auto_41350 ) ( DIFFERENT ?auto_41347 ?auto_41351 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41339 ?auto_41351 ?auto_41347 ?auto_41350 )
      ( DELIVER-PKG ?auto_41337 ?auto_41338 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41353
      ?auto_41354
    )
    :vars
    (
      ?auto_41365
      ?auto_41366
      ?auto_41362
      ?auto_41355
      ?auto_41360
      ?auto_41364
      ?auto_41358
      ?auto_41363
      ?auto_41356
      ?auto_41361
      ?auto_41368
    )
    :precondition
    ( and ( OBJ ?auto_41353 ) ( LOCATION ?auto_41354 ) ( AIRPLANE ?auto_41365 ) ( AIRPORT ?auto_41366 ) ( AIRPORT ?auto_41354 ) ( DIFFERENT ?auto_41354 ?auto_41366 ) ( AIRPORT ?auto_41362 ) ( DIFFERENT ?auto_41366 ?auto_41362 ) ( AIRPORT ?auto_41355 ) ( DIFFERENT ?auto_41362 ?auto_41355 ) ( AIRPORT ?auto_41360 ) ( DIFFERENT ?auto_41355 ?auto_41360 ) ( AIRPORT ?auto_41364 ) ( AT ?auto_41365 ?auto_41364 ) ( DIFFERENT ?auto_41360 ?auto_41364 ) ( LOCATION ?auto_41358 ) ( AT ?auto_41365 ?auto_41358 ) ( TRUCK ?auto_41363 ) ( LOCATION ?auto_41356 ) ( CITY ?auto_41361 ) ( AT ?auto_41363 ?auto_41356 ) ( IN-CITY ?auto_41356 ?auto_41361 ) ( IN-CITY ?auto_41358 ?auto_41361 ) ( DIFFERENT ?auto_41358 ?auto_41356 ) ( LOCATION ?auto_41368 ) ( AT ?auto_41363 ?auto_41368 ) ( AT ?auto_41353 ?auto_41368 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_41353 ?auto_41363 ?auto_41368 )
      ( DELIVER-PKG ?auto_41353 ?auto_41354 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41385
      ?auto_41386
    )
    :vars
    (
      ?auto_41391
      ?auto_41397
      ?auto_41388
      ?auto_41390
      ?auto_41399
      ?auto_41395
      ?auto_41396
      ?auto_41387
      ?auto_41394
      ?auto_41398
      ?auto_41393
      ?auto_41401
    )
    :precondition
    ( and ( OBJ ?auto_41385 ) ( LOCATION ?auto_41386 ) ( AIRPLANE ?auto_41391 ) ( AIRPORT ?auto_41397 ) ( AIRPORT ?auto_41386 ) ( DIFFERENT ?auto_41386 ?auto_41397 ) ( AIRPORT ?auto_41388 ) ( DIFFERENT ?auto_41397 ?auto_41388 ) ( AIRPORT ?auto_41390 ) ( DIFFERENT ?auto_41388 ?auto_41390 ) ( AIRPORT ?auto_41399 ) ( DIFFERENT ?auto_41390 ?auto_41399 ) ( AIRPORT ?auto_41395 ) ( AT ?auto_41391 ?auto_41395 ) ( DIFFERENT ?auto_41399 ?auto_41395 ) ( LOCATION ?auto_41396 ) ( AT ?auto_41391 ?auto_41396 ) ( TRUCK ?auto_41387 ) ( LOCATION ?auto_41394 ) ( CITY ?auto_41398 ) ( AT ?auto_41387 ?auto_41394 ) ( IN-CITY ?auto_41394 ?auto_41398 ) ( IN-CITY ?auto_41396 ?auto_41398 ) ( DIFFERENT ?auto_41396 ?auto_41394 ) ( LOCATION ?auto_41393 ) ( AT ?auto_41387 ?auto_41393 ) ( TRUCK ?auto_41401 ) ( AT ?auto_41401 ?auto_41393 ) ( IN ?auto_41385 ?auto_41401 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41385 ?auto_41393 )
      ( DELIVER-PKG ?auto_41385 ?auto_41386 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41419
      ?auto_41420
    )
    :vars
    (
      ?auto_41427
      ?auto_41423
      ?auto_41422
      ?auto_41433
      ?auto_41429
      ?auto_41426
      ?auto_41431
      ?auto_41430
      ?auto_41428
      ?auto_41424
      ?auto_41437
      ?auto_41436
    )
    :precondition
    ( and ( OBJ ?auto_41419 ) ( LOCATION ?auto_41420 ) ( AIRPLANE ?auto_41427 ) ( AIRPORT ?auto_41423 ) ( AIRPORT ?auto_41420 ) ( DIFFERENT ?auto_41420 ?auto_41423 ) ( AIRPORT ?auto_41422 ) ( DIFFERENT ?auto_41423 ?auto_41422 ) ( AIRPORT ?auto_41433 ) ( DIFFERENT ?auto_41422 ?auto_41433 ) ( AIRPORT ?auto_41429 ) ( DIFFERENT ?auto_41433 ?auto_41429 ) ( AIRPORT ?auto_41426 ) ( AT ?auto_41427 ?auto_41426 ) ( DIFFERENT ?auto_41429 ?auto_41426 ) ( LOCATION ?auto_41431 ) ( AT ?auto_41427 ?auto_41431 ) ( TRUCK ?auto_41430 ) ( LOCATION ?auto_41428 ) ( CITY ?auto_41424 ) ( IN-CITY ?auto_41428 ?auto_41424 ) ( IN-CITY ?auto_41431 ?auto_41424 ) ( DIFFERENT ?auto_41431 ?auto_41428 ) ( IN ?auto_41419 ?auto_41430 ) ( LOCATION ?auto_41437 ) ( CITY ?auto_41436 ) ( AT ?auto_41430 ?auto_41437 ) ( IN-CITY ?auto_41437 ?auto_41436 ) ( IN-CITY ?auto_41428 ?auto_41436 ) ( DIFFERENT ?auto_41428 ?auto_41437 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41430 ?auto_41437 ?auto_41428 ?auto_41436 )
      ( DELIVER-PKG ?auto_41419 ?auto_41420 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41455
      ?auto_41456
    )
    :vars
    (
      ?auto_41458
      ?auto_41468
      ?auto_41457
      ?auto_41466
      ?auto_41460
      ?auto_41462
      ?auto_41465
      ?auto_41461
      ?auto_41459
      ?auto_41464
      ?auto_41470
      ?auto_41469
      ?auto_41472
    )
    :precondition
    ( and ( OBJ ?auto_41455 ) ( LOCATION ?auto_41456 ) ( AIRPLANE ?auto_41458 ) ( AIRPORT ?auto_41468 ) ( AIRPORT ?auto_41456 ) ( DIFFERENT ?auto_41456 ?auto_41468 ) ( AIRPORT ?auto_41457 ) ( DIFFERENT ?auto_41468 ?auto_41457 ) ( AIRPORT ?auto_41466 ) ( DIFFERENT ?auto_41457 ?auto_41466 ) ( AIRPORT ?auto_41460 ) ( DIFFERENT ?auto_41466 ?auto_41460 ) ( AIRPORT ?auto_41462 ) ( AT ?auto_41458 ?auto_41462 ) ( DIFFERENT ?auto_41460 ?auto_41462 ) ( LOCATION ?auto_41465 ) ( AT ?auto_41458 ?auto_41465 ) ( TRUCK ?auto_41461 ) ( LOCATION ?auto_41459 ) ( CITY ?auto_41464 ) ( IN-CITY ?auto_41459 ?auto_41464 ) ( IN-CITY ?auto_41465 ?auto_41464 ) ( DIFFERENT ?auto_41465 ?auto_41459 ) ( LOCATION ?auto_41470 ) ( CITY ?auto_41469 ) ( AT ?auto_41461 ?auto_41470 ) ( IN-CITY ?auto_41470 ?auto_41469 ) ( IN-CITY ?auto_41459 ?auto_41469 ) ( DIFFERENT ?auto_41459 ?auto_41470 ) ( LOCATION ?auto_41472 ) ( AT ?auto_41461 ?auto_41472 ) ( AT ?auto_41455 ?auto_41472 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_41455 ?auto_41461 ?auto_41472 )
      ( DELIVER-PKG ?auto_41455 ?auto_41456 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41508
      ?auto_41509
    )
    :vars
    (
      ?auto_41522
      ?auto_41515
      ?auto_41523
      ?auto_41519
      ?auto_41513
      ?auto_41518
      ?auto_41517
      ?auto_41510
      ?auto_41521
      ?auto_41511
      ?auto_41516
      ?auto_41524
      ?auto_41526
    )
    :precondition
    ( and ( OBJ ?auto_41508 ) ( LOCATION ?auto_41509 ) ( AIRPLANE ?auto_41522 ) ( AIRPORT ?auto_41515 ) ( AIRPORT ?auto_41509 ) ( DIFFERENT ?auto_41509 ?auto_41515 ) ( AIRPORT ?auto_41523 ) ( DIFFERENT ?auto_41515 ?auto_41523 ) ( AIRPORT ?auto_41519 ) ( DIFFERENT ?auto_41523 ?auto_41519 ) ( AIRPORT ?auto_41513 ) ( DIFFERENT ?auto_41519 ?auto_41513 ) ( AIRPORT ?auto_41518 ) ( DIFFERENT ?auto_41513 ?auto_41518 ) ( LOCATION ?auto_41518 ) ( TRUCK ?auto_41517 ) ( LOCATION ?auto_41510 ) ( CITY ?auto_41521 ) ( IN-CITY ?auto_41510 ?auto_41521 ) ( IN-CITY ?auto_41518 ?auto_41521 ) ( DIFFERENT ?auto_41518 ?auto_41510 ) ( LOCATION ?auto_41511 ) ( CITY ?auto_41516 ) ( AT ?auto_41517 ?auto_41511 ) ( IN-CITY ?auto_41511 ?auto_41516 ) ( IN-CITY ?auto_41510 ?auto_41516 ) ( DIFFERENT ?auto_41510 ?auto_41511 ) ( LOCATION ?auto_41524 ) ( AT ?auto_41517 ?auto_41524 ) ( AT ?auto_41508 ?auto_41524 ) ( AIRPORT ?auto_41526 ) ( AT ?auto_41522 ?auto_41526 ) ( DIFFERENT ?auto_41518 ?auto_41526 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41522 ?auto_41526 ?auto_41518 )
      ( DELIVER-PKG ?auto_41508 ?auto_41509 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41528
      ?auto_41529
    )
    :vars
    (
      ?auto_41540
      ?auto_41534
      ?auto_41541
      ?auto_41538
      ?auto_41530
      ?auto_41537
      ?auto_41536
      ?auto_41543
      ?auto_41539
      ?auto_41544
      ?auto_41535
      ?auto_41542
      ?auto_41547
      ?auto_41546
    )
    :precondition
    ( and ( OBJ ?auto_41528 ) ( LOCATION ?auto_41529 ) ( AIRPLANE ?auto_41540 ) ( AIRPORT ?auto_41534 ) ( AIRPORT ?auto_41529 ) ( DIFFERENT ?auto_41529 ?auto_41534 ) ( AIRPORT ?auto_41541 ) ( DIFFERENT ?auto_41534 ?auto_41541 ) ( AIRPORT ?auto_41538 ) ( DIFFERENT ?auto_41541 ?auto_41538 ) ( AIRPORT ?auto_41530 ) ( DIFFERENT ?auto_41538 ?auto_41530 ) ( AIRPORT ?auto_41537 ) ( DIFFERENT ?auto_41530 ?auto_41537 ) ( LOCATION ?auto_41537 ) ( TRUCK ?auto_41536 ) ( LOCATION ?auto_41543 ) ( CITY ?auto_41539 ) ( IN-CITY ?auto_41543 ?auto_41539 ) ( IN-CITY ?auto_41537 ?auto_41539 ) ( DIFFERENT ?auto_41537 ?auto_41543 ) ( LOCATION ?auto_41544 ) ( CITY ?auto_41535 ) ( IN-CITY ?auto_41544 ?auto_41535 ) ( IN-CITY ?auto_41543 ?auto_41535 ) ( DIFFERENT ?auto_41543 ?auto_41544 ) ( AT ?auto_41528 ?auto_41544 ) ( AIRPORT ?auto_41542 ) ( AT ?auto_41540 ?auto_41542 ) ( DIFFERENT ?auto_41537 ?auto_41542 ) ( LOCATION ?auto_41547 ) ( CITY ?auto_41546 ) ( AT ?auto_41536 ?auto_41547 ) ( IN-CITY ?auto_41547 ?auto_41546 ) ( IN-CITY ?auto_41544 ?auto_41546 ) ( DIFFERENT ?auto_41544 ?auto_41547 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41536 ?auto_41547 ?auto_41544 ?auto_41546 )
      ( DELIVER-PKG ?auto_41528 ?auto_41529 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41857
      ?auto_41858
    )
    :vars
    (
      ?auto_41863
      ?auto_41861
      ?auto_41859
      ?auto_41866
      ?auto_41864
      ?auto_41862
      ?auto_41860
      ?auto_41865
      ?auto_41867
      ?auto_41871
    )
    :precondition
    ( and ( OBJ ?auto_41857 ) ( LOCATION ?auto_41858 ) ( TRUCK ?auto_41863 ) ( LOCATION ?auto_41861 ) ( CITY ?auto_41859 ) ( AT ?auto_41863 ?auto_41861 ) ( IN-CITY ?auto_41861 ?auto_41859 ) ( IN-CITY ?auto_41858 ?auto_41859 ) ( DIFFERENT ?auto_41858 ?auto_41861 ) ( LOCATION ?auto_41866 ) ( AT ?auto_41863 ?auto_41866 ) ( AIRPLANE ?auto_41864 ) ( IN ?auto_41857 ?auto_41864 ) ( AIRPORT ?auto_41862 ) ( AIRPORT ?auto_41866 ) ( DIFFERENT ?auto_41866 ?auto_41862 ) ( AIRPORT ?auto_41860 ) ( DIFFERENT ?auto_41862 ?auto_41860 ) ( AIRPORT ?auto_41865 ) ( DIFFERENT ?auto_41860 ?auto_41865 ) ( AIRPORT ?auto_41867 ) ( DIFFERENT ?auto_41865 ?auto_41867 ) ( AIRPORT ?auto_41871 ) ( AT ?auto_41864 ?auto_41871 ) ( DIFFERENT ?auto_41867 ?auto_41871 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_41864 ?auto_41871 ?auto_41867 )
      ( DELIVER-PKG ?auto_41857 ?auto_41858 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41873
      ?auto_41874
    )
    :vars
    (
      ?auto_41877
      ?auto_41886
      ?auto_41882
      ?auto_41880
      ?auto_41878
      ?auto_41875
      ?auto_41885
      ?auto_41876
      ?auto_41881
      ?auto_41879
      ?auto_41888
    )
    :precondition
    ( and ( OBJ ?auto_41873 ) ( LOCATION ?auto_41874 ) ( TRUCK ?auto_41877 ) ( LOCATION ?auto_41886 ) ( CITY ?auto_41882 ) ( AT ?auto_41877 ?auto_41886 ) ( IN-CITY ?auto_41886 ?auto_41882 ) ( IN-CITY ?auto_41874 ?auto_41882 ) ( DIFFERENT ?auto_41874 ?auto_41886 ) ( LOCATION ?auto_41880 ) ( AT ?auto_41877 ?auto_41880 ) ( AIRPLANE ?auto_41878 ) ( AIRPORT ?auto_41875 ) ( AIRPORT ?auto_41880 ) ( DIFFERENT ?auto_41880 ?auto_41875 ) ( AIRPORT ?auto_41885 ) ( DIFFERENT ?auto_41875 ?auto_41885 ) ( AIRPORT ?auto_41876 ) ( DIFFERENT ?auto_41885 ?auto_41876 ) ( AIRPORT ?auto_41881 ) ( DIFFERENT ?auto_41876 ?auto_41881 ) ( AIRPORT ?auto_41879 ) ( AT ?auto_41878 ?auto_41879 ) ( DIFFERENT ?auto_41881 ?auto_41879 ) ( LOCATION ?auto_41888 ) ( AT ?auto_41873 ?auto_41888 ) ( AT ?auto_41878 ?auto_41888 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_41873 ?auto_41878 ?auto_41888 )
      ( DELIVER-PKG ?auto_41873 ?auto_41874 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41890
      ?auto_41891
    )
    :vars
    (
      ?auto_41901
      ?auto_41895
      ?auto_41894
      ?auto_41896
      ?auto_41903
      ?auto_41899
      ?auto_41892
      ?auto_41902
      ?auto_41898
      ?auto_41904
      ?auto_41893
      ?auto_41905
    )
    :precondition
    ( and ( OBJ ?auto_41890 ) ( LOCATION ?auto_41891 ) ( TRUCK ?auto_41901 ) ( LOCATION ?auto_41895 ) ( CITY ?auto_41894 ) ( AT ?auto_41901 ?auto_41895 ) ( IN-CITY ?auto_41895 ?auto_41894 ) ( IN-CITY ?auto_41891 ?auto_41894 ) ( DIFFERENT ?auto_41891 ?auto_41895 ) ( LOCATION ?auto_41896 ) ( AT ?auto_41901 ?auto_41896 ) ( AIRPLANE ?auto_41903 ) ( AIRPORT ?auto_41899 ) ( AIRPORT ?auto_41896 ) ( DIFFERENT ?auto_41896 ?auto_41899 ) ( AIRPORT ?auto_41892 ) ( DIFFERENT ?auto_41899 ?auto_41892 ) ( AIRPORT ?auto_41902 ) ( DIFFERENT ?auto_41892 ?auto_41902 ) ( AIRPORT ?auto_41898 ) ( DIFFERENT ?auto_41902 ?auto_41898 ) ( AIRPORT ?auto_41904 ) ( AT ?auto_41903 ?auto_41904 ) ( DIFFERENT ?auto_41898 ?auto_41904 ) ( LOCATION ?auto_41893 ) ( AT ?auto_41903 ?auto_41893 ) ( TRUCK ?auto_41905 ) ( AT ?auto_41905 ?auto_41893 ) ( IN ?auto_41890 ?auto_41905 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41890 ?auto_41893 )
      ( DELIVER-PKG ?auto_41890 ?auto_41891 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41908
      ?auto_41909
    )
    :vars
    (
      ?auto_41922
      ?auto_41923
      ?auto_41921
      ?auto_41914
      ?auto_41915
      ?auto_41912
      ?auto_41917
      ?auto_41913
      ?auto_41911
      ?auto_41916
      ?auto_41920
      ?auto_41919
      ?auto_41926
      ?auto_41925
    )
    :precondition
    ( and ( OBJ ?auto_41908 ) ( LOCATION ?auto_41909 ) ( TRUCK ?auto_41922 ) ( LOCATION ?auto_41923 ) ( CITY ?auto_41921 ) ( AT ?auto_41922 ?auto_41923 ) ( IN-CITY ?auto_41923 ?auto_41921 ) ( IN-CITY ?auto_41909 ?auto_41921 ) ( DIFFERENT ?auto_41909 ?auto_41923 ) ( LOCATION ?auto_41914 ) ( AT ?auto_41922 ?auto_41914 ) ( AIRPLANE ?auto_41915 ) ( AIRPORT ?auto_41912 ) ( AIRPORT ?auto_41914 ) ( DIFFERENT ?auto_41914 ?auto_41912 ) ( AIRPORT ?auto_41917 ) ( DIFFERENT ?auto_41912 ?auto_41917 ) ( AIRPORT ?auto_41913 ) ( DIFFERENT ?auto_41917 ?auto_41913 ) ( AIRPORT ?auto_41911 ) ( DIFFERENT ?auto_41913 ?auto_41911 ) ( AIRPORT ?auto_41916 ) ( AT ?auto_41915 ?auto_41916 ) ( DIFFERENT ?auto_41911 ?auto_41916 ) ( LOCATION ?auto_41920 ) ( AT ?auto_41915 ?auto_41920 ) ( TRUCK ?auto_41919 ) ( IN ?auto_41908 ?auto_41919 ) ( LOCATION ?auto_41926 ) ( CITY ?auto_41925 ) ( AT ?auto_41919 ?auto_41926 ) ( IN-CITY ?auto_41926 ?auto_41925 ) ( IN-CITY ?auto_41920 ?auto_41925 ) ( DIFFERENT ?auto_41920 ?auto_41926 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_41919 ?auto_41926 ?auto_41920 ?auto_41925 )
      ( DELIVER-PKG ?auto_41908 ?auto_41909 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41928
      ?auto_41929
    )
    :vars
    (
      ?auto_41930
      ?auto_41933
      ?auto_41939
      ?auto_41944
      ?auto_41940
      ?auto_41942
      ?auto_41932
      ?auto_41945
      ?auto_41943
      ?auto_41931
      ?auto_41938
      ?auto_41934
      ?auto_41937
      ?auto_41936
      ?auto_41947
    )
    :precondition
    ( and ( OBJ ?auto_41928 ) ( LOCATION ?auto_41929 ) ( TRUCK ?auto_41930 ) ( LOCATION ?auto_41933 ) ( CITY ?auto_41939 ) ( AT ?auto_41930 ?auto_41933 ) ( IN-CITY ?auto_41933 ?auto_41939 ) ( IN-CITY ?auto_41929 ?auto_41939 ) ( DIFFERENT ?auto_41929 ?auto_41933 ) ( LOCATION ?auto_41944 ) ( AT ?auto_41930 ?auto_41944 ) ( AIRPLANE ?auto_41940 ) ( AIRPORT ?auto_41942 ) ( AIRPORT ?auto_41944 ) ( DIFFERENT ?auto_41944 ?auto_41942 ) ( AIRPORT ?auto_41932 ) ( DIFFERENT ?auto_41942 ?auto_41932 ) ( AIRPORT ?auto_41945 ) ( DIFFERENT ?auto_41932 ?auto_41945 ) ( AIRPORT ?auto_41943 ) ( DIFFERENT ?auto_41945 ?auto_41943 ) ( AIRPORT ?auto_41931 ) ( AT ?auto_41940 ?auto_41931 ) ( DIFFERENT ?auto_41943 ?auto_41931 ) ( LOCATION ?auto_41938 ) ( AT ?auto_41940 ?auto_41938 ) ( TRUCK ?auto_41934 ) ( LOCATION ?auto_41937 ) ( CITY ?auto_41936 ) ( AT ?auto_41934 ?auto_41937 ) ( IN-CITY ?auto_41937 ?auto_41936 ) ( IN-CITY ?auto_41938 ?auto_41936 ) ( DIFFERENT ?auto_41938 ?auto_41937 ) ( LOCATION ?auto_41947 ) ( AT ?auto_41934 ?auto_41947 ) ( AT ?auto_41928 ?auto_41947 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_41928 ?auto_41934 ?auto_41947 )
      ( DELIVER-PKG ?auto_41928 ?auto_41929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_41968
      ?auto_41969
    )
    :vars
    (
      ?auto_41980
      ?auto_41983
      ?auto_41977
      ?auto_41975
      ?auto_41978
      ?auto_41982
      ?auto_41985
      ?auto_41976
      ?auto_41972
      ?auto_41981
      ?auto_41974
      ?auto_41984
      ?auto_41970
      ?auto_41986
      ?auto_41979
      ?auto_41988
    )
    :precondition
    ( and ( OBJ ?auto_41968 ) ( LOCATION ?auto_41969 ) ( TRUCK ?auto_41980 ) ( LOCATION ?auto_41983 ) ( CITY ?auto_41977 ) ( AT ?auto_41980 ?auto_41983 ) ( IN-CITY ?auto_41983 ?auto_41977 ) ( IN-CITY ?auto_41969 ?auto_41977 ) ( DIFFERENT ?auto_41969 ?auto_41983 ) ( LOCATION ?auto_41975 ) ( AT ?auto_41980 ?auto_41975 ) ( AIRPLANE ?auto_41978 ) ( AIRPORT ?auto_41982 ) ( AIRPORT ?auto_41975 ) ( DIFFERENT ?auto_41975 ?auto_41982 ) ( AIRPORT ?auto_41985 ) ( DIFFERENT ?auto_41982 ?auto_41985 ) ( AIRPORT ?auto_41976 ) ( DIFFERENT ?auto_41985 ?auto_41976 ) ( AIRPORT ?auto_41972 ) ( DIFFERENT ?auto_41976 ?auto_41972 ) ( AIRPORT ?auto_41981 ) ( AT ?auto_41978 ?auto_41981 ) ( DIFFERENT ?auto_41972 ?auto_41981 ) ( LOCATION ?auto_41974 ) ( AT ?auto_41978 ?auto_41974 ) ( TRUCK ?auto_41984 ) ( LOCATION ?auto_41970 ) ( CITY ?auto_41986 ) ( AT ?auto_41984 ?auto_41970 ) ( IN-CITY ?auto_41970 ?auto_41986 ) ( IN-CITY ?auto_41974 ?auto_41986 ) ( DIFFERENT ?auto_41974 ?auto_41970 ) ( LOCATION ?auto_41979 ) ( AT ?auto_41984 ?auto_41979 ) ( TRUCK ?auto_41988 ) ( AT ?auto_41988 ?auto_41979 ) ( IN ?auto_41968 ?auto_41988 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_41968 ?auto_41979 )
      ( DELIVER-PKG ?auto_41968 ?auto_41969 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42010
      ?auto_42011
    )
    :vars
    (
      ?auto_42022
      ?auto_42025
      ?auto_42019
      ?auto_42017
      ?auto_42020
      ?auto_42024
      ?auto_42028
      ?auto_42018
      ?auto_42015
      ?auto_42023
      ?auto_42016
      ?auto_42026
      ?auto_42021
      ?auto_42029
      ?auto_42032
      ?auto_42031
    )
    :precondition
    ( and ( OBJ ?auto_42010 ) ( LOCATION ?auto_42011 ) ( TRUCK ?auto_42022 ) ( LOCATION ?auto_42025 ) ( CITY ?auto_42019 ) ( AT ?auto_42022 ?auto_42025 ) ( IN-CITY ?auto_42025 ?auto_42019 ) ( IN-CITY ?auto_42011 ?auto_42019 ) ( DIFFERENT ?auto_42011 ?auto_42025 ) ( LOCATION ?auto_42017 ) ( AT ?auto_42022 ?auto_42017 ) ( AIRPLANE ?auto_42020 ) ( AIRPORT ?auto_42024 ) ( AIRPORT ?auto_42017 ) ( DIFFERENT ?auto_42017 ?auto_42024 ) ( AIRPORT ?auto_42028 ) ( DIFFERENT ?auto_42024 ?auto_42028 ) ( AIRPORT ?auto_42018 ) ( DIFFERENT ?auto_42028 ?auto_42018 ) ( AIRPORT ?auto_42015 ) ( DIFFERENT ?auto_42018 ?auto_42015 ) ( AIRPORT ?auto_42023 ) ( AT ?auto_42020 ?auto_42023 ) ( DIFFERENT ?auto_42015 ?auto_42023 ) ( LOCATION ?auto_42016 ) ( AT ?auto_42020 ?auto_42016 ) ( TRUCK ?auto_42026 ) ( LOCATION ?auto_42021 ) ( CITY ?auto_42029 ) ( IN-CITY ?auto_42021 ?auto_42029 ) ( IN-CITY ?auto_42016 ?auto_42029 ) ( DIFFERENT ?auto_42016 ?auto_42021 ) ( IN ?auto_42010 ?auto_42026 ) ( LOCATION ?auto_42032 ) ( CITY ?auto_42031 ) ( AT ?auto_42026 ?auto_42032 ) ( IN-CITY ?auto_42032 ?auto_42031 ) ( IN-CITY ?auto_42021 ?auto_42031 ) ( DIFFERENT ?auto_42021 ?auto_42032 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42026 ?auto_42032 ?auto_42021 ?auto_42031 )
      ( DELIVER-PKG ?auto_42010 ?auto_42011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42054
      ?auto_42055
    )
    :vars
    (
      ?auto_42064
      ?auto_42067
      ?auto_42061
      ?auto_42059
      ?auto_42062
      ?auto_42066
      ?auto_42056
      ?auto_42060
      ?auto_42058
      ?auto_42065
      ?auto_42069
      ?auto_42068
      ?auto_42063
      ?auto_42057
      ?auto_42073
      ?auto_42072
      ?auto_42075
    )
    :precondition
    ( and ( OBJ ?auto_42054 ) ( LOCATION ?auto_42055 ) ( TRUCK ?auto_42064 ) ( LOCATION ?auto_42067 ) ( CITY ?auto_42061 ) ( AT ?auto_42064 ?auto_42067 ) ( IN-CITY ?auto_42067 ?auto_42061 ) ( IN-CITY ?auto_42055 ?auto_42061 ) ( DIFFERENT ?auto_42055 ?auto_42067 ) ( LOCATION ?auto_42059 ) ( AT ?auto_42064 ?auto_42059 ) ( AIRPLANE ?auto_42062 ) ( AIRPORT ?auto_42066 ) ( AIRPORT ?auto_42059 ) ( DIFFERENT ?auto_42059 ?auto_42066 ) ( AIRPORT ?auto_42056 ) ( DIFFERENT ?auto_42066 ?auto_42056 ) ( AIRPORT ?auto_42060 ) ( DIFFERENT ?auto_42056 ?auto_42060 ) ( AIRPORT ?auto_42058 ) ( DIFFERENT ?auto_42060 ?auto_42058 ) ( AIRPORT ?auto_42065 ) ( AT ?auto_42062 ?auto_42065 ) ( DIFFERENT ?auto_42058 ?auto_42065 ) ( LOCATION ?auto_42069 ) ( AT ?auto_42062 ?auto_42069 ) ( TRUCK ?auto_42068 ) ( LOCATION ?auto_42063 ) ( CITY ?auto_42057 ) ( IN-CITY ?auto_42063 ?auto_42057 ) ( IN-CITY ?auto_42069 ?auto_42057 ) ( DIFFERENT ?auto_42069 ?auto_42063 ) ( LOCATION ?auto_42073 ) ( CITY ?auto_42072 ) ( AT ?auto_42068 ?auto_42073 ) ( IN-CITY ?auto_42073 ?auto_42072 ) ( IN-CITY ?auto_42063 ?auto_42072 ) ( DIFFERENT ?auto_42063 ?auto_42073 ) ( LOCATION ?auto_42075 ) ( AT ?auto_42068 ?auto_42075 ) ( AT ?auto_42054 ?auto_42075 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_42054 ?auto_42068 ?auto_42075 )
      ( DELIVER-PKG ?auto_42054 ?auto_42055 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42119
      ?auto_42120
    )
    :vars
    (
      ?auto_42130
      ?auto_42133
      ?auto_42128
      ?auto_42121
      ?auto_42122
      ?auto_42132
      ?auto_42138
      ?auto_42127
      ?auto_42125
      ?auto_42135
      ?auto_42134
      ?auto_42123
      ?auto_42124
      ?auto_42129
      ?auto_42136
      ?auto_42126
      ?auto_42141
    )
    :precondition
    ( and ( OBJ ?auto_42119 ) ( LOCATION ?auto_42120 ) ( TRUCK ?auto_42130 ) ( LOCATION ?auto_42133 ) ( CITY ?auto_42128 ) ( AT ?auto_42130 ?auto_42133 ) ( IN-CITY ?auto_42133 ?auto_42128 ) ( IN-CITY ?auto_42120 ?auto_42128 ) ( DIFFERENT ?auto_42120 ?auto_42133 ) ( LOCATION ?auto_42121 ) ( AT ?auto_42130 ?auto_42121 ) ( AIRPLANE ?auto_42122 ) ( AIRPORT ?auto_42132 ) ( AIRPORT ?auto_42121 ) ( DIFFERENT ?auto_42121 ?auto_42132 ) ( AIRPORT ?auto_42138 ) ( DIFFERENT ?auto_42132 ?auto_42138 ) ( AIRPORT ?auto_42127 ) ( DIFFERENT ?auto_42138 ?auto_42127 ) ( AIRPORT ?auto_42125 ) ( DIFFERENT ?auto_42127 ?auto_42125 ) ( AIRPORT ?auto_42135 ) ( DIFFERENT ?auto_42125 ?auto_42135 ) ( LOCATION ?auto_42135 ) ( TRUCK ?auto_42134 ) ( LOCATION ?auto_42123 ) ( CITY ?auto_42124 ) ( IN-CITY ?auto_42123 ?auto_42124 ) ( IN-CITY ?auto_42135 ?auto_42124 ) ( DIFFERENT ?auto_42135 ?auto_42123 ) ( LOCATION ?auto_42129 ) ( CITY ?auto_42136 ) ( AT ?auto_42134 ?auto_42129 ) ( IN-CITY ?auto_42129 ?auto_42136 ) ( IN-CITY ?auto_42123 ?auto_42136 ) ( DIFFERENT ?auto_42123 ?auto_42129 ) ( LOCATION ?auto_42126 ) ( AT ?auto_42134 ?auto_42126 ) ( AT ?auto_42119 ?auto_42126 ) ( AIRPORT ?auto_42141 ) ( AT ?auto_42122 ?auto_42141 ) ( DIFFERENT ?auto_42135 ?auto_42141 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42122 ?auto_42141 ?auto_42135 )
      ( DELIVER-PKG ?auto_42119 ?auto_42120 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42143
      ?auto_42144
    )
    :vars
    (
      ?auto_42160
      ?auto_42162
      ?auto_42158
      ?auto_42151
      ?auto_42146
      ?auto_42161
      ?auto_42163
      ?auto_42157
      ?auto_42150
      ?auto_42154
      ?auto_42153
      ?auto_42148
      ?auto_42149
      ?auto_42152
      ?auto_42155
      ?auto_42156
      ?auto_42166
      ?auto_42165
    )
    :precondition
    ( and ( OBJ ?auto_42143 ) ( LOCATION ?auto_42144 ) ( TRUCK ?auto_42160 ) ( LOCATION ?auto_42162 ) ( CITY ?auto_42158 ) ( AT ?auto_42160 ?auto_42162 ) ( IN-CITY ?auto_42162 ?auto_42158 ) ( IN-CITY ?auto_42144 ?auto_42158 ) ( DIFFERENT ?auto_42144 ?auto_42162 ) ( LOCATION ?auto_42151 ) ( AT ?auto_42160 ?auto_42151 ) ( AIRPLANE ?auto_42146 ) ( AIRPORT ?auto_42161 ) ( AIRPORT ?auto_42151 ) ( DIFFERENT ?auto_42151 ?auto_42161 ) ( AIRPORT ?auto_42163 ) ( DIFFERENT ?auto_42161 ?auto_42163 ) ( AIRPORT ?auto_42157 ) ( DIFFERENT ?auto_42163 ?auto_42157 ) ( AIRPORT ?auto_42150 ) ( DIFFERENT ?auto_42157 ?auto_42150 ) ( AIRPORT ?auto_42154 ) ( DIFFERENT ?auto_42150 ?auto_42154 ) ( LOCATION ?auto_42154 ) ( TRUCK ?auto_42153 ) ( LOCATION ?auto_42148 ) ( CITY ?auto_42149 ) ( IN-CITY ?auto_42148 ?auto_42149 ) ( IN-CITY ?auto_42154 ?auto_42149 ) ( DIFFERENT ?auto_42154 ?auto_42148 ) ( LOCATION ?auto_42152 ) ( CITY ?auto_42155 ) ( IN-CITY ?auto_42152 ?auto_42155 ) ( IN-CITY ?auto_42148 ?auto_42155 ) ( DIFFERENT ?auto_42148 ?auto_42152 ) ( AT ?auto_42143 ?auto_42152 ) ( AIRPORT ?auto_42156 ) ( AT ?auto_42146 ?auto_42156 ) ( DIFFERENT ?auto_42154 ?auto_42156 ) ( LOCATION ?auto_42166 ) ( CITY ?auto_42165 ) ( AT ?auto_42153 ?auto_42166 ) ( IN-CITY ?auto_42166 ?auto_42165 ) ( IN-CITY ?auto_42152 ?auto_42165 ) ( DIFFERENT ?auto_42152 ?auto_42166 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42153 ?auto_42166 ?auto_42152 ?auto_42165 )
      ( DELIVER-PKG ?auto_42143 ?auto_42144 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42641
      ?auto_42642
    )
    :vars
    (
      ?auto_42645
      ?auto_42647
      ?auto_42653
      ?auto_42650
      ?auto_42651
      ?auto_42649
      ?auto_42648
      ?auto_42646
      ?auto_42652
      ?auto_42654
      ?auto_42656
    )
    :precondition
    ( and ( OBJ ?auto_42641 ) ( LOCATION ?auto_42642 ) ( TRUCK ?auto_42645 ) ( LOCATION ?auto_42647 ) ( CITY ?auto_42653 ) ( IN-CITY ?auto_42647 ?auto_42653 ) ( IN-CITY ?auto_42642 ?auto_42653 ) ( DIFFERENT ?auto_42642 ?auto_42647 ) ( LOCATION ?auto_42650 ) ( CITY ?auto_42651 ) ( AT ?auto_42645 ?auto_42650 ) ( IN-CITY ?auto_42650 ?auto_42651 ) ( IN-CITY ?auto_42647 ?auto_42651 ) ( DIFFERENT ?auto_42647 ?auto_42650 ) ( LOCATION ?auto_42649 ) ( AT ?auto_42645 ?auto_42649 ) ( AIRPLANE ?auto_42648 ) ( IN ?auto_42641 ?auto_42648 ) ( AIRPORT ?auto_42646 ) ( AIRPORT ?auto_42649 ) ( DIFFERENT ?auto_42649 ?auto_42646 ) ( AIRPORT ?auto_42652 ) ( DIFFERENT ?auto_42646 ?auto_42652 ) ( AIRPORT ?auto_42654 ) ( DIFFERENT ?auto_42652 ?auto_42654 ) ( AIRPORT ?auto_42656 ) ( AT ?auto_42648 ?auto_42656 ) ( DIFFERENT ?auto_42654 ?auto_42656 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42648 ?auto_42656 ?auto_42654 )
      ( DELIVER-PKG ?auto_42641 ?auto_42642 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42658
      ?auto_42659
    )
    :vars
    (
      ?auto_42661
      ?auto_42663
      ?auto_42669
      ?auto_42666
      ?auto_42667
      ?auto_42665
      ?auto_42664
      ?auto_42662
      ?auto_42668
      ?auto_42670
      ?auto_42671
      ?auto_42674
    )
    :precondition
    ( and ( OBJ ?auto_42658 ) ( LOCATION ?auto_42659 ) ( TRUCK ?auto_42661 ) ( LOCATION ?auto_42663 ) ( CITY ?auto_42669 ) ( IN-CITY ?auto_42663 ?auto_42669 ) ( IN-CITY ?auto_42659 ?auto_42669 ) ( DIFFERENT ?auto_42659 ?auto_42663 ) ( LOCATION ?auto_42666 ) ( CITY ?auto_42667 ) ( AT ?auto_42661 ?auto_42666 ) ( IN-CITY ?auto_42666 ?auto_42667 ) ( IN-CITY ?auto_42663 ?auto_42667 ) ( DIFFERENT ?auto_42663 ?auto_42666 ) ( LOCATION ?auto_42665 ) ( AT ?auto_42661 ?auto_42665 ) ( AIRPLANE ?auto_42664 ) ( IN ?auto_42658 ?auto_42664 ) ( AIRPORT ?auto_42662 ) ( AIRPORT ?auto_42665 ) ( DIFFERENT ?auto_42665 ?auto_42662 ) ( AIRPORT ?auto_42668 ) ( DIFFERENT ?auto_42662 ?auto_42668 ) ( AIRPORT ?auto_42670 ) ( DIFFERENT ?auto_42668 ?auto_42670 ) ( AIRPORT ?auto_42671 ) ( DIFFERENT ?auto_42670 ?auto_42671 ) ( AIRPORT ?auto_42674 ) ( AT ?auto_42664 ?auto_42674 ) ( DIFFERENT ?auto_42671 ?auto_42674 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42664 ?auto_42674 ?auto_42671 )
      ( DELIVER-PKG ?auto_42658 ?auto_42659 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42676
      ?auto_42677
    )
    :vars
    (
      ?auto_42687
      ?auto_42690
      ?auto_42684
      ?auto_42682
      ?auto_42679
      ?auto_42681
      ?auto_42689
      ?auto_42691
      ?auto_42680
      ?auto_42688
      ?auto_42685
      ?auto_42683
      ?auto_42693
    )
    :precondition
    ( and ( OBJ ?auto_42676 ) ( LOCATION ?auto_42677 ) ( TRUCK ?auto_42687 ) ( LOCATION ?auto_42690 ) ( CITY ?auto_42684 ) ( IN-CITY ?auto_42690 ?auto_42684 ) ( IN-CITY ?auto_42677 ?auto_42684 ) ( DIFFERENT ?auto_42677 ?auto_42690 ) ( LOCATION ?auto_42682 ) ( CITY ?auto_42679 ) ( AT ?auto_42687 ?auto_42682 ) ( IN-CITY ?auto_42682 ?auto_42679 ) ( IN-CITY ?auto_42690 ?auto_42679 ) ( DIFFERENT ?auto_42690 ?auto_42682 ) ( LOCATION ?auto_42681 ) ( AT ?auto_42687 ?auto_42681 ) ( AIRPLANE ?auto_42689 ) ( AIRPORT ?auto_42691 ) ( AIRPORT ?auto_42681 ) ( DIFFERENT ?auto_42681 ?auto_42691 ) ( AIRPORT ?auto_42680 ) ( DIFFERENT ?auto_42691 ?auto_42680 ) ( AIRPORT ?auto_42688 ) ( DIFFERENT ?auto_42680 ?auto_42688 ) ( AIRPORT ?auto_42685 ) ( DIFFERENT ?auto_42688 ?auto_42685 ) ( AIRPORT ?auto_42683 ) ( AT ?auto_42689 ?auto_42683 ) ( DIFFERENT ?auto_42685 ?auto_42683 ) ( LOCATION ?auto_42693 ) ( AT ?auto_42676 ?auto_42693 ) ( AT ?auto_42689 ?auto_42693 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_42676 ?auto_42689 ?auto_42693 )
      ( DELIVER-PKG ?auto_42676 ?auto_42677 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42695
      ?auto_42696
    )
    :vars
    (
      ?auto_42699
      ?auto_42701
      ?auto_42707
      ?auto_42711
      ?auto_42708
      ?auto_42710
      ?auto_42709
      ?auto_42704
      ?auto_42706
      ?auto_42698
      ?auto_42705
      ?auto_42702
      ?auto_42700
      ?auto_42712
    )
    :precondition
    ( and ( OBJ ?auto_42695 ) ( LOCATION ?auto_42696 ) ( TRUCK ?auto_42699 ) ( LOCATION ?auto_42701 ) ( CITY ?auto_42707 ) ( IN-CITY ?auto_42701 ?auto_42707 ) ( IN-CITY ?auto_42696 ?auto_42707 ) ( DIFFERENT ?auto_42696 ?auto_42701 ) ( LOCATION ?auto_42711 ) ( CITY ?auto_42708 ) ( AT ?auto_42699 ?auto_42711 ) ( IN-CITY ?auto_42711 ?auto_42708 ) ( IN-CITY ?auto_42701 ?auto_42708 ) ( DIFFERENT ?auto_42701 ?auto_42711 ) ( LOCATION ?auto_42710 ) ( AT ?auto_42699 ?auto_42710 ) ( AIRPLANE ?auto_42709 ) ( AIRPORT ?auto_42704 ) ( AIRPORT ?auto_42710 ) ( DIFFERENT ?auto_42710 ?auto_42704 ) ( AIRPORT ?auto_42706 ) ( DIFFERENT ?auto_42704 ?auto_42706 ) ( AIRPORT ?auto_42698 ) ( DIFFERENT ?auto_42706 ?auto_42698 ) ( AIRPORT ?auto_42705 ) ( DIFFERENT ?auto_42698 ?auto_42705 ) ( AIRPORT ?auto_42702 ) ( AT ?auto_42709 ?auto_42702 ) ( DIFFERENT ?auto_42705 ?auto_42702 ) ( LOCATION ?auto_42700 ) ( AT ?auto_42709 ?auto_42700 ) ( TRUCK ?auto_42712 ) ( AT ?auto_42712 ?auto_42700 ) ( IN ?auto_42695 ?auto_42712 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_42695 ?auto_42700 )
      ( DELIVER-PKG ?auto_42695 ?auto_42696 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42715
      ?auto_42716
    )
    :vars
    (
      ?auto_42730
      ?auto_42731
      ?auto_42717
      ?auto_42722
      ?auto_42718
      ?auto_42721
      ?auto_42719
      ?auto_42727
      ?auto_42728
      ?auto_42725
      ?auto_42723
      ?auto_42732
      ?auto_42729
      ?auto_42726
      ?auto_42735
      ?auto_42734
    )
    :precondition
    ( and ( OBJ ?auto_42715 ) ( LOCATION ?auto_42716 ) ( TRUCK ?auto_42730 ) ( LOCATION ?auto_42731 ) ( CITY ?auto_42717 ) ( IN-CITY ?auto_42731 ?auto_42717 ) ( IN-CITY ?auto_42716 ?auto_42717 ) ( DIFFERENT ?auto_42716 ?auto_42731 ) ( LOCATION ?auto_42722 ) ( CITY ?auto_42718 ) ( AT ?auto_42730 ?auto_42722 ) ( IN-CITY ?auto_42722 ?auto_42718 ) ( IN-CITY ?auto_42731 ?auto_42718 ) ( DIFFERENT ?auto_42731 ?auto_42722 ) ( LOCATION ?auto_42721 ) ( AT ?auto_42730 ?auto_42721 ) ( AIRPLANE ?auto_42719 ) ( AIRPORT ?auto_42727 ) ( AIRPORT ?auto_42721 ) ( DIFFERENT ?auto_42721 ?auto_42727 ) ( AIRPORT ?auto_42728 ) ( DIFFERENT ?auto_42727 ?auto_42728 ) ( AIRPORT ?auto_42725 ) ( DIFFERENT ?auto_42728 ?auto_42725 ) ( AIRPORT ?auto_42723 ) ( DIFFERENT ?auto_42725 ?auto_42723 ) ( AIRPORT ?auto_42732 ) ( AT ?auto_42719 ?auto_42732 ) ( DIFFERENT ?auto_42723 ?auto_42732 ) ( LOCATION ?auto_42729 ) ( AT ?auto_42719 ?auto_42729 ) ( TRUCK ?auto_42726 ) ( IN ?auto_42715 ?auto_42726 ) ( LOCATION ?auto_42735 ) ( CITY ?auto_42734 ) ( AT ?auto_42726 ?auto_42735 ) ( IN-CITY ?auto_42735 ?auto_42734 ) ( IN-CITY ?auto_42729 ?auto_42734 ) ( DIFFERENT ?auto_42729 ?auto_42735 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42726 ?auto_42735 ?auto_42729 ?auto_42734 )
      ( DELIVER-PKG ?auto_42715 ?auto_42716 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42737
      ?auto_42738
    )
    :vars
    (
      ?auto_42741
      ?auto_42753
      ?auto_42739
      ?auto_42754
      ?auto_42751
      ?auto_42756
      ?auto_42752
      ?auto_42747
      ?auto_42748
      ?auto_42750
      ?auto_42755
      ?auto_42743
      ?auto_42740
      ?auto_42745
      ?auto_42742
      ?auto_42744
      ?auto_42758
    )
    :precondition
    ( and ( OBJ ?auto_42737 ) ( LOCATION ?auto_42738 ) ( TRUCK ?auto_42741 ) ( LOCATION ?auto_42753 ) ( CITY ?auto_42739 ) ( IN-CITY ?auto_42753 ?auto_42739 ) ( IN-CITY ?auto_42738 ?auto_42739 ) ( DIFFERENT ?auto_42738 ?auto_42753 ) ( LOCATION ?auto_42754 ) ( CITY ?auto_42751 ) ( AT ?auto_42741 ?auto_42754 ) ( IN-CITY ?auto_42754 ?auto_42751 ) ( IN-CITY ?auto_42753 ?auto_42751 ) ( DIFFERENT ?auto_42753 ?auto_42754 ) ( LOCATION ?auto_42756 ) ( AT ?auto_42741 ?auto_42756 ) ( AIRPLANE ?auto_42752 ) ( AIRPORT ?auto_42747 ) ( AIRPORT ?auto_42756 ) ( DIFFERENT ?auto_42756 ?auto_42747 ) ( AIRPORT ?auto_42748 ) ( DIFFERENT ?auto_42747 ?auto_42748 ) ( AIRPORT ?auto_42750 ) ( DIFFERENT ?auto_42748 ?auto_42750 ) ( AIRPORT ?auto_42755 ) ( DIFFERENT ?auto_42750 ?auto_42755 ) ( AIRPORT ?auto_42743 ) ( AT ?auto_42752 ?auto_42743 ) ( DIFFERENT ?auto_42755 ?auto_42743 ) ( LOCATION ?auto_42740 ) ( AT ?auto_42752 ?auto_42740 ) ( TRUCK ?auto_42745 ) ( LOCATION ?auto_42742 ) ( CITY ?auto_42744 ) ( AT ?auto_42745 ?auto_42742 ) ( IN-CITY ?auto_42742 ?auto_42744 ) ( IN-CITY ?auto_42740 ?auto_42744 ) ( DIFFERENT ?auto_42740 ?auto_42742 ) ( LOCATION ?auto_42758 ) ( AT ?auto_42745 ?auto_42758 ) ( AT ?auto_42737 ?auto_42758 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_42737 ?auto_42745 ?auto_42758 )
      ( DELIVER-PKG ?auto_42737 ?auto_42738 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42781
      ?auto_42782
    )
    :vars
    (
      ?auto_42798
      ?auto_42789
      ?auto_42790
      ?auto_42783
      ?auto_42788
      ?auto_42797
      ?auto_42793
      ?auto_42787
      ?auto_42801
      ?auto_42792
      ?auto_42784
      ?auto_42795
      ?auto_42791
      ?auto_42799
      ?auto_42794
      ?auto_42800
      ?auto_42796
      ?auto_42803
    )
    :precondition
    ( and ( OBJ ?auto_42781 ) ( LOCATION ?auto_42782 ) ( TRUCK ?auto_42798 ) ( LOCATION ?auto_42789 ) ( CITY ?auto_42790 ) ( IN-CITY ?auto_42789 ?auto_42790 ) ( IN-CITY ?auto_42782 ?auto_42790 ) ( DIFFERENT ?auto_42782 ?auto_42789 ) ( LOCATION ?auto_42783 ) ( CITY ?auto_42788 ) ( AT ?auto_42798 ?auto_42783 ) ( IN-CITY ?auto_42783 ?auto_42788 ) ( IN-CITY ?auto_42789 ?auto_42788 ) ( DIFFERENT ?auto_42789 ?auto_42783 ) ( LOCATION ?auto_42797 ) ( AT ?auto_42798 ?auto_42797 ) ( AIRPLANE ?auto_42793 ) ( AIRPORT ?auto_42787 ) ( AIRPORT ?auto_42797 ) ( DIFFERENT ?auto_42797 ?auto_42787 ) ( AIRPORT ?auto_42801 ) ( DIFFERENT ?auto_42787 ?auto_42801 ) ( AIRPORT ?auto_42792 ) ( DIFFERENT ?auto_42801 ?auto_42792 ) ( AIRPORT ?auto_42784 ) ( DIFFERENT ?auto_42792 ?auto_42784 ) ( AIRPORT ?auto_42795 ) ( AT ?auto_42793 ?auto_42795 ) ( DIFFERENT ?auto_42784 ?auto_42795 ) ( LOCATION ?auto_42791 ) ( AT ?auto_42793 ?auto_42791 ) ( TRUCK ?auto_42799 ) ( LOCATION ?auto_42794 ) ( CITY ?auto_42800 ) ( AT ?auto_42799 ?auto_42794 ) ( IN-CITY ?auto_42794 ?auto_42800 ) ( IN-CITY ?auto_42791 ?auto_42800 ) ( DIFFERENT ?auto_42791 ?auto_42794 ) ( LOCATION ?auto_42796 ) ( AT ?auto_42799 ?auto_42796 ) ( TRUCK ?auto_42803 ) ( AT ?auto_42803 ?auto_42796 ) ( IN ?auto_42781 ?auto_42803 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_42781 ?auto_42796 )
      ( DELIVER-PKG ?auto_42781 ?auto_42782 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42827
      ?auto_42828
    )
    :vars
    (
      ?auto_42841
      ?auto_42829
      ?auto_42830
      ?auto_42848
      ?auto_42832
      ?auto_42840
      ?auto_42835
      ?auto_42845
      ?auto_42831
      ?auto_42834
      ?auto_42846
      ?auto_42838
      ?auto_42833
      ?auto_42836
      ?auto_42839
      ?auto_42843
      ?auto_42851
      ?auto_42850
    )
    :precondition
    ( and ( OBJ ?auto_42827 ) ( LOCATION ?auto_42828 ) ( TRUCK ?auto_42841 ) ( LOCATION ?auto_42829 ) ( CITY ?auto_42830 ) ( IN-CITY ?auto_42829 ?auto_42830 ) ( IN-CITY ?auto_42828 ?auto_42830 ) ( DIFFERENT ?auto_42828 ?auto_42829 ) ( LOCATION ?auto_42848 ) ( CITY ?auto_42832 ) ( AT ?auto_42841 ?auto_42848 ) ( IN-CITY ?auto_42848 ?auto_42832 ) ( IN-CITY ?auto_42829 ?auto_42832 ) ( DIFFERENT ?auto_42829 ?auto_42848 ) ( LOCATION ?auto_42840 ) ( AT ?auto_42841 ?auto_42840 ) ( AIRPLANE ?auto_42835 ) ( AIRPORT ?auto_42845 ) ( AIRPORT ?auto_42840 ) ( DIFFERENT ?auto_42840 ?auto_42845 ) ( AIRPORT ?auto_42831 ) ( DIFFERENT ?auto_42845 ?auto_42831 ) ( AIRPORT ?auto_42834 ) ( DIFFERENT ?auto_42831 ?auto_42834 ) ( AIRPORT ?auto_42846 ) ( DIFFERENT ?auto_42834 ?auto_42846 ) ( AIRPORT ?auto_42838 ) ( AT ?auto_42835 ?auto_42838 ) ( DIFFERENT ?auto_42846 ?auto_42838 ) ( LOCATION ?auto_42833 ) ( AT ?auto_42835 ?auto_42833 ) ( TRUCK ?auto_42836 ) ( LOCATION ?auto_42839 ) ( CITY ?auto_42843 ) ( IN-CITY ?auto_42839 ?auto_42843 ) ( IN-CITY ?auto_42833 ?auto_42843 ) ( DIFFERENT ?auto_42833 ?auto_42839 ) ( IN ?auto_42827 ?auto_42836 ) ( LOCATION ?auto_42851 ) ( CITY ?auto_42850 ) ( AT ?auto_42836 ?auto_42851 ) ( IN-CITY ?auto_42851 ?auto_42850 ) ( IN-CITY ?auto_42839 ?auto_42850 ) ( DIFFERENT ?auto_42839 ?auto_42851 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42836 ?auto_42851 ?auto_42839 ?auto_42850 )
      ( DELIVER-PKG ?auto_42827 ?auto_42828 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42875
      ?auto_42876
    )
    :vars
    (
      ?auto_42888
      ?auto_42894
      ?auto_42877
      ?auto_42884
      ?auto_42882
      ?auto_42887
      ?auto_42879
      ?auto_42890
      ?auto_42883
      ?auto_42885
      ?auto_42892
      ?auto_42881
      ?auto_42878
      ?auto_42880
      ?auto_42886
      ?auto_42889
      ?auto_42891
      ?auto_42893
      ?auto_42898
    )
    :precondition
    ( and ( OBJ ?auto_42875 ) ( LOCATION ?auto_42876 ) ( TRUCK ?auto_42888 ) ( LOCATION ?auto_42894 ) ( CITY ?auto_42877 ) ( IN-CITY ?auto_42894 ?auto_42877 ) ( IN-CITY ?auto_42876 ?auto_42877 ) ( DIFFERENT ?auto_42876 ?auto_42894 ) ( LOCATION ?auto_42884 ) ( CITY ?auto_42882 ) ( AT ?auto_42888 ?auto_42884 ) ( IN-CITY ?auto_42884 ?auto_42882 ) ( IN-CITY ?auto_42894 ?auto_42882 ) ( DIFFERENT ?auto_42894 ?auto_42884 ) ( LOCATION ?auto_42887 ) ( AT ?auto_42888 ?auto_42887 ) ( AIRPLANE ?auto_42879 ) ( AIRPORT ?auto_42890 ) ( AIRPORT ?auto_42887 ) ( DIFFERENT ?auto_42887 ?auto_42890 ) ( AIRPORT ?auto_42883 ) ( DIFFERENT ?auto_42890 ?auto_42883 ) ( AIRPORT ?auto_42885 ) ( DIFFERENT ?auto_42883 ?auto_42885 ) ( AIRPORT ?auto_42892 ) ( DIFFERENT ?auto_42885 ?auto_42892 ) ( AIRPORT ?auto_42881 ) ( AT ?auto_42879 ?auto_42881 ) ( DIFFERENT ?auto_42892 ?auto_42881 ) ( LOCATION ?auto_42878 ) ( AT ?auto_42879 ?auto_42878 ) ( TRUCK ?auto_42880 ) ( LOCATION ?auto_42886 ) ( CITY ?auto_42889 ) ( IN-CITY ?auto_42886 ?auto_42889 ) ( IN-CITY ?auto_42878 ?auto_42889 ) ( DIFFERENT ?auto_42878 ?auto_42886 ) ( LOCATION ?auto_42891 ) ( CITY ?auto_42893 ) ( AT ?auto_42880 ?auto_42891 ) ( IN-CITY ?auto_42891 ?auto_42893 ) ( IN-CITY ?auto_42886 ?auto_42893 ) ( DIFFERENT ?auto_42886 ?auto_42891 ) ( LOCATION ?auto_42898 ) ( AT ?auto_42880 ?auto_42898 ) ( AT ?auto_42875 ?auto_42898 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_42875 ?auto_42880 ?auto_42898 )
      ( DELIVER-PKG ?auto_42875 ?auto_42876 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42946
      ?auto_42947
    )
    :vars
    (
      ?auto_42961
      ?auto_42968
      ?auto_42950
      ?auto_42957
      ?auto_42955
      ?auto_42960
      ?auto_42952
      ?auto_42963
      ?auto_42956
      ?auto_42958
      ?auto_42965
      ?auto_42951
      ?auto_42953
      ?auto_42959
      ?auto_42962
      ?auto_42964
      ?auto_42967
      ?auto_42966
      ?auto_42970
    )
    :precondition
    ( and ( OBJ ?auto_42946 ) ( LOCATION ?auto_42947 ) ( TRUCK ?auto_42961 ) ( LOCATION ?auto_42968 ) ( CITY ?auto_42950 ) ( IN-CITY ?auto_42968 ?auto_42950 ) ( IN-CITY ?auto_42947 ?auto_42950 ) ( DIFFERENT ?auto_42947 ?auto_42968 ) ( LOCATION ?auto_42957 ) ( CITY ?auto_42955 ) ( AT ?auto_42961 ?auto_42957 ) ( IN-CITY ?auto_42957 ?auto_42955 ) ( IN-CITY ?auto_42968 ?auto_42955 ) ( DIFFERENT ?auto_42968 ?auto_42957 ) ( LOCATION ?auto_42960 ) ( AT ?auto_42961 ?auto_42960 ) ( AIRPLANE ?auto_42952 ) ( AIRPORT ?auto_42963 ) ( AIRPORT ?auto_42960 ) ( DIFFERENT ?auto_42960 ?auto_42963 ) ( AIRPORT ?auto_42956 ) ( DIFFERENT ?auto_42963 ?auto_42956 ) ( AIRPORT ?auto_42958 ) ( DIFFERENT ?auto_42956 ?auto_42958 ) ( AIRPORT ?auto_42965 ) ( DIFFERENT ?auto_42958 ?auto_42965 ) ( AIRPORT ?auto_42951 ) ( DIFFERENT ?auto_42965 ?auto_42951 ) ( LOCATION ?auto_42951 ) ( TRUCK ?auto_42953 ) ( LOCATION ?auto_42959 ) ( CITY ?auto_42962 ) ( IN-CITY ?auto_42959 ?auto_42962 ) ( IN-CITY ?auto_42951 ?auto_42962 ) ( DIFFERENT ?auto_42951 ?auto_42959 ) ( LOCATION ?auto_42964 ) ( CITY ?auto_42967 ) ( AT ?auto_42953 ?auto_42964 ) ( IN-CITY ?auto_42964 ?auto_42967 ) ( IN-CITY ?auto_42959 ?auto_42967 ) ( DIFFERENT ?auto_42959 ?auto_42964 ) ( LOCATION ?auto_42966 ) ( AT ?auto_42953 ?auto_42966 ) ( AT ?auto_42946 ?auto_42966 ) ( AIRPORT ?auto_42970 ) ( AT ?auto_42952 ?auto_42970 ) ( DIFFERENT ?auto_42951 ?auto_42970 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_42952 ?auto_42970 ?auto_42951 )
      ( DELIVER-PKG ?auto_42946 ?auto_42947 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_42972
      ?auto_42973
    )
    :vars
    (
      ?auto_42986
      ?auto_42994
      ?auto_42976
      ?auto_42982
      ?auto_42980
      ?auto_42985
      ?auto_42978
      ?auto_42988
      ?auto_42981
      ?auto_42983
      ?auto_42990
      ?auto_42977
      ?auto_42979
      ?auto_42984
      ?auto_42987
      ?auto_42992
      ?auto_42993
      ?auto_42991
      ?auto_42997
      ?auto_42996
    )
    :precondition
    ( and ( OBJ ?auto_42972 ) ( LOCATION ?auto_42973 ) ( TRUCK ?auto_42986 ) ( LOCATION ?auto_42994 ) ( CITY ?auto_42976 ) ( IN-CITY ?auto_42994 ?auto_42976 ) ( IN-CITY ?auto_42973 ?auto_42976 ) ( DIFFERENT ?auto_42973 ?auto_42994 ) ( LOCATION ?auto_42982 ) ( CITY ?auto_42980 ) ( AT ?auto_42986 ?auto_42982 ) ( IN-CITY ?auto_42982 ?auto_42980 ) ( IN-CITY ?auto_42994 ?auto_42980 ) ( DIFFERENT ?auto_42994 ?auto_42982 ) ( LOCATION ?auto_42985 ) ( AT ?auto_42986 ?auto_42985 ) ( AIRPLANE ?auto_42978 ) ( AIRPORT ?auto_42988 ) ( AIRPORT ?auto_42985 ) ( DIFFERENT ?auto_42985 ?auto_42988 ) ( AIRPORT ?auto_42981 ) ( DIFFERENT ?auto_42988 ?auto_42981 ) ( AIRPORT ?auto_42983 ) ( DIFFERENT ?auto_42981 ?auto_42983 ) ( AIRPORT ?auto_42990 ) ( DIFFERENT ?auto_42983 ?auto_42990 ) ( AIRPORT ?auto_42977 ) ( DIFFERENT ?auto_42990 ?auto_42977 ) ( LOCATION ?auto_42977 ) ( TRUCK ?auto_42979 ) ( LOCATION ?auto_42984 ) ( CITY ?auto_42987 ) ( IN-CITY ?auto_42984 ?auto_42987 ) ( IN-CITY ?auto_42977 ?auto_42987 ) ( DIFFERENT ?auto_42977 ?auto_42984 ) ( LOCATION ?auto_42992 ) ( CITY ?auto_42993 ) ( IN-CITY ?auto_42992 ?auto_42993 ) ( IN-CITY ?auto_42984 ?auto_42993 ) ( DIFFERENT ?auto_42984 ?auto_42992 ) ( AT ?auto_42972 ?auto_42992 ) ( AIRPORT ?auto_42991 ) ( AT ?auto_42978 ?auto_42991 ) ( DIFFERENT ?auto_42977 ?auto_42991 ) ( LOCATION ?auto_42997 ) ( CITY ?auto_42996 ) ( AT ?auto_42979 ?auto_42997 ) ( IN-CITY ?auto_42997 ?auto_42996 ) ( IN-CITY ?auto_42992 ?auto_42996 ) ( DIFFERENT ?auto_42992 ?auto_42997 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_42979 ?auto_42997 ?auto_42992 ?auto_42996 )
      ( DELIVER-PKG ?auto_42972 ?auto_42973 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_43657
      ?auto_43658
    )
    :vars
    (
      ?auto_43665
      ?auto_43663
      ?auto_43664
      ?auto_43662
      ?auto_43668
      ?auto_43667
      ?auto_43666
      ?auto_43669
      ?auto_43671
    )
    :precondition
    ( and ( OBJ ?auto_43657 ) ( LOCATION ?auto_43658 ) ( AIRPLANE ?auto_43665 ) ( AIRPORT ?auto_43663 ) ( AIRPORT ?auto_43658 ) ( DIFFERENT ?auto_43658 ?auto_43663 ) ( LOCATION ?auto_43663 ) ( TRUCK ?auto_43664 ) ( LOCATION ?auto_43662 ) ( CITY ?auto_43668 ) ( IN-CITY ?auto_43662 ?auto_43668 ) ( IN-CITY ?auto_43663 ?auto_43668 ) ( DIFFERENT ?auto_43663 ?auto_43662 ) ( LOCATION ?auto_43667 ) ( CITY ?auto_43666 ) ( AT ?auto_43664 ?auto_43667 ) ( IN-CITY ?auto_43667 ?auto_43666 ) ( IN-CITY ?auto_43662 ?auto_43666 ) ( DIFFERENT ?auto_43662 ?auto_43667 ) ( LOCATION ?auto_43669 ) ( AT ?auto_43664 ?auto_43669 ) ( AT ?auto_43657 ?auto_43669 ) ( AIRPORT ?auto_43671 ) ( AT ?auto_43665 ?auto_43671 ) ( DIFFERENT ?auto_43663 ?auto_43671 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_43665 ?auto_43671 ?auto_43663 )
      ( DELIVER-PKG ?auto_43657 ?auto_43658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44106
      ?auto_44107
    )
    :vars
    (
      ?auto_44109
      ?auto_44116
      ?auto_44112
      ?auto_44114
      ?auto_44111
      ?auto_44110
      ?auto_44113
      ?auto_44117
      ?auto_44115
      ?auto_44108
      ?auto_44119
      ?auto_44118
      ?auto_44123
    )
    :precondition
    ( and ( OBJ ?auto_44106 ) ( LOCATION ?auto_44107 ) ( TRUCK ?auto_44109 ) ( LOCATION ?auto_44116 ) ( CITY ?auto_44112 ) ( AT ?auto_44109 ?auto_44116 ) ( IN-CITY ?auto_44116 ?auto_44112 ) ( IN-CITY ?auto_44107 ?auto_44112 ) ( DIFFERENT ?auto_44107 ?auto_44116 ) ( LOCATION ?auto_44114 ) ( AT ?auto_44109 ?auto_44114 ) ( AIRPLANE ?auto_44111 ) ( AIRPORT ?auto_44110 ) ( AIRPORT ?auto_44114 ) ( AT ?auto_44111 ?auto_44110 ) ( DIFFERENT ?auto_44114 ?auto_44110 ) ( LOCATION ?auto_44113 ) ( AT ?auto_44111 ?auto_44113 ) ( TRUCK ?auto_44117 ) ( LOCATION ?auto_44115 ) ( CITY ?auto_44108 ) ( IN-CITY ?auto_44115 ?auto_44108 ) ( IN-CITY ?auto_44113 ?auto_44108 ) ( DIFFERENT ?auto_44113 ?auto_44115 ) ( LOCATION ?auto_44119 ) ( CITY ?auto_44118 ) ( AT ?auto_44117 ?auto_44119 ) ( IN-CITY ?auto_44119 ?auto_44118 ) ( IN-CITY ?auto_44115 ?auto_44118 ) ( DIFFERENT ?auto_44115 ?auto_44119 ) ( LOCATION ?auto_44123 ) ( AT ?auto_44117 ?auto_44123 ) ( AT ?auto_44106 ?auto_44123 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_44106 ?auto_44117 ?auto_44123 )
      ( DELIVER-PKG ?auto_44106 ?auto_44107 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44142
      ?auto_44143
    )
    :vars
    (
      ?auto_44144
      ?auto_44153
      ?auto_44149
      ?auto_44151
      ?auto_44147
      ?auto_44150
      ?auto_44154
      ?auto_44152
      ?auto_44156
      ?auto_44148
      ?auto_44155
      ?auto_44157
      ?auto_44160
    )
    :precondition
    ( and ( OBJ ?auto_44142 ) ( LOCATION ?auto_44143 ) ( TRUCK ?auto_44144 ) ( LOCATION ?auto_44153 ) ( CITY ?auto_44149 ) ( AT ?auto_44144 ?auto_44153 ) ( IN-CITY ?auto_44153 ?auto_44149 ) ( IN-CITY ?auto_44143 ?auto_44149 ) ( DIFFERENT ?auto_44143 ?auto_44153 ) ( LOCATION ?auto_44151 ) ( AT ?auto_44144 ?auto_44151 ) ( AIRPLANE ?auto_44147 ) ( AIRPORT ?auto_44150 ) ( AIRPORT ?auto_44151 ) ( DIFFERENT ?auto_44151 ?auto_44150 ) ( LOCATION ?auto_44150 ) ( TRUCK ?auto_44154 ) ( LOCATION ?auto_44152 ) ( CITY ?auto_44156 ) ( IN-CITY ?auto_44152 ?auto_44156 ) ( IN-CITY ?auto_44150 ?auto_44156 ) ( DIFFERENT ?auto_44150 ?auto_44152 ) ( LOCATION ?auto_44148 ) ( CITY ?auto_44155 ) ( AT ?auto_44154 ?auto_44148 ) ( IN-CITY ?auto_44148 ?auto_44155 ) ( IN-CITY ?auto_44152 ?auto_44155 ) ( DIFFERENT ?auto_44152 ?auto_44148 ) ( LOCATION ?auto_44157 ) ( AT ?auto_44154 ?auto_44157 ) ( AT ?auto_44142 ?auto_44157 ) ( AIRPORT ?auto_44160 ) ( AT ?auto_44147 ?auto_44160 ) ( DIFFERENT ?auto_44150 ?auto_44160 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_44147 ?auto_44160 ?auto_44150 )
      ( DELIVER-PKG ?auto_44142 ?auto_44143 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_44183
      ?auto_44184
    )
    :vars
    (
      ?auto_44188
      ?auto_44190
      ?auto_44194
      ?auto_44193
      ?auto_44195
      ?auto_44197
      ?auto_44196
      ?auto_44186
      ?auto_44185
      ?auto_44200
      ?auto_44199
      ?auto_44192
      ?auto_44187
      ?auto_44203
      ?auto_44202
    )
    :precondition
    ( and ( OBJ ?auto_44183 ) ( LOCATION ?auto_44184 ) ( TRUCK ?auto_44188 ) ( LOCATION ?auto_44190 ) ( CITY ?auto_44194 ) ( IN-CITY ?auto_44190 ?auto_44194 ) ( IN-CITY ?auto_44184 ?auto_44194 ) ( DIFFERENT ?auto_44184 ?auto_44190 ) ( AIRPLANE ?auto_44193 ) ( AIRPORT ?auto_44195 ) ( AIRPORT ?auto_44190 ) ( DIFFERENT ?auto_44190 ?auto_44195 ) ( LOCATION ?auto_44195 ) ( TRUCK ?auto_44197 ) ( LOCATION ?auto_44196 ) ( CITY ?auto_44186 ) ( IN-CITY ?auto_44196 ?auto_44186 ) ( IN-CITY ?auto_44195 ?auto_44186 ) ( DIFFERENT ?auto_44195 ?auto_44196 ) ( LOCATION ?auto_44185 ) ( CITY ?auto_44200 ) ( IN-CITY ?auto_44185 ?auto_44200 ) ( IN-CITY ?auto_44196 ?auto_44200 ) ( DIFFERENT ?auto_44196 ?auto_44185 ) ( AT ?auto_44183 ?auto_44185 ) ( AIRPORT ?auto_44199 ) ( AT ?auto_44193 ?auto_44199 ) ( DIFFERENT ?auto_44195 ?auto_44199 ) ( LOCATION ?auto_44192 ) ( CITY ?auto_44187 ) ( AT ?auto_44197 ?auto_44192 ) ( IN-CITY ?auto_44192 ?auto_44187 ) ( IN-CITY ?auto_44185 ?auto_44187 ) ( DIFFERENT ?auto_44185 ?auto_44192 ) ( LOCATION ?auto_44203 ) ( CITY ?auto_44202 ) ( AT ?auto_44188 ?auto_44203 ) ( IN-CITY ?auto_44203 ?auto_44202 ) ( IN-CITY ?auto_44190 ?auto_44202 ) ( DIFFERENT ?auto_44190 ?auto_44203 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_44188 ?auto_44203 ?auto_44190 ?auto_44202 )
      ( DELIVER-PKG ?auto_44183 ?auto_44184 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45043
      ?auto_45044
    )
    :vars
    (
      ?auto_45055
      ?auto_45048
      ?auto_45049
      ?auto_45045
      ?auto_45053
      ?auto_45047
      ?auto_45050
      ?auto_45046
      ?auto_45051
      ?auto_45052
      ?auto_45057
      ?auto_45056
      ?auto_45061
      ?auto_45060
    )
    :precondition
    ( and ( OBJ ?auto_45043 ) ( LOCATION ?auto_45044 ) ( TRUCK ?auto_45055 ) ( LOCATION ?auto_45048 ) ( CITY ?auto_45049 ) ( IN-CITY ?auto_45048 ?auto_45049 ) ( IN-CITY ?auto_45044 ?auto_45049 ) ( DIFFERENT ?auto_45044 ?auto_45048 ) ( LOCATION ?auto_45045 ) ( CITY ?auto_45053 ) ( AT ?auto_45055 ?auto_45045 ) ( IN-CITY ?auto_45045 ?auto_45053 ) ( IN-CITY ?auto_45048 ?auto_45053 ) ( DIFFERENT ?auto_45048 ?auto_45045 ) ( LOCATION ?auto_45047 ) ( AT ?auto_45055 ?auto_45047 ) ( AIRPLANE ?auto_45050 ) ( AIRPORT ?auto_45046 ) ( AIRPORT ?auto_45047 ) ( AT ?auto_45050 ?auto_45046 ) ( DIFFERENT ?auto_45047 ?auto_45046 ) ( LOCATION ?auto_45051 ) ( AT ?auto_45050 ?auto_45051 ) ( TRUCK ?auto_45052 ) ( IN ?auto_45043 ?auto_45052 ) ( LOCATION ?auto_45057 ) ( CITY ?auto_45056 ) ( IN-CITY ?auto_45057 ?auto_45056 ) ( IN-CITY ?auto_45051 ?auto_45056 ) ( DIFFERENT ?auto_45051 ?auto_45057 ) ( LOCATION ?auto_45061 ) ( CITY ?auto_45060 ) ( AT ?auto_45052 ?auto_45061 ) ( IN-CITY ?auto_45061 ?auto_45060 ) ( IN-CITY ?auto_45057 ?auto_45060 ) ( DIFFERENT ?auto_45057 ?auto_45061 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45052 ?auto_45061 ?auto_45057 ?auto_45060 )
      ( DELIVER-PKG ?auto_45043 ?auto_45044 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45081
      ?auto_45082
    )
    :vars
    (
      ?auto_45089
      ?auto_45094
      ?auto_45083
      ?auto_45098
      ?auto_45087
      ?auto_45093
      ?auto_45084
      ?auto_45088
      ?auto_45085
      ?auto_45086
      ?auto_45092
      ?auto_45091
      ?auto_45095
      ?auto_45090
      ?auto_45100
    )
    :precondition
    ( and ( OBJ ?auto_45081 ) ( LOCATION ?auto_45082 ) ( TRUCK ?auto_45089 ) ( LOCATION ?auto_45094 ) ( CITY ?auto_45083 ) ( IN-CITY ?auto_45094 ?auto_45083 ) ( IN-CITY ?auto_45082 ?auto_45083 ) ( DIFFERENT ?auto_45082 ?auto_45094 ) ( LOCATION ?auto_45098 ) ( CITY ?auto_45087 ) ( AT ?auto_45089 ?auto_45098 ) ( IN-CITY ?auto_45098 ?auto_45087 ) ( IN-CITY ?auto_45094 ?auto_45087 ) ( DIFFERENT ?auto_45094 ?auto_45098 ) ( LOCATION ?auto_45093 ) ( AT ?auto_45089 ?auto_45093 ) ( AIRPLANE ?auto_45084 ) ( AIRPORT ?auto_45088 ) ( AIRPORT ?auto_45093 ) ( AT ?auto_45084 ?auto_45088 ) ( DIFFERENT ?auto_45093 ?auto_45088 ) ( LOCATION ?auto_45085 ) ( AT ?auto_45084 ?auto_45085 ) ( TRUCK ?auto_45086 ) ( LOCATION ?auto_45092 ) ( CITY ?auto_45091 ) ( IN-CITY ?auto_45092 ?auto_45091 ) ( IN-CITY ?auto_45085 ?auto_45091 ) ( DIFFERENT ?auto_45085 ?auto_45092 ) ( LOCATION ?auto_45095 ) ( CITY ?auto_45090 ) ( AT ?auto_45086 ?auto_45095 ) ( IN-CITY ?auto_45095 ?auto_45090 ) ( IN-CITY ?auto_45092 ?auto_45090 ) ( DIFFERENT ?auto_45092 ?auto_45095 ) ( LOCATION ?auto_45100 ) ( AT ?auto_45086 ?auto_45100 ) ( AT ?auto_45081 ?auto_45100 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_45081 ?auto_45086 ?auto_45100 )
      ( DELIVER-PKG ?auto_45081 ?auto_45082 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45121
      ?auto_45122
    )
    :vars
    (
      ?auto_45133
      ?auto_45127
      ?auto_45139
      ?auto_45129
      ?auto_45131
      ?auto_45126
      ?auto_45130
      ?auto_45123
      ?auto_45137
      ?auto_45125
      ?auto_45135
      ?auto_45128
      ?auto_45134
      ?auto_45124
      ?auto_45141
    )
    :precondition
    ( and ( OBJ ?auto_45121 ) ( LOCATION ?auto_45122 ) ( TRUCK ?auto_45133 ) ( LOCATION ?auto_45127 ) ( CITY ?auto_45139 ) ( IN-CITY ?auto_45127 ?auto_45139 ) ( IN-CITY ?auto_45122 ?auto_45139 ) ( DIFFERENT ?auto_45122 ?auto_45127 ) ( LOCATION ?auto_45129 ) ( CITY ?auto_45131 ) ( AT ?auto_45133 ?auto_45129 ) ( IN-CITY ?auto_45129 ?auto_45131 ) ( IN-CITY ?auto_45127 ?auto_45131 ) ( DIFFERENT ?auto_45127 ?auto_45129 ) ( LOCATION ?auto_45126 ) ( AT ?auto_45133 ?auto_45126 ) ( AIRPLANE ?auto_45130 ) ( AIRPORT ?auto_45123 ) ( AIRPORT ?auto_45126 ) ( DIFFERENT ?auto_45126 ?auto_45123 ) ( LOCATION ?auto_45123 ) ( TRUCK ?auto_45137 ) ( LOCATION ?auto_45125 ) ( CITY ?auto_45135 ) ( IN-CITY ?auto_45125 ?auto_45135 ) ( IN-CITY ?auto_45123 ?auto_45135 ) ( DIFFERENT ?auto_45123 ?auto_45125 ) ( LOCATION ?auto_45128 ) ( CITY ?auto_45134 ) ( AT ?auto_45137 ?auto_45128 ) ( IN-CITY ?auto_45128 ?auto_45134 ) ( IN-CITY ?auto_45125 ?auto_45134 ) ( DIFFERENT ?auto_45125 ?auto_45128 ) ( LOCATION ?auto_45124 ) ( AT ?auto_45137 ?auto_45124 ) ( AT ?auto_45121 ?auto_45124 ) ( AIRPORT ?auto_45141 ) ( AT ?auto_45130 ?auto_45141 ) ( DIFFERENT ?auto_45123 ?auto_45141 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_45130 ?auto_45141 ?auto_45123 )
      ( DELIVER-PKG ?auto_45121 ?auto_45122 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45143
      ?auto_45144
    )
    :vars
    (
      ?auto_45155
      ?auto_45147
      ?auto_45151
      ?auto_45149
      ?auto_45154
      ?auto_45159
      ?auto_45153
      ?auto_45146
      ?auto_45158
      ?auto_45150
      ?auto_45157
      ?auto_45145
      ?auto_45156
      ?auto_45152
      ?auto_45164
      ?auto_45163
    )
    :precondition
    ( and ( OBJ ?auto_45143 ) ( LOCATION ?auto_45144 ) ( TRUCK ?auto_45155 ) ( LOCATION ?auto_45147 ) ( CITY ?auto_45151 ) ( IN-CITY ?auto_45147 ?auto_45151 ) ( IN-CITY ?auto_45144 ?auto_45151 ) ( DIFFERENT ?auto_45144 ?auto_45147 ) ( LOCATION ?auto_45149 ) ( CITY ?auto_45154 ) ( AT ?auto_45155 ?auto_45149 ) ( IN-CITY ?auto_45149 ?auto_45154 ) ( IN-CITY ?auto_45147 ?auto_45154 ) ( DIFFERENT ?auto_45147 ?auto_45149 ) ( LOCATION ?auto_45159 ) ( AT ?auto_45155 ?auto_45159 ) ( AIRPLANE ?auto_45153 ) ( AIRPORT ?auto_45146 ) ( AIRPORT ?auto_45159 ) ( DIFFERENT ?auto_45159 ?auto_45146 ) ( LOCATION ?auto_45146 ) ( TRUCK ?auto_45158 ) ( LOCATION ?auto_45150 ) ( CITY ?auto_45157 ) ( IN-CITY ?auto_45150 ?auto_45157 ) ( IN-CITY ?auto_45146 ?auto_45157 ) ( DIFFERENT ?auto_45146 ?auto_45150 ) ( LOCATION ?auto_45145 ) ( CITY ?auto_45156 ) ( IN-CITY ?auto_45145 ?auto_45156 ) ( IN-CITY ?auto_45150 ?auto_45156 ) ( DIFFERENT ?auto_45150 ?auto_45145 ) ( AT ?auto_45143 ?auto_45145 ) ( AIRPORT ?auto_45152 ) ( AT ?auto_45153 ?auto_45152 ) ( DIFFERENT ?auto_45146 ?auto_45152 ) ( LOCATION ?auto_45164 ) ( CITY ?auto_45163 ) ( AT ?auto_45158 ?auto_45164 ) ( IN-CITY ?auto_45164 ?auto_45163 ) ( IN-CITY ?auto_45145 ?auto_45163 ) ( DIFFERENT ?auto_45145 ?auto_45164 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45158 ?auto_45164 ?auto_45145 ?auto_45163 )
      ( DELIVER-PKG ?auto_45143 ?auto_45144 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45166
      ?auto_45167
    )
    :vars
    (
      ?auto_45180
      ?auto_45183
      ?auto_45179
      ?auto_45175
      ?auto_45169
      ?auto_45170
      ?auto_45184
      ?auto_45182
      ?auto_45168
      ?auto_45181
      ?auto_45173
      ?auto_45178
      ?auto_45171
      ?auto_45176
      ?auto_45172
      ?auto_45188
      ?auto_45187
    )
    :precondition
    ( and ( OBJ ?auto_45166 ) ( LOCATION ?auto_45167 ) ( TRUCK ?auto_45180 ) ( LOCATION ?auto_45183 ) ( CITY ?auto_45179 ) ( IN-CITY ?auto_45183 ?auto_45179 ) ( IN-CITY ?auto_45167 ?auto_45179 ) ( DIFFERENT ?auto_45167 ?auto_45183 ) ( LOCATION ?auto_45175 ) ( CITY ?auto_45169 ) ( IN-CITY ?auto_45175 ?auto_45169 ) ( IN-CITY ?auto_45183 ?auto_45169 ) ( DIFFERENT ?auto_45183 ?auto_45175 ) ( AIRPLANE ?auto_45170 ) ( AIRPORT ?auto_45184 ) ( AIRPORT ?auto_45175 ) ( DIFFERENT ?auto_45175 ?auto_45184 ) ( LOCATION ?auto_45184 ) ( TRUCK ?auto_45182 ) ( LOCATION ?auto_45168 ) ( CITY ?auto_45181 ) ( IN-CITY ?auto_45168 ?auto_45181 ) ( IN-CITY ?auto_45184 ?auto_45181 ) ( DIFFERENT ?auto_45184 ?auto_45168 ) ( LOCATION ?auto_45173 ) ( CITY ?auto_45178 ) ( IN-CITY ?auto_45173 ?auto_45178 ) ( IN-CITY ?auto_45168 ?auto_45178 ) ( DIFFERENT ?auto_45168 ?auto_45173 ) ( AT ?auto_45166 ?auto_45173 ) ( AIRPORT ?auto_45171 ) ( AT ?auto_45170 ?auto_45171 ) ( DIFFERENT ?auto_45184 ?auto_45171 ) ( LOCATION ?auto_45176 ) ( CITY ?auto_45172 ) ( AT ?auto_45182 ?auto_45176 ) ( IN-CITY ?auto_45176 ?auto_45172 ) ( IN-CITY ?auto_45173 ?auto_45172 ) ( DIFFERENT ?auto_45173 ?auto_45176 ) ( LOCATION ?auto_45188 ) ( CITY ?auto_45187 ) ( AT ?auto_45180 ?auto_45188 ) ( IN-CITY ?auto_45188 ?auto_45187 ) ( IN-CITY ?auto_45175 ?auto_45187 ) ( DIFFERENT ?auto_45175 ?auto_45188 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45180 ?auto_45188 ?auto_45175 ?auto_45187 )
      ( DELIVER-PKG ?auto_45166 ?auto_45167 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45616
      ?auto_45617
    )
    :vars
    (
      ?auto_45623
      ?auto_45622
      ?auto_45624
      ?auto_45627
      ?auto_45620
      ?auto_45626
      ?auto_45628
      ?auto_45619
      ?auto_45631
      ?auto_45630
    )
    :precondition
    ( and ( OBJ ?auto_45616 ) ( LOCATION ?auto_45617 ) ( TRUCK ?auto_45623 ) ( LOCATION ?auto_45622 ) ( CITY ?auto_45624 ) ( IN-CITY ?auto_45622 ?auto_45624 ) ( IN-CITY ?auto_45617 ?auto_45624 ) ( DIFFERENT ?auto_45617 ?auto_45622 ) ( AIRPLANE ?auto_45627 ) ( AIRPORT ?auto_45620 ) ( AIRPORT ?auto_45622 ) ( DIFFERENT ?auto_45622 ?auto_45620 ) ( LOCATION ?auto_45620 ) ( AIRPORT ?auto_45626 ) ( DIFFERENT ?auto_45620 ?auto_45626 ) ( AIRPORT ?auto_45628 ) ( AT ?auto_45627 ?auto_45628 ) ( DIFFERENT ?auto_45626 ?auto_45628 ) ( TRUCK ?auto_45619 ) ( AT ?auto_45619 ?auto_45620 ) ( IN ?auto_45616 ?auto_45619 ) ( LOCATION ?auto_45631 ) ( CITY ?auto_45630 ) ( AT ?auto_45623 ?auto_45631 ) ( IN-CITY ?auto_45631 ?auto_45630 ) ( IN-CITY ?auto_45622 ?auto_45630 ) ( DIFFERENT ?auto_45622 ?auto_45631 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45623 ?auto_45631 ?auto_45622 ?auto_45630 )
      ( DELIVER-PKG ?auto_45616 ?auto_45617 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45633
      ?auto_45634
    )
    :vars
    (
      ?auto_45636
      ?auto_45646
      ?auto_45642
      ?auto_45637
      ?auto_45645
      ?auto_45639
      ?auto_45638
      ?auto_45644
      ?auto_45641
      ?auto_45640
      ?auto_45649
      ?auto_45648
    )
    :precondition
    ( and ( OBJ ?auto_45633 ) ( LOCATION ?auto_45634 ) ( TRUCK ?auto_45636 ) ( LOCATION ?auto_45646 ) ( CITY ?auto_45642 ) ( IN-CITY ?auto_45646 ?auto_45642 ) ( IN-CITY ?auto_45634 ?auto_45642 ) ( DIFFERENT ?auto_45634 ?auto_45646 ) ( AIRPLANE ?auto_45637 ) ( AIRPORT ?auto_45645 ) ( AIRPORT ?auto_45646 ) ( DIFFERENT ?auto_45646 ?auto_45645 ) ( LOCATION ?auto_45645 ) ( AIRPORT ?auto_45639 ) ( DIFFERENT ?auto_45645 ?auto_45639 ) ( AIRPORT ?auto_45638 ) ( AT ?auto_45637 ?auto_45638 ) ( DIFFERENT ?auto_45639 ?auto_45638 ) ( TRUCK ?auto_45644 ) ( IN ?auto_45633 ?auto_45644 ) ( LOCATION ?auto_45641 ) ( CITY ?auto_45640 ) ( AT ?auto_45636 ?auto_45641 ) ( IN-CITY ?auto_45641 ?auto_45640 ) ( IN-CITY ?auto_45646 ?auto_45640 ) ( DIFFERENT ?auto_45646 ?auto_45641 ) ( LOCATION ?auto_45649 ) ( CITY ?auto_45648 ) ( AT ?auto_45644 ?auto_45649 ) ( IN-CITY ?auto_45649 ?auto_45648 ) ( IN-CITY ?auto_45645 ?auto_45648 ) ( DIFFERENT ?auto_45645 ?auto_45649 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45644 ?auto_45649 ?auto_45645 ?auto_45648 )
      ( DELIVER-PKG ?auto_45633 ?auto_45634 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45651
      ?auto_45652
    )
    :vars
    (
      ?auto_45662
      ?auto_45659
      ?auto_45666
      ?auto_45661
      ?auto_45660
      ?auto_45664
      ?auto_45663
      ?auto_45657
      ?auto_45658
      ?auto_45665
      ?auto_45654
      ?auto_45656
      ?auto_45669
      ?auto_45668
    )
    :precondition
    ( and ( OBJ ?auto_45651 ) ( LOCATION ?auto_45652 ) ( TRUCK ?auto_45662 ) ( LOCATION ?auto_45659 ) ( CITY ?auto_45666 ) ( IN-CITY ?auto_45659 ?auto_45666 ) ( IN-CITY ?auto_45652 ?auto_45666 ) ( DIFFERENT ?auto_45652 ?auto_45659 ) ( AIRPLANE ?auto_45661 ) ( AIRPORT ?auto_45660 ) ( AIRPORT ?auto_45659 ) ( DIFFERENT ?auto_45659 ?auto_45660 ) ( LOCATION ?auto_45660 ) ( AIRPORT ?auto_45664 ) ( DIFFERENT ?auto_45660 ?auto_45664 ) ( AIRPORT ?auto_45663 ) ( AT ?auto_45661 ?auto_45663 ) ( DIFFERENT ?auto_45664 ?auto_45663 ) ( TRUCK ?auto_45657 ) ( IN ?auto_45651 ?auto_45657 ) ( LOCATION ?auto_45658 ) ( CITY ?auto_45665 ) ( IN-CITY ?auto_45658 ?auto_45665 ) ( IN-CITY ?auto_45659 ?auto_45665 ) ( DIFFERENT ?auto_45659 ?auto_45658 ) ( LOCATION ?auto_45654 ) ( CITY ?auto_45656 ) ( AT ?auto_45657 ?auto_45654 ) ( IN-CITY ?auto_45654 ?auto_45656 ) ( IN-CITY ?auto_45660 ?auto_45656 ) ( DIFFERENT ?auto_45660 ?auto_45654 ) ( LOCATION ?auto_45669 ) ( CITY ?auto_45668 ) ( AT ?auto_45662 ?auto_45669 ) ( IN-CITY ?auto_45669 ?auto_45668 ) ( IN-CITY ?auto_45658 ?auto_45668 ) ( DIFFERENT ?auto_45658 ?auto_45669 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45662 ?auto_45669 ?auto_45658 ?auto_45668 )
      ( DELIVER-PKG ?auto_45651 ?auto_45652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45671
      ?auto_45672
    )
    :vars
    (
      ?auto_45683
      ?auto_45675
      ?auto_45681
      ?auto_45679
      ?auto_45688
      ?auto_45686
      ?auto_45684
      ?auto_45687
      ?auto_45677
      ?auto_45676
      ?auto_45678
      ?auto_45685
      ?auto_45674
      ?auto_45673
      ?auto_45690
    )
    :precondition
    ( and ( OBJ ?auto_45671 ) ( LOCATION ?auto_45672 ) ( TRUCK ?auto_45683 ) ( LOCATION ?auto_45675 ) ( CITY ?auto_45681 ) ( IN-CITY ?auto_45675 ?auto_45681 ) ( IN-CITY ?auto_45672 ?auto_45681 ) ( DIFFERENT ?auto_45672 ?auto_45675 ) ( AIRPLANE ?auto_45679 ) ( AIRPORT ?auto_45688 ) ( AIRPORT ?auto_45675 ) ( DIFFERENT ?auto_45675 ?auto_45688 ) ( LOCATION ?auto_45688 ) ( AIRPORT ?auto_45686 ) ( DIFFERENT ?auto_45688 ?auto_45686 ) ( AIRPORT ?auto_45684 ) ( AT ?auto_45679 ?auto_45684 ) ( DIFFERENT ?auto_45686 ?auto_45684 ) ( TRUCK ?auto_45687 ) ( LOCATION ?auto_45677 ) ( CITY ?auto_45676 ) ( IN-CITY ?auto_45677 ?auto_45676 ) ( IN-CITY ?auto_45675 ?auto_45676 ) ( DIFFERENT ?auto_45675 ?auto_45677 ) ( LOCATION ?auto_45678 ) ( CITY ?auto_45685 ) ( AT ?auto_45687 ?auto_45678 ) ( IN-CITY ?auto_45678 ?auto_45685 ) ( IN-CITY ?auto_45688 ?auto_45685 ) ( DIFFERENT ?auto_45688 ?auto_45678 ) ( LOCATION ?auto_45674 ) ( CITY ?auto_45673 ) ( AT ?auto_45683 ?auto_45674 ) ( IN-CITY ?auto_45674 ?auto_45673 ) ( IN-CITY ?auto_45677 ?auto_45673 ) ( DIFFERENT ?auto_45677 ?auto_45674 ) ( LOCATION ?auto_45690 ) ( AT ?auto_45687 ?auto_45690 ) ( AT ?auto_45671 ?auto_45690 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_45671 ?auto_45687 ?auto_45690 )
      ( DELIVER-PKG ?auto_45671 ?auto_45672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45711
      ?auto_45712
    )
    :vars
    (
      ?auto_45722
      ?auto_45724
      ?auto_45729
      ?auto_45728
      ?auto_45714
      ?auto_45721
      ?auto_45716
      ?auto_45719
      ?auto_45726
      ?auto_45723
      ?auto_45720
      ?auto_45725
      ?auto_45718
      ?auto_45713
      ?auto_45732
      ?auto_45731
    )
    :precondition
    ( and ( OBJ ?auto_45711 ) ( LOCATION ?auto_45712 ) ( TRUCK ?auto_45722 ) ( LOCATION ?auto_45724 ) ( CITY ?auto_45729 ) ( IN-CITY ?auto_45724 ?auto_45729 ) ( IN-CITY ?auto_45712 ?auto_45729 ) ( DIFFERENT ?auto_45712 ?auto_45724 ) ( AIRPLANE ?auto_45728 ) ( AIRPORT ?auto_45714 ) ( AIRPORT ?auto_45724 ) ( DIFFERENT ?auto_45724 ?auto_45714 ) ( LOCATION ?auto_45714 ) ( AIRPORT ?auto_45721 ) ( DIFFERENT ?auto_45714 ?auto_45721 ) ( AIRPORT ?auto_45716 ) ( AT ?auto_45728 ?auto_45716 ) ( DIFFERENT ?auto_45721 ?auto_45716 ) ( TRUCK ?auto_45719 ) ( LOCATION ?auto_45726 ) ( CITY ?auto_45723 ) ( IN-CITY ?auto_45726 ?auto_45723 ) ( IN-CITY ?auto_45724 ?auto_45723 ) ( DIFFERENT ?auto_45724 ?auto_45726 ) ( LOCATION ?auto_45720 ) ( CITY ?auto_45725 ) ( IN-CITY ?auto_45720 ?auto_45725 ) ( IN-CITY ?auto_45714 ?auto_45725 ) ( DIFFERENT ?auto_45714 ?auto_45720 ) ( LOCATION ?auto_45718 ) ( CITY ?auto_45713 ) ( AT ?auto_45722 ?auto_45718 ) ( IN-CITY ?auto_45718 ?auto_45713 ) ( IN-CITY ?auto_45726 ?auto_45713 ) ( DIFFERENT ?auto_45726 ?auto_45718 ) ( AT ?auto_45711 ?auto_45720 ) ( LOCATION ?auto_45732 ) ( CITY ?auto_45731 ) ( AT ?auto_45719 ?auto_45732 ) ( IN-CITY ?auto_45732 ?auto_45731 ) ( IN-CITY ?auto_45720 ?auto_45731 ) ( DIFFERENT ?auto_45720 ?auto_45732 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45719 ?auto_45732 ?auto_45720 ?auto_45731 )
      ( DELIVER-PKG ?auto_45711 ?auto_45712 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_45757
      ?auto_45758
    )
    :vars
    (
      ?auto_45771
      ?auto_45777
      ?auto_45769
      ?auto_45767
      ?auto_45772
      ?auto_45770
      ?auto_45775
      ?auto_45760
      ?auto_45762
      ?auto_45774
      ?auto_45773
      ?auto_45764
      ?auto_45766
      ?auto_45776
      ?auto_45761
      ?auto_45768
      ?auto_45759
      ?auto_45780
      ?auto_45779
    )
    :precondition
    ( and ( OBJ ?auto_45757 ) ( LOCATION ?auto_45758 ) ( TRUCK ?auto_45771 ) ( LOCATION ?auto_45777 ) ( CITY ?auto_45769 ) ( IN-CITY ?auto_45777 ?auto_45769 ) ( IN-CITY ?auto_45758 ?auto_45769 ) ( DIFFERENT ?auto_45758 ?auto_45777 ) ( AIRPLANE ?auto_45767 ) ( AIRPORT ?auto_45772 ) ( AIRPORT ?auto_45777 ) ( DIFFERENT ?auto_45777 ?auto_45772 ) ( LOCATION ?auto_45772 ) ( AIRPORT ?auto_45770 ) ( DIFFERENT ?auto_45772 ?auto_45770 ) ( AIRPORT ?auto_45775 ) ( DIFFERENT ?auto_45770 ?auto_45775 ) ( TRUCK ?auto_45760 ) ( LOCATION ?auto_45762 ) ( CITY ?auto_45774 ) ( IN-CITY ?auto_45762 ?auto_45774 ) ( IN-CITY ?auto_45777 ?auto_45774 ) ( DIFFERENT ?auto_45777 ?auto_45762 ) ( LOCATION ?auto_45773 ) ( CITY ?auto_45764 ) ( IN-CITY ?auto_45773 ?auto_45764 ) ( IN-CITY ?auto_45772 ?auto_45764 ) ( DIFFERENT ?auto_45772 ?auto_45773 ) ( LOCATION ?auto_45766 ) ( CITY ?auto_45776 ) ( IN-CITY ?auto_45766 ?auto_45776 ) ( IN-CITY ?auto_45762 ?auto_45776 ) ( DIFFERENT ?auto_45762 ?auto_45766 ) ( AT ?auto_45757 ?auto_45773 ) ( LOCATION ?auto_45761 ) ( CITY ?auto_45768 ) ( AT ?auto_45760 ?auto_45761 ) ( IN-CITY ?auto_45761 ?auto_45768 ) ( IN-CITY ?auto_45773 ?auto_45768 ) ( DIFFERENT ?auto_45773 ?auto_45761 ) ( AIRPORT ?auto_45759 ) ( AT ?auto_45767 ?auto_45759 ) ( DIFFERENT ?auto_45775 ?auto_45759 ) ( LOCATION ?auto_45780 ) ( CITY ?auto_45779 ) ( AT ?auto_45771 ?auto_45780 ) ( IN-CITY ?auto_45780 ?auto_45779 ) ( IN-CITY ?auto_45766 ?auto_45779 ) ( DIFFERENT ?auto_45766 ?auto_45780 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_45771 ?auto_45780 ?auto_45766 ?auto_45779 )
      ( DELIVER-PKG ?auto_45757 ?auto_45758 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46269
      ?auto_46270
    )
    :vars
    (
      ?auto_46279
      ?auto_46280
      ?auto_46273
      ?auto_46272
      ?auto_46278
      ?auto_46276
      ?auto_46271
      ?auto_46281
      ?auto_46284
      ?auto_46283
    )
    :precondition
    ( and ( OBJ ?auto_46269 ) ( LOCATION ?auto_46270 ) ( AIRPLANE ?auto_46279 ) ( AIRPORT ?auto_46280 ) ( AIRPORT ?auto_46270 ) ( AT ?auto_46279 ?auto_46280 ) ( DIFFERENT ?auto_46270 ?auto_46280 ) ( LOCATION ?auto_46273 ) ( AT ?auto_46279 ?auto_46273 ) ( TRUCK ?auto_46272 ) ( LOCATION ?auto_46278 ) ( CITY ?auto_46276 ) ( IN-CITY ?auto_46278 ?auto_46276 ) ( IN-CITY ?auto_46273 ?auto_46276 ) ( DIFFERENT ?auto_46273 ?auto_46278 ) ( LOCATION ?auto_46271 ) ( CITY ?auto_46281 ) ( IN-CITY ?auto_46271 ?auto_46281 ) ( IN-CITY ?auto_46278 ?auto_46281 ) ( DIFFERENT ?auto_46278 ?auto_46271 ) ( AT ?auto_46269 ?auto_46271 ) ( LOCATION ?auto_46284 ) ( CITY ?auto_46283 ) ( AT ?auto_46272 ?auto_46284 ) ( IN-CITY ?auto_46284 ?auto_46283 ) ( IN-CITY ?auto_46271 ?auto_46283 ) ( DIFFERENT ?auto_46271 ?auto_46284 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_46272 ?auto_46284 ?auto_46271 ?auto_46283 )
      ( DELIVER-PKG ?auto_46269 ?auto_46270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46286
      ?auto_46287
    )
    :vars
    (
      ?auto_46292
      ?auto_46288
      ?auto_46298
      ?auto_46290
      ?auto_46294
      ?auto_46299
      ?auto_46297
      ?auto_46296
      ?auto_46295
      ?auto_46301
    )
    :precondition
    ( and ( OBJ ?auto_46286 ) ( LOCATION ?auto_46287 ) ( AIRPLANE ?auto_46292 ) ( AIRPORT ?auto_46288 ) ( AIRPORT ?auto_46287 ) ( DIFFERENT ?auto_46287 ?auto_46288 ) ( LOCATION ?auto_46288 ) ( TRUCK ?auto_46298 ) ( LOCATION ?auto_46290 ) ( CITY ?auto_46294 ) ( IN-CITY ?auto_46290 ?auto_46294 ) ( IN-CITY ?auto_46288 ?auto_46294 ) ( DIFFERENT ?auto_46288 ?auto_46290 ) ( LOCATION ?auto_46299 ) ( CITY ?auto_46297 ) ( IN-CITY ?auto_46299 ?auto_46297 ) ( IN-CITY ?auto_46290 ?auto_46297 ) ( DIFFERENT ?auto_46290 ?auto_46299 ) ( AT ?auto_46286 ?auto_46299 ) ( LOCATION ?auto_46296 ) ( CITY ?auto_46295 ) ( AT ?auto_46298 ?auto_46296 ) ( IN-CITY ?auto_46296 ?auto_46295 ) ( IN-CITY ?auto_46299 ?auto_46295 ) ( DIFFERENT ?auto_46299 ?auto_46296 ) ( AIRPORT ?auto_46301 ) ( AT ?auto_46292 ?auto_46301 ) ( DIFFERENT ?auto_46288 ?auto_46301 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_46292 ?auto_46301 ?auto_46288 )
      ( DELIVER-PKG ?auto_46286 ?auto_46287 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46572
      ?auto_46573
    )
    :vars
    (
      ?auto_46575
      ?auto_46578
      ?auto_46586
      ?auto_46585
      ?auto_46581
      ?auto_46574
      ?auto_46584
      ?auto_46582
      ?auto_46580
      ?auto_46587
      ?auto_46577
      ?auto_46583
      ?auto_46591
      ?auto_46590
    )
    :precondition
    ( and ( OBJ ?auto_46572 ) ( LOCATION ?auto_46573 ) ( TRUCK ?auto_46575 ) ( LOCATION ?auto_46578 ) ( CITY ?auto_46586 ) ( AT ?auto_46575 ?auto_46578 ) ( IN-CITY ?auto_46578 ?auto_46586 ) ( IN-CITY ?auto_46573 ?auto_46586 ) ( DIFFERENT ?auto_46573 ?auto_46578 ) ( LOCATION ?auto_46585 ) ( AT ?auto_46575 ?auto_46585 ) ( AIRPLANE ?auto_46581 ) ( AIRPORT ?auto_46574 ) ( AIRPORT ?auto_46585 ) ( AT ?auto_46581 ?auto_46574 ) ( DIFFERENT ?auto_46585 ?auto_46574 ) ( LOCATION ?auto_46584 ) ( AT ?auto_46581 ?auto_46584 ) ( TRUCK ?auto_46582 ) ( LOCATION ?auto_46580 ) ( CITY ?auto_46587 ) ( IN-CITY ?auto_46580 ?auto_46587 ) ( IN-CITY ?auto_46584 ?auto_46587 ) ( DIFFERENT ?auto_46584 ?auto_46580 ) ( LOCATION ?auto_46577 ) ( CITY ?auto_46583 ) ( IN-CITY ?auto_46577 ?auto_46583 ) ( IN-CITY ?auto_46580 ?auto_46583 ) ( DIFFERENT ?auto_46580 ?auto_46577 ) ( AT ?auto_46572 ?auto_46577 ) ( LOCATION ?auto_46591 ) ( CITY ?auto_46590 ) ( AT ?auto_46582 ?auto_46591 ) ( IN-CITY ?auto_46591 ?auto_46590 ) ( IN-CITY ?auto_46577 ?auto_46590 ) ( DIFFERENT ?auto_46577 ?auto_46591 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_46582 ?auto_46591 ?auto_46577 ?auto_46590 )
      ( DELIVER-PKG ?auto_46572 ?auto_46573 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_46593
      ?auto_46594
    )
    :vars
    (
      ?auto_46601
      ?auto_46595
      ?auto_46597
      ?auto_46596
      ?auto_46599
      ?auto_46607
      ?auto_46605
      ?auto_46598
      ?auto_46600
      ?auto_46602
      ?auto_46606
      ?auto_46603
      ?auto_46608
      ?auto_46612
    )
    :precondition
    ( and ( OBJ ?auto_46593 ) ( LOCATION ?auto_46594 ) ( TRUCK ?auto_46601 ) ( LOCATION ?auto_46595 ) ( CITY ?auto_46597 ) ( AT ?auto_46601 ?auto_46595 ) ( IN-CITY ?auto_46595 ?auto_46597 ) ( IN-CITY ?auto_46594 ?auto_46597 ) ( DIFFERENT ?auto_46594 ?auto_46595 ) ( LOCATION ?auto_46596 ) ( AT ?auto_46601 ?auto_46596 ) ( AIRPLANE ?auto_46599 ) ( AIRPORT ?auto_46607 ) ( AIRPORT ?auto_46596 ) ( DIFFERENT ?auto_46596 ?auto_46607 ) ( LOCATION ?auto_46607 ) ( TRUCK ?auto_46605 ) ( LOCATION ?auto_46598 ) ( CITY ?auto_46600 ) ( IN-CITY ?auto_46598 ?auto_46600 ) ( IN-CITY ?auto_46607 ?auto_46600 ) ( DIFFERENT ?auto_46607 ?auto_46598 ) ( LOCATION ?auto_46602 ) ( CITY ?auto_46606 ) ( IN-CITY ?auto_46602 ?auto_46606 ) ( IN-CITY ?auto_46598 ?auto_46606 ) ( DIFFERENT ?auto_46598 ?auto_46602 ) ( AT ?auto_46593 ?auto_46602 ) ( LOCATION ?auto_46603 ) ( CITY ?auto_46608 ) ( AT ?auto_46605 ?auto_46603 ) ( IN-CITY ?auto_46603 ?auto_46608 ) ( IN-CITY ?auto_46602 ?auto_46608 ) ( DIFFERENT ?auto_46602 ?auto_46603 ) ( AIRPORT ?auto_46612 ) ( AT ?auto_46599 ?auto_46612 ) ( DIFFERENT ?auto_46607 ?auto_46612 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_46599 ?auto_46612 ?auto_46607 )
      ( DELIVER-PKG ?auto_46593 ?auto_46594 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48214
      ?auto_48220
    )
    :vars
    (
      ?auto_48221
      ?auto_48218
      ?auto_48219
      ?auto_48222
      ?auto_48225
      ?auto_48224
    )
    :precondition
    ( and ( OBJ ?auto_48214 ) ( LOCATION ?auto_48220 ) ( TRUCK ?auto_48221 ) ( AIRPLANE ?auto_48218 ) ( AIRPORT ?auto_48219 ) ( AIRPORT ?auto_48220 ) ( DIFFERENT ?auto_48220 ?auto_48219 ) ( LOCATION ?auto_48219 ) ( AT ?auto_48214 ?auto_48219 ) ( AIRPORT ?auto_48222 ) ( AT ?auto_48218 ?auto_48222 ) ( DIFFERENT ?auto_48219 ?auto_48222 ) ( LOCATION ?auto_48225 ) ( CITY ?auto_48224 ) ( AT ?auto_48221 ?auto_48225 ) ( IN-CITY ?auto_48225 ?auto_48224 ) ( IN-CITY ?auto_48220 ?auto_48224 ) ( DIFFERENT ?auto_48220 ?auto_48225 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_48221 ?auto_48225 ?auto_48220 ?auto_48224 )
      ( DELIVER-PKG ?auto_48214 ?auto_48220 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_48247
      ?auto_48248
    )
    :vars
    (
      ?auto_48250
      ?auto_48253
      ?auto_48254
      ?auto_48251
      ?auto_48256
      ?auto_48255
      ?auto_48259
      ?auto_48258
    )
    :precondition
    ( and ( OBJ ?auto_48247 ) ( LOCATION ?auto_48248 ) ( TRUCK ?auto_48250 ) ( AIRPLANE ?auto_48253 ) ( AIRPORT ?auto_48254 ) ( AIRPORT ?auto_48248 ) ( DIFFERENT ?auto_48248 ?auto_48254 ) ( LOCATION ?auto_48254 ) ( AT ?auto_48247 ?auto_48254 ) ( AIRPORT ?auto_48251 ) ( AT ?auto_48253 ?auto_48251 ) ( DIFFERENT ?auto_48254 ?auto_48251 ) ( LOCATION ?auto_48256 ) ( CITY ?auto_48255 ) ( IN-CITY ?auto_48256 ?auto_48255 ) ( IN-CITY ?auto_48248 ?auto_48255 ) ( DIFFERENT ?auto_48248 ?auto_48256 ) ( LOCATION ?auto_48259 ) ( CITY ?auto_48258 ) ( AT ?auto_48250 ?auto_48259 ) ( IN-CITY ?auto_48259 ?auto_48258 ) ( IN-CITY ?auto_48256 ?auto_48258 ) ( DIFFERENT ?auto_48256 ?auto_48259 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_48250 ?auto_48259 ?auto_48256 ?auto_48258 )
      ( DELIVER-PKG ?auto_48247 ?auto_48248 ) )
  )

)

