( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_163
      ?auto_164
    )
    :vars
    (
      ?auto_167
    )
    :precondition
    ( and ( OBJ ?auto_163 ) ( LOCATION ?auto_164 ) ( TRUCK ?auto_167 ) ( AT ?auto_167 ?auto_164 ) ( IN ?auto_163 ?auto_167 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_163 ?auto_167 ?auto_164 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_168
      ?auto_169
    )
    :vars
    (
      ?auto_171
      ?auto_175
      ?auto_174
    )
    :precondition
    ( and ( OBJ ?auto_168 ) ( LOCATION ?auto_169 ) ( TRUCK ?auto_171 ) ( IN ?auto_168 ?auto_171 ) ( LOCATION ?auto_175 ) ( CITY ?auto_174 ) ( AT ?auto_171 ?auto_175 ) ( IN-CITY ?auto_175 ?auto_174 ) ( IN-CITY ?auto_169 ?auto_174 ) ( DIFFERENT ?auto_169 ?auto_175 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_171 ?auto_175 ?auto_169 ?auto_174 )
      ( DELIVER-PKG ?auto_168 ?auto_169 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_177
      ?auto_178
    )
    :vars
    (
      ?auto_181
      ?auto_183
      ?auto_182
      ?auto_186
      ?auto_185
    )
    :precondition
    ( and ( OBJ ?auto_177 ) ( LOCATION ?auto_178 ) ( TRUCK ?auto_181 ) ( IN ?auto_177 ?auto_181 ) ( LOCATION ?auto_183 ) ( CITY ?auto_182 ) ( IN-CITY ?auto_183 ?auto_182 ) ( IN-CITY ?auto_178 ?auto_182 ) ( DIFFERENT ?auto_178 ?auto_183 ) ( LOCATION ?auto_186 ) ( CITY ?auto_185 ) ( AT ?auto_181 ?auto_186 ) ( IN-CITY ?auto_186 ?auto_185 ) ( IN-CITY ?auto_183 ?auto_185 ) ( DIFFERENT ?auto_183 ?auto_186 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_181 ?auto_186 ?auto_183 ?auto_185 )
      ( DELIVER-PKG ?auto_177 ?auto_178 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_188
      ?auto_189
    )
    :vars
    (
      ?auto_191
      ?auto_194
      ?auto_195
      ?auto_196
      ?auto_192
      ?auto_198
    )
    :precondition
    ( and ( OBJ ?auto_188 ) ( LOCATION ?auto_189 ) ( TRUCK ?auto_191 ) ( LOCATION ?auto_194 ) ( CITY ?auto_195 ) ( IN-CITY ?auto_194 ?auto_195 ) ( IN-CITY ?auto_189 ?auto_195 ) ( DIFFERENT ?auto_189 ?auto_194 ) ( LOCATION ?auto_196 ) ( CITY ?auto_192 ) ( AT ?auto_191 ?auto_196 ) ( IN-CITY ?auto_196 ?auto_192 ) ( IN-CITY ?auto_194 ?auto_192 ) ( DIFFERENT ?auto_194 ?auto_196 ) ( LOCATION ?auto_198 ) ( AT ?auto_191 ?auto_198 ) ( AT ?auto_188 ?auto_198 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_188 ?auto_191 ?auto_198 )
      ( DELIVER-PKG ?auto_188 ?auto_189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_220
      ?auto_221
    )
    :vars
    (
      ?auto_224
      ?auto_227
      ?auto_223
      ?auto_225
      ?auto_226
      ?auto_232
      ?auto_231
    )
    :precondition
    ( and ( OBJ ?auto_220 ) ( LOCATION ?auto_221 ) ( TRUCK ?auto_224 ) ( LOCATION ?auto_227 ) ( CITY ?auto_223 ) ( IN-CITY ?auto_227 ?auto_223 ) ( IN-CITY ?auto_221 ?auto_223 ) ( DIFFERENT ?auto_221 ?auto_227 ) ( LOCATION ?auto_225 ) ( CITY ?auto_226 ) ( IN-CITY ?auto_225 ?auto_226 ) ( IN-CITY ?auto_227 ?auto_226 ) ( DIFFERENT ?auto_227 ?auto_225 ) ( AT ?auto_220 ?auto_225 ) ( LOCATION ?auto_232 ) ( CITY ?auto_231 ) ( AT ?auto_224 ?auto_232 ) ( IN-CITY ?auto_232 ?auto_231 ) ( IN-CITY ?auto_225 ?auto_231 ) ( DIFFERENT ?auto_225 ?auto_232 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_224 ?auto_232 ?auto_225 ?auto_231 )
      ( DELIVER-PKG ?auto_220 ?auto_221 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_644
      ?auto_645
    )
    :vars
    (
      ?auto_650
      ?auto_651
      ?auto_649
      ?auto_648
      ?auto_647
      ?auto_655
      ?auto_654
    )
    :precondition
    ( and ( OBJ ?auto_644 ) ( LOCATION ?auto_645 ) ( TRUCK ?auto_650 ) ( IN ?auto_644 ?auto_650 ) ( LOCATION ?auto_651 ) ( CITY ?auto_649 ) ( IN-CITY ?auto_651 ?auto_649 ) ( IN-CITY ?auto_645 ?auto_649 ) ( DIFFERENT ?auto_645 ?auto_651 ) ( LOCATION ?auto_648 ) ( CITY ?auto_647 ) ( IN-CITY ?auto_648 ?auto_647 ) ( IN-CITY ?auto_651 ?auto_647 ) ( DIFFERENT ?auto_651 ?auto_648 ) ( LOCATION ?auto_655 ) ( CITY ?auto_654 ) ( AT ?auto_650 ?auto_655 ) ( IN-CITY ?auto_655 ?auto_654 ) ( IN-CITY ?auto_648 ?auto_654 ) ( DIFFERENT ?auto_648 ?auto_655 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_650 ?auto_655 ?auto_648 ?auto_654 )
      ( DELIVER-PKG ?auto_644 ?auto_645 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_657
      ?auto_658
    )
    :vars
    (
      ?auto_664
      ?auto_659
      ?auto_663
      ?auto_666
      ?auto_667
      ?auto_665
      ?auto_662
      ?auto_670
      ?auto_669
    )
    :precondition
    ( and ( OBJ ?auto_657 ) ( LOCATION ?auto_658 ) ( TRUCK ?auto_664 ) ( IN ?auto_657 ?auto_664 ) ( LOCATION ?auto_659 ) ( CITY ?auto_663 ) ( IN-CITY ?auto_659 ?auto_663 ) ( IN-CITY ?auto_658 ?auto_663 ) ( DIFFERENT ?auto_658 ?auto_659 ) ( LOCATION ?auto_666 ) ( CITY ?auto_667 ) ( IN-CITY ?auto_666 ?auto_667 ) ( IN-CITY ?auto_659 ?auto_667 ) ( DIFFERENT ?auto_659 ?auto_666 ) ( LOCATION ?auto_665 ) ( CITY ?auto_662 ) ( IN-CITY ?auto_665 ?auto_662 ) ( IN-CITY ?auto_666 ?auto_662 ) ( DIFFERENT ?auto_666 ?auto_665 ) ( LOCATION ?auto_670 ) ( CITY ?auto_669 ) ( AT ?auto_664 ?auto_670 ) ( IN-CITY ?auto_670 ?auto_669 ) ( IN-CITY ?auto_665 ?auto_669 ) ( DIFFERENT ?auto_665 ?auto_670 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_664 ?auto_670 ?auto_665 ?auto_669 )
      ( DELIVER-PKG ?auto_657 ?auto_658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_685
      ?auto_686
    )
    :vars
    (
      ?auto_694
      ?auto_692
      ?auto_697
      ?auto_693
      ?auto_696
      ?auto_687
      ?auto_688
      ?auto_690
      ?auto_689
      ?auto_699
    )
    :precondition
    ( and ( OBJ ?auto_685 ) ( LOCATION ?auto_686 ) ( TRUCK ?auto_694 ) ( LOCATION ?auto_692 ) ( CITY ?auto_697 ) ( IN-CITY ?auto_692 ?auto_697 ) ( IN-CITY ?auto_686 ?auto_697 ) ( DIFFERENT ?auto_686 ?auto_692 ) ( LOCATION ?auto_693 ) ( CITY ?auto_696 ) ( IN-CITY ?auto_693 ?auto_696 ) ( IN-CITY ?auto_692 ?auto_696 ) ( DIFFERENT ?auto_692 ?auto_693 ) ( LOCATION ?auto_687 ) ( CITY ?auto_688 ) ( IN-CITY ?auto_687 ?auto_688 ) ( IN-CITY ?auto_693 ?auto_688 ) ( DIFFERENT ?auto_693 ?auto_687 ) ( LOCATION ?auto_690 ) ( CITY ?auto_689 ) ( AT ?auto_694 ?auto_690 ) ( IN-CITY ?auto_690 ?auto_689 ) ( IN-CITY ?auto_687 ?auto_689 ) ( DIFFERENT ?auto_687 ?auto_690 ) ( LOCATION ?auto_699 ) ( AT ?auto_694 ?auto_699 ) ( AT ?auto_685 ?auto_699 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_685 ?auto_694 ?auto_699 )
      ( DELIVER-PKG ?auto_685 ?auto_686 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_715
      ?auto_716
    )
    :vars
    (
      ?auto_720
      ?auto_718
      ?auto_722
      ?auto_719
      ?auto_721
      ?auto_723
      ?auto_726
      ?auto_728
      ?auto_725
      ?auto_731
      ?auto_730
    )
    :precondition
    ( and ( OBJ ?auto_715 ) ( LOCATION ?auto_716 ) ( TRUCK ?auto_720 ) ( LOCATION ?auto_718 ) ( CITY ?auto_722 ) ( IN-CITY ?auto_718 ?auto_722 ) ( IN-CITY ?auto_716 ?auto_722 ) ( DIFFERENT ?auto_716 ?auto_718 ) ( LOCATION ?auto_719 ) ( CITY ?auto_721 ) ( IN-CITY ?auto_719 ?auto_721 ) ( IN-CITY ?auto_718 ?auto_721 ) ( DIFFERENT ?auto_718 ?auto_719 ) ( LOCATION ?auto_723 ) ( CITY ?auto_726 ) ( IN-CITY ?auto_723 ?auto_726 ) ( IN-CITY ?auto_719 ?auto_726 ) ( DIFFERENT ?auto_719 ?auto_723 ) ( LOCATION ?auto_728 ) ( CITY ?auto_725 ) ( IN-CITY ?auto_728 ?auto_725 ) ( IN-CITY ?auto_723 ?auto_725 ) ( DIFFERENT ?auto_723 ?auto_728 ) ( AT ?auto_715 ?auto_728 ) ( LOCATION ?auto_731 ) ( CITY ?auto_730 ) ( AT ?auto_720 ?auto_731 ) ( IN-CITY ?auto_731 ?auto_730 ) ( IN-CITY ?auto_728 ?auto_730 ) ( DIFFERENT ?auto_728 ?auto_731 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_720 ?auto_731 ?auto_728 ?auto_730 )
      ( DELIVER-PKG ?auto_715 ?auto_716 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_750
      ?auto_751
    )
    :vars
    (
      ?auto_754
    )
    :precondition
    ( and ( OBJ ?auto_750 ) ( LOCATION ?auto_751 ) ( AIRPLANE ?auto_754 ) ( IN ?auto_750 ?auto_754 ) ( AT ?auto_754 ?auto_751 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_750 ?auto_754 ?auto_751 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_760
      ?auto_761
    )
    :vars
    (
      ?auto_764
      ?auto_766
    )
    :precondition
    ( and ( OBJ ?auto_760 ) ( LOCATION ?auto_761 ) ( AIRPLANE ?auto_764 ) ( IN ?auto_760 ?auto_764 ) ( AIRPORT ?auto_766 ) ( AIRPORT ?auto_761 ) ( AT ?auto_764 ?auto_766 ) ( DIFFERENT ?auto_761 ?auto_766 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_764 ?auto_766 ?auto_761 )
      ( DELIVER-PKG ?auto_760 ?auto_761 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7569
      ?auto_7570
    )
    :vars
    (
      ?auto_7576
      ?auto_7573
      ?auto_7572
      ?auto_7574
      ?auto_7578
    )
    :precondition
    ( and ( OBJ ?auto_7569 ) ( LOCATION ?auto_7570 ) ( AIRPLANE ?auto_7576 ) ( AIRPORT ?auto_7573 ) ( AIRPORT ?auto_7570 ) ( AT ?auto_7576 ?auto_7573 ) ( DIFFERENT ?auto_7570 ?auto_7573 ) ( LOCATION ?auto_7572 ) ( AT ?auto_7576 ?auto_7572 ) ( AIRPLANE ?auto_7574 ) ( AT ?auto_7574 ?auto_7572 ) ( LOCATION ?auto_7578 ) ( AT ?auto_7569 ?auto_7578 ) ( AT ?auto_7574 ?auto_7578 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_7569 ?auto_7574 ?auto_7578 )
      ( DELIVER-PKG ?auto_7569 ?auto_7570 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_790
      ?auto_791
    )
    :vars
    (
      ?auto_793
      ?auto_794
      ?auto_796
      ?auto_798
    )
    :precondition
    ( and ( OBJ ?auto_790 ) ( LOCATION ?auto_791 ) ( AIRPLANE ?auto_793 ) ( AIRPORT ?auto_794 ) ( AIRPORT ?auto_791 ) ( AT ?auto_793 ?auto_794 ) ( DIFFERENT ?auto_791 ?auto_794 ) ( LOCATION ?auto_796 ) ( AT ?auto_793 ?auto_796 ) ( TRUCK ?auto_798 ) ( AT ?auto_798 ?auto_796 ) ( IN ?auto_790 ?auto_798 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_790 ?auto_796 )
      ( DELIVER-PKG ?auto_790 ?auto_791 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_800
      ?auto_801
    )
    :vars
    (
      ?auto_804
      ?auto_802
      ?auto_803
      ?auto_807
      ?auto_810
      ?auto_809
    )
    :precondition
    ( and ( OBJ ?auto_800 ) ( LOCATION ?auto_801 ) ( AIRPLANE ?auto_804 ) ( AIRPORT ?auto_802 ) ( AIRPORT ?auto_801 ) ( AT ?auto_804 ?auto_802 ) ( DIFFERENT ?auto_801 ?auto_802 ) ( LOCATION ?auto_803 ) ( AT ?auto_804 ?auto_803 ) ( TRUCK ?auto_807 ) ( IN ?auto_800 ?auto_807 ) ( LOCATION ?auto_810 ) ( CITY ?auto_809 ) ( AT ?auto_807 ?auto_810 ) ( IN-CITY ?auto_810 ?auto_809 ) ( IN-CITY ?auto_803 ?auto_809 ) ( DIFFERENT ?auto_803 ?auto_810 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_807 ?auto_810 ?auto_803 ?auto_809 )
      ( DELIVER-PKG ?auto_800 ?auto_801 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_812
      ?auto_813
    )
    :vars
    (
      ?auto_817
      ?auto_820
      ?auto_816
      ?auto_815
      ?auto_819
      ?auto_818
      ?auto_824
      ?auto_823
    )
    :precondition
    ( and ( OBJ ?auto_812 ) ( LOCATION ?auto_813 ) ( AIRPLANE ?auto_817 ) ( AIRPORT ?auto_820 ) ( AIRPORT ?auto_813 ) ( AT ?auto_817 ?auto_820 ) ( DIFFERENT ?auto_813 ?auto_820 ) ( LOCATION ?auto_816 ) ( AT ?auto_817 ?auto_816 ) ( TRUCK ?auto_815 ) ( IN ?auto_812 ?auto_815 ) ( LOCATION ?auto_819 ) ( CITY ?auto_818 ) ( IN-CITY ?auto_819 ?auto_818 ) ( IN-CITY ?auto_816 ?auto_818 ) ( DIFFERENT ?auto_816 ?auto_819 ) ( LOCATION ?auto_824 ) ( CITY ?auto_823 ) ( AT ?auto_815 ?auto_824 ) ( IN-CITY ?auto_824 ?auto_823 ) ( IN-CITY ?auto_819 ?auto_823 ) ( DIFFERENT ?auto_819 ?auto_824 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_815 ?auto_824 ?auto_819 ?auto_823 )
      ( DELIVER-PKG ?auto_812 ?auto_813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_826
      ?auto_827
    )
    :vars
    (
      ?auto_835
      ?auto_832
      ?auto_837
      ?auto_836
      ?auto_831
      ?auto_834
      ?auto_830
      ?auto_829
      ?auto_839
    )
    :precondition
    ( and ( OBJ ?auto_826 ) ( LOCATION ?auto_827 ) ( AIRPLANE ?auto_835 ) ( AIRPORT ?auto_832 ) ( AIRPORT ?auto_827 ) ( AT ?auto_835 ?auto_832 ) ( DIFFERENT ?auto_827 ?auto_832 ) ( LOCATION ?auto_837 ) ( AT ?auto_835 ?auto_837 ) ( TRUCK ?auto_836 ) ( LOCATION ?auto_831 ) ( CITY ?auto_834 ) ( IN-CITY ?auto_831 ?auto_834 ) ( IN-CITY ?auto_837 ?auto_834 ) ( DIFFERENT ?auto_837 ?auto_831 ) ( LOCATION ?auto_830 ) ( CITY ?auto_829 ) ( AT ?auto_836 ?auto_830 ) ( IN-CITY ?auto_830 ?auto_829 ) ( IN-CITY ?auto_831 ?auto_829 ) ( DIFFERENT ?auto_831 ?auto_830 ) ( LOCATION ?auto_839 ) ( AT ?auto_836 ?auto_839 ) ( AT ?auto_826 ?auto_839 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_826 ?auto_836 ?auto_839 )
      ( DELIVER-PKG ?auto_826 ?auto_827 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_854
      ?auto_855
    )
    :vars
    (
      ?auto_856
      ?auto_861
      ?auto_857
      ?auto_866
      ?auto_863
      ?auto_865
      ?auto_864
      ?auto_858
      ?auto_868
    )
    :precondition
    ( and ( OBJ ?auto_854 ) ( LOCATION ?auto_855 ) ( AIRPLANE ?auto_856 ) ( AIRPORT ?auto_861 ) ( AIRPORT ?auto_855 ) ( DIFFERENT ?auto_855 ?auto_861 ) ( LOCATION ?auto_861 ) ( TRUCK ?auto_857 ) ( LOCATION ?auto_866 ) ( CITY ?auto_863 ) ( IN-CITY ?auto_866 ?auto_863 ) ( IN-CITY ?auto_861 ?auto_863 ) ( DIFFERENT ?auto_861 ?auto_866 ) ( LOCATION ?auto_865 ) ( CITY ?auto_864 ) ( AT ?auto_857 ?auto_865 ) ( IN-CITY ?auto_865 ?auto_864 ) ( IN-CITY ?auto_866 ?auto_864 ) ( DIFFERENT ?auto_866 ?auto_865 ) ( LOCATION ?auto_858 ) ( AT ?auto_857 ?auto_858 ) ( AT ?auto_854 ?auto_858 ) ( AIRPORT ?auto_868 ) ( AT ?auto_856 ?auto_868 ) ( DIFFERENT ?auto_861 ?auto_868 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_856 ?auto_868 ?auto_861 )
      ( DELIVER-PKG ?auto_854 ?auto_855 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_870
      ?auto_871
    )
    :vars
    (
      ?auto_875
      ?auto_874
      ?auto_881
      ?auto_876
      ?auto_877
      ?auto_872
      ?auto_879
      ?auto_882
      ?auto_885
      ?auto_884
    )
    :precondition
    ( and ( OBJ ?auto_870 ) ( LOCATION ?auto_871 ) ( AIRPLANE ?auto_875 ) ( AIRPORT ?auto_874 ) ( AIRPORT ?auto_871 ) ( DIFFERENT ?auto_871 ?auto_874 ) ( LOCATION ?auto_874 ) ( TRUCK ?auto_881 ) ( LOCATION ?auto_876 ) ( CITY ?auto_877 ) ( IN-CITY ?auto_876 ?auto_877 ) ( IN-CITY ?auto_874 ?auto_877 ) ( DIFFERENT ?auto_874 ?auto_876 ) ( LOCATION ?auto_872 ) ( CITY ?auto_879 ) ( IN-CITY ?auto_872 ?auto_879 ) ( IN-CITY ?auto_876 ?auto_879 ) ( DIFFERENT ?auto_876 ?auto_872 ) ( AT ?auto_870 ?auto_872 ) ( AIRPORT ?auto_882 ) ( AT ?auto_875 ?auto_882 ) ( DIFFERENT ?auto_874 ?auto_882 ) ( LOCATION ?auto_885 ) ( CITY ?auto_884 ) ( AT ?auto_881 ?auto_885 ) ( IN-CITY ?auto_885 ?auto_884 ) ( IN-CITY ?auto_872 ?auto_884 ) ( DIFFERENT ?auto_872 ?auto_885 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_881 ?auto_885 ?auto_872 ?auto_884 )
      ( DELIVER-PKG ?auto_870 ?auto_871 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1188
      ?auto_1189
    )
    :vars
    (
      ?auto_1191
      ?auto_1192
      ?auto_1193
      ?auto_1194
      ?auto_1196
      ?auto_1195
      ?auto_1198
      ?auto_1197
      ?auto_1202
      ?auto_1201
    )
    :precondition
    ( and ( OBJ ?auto_1188 ) ( LOCATION ?auto_1189 ) ( AIRPLANE ?auto_1191 ) ( AIRPORT ?auto_1192 ) ( AIRPORT ?auto_1189 ) ( AT ?auto_1191 ?auto_1192 ) ( DIFFERENT ?auto_1189 ?auto_1192 ) ( LOCATION ?auto_1193 ) ( AT ?auto_1191 ?auto_1193 ) ( TRUCK ?auto_1194 ) ( IN ?auto_1188 ?auto_1194 ) ( LOCATION ?auto_1196 ) ( CITY ?auto_1195 ) ( IN-CITY ?auto_1196 ?auto_1195 ) ( IN-CITY ?auto_1193 ?auto_1195 ) ( DIFFERENT ?auto_1193 ?auto_1196 ) ( LOCATION ?auto_1198 ) ( CITY ?auto_1197 ) ( IN-CITY ?auto_1198 ?auto_1197 ) ( IN-CITY ?auto_1196 ?auto_1197 ) ( DIFFERENT ?auto_1196 ?auto_1198 ) ( LOCATION ?auto_1202 ) ( CITY ?auto_1201 ) ( AT ?auto_1194 ?auto_1202 ) ( IN-CITY ?auto_1202 ?auto_1201 ) ( IN-CITY ?auto_1198 ?auto_1201 ) ( DIFFERENT ?auto_1198 ?auto_1202 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1194 ?auto_1202 ?auto_1198 ?auto_1201 )
      ( DELIVER-PKG ?auto_1188 ?auto_1189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1204
      ?auto_1205
    )
    :vars
    (
      ?auto_1206
      ?auto_1207
      ?auto_1208
      ?auto_1209
      ?auto_1211
      ?auto_1210
      ?auto_1213
      ?auto_1212
      ?auto_1215
      ?auto_1214
      ?auto_1220
      ?auto_1219
    )
    :precondition
    ( and ( OBJ ?auto_1204 ) ( LOCATION ?auto_1205 ) ( AIRPLANE ?auto_1206 ) ( AIRPORT ?auto_1207 ) ( AIRPORT ?auto_1205 ) ( AT ?auto_1206 ?auto_1207 ) ( DIFFERENT ?auto_1205 ?auto_1207 ) ( LOCATION ?auto_1208 ) ( AT ?auto_1206 ?auto_1208 ) ( TRUCK ?auto_1209 ) ( IN ?auto_1204 ?auto_1209 ) ( LOCATION ?auto_1211 ) ( CITY ?auto_1210 ) ( IN-CITY ?auto_1211 ?auto_1210 ) ( IN-CITY ?auto_1208 ?auto_1210 ) ( DIFFERENT ?auto_1208 ?auto_1211 ) ( LOCATION ?auto_1213 ) ( CITY ?auto_1212 ) ( IN-CITY ?auto_1213 ?auto_1212 ) ( IN-CITY ?auto_1211 ?auto_1212 ) ( DIFFERENT ?auto_1211 ?auto_1213 ) ( LOCATION ?auto_1215 ) ( CITY ?auto_1214 ) ( IN-CITY ?auto_1215 ?auto_1214 ) ( IN-CITY ?auto_1213 ?auto_1214 ) ( DIFFERENT ?auto_1213 ?auto_1215 ) ( LOCATION ?auto_1220 ) ( CITY ?auto_1219 ) ( AT ?auto_1209 ?auto_1220 ) ( IN-CITY ?auto_1220 ?auto_1219 ) ( IN-CITY ?auto_1215 ?auto_1219 ) ( DIFFERENT ?auto_1215 ?auto_1220 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1209 ?auto_1220 ?auto_1215 ?auto_1219 )
      ( DELIVER-PKG ?auto_1204 ?auto_1205 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1238
      ?auto_1239
    )
    :vars
    (
      ?auto_1251
      ?auto_1253
      ?auto_1242
      ?auto_1252
      ?auto_1243
      ?auto_1247
      ?auto_1248
      ?auto_1244
      ?auto_1240
      ?auto_1249
      ?auto_1246
      ?auto_1245
      ?auto_1255
    )
    :precondition
    ( and ( OBJ ?auto_1238 ) ( LOCATION ?auto_1239 ) ( AIRPLANE ?auto_1251 ) ( AIRPORT ?auto_1253 ) ( AIRPORT ?auto_1239 ) ( AT ?auto_1251 ?auto_1253 ) ( DIFFERENT ?auto_1239 ?auto_1253 ) ( LOCATION ?auto_1242 ) ( AT ?auto_1251 ?auto_1242 ) ( TRUCK ?auto_1252 ) ( LOCATION ?auto_1243 ) ( CITY ?auto_1247 ) ( IN-CITY ?auto_1243 ?auto_1247 ) ( IN-CITY ?auto_1242 ?auto_1247 ) ( DIFFERENT ?auto_1242 ?auto_1243 ) ( LOCATION ?auto_1248 ) ( CITY ?auto_1244 ) ( IN-CITY ?auto_1248 ?auto_1244 ) ( IN-CITY ?auto_1243 ?auto_1244 ) ( DIFFERENT ?auto_1243 ?auto_1248 ) ( LOCATION ?auto_1240 ) ( CITY ?auto_1249 ) ( IN-CITY ?auto_1240 ?auto_1249 ) ( IN-CITY ?auto_1248 ?auto_1249 ) ( DIFFERENT ?auto_1248 ?auto_1240 ) ( LOCATION ?auto_1246 ) ( CITY ?auto_1245 ) ( AT ?auto_1252 ?auto_1246 ) ( IN-CITY ?auto_1246 ?auto_1245 ) ( IN-CITY ?auto_1240 ?auto_1245 ) ( DIFFERENT ?auto_1240 ?auto_1246 ) ( LOCATION ?auto_1255 ) ( AT ?auto_1252 ?auto_1255 ) ( AT ?auto_1238 ?auto_1255 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1238 ?auto_1252 ?auto_1255 )
      ( DELIVER-PKG ?auto_1238 ?auto_1239 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1274
      ?auto_1275
    )
    :vars
    (
      ?auto_1281
      ?auto_1278
      ?auto_1276
      ?auto_1277
      ?auto_1279
      ?auto_1285
      ?auto_1286
      ?auto_1282
      ?auto_1289
      ?auto_1280
      ?auto_1290
      ?auto_1283
      ?auto_1293
      ?auto_1292
    )
    :precondition
    ( and ( OBJ ?auto_1274 ) ( LOCATION ?auto_1275 ) ( AIRPLANE ?auto_1281 ) ( AIRPORT ?auto_1278 ) ( AIRPORT ?auto_1275 ) ( AT ?auto_1281 ?auto_1278 ) ( DIFFERENT ?auto_1275 ?auto_1278 ) ( LOCATION ?auto_1276 ) ( AT ?auto_1281 ?auto_1276 ) ( TRUCK ?auto_1277 ) ( LOCATION ?auto_1279 ) ( CITY ?auto_1285 ) ( IN-CITY ?auto_1279 ?auto_1285 ) ( IN-CITY ?auto_1276 ?auto_1285 ) ( DIFFERENT ?auto_1276 ?auto_1279 ) ( LOCATION ?auto_1286 ) ( CITY ?auto_1282 ) ( IN-CITY ?auto_1286 ?auto_1282 ) ( IN-CITY ?auto_1279 ?auto_1282 ) ( DIFFERENT ?auto_1279 ?auto_1286 ) ( LOCATION ?auto_1289 ) ( CITY ?auto_1280 ) ( IN-CITY ?auto_1289 ?auto_1280 ) ( IN-CITY ?auto_1286 ?auto_1280 ) ( DIFFERENT ?auto_1286 ?auto_1289 ) ( LOCATION ?auto_1290 ) ( CITY ?auto_1283 ) ( IN-CITY ?auto_1290 ?auto_1283 ) ( IN-CITY ?auto_1289 ?auto_1283 ) ( DIFFERENT ?auto_1289 ?auto_1290 ) ( AT ?auto_1274 ?auto_1290 ) ( LOCATION ?auto_1293 ) ( CITY ?auto_1292 ) ( AT ?auto_1277 ?auto_1293 ) ( IN-CITY ?auto_1293 ?auto_1292 ) ( IN-CITY ?auto_1290 ?auto_1292 ) ( DIFFERENT ?auto_1290 ?auto_1293 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1277 ?auto_1293 ?auto_1290 ?auto_1292 )
      ( DELIVER-PKG ?auto_1274 ?auto_1275 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1355
      ?auto_1356
    )
    :vars
    (
      ?auto_1358
      ?auto_1360
      ?auto_1359
      ?auto_1364
    )
    :precondition
    ( and ( OBJ ?auto_1355 ) ( LOCATION ?auto_1356 ) ( AIRPLANE ?auto_1358 ) ( AIRPORT ?auto_1360 ) ( AIRPORT ?auto_1356 ) ( AT ?auto_1358 ?auto_1360 ) ( DIFFERENT ?auto_1356 ?auto_1360 ) ( LOCATION ?auto_1359 ) ( AT ?auto_1358 ?auto_1359 ) ( AIRPLANE ?auto_1364 ) ( IN ?auto_1355 ?auto_1364 ) ( AT ?auto_1364 ?auto_1359 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1355 ?auto_1359 )
      ( DELIVER-PKG ?auto_1355 ?auto_1356 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1373
      ?auto_1374
    )
    :vars
    (
      ?auto_1376
      ?auto_1379
      ?auto_1377
      ?auto_1380
      ?auto_1382
    )
    :precondition
    ( and ( OBJ ?auto_1373 ) ( LOCATION ?auto_1374 ) ( AIRPLANE ?auto_1376 ) ( AIRPORT ?auto_1379 ) ( AIRPORT ?auto_1374 ) ( AT ?auto_1376 ?auto_1379 ) ( DIFFERENT ?auto_1374 ?auto_1379 ) ( LOCATION ?auto_1377 ) ( AT ?auto_1376 ?auto_1377 ) ( AIRPLANE ?auto_1380 ) ( IN ?auto_1373 ?auto_1380 ) ( AIRPORT ?auto_1382 ) ( AIRPORT ?auto_1377 ) ( AT ?auto_1380 ?auto_1382 ) ( DIFFERENT ?auto_1377 ?auto_1382 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1380 ?auto_1382 ?auto_1377 )
      ( DELIVER-PKG ?auto_1373 ?auto_1374 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1393
      ?auto_1394
    )
    :vars
    (
      ?auto_1396
      ?auto_1397
      ?auto_1399
      ?auto_1398
      ?auto_1401
      ?auto_1403
    )
    :precondition
    ( and ( OBJ ?auto_1393 ) ( LOCATION ?auto_1394 ) ( AIRPLANE ?auto_1396 ) ( AIRPORT ?auto_1397 ) ( AIRPORT ?auto_1394 ) ( AT ?auto_1396 ?auto_1397 ) ( DIFFERENT ?auto_1394 ?auto_1397 ) ( LOCATION ?auto_1399 ) ( AT ?auto_1396 ?auto_1399 ) ( AIRPLANE ?auto_1398 ) ( AIRPORT ?auto_1401 ) ( AIRPORT ?auto_1399 ) ( AT ?auto_1398 ?auto_1401 ) ( DIFFERENT ?auto_1399 ?auto_1401 ) ( LOCATION ?auto_1403 ) ( AT ?auto_1393 ?auto_1403 ) ( AT ?auto_1398 ?auto_1403 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_1393 ?auto_1398 ?auto_1403 )
      ( DELIVER-PKG ?auto_1393 ?auto_1394 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1415
      ?auto_1416
    )
    :vars
    (
      ?auto_1423
      ?auto_1417
      ?auto_1418
      ?auto_1421
      ?auto_1419
      ?auto_1424
      ?auto_1426
    )
    :precondition
    ( and ( OBJ ?auto_1415 ) ( LOCATION ?auto_1416 ) ( AIRPLANE ?auto_1423 ) ( AIRPORT ?auto_1417 ) ( AIRPORT ?auto_1416 ) ( AT ?auto_1423 ?auto_1417 ) ( DIFFERENT ?auto_1416 ?auto_1417 ) ( LOCATION ?auto_1418 ) ( AT ?auto_1423 ?auto_1418 ) ( AIRPLANE ?auto_1421 ) ( AIRPORT ?auto_1419 ) ( AIRPORT ?auto_1418 ) ( AT ?auto_1421 ?auto_1419 ) ( DIFFERENT ?auto_1418 ?auto_1419 ) ( LOCATION ?auto_1424 ) ( AT ?auto_1421 ?auto_1424 ) ( TRUCK ?auto_1426 ) ( AT ?auto_1426 ?auto_1424 ) ( IN ?auto_1415 ?auto_1426 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1415 ?auto_1424 )
      ( DELIVER-PKG ?auto_1415 ?auto_1416 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1428
      ?auto_1429
    )
    :vars
    (
      ?auto_1432
      ?auto_1434
      ?auto_1433
      ?auto_1430
      ?auto_1436
      ?auto_1435
      ?auto_1438
      ?auto_1441
      ?auto_1440
    )
    :precondition
    ( and ( OBJ ?auto_1428 ) ( LOCATION ?auto_1429 ) ( AIRPLANE ?auto_1432 ) ( AIRPORT ?auto_1434 ) ( AIRPORT ?auto_1429 ) ( AT ?auto_1432 ?auto_1434 ) ( DIFFERENT ?auto_1429 ?auto_1434 ) ( LOCATION ?auto_1433 ) ( AT ?auto_1432 ?auto_1433 ) ( AIRPLANE ?auto_1430 ) ( AIRPORT ?auto_1436 ) ( AIRPORT ?auto_1433 ) ( AT ?auto_1430 ?auto_1436 ) ( DIFFERENT ?auto_1433 ?auto_1436 ) ( LOCATION ?auto_1435 ) ( AT ?auto_1430 ?auto_1435 ) ( TRUCK ?auto_1438 ) ( IN ?auto_1428 ?auto_1438 ) ( LOCATION ?auto_1441 ) ( CITY ?auto_1440 ) ( AT ?auto_1438 ?auto_1441 ) ( IN-CITY ?auto_1441 ?auto_1440 ) ( IN-CITY ?auto_1435 ?auto_1440 ) ( DIFFERENT ?auto_1435 ?auto_1441 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1438 ?auto_1441 ?auto_1435 ?auto_1440 )
      ( DELIVER-PKG ?auto_1428 ?auto_1429 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1443
      ?auto_1444
    )
    :vars
    (
      ?auto_1445
      ?auto_1453
      ?auto_1446
      ?auto_1452
      ?auto_1455
      ?auto_1450
      ?auto_1448
      ?auto_1451
      ?auto_1449
      ?auto_1458
      ?auto_1457
    )
    :precondition
    ( and ( OBJ ?auto_1443 ) ( LOCATION ?auto_1444 ) ( AIRPLANE ?auto_1445 ) ( AIRPORT ?auto_1453 ) ( AIRPORT ?auto_1444 ) ( AT ?auto_1445 ?auto_1453 ) ( DIFFERENT ?auto_1444 ?auto_1453 ) ( LOCATION ?auto_1446 ) ( AT ?auto_1445 ?auto_1446 ) ( AIRPLANE ?auto_1452 ) ( AIRPORT ?auto_1455 ) ( AIRPORT ?auto_1446 ) ( AT ?auto_1452 ?auto_1455 ) ( DIFFERENT ?auto_1446 ?auto_1455 ) ( LOCATION ?auto_1450 ) ( AT ?auto_1452 ?auto_1450 ) ( TRUCK ?auto_1448 ) ( IN ?auto_1443 ?auto_1448 ) ( LOCATION ?auto_1451 ) ( CITY ?auto_1449 ) ( IN-CITY ?auto_1451 ?auto_1449 ) ( IN-CITY ?auto_1450 ?auto_1449 ) ( DIFFERENT ?auto_1450 ?auto_1451 ) ( LOCATION ?auto_1458 ) ( CITY ?auto_1457 ) ( AT ?auto_1448 ?auto_1458 ) ( IN-CITY ?auto_1458 ?auto_1457 ) ( IN-CITY ?auto_1451 ?auto_1457 ) ( DIFFERENT ?auto_1451 ?auto_1458 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1448 ?auto_1458 ?auto_1451 ?auto_1457 )
      ( DELIVER-PKG ?auto_1443 ?auto_1444 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1460
      ?auto_1461
    )
    :vars
    (
      ?auto_1466
      ?auto_1468
      ?auto_1470
      ?auto_1472
      ?auto_1465
      ?auto_1463
      ?auto_1474
      ?auto_1471
      ?auto_1473
      ?auto_1464
      ?auto_1469
      ?auto_1476
    )
    :precondition
    ( and ( OBJ ?auto_1460 ) ( LOCATION ?auto_1461 ) ( AIRPLANE ?auto_1466 ) ( AIRPORT ?auto_1468 ) ( AIRPORT ?auto_1461 ) ( AT ?auto_1466 ?auto_1468 ) ( DIFFERENT ?auto_1461 ?auto_1468 ) ( LOCATION ?auto_1470 ) ( AT ?auto_1466 ?auto_1470 ) ( AIRPLANE ?auto_1472 ) ( AIRPORT ?auto_1465 ) ( AIRPORT ?auto_1470 ) ( AT ?auto_1472 ?auto_1465 ) ( DIFFERENT ?auto_1470 ?auto_1465 ) ( LOCATION ?auto_1463 ) ( AT ?auto_1472 ?auto_1463 ) ( TRUCK ?auto_1474 ) ( LOCATION ?auto_1471 ) ( CITY ?auto_1473 ) ( IN-CITY ?auto_1471 ?auto_1473 ) ( IN-CITY ?auto_1463 ?auto_1473 ) ( DIFFERENT ?auto_1463 ?auto_1471 ) ( LOCATION ?auto_1464 ) ( CITY ?auto_1469 ) ( AT ?auto_1474 ?auto_1464 ) ( IN-CITY ?auto_1464 ?auto_1469 ) ( IN-CITY ?auto_1471 ?auto_1469 ) ( DIFFERENT ?auto_1471 ?auto_1464 ) ( LOCATION ?auto_1476 ) ( AT ?auto_1474 ?auto_1476 ) ( AT ?auto_1460 ?auto_1476 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1460 ?auto_1474 ?auto_1476 )
      ( DELIVER-PKG ?auto_1460 ?auto_1461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1494
      ?auto_1495
    )
    :vars
    (
      ?auto_1509
      ?auto_1498
      ?auto_1504
      ?auto_1496
      ?auto_1501
      ?auto_1505
      ?auto_1507
      ?auto_1497
      ?auto_1506
      ?auto_1500
      ?auto_1502
      ?auto_1511
    )
    :precondition
    ( and ( OBJ ?auto_1494 ) ( LOCATION ?auto_1495 ) ( AIRPLANE ?auto_1509 ) ( AIRPORT ?auto_1498 ) ( AIRPORT ?auto_1495 ) ( AT ?auto_1509 ?auto_1498 ) ( DIFFERENT ?auto_1495 ?auto_1498 ) ( LOCATION ?auto_1504 ) ( AT ?auto_1509 ?auto_1504 ) ( AIRPLANE ?auto_1496 ) ( AIRPORT ?auto_1501 ) ( AIRPORT ?auto_1504 ) ( DIFFERENT ?auto_1504 ?auto_1501 ) ( LOCATION ?auto_1501 ) ( TRUCK ?auto_1505 ) ( LOCATION ?auto_1507 ) ( CITY ?auto_1497 ) ( IN-CITY ?auto_1507 ?auto_1497 ) ( IN-CITY ?auto_1501 ?auto_1497 ) ( DIFFERENT ?auto_1501 ?auto_1507 ) ( LOCATION ?auto_1506 ) ( CITY ?auto_1500 ) ( AT ?auto_1505 ?auto_1506 ) ( IN-CITY ?auto_1506 ?auto_1500 ) ( IN-CITY ?auto_1507 ?auto_1500 ) ( DIFFERENT ?auto_1507 ?auto_1506 ) ( LOCATION ?auto_1502 ) ( AT ?auto_1505 ?auto_1502 ) ( AT ?auto_1494 ?auto_1502 ) ( AIRPORT ?auto_1511 ) ( AT ?auto_1496 ?auto_1511 ) ( DIFFERENT ?auto_1501 ?auto_1511 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1496 ?auto_1511 ?auto_1501 )
      ( DELIVER-PKG ?auto_1494 ?auto_1495 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1513
      ?auto_1514
    )
    :vars
    (
      ?auto_1520
      ?auto_1521
      ?auto_1523
      ?auto_1518
      ?auto_1517
      ?auto_1524
      ?auto_1519
      ?auto_1522
      ?auto_1526
      ?auto_1516
      ?auto_1528
      ?auto_1531
      ?auto_1530
    )
    :precondition
    ( and ( OBJ ?auto_1513 ) ( LOCATION ?auto_1514 ) ( AIRPLANE ?auto_1520 ) ( AIRPORT ?auto_1521 ) ( AIRPORT ?auto_1514 ) ( AT ?auto_1520 ?auto_1521 ) ( DIFFERENT ?auto_1514 ?auto_1521 ) ( LOCATION ?auto_1523 ) ( AT ?auto_1520 ?auto_1523 ) ( AIRPLANE ?auto_1518 ) ( AIRPORT ?auto_1517 ) ( AIRPORT ?auto_1523 ) ( DIFFERENT ?auto_1523 ?auto_1517 ) ( LOCATION ?auto_1517 ) ( TRUCK ?auto_1524 ) ( LOCATION ?auto_1519 ) ( CITY ?auto_1522 ) ( IN-CITY ?auto_1519 ?auto_1522 ) ( IN-CITY ?auto_1517 ?auto_1522 ) ( DIFFERENT ?auto_1517 ?auto_1519 ) ( LOCATION ?auto_1526 ) ( CITY ?auto_1516 ) ( IN-CITY ?auto_1526 ?auto_1516 ) ( IN-CITY ?auto_1519 ?auto_1516 ) ( DIFFERENT ?auto_1519 ?auto_1526 ) ( AT ?auto_1513 ?auto_1526 ) ( AIRPORT ?auto_1528 ) ( AT ?auto_1518 ?auto_1528 ) ( DIFFERENT ?auto_1517 ?auto_1528 ) ( LOCATION ?auto_1531 ) ( CITY ?auto_1530 ) ( AT ?auto_1524 ?auto_1531 ) ( IN-CITY ?auto_1531 ?auto_1530 ) ( IN-CITY ?auto_1526 ?auto_1530 ) ( DIFFERENT ?auto_1526 ?auto_1531 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1524 ?auto_1531 ?auto_1526 ?auto_1530 )
      ( DELIVER-PKG ?auto_1513 ?auto_1514 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1994
      ?auto_1995
    )
    :vars
    (
      ?auto_1999
      ?auto_2000
      ?auto_1997
      ?auto_2002
      ?auto_2001
      ?auto_2003
      ?auto_2006
    )
    :precondition
    ( and ( OBJ ?auto_1994 ) ( LOCATION ?auto_1995 ) ( TRUCK ?auto_1999 ) ( LOCATION ?auto_2000 ) ( CITY ?auto_1997 ) ( IN-CITY ?auto_2000 ?auto_1997 ) ( IN-CITY ?auto_1995 ?auto_1997 ) ( DIFFERENT ?auto_1995 ?auto_2000 ) ( LOCATION ?auto_2002 ) ( CITY ?auto_2001 ) ( AT ?auto_1999 ?auto_2002 ) ( IN-CITY ?auto_2002 ?auto_2001 ) ( IN-CITY ?auto_2000 ?auto_2001 ) ( DIFFERENT ?auto_2000 ?auto_2002 ) ( LOCATION ?auto_2003 ) ( AT ?auto_1999 ?auto_2003 ) ( AIRPLANE ?auto_2006 ) ( IN ?auto_1994 ?auto_2006 ) ( AT ?auto_2006 ?auto_2003 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_1994 ?auto_2003 )
      ( DELIVER-PKG ?auto_1994 ?auto_1995 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2018
      ?auto_2019
    )
    :vars
    (
      ?auto_2025
      ?auto_2020
      ?auto_2024
      ?auto_2022
      ?auto_2021
      ?auto_2023
      ?auto_2027
      ?auto_2030
    )
    :precondition
    ( and ( OBJ ?auto_2018 ) ( LOCATION ?auto_2019 ) ( TRUCK ?auto_2025 ) ( LOCATION ?auto_2020 ) ( CITY ?auto_2024 ) ( IN-CITY ?auto_2020 ?auto_2024 ) ( IN-CITY ?auto_2019 ?auto_2024 ) ( DIFFERENT ?auto_2019 ?auto_2020 ) ( LOCATION ?auto_2022 ) ( CITY ?auto_2021 ) ( AT ?auto_2025 ?auto_2022 ) ( IN-CITY ?auto_2022 ?auto_2021 ) ( IN-CITY ?auto_2020 ?auto_2021 ) ( DIFFERENT ?auto_2020 ?auto_2022 ) ( LOCATION ?auto_2023 ) ( AT ?auto_2025 ?auto_2023 ) ( AIRPLANE ?auto_2027 ) ( IN ?auto_2018 ?auto_2027 ) ( AIRPORT ?auto_2030 ) ( AIRPORT ?auto_2023 ) ( AT ?auto_2027 ?auto_2030 ) ( DIFFERENT ?auto_2023 ?auto_2030 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2027 ?auto_2030 ?auto_2023 )
      ( DELIVER-PKG ?auto_2018 ?auto_2019 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2044
      ?auto_2045
    )
    :vars
    (
      ?auto_2048
      ?auto_2046
      ?auto_2051
      ?auto_2054
      ?auto_2053
      ?auto_2050
      ?auto_2052
      ?auto_2055
      ?auto_2057
    )
    :precondition
    ( and ( OBJ ?auto_2044 ) ( LOCATION ?auto_2045 ) ( TRUCK ?auto_2048 ) ( LOCATION ?auto_2046 ) ( CITY ?auto_2051 ) ( IN-CITY ?auto_2046 ?auto_2051 ) ( IN-CITY ?auto_2045 ?auto_2051 ) ( DIFFERENT ?auto_2045 ?auto_2046 ) ( LOCATION ?auto_2054 ) ( CITY ?auto_2053 ) ( AT ?auto_2048 ?auto_2054 ) ( IN-CITY ?auto_2054 ?auto_2053 ) ( IN-CITY ?auto_2046 ?auto_2053 ) ( DIFFERENT ?auto_2046 ?auto_2054 ) ( LOCATION ?auto_2050 ) ( AT ?auto_2048 ?auto_2050 ) ( AIRPLANE ?auto_2052 ) ( AIRPORT ?auto_2055 ) ( AIRPORT ?auto_2050 ) ( AT ?auto_2052 ?auto_2055 ) ( DIFFERENT ?auto_2050 ?auto_2055 ) ( LOCATION ?auto_2057 ) ( AT ?auto_2044 ?auto_2057 ) ( AT ?auto_2052 ?auto_2057 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2044 ?auto_2052 ?auto_2057 )
      ( DELIVER-PKG ?auto_2044 ?auto_2045 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2072
      ?auto_2073
    )
    :vars
    (
      ?auto_2080
      ?auto_2074
      ?auto_2081
      ?auto_2077
      ?auto_2083
      ?auto_2076
      ?auto_2082
      ?auto_2079
      ?auto_2078
      ?auto_2087
    )
    :precondition
    ( and ( OBJ ?auto_2072 ) ( LOCATION ?auto_2073 ) ( TRUCK ?auto_2080 ) ( LOCATION ?auto_2074 ) ( CITY ?auto_2081 ) ( IN-CITY ?auto_2074 ?auto_2081 ) ( IN-CITY ?auto_2073 ?auto_2081 ) ( DIFFERENT ?auto_2073 ?auto_2074 ) ( LOCATION ?auto_2077 ) ( CITY ?auto_2083 ) ( AT ?auto_2080 ?auto_2077 ) ( IN-CITY ?auto_2077 ?auto_2083 ) ( IN-CITY ?auto_2074 ?auto_2083 ) ( DIFFERENT ?auto_2074 ?auto_2077 ) ( LOCATION ?auto_2076 ) ( AT ?auto_2080 ?auto_2076 ) ( AIRPLANE ?auto_2082 ) ( AIRPORT ?auto_2079 ) ( AIRPORT ?auto_2076 ) ( AT ?auto_2082 ?auto_2079 ) ( DIFFERENT ?auto_2076 ?auto_2079 ) ( LOCATION ?auto_2078 ) ( AT ?auto_2082 ?auto_2078 ) ( TRUCK ?auto_2087 ) ( AT ?auto_2087 ?auto_2078 ) ( IN ?auto_2072 ?auto_2087 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2072 ?auto_2078 )
      ( DELIVER-PKG ?auto_2072 ?auto_2073 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2102
      ?auto_2103
    )
    :vars
    (
      ?auto_2110
      ?auto_2107
      ?auto_2111
      ?auto_2105
      ?auto_2113
      ?auto_2114
      ?auto_2112
      ?auto_2109
      ?auto_2108
      ?auto_2115
      ?auto_2118
      ?auto_2117
    )
    :precondition
    ( and ( OBJ ?auto_2102 ) ( LOCATION ?auto_2103 ) ( TRUCK ?auto_2110 ) ( LOCATION ?auto_2107 ) ( CITY ?auto_2111 ) ( IN-CITY ?auto_2107 ?auto_2111 ) ( IN-CITY ?auto_2103 ?auto_2111 ) ( DIFFERENT ?auto_2103 ?auto_2107 ) ( LOCATION ?auto_2105 ) ( CITY ?auto_2113 ) ( AT ?auto_2110 ?auto_2105 ) ( IN-CITY ?auto_2105 ?auto_2113 ) ( IN-CITY ?auto_2107 ?auto_2113 ) ( DIFFERENT ?auto_2107 ?auto_2105 ) ( LOCATION ?auto_2114 ) ( AT ?auto_2110 ?auto_2114 ) ( AIRPLANE ?auto_2112 ) ( AIRPORT ?auto_2109 ) ( AIRPORT ?auto_2114 ) ( AT ?auto_2112 ?auto_2109 ) ( DIFFERENT ?auto_2114 ?auto_2109 ) ( LOCATION ?auto_2108 ) ( AT ?auto_2112 ?auto_2108 ) ( TRUCK ?auto_2115 ) ( IN ?auto_2102 ?auto_2115 ) ( LOCATION ?auto_2118 ) ( CITY ?auto_2117 ) ( AT ?auto_2115 ?auto_2118 ) ( IN-CITY ?auto_2118 ?auto_2117 ) ( IN-CITY ?auto_2108 ?auto_2117 ) ( DIFFERENT ?auto_2108 ?auto_2118 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2115 ?auto_2118 ?auto_2108 ?auto_2117 )
      ( DELIVER-PKG ?auto_2102 ?auto_2103 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2136
      ?auto_2137
    )
    :vars
    (
      ?auto_2140
      ?auto_2139
      ?auto_2141
      ?auto_2138
      ?auto_2144
      ?auto_2145
      ?auto_2142
      ?auto_2148
      ?auto_2147
      ?auto_2146
      ?auto_2151
      ?auto_2150
      ?auto_2154
      ?auto_2153
    )
    :precondition
    ( and ( OBJ ?auto_2136 ) ( LOCATION ?auto_2137 ) ( TRUCK ?auto_2140 ) ( LOCATION ?auto_2139 ) ( CITY ?auto_2141 ) ( IN-CITY ?auto_2139 ?auto_2141 ) ( IN-CITY ?auto_2137 ?auto_2141 ) ( DIFFERENT ?auto_2137 ?auto_2139 ) ( LOCATION ?auto_2138 ) ( CITY ?auto_2144 ) ( AT ?auto_2140 ?auto_2138 ) ( IN-CITY ?auto_2138 ?auto_2144 ) ( IN-CITY ?auto_2139 ?auto_2144 ) ( DIFFERENT ?auto_2139 ?auto_2138 ) ( LOCATION ?auto_2145 ) ( AT ?auto_2140 ?auto_2145 ) ( AIRPLANE ?auto_2142 ) ( AIRPORT ?auto_2148 ) ( AIRPORT ?auto_2145 ) ( AT ?auto_2142 ?auto_2148 ) ( DIFFERENT ?auto_2145 ?auto_2148 ) ( LOCATION ?auto_2147 ) ( AT ?auto_2142 ?auto_2147 ) ( TRUCK ?auto_2146 ) ( IN ?auto_2136 ?auto_2146 ) ( LOCATION ?auto_2151 ) ( CITY ?auto_2150 ) ( IN-CITY ?auto_2151 ?auto_2150 ) ( IN-CITY ?auto_2147 ?auto_2150 ) ( DIFFERENT ?auto_2147 ?auto_2151 ) ( LOCATION ?auto_2154 ) ( CITY ?auto_2153 ) ( AT ?auto_2146 ?auto_2154 ) ( IN-CITY ?auto_2154 ?auto_2153 ) ( IN-CITY ?auto_2151 ?auto_2153 ) ( DIFFERENT ?auto_2151 ?auto_2154 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2146 ?auto_2154 ?auto_2151 ?auto_2153 )
      ( DELIVER-PKG ?auto_2136 ?auto_2137 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2174
      ?auto_2175
    )
    :vars
    (
      ?auto_2187
      ?auto_2185
      ?auto_2184
      ?auto_2177
      ?auto_2181
      ?auto_2182
      ?auto_2186
      ?auto_2179
      ?auto_2178
      ?auto_2183
      ?auto_2189
      ?auto_2188
      ?auto_2191
      ?auto_2180
      ?auto_2194
      ?auto_2193
    )
    :precondition
    ( and ( OBJ ?auto_2174 ) ( LOCATION ?auto_2175 ) ( TRUCK ?auto_2187 ) ( LOCATION ?auto_2185 ) ( CITY ?auto_2184 ) ( IN-CITY ?auto_2185 ?auto_2184 ) ( IN-CITY ?auto_2175 ?auto_2184 ) ( DIFFERENT ?auto_2175 ?auto_2185 ) ( LOCATION ?auto_2177 ) ( CITY ?auto_2181 ) ( AT ?auto_2187 ?auto_2177 ) ( IN-CITY ?auto_2177 ?auto_2181 ) ( IN-CITY ?auto_2185 ?auto_2181 ) ( DIFFERENT ?auto_2185 ?auto_2177 ) ( LOCATION ?auto_2182 ) ( AT ?auto_2187 ?auto_2182 ) ( AIRPLANE ?auto_2186 ) ( AIRPORT ?auto_2179 ) ( AIRPORT ?auto_2182 ) ( AT ?auto_2186 ?auto_2179 ) ( DIFFERENT ?auto_2182 ?auto_2179 ) ( LOCATION ?auto_2178 ) ( AT ?auto_2186 ?auto_2178 ) ( TRUCK ?auto_2183 ) ( IN ?auto_2174 ?auto_2183 ) ( LOCATION ?auto_2189 ) ( CITY ?auto_2188 ) ( IN-CITY ?auto_2189 ?auto_2188 ) ( IN-CITY ?auto_2178 ?auto_2188 ) ( DIFFERENT ?auto_2178 ?auto_2189 ) ( LOCATION ?auto_2191 ) ( CITY ?auto_2180 ) ( IN-CITY ?auto_2191 ?auto_2180 ) ( IN-CITY ?auto_2189 ?auto_2180 ) ( DIFFERENT ?auto_2189 ?auto_2191 ) ( LOCATION ?auto_2194 ) ( CITY ?auto_2193 ) ( AT ?auto_2183 ?auto_2194 ) ( IN-CITY ?auto_2194 ?auto_2193 ) ( IN-CITY ?auto_2191 ?auto_2193 ) ( DIFFERENT ?auto_2191 ?auto_2194 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2183 ?auto_2194 ?auto_2191 ?auto_2193 )
      ( DELIVER-PKG ?auto_2174 ?auto_2175 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2196
      ?auto_2197
    )
    :vars
    (
      ?auto_2211
      ?auto_2209
      ?auto_2208
      ?auto_2198
      ?auto_2204
      ?auto_2206
      ?auto_2210
      ?auto_2200
      ?auto_2199
      ?auto_2207
      ?auto_2213
      ?auto_2212
      ?auto_2201
      ?auto_2203
      ?auto_2215
      ?auto_2205
      ?auto_2218
      ?auto_2217
    )
    :precondition
    ( and ( OBJ ?auto_2196 ) ( LOCATION ?auto_2197 ) ( TRUCK ?auto_2211 ) ( LOCATION ?auto_2209 ) ( CITY ?auto_2208 ) ( IN-CITY ?auto_2209 ?auto_2208 ) ( IN-CITY ?auto_2197 ?auto_2208 ) ( DIFFERENT ?auto_2197 ?auto_2209 ) ( LOCATION ?auto_2198 ) ( CITY ?auto_2204 ) ( AT ?auto_2211 ?auto_2198 ) ( IN-CITY ?auto_2198 ?auto_2204 ) ( IN-CITY ?auto_2209 ?auto_2204 ) ( DIFFERENT ?auto_2209 ?auto_2198 ) ( LOCATION ?auto_2206 ) ( AT ?auto_2211 ?auto_2206 ) ( AIRPLANE ?auto_2210 ) ( AIRPORT ?auto_2200 ) ( AIRPORT ?auto_2206 ) ( AT ?auto_2210 ?auto_2200 ) ( DIFFERENT ?auto_2206 ?auto_2200 ) ( LOCATION ?auto_2199 ) ( AT ?auto_2210 ?auto_2199 ) ( TRUCK ?auto_2207 ) ( IN ?auto_2196 ?auto_2207 ) ( LOCATION ?auto_2213 ) ( CITY ?auto_2212 ) ( IN-CITY ?auto_2213 ?auto_2212 ) ( IN-CITY ?auto_2199 ?auto_2212 ) ( DIFFERENT ?auto_2199 ?auto_2213 ) ( LOCATION ?auto_2201 ) ( CITY ?auto_2203 ) ( IN-CITY ?auto_2201 ?auto_2203 ) ( IN-CITY ?auto_2213 ?auto_2203 ) ( DIFFERENT ?auto_2213 ?auto_2201 ) ( LOCATION ?auto_2215 ) ( CITY ?auto_2205 ) ( IN-CITY ?auto_2215 ?auto_2205 ) ( IN-CITY ?auto_2201 ?auto_2205 ) ( DIFFERENT ?auto_2201 ?auto_2215 ) ( LOCATION ?auto_2218 ) ( CITY ?auto_2217 ) ( AT ?auto_2207 ?auto_2218 ) ( IN-CITY ?auto_2218 ?auto_2217 ) ( IN-CITY ?auto_2215 ?auto_2217 ) ( DIFFERENT ?auto_2215 ?auto_2218 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2207 ?auto_2218 ?auto_2215 ?auto_2217 )
      ( DELIVER-PKG ?auto_2196 ?auto_2197 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2242
      ?auto_2243
    )
    :vars
    (
      ?auto_2253
      ?auto_2255
      ?auto_2252
      ?auto_2249
      ?auto_2263
      ?auto_2246
      ?auto_2245
      ?auto_2262
      ?auto_2256
      ?auto_2248
      ?auto_2258
      ?auto_2257
      ?auto_2261
      ?auto_2260
      ?auto_2254
      ?auto_2244
      ?auto_2251
      ?auto_2247
      ?auto_2265
    )
    :precondition
    ( and ( OBJ ?auto_2242 ) ( LOCATION ?auto_2243 ) ( TRUCK ?auto_2253 ) ( LOCATION ?auto_2255 ) ( CITY ?auto_2252 ) ( IN-CITY ?auto_2255 ?auto_2252 ) ( IN-CITY ?auto_2243 ?auto_2252 ) ( DIFFERENT ?auto_2243 ?auto_2255 ) ( LOCATION ?auto_2249 ) ( CITY ?auto_2263 ) ( AT ?auto_2253 ?auto_2249 ) ( IN-CITY ?auto_2249 ?auto_2263 ) ( IN-CITY ?auto_2255 ?auto_2263 ) ( DIFFERENT ?auto_2255 ?auto_2249 ) ( LOCATION ?auto_2246 ) ( AT ?auto_2253 ?auto_2246 ) ( AIRPLANE ?auto_2245 ) ( AIRPORT ?auto_2262 ) ( AIRPORT ?auto_2246 ) ( AT ?auto_2245 ?auto_2262 ) ( DIFFERENT ?auto_2246 ?auto_2262 ) ( LOCATION ?auto_2256 ) ( AT ?auto_2245 ?auto_2256 ) ( TRUCK ?auto_2248 ) ( LOCATION ?auto_2258 ) ( CITY ?auto_2257 ) ( IN-CITY ?auto_2258 ?auto_2257 ) ( IN-CITY ?auto_2256 ?auto_2257 ) ( DIFFERENT ?auto_2256 ?auto_2258 ) ( LOCATION ?auto_2261 ) ( CITY ?auto_2260 ) ( IN-CITY ?auto_2261 ?auto_2260 ) ( IN-CITY ?auto_2258 ?auto_2260 ) ( DIFFERENT ?auto_2258 ?auto_2261 ) ( LOCATION ?auto_2254 ) ( CITY ?auto_2244 ) ( IN-CITY ?auto_2254 ?auto_2244 ) ( IN-CITY ?auto_2261 ?auto_2244 ) ( DIFFERENT ?auto_2261 ?auto_2254 ) ( LOCATION ?auto_2251 ) ( CITY ?auto_2247 ) ( AT ?auto_2248 ?auto_2251 ) ( IN-CITY ?auto_2251 ?auto_2247 ) ( IN-CITY ?auto_2254 ?auto_2247 ) ( DIFFERENT ?auto_2254 ?auto_2251 ) ( LOCATION ?auto_2265 ) ( AT ?auto_2248 ?auto_2265 ) ( AT ?auto_2242 ?auto_2265 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2242 ?auto_2248 ?auto_2265 )
      ( DELIVER-PKG ?auto_2242 ?auto_2243 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2290
      ?auto_2291
    )
    :vars
    (
      ?auto_2298
      ?auto_2300
      ?auto_2296
      ?auto_2312
      ?auto_2310
      ?auto_2293
      ?auto_2292
      ?auto_2309
      ?auto_2303
      ?auto_2297
      ?auto_2305
      ?auto_2304
      ?auto_2307
      ?auto_2306
      ?auto_2299
      ?auto_2301
      ?auto_2308
      ?auto_2294
      ?auto_2315
      ?auto_2314
    )
    :precondition
    ( and ( OBJ ?auto_2290 ) ( LOCATION ?auto_2291 ) ( TRUCK ?auto_2298 ) ( LOCATION ?auto_2300 ) ( CITY ?auto_2296 ) ( IN-CITY ?auto_2300 ?auto_2296 ) ( IN-CITY ?auto_2291 ?auto_2296 ) ( DIFFERENT ?auto_2291 ?auto_2300 ) ( LOCATION ?auto_2312 ) ( CITY ?auto_2310 ) ( AT ?auto_2298 ?auto_2312 ) ( IN-CITY ?auto_2312 ?auto_2310 ) ( IN-CITY ?auto_2300 ?auto_2310 ) ( DIFFERENT ?auto_2300 ?auto_2312 ) ( LOCATION ?auto_2293 ) ( AT ?auto_2298 ?auto_2293 ) ( AIRPLANE ?auto_2292 ) ( AIRPORT ?auto_2309 ) ( AIRPORT ?auto_2293 ) ( AT ?auto_2292 ?auto_2309 ) ( DIFFERENT ?auto_2293 ?auto_2309 ) ( LOCATION ?auto_2303 ) ( AT ?auto_2292 ?auto_2303 ) ( TRUCK ?auto_2297 ) ( LOCATION ?auto_2305 ) ( CITY ?auto_2304 ) ( IN-CITY ?auto_2305 ?auto_2304 ) ( IN-CITY ?auto_2303 ?auto_2304 ) ( DIFFERENT ?auto_2303 ?auto_2305 ) ( LOCATION ?auto_2307 ) ( CITY ?auto_2306 ) ( IN-CITY ?auto_2307 ?auto_2306 ) ( IN-CITY ?auto_2305 ?auto_2306 ) ( DIFFERENT ?auto_2305 ?auto_2307 ) ( LOCATION ?auto_2299 ) ( CITY ?auto_2301 ) ( IN-CITY ?auto_2299 ?auto_2301 ) ( IN-CITY ?auto_2307 ?auto_2301 ) ( DIFFERENT ?auto_2307 ?auto_2299 ) ( LOCATION ?auto_2308 ) ( CITY ?auto_2294 ) ( IN-CITY ?auto_2308 ?auto_2294 ) ( IN-CITY ?auto_2299 ?auto_2294 ) ( DIFFERENT ?auto_2299 ?auto_2308 ) ( AT ?auto_2290 ?auto_2308 ) ( LOCATION ?auto_2315 ) ( CITY ?auto_2314 ) ( AT ?auto_2297 ?auto_2315 ) ( IN-CITY ?auto_2315 ?auto_2314 ) ( IN-CITY ?auto_2308 ?auto_2314 ) ( DIFFERENT ?auto_2308 ?auto_2315 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2297 ?auto_2315 ?auto_2308 ?auto_2314 )
      ( DELIVER-PKG ?auto_2290 ?auto_2291 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2317
      ?auto_2318
    )
    :vars
    (
      ?auto_2327
      ?auto_2329
      ?auto_2326
      ?auto_2319
      ?auto_2323
      ?auto_2320
      ?auto_2322
      ?auto_2331
      ?auto_2337
      ?auto_2333
      ?auto_2332
      ?auto_2335
      ?auto_2334
      ?auto_2328
      ?auto_2330
      ?auto_2336
      ?auto_2338
      ?auto_2321
      ?auto_2324
      ?auto_2343
      ?auto_2342
    )
    :precondition
    ( and ( OBJ ?auto_2317 ) ( LOCATION ?auto_2318 ) ( TRUCK ?auto_2327 ) ( LOCATION ?auto_2329 ) ( CITY ?auto_2326 ) ( IN-CITY ?auto_2329 ?auto_2326 ) ( IN-CITY ?auto_2318 ?auto_2326 ) ( DIFFERENT ?auto_2318 ?auto_2329 ) ( LOCATION ?auto_2319 ) ( CITY ?auto_2323 ) ( IN-CITY ?auto_2319 ?auto_2323 ) ( IN-CITY ?auto_2329 ?auto_2323 ) ( DIFFERENT ?auto_2329 ?auto_2319 ) ( AIRPLANE ?auto_2320 ) ( AIRPORT ?auto_2322 ) ( AIRPORT ?auto_2319 ) ( AT ?auto_2320 ?auto_2322 ) ( DIFFERENT ?auto_2319 ?auto_2322 ) ( LOCATION ?auto_2331 ) ( AT ?auto_2320 ?auto_2331 ) ( TRUCK ?auto_2337 ) ( LOCATION ?auto_2333 ) ( CITY ?auto_2332 ) ( IN-CITY ?auto_2333 ?auto_2332 ) ( IN-CITY ?auto_2331 ?auto_2332 ) ( DIFFERENT ?auto_2331 ?auto_2333 ) ( LOCATION ?auto_2335 ) ( CITY ?auto_2334 ) ( IN-CITY ?auto_2335 ?auto_2334 ) ( IN-CITY ?auto_2333 ?auto_2334 ) ( DIFFERENT ?auto_2333 ?auto_2335 ) ( LOCATION ?auto_2328 ) ( CITY ?auto_2330 ) ( IN-CITY ?auto_2328 ?auto_2330 ) ( IN-CITY ?auto_2335 ?auto_2330 ) ( DIFFERENT ?auto_2335 ?auto_2328 ) ( LOCATION ?auto_2336 ) ( CITY ?auto_2338 ) ( IN-CITY ?auto_2336 ?auto_2338 ) ( IN-CITY ?auto_2328 ?auto_2338 ) ( DIFFERENT ?auto_2328 ?auto_2336 ) ( AT ?auto_2317 ?auto_2336 ) ( LOCATION ?auto_2321 ) ( CITY ?auto_2324 ) ( AT ?auto_2337 ?auto_2321 ) ( IN-CITY ?auto_2321 ?auto_2324 ) ( IN-CITY ?auto_2336 ?auto_2324 ) ( DIFFERENT ?auto_2336 ?auto_2321 ) ( LOCATION ?auto_2343 ) ( CITY ?auto_2342 ) ( AT ?auto_2327 ?auto_2343 ) ( IN-CITY ?auto_2343 ?auto_2342 ) ( IN-CITY ?auto_2319 ?auto_2342 ) ( DIFFERENT ?auto_2319 ?auto_2343 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2327 ?auto_2343 ?auto_2319 ?auto_2342 )
      ( DELIVER-PKG ?auto_2317 ?auto_2318 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2742
      ?auto_2743
    )
    :vars
    (
      ?auto_2744
      ?auto_2749
      ?auto_2751
      ?auto_2746
      ?auto_2745
      ?auto_2748
      ?auto_2747
      ?auto_2754
    )
    :precondition
    ( and ( OBJ ?auto_2742 ) ( LOCATION ?auto_2743 ) ( TRUCK ?auto_2744 ) ( LOCATION ?auto_2749 ) ( CITY ?auto_2751 ) ( IN-CITY ?auto_2749 ?auto_2751 ) ( IN-CITY ?auto_2743 ?auto_2751 ) ( DIFFERENT ?auto_2743 ?auto_2749 ) ( LOCATION ?auto_2746 ) ( CITY ?auto_2745 ) ( IN-CITY ?auto_2746 ?auto_2745 ) ( IN-CITY ?auto_2749 ?auto_2745 ) ( DIFFERENT ?auto_2749 ?auto_2746 ) ( LOCATION ?auto_2748 ) ( CITY ?auto_2747 ) ( AT ?auto_2744 ?auto_2748 ) ( IN-CITY ?auto_2748 ?auto_2747 ) ( IN-CITY ?auto_2746 ?auto_2747 ) ( DIFFERENT ?auto_2746 ?auto_2748 ) ( LOCATION ?auto_2754 ) ( AT ?auto_2744 ?auto_2754 ) ( AT ?auto_2742 ?auto_2754 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2742 ?auto_2744 ?auto_2754 )
      ( DELIVER-PKG ?auto_2742 ?auto_2743 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2768
      ?auto_2769
    )
    :vars
    (
      ?auto_2773
      ?auto_2772
      ?auto_2775
      ?auto_2774
      ?auto_2779
      ?auto_2770
      ?auto_2778
      ?auto_2777
      ?auto_2781
    )
    :precondition
    ( and ( OBJ ?auto_2768 ) ( LOCATION ?auto_2769 ) ( TRUCK ?auto_2773 ) ( LOCATION ?auto_2772 ) ( CITY ?auto_2775 ) ( IN-CITY ?auto_2772 ?auto_2775 ) ( IN-CITY ?auto_2769 ?auto_2775 ) ( DIFFERENT ?auto_2769 ?auto_2772 ) ( LOCATION ?auto_2774 ) ( CITY ?auto_2779 ) ( IN-CITY ?auto_2774 ?auto_2779 ) ( IN-CITY ?auto_2772 ?auto_2779 ) ( DIFFERENT ?auto_2772 ?auto_2774 ) ( LOCATION ?auto_2770 ) ( CITY ?auto_2778 ) ( AT ?auto_2773 ?auto_2770 ) ( IN-CITY ?auto_2770 ?auto_2778 ) ( IN-CITY ?auto_2774 ?auto_2778 ) ( DIFFERENT ?auto_2774 ?auto_2770 ) ( LOCATION ?auto_2777 ) ( AT ?auto_2773 ?auto_2777 ) ( AIRPLANE ?auto_2781 ) ( IN ?auto_2768 ?auto_2781 ) ( AT ?auto_2781 ?auto_2777 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2768 ?auto_2777 )
      ( DELIVER-PKG ?auto_2768 ?auto_2769 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2796
      ?auto_2797
    )
    :vars
    (
      ?auto_2807
      ?auto_2803
      ?auto_2798
      ?auto_2799
      ?auto_2801
      ?auto_2800
      ?auto_2805
      ?auto_2804
      ?auto_2806
      ?auto_2810
    )
    :precondition
    ( and ( OBJ ?auto_2796 ) ( LOCATION ?auto_2797 ) ( TRUCK ?auto_2807 ) ( LOCATION ?auto_2803 ) ( CITY ?auto_2798 ) ( IN-CITY ?auto_2803 ?auto_2798 ) ( IN-CITY ?auto_2797 ?auto_2798 ) ( DIFFERENT ?auto_2797 ?auto_2803 ) ( LOCATION ?auto_2799 ) ( CITY ?auto_2801 ) ( IN-CITY ?auto_2799 ?auto_2801 ) ( IN-CITY ?auto_2803 ?auto_2801 ) ( DIFFERENT ?auto_2803 ?auto_2799 ) ( LOCATION ?auto_2800 ) ( CITY ?auto_2805 ) ( AT ?auto_2807 ?auto_2800 ) ( IN-CITY ?auto_2800 ?auto_2805 ) ( IN-CITY ?auto_2799 ?auto_2805 ) ( DIFFERENT ?auto_2799 ?auto_2800 ) ( LOCATION ?auto_2804 ) ( AT ?auto_2807 ?auto_2804 ) ( AIRPLANE ?auto_2806 ) ( IN ?auto_2796 ?auto_2806 ) ( AIRPORT ?auto_2810 ) ( AIRPORT ?auto_2804 ) ( AT ?auto_2806 ?auto_2810 ) ( DIFFERENT ?auto_2804 ?auto_2810 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2806 ?auto_2810 ?auto_2804 )
      ( DELIVER-PKG ?auto_2796 ?auto_2797 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2826
      ?auto_2827
    )
    :vars
    (
      ?auto_2835
      ?auto_2837
      ?auto_2830
      ?auto_2831
      ?auto_2829
      ?auto_2828
      ?auto_2833
      ?auto_2832
      ?auto_2834
      ?auto_2839
      ?auto_2841
    )
    :precondition
    ( and ( OBJ ?auto_2826 ) ( LOCATION ?auto_2827 ) ( TRUCK ?auto_2835 ) ( LOCATION ?auto_2837 ) ( CITY ?auto_2830 ) ( IN-CITY ?auto_2837 ?auto_2830 ) ( IN-CITY ?auto_2827 ?auto_2830 ) ( DIFFERENT ?auto_2827 ?auto_2837 ) ( LOCATION ?auto_2831 ) ( CITY ?auto_2829 ) ( IN-CITY ?auto_2831 ?auto_2829 ) ( IN-CITY ?auto_2837 ?auto_2829 ) ( DIFFERENT ?auto_2837 ?auto_2831 ) ( LOCATION ?auto_2828 ) ( CITY ?auto_2833 ) ( AT ?auto_2835 ?auto_2828 ) ( IN-CITY ?auto_2828 ?auto_2833 ) ( IN-CITY ?auto_2831 ?auto_2833 ) ( DIFFERENT ?auto_2831 ?auto_2828 ) ( LOCATION ?auto_2832 ) ( AT ?auto_2835 ?auto_2832 ) ( AIRPLANE ?auto_2834 ) ( AIRPORT ?auto_2839 ) ( AIRPORT ?auto_2832 ) ( AT ?auto_2834 ?auto_2839 ) ( DIFFERENT ?auto_2832 ?auto_2839 ) ( LOCATION ?auto_2841 ) ( AT ?auto_2826 ?auto_2841 ) ( AT ?auto_2834 ?auto_2841 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2826 ?auto_2834 ?auto_2841 )
      ( DELIVER-PKG ?auto_2826 ?auto_2827 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2858
      ?auto_2859
    )
    :vars
    (
      ?auto_2861
      ?auto_2862
      ?auto_2863
      ?auto_2867
      ?auto_2864
      ?auto_2869
      ?auto_2866
      ?auto_2865
      ?auto_2860
      ?auto_2868
      ?auto_2872
      ?auto_2875
    )
    :precondition
    ( and ( OBJ ?auto_2858 ) ( LOCATION ?auto_2859 ) ( TRUCK ?auto_2861 ) ( LOCATION ?auto_2862 ) ( CITY ?auto_2863 ) ( IN-CITY ?auto_2862 ?auto_2863 ) ( IN-CITY ?auto_2859 ?auto_2863 ) ( DIFFERENT ?auto_2859 ?auto_2862 ) ( LOCATION ?auto_2867 ) ( CITY ?auto_2864 ) ( IN-CITY ?auto_2867 ?auto_2864 ) ( IN-CITY ?auto_2862 ?auto_2864 ) ( DIFFERENT ?auto_2862 ?auto_2867 ) ( LOCATION ?auto_2869 ) ( CITY ?auto_2866 ) ( AT ?auto_2861 ?auto_2869 ) ( IN-CITY ?auto_2869 ?auto_2866 ) ( IN-CITY ?auto_2867 ?auto_2866 ) ( DIFFERENT ?auto_2867 ?auto_2869 ) ( LOCATION ?auto_2865 ) ( AT ?auto_2861 ?auto_2865 ) ( AIRPLANE ?auto_2860 ) ( AIRPORT ?auto_2868 ) ( AIRPORT ?auto_2865 ) ( AT ?auto_2860 ?auto_2868 ) ( DIFFERENT ?auto_2865 ?auto_2868 ) ( LOCATION ?auto_2872 ) ( AT ?auto_2860 ?auto_2872 ) ( AIRPLANE ?auto_2875 ) ( IN ?auto_2858 ?auto_2875 ) ( AT ?auto_2875 ?auto_2872 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2858 ?auto_2872 )
      ( DELIVER-PKG ?auto_2858 ?auto_2859 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2892
      ?auto_2893
    )
    :vars
    (
      ?auto_2895
      ?auto_2904
      ?auto_2896
      ?auto_2897
      ?auto_2901
      ?auto_2899
      ?auto_2903
      ?auto_2902
      ?auto_2894
      ?auto_2898
      ?auto_2905
      ?auto_2907
      ?auto_2909
    )
    :precondition
    ( and ( OBJ ?auto_2892 ) ( LOCATION ?auto_2893 ) ( TRUCK ?auto_2895 ) ( LOCATION ?auto_2904 ) ( CITY ?auto_2896 ) ( IN-CITY ?auto_2904 ?auto_2896 ) ( IN-CITY ?auto_2893 ?auto_2896 ) ( DIFFERENT ?auto_2893 ?auto_2904 ) ( LOCATION ?auto_2897 ) ( CITY ?auto_2901 ) ( IN-CITY ?auto_2897 ?auto_2901 ) ( IN-CITY ?auto_2904 ?auto_2901 ) ( DIFFERENT ?auto_2904 ?auto_2897 ) ( LOCATION ?auto_2899 ) ( CITY ?auto_2903 ) ( AT ?auto_2895 ?auto_2899 ) ( IN-CITY ?auto_2899 ?auto_2903 ) ( IN-CITY ?auto_2897 ?auto_2903 ) ( DIFFERENT ?auto_2897 ?auto_2899 ) ( LOCATION ?auto_2902 ) ( AT ?auto_2895 ?auto_2902 ) ( AIRPLANE ?auto_2894 ) ( AIRPORT ?auto_2898 ) ( AIRPORT ?auto_2902 ) ( AT ?auto_2894 ?auto_2898 ) ( DIFFERENT ?auto_2902 ?auto_2898 ) ( LOCATION ?auto_2905 ) ( AT ?auto_2894 ?auto_2905 ) ( AIRPLANE ?auto_2907 ) ( IN ?auto_2892 ?auto_2907 ) ( AIRPORT ?auto_2909 ) ( AIRPORT ?auto_2905 ) ( AT ?auto_2907 ?auto_2909 ) ( DIFFERENT ?auto_2905 ?auto_2909 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2907 ?auto_2909 ?auto_2905 )
      ( DELIVER-PKG ?auto_2892 ?auto_2893 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2928
      ?auto_2929
    )
    :vars
    (
      ?auto_2933
      ?auto_2940
      ?auto_2942
      ?auto_2932
      ?auto_2937
      ?auto_2936
      ?auto_2939
      ?auto_2938
      ?auto_2931
      ?auto_2935
      ?auto_2941
      ?auto_2934
      ?auto_2944
      ?auto_2946
    )
    :precondition
    ( and ( OBJ ?auto_2928 ) ( LOCATION ?auto_2929 ) ( TRUCK ?auto_2933 ) ( LOCATION ?auto_2940 ) ( CITY ?auto_2942 ) ( IN-CITY ?auto_2940 ?auto_2942 ) ( IN-CITY ?auto_2929 ?auto_2942 ) ( DIFFERENT ?auto_2929 ?auto_2940 ) ( LOCATION ?auto_2932 ) ( CITY ?auto_2937 ) ( IN-CITY ?auto_2932 ?auto_2937 ) ( IN-CITY ?auto_2940 ?auto_2937 ) ( DIFFERENT ?auto_2940 ?auto_2932 ) ( LOCATION ?auto_2936 ) ( CITY ?auto_2939 ) ( AT ?auto_2933 ?auto_2936 ) ( IN-CITY ?auto_2936 ?auto_2939 ) ( IN-CITY ?auto_2932 ?auto_2939 ) ( DIFFERENT ?auto_2932 ?auto_2936 ) ( LOCATION ?auto_2938 ) ( AT ?auto_2933 ?auto_2938 ) ( AIRPLANE ?auto_2931 ) ( AIRPORT ?auto_2935 ) ( AIRPORT ?auto_2938 ) ( AT ?auto_2931 ?auto_2935 ) ( DIFFERENT ?auto_2938 ?auto_2935 ) ( LOCATION ?auto_2941 ) ( AT ?auto_2931 ?auto_2941 ) ( AIRPLANE ?auto_2934 ) ( AIRPORT ?auto_2944 ) ( AIRPORT ?auto_2941 ) ( AT ?auto_2934 ?auto_2944 ) ( DIFFERENT ?auto_2941 ?auto_2944 ) ( LOCATION ?auto_2946 ) ( AT ?auto_2928 ?auto_2946 ) ( AT ?auto_2934 ?auto_2946 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2928 ?auto_2934 ?auto_2946 )
      ( DELIVER-PKG ?auto_2928 ?auto_2929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2966
      ?auto_2967
    )
    :vars
    (
      ?auto_2968
      ?auto_2978
      ?auto_2980
      ?auto_2970
      ?auto_2975
      ?auto_2974
      ?auto_2977
      ?auto_2976
      ?auto_2969
      ?auto_2973
      ?auto_2979
      ?auto_2972
      ?auto_2981
      ?auto_2982
      ?auto_2985
    )
    :precondition
    ( and ( OBJ ?auto_2966 ) ( LOCATION ?auto_2967 ) ( TRUCK ?auto_2968 ) ( LOCATION ?auto_2978 ) ( CITY ?auto_2980 ) ( IN-CITY ?auto_2978 ?auto_2980 ) ( IN-CITY ?auto_2967 ?auto_2980 ) ( DIFFERENT ?auto_2967 ?auto_2978 ) ( LOCATION ?auto_2970 ) ( CITY ?auto_2975 ) ( IN-CITY ?auto_2970 ?auto_2975 ) ( IN-CITY ?auto_2978 ?auto_2975 ) ( DIFFERENT ?auto_2978 ?auto_2970 ) ( LOCATION ?auto_2974 ) ( CITY ?auto_2977 ) ( AT ?auto_2968 ?auto_2974 ) ( IN-CITY ?auto_2974 ?auto_2977 ) ( IN-CITY ?auto_2970 ?auto_2977 ) ( DIFFERENT ?auto_2970 ?auto_2974 ) ( LOCATION ?auto_2976 ) ( AT ?auto_2968 ?auto_2976 ) ( AIRPLANE ?auto_2969 ) ( AIRPORT ?auto_2973 ) ( AIRPORT ?auto_2976 ) ( AT ?auto_2969 ?auto_2973 ) ( DIFFERENT ?auto_2976 ?auto_2973 ) ( LOCATION ?auto_2979 ) ( AT ?auto_2969 ?auto_2979 ) ( AIRPLANE ?auto_2972 ) ( AIRPORT ?auto_2981 ) ( AIRPORT ?auto_2979 ) ( AT ?auto_2972 ?auto_2981 ) ( DIFFERENT ?auto_2979 ?auto_2981 ) ( LOCATION ?auto_2982 ) ( AT ?auto_2972 ?auto_2982 ) ( TRUCK ?auto_2985 ) ( AT ?auto_2985 ?auto_2982 ) ( IN ?auto_2966 ?auto_2985 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2966 ?auto_2982 )
      ( DELIVER-PKG ?auto_2966 ?auto_2967 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2987
      ?auto_2988
    )
    :vars
    (
      ?auto_2989
      ?auto_2996
      ?auto_2998
      ?auto_2991
      ?auto_3003
      ?auto_3002
      ?auto_2995
      ?auto_3004
      ?auto_2992
      ?auto_2994
      ?auto_2997
      ?auto_2993
      ?auto_3000
      ?auto_3001
      ?auto_2999
      ?auto_3008
      ?auto_3007
    )
    :precondition
    ( and ( OBJ ?auto_2987 ) ( LOCATION ?auto_2988 ) ( TRUCK ?auto_2989 ) ( LOCATION ?auto_2996 ) ( CITY ?auto_2998 ) ( IN-CITY ?auto_2996 ?auto_2998 ) ( IN-CITY ?auto_2988 ?auto_2998 ) ( DIFFERENT ?auto_2988 ?auto_2996 ) ( LOCATION ?auto_2991 ) ( CITY ?auto_3003 ) ( IN-CITY ?auto_2991 ?auto_3003 ) ( IN-CITY ?auto_2996 ?auto_3003 ) ( DIFFERENT ?auto_2996 ?auto_2991 ) ( LOCATION ?auto_3002 ) ( CITY ?auto_2995 ) ( AT ?auto_2989 ?auto_3002 ) ( IN-CITY ?auto_3002 ?auto_2995 ) ( IN-CITY ?auto_2991 ?auto_2995 ) ( DIFFERENT ?auto_2991 ?auto_3002 ) ( LOCATION ?auto_3004 ) ( AT ?auto_2989 ?auto_3004 ) ( AIRPLANE ?auto_2992 ) ( AIRPORT ?auto_2994 ) ( AIRPORT ?auto_3004 ) ( AT ?auto_2992 ?auto_2994 ) ( DIFFERENT ?auto_3004 ?auto_2994 ) ( LOCATION ?auto_2997 ) ( AT ?auto_2992 ?auto_2997 ) ( AIRPLANE ?auto_2993 ) ( AIRPORT ?auto_3000 ) ( AIRPORT ?auto_2997 ) ( AT ?auto_2993 ?auto_3000 ) ( DIFFERENT ?auto_2997 ?auto_3000 ) ( LOCATION ?auto_3001 ) ( AT ?auto_2993 ?auto_3001 ) ( TRUCK ?auto_2999 ) ( IN ?auto_2987 ?auto_2999 ) ( LOCATION ?auto_3008 ) ( CITY ?auto_3007 ) ( AT ?auto_2999 ?auto_3008 ) ( IN-CITY ?auto_3008 ?auto_3007 ) ( IN-CITY ?auto_3001 ?auto_3007 ) ( DIFFERENT ?auto_3001 ?auto_3008 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2999 ?auto_3008 ?auto_3001 ?auto_3007 )
      ( DELIVER-PKG ?auto_2987 ?auto_2988 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3010
      ?auto_3011
    )
    :vars
    (
      ?auto_3024
      ?auto_3012
      ?auto_3023
      ?auto_3027
      ?auto_3021
      ?auto_3020
      ?auto_3029
      ?auto_3017
      ?auto_3030
      ?auto_3014
      ?auto_3022
      ?auto_3028
      ?auto_3025
      ?auto_3026
      ?auto_3015
      ?auto_3016
      ?auto_3018
      ?auto_3033
      ?auto_3032
    )
    :precondition
    ( and ( OBJ ?auto_3010 ) ( LOCATION ?auto_3011 ) ( TRUCK ?auto_3024 ) ( LOCATION ?auto_3012 ) ( CITY ?auto_3023 ) ( IN-CITY ?auto_3012 ?auto_3023 ) ( IN-CITY ?auto_3011 ?auto_3023 ) ( DIFFERENT ?auto_3011 ?auto_3012 ) ( LOCATION ?auto_3027 ) ( CITY ?auto_3021 ) ( IN-CITY ?auto_3027 ?auto_3021 ) ( IN-CITY ?auto_3012 ?auto_3021 ) ( DIFFERENT ?auto_3012 ?auto_3027 ) ( LOCATION ?auto_3020 ) ( CITY ?auto_3029 ) ( AT ?auto_3024 ?auto_3020 ) ( IN-CITY ?auto_3020 ?auto_3029 ) ( IN-CITY ?auto_3027 ?auto_3029 ) ( DIFFERENT ?auto_3027 ?auto_3020 ) ( LOCATION ?auto_3017 ) ( AT ?auto_3024 ?auto_3017 ) ( AIRPLANE ?auto_3030 ) ( AIRPORT ?auto_3014 ) ( AIRPORT ?auto_3017 ) ( AT ?auto_3030 ?auto_3014 ) ( DIFFERENT ?auto_3017 ?auto_3014 ) ( LOCATION ?auto_3022 ) ( AT ?auto_3030 ?auto_3022 ) ( AIRPLANE ?auto_3028 ) ( AIRPORT ?auto_3025 ) ( AIRPORT ?auto_3022 ) ( AT ?auto_3028 ?auto_3025 ) ( DIFFERENT ?auto_3022 ?auto_3025 ) ( LOCATION ?auto_3026 ) ( AT ?auto_3028 ?auto_3026 ) ( TRUCK ?auto_3015 ) ( IN ?auto_3010 ?auto_3015 ) ( LOCATION ?auto_3016 ) ( CITY ?auto_3018 ) ( IN-CITY ?auto_3016 ?auto_3018 ) ( IN-CITY ?auto_3026 ?auto_3018 ) ( DIFFERENT ?auto_3026 ?auto_3016 ) ( LOCATION ?auto_3033 ) ( CITY ?auto_3032 ) ( AT ?auto_3015 ?auto_3033 ) ( IN-CITY ?auto_3033 ?auto_3032 ) ( IN-CITY ?auto_3016 ?auto_3032 ) ( DIFFERENT ?auto_3016 ?auto_3033 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3015 ?auto_3033 ?auto_3016 ?auto_3032 )
      ( DELIVER-PKG ?auto_3010 ?auto_3011 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3035
      ?auto_3036
    )
    :vars
    (
      ?auto_3047
      ?auto_3046
      ?auto_3044
      ?auto_3051
      ?auto_3043
      ?auto_3055
      ?auto_3042
      ?auto_3057
      ?auto_3038
      ?auto_3052
      ?auto_3056
      ?auto_3041
      ?auto_3048
      ?auto_3050
      ?auto_3049
      ?auto_3053
      ?auto_3054
      ?auto_3039
      ?auto_3040
      ?auto_3059
    )
    :precondition
    ( and ( OBJ ?auto_3035 ) ( LOCATION ?auto_3036 ) ( TRUCK ?auto_3047 ) ( LOCATION ?auto_3046 ) ( CITY ?auto_3044 ) ( IN-CITY ?auto_3046 ?auto_3044 ) ( IN-CITY ?auto_3036 ?auto_3044 ) ( DIFFERENT ?auto_3036 ?auto_3046 ) ( LOCATION ?auto_3051 ) ( CITY ?auto_3043 ) ( IN-CITY ?auto_3051 ?auto_3043 ) ( IN-CITY ?auto_3046 ?auto_3043 ) ( DIFFERENT ?auto_3046 ?auto_3051 ) ( LOCATION ?auto_3055 ) ( CITY ?auto_3042 ) ( AT ?auto_3047 ?auto_3055 ) ( IN-CITY ?auto_3055 ?auto_3042 ) ( IN-CITY ?auto_3051 ?auto_3042 ) ( DIFFERENT ?auto_3051 ?auto_3055 ) ( LOCATION ?auto_3057 ) ( AT ?auto_3047 ?auto_3057 ) ( AIRPLANE ?auto_3038 ) ( AIRPORT ?auto_3052 ) ( AIRPORT ?auto_3057 ) ( AT ?auto_3038 ?auto_3052 ) ( DIFFERENT ?auto_3057 ?auto_3052 ) ( LOCATION ?auto_3056 ) ( AT ?auto_3038 ?auto_3056 ) ( AIRPLANE ?auto_3041 ) ( AIRPORT ?auto_3048 ) ( AIRPORT ?auto_3056 ) ( AT ?auto_3041 ?auto_3048 ) ( DIFFERENT ?auto_3056 ?auto_3048 ) ( LOCATION ?auto_3050 ) ( AT ?auto_3041 ?auto_3050 ) ( TRUCK ?auto_3049 ) ( LOCATION ?auto_3053 ) ( CITY ?auto_3054 ) ( IN-CITY ?auto_3053 ?auto_3054 ) ( IN-CITY ?auto_3050 ?auto_3054 ) ( DIFFERENT ?auto_3050 ?auto_3053 ) ( LOCATION ?auto_3039 ) ( CITY ?auto_3040 ) ( AT ?auto_3049 ?auto_3039 ) ( IN-CITY ?auto_3039 ?auto_3040 ) ( IN-CITY ?auto_3053 ?auto_3040 ) ( DIFFERENT ?auto_3053 ?auto_3039 ) ( LOCATION ?auto_3059 ) ( AT ?auto_3049 ?auto_3059 ) ( AT ?auto_3035 ?auto_3059 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3035 ?auto_3049 ?auto_3059 )
      ( DELIVER-PKG ?auto_3035 ?auto_3036 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3085
      ?auto_3086
    )
    :vars
    (
      ?auto_3108
      ?auto_3088
      ?auto_3107
      ?auto_3098
      ?auto_3106
      ?auto_3103
      ?auto_3105
      ?auto_3094
      ?auto_3096
      ?auto_3091
      ?auto_3097
      ?auto_3104
      ?auto_3093
      ?auto_3099
      ?auto_3089
      ?auto_3102
      ?auto_3100
      ?auto_3101
      ?auto_3090
      ?auto_3110
    )
    :precondition
    ( and ( OBJ ?auto_3085 ) ( LOCATION ?auto_3086 ) ( TRUCK ?auto_3108 ) ( LOCATION ?auto_3088 ) ( CITY ?auto_3107 ) ( IN-CITY ?auto_3088 ?auto_3107 ) ( IN-CITY ?auto_3086 ?auto_3107 ) ( DIFFERENT ?auto_3086 ?auto_3088 ) ( LOCATION ?auto_3098 ) ( CITY ?auto_3106 ) ( IN-CITY ?auto_3098 ?auto_3106 ) ( IN-CITY ?auto_3088 ?auto_3106 ) ( DIFFERENT ?auto_3088 ?auto_3098 ) ( LOCATION ?auto_3103 ) ( CITY ?auto_3105 ) ( AT ?auto_3108 ?auto_3103 ) ( IN-CITY ?auto_3103 ?auto_3105 ) ( IN-CITY ?auto_3098 ?auto_3105 ) ( DIFFERENT ?auto_3098 ?auto_3103 ) ( LOCATION ?auto_3094 ) ( AT ?auto_3108 ?auto_3094 ) ( AIRPLANE ?auto_3096 ) ( AIRPORT ?auto_3091 ) ( AIRPORT ?auto_3094 ) ( AT ?auto_3096 ?auto_3091 ) ( DIFFERENT ?auto_3094 ?auto_3091 ) ( LOCATION ?auto_3097 ) ( AT ?auto_3096 ?auto_3097 ) ( AIRPLANE ?auto_3104 ) ( AIRPORT ?auto_3093 ) ( AIRPORT ?auto_3097 ) ( DIFFERENT ?auto_3097 ?auto_3093 ) ( LOCATION ?auto_3093 ) ( TRUCK ?auto_3099 ) ( LOCATION ?auto_3089 ) ( CITY ?auto_3102 ) ( IN-CITY ?auto_3089 ?auto_3102 ) ( IN-CITY ?auto_3093 ?auto_3102 ) ( DIFFERENT ?auto_3093 ?auto_3089 ) ( LOCATION ?auto_3100 ) ( CITY ?auto_3101 ) ( AT ?auto_3099 ?auto_3100 ) ( IN-CITY ?auto_3100 ?auto_3101 ) ( IN-CITY ?auto_3089 ?auto_3101 ) ( DIFFERENT ?auto_3089 ?auto_3100 ) ( LOCATION ?auto_3090 ) ( AT ?auto_3099 ?auto_3090 ) ( AT ?auto_3085 ?auto_3090 ) ( AIRPORT ?auto_3110 ) ( AT ?auto_3104 ?auto_3110 ) ( DIFFERENT ?auto_3093 ?auto_3110 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3104 ?auto_3110 ?auto_3093 )
      ( DELIVER-PKG ?auto_3085 ?auto_3086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3112
      ?auto_3113
    )
    :vars
    (
      ?auto_3128
      ?auto_3124
      ?auto_3127
      ?auto_3131
      ?auto_3126
      ?auto_3115
      ?auto_3118
      ?auto_3123
      ?auto_3129
      ?auto_3119
      ?auto_3130
      ?auto_3116
      ?auto_3122
      ?auto_3132
      ?auto_3120
      ?auto_3114
      ?auto_3121
      ?auto_3134
      ?auto_3117
      ?auto_3138
      ?auto_3137
    )
    :precondition
    ( and ( OBJ ?auto_3112 ) ( LOCATION ?auto_3113 ) ( TRUCK ?auto_3128 ) ( LOCATION ?auto_3124 ) ( CITY ?auto_3127 ) ( IN-CITY ?auto_3124 ?auto_3127 ) ( IN-CITY ?auto_3113 ?auto_3127 ) ( DIFFERENT ?auto_3113 ?auto_3124 ) ( LOCATION ?auto_3131 ) ( CITY ?auto_3126 ) ( IN-CITY ?auto_3131 ?auto_3126 ) ( IN-CITY ?auto_3124 ?auto_3126 ) ( DIFFERENT ?auto_3124 ?auto_3131 ) ( LOCATION ?auto_3115 ) ( CITY ?auto_3118 ) ( AT ?auto_3128 ?auto_3115 ) ( IN-CITY ?auto_3115 ?auto_3118 ) ( IN-CITY ?auto_3131 ?auto_3118 ) ( DIFFERENT ?auto_3131 ?auto_3115 ) ( LOCATION ?auto_3123 ) ( AT ?auto_3128 ?auto_3123 ) ( AIRPLANE ?auto_3129 ) ( AIRPORT ?auto_3119 ) ( AIRPORT ?auto_3123 ) ( AT ?auto_3129 ?auto_3119 ) ( DIFFERENT ?auto_3123 ?auto_3119 ) ( LOCATION ?auto_3130 ) ( AT ?auto_3129 ?auto_3130 ) ( AIRPLANE ?auto_3116 ) ( AIRPORT ?auto_3122 ) ( AIRPORT ?auto_3130 ) ( DIFFERENT ?auto_3130 ?auto_3122 ) ( LOCATION ?auto_3122 ) ( TRUCK ?auto_3132 ) ( LOCATION ?auto_3120 ) ( CITY ?auto_3114 ) ( IN-CITY ?auto_3120 ?auto_3114 ) ( IN-CITY ?auto_3122 ?auto_3114 ) ( DIFFERENT ?auto_3122 ?auto_3120 ) ( LOCATION ?auto_3121 ) ( CITY ?auto_3134 ) ( IN-CITY ?auto_3121 ?auto_3134 ) ( IN-CITY ?auto_3120 ?auto_3134 ) ( DIFFERENT ?auto_3120 ?auto_3121 ) ( AT ?auto_3112 ?auto_3121 ) ( AIRPORT ?auto_3117 ) ( AT ?auto_3116 ?auto_3117 ) ( DIFFERENT ?auto_3122 ?auto_3117 ) ( LOCATION ?auto_3138 ) ( CITY ?auto_3137 ) ( AT ?auto_3132 ?auto_3138 ) ( IN-CITY ?auto_3138 ?auto_3137 ) ( IN-CITY ?auto_3121 ?auto_3137 ) ( DIFFERENT ?auto_3121 ?auto_3138 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3132 ?auto_3138 ?auto_3121 ?auto_3137 )
      ( DELIVER-PKG ?auto_3112 ?auto_3113 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3140
      ?auto_3141
    )
    :vars
    (
      ?auto_3155
      ?auto_3144
      ?auto_3157
      ?auto_3159
      ?auto_3146
      ?auto_3149
      ?auto_3160
      ?auto_3156
      ?auto_3164
      ?auto_3153
      ?auto_3162
      ?auto_3154
      ?auto_3147
      ?auto_3163
      ?auto_3151
      ?auto_3143
      ?auto_3148
      ?auto_3158
      ?auto_3150
      ?auto_3152
      ?auto_3167
      ?auto_3166
    )
    :precondition
    ( and ( OBJ ?auto_3140 ) ( LOCATION ?auto_3141 ) ( TRUCK ?auto_3155 ) ( LOCATION ?auto_3144 ) ( CITY ?auto_3157 ) ( IN-CITY ?auto_3144 ?auto_3157 ) ( IN-CITY ?auto_3141 ?auto_3157 ) ( DIFFERENT ?auto_3141 ?auto_3144 ) ( LOCATION ?auto_3159 ) ( CITY ?auto_3146 ) ( IN-CITY ?auto_3159 ?auto_3146 ) ( IN-CITY ?auto_3144 ?auto_3146 ) ( DIFFERENT ?auto_3144 ?auto_3159 ) ( LOCATION ?auto_3149 ) ( CITY ?auto_3160 ) ( IN-CITY ?auto_3149 ?auto_3160 ) ( IN-CITY ?auto_3159 ?auto_3160 ) ( DIFFERENT ?auto_3159 ?auto_3149 ) ( AIRPLANE ?auto_3156 ) ( AIRPORT ?auto_3164 ) ( AIRPORT ?auto_3149 ) ( AT ?auto_3156 ?auto_3164 ) ( DIFFERENT ?auto_3149 ?auto_3164 ) ( LOCATION ?auto_3153 ) ( AT ?auto_3156 ?auto_3153 ) ( AIRPLANE ?auto_3162 ) ( AIRPORT ?auto_3154 ) ( AIRPORT ?auto_3153 ) ( DIFFERENT ?auto_3153 ?auto_3154 ) ( LOCATION ?auto_3154 ) ( TRUCK ?auto_3147 ) ( LOCATION ?auto_3163 ) ( CITY ?auto_3151 ) ( IN-CITY ?auto_3163 ?auto_3151 ) ( IN-CITY ?auto_3154 ?auto_3151 ) ( DIFFERENT ?auto_3154 ?auto_3163 ) ( LOCATION ?auto_3143 ) ( CITY ?auto_3148 ) ( IN-CITY ?auto_3143 ?auto_3148 ) ( IN-CITY ?auto_3163 ?auto_3148 ) ( DIFFERENT ?auto_3163 ?auto_3143 ) ( AT ?auto_3140 ?auto_3143 ) ( AIRPORT ?auto_3158 ) ( AT ?auto_3162 ?auto_3158 ) ( DIFFERENT ?auto_3154 ?auto_3158 ) ( LOCATION ?auto_3150 ) ( CITY ?auto_3152 ) ( AT ?auto_3147 ?auto_3150 ) ( IN-CITY ?auto_3150 ?auto_3152 ) ( IN-CITY ?auto_3143 ?auto_3152 ) ( DIFFERENT ?auto_3143 ?auto_3150 ) ( LOCATION ?auto_3167 ) ( CITY ?auto_3166 ) ( AT ?auto_3155 ?auto_3167 ) ( IN-CITY ?auto_3167 ?auto_3166 ) ( IN-CITY ?auto_3149 ?auto_3166 ) ( DIFFERENT ?auto_3149 ?auto_3167 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3155 ?auto_3167 ?auto_3149 ?auto_3166 )
      ( DELIVER-PKG ?auto_3140 ?auto_3141 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9397
      ?auto_9398
    )
    :vars
    (
      ?auto_9402
      ?auto_9403
      ?auto_9400
      ?auto_9401
      ?auto_9405
      ?auto_9407
    )
    :precondition
    ( and ( OBJ ?auto_9397 ) ( LOCATION ?auto_9398 ) ( TRUCK ?auto_9402 ) ( LOCATION ?auto_9403 ) ( CITY ?auto_9400 ) ( AT ?auto_9402 ?auto_9403 ) ( IN-CITY ?auto_9403 ?auto_9400 ) ( IN-CITY ?auto_9398 ?auto_9400 ) ( DIFFERENT ?auto_9398 ?auto_9403 ) ( LOCATION ?auto_9401 ) ( AT ?auto_9402 ?auto_9401 ) ( TRUCK ?auto_9405 ) ( AT ?auto_9405 ?auto_9401 ) ( LOCATION ?auto_9407 ) ( AT ?auto_9405 ?auto_9407 ) ( AT ?auto_9397 ?auto_9407 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9397 ?auto_9405 ?auto_9407 )
      ( DELIVER-PKG ?auto_9397 ?auto_9398 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3681
      ?auto_3682
    )
    :vars
    (
      ?auto_3686
      ?auto_3688
      ?auto_3683
      ?auto_3691
      ?auto_3690
    )
    :precondition
    ( and ( OBJ ?auto_3681 ) ( LOCATION ?auto_3682 ) ( TRUCK ?auto_3686 ) ( LOCATION ?auto_3688 ) ( CITY ?auto_3683 ) ( IN-CITY ?auto_3688 ?auto_3683 ) ( IN-CITY ?auto_3682 ?auto_3683 ) ( DIFFERENT ?auto_3682 ?auto_3688 ) ( AT ?auto_3681 ?auto_3688 ) ( LOCATION ?auto_3691 ) ( CITY ?auto_3690 ) ( AT ?auto_3686 ?auto_3691 ) ( IN-CITY ?auto_3691 ?auto_3690 ) ( IN-CITY ?auto_3688 ?auto_3690 ) ( DIFFERENT ?auto_3688 ?auto_3691 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3686 ?auto_3691 ?auto_3688 ?auto_3690 )
      ( DELIVER-PKG ?auto_3681 ?auto_3682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3942
      ?auto_3943
    )
    :vars
    (
      ?auto_3945
      ?auto_3948
      ?auto_3950
    )
    :precondition
    ( and ( OBJ ?auto_3942 ) ( LOCATION ?auto_3943 ) ( AIRPLANE ?auto_3945 ) ( AIRPORT ?auto_3948 ) ( AIRPORT ?auto_3943 ) ( DIFFERENT ?auto_3943 ?auto_3948 ) ( LOCATION ?auto_3948 ) ( AT ?auto_3942 ?auto_3948 ) ( AIRPORT ?auto_3950 ) ( AT ?auto_3945 ?auto_3950 ) ( DIFFERENT ?auto_3948 ?auto_3950 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3945 ?auto_3950 ?auto_3948 )
      ( DELIVER-PKG ?auto_3942 ?auto_3943 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3966
      ?auto_3967
    )
    :vars
    (
      ?auto_3970
      ?auto_3968
      ?auto_3972
      ?auto_3974
    )
    :precondition
    ( and ( OBJ ?auto_3966 ) ( LOCATION ?auto_3967 ) ( AIRPLANE ?auto_3970 ) ( AIRPORT ?auto_3968 ) ( AIRPORT ?auto_3967 ) ( DIFFERENT ?auto_3967 ?auto_3968 ) ( LOCATION ?auto_3968 ) ( AT ?auto_3966 ?auto_3968 ) ( AIRPORT ?auto_3972 ) ( DIFFERENT ?auto_3968 ?auto_3972 ) ( AIRPORT ?auto_3974 ) ( AT ?auto_3970 ?auto_3974 ) ( DIFFERENT ?auto_3972 ?auto_3974 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3970 ?auto_3974 ?auto_3972 )
      ( DELIVER-PKG ?auto_3966 ?auto_3967 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4244
      ?auto_4245
    )
    :vars
    (
      ?auto_4246
      ?auto_4250
    )
    :precondition
    ( and ( OBJ ?auto_4244 ) ( LOCATION ?auto_4245 ) ( AIRPLANE ?auto_4246 ) ( AT ?auto_4246 ?auto_4245 ) ( LOCATION ?auto_4250 ) ( AT ?auto_4244 ?auto_4250 ) ( AT ?auto_4246 ?auto_4250 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4244 ?auto_4246 ?auto_4250 )
      ( DELIVER-PKG ?auto_4244 ?auto_4245 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4258
      ?auto_4259
    )
    :vars
    (
      ?auto_4261
      ?auto_4262
      ?auto_4264
    )
    :precondition
    ( and ( OBJ ?auto_4258 ) ( LOCATION ?auto_4259 ) ( AIRPLANE ?auto_4261 ) ( AT ?auto_4261 ?auto_4259 ) ( LOCATION ?auto_4262 ) ( AT ?auto_4261 ?auto_4262 ) ( AIRPLANE ?auto_4264 ) ( IN ?auto_4258 ?auto_4264 ) ( AT ?auto_4264 ?auto_4262 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4258 ?auto_4262 )
      ( DELIVER-PKG ?auto_4258 ?auto_4259 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4281
      ?auto_4282
    )
    :vars
    (
      ?auto_4284
      ?auto_4283
      ?auto_4285
      ?auto_4289
    )
    :precondition
    ( and ( OBJ ?auto_4281 ) ( LOCATION ?auto_4282 ) ( AIRPLANE ?auto_4284 ) ( AT ?auto_4284 ?auto_4282 ) ( LOCATION ?auto_4283 ) ( AT ?auto_4284 ?auto_4283 ) ( AIRPLANE ?auto_4285 ) ( IN ?auto_4281 ?auto_4285 ) ( AIRPORT ?auto_4289 ) ( AIRPORT ?auto_4283 ) ( AT ?auto_4285 ?auto_4289 ) ( DIFFERENT ?auto_4283 ?auto_4289 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4285 ?auto_4289 ?auto_4283 )
      ( DELIVER-PKG ?auto_4281 ?auto_4282 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4315
      ?auto_4316
    )
    :vars
    (
      ?auto_4317
      ?auto_4321
      ?auto_4318
      ?auto_4322
      ?auto_4324
    )
    :precondition
    ( and ( OBJ ?auto_4315 ) ( LOCATION ?auto_4316 ) ( AIRPLANE ?auto_4317 ) ( AT ?auto_4317 ?auto_4316 ) ( LOCATION ?auto_4321 ) ( AT ?auto_4317 ?auto_4321 ) ( AIRPLANE ?auto_4318 ) ( AIRPORT ?auto_4322 ) ( AIRPORT ?auto_4321 ) ( AT ?auto_4318 ?auto_4322 ) ( DIFFERENT ?auto_4321 ?auto_4322 ) ( LOCATION ?auto_4324 ) ( AT ?auto_4315 ?auto_4324 ) ( AT ?auto_4318 ?auto_4324 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4315 ?auto_4318 ?auto_4324 )
      ( DELIVER-PKG ?auto_4315 ?auto_4316 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4344
      ?auto_4345
    )
    :vars
    (
      ?auto_4347
      ?auto_4350
      ?auto_4349
      ?auto_4352
      ?auto_4354
    )
    :precondition
    ( and ( OBJ ?auto_4344 ) ( LOCATION ?auto_4345 ) ( AIRPLANE ?auto_4347 ) ( AT ?auto_4347 ?auto_4345 ) ( LOCATION ?auto_4350 ) ( AT ?auto_4347 ?auto_4350 ) ( AIRPLANE ?auto_4349 ) ( AIRPORT ?auto_4352 ) ( AIRPORT ?auto_4350 ) ( DIFFERENT ?auto_4350 ?auto_4352 ) ( LOCATION ?auto_4352 ) ( AT ?auto_4344 ?auto_4352 ) ( AIRPORT ?auto_4354 ) ( AT ?auto_4349 ?auto_4354 ) ( DIFFERENT ?auto_4352 ?auto_4354 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4349 ?auto_4354 ?auto_4352 )
      ( DELIVER-PKG ?auto_4344 ?auto_4345 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4374
      ?auto_4375
    )
    :vars
    (
      ?auto_4378
      ?auto_4380
      ?auto_4379
      ?auto_4381
      ?auto_4382
      ?auto_4384
    )
    :precondition
    ( and ( OBJ ?auto_4374 ) ( LOCATION ?auto_4375 ) ( AIRPLANE ?auto_4378 ) ( AT ?auto_4378 ?auto_4375 ) ( LOCATION ?auto_4380 ) ( AT ?auto_4378 ?auto_4380 ) ( AIRPLANE ?auto_4379 ) ( AIRPORT ?auto_4381 ) ( AIRPORT ?auto_4380 ) ( DIFFERENT ?auto_4380 ?auto_4381 ) ( LOCATION ?auto_4381 ) ( AT ?auto_4374 ?auto_4381 ) ( AIRPORT ?auto_4382 ) ( DIFFERENT ?auto_4381 ?auto_4382 ) ( AIRPORT ?auto_4384 ) ( AT ?auto_4379 ?auto_4384 ) ( DIFFERENT ?auto_4382 ?auto_4384 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4379 ?auto_4384 ?auto_4382 )
      ( DELIVER-PKG ?auto_4374 ?auto_4375 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4491
      ?auto_4492
    )
    :vars
    (
      ?auto_4495
      ?auto_4494
      ?auto_4497
      ?auto_4498
      ?auto_4499
      ?auto_4502
      ?auto_4501
    )
    :precondition
    ( and ( OBJ ?auto_4491 ) ( LOCATION ?auto_4492 ) ( TRUCK ?auto_4495 ) ( LOCATION ?auto_4494 ) ( CITY ?auto_4497 ) ( IN-CITY ?auto_4494 ?auto_4497 ) ( IN-CITY ?auto_4492 ?auto_4497 ) ( DIFFERENT ?auto_4492 ?auto_4494 ) ( AT ?auto_4491 ?auto_4494 ) ( LOCATION ?auto_4498 ) ( CITY ?auto_4499 ) ( IN-CITY ?auto_4498 ?auto_4499 ) ( IN-CITY ?auto_4494 ?auto_4499 ) ( DIFFERENT ?auto_4494 ?auto_4498 ) ( LOCATION ?auto_4502 ) ( CITY ?auto_4501 ) ( AT ?auto_4495 ?auto_4502 ) ( IN-CITY ?auto_4502 ?auto_4501 ) ( IN-CITY ?auto_4498 ?auto_4501 ) ( DIFFERENT ?auto_4498 ?auto_4502 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4495 ?auto_4502 ?auto_4498 ?auto_4501 )
      ( DELIVER-PKG ?auto_4491 ?auto_4492 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4559
      ?auto_4560
    )
    :vars
    (
      ?auto_4567
      ?auto_4566
      ?auto_4562
      ?auto_4563
      ?auto_4564
      ?auto_4569
      ?auto_4568
      ?auto_4572
      ?auto_4571
    )
    :precondition
    ( and ( OBJ ?auto_4559 ) ( LOCATION ?auto_4560 ) ( TRUCK ?auto_4567 ) ( LOCATION ?auto_4566 ) ( CITY ?auto_4562 ) ( IN-CITY ?auto_4566 ?auto_4562 ) ( IN-CITY ?auto_4560 ?auto_4562 ) ( DIFFERENT ?auto_4560 ?auto_4566 ) ( AT ?auto_4559 ?auto_4566 ) ( LOCATION ?auto_4563 ) ( CITY ?auto_4564 ) ( IN-CITY ?auto_4563 ?auto_4564 ) ( IN-CITY ?auto_4566 ?auto_4564 ) ( DIFFERENT ?auto_4566 ?auto_4563 ) ( LOCATION ?auto_4569 ) ( CITY ?auto_4568 ) ( IN-CITY ?auto_4569 ?auto_4568 ) ( IN-CITY ?auto_4563 ?auto_4568 ) ( DIFFERENT ?auto_4563 ?auto_4569 ) ( LOCATION ?auto_4572 ) ( CITY ?auto_4571 ) ( AT ?auto_4567 ?auto_4572 ) ( IN-CITY ?auto_4572 ?auto_4571 ) ( IN-CITY ?auto_4569 ?auto_4571 ) ( DIFFERENT ?auto_4569 ?auto_4572 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4567 ?auto_4572 ?auto_4569 ?auto_4571 )
      ( DELIVER-PKG ?auto_4559 ?auto_4560 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4807
      ?auto_4808
    )
    :vars
    (
      ?auto_4812
      ?auto_4814
      ?auto_4809
      ?auto_4810
      ?auto_4815
      ?auto_4816
      ?auto_4818
    )
    :precondition
    ( and ( OBJ ?auto_4807 ) ( LOCATION ?auto_4808 ) ( AIRPLANE ?auto_4812 ) ( AIRPORT ?auto_4814 ) ( AIRPORT ?auto_4808 ) ( AT ?auto_4812 ?auto_4814 ) ( DIFFERENT ?auto_4808 ?auto_4814 ) ( LOCATION ?auto_4809 ) ( AT ?auto_4812 ?auto_4809 ) ( TRUCK ?auto_4810 ) ( LOCATION ?auto_4815 ) ( CITY ?auto_4816 ) ( AT ?auto_4810 ?auto_4815 ) ( IN-CITY ?auto_4815 ?auto_4816 ) ( IN-CITY ?auto_4809 ?auto_4816 ) ( DIFFERENT ?auto_4809 ?auto_4815 ) ( LOCATION ?auto_4818 ) ( AT ?auto_4810 ?auto_4818 ) ( AT ?auto_4807 ?auto_4818 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4807 ?auto_4810 ?auto_4818 )
      ( DELIVER-PKG ?auto_4807 ?auto_4808 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4831
      ?auto_4832
    )
    :vars
    (
      ?auto_4836
      ?auto_4837
      ?auto_4833
      ?auto_4838
      ?auto_4839
      ?auto_4835
      ?auto_4844
      ?auto_4843
    )
    :precondition
    ( and ( OBJ ?auto_4831 ) ( LOCATION ?auto_4832 ) ( AIRPLANE ?auto_4836 ) ( AIRPORT ?auto_4837 ) ( AIRPORT ?auto_4832 ) ( AT ?auto_4836 ?auto_4837 ) ( DIFFERENT ?auto_4832 ?auto_4837 ) ( LOCATION ?auto_4833 ) ( AT ?auto_4836 ?auto_4833 ) ( TRUCK ?auto_4838 ) ( LOCATION ?auto_4839 ) ( CITY ?auto_4835 ) ( IN-CITY ?auto_4839 ?auto_4835 ) ( IN-CITY ?auto_4833 ?auto_4835 ) ( DIFFERENT ?auto_4833 ?auto_4839 ) ( AT ?auto_4831 ?auto_4839 ) ( LOCATION ?auto_4844 ) ( CITY ?auto_4843 ) ( AT ?auto_4838 ?auto_4844 ) ( IN-CITY ?auto_4844 ?auto_4843 ) ( IN-CITY ?auto_4839 ?auto_4843 ) ( DIFFERENT ?auto_4839 ?auto_4844 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4838 ?auto_4844 ?auto_4839 ?auto_4843 )
      ( DELIVER-PKG ?auto_4831 ?auto_4832 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4882
      ?auto_4883
    )
    :vars
    (
      ?auto_4888
      ?auto_4889
      ?auto_4884
      ?auto_4890
      ?auto_4885
      ?auto_4886
      ?auto_4893
      ?auto_4892
      ?auto_4896
      ?auto_4895
    )
    :precondition
    ( and ( OBJ ?auto_4882 ) ( LOCATION ?auto_4883 ) ( AIRPLANE ?auto_4888 ) ( AIRPORT ?auto_4889 ) ( AIRPORT ?auto_4883 ) ( AT ?auto_4888 ?auto_4889 ) ( DIFFERENT ?auto_4883 ?auto_4889 ) ( LOCATION ?auto_4884 ) ( AT ?auto_4888 ?auto_4884 ) ( TRUCK ?auto_4890 ) ( LOCATION ?auto_4885 ) ( CITY ?auto_4886 ) ( IN-CITY ?auto_4885 ?auto_4886 ) ( IN-CITY ?auto_4884 ?auto_4886 ) ( DIFFERENT ?auto_4884 ?auto_4885 ) ( AT ?auto_4882 ?auto_4885 ) ( LOCATION ?auto_4893 ) ( CITY ?auto_4892 ) ( IN-CITY ?auto_4893 ?auto_4892 ) ( IN-CITY ?auto_4885 ?auto_4892 ) ( DIFFERENT ?auto_4885 ?auto_4893 ) ( LOCATION ?auto_4896 ) ( CITY ?auto_4895 ) ( AT ?auto_4890 ?auto_4896 ) ( IN-CITY ?auto_4896 ?auto_4895 ) ( IN-CITY ?auto_4893 ?auto_4895 ) ( DIFFERENT ?auto_4893 ?auto_4896 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4890 ?auto_4896 ?auto_4893 ?auto_4895 )
      ( DELIVER-PKG ?auto_4882 ?auto_4883 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4968
      ?auto_4969
    )
    :vars
    (
      ?auto_4975
      ?auto_4976
      ?auto_4973
      ?auto_4977
      ?auto_4972
      ?auto_4974
      ?auto_4979
      ?auto_4978
      ?auto_4981
      ?auto_4980
      ?auto_4984
      ?auto_4983
    )
    :precondition
    ( and ( OBJ ?auto_4968 ) ( LOCATION ?auto_4969 ) ( AIRPLANE ?auto_4975 ) ( AIRPORT ?auto_4976 ) ( AIRPORT ?auto_4969 ) ( AT ?auto_4975 ?auto_4976 ) ( DIFFERENT ?auto_4969 ?auto_4976 ) ( LOCATION ?auto_4973 ) ( AT ?auto_4975 ?auto_4973 ) ( TRUCK ?auto_4977 ) ( LOCATION ?auto_4972 ) ( CITY ?auto_4974 ) ( IN-CITY ?auto_4972 ?auto_4974 ) ( IN-CITY ?auto_4973 ?auto_4974 ) ( DIFFERENT ?auto_4973 ?auto_4972 ) ( AT ?auto_4968 ?auto_4972 ) ( LOCATION ?auto_4979 ) ( CITY ?auto_4978 ) ( IN-CITY ?auto_4979 ?auto_4978 ) ( IN-CITY ?auto_4972 ?auto_4978 ) ( DIFFERENT ?auto_4972 ?auto_4979 ) ( LOCATION ?auto_4981 ) ( CITY ?auto_4980 ) ( IN-CITY ?auto_4981 ?auto_4980 ) ( IN-CITY ?auto_4979 ?auto_4980 ) ( DIFFERENT ?auto_4979 ?auto_4981 ) ( LOCATION ?auto_4984 ) ( CITY ?auto_4983 ) ( AT ?auto_4977 ?auto_4984 ) ( IN-CITY ?auto_4984 ?auto_4983 ) ( IN-CITY ?auto_4981 ?auto_4983 ) ( DIFFERENT ?auto_4981 ?auto_4984 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4977 ?auto_4984 ?auto_4981 ?auto_4983 )
      ( DELIVER-PKG ?auto_4968 ?auto_4969 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9409
      ?auto_9410
    )
    :vars
    (
      ?auto_9414
      ?auto_9415
      ?auto_9413
      ?auto_9416
      ?auto_9412
      ?auto_9418
      ?auto_9421
    )
    :precondition
    ( and ( OBJ ?auto_9409 ) ( LOCATION ?auto_9410 ) ( TRUCK ?auto_9414 ) ( LOCATION ?auto_9415 ) ( CITY ?auto_9413 ) ( AT ?auto_9414 ?auto_9415 ) ( IN-CITY ?auto_9415 ?auto_9413 ) ( IN-CITY ?auto_9410 ?auto_9413 ) ( DIFFERENT ?auto_9410 ?auto_9415 ) ( LOCATION ?auto_9416 ) ( AT ?auto_9414 ?auto_9416 ) ( TRUCK ?auto_9412 ) ( AT ?auto_9412 ?auto_9416 ) ( LOCATION ?auto_9418 ) ( AT ?auto_9412 ?auto_9418 ) ( AIRPLANE ?auto_9421 ) ( IN ?auto_9409 ?auto_9421 ) ( AT ?auto_9421 ?auto_9418 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9409 ?auto_9418 )
      ( DELIVER-PKG ?auto_9409 ?auto_9410 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9422
      ?auto_9423
    )
    :vars
    (
      ?auto_9429
      ?auto_9425
      ?auto_9424
      ?auto_9426
      ?auto_9432
      ?auto_9427
      ?auto_9428
      ?auto_9434
    )
    :precondition
    ( and ( OBJ ?auto_9422 ) ( LOCATION ?auto_9423 ) ( TRUCK ?auto_9429 ) ( LOCATION ?auto_9425 ) ( CITY ?auto_9424 ) ( AT ?auto_9429 ?auto_9425 ) ( IN-CITY ?auto_9425 ?auto_9424 ) ( IN-CITY ?auto_9423 ?auto_9424 ) ( DIFFERENT ?auto_9423 ?auto_9425 ) ( LOCATION ?auto_9426 ) ( AT ?auto_9429 ?auto_9426 ) ( TRUCK ?auto_9432 ) ( AT ?auto_9432 ?auto_9426 ) ( LOCATION ?auto_9427 ) ( AT ?auto_9432 ?auto_9427 ) ( AIRPLANE ?auto_9428 ) ( IN ?auto_9422 ?auto_9428 ) ( AIRPORT ?auto_9434 ) ( AIRPORT ?auto_9427 ) ( AT ?auto_9428 ?auto_9434 ) ( DIFFERENT ?auto_9427 ?auto_9434 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9428 ?auto_9434 ?auto_9427 )
      ( DELIVER-PKG ?auto_9422 ?auto_9423 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9436
      ?auto_9437
    )
    :vars
    (
      ?auto_9445
      ?auto_9446
      ?auto_9438
      ?auto_9447
      ?auto_9441
      ?auto_9440
      ?auto_9443
      ?auto_9439
      ?auto_9449
    )
    :precondition
    ( and ( OBJ ?auto_9436 ) ( LOCATION ?auto_9437 ) ( TRUCK ?auto_9445 ) ( LOCATION ?auto_9446 ) ( CITY ?auto_9438 ) ( AT ?auto_9445 ?auto_9446 ) ( IN-CITY ?auto_9446 ?auto_9438 ) ( IN-CITY ?auto_9437 ?auto_9438 ) ( DIFFERENT ?auto_9437 ?auto_9446 ) ( LOCATION ?auto_9447 ) ( AT ?auto_9445 ?auto_9447 ) ( TRUCK ?auto_9441 ) ( AT ?auto_9441 ?auto_9447 ) ( LOCATION ?auto_9440 ) ( AT ?auto_9441 ?auto_9440 ) ( AIRPLANE ?auto_9443 ) ( AIRPORT ?auto_9439 ) ( AIRPORT ?auto_9440 ) ( AT ?auto_9443 ?auto_9439 ) ( DIFFERENT ?auto_9440 ?auto_9439 ) ( LOCATION ?auto_9449 ) ( AT ?auto_9436 ?auto_9449 ) ( AT ?auto_9443 ?auto_9449 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9436 ?auto_9443 ?auto_9449 )
      ( DELIVER-PKG ?auto_9436 ?auto_9437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9464
      ?auto_9465
    )
    :vars
    (
      ?auto_9473
      ?auto_9467
      ?auto_9470
      ?auto_9468
      ?auto_9476
      ?auto_9475
      ?auto_9471
      ?auto_9474
      ?auto_9469
      ?auto_9477
    )
    :precondition
    ( and ( OBJ ?auto_9464 ) ( LOCATION ?auto_9465 ) ( TRUCK ?auto_9473 ) ( LOCATION ?auto_9467 ) ( CITY ?auto_9470 ) ( AT ?auto_9473 ?auto_9467 ) ( IN-CITY ?auto_9467 ?auto_9470 ) ( IN-CITY ?auto_9465 ?auto_9470 ) ( DIFFERENT ?auto_9465 ?auto_9467 ) ( LOCATION ?auto_9468 ) ( AT ?auto_9473 ?auto_9468 ) ( TRUCK ?auto_9476 ) ( AT ?auto_9476 ?auto_9468 ) ( LOCATION ?auto_9475 ) ( AT ?auto_9476 ?auto_9475 ) ( AIRPLANE ?auto_9471 ) ( AIRPORT ?auto_9474 ) ( AIRPORT ?auto_9475 ) ( AT ?auto_9471 ?auto_9474 ) ( DIFFERENT ?auto_9475 ?auto_9474 ) ( LOCATION ?auto_9469 ) ( AT ?auto_9471 ?auto_9469 ) ( TRUCK ?auto_9477 ) ( AT ?auto_9477 ?auto_9469 ) ( IN ?auto_9464 ?auto_9477 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9464 ?auto_9469 )
      ( DELIVER-PKG ?auto_9464 ?auto_9465 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9494
      ?auto_9495
    )
    :vars
    (
      ?auto_9504
      ?auto_9507
      ?auto_9497
      ?auto_9496
      ?auto_9501
      ?auto_9500
      ?auto_9502
      ?auto_9499
      ?auto_9498
      ?auto_9503
      ?auto_9510
      ?auto_9509
    )
    :precondition
    ( and ( OBJ ?auto_9494 ) ( LOCATION ?auto_9495 ) ( TRUCK ?auto_9504 ) ( LOCATION ?auto_9507 ) ( CITY ?auto_9497 ) ( AT ?auto_9504 ?auto_9507 ) ( IN-CITY ?auto_9507 ?auto_9497 ) ( IN-CITY ?auto_9495 ?auto_9497 ) ( DIFFERENT ?auto_9495 ?auto_9507 ) ( LOCATION ?auto_9496 ) ( AT ?auto_9504 ?auto_9496 ) ( TRUCK ?auto_9501 ) ( AT ?auto_9501 ?auto_9496 ) ( LOCATION ?auto_9500 ) ( AT ?auto_9501 ?auto_9500 ) ( AIRPLANE ?auto_9502 ) ( AIRPORT ?auto_9499 ) ( AIRPORT ?auto_9500 ) ( AT ?auto_9502 ?auto_9499 ) ( DIFFERENT ?auto_9500 ?auto_9499 ) ( LOCATION ?auto_9498 ) ( AT ?auto_9502 ?auto_9498 ) ( TRUCK ?auto_9503 ) ( IN ?auto_9494 ?auto_9503 ) ( LOCATION ?auto_9510 ) ( CITY ?auto_9509 ) ( AT ?auto_9503 ?auto_9510 ) ( IN-CITY ?auto_9510 ?auto_9509 ) ( IN-CITY ?auto_9498 ?auto_9509 ) ( DIFFERENT ?auto_9498 ?auto_9510 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9503 ?auto_9510 ?auto_9498 ?auto_9509 )
      ( DELIVER-PKG ?auto_9494 ?auto_9495 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9544
      ?auto_9545
    )
    :vars
    (
      ?auto_9555
      ?auto_9556
      ?auto_9548
      ?auto_9546
      ?auto_9551
      ?auto_9550
      ?auto_9553
      ?auto_9552
      ?auto_9549
      ?auto_9554
      ?auto_9559
      ?auto_9558
      ?auto_9561
    )
    :precondition
    ( and ( OBJ ?auto_9544 ) ( LOCATION ?auto_9545 ) ( TRUCK ?auto_9555 ) ( LOCATION ?auto_9556 ) ( CITY ?auto_9548 ) ( AT ?auto_9555 ?auto_9556 ) ( IN-CITY ?auto_9556 ?auto_9548 ) ( IN-CITY ?auto_9545 ?auto_9548 ) ( DIFFERENT ?auto_9545 ?auto_9556 ) ( LOCATION ?auto_9546 ) ( AT ?auto_9555 ?auto_9546 ) ( TRUCK ?auto_9551 ) ( AT ?auto_9551 ?auto_9546 ) ( LOCATION ?auto_9550 ) ( AT ?auto_9551 ?auto_9550 ) ( AIRPLANE ?auto_9553 ) ( AIRPORT ?auto_9552 ) ( AIRPORT ?auto_9550 ) ( AT ?auto_9553 ?auto_9552 ) ( DIFFERENT ?auto_9550 ?auto_9552 ) ( LOCATION ?auto_9549 ) ( AT ?auto_9553 ?auto_9549 ) ( TRUCK ?auto_9554 ) ( LOCATION ?auto_9559 ) ( CITY ?auto_9558 ) ( AT ?auto_9554 ?auto_9559 ) ( IN-CITY ?auto_9559 ?auto_9558 ) ( IN-CITY ?auto_9549 ?auto_9558 ) ( DIFFERENT ?auto_9549 ?auto_9559 ) ( LOCATION ?auto_9561 ) ( AT ?auto_9554 ?auto_9561 ) ( AT ?auto_9544 ?auto_9561 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9544 ?auto_9554 ?auto_9561 )
      ( DELIVER-PKG ?auto_9544 ?auto_9545 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5810
      ?auto_5811
    )
    :vars
    (
      ?auto_5812
      ?auto_5814
      ?auto_5821
      ?auto_5815
      ?auto_5823
      ?auto_5817
      ?auto_5816
      ?auto_5813
      ?auto_5824
      ?auto_5819
      ?auto_5827
      ?auto_5826
    )
    :precondition
    ( and ( OBJ ?auto_5810 ) ( LOCATION ?auto_5811 ) ( TRUCK ?auto_5812 ) ( LOCATION ?auto_5814 ) ( CITY ?auto_5821 ) ( AT ?auto_5812 ?auto_5814 ) ( IN-CITY ?auto_5814 ?auto_5821 ) ( IN-CITY ?auto_5811 ?auto_5821 ) ( DIFFERENT ?auto_5811 ?auto_5814 ) ( LOCATION ?auto_5815 ) ( AT ?auto_5812 ?auto_5815 ) ( AIRPLANE ?auto_5823 ) ( AIRPORT ?auto_5817 ) ( AIRPORT ?auto_5815 ) ( AT ?auto_5823 ?auto_5817 ) ( DIFFERENT ?auto_5815 ?auto_5817 ) ( LOCATION ?auto_5816 ) ( AT ?auto_5823 ?auto_5816 ) ( TRUCK ?auto_5813 ) ( LOCATION ?auto_5824 ) ( CITY ?auto_5819 ) ( IN-CITY ?auto_5824 ?auto_5819 ) ( IN-CITY ?auto_5816 ?auto_5819 ) ( DIFFERENT ?auto_5816 ?auto_5824 ) ( AT ?auto_5810 ?auto_5824 ) ( LOCATION ?auto_5827 ) ( CITY ?auto_5826 ) ( AT ?auto_5813 ?auto_5827 ) ( IN-CITY ?auto_5827 ?auto_5826 ) ( IN-CITY ?auto_5824 ?auto_5826 ) ( DIFFERENT ?auto_5824 ?auto_5827 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5813 ?auto_5827 ?auto_5824 ?auto_5826 )
      ( DELIVER-PKG ?auto_5810 ?auto_5811 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5877
      ?auto_5878
    )
    :vars
    (
      ?auto_5881
      ?auto_5879
      ?auto_5883
      ?auto_5885
      ?auto_5887
      ?auto_5882
      ?auto_5886
      ?auto_5884
      ?auto_5888
      ?auto_5880
      ?auto_5892
      ?auto_5891
      ?auto_5895
      ?auto_5894
    )
    :precondition
    ( and ( OBJ ?auto_5877 ) ( LOCATION ?auto_5878 ) ( TRUCK ?auto_5881 ) ( LOCATION ?auto_5879 ) ( CITY ?auto_5883 ) ( AT ?auto_5881 ?auto_5879 ) ( IN-CITY ?auto_5879 ?auto_5883 ) ( IN-CITY ?auto_5878 ?auto_5883 ) ( DIFFERENT ?auto_5878 ?auto_5879 ) ( LOCATION ?auto_5885 ) ( AT ?auto_5881 ?auto_5885 ) ( AIRPLANE ?auto_5887 ) ( AIRPORT ?auto_5882 ) ( AIRPORT ?auto_5885 ) ( AT ?auto_5887 ?auto_5882 ) ( DIFFERENT ?auto_5885 ?auto_5882 ) ( LOCATION ?auto_5886 ) ( AT ?auto_5887 ?auto_5886 ) ( TRUCK ?auto_5884 ) ( LOCATION ?auto_5888 ) ( CITY ?auto_5880 ) ( IN-CITY ?auto_5888 ?auto_5880 ) ( IN-CITY ?auto_5886 ?auto_5880 ) ( DIFFERENT ?auto_5886 ?auto_5888 ) ( AT ?auto_5877 ?auto_5888 ) ( LOCATION ?auto_5892 ) ( CITY ?auto_5891 ) ( IN-CITY ?auto_5892 ?auto_5891 ) ( IN-CITY ?auto_5888 ?auto_5891 ) ( DIFFERENT ?auto_5888 ?auto_5892 ) ( LOCATION ?auto_5895 ) ( CITY ?auto_5894 ) ( AT ?auto_5884 ?auto_5895 ) ( IN-CITY ?auto_5895 ?auto_5894 ) ( IN-CITY ?auto_5892 ?auto_5894 ) ( DIFFERENT ?auto_5892 ?auto_5895 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5884 ?auto_5895 ?auto_5892 ?auto_5894 )
      ( DELIVER-PKG ?auto_5877 ?auto_5878 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5987
      ?auto_5988
    )
    :vars
    (
      ?auto_5992
      ?auto_5994
      ?auto_5995
      ?auto_5997
      ?auto_5999
      ?auto_5989
      ?auto_5998
      ?auto_5996
      ?auto_6000
      ?auto_5990
      ?auto_6002
      ?auto_6001
      ?auto_6004
      ?auto_6003
      ?auto_6007
      ?auto_6006
    )
    :precondition
    ( and ( OBJ ?auto_5987 ) ( LOCATION ?auto_5988 ) ( TRUCK ?auto_5992 ) ( LOCATION ?auto_5994 ) ( CITY ?auto_5995 ) ( AT ?auto_5992 ?auto_5994 ) ( IN-CITY ?auto_5994 ?auto_5995 ) ( IN-CITY ?auto_5988 ?auto_5995 ) ( DIFFERENT ?auto_5988 ?auto_5994 ) ( LOCATION ?auto_5997 ) ( AT ?auto_5992 ?auto_5997 ) ( AIRPLANE ?auto_5999 ) ( AIRPORT ?auto_5989 ) ( AIRPORT ?auto_5997 ) ( AT ?auto_5999 ?auto_5989 ) ( DIFFERENT ?auto_5997 ?auto_5989 ) ( LOCATION ?auto_5998 ) ( AT ?auto_5999 ?auto_5998 ) ( TRUCK ?auto_5996 ) ( LOCATION ?auto_6000 ) ( CITY ?auto_5990 ) ( IN-CITY ?auto_6000 ?auto_5990 ) ( IN-CITY ?auto_5998 ?auto_5990 ) ( DIFFERENT ?auto_5998 ?auto_6000 ) ( AT ?auto_5987 ?auto_6000 ) ( LOCATION ?auto_6002 ) ( CITY ?auto_6001 ) ( IN-CITY ?auto_6002 ?auto_6001 ) ( IN-CITY ?auto_6000 ?auto_6001 ) ( DIFFERENT ?auto_6000 ?auto_6002 ) ( LOCATION ?auto_6004 ) ( CITY ?auto_6003 ) ( IN-CITY ?auto_6004 ?auto_6003 ) ( IN-CITY ?auto_6002 ?auto_6003 ) ( DIFFERENT ?auto_6002 ?auto_6004 ) ( LOCATION ?auto_6007 ) ( CITY ?auto_6006 ) ( AT ?auto_5996 ?auto_6007 ) ( IN-CITY ?auto_6007 ?auto_6006 ) ( IN-CITY ?auto_6004 ?auto_6006 ) ( DIFFERENT ?auto_6004 ?auto_6007 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5996 ?auto_6007 ?auto_6004 ?auto_6006 )
      ( DELIVER-PKG ?auto_5987 ?auto_5988 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6069
      ?auto_6070
    )
    :vars
    (
      ?auto_6076
      ?auto_6080
      ?auto_6078
      ?auto_6082
      ?auto_6074
      ?auto_6081
      ?auto_6079
      ?auto_6083
      ?auto_6075
      ?auto_6085
      ?auto_6084
      ?auto_6087
      ?auto_6086
      ?auto_6088
      ?auto_6072
      ?auto_6091
      ?auto_6090
    )
    :precondition
    ( and ( OBJ ?auto_6069 ) ( LOCATION ?auto_6070 ) ( TRUCK ?auto_6076 ) ( LOCATION ?auto_6080 ) ( CITY ?auto_6078 ) ( IN-CITY ?auto_6080 ?auto_6078 ) ( IN-CITY ?auto_6070 ?auto_6078 ) ( DIFFERENT ?auto_6070 ?auto_6080 ) ( AIRPLANE ?auto_6082 ) ( AIRPORT ?auto_6074 ) ( AIRPORT ?auto_6080 ) ( AT ?auto_6082 ?auto_6074 ) ( DIFFERENT ?auto_6080 ?auto_6074 ) ( LOCATION ?auto_6081 ) ( AT ?auto_6082 ?auto_6081 ) ( TRUCK ?auto_6079 ) ( LOCATION ?auto_6083 ) ( CITY ?auto_6075 ) ( IN-CITY ?auto_6083 ?auto_6075 ) ( IN-CITY ?auto_6081 ?auto_6075 ) ( DIFFERENT ?auto_6081 ?auto_6083 ) ( AT ?auto_6069 ?auto_6083 ) ( LOCATION ?auto_6085 ) ( CITY ?auto_6084 ) ( IN-CITY ?auto_6085 ?auto_6084 ) ( IN-CITY ?auto_6083 ?auto_6084 ) ( DIFFERENT ?auto_6083 ?auto_6085 ) ( LOCATION ?auto_6087 ) ( CITY ?auto_6086 ) ( IN-CITY ?auto_6087 ?auto_6086 ) ( IN-CITY ?auto_6085 ?auto_6086 ) ( DIFFERENT ?auto_6085 ?auto_6087 ) ( LOCATION ?auto_6088 ) ( CITY ?auto_6072 ) ( AT ?auto_6079 ?auto_6088 ) ( IN-CITY ?auto_6088 ?auto_6072 ) ( IN-CITY ?auto_6087 ?auto_6072 ) ( DIFFERENT ?auto_6087 ?auto_6088 ) ( LOCATION ?auto_6091 ) ( CITY ?auto_6090 ) ( AT ?auto_6076 ?auto_6091 ) ( IN-CITY ?auto_6091 ?auto_6090 ) ( IN-CITY ?auto_6080 ?auto_6090 ) ( DIFFERENT ?auto_6080 ?auto_6091 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6076 ?auto_6091 ?auto_6080 ?auto_6090 )
      ( DELIVER-PKG ?auto_6069 ?auto_6070 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6272
      ?auto_6275
    )
    :vars
    (
      ?auto_6277
      ?auto_6279
      ?auto_6282
      ?auto_6286
    )
    :precondition
    ( and ( OBJ ?auto_6272 ) ( LOCATION ?auto_6275 ) ( AIRPLANE ?auto_6277 ) ( AIRPORT ?auto_6279 ) ( AIRPORT ?auto_6275 ) ( DIFFERENT ?auto_6275 ?auto_6279 ) ( AIRPORT ?auto_6282 ) ( AT ?auto_6277 ?auto_6282 ) ( DIFFERENT ?auto_6279 ?auto_6282 ) ( TRUCK ?auto_6286 ) ( AT ?auto_6286 ?auto_6275 ) ( IN ?auto_6272 ?auto_6286 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6272 ?auto_6275 )
      ( FLY-AIRPLANE ?auto_6277 ?auto_6282 ?auto_6279 )
      ( FLY-AIRPLANE ?auto_6277 ?auto_6279 ?auto_6275 )
      ( DELIVER-PKG ?auto_6272 ?auto_6275 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7139
      ?auto_7140
    )
    :vars
    (
      ?auto_7148
      ?auto_7146
      ?auto_7150
      ?auto_7144
      ?auto_7143
      ?auto_7147
      ?auto_7145
      ?auto_7149
      ?auto_7151
      ?auto_7152
      ?auto_7154
      ?auto_7153
      ?auto_7156
    )
    :precondition
    ( and ( OBJ ?auto_7139 ) ( LOCATION ?auto_7140 ) ( TRUCK ?auto_7148 ) ( LOCATION ?auto_7146 ) ( CITY ?auto_7150 ) ( IN-CITY ?auto_7146 ?auto_7150 ) ( IN-CITY ?auto_7140 ?auto_7150 ) ( DIFFERENT ?auto_7140 ?auto_7146 ) ( LOCATION ?auto_7144 ) ( CITY ?auto_7143 ) ( AT ?auto_7148 ?auto_7144 ) ( IN-CITY ?auto_7144 ?auto_7143 ) ( IN-CITY ?auto_7146 ?auto_7143 ) ( DIFFERENT ?auto_7146 ?auto_7144 ) ( LOCATION ?auto_7147 ) ( AT ?auto_7148 ?auto_7147 ) ( AIRPLANE ?auto_7145 ) ( AIRPORT ?auto_7149 ) ( AIRPORT ?auto_7147 ) ( AT ?auto_7145 ?auto_7149 ) ( DIFFERENT ?auto_7147 ?auto_7149 ) ( LOCATION ?auto_7151 ) ( AT ?auto_7145 ?auto_7151 ) ( TRUCK ?auto_7152 ) ( LOCATION ?auto_7154 ) ( CITY ?auto_7153 ) ( AT ?auto_7152 ?auto_7154 ) ( IN-CITY ?auto_7154 ?auto_7153 ) ( IN-CITY ?auto_7151 ?auto_7153 ) ( DIFFERENT ?auto_7151 ?auto_7154 ) ( LOCATION ?auto_7156 ) ( AT ?auto_7152 ?auto_7156 ) ( AT ?auto_7139 ?auto_7156 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7139 ?auto_7152 ?auto_7156 )
      ( DELIVER-PKG ?auto_7139 ?auto_7140 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7158
      ?auto_7159
    )
    :vars
    (
      ?auto_7167
      ?auto_7165
      ?auto_7169
      ?auto_7166
      ?auto_7162
      ?auto_7164
      ?auto_7168
      ?auto_7170
      ?auto_7171
      ?auto_7173
      ?auto_7172
      ?auto_7174
      ?auto_7177
      ?auto_7176
    )
    :precondition
    ( and ( OBJ ?auto_7158 ) ( LOCATION ?auto_7159 ) ( TRUCK ?auto_7167 ) ( LOCATION ?auto_7165 ) ( CITY ?auto_7169 ) ( IN-CITY ?auto_7165 ?auto_7169 ) ( IN-CITY ?auto_7159 ?auto_7169 ) ( DIFFERENT ?auto_7159 ?auto_7165 ) ( LOCATION ?auto_7166 ) ( CITY ?auto_7162 ) ( IN-CITY ?auto_7166 ?auto_7162 ) ( IN-CITY ?auto_7165 ?auto_7162 ) ( DIFFERENT ?auto_7165 ?auto_7166 ) ( AIRPLANE ?auto_7164 ) ( AIRPORT ?auto_7168 ) ( AIRPORT ?auto_7166 ) ( AT ?auto_7164 ?auto_7168 ) ( DIFFERENT ?auto_7166 ?auto_7168 ) ( LOCATION ?auto_7170 ) ( AT ?auto_7164 ?auto_7170 ) ( TRUCK ?auto_7171 ) ( LOCATION ?auto_7173 ) ( CITY ?auto_7172 ) ( AT ?auto_7171 ?auto_7173 ) ( IN-CITY ?auto_7173 ?auto_7172 ) ( IN-CITY ?auto_7170 ?auto_7172 ) ( DIFFERENT ?auto_7170 ?auto_7173 ) ( LOCATION ?auto_7174 ) ( AT ?auto_7171 ?auto_7174 ) ( AT ?auto_7158 ?auto_7174 ) ( LOCATION ?auto_7177 ) ( CITY ?auto_7176 ) ( AT ?auto_7167 ?auto_7177 ) ( IN-CITY ?auto_7177 ?auto_7176 ) ( IN-CITY ?auto_7166 ?auto_7176 ) ( DIFFERENT ?auto_7166 ?auto_7177 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7167 ?auto_7177 ?auto_7166 ?auto_7176 )
      ( DELIVER-PKG ?auto_7158 ?auto_7159 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7703
      ?auto_7704
    )
    :vars
    (
      ?auto_7707
      ?auto_7708
      ?auto_7709
      ?auto_7710
      ?auto_7713
    )
    :precondition
    ( and ( OBJ ?auto_7703 ) ( LOCATION ?auto_7704 ) ( AIRPLANE ?auto_7707 ) ( AIRPORT ?auto_7708 ) ( AIRPORT ?auto_7704 ) ( DIFFERENT ?auto_7704 ?auto_7708 ) ( LOCATION ?auto_7708 ) ( AIRPORT ?auto_7709 ) ( DIFFERENT ?auto_7708 ?auto_7709 ) ( AIRPORT ?auto_7710 ) ( AT ?auto_7707 ?auto_7710 ) ( DIFFERENT ?auto_7709 ?auto_7710 ) ( TRUCK ?auto_7713 ) ( AT ?auto_7713 ?auto_7708 ) ( IN ?auto_7703 ?auto_7713 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_7703 ?auto_7708 )
      ( DELIVER-PKG ?auto_7703 ?auto_7704 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7741
      ?auto_7742
    )
    :vars
    (
      ?auto_7745
      ?auto_7746
      ?auto_7747
      ?auto_7748
      ?auto_7749
      ?auto_7752
      ?auto_7751
    )
    :precondition
    ( and ( OBJ ?auto_7741 ) ( LOCATION ?auto_7742 ) ( AIRPLANE ?auto_7745 ) ( AIRPORT ?auto_7746 ) ( AIRPORT ?auto_7742 ) ( DIFFERENT ?auto_7742 ?auto_7746 ) ( LOCATION ?auto_7746 ) ( AIRPORT ?auto_7747 ) ( DIFFERENT ?auto_7746 ?auto_7747 ) ( AIRPORT ?auto_7748 ) ( AT ?auto_7745 ?auto_7748 ) ( DIFFERENT ?auto_7747 ?auto_7748 ) ( TRUCK ?auto_7749 ) ( IN ?auto_7741 ?auto_7749 ) ( LOCATION ?auto_7752 ) ( CITY ?auto_7751 ) ( AT ?auto_7749 ?auto_7752 ) ( IN-CITY ?auto_7752 ?auto_7751 ) ( IN-CITY ?auto_7746 ?auto_7751 ) ( DIFFERENT ?auto_7746 ?auto_7752 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7749 ?auto_7752 ?auto_7746 ?auto_7751 )
      ( DELIVER-PKG ?auto_7741 ?auto_7742 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7776
      ?auto_7777
    )
    :vars
    (
      ?auto_7780
      ?auto_7781
      ?auto_7782
      ?auto_7783
      ?auto_7784
      ?auto_7786
      ?auto_7785
      ?auto_7788
    )
    :precondition
    ( and ( OBJ ?auto_7776 ) ( LOCATION ?auto_7777 ) ( AIRPLANE ?auto_7780 ) ( AIRPORT ?auto_7781 ) ( AIRPORT ?auto_7777 ) ( DIFFERENT ?auto_7777 ?auto_7781 ) ( LOCATION ?auto_7781 ) ( AIRPORT ?auto_7782 ) ( DIFFERENT ?auto_7781 ?auto_7782 ) ( AIRPORT ?auto_7783 ) ( AT ?auto_7780 ?auto_7783 ) ( DIFFERENT ?auto_7782 ?auto_7783 ) ( TRUCK ?auto_7784 ) ( LOCATION ?auto_7786 ) ( CITY ?auto_7785 ) ( AT ?auto_7784 ?auto_7786 ) ( IN-CITY ?auto_7786 ?auto_7785 ) ( IN-CITY ?auto_7781 ?auto_7785 ) ( DIFFERENT ?auto_7781 ?auto_7786 ) ( LOCATION ?auto_7788 ) ( AT ?auto_7784 ?auto_7788 ) ( AT ?auto_7776 ?auto_7788 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_7776 ?auto_7784 ?auto_7788 )
      ( DELIVER-PKG ?auto_7776 ?auto_7777 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7814
      ?auto_7815
    )
    :vars
    (
      ?auto_7818
      ?auto_7819
      ?auto_7820
      ?auto_7821
      ?auto_7822
      ?auto_7825
      ?auto_7824
      ?auto_7828
      ?auto_7827
    )
    :precondition
    ( and ( OBJ ?auto_7814 ) ( LOCATION ?auto_7815 ) ( AIRPLANE ?auto_7818 ) ( AIRPORT ?auto_7819 ) ( AIRPORT ?auto_7815 ) ( DIFFERENT ?auto_7815 ?auto_7819 ) ( LOCATION ?auto_7819 ) ( AIRPORT ?auto_7820 ) ( DIFFERENT ?auto_7819 ?auto_7820 ) ( AIRPORT ?auto_7821 ) ( AT ?auto_7818 ?auto_7821 ) ( DIFFERENT ?auto_7820 ?auto_7821 ) ( TRUCK ?auto_7822 ) ( LOCATION ?auto_7825 ) ( CITY ?auto_7824 ) ( IN-CITY ?auto_7825 ?auto_7824 ) ( IN-CITY ?auto_7819 ?auto_7824 ) ( DIFFERENT ?auto_7819 ?auto_7825 ) ( AT ?auto_7814 ?auto_7825 ) ( LOCATION ?auto_7828 ) ( CITY ?auto_7827 ) ( AT ?auto_7822 ?auto_7828 ) ( IN-CITY ?auto_7828 ?auto_7827 ) ( IN-CITY ?auto_7825 ?auto_7827 ) ( DIFFERENT ?auto_7825 ?auto_7828 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7822 ?auto_7828 ?auto_7825 ?auto_7827 )
      ( DELIVER-PKG ?auto_7814 ?auto_7815 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8434
      ?auto_8435
    )
    :vars
    (
      ?auto_8441
      ?auto_8440
      ?auto_8442
      ?auto_8436
      ?auto_8438
      ?auto_8444
      ?auto_8446
    )
    :precondition
    ( and ( OBJ ?auto_8434 ) ( LOCATION ?auto_8435 ) ( AIRPLANE ?auto_8441 ) ( AIRPORT ?auto_8440 ) ( AIRPORT ?auto_8435 ) ( DIFFERENT ?auto_8435 ?auto_8440 ) ( LOCATION ?auto_8440 ) ( TRUCK ?auto_8442 ) ( LOCATION ?auto_8436 ) ( CITY ?auto_8438 ) ( AT ?auto_8442 ?auto_8436 ) ( IN-CITY ?auto_8436 ?auto_8438 ) ( IN-CITY ?auto_8440 ?auto_8438 ) ( DIFFERENT ?auto_8440 ?auto_8436 ) ( LOCATION ?auto_8444 ) ( AT ?auto_8442 ?auto_8444 ) ( AT ?auto_8434 ?auto_8444 ) ( AIRPORT ?auto_8446 ) ( AT ?auto_8441 ?auto_8446 ) ( DIFFERENT ?auto_8440 ?auto_8446 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8441 ?auto_8446 ?auto_8440 )
      ( DELIVER-PKG ?auto_8434 ?auto_8435 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8448
      ?auto_8449
    )
    :vars
    (
      ?auto_8452
      ?auto_8451
      ?auto_8453
      ?auto_8454
      ?auto_8450
      ?auto_8455
      ?auto_8461
      ?auto_8460
    )
    :precondition
    ( and ( OBJ ?auto_8448 ) ( LOCATION ?auto_8449 ) ( AIRPLANE ?auto_8452 ) ( AIRPORT ?auto_8451 ) ( AIRPORT ?auto_8449 ) ( DIFFERENT ?auto_8449 ?auto_8451 ) ( LOCATION ?auto_8451 ) ( TRUCK ?auto_8453 ) ( LOCATION ?auto_8454 ) ( CITY ?auto_8450 ) ( IN-CITY ?auto_8454 ?auto_8450 ) ( IN-CITY ?auto_8451 ?auto_8450 ) ( DIFFERENT ?auto_8451 ?auto_8454 ) ( AT ?auto_8448 ?auto_8454 ) ( AIRPORT ?auto_8455 ) ( AT ?auto_8452 ?auto_8455 ) ( DIFFERENT ?auto_8451 ?auto_8455 ) ( LOCATION ?auto_8461 ) ( CITY ?auto_8460 ) ( AT ?auto_8453 ?auto_8461 ) ( IN-CITY ?auto_8461 ?auto_8460 ) ( IN-CITY ?auto_8454 ?auto_8460 ) ( DIFFERENT ?auto_8454 ?auto_8461 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8453 ?auto_8461 ?auto_8454 ?auto_8460 )
      ( DELIVER-PKG ?auto_8448 ?auto_8449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8602
      ?auto_8603
    )
    :vars
    (
      ?auto_8605
      ?auto_8608
    )
    :precondition
    ( and ( OBJ ?auto_8602 ) ( LOCATION ?auto_8603 ) ( TRUCK ?auto_8605 ) ( AT ?auto_8605 ?auto_8603 ) ( LOCATION ?auto_8608 ) ( AT ?auto_8605 ?auto_8608 ) ( AT ?auto_8602 ?auto_8608 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8602 ?auto_8605 ?auto_8608 )
      ( DELIVER-PKG ?auto_8602 ?auto_8603 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8610
      ?auto_8611
    )
    :vars
    (
      ?auto_8615
      ?auto_8614
      ?auto_8618
    )
    :precondition
    ( and ( OBJ ?auto_8610 ) ( LOCATION ?auto_8611 ) ( TRUCK ?auto_8615 ) ( AT ?auto_8615 ?auto_8611 ) ( LOCATION ?auto_8614 ) ( AT ?auto_8615 ?auto_8614 ) ( AIRPLANE ?auto_8618 ) ( IN ?auto_8610 ?auto_8618 ) ( AT ?auto_8618 ?auto_8614 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8610 ?auto_8614 )
      ( DELIVER-PKG ?auto_8610 ?auto_8611 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8619
      ?auto_8620
    )
    :vars
    (
      ?auto_8622
      ?auto_8625
      ?auto_8621
      ?auto_8627
    )
    :precondition
    ( and ( OBJ ?auto_8619 ) ( LOCATION ?auto_8620 ) ( TRUCK ?auto_8622 ) ( AT ?auto_8622 ?auto_8620 ) ( LOCATION ?auto_8625 ) ( AT ?auto_8622 ?auto_8625 ) ( AIRPLANE ?auto_8621 ) ( IN ?auto_8619 ?auto_8621 ) ( AIRPORT ?auto_8627 ) ( AIRPORT ?auto_8625 ) ( AT ?auto_8621 ?auto_8627 ) ( DIFFERENT ?auto_8625 ?auto_8627 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8621 ?auto_8627 ?auto_8625 )
      ( DELIVER-PKG ?auto_8619 ?auto_8620 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8629
      ?auto_8630
    )
    :vars
    (
      ?auto_8636
      ?auto_8632
      ?auto_8635
      ?auto_8634
      ?auto_8638
    )
    :precondition
    ( and ( OBJ ?auto_8629 ) ( LOCATION ?auto_8630 ) ( TRUCK ?auto_8636 ) ( AT ?auto_8636 ?auto_8630 ) ( LOCATION ?auto_8632 ) ( AT ?auto_8636 ?auto_8632 ) ( AIRPLANE ?auto_8635 ) ( AIRPORT ?auto_8634 ) ( AIRPORT ?auto_8632 ) ( AT ?auto_8635 ?auto_8634 ) ( DIFFERENT ?auto_8632 ?auto_8634 ) ( LOCATION ?auto_8638 ) ( AT ?auto_8629 ?auto_8638 ) ( AT ?auto_8635 ?auto_8638 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_8629 ?auto_8635 ?auto_8638 )
      ( DELIVER-PKG ?auto_8629 ?auto_8630 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8649
      ?auto_8650
    )
    :vars
    (
      ?auto_8651
      ?auto_8656
      ?auto_8653
      ?auto_8657
      ?auto_8655
      ?auto_8658
    )
    :precondition
    ( and ( OBJ ?auto_8649 ) ( LOCATION ?auto_8650 ) ( TRUCK ?auto_8651 ) ( AT ?auto_8651 ?auto_8650 ) ( LOCATION ?auto_8656 ) ( AT ?auto_8651 ?auto_8656 ) ( AIRPLANE ?auto_8653 ) ( AIRPORT ?auto_8657 ) ( AIRPORT ?auto_8656 ) ( AT ?auto_8653 ?auto_8657 ) ( DIFFERENT ?auto_8656 ?auto_8657 ) ( LOCATION ?auto_8655 ) ( AT ?auto_8653 ?auto_8655 ) ( TRUCK ?auto_8658 ) ( AT ?auto_8658 ?auto_8655 ) ( IN ?auto_8649 ?auto_8658 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8649 ?auto_8655 )
      ( DELIVER-PKG ?auto_8649 ?auto_8650 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8671
      ?auto_8672
    )
    :vars
    (
      ?auto_8678
      ?auto_8676
      ?auto_8673
      ?auto_8675
      ?auto_8674
      ?auto_8679
      ?auto_8683
      ?auto_8682
    )
    :precondition
    ( and ( OBJ ?auto_8671 ) ( LOCATION ?auto_8672 ) ( TRUCK ?auto_8678 ) ( AT ?auto_8678 ?auto_8672 ) ( LOCATION ?auto_8676 ) ( AT ?auto_8678 ?auto_8676 ) ( AIRPLANE ?auto_8673 ) ( AIRPORT ?auto_8675 ) ( AIRPORT ?auto_8676 ) ( AT ?auto_8673 ?auto_8675 ) ( DIFFERENT ?auto_8676 ?auto_8675 ) ( LOCATION ?auto_8674 ) ( AT ?auto_8673 ?auto_8674 ) ( TRUCK ?auto_8679 ) ( IN ?auto_8671 ?auto_8679 ) ( LOCATION ?auto_8683 ) ( CITY ?auto_8682 ) ( AT ?auto_8679 ?auto_8683 ) ( IN-CITY ?auto_8683 ?auto_8682 ) ( IN-CITY ?auto_8674 ?auto_8682 ) ( DIFFERENT ?auto_8674 ?auto_8683 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8679 ?auto_8683 ?auto_8674 ?auto_8682 )
      ( DELIVER-PKG ?auto_8671 ?auto_8672 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8709
      ?auto_8710
    )
    :vars
    (
      ?auto_8716
      ?auto_8715
      ?auto_8718
      ?auto_8714
      ?auto_8712
      ?auto_8717
      ?auto_8720
      ?auto_8719
      ?auto_8722
    )
    :precondition
    ( and ( OBJ ?auto_8709 ) ( LOCATION ?auto_8710 ) ( TRUCK ?auto_8716 ) ( AT ?auto_8716 ?auto_8710 ) ( LOCATION ?auto_8715 ) ( AT ?auto_8716 ?auto_8715 ) ( AIRPLANE ?auto_8718 ) ( AIRPORT ?auto_8714 ) ( AIRPORT ?auto_8715 ) ( AT ?auto_8718 ?auto_8714 ) ( DIFFERENT ?auto_8715 ?auto_8714 ) ( LOCATION ?auto_8712 ) ( AT ?auto_8718 ?auto_8712 ) ( TRUCK ?auto_8717 ) ( LOCATION ?auto_8720 ) ( CITY ?auto_8719 ) ( AT ?auto_8717 ?auto_8720 ) ( IN-CITY ?auto_8720 ?auto_8719 ) ( IN-CITY ?auto_8712 ?auto_8719 ) ( DIFFERENT ?auto_8712 ?auto_8720 ) ( LOCATION ?auto_8722 ) ( AT ?auto_8717 ?auto_8722 ) ( AT ?auto_8709 ?auto_8722 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8709 ?auto_8717 ?auto_8722 )
      ( DELIVER-PKG ?auto_8709 ?auto_8710 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8750
      ?auto_8751
    )
    :vars
    (
      ?auto_8756
      ?auto_8755
      ?auto_8758
      ?auto_8753
      ?auto_8757
      ?auto_8761
      ?auto_8760
      ?auto_8762
      ?auto_8764
    )
    :precondition
    ( and ( OBJ ?auto_8750 ) ( LOCATION ?auto_8751 ) ( TRUCK ?auto_8756 ) ( AT ?auto_8756 ?auto_8751 ) ( LOCATION ?auto_8755 ) ( AT ?auto_8756 ?auto_8755 ) ( AIRPLANE ?auto_8758 ) ( AIRPORT ?auto_8753 ) ( AIRPORT ?auto_8755 ) ( DIFFERENT ?auto_8755 ?auto_8753 ) ( LOCATION ?auto_8753 ) ( TRUCK ?auto_8757 ) ( LOCATION ?auto_8761 ) ( CITY ?auto_8760 ) ( AT ?auto_8757 ?auto_8761 ) ( IN-CITY ?auto_8761 ?auto_8760 ) ( IN-CITY ?auto_8753 ?auto_8760 ) ( DIFFERENT ?auto_8753 ?auto_8761 ) ( LOCATION ?auto_8762 ) ( AT ?auto_8757 ?auto_8762 ) ( AT ?auto_8750 ?auto_8762 ) ( AIRPORT ?auto_8764 ) ( AT ?auto_8758 ?auto_8764 ) ( DIFFERENT ?auto_8753 ?auto_8764 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8758 ?auto_8764 ?auto_8753 )
      ( DELIVER-PKG ?auto_8750 ?auto_8751 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8766
      ?auto_8767
    )
    :vars
    (
      ?auto_8774
      ?auto_8773
      ?auto_8776
      ?auto_8771
      ?auto_8775
      ?auto_8777
      ?auto_8769
      ?auto_8778
      ?auto_8781
      ?auto_8780
    )
    :precondition
    ( and ( OBJ ?auto_8766 ) ( LOCATION ?auto_8767 ) ( TRUCK ?auto_8774 ) ( AT ?auto_8774 ?auto_8767 ) ( LOCATION ?auto_8773 ) ( AT ?auto_8774 ?auto_8773 ) ( AIRPLANE ?auto_8776 ) ( AIRPORT ?auto_8771 ) ( AIRPORT ?auto_8773 ) ( DIFFERENT ?auto_8773 ?auto_8771 ) ( LOCATION ?auto_8771 ) ( TRUCK ?auto_8775 ) ( LOCATION ?auto_8777 ) ( CITY ?auto_8769 ) ( IN-CITY ?auto_8777 ?auto_8769 ) ( IN-CITY ?auto_8771 ?auto_8769 ) ( DIFFERENT ?auto_8771 ?auto_8777 ) ( AT ?auto_8766 ?auto_8777 ) ( AIRPORT ?auto_8778 ) ( AT ?auto_8776 ?auto_8778 ) ( DIFFERENT ?auto_8771 ?auto_8778 ) ( LOCATION ?auto_8781 ) ( CITY ?auto_8780 ) ( AT ?auto_8775 ?auto_8781 ) ( IN-CITY ?auto_8781 ?auto_8780 ) ( IN-CITY ?auto_8777 ?auto_8780 ) ( DIFFERENT ?auto_8777 ?auto_8781 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8775 ?auto_8781 ?auto_8777 ?auto_8780 )
      ( DELIVER-PKG ?auto_8766 ?auto_8767 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9301
      ?auto_9302
    )
    :vars
    (
      ?auto_9309
      ?auto_9310
      ?auto_9306
      ?auto_9307
      ?auto_9308
      ?auto_9311
      ?auto_9305
      ?auto_9313
      ?auto_9312
      ?auto_9315
    )
    :precondition
    ( and ( OBJ ?auto_9301 ) ( LOCATION ?auto_9302 ) ( AIRPLANE ?auto_9309 ) ( AIRPORT ?auto_9310 ) ( AIRPORT ?auto_9302 ) ( DIFFERENT ?auto_9302 ?auto_9310 ) ( LOCATION ?auto_9310 ) ( AIRPORT ?auto_9306 ) ( DIFFERENT ?auto_9310 ?auto_9306 ) ( AIRPORT ?auto_9307 ) ( DIFFERENT ?auto_9306 ?auto_9307 ) ( TRUCK ?auto_9308 ) ( LOCATION ?auto_9311 ) ( CITY ?auto_9305 ) ( IN-CITY ?auto_9311 ?auto_9305 ) ( IN-CITY ?auto_9310 ?auto_9305 ) ( DIFFERENT ?auto_9310 ?auto_9311 ) ( AT ?auto_9301 ?auto_9311 ) ( LOCATION ?auto_9313 ) ( CITY ?auto_9312 ) ( AT ?auto_9308 ?auto_9313 ) ( IN-CITY ?auto_9313 ?auto_9312 ) ( IN-CITY ?auto_9311 ?auto_9312 ) ( DIFFERENT ?auto_9311 ?auto_9313 ) ( AIRPORT ?auto_9315 ) ( AT ?auto_9309 ?auto_9315 ) ( DIFFERENT ?auto_9307 ?auto_9315 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9309 ?auto_9315 ?auto_9307 )
      ( DELIVER-PKG ?auto_9301 ?auto_9302 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9377
      ?auto_9378
    )
    :vars
    (
      ?auto_9383
      ?auto_9384
      ?auto_9381
      ?auto_9382
      ?auto_9386
    )
    :precondition
    ( and ( OBJ ?auto_9377 ) ( LOCATION ?auto_9378 ) ( TRUCK ?auto_9383 ) ( LOCATION ?auto_9384 ) ( CITY ?auto_9381 ) ( AT ?auto_9383 ?auto_9384 ) ( IN-CITY ?auto_9384 ?auto_9381 ) ( IN-CITY ?auto_9378 ?auto_9381 ) ( DIFFERENT ?auto_9378 ?auto_9384 ) ( LOCATION ?auto_9382 ) ( AT ?auto_9383 ?auto_9382 ) ( TRUCK ?auto_9386 ) ( AT ?auto_9386 ?auto_9382 ) ( IN ?auto_9377 ?auto_9386 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9377 ?auto_9382 )
      ( DELIVER-PKG ?auto_9377 ?auto_9378 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9597
      ?auto_9598
    )
    :vars
    (
      ?auto_9602
      ?auto_9603
      ?auto_9599
      ?auto_9612
      ?auto_9607
      ?auto_9606
      ?auto_9609
      ?auto_9601
      ?auto_9610
      ?auto_9605
      ?auto_9604
      ?auto_9613
      ?auto_9615
    )
    :precondition
    ( and ( OBJ ?auto_9597 ) ( LOCATION ?auto_9598 ) ( TRUCK ?auto_9602 ) ( LOCATION ?auto_9603 ) ( CITY ?auto_9599 ) ( AT ?auto_9602 ?auto_9603 ) ( IN-CITY ?auto_9603 ?auto_9599 ) ( IN-CITY ?auto_9598 ?auto_9599 ) ( DIFFERENT ?auto_9598 ?auto_9603 ) ( LOCATION ?auto_9612 ) ( AT ?auto_9602 ?auto_9612 ) ( TRUCK ?auto_9607 ) ( AT ?auto_9607 ?auto_9612 ) ( LOCATION ?auto_9606 ) ( AT ?auto_9607 ?auto_9606 ) ( AIRPLANE ?auto_9609 ) ( AIRPORT ?auto_9601 ) ( AIRPORT ?auto_9606 ) ( DIFFERENT ?auto_9606 ?auto_9601 ) ( LOCATION ?auto_9601 ) ( TRUCK ?auto_9610 ) ( LOCATION ?auto_9605 ) ( CITY ?auto_9604 ) ( AT ?auto_9610 ?auto_9605 ) ( IN-CITY ?auto_9605 ?auto_9604 ) ( IN-CITY ?auto_9601 ?auto_9604 ) ( DIFFERENT ?auto_9601 ?auto_9605 ) ( LOCATION ?auto_9613 ) ( AT ?auto_9610 ?auto_9613 ) ( AT ?auto_9597 ?auto_9613 ) ( AIRPORT ?auto_9615 ) ( AT ?auto_9609 ?auto_9615 ) ( DIFFERENT ?auto_9601 ?auto_9615 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9609 ?auto_9615 ?auto_9601 )
      ( DELIVER-PKG ?auto_9597 ?auto_9598 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9617
      ?auto_9618
    )
    :vars
    (
      ?auto_9626
      ?auto_9622
      ?auto_9621
      ?auto_9630
      ?auto_9627
      ?auto_9625
      ?auto_9628
      ?auto_9631
      ?auto_9629
      ?auto_9633
      ?auto_9623
      ?auto_9632
      ?auto_9636
      ?auto_9635
    )
    :precondition
    ( and ( OBJ ?auto_9617 ) ( LOCATION ?auto_9618 ) ( TRUCK ?auto_9626 ) ( LOCATION ?auto_9622 ) ( CITY ?auto_9621 ) ( AT ?auto_9626 ?auto_9622 ) ( IN-CITY ?auto_9622 ?auto_9621 ) ( IN-CITY ?auto_9618 ?auto_9621 ) ( DIFFERENT ?auto_9618 ?auto_9622 ) ( LOCATION ?auto_9630 ) ( AT ?auto_9626 ?auto_9630 ) ( TRUCK ?auto_9627 ) ( AT ?auto_9627 ?auto_9630 ) ( LOCATION ?auto_9625 ) ( AT ?auto_9627 ?auto_9625 ) ( AIRPLANE ?auto_9628 ) ( AIRPORT ?auto_9631 ) ( AIRPORT ?auto_9625 ) ( DIFFERENT ?auto_9625 ?auto_9631 ) ( LOCATION ?auto_9631 ) ( TRUCK ?auto_9629 ) ( LOCATION ?auto_9633 ) ( CITY ?auto_9623 ) ( IN-CITY ?auto_9633 ?auto_9623 ) ( IN-CITY ?auto_9631 ?auto_9623 ) ( DIFFERENT ?auto_9631 ?auto_9633 ) ( AT ?auto_9617 ?auto_9633 ) ( AIRPORT ?auto_9632 ) ( AT ?auto_9628 ?auto_9632 ) ( DIFFERENT ?auto_9631 ?auto_9632 ) ( LOCATION ?auto_9636 ) ( CITY ?auto_9635 ) ( AT ?auto_9629 ?auto_9636 ) ( IN-CITY ?auto_9636 ?auto_9635 ) ( IN-CITY ?auto_9633 ?auto_9635 ) ( DIFFERENT ?auto_9633 ?auto_9636 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9629 ?auto_9636 ?auto_9633 ?auto_9635 )
      ( DELIVER-PKG ?auto_9617 ?auto_9618 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9713
      ?auto_9714
    )
    :vars
    (
      ?auto_9717
      ?auto_9716
      ?auto_9719
      ?auto_9721
      ?auto_9723
    )
    :precondition
    ( and ( OBJ ?auto_9713 ) ( LOCATION ?auto_9714 ) ( TRUCK ?auto_9717 ) ( AT ?auto_9717 ?auto_9714 ) ( LOCATION ?auto_9716 ) ( AT ?auto_9717 ?auto_9716 ) ( AIRPLANE ?auto_9719 ) ( AIRPORT ?auto_9721 ) ( AIRPORT ?auto_9716 ) ( DIFFERENT ?auto_9716 ?auto_9721 ) ( LOCATION ?auto_9721 ) ( AT ?auto_9713 ?auto_9721 ) ( AIRPORT ?auto_9723 ) ( AT ?auto_9719 ?auto_9723 ) ( DIFFERENT ?auto_9721 ?auto_9723 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9719 ?auto_9723 ?auto_9721 )
      ( DELIVER-PKG ?auto_9713 ?auto_9714 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9743
      ?auto_9744
    )
    :vars
    (
      ?auto_9749
      ?auto_9748
      ?auto_9750
      ?auto_9747
      ?auto_9751
      ?auto_9753
    )
    :precondition
    ( and ( OBJ ?auto_9743 ) ( LOCATION ?auto_9744 ) ( TRUCK ?auto_9749 ) ( AT ?auto_9749 ?auto_9744 ) ( LOCATION ?auto_9748 ) ( AT ?auto_9749 ?auto_9748 ) ( AIRPLANE ?auto_9750 ) ( AIRPORT ?auto_9747 ) ( AIRPORT ?auto_9748 ) ( DIFFERENT ?auto_9748 ?auto_9747 ) ( LOCATION ?auto_9747 ) ( AT ?auto_9743 ?auto_9747 ) ( AIRPORT ?auto_9751 ) ( DIFFERENT ?auto_9747 ?auto_9751 ) ( AIRPORT ?auto_9753 ) ( AT ?auto_9750 ?auto_9753 ) ( DIFFERENT ?auto_9751 ?auto_9753 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9750 ?auto_9753 ?auto_9751 )
      ( DELIVER-PKG ?auto_9743 ?auto_9744 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9765
      ?auto_9766
    )
    :vars
    (
      ?auto_9771
      ?auto_9770
      ?auto_9767
      ?auto_9769
      ?auto_9768
      ?auto_9774
      ?auto_9776
    )
    :precondition
    ( and ( OBJ ?auto_9765 ) ( LOCATION ?auto_9766 ) ( TRUCK ?auto_9771 ) ( AT ?auto_9771 ?auto_9766 ) ( LOCATION ?auto_9770 ) ( AT ?auto_9771 ?auto_9770 ) ( AIRPLANE ?auto_9767 ) ( AIRPORT ?auto_9769 ) ( AIRPORT ?auto_9770 ) ( DIFFERENT ?auto_9770 ?auto_9769 ) ( LOCATION ?auto_9769 ) ( AIRPORT ?auto_9768 ) ( DIFFERENT ?auto_9769 ?auto_9768 ) ( AIRPORT ?auto_9774 ) ( AT ?auto_9767 ?auto_9774 ) ( DIFFERENT ?auto_9768 ?auto_9774 ) ( TRUCK ?auto_9776 ) ( AT ?auto_9776 ?auto_9769 ) ( IN ?auto_9765 ?auto_9776 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9765 ?auto_9769 )
      ( DELIVER-PKG ?auto_9765 ?auto_9766 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9789
      ?auto_9790
    )
    :vars
    (
      ?auto_9794
      ?auto_9797
      ?auto_9798
      ?auto_9795
      ?auto_9792
      ?auto_9796
      ?auto_9793
      ?auto_9802
      ?auto_9801
    )
    :precondition
    ( and ( OBJ ?auto_9789 ) ( LOCATION ?auto_9790 ) ( TRUCK ?auto_9794 ) ( AT ?auto_9794 ?auto_9790 ) ( LOCATION ?auto_9797 ) ( AT ?auto_9794 ?auto_9797 ) ( AIRPLANE ?auto_9798 ) ( AIRPORT ?auto_9795 ) ( AIRPORT ?auto_9797 ) ( DIFFERENT ?auto_9797 ?auto_9795 ) ( LOCATION ?auto_9795 ) ( AIRPORT ?auto_9792 ) ( DIFFERENT ?auto_9795 ?auto_9792 ) ( AIRPORT ?auto_9796 ) ( AT ?auto_9798 ?auto_9796 ) ( DIFFERENT ?auto_9792 ?auto_9796 ) ( TRUCK ?auto_9793 ) ( IN ?auto_9789 ?auto_9793 ) ( LOCATION ?auto_9802 ) ( CITY ?auto_9801 ) ( AT ?auto_9793 ?auto_9802 ) ( IN-CITY ?auto_9802 ?auto_9801 ) ( IN-CITY ?auto_9795 ?auto_9801 ) ( DIFFERENT ?auto_9795 ?auto_9802 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9793 ?auto_9802 ?auto_9795 ?auto_9801 )
      ( DELIVER-PKG ?auto_9789 ?auto_9790 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9817
      ?auto_9818
    )
    :vars
    (
      ?auto_9821
      ?auto_9825
      ?auto_9826
      ?auto_9822
      ?auto_9827
      ?auto_9823
      ?auto_9819
      ?auto_9829
      ?auto_9828
      ?auto_9831
    )
    :precondition
    ( and ( OBJ ?auto_9817 ) ( LOCATION ?auto_9818 ) ( TRUCK ?auto_9821 ) ( AT ?auto_9821 ?auto_9818 ) ( LOCATION ?auto_9825 ) ( AT ?auto_9821 ?auto_9825 ) ( AIRPLANE ?auto_9826 ) ( AIRPORT ?auto_9822 ) ( AIRPORT ?auto_9825 ) ( DIFFERENT ?auto_9825 ?auto_9822 ) ( LOCATION ?auto_9822 ) ( AIRPORT ?auto_9827 ) ( DIFFERENT ?auto_9822 ?auto_9827 ) ( AIRPORT ?auto_9823 ) ( AT ?auto_9826 ?auto_9823 ) ( DIFFERENT ?auto_9827 ?auto_9823 ) ( TRUCK ?auto_9819 ) ( LOCATION ?auto_9829 ) ( CITY ?auto_9828 ) ( AT ?auto_9819 ?auto_9829 ) ( IN-CITY ?auto_9829 ?auto_9828 ) ( IN-CITY ?auto_9822 ?auto_9828 ) ( DIFFERENT ?auto_9822 ?auto_9829 ) ( LOCATION ?auto_9831 ) ( AT ?auto_9819 ?auto_9831 ) ( AT ?auto_9817 ?auto_9831 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9817 ?auto_9819 ?auto_9831 )
      ( DELIVER-PKG ?auto_9817 ?auto_9818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9833
      ?auto_9839
    )
    :vars
    (
      ?auto_9836
      ?auto_9840
      ?auto_9837
      ?auto_9841
      ?auto_9838
      ?auto_9835
      ?auto_9843
      ?auto_9842
      ?auto_9846
      ?auto_9849
      ?auto_9848
    )
    :precondition
    ( and ( OBJ ?auto_9833 ) ( LOCATION ?auto_9839 ) ( TRUCK ?auto_9836 ) ( AIRPLANE ?auto_9840 ) ( AIRPORT ?auto_9837 ) ( AIRPORT ?auto_9839 ) ( DIFFERENT ?auto_9839 ?auto_9837 ) ( LOCATION ?auto_9837 ) ( AIRPORT ?auto_9841 ) ( DIFFERENT ?auto_9837 ?auto_9841 ) ( AIRPORT ?auto_9838 ) ( AT ?auto_9840 ?auto_9838 ) ( DIFFERENT ?auto_9841 ?auto_9838 ) ( TRUCK ?auto_9835 ) ( LOCATION ?auto_9843 ) ( CITY ?auto_9842 ) ( AT ?auto_9835 ?auto_9843 ) ( IN-CITY ?auto_9843 ?auto_9842 ) ( IN-CITY ?auto_9837 ?auto_9842 ) ( DIFFERENT ?auto_9837 ?auto_9843 ) ( LOCATION ?auto_9846 ) ( AT ?auto_9835 ?auto_9846 ) ( AT ?auto_9833 ?auto_9846 ) ( LOCATION ?auto_9849 ) ( CITY ?auto_9848 ) ( AT ?auto_9836 ?auto_9849 ) ( IN-CITY ?auto_9849 ?auto_9848 ) ( IN-CITY ?auto_9839 ?auto_9848 ) ( DIFFERENT ?auto_9839 ?auto_9849 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9836 ?auto_9849 ?auto_9839 ?auto_9848 )
      ( DELIVER-PKG ?auto_9833 ?auto_9839 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9885
      ?auto_9886
    )
    :vars
    (
      ?auto_9893
      ?auto_9888
      ?auto_9894
      ?auto_9897
      ?auto_9887
      ?auto_9895
      ?auto_9892
      ?auto_9896
      ?auto_9890
      ?auto_9889
      ?auto_9900
      ?auto_9899
      ?auto_9903
      ?auto_9902
    )
    :precondition
    ( and ( OBJ ?auto_9885 ) ( LOCATION ?auto_9886 ) ( TRUCK ?auto_9893 ) ( AIRPLANE ?auto_9888 ) ( AIRPORT ?auto_9894 ) ( AIRPORT ?auto_9886 ) ( DIFFERENT ?auto_9886 ?auto_9894 ) ( LOCATION ?auto_9894 ) ( AIRPORT ?auto_9897 ) ( DIFFERENT ?auto_9894 ?auto_9897 ) ( AIRPORT ?auto_9887 ) ( AT ?auto_9888 ?auto_9887 ) ( DIFFERENT ?auto_9897 ?auto_9887 ) ( TRUCK ?auto_9895 ) ( LOCATION ?auto_9892 ) ( CITY ?auto_9896 ) ( IN-CITY ?auto_9892 ?auto_9896 ) ( IN-CITY ?auto_9894 ?auto_9896 ) ( DIFFERENT ?auto_9894 ?auto_9892 ) ( AT ?auto_9885 ?auto_9892 ) ( LOCATION ?auto_9890 ) ( CITY ?auto_9889 ) ( IN-CITY ?auto_9890 ?auto_9889 ) ( IN-CITY ?auto_9886 ?auto_9889 ) ( DIFFERENT ?auto_9886 ?auto_9890 ) ( LOCATION ?auto_9900 ) ( CITY ?auto_9899 ) ( AT ?auto_9895 ?auto_9900 ) ( IN-CITY ?auto_9900 ?auto_9899 ) ( IN-CITY ?auto_9892 ?auto_9899 ) ( DIFFERENT ?auto_9892 ?auto_9900 ) ( LOCATION ?auto_9903 ) ( CITY ?auto_9902 ) ( AT ?auto_9893 ?auto_9903 ) ( IN-CITY ?auto_9903 ?auto_9902 ) ( IN-CITY ?auto_9890 ?auto_9902 ) ( DIFFERENT ?auto_9890 ?auto_9903 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9893 ?auto_9903 ?auto_9890 ?auto_9902 )
      ( DELIVER-PKG ?auto_9885 ?auto_9886 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10282
      ?auto_10283
    )
    :vars
    (
      ?auto_10293
      ?auto_10288
      ?auto_10286
      ?auto_10285
      ?auto_10290
      ?auto_10289
      ?auto_10287
      ?auto_10292
      ?auto_10296
    )
    :precondition
    ( and ( OBJ ?auto_10282 ) ( LOCATION ?auto_10283 ) ( TRUCK ?auto_10293 ) ( LOCATION ?auto_10288 ) ( CITY ?auto_10286 ) ( AT ?auto_10293 ?auto_10288 ) ( IN-CITY ?auto_10288 ?auto_10286 ) ( IN-CITY ?auto_10283 ?auto_10286 ) ( DIFFERENT ?auto_10283 ?auto_10288 ) ( LOCATION ?auto_10285 ) ( AT ?auto_10293 ?auto_10285 ) ( TRUCK ?auto_10290 ) ( AT ?auto_10290 ?auto_10285 ) ( LOCATION ?auto_10289 ) ( AT ?auto_10290 ?auto_10289 ) ( AIRPLANE ?auto_10287 ) ( AIRPORT ?auto_10292 ) ( AIRPORT ?auto_10289 ) ( DIFFERENT ?auto_10289 ?auto_10292 ) ( LOCATION ?auto_10292 ) ( AT ?auto_10282 ?auto_10292 ) ( AIRPORT ?auto_10296 ) ( AT ?auto_10287 ?auto_10296 ) ( DIFFERENT ?auto_10292 ?auto_10296 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10287 ?auto_10296 ?auto_10292 )
      ( DELIVER-PKG ?auto_10282 ?auto_10283 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10324
      ?auto_10325
    )
    :vars
    (
      ?auto_10333
      ?auto_10327
      ?auto_10331
      ?auto_10330
      ?auto_10329
      ?auto_10328
      ?auto_10326
      ?auto_10332
      ?auto_10334
      ?auto_10338
    )
    :precondition
    ( and ( OBJ ?auto_10324 ) ( LOCATION ?auto_10325 ) ( TRUCK ?auto_10333 ) ( LOCATION ?auto_10327 ) ( CITY ?auto_10331 ) ( AT ?auto_10333 ?auto_10327 ) ( IN-CITY ?auto_10327 ?auto_10331 ) ( IN-CITY ?auto_10325 ?auto_10331 ) ( DIFFERENT ?auto_10325 ?auto_10327 ) ( LOCATION ?auto_10330 ) ( AT ?auto_10333 ?auto_10330 ) ( TRUCK ?auto_10329 ) ( AT ?auto_10329 ?auto_10330 ) ( LOCATION ?auto_10328 ) ( AT ?auto_10329 ?auto_10328 ) ( AIRPLANE ?auto_10326 ) ( AIRPORT ?auto_10332 ) ( AIRPORT ?auto_10328 ) ( DIFFERENT ?auto_10328 ?auto_10332 ) ( LOCATION ?auto_10332 ) ( AT ?auto_10324 ?auto_10332 ) ( AIRPORT ?auto_10334 ) ( DIFFERENT ?auto_10332 ?auto_10334 ) ( AIRPORT ?auto_10338 ) ( AT ?auto_10326 ?auto_10338 ) ( DIFFERENT ?auto_10334 ?auto_10338 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10326 ?auto_10338 ?auto_10334 )
      ( DELIVER-PKG ?auto_10324 ?auto_10325 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10354
      ?auto_10355
    )
    :vars
    (
      ?auto_10359
      ?auto_10362
      ?auto_10365
      ?auto_10364
      ?auto_10363
      ?auto_10361
      ?auto_10357
      ?auto_10366
      ?auto_10360
      ?auto_10367
      ?auto_10369
    )
    :precondition
    ( and ( OBJ ?auto_10354 ) ( LOCATION ?auto_10355 ) ( TRUCK ?auto_10359 ) ( LOCATION ?auto_10362 ) ( CITY ?auto_10365 ) ( AT ?auto_10359 ?auto_10362 ) ( IN-CITY ?auto_10362 ?auto_10365 ) ( IN-CITY ?auto_10355 ?auto_10365 ) ( DIFFERENT ?auto_10355 ?auto_10362 ) ( LOCATION ?auto_10364 ) ( AT ?auto_10359 ?auto_10364 ) ( TRUCK ?auto_10363 ) ( AT ?auto_10363 ?auto_10364 ) ( LOCATION ?auto_10361 ) ( AT ?auto_10363 ?auto_10361 ) ( AIRPLANE ?auto_10357 ) ( AIRPORT ?auto_10366 ) ( AIRPORT ?auto_10361 ) ( DIFFERENT ?auto_10361 ?auto_10366 ) ( LOCATION ?auto_10366 ) ( AIRPORT ?auto_10360 ) ( DIFFERENT ?auto_10366 ?auto_10360 ) ( AIRPORT ?auto_10367 ) ( AT ?auto_10357 ?auto_10367 ) ( DIFFERENT ?auto_10360 ?auto_10367 ) ( TRUCK ?auto_10369 ) ( AT ?auto_10369 ?auto_10366 ) ( IN ?auto_10354 ?auto_10369 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10354 ?auto_10366 )
      ( DELIVER-PKG ?auto_10354 ?auto_10355 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10386
      ?auto_10387
    )
    :vars
    (
      ?auto_10391
      ?auto_10394
      ?auto_10397
      ?auto_10396
      ?auto_10395
      ?auto_10393
      ?auto_10390
      ?auto_10398
      ?auto_10392
      ?auto_10400
      ?auto_10399
      ?auto_10403
      ?auto_10402
    )
    :precondition
    ( and ( OBJ ?auto_10386 ) ( LOCATION ?auto_10387 ) ( TRUCK ?auto_10391 ) ( LOCATION ?auto_10394 ) ( CITY ?auto_10397 ) ( AT ?auto_10391 ?auto_10394 ) ( IN-CITY ?auto_10394 ?auto_10397 ) ( IN-CITY ?auto_10387 ?auto_10397 ) ( DIFFERENT ?auto_10387 ?auto_10394 ) ( LOCATION ?auto_10396 ) ( AT ?auto_10391 ?auto_10396 ) ( TRUCK ?auto_10395 ) ( AT ?auto_10395 ?auto_10396 ) ( LOCATION ?auto_10393 ) ( AT ?auto_10395 ?auto_10393 ) ( AIRPLANE ?auto_10390 ) ( AIRPORT ?auto_10398 ) ( AIRPORT ?auto_10393 ) ( DIFFERENT ?auto_10393 ?auto_10398 ) ( LOCATION ?auto_10398 ) ( AIRPORT ?auto_10392 ) ( DIFFERENT ?auto_10398 ?auto_10392 ) ( AIRPORT ?auto_10400 ) ( AT ?auto_10390 ?auto_10400 ) ( DIFFERENT ?auto_10392 ?auto_10400 ) ( TRUCK ?auto_10399 ) ( IN ?auto_10386 ?auto_10399 ) ( LOCATION ?auto_10403 ) ( CITY ?auto_10402 ) ( AT ?auto_10399 ?auto_10403 ) ( IN-CITY ?auto_10403 ?auto_10402 ) ( IN-CITY ?auto_10398 ?auto_10402 ) ( DIFFERENT ?auto_10398 ?auto_10403 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10399 ?auto_10403 ?auto_10398 ?auto_10402 )
      ( DELIVER-PKG ?auto_10386 ?auto_10387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10422
      ?auto_10423
    )
    :vars
    (
      ?auto_10432
      ?auto_10428
      ?auto_10431
      ?auto_10430
      ?auto_10429
      ?auto_10434
      ?auto_10435
      ?auto_10425
      ?auto_10433
      ?auto_10427
      ?auto_10426
      ?auto_10438
      ?auto_10437
      ?auto_10440
    )
    :precondition
    ( and ( OBJ ?auto_10422 ) ( LOCATION ?auto_10423 ) ( TRUCK ?auto_10432 ) ( LOCATION ?auto_10428 ) ( CITY ?auto_10431 ) ( AT ?auto_10432 ?auto_10428 ) ( IN-CITY ?auto_10428 ?auto_10431 ) ( IN-CITY ?auto_10423 ?auto_10431 ) ( DIFFERENT ?auto_10423 ?auto_10428 ) ( LOCATION ?auto_10430 ) ( AT ?auto_10432 ?auto_10430 ) ( TRUCK ?auto_10429 ) ( AT ?auto_10429 ?auto_10430 ) ( LOCATION ?auto_10434 ) ( AT ?auto_10429 ?auto_10434 ) ( AIRPLANE ?auto_10435 ) ( AIRPORT ?auto_10425 ) ( AIRPORT ?auto_10434 ) ( DIFFERENT ?auto_10434 ?auto_10425 ) ( LOCATION ?auto_10425 ) ( AIRPORT ?auto_10433 ) ( DIFFERENT ?auto_10425 ?auto_10433 ) ( AIRPORT ?auto_10427 ) ( AT ?auto_10435 ?auto_10427 ) ( DIFFERENT ?auto_10433 ?auto_10427 ) ( TRUCK ?auto_10426 ) ( LOCATION ?auto_10438 ) ( CITY ?auto_10437 ) ( AT ?auto_10426 ?auto_10438 ) ( IN-CITY ?auto_10438 ?auto_10437 ) ( IN-CITY ?auto_10425 ?auto_10437 ) ( DIFFERENT ?auto_10425 ?auto_10438 ) ( LOCATION ?auto_10440 ) ( AT ?auto_10426 ?auto_10440 ) ( AT ?auto_10422 ?auto_10440 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10422 ?auto_10426 ?auto_10440 )
      ( DELIVER-PKG ?auto_10422 ?auto_10423 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10442
      ?auto_10443
    )
    :vars
    (
      ?auto_10451
      ?auto_10456
      ?auto_10453
      ?auto_10457
      ?auto_10447
      ?auto_10455
      ?auto_10449
      ?auto_10448
      ?auto_10459
      ?auto_10458
      ?auto_10446
      ?auto_10462
      ?auto_10461
    )
    :precondition
    ( and ( OBJ ?auto_10442 ) ( LOCATION ?auto_10443 ) ( TRUCK ?auto_10451 ) ( LOCATION ?auto_10456 ) ( CITY ?auto_10453 ) ( IN-CITY ?auto_10456 ?auto_10453 ) ( IN-CITY ?auto_10443 ?auto_10453 ) ( DIFFERENT ?auto_10443 ?auto_10456 ) ( AIRPLANE ?auto_10457 ) ( AIRPORT ?auto_10447 ) ( AIRPORT ?auto_10456 ) ( DIFFERENT ?auto_10456 ?auto_10447 ) ( LOCATION ?auto_10447 ) ( AIRPORT ?auto_10455 ) ( DIFFERENT ?auto_10447 ?auto_10455 ) ( AIRPORT ?auto_10449 ) ( AT ?auto_10457 ?auto_10449 ) ( DIFFERENT ?auto_10455 ?auto_10449 ) ( TRUCK ?auto_10448 ) ( LOCATION ?auto_10459 ) ( CITY ?auto_10458 ) ( AT ?auto_10448 ?auto_10459 ) ( IN-CITY ?auto_10459 ?auto_10458 ) ( IN-CITY ?auto_10447 ?auto_10458 ) ( DIFFERENT ?auto_10447 ?auto_10459 ) ( LOCATION ?auto_10446 ) ( AT ?auto_10448 ?auto_10446 ) ( AT ?auto_10442 ?auto_10446 ) ( LOCATION ?auto_10462 ) ( CITY ?auto_10461 ) ( AT ?auto_10451 ?auto_10462 ) ( IN-CITY ?auto_10462 ?auto_10461 ) ( IN-CITY ?auto_10456 ?auto_10461 ) ( DIFFERENT ?auto_10456 ?auto_10462 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10451 ?auto_10462 ?auto_10456 ?auto_10461 )
      ( DELIVER-PKG ?auto_10442 ?auto_10443 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10481
      ?auto_10482
    )
    :vars
    (
      ?auto_10487
      ?auto_10489
      ?auto_10485
      ?auto_10490
      ?auto_10497
      ?auto_10491
      ?auto_10488
      ?auto_10483
      ?auto_10496
      ?auto_10493
      ?auto_10495
      ?auto_10492
      ?auto_10500
      ?auto_10499
    )
    :precondition
    ( and ( OBJ ?auto_10481 ) ( LOCATION ?auto_10482 ) ( TRUCK ?auto_10487 ) ( LOCATION ?auto_10489 ) ( CITY ?auto_10485 ) ( IN-CITY ?auto_10489 ?auto_10485 ) ( IN-CITY ?auto_10482 ?auto_10485 ) ( DIFFERENT ?auto_10482 ?auto_10489 ) ( AIRPLANE ?auto_10490 ) ( AIRPORT ?auto_10497 ) ( AIRPORT ?auto_10489 ) ( DIFFERENT ?auto_10489 ?auto_10497 ) ( LOCATION ?auto_10497 ) ( AIRPORT ?auto_10491 ) ( DIFFERENT ?auto_10497 ?auto_10491 ) ( AIRPORT ?auto_10488 ) ( AT ?auto_10490 ?auto_10488 ) ( DIFFERENT ?auto_10491 ?auto_10488 ) ( TRUCK ?auto_10483 ) ( LOCATION ?auto_10496 ) ( CITY ?auto_10493 ) ( IN-CITY ?auto_10496 ?auto_10493 ) ( IN-CITY ?auto_10497 ?auto_10493 ) ( DIFFERENT ?auto_10497 ?auto_10496 ) ( AT ?auto_10481 ?auto_10496 ) ( LOCATION ?auto_10495 ) ( CITY ?auto_10492 ) ( AT ?auto_10487 ?auto_10495 ) ( IN-CITY ?auto_10495 ?auto_10492 ) ( IN-CITY ?auto_10489 ?auto_10492 ) ( DIFFERENT ?auto_10489 ?auto_10495 ) ( LOCATION ?auto_10500 ) ( CITY ?auto_10499 ) ( AT ?auto_10483 ?auto_10500 ) ( IN-CITY ?auto_10500 ?auto_10499 ) ( IN-CITY ?auto_10496 ?auto_10499 ) ( DIFFERENT ?auto_10496 ?auto_10500 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10483 ?auto_10500 ?auto_10496 ?auto_10499 )
      ( DELIVER-PKG ?auto_10481 ?auto_10482 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10502
      ?auto_10503
    )
    :vars
    (
      ?auto_10506
      ?auto_10508
      ?auto_10509
      ?auto_10511
      ?auto_10505
      ?auto_10512
      ?auto_10507
      ?auto_10504
      ?auto_10516
      ?auto_10514
      ?auto_10515
      ?auto_10513
      ?auto_10519
      ?auto_10510
      ?auto_10522
      ?auto_10521
    )
    :precondition
    ( and ( OBJ ?auto_10502 ) ( LOCATION ?auto_10503 ) ( TRUCK ?auto_10506 ) ( LOCATION ?auto_10508 ) ( CITY ?auto_10509 ) ( IN-CITY ?auto_10508 ?auto_10509 ) ( IN-CITY ?auto_10503 ?auto_10509 ) ( DIFFERENT ?auto_10503 ?auto_10508 ) ( AIRPLANE ?auto_10511 ) ( AIRPORT ?auto_10505 ) ( AIRPORT ?auto_10508 ) ( DIFFERENT ?auto_10508 ?auto_10505 ) ( LOCATION ?auto_10505 ) ( AIRPORT ?auto_10512 ) ( DIFFERENT ?auto_10505 ?auto_10512 ) ( AIRPORT ?auto_10507 ) ( AT ?auto_10511 ?auto_10507 ) ( DIFFERENT ?auto_10512 ?auto_10507 ) ( TRUCK ?auto_10504 ) ( LOCATION ?auto_10516 ) ( CITY ?auto_10514 ) ( IN-CITY ?auto_10516 ?auto_10514 ) ( IN-CITY ?auto_10505 ?auto_10514 ) ( DIFFERENT ?auto_10505 ?auto_10516 ) ( AT ?auto_10502 ?auto_10516 ) ( LOCATION ?auto_10515 ) ( CITY ?auto_10513 ) ( IN-CITY ?auto_10515 ?auto_10513 ) ( IN-CITY ?auto_10508 ?auto_10513 ) ( DIFFERENT ?auto_10508 ?auto_10515 ) ( LOCATION ?auto_10519 ) ( CITY ?auto_10510 ) ( AT ?auto_10504 ?auto_10519 ) ( IN-CITY ?auto_10519 ?auto_10510 ) ( IN-CITY ?auto_10516 ?auto_10510 ) ( DIFFERENT ?auto_10516 ?auto_10519 ) ( LOCATION ?auto_10522 ) ( CITY ?auto_10521 ) ( AT ?auto_10506 ?auto_10522 ) ( IN-CITY ?auto_10522 ?auto_10521 ) ( IN-CITY ?auto_10515 ?auto_10521 ) ( DIFFERENT ?auto_10515 ?auto_10522 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10506 ?auto_10522 ?auto_10515 ?auto_10521 )
      ( DELIVER-PKG ?auto_10502 ?auto_10503 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10524
      ?auto_10525
    )
    :vars
    (
      ?auto_10531
      ?auto_10532
      ?auto_10533
      ?auto_10535
      ?auto_10530
      ?auto_10536
      ?auto_10526
      ?auto_10529
      ?auto_10540
      ?auto_10538
      ?auto_10539
      ?auto_10537
      ?auto_10541
      ?auto_10534
      ?auto_10543
      ?auto_10542
      ?auto_10545
    )
    :precondition
    ( and ( OBJ ?auto_10524 ) ( LOCATION ?auto_10525 ) ( TRUCK ?auto_10531 ) ( LOCATION ?auto_10532 ) ( CITY ?auto_10533 ) ( IN-CITY ?auto_10532 ?auto_10533 ) ( IN-CITY ?auto_10525 ?auto_10533 ) ( DIFFERENT ?auto_10525 ?auto_10532 ) ( AIRPLANE ?auto_10535 ) ( AIRPORT ?auto_10530 ) ( AIRPORT ?auto_10532 ) ( DIFFERENT ?auto_10532 ?auto_10530 ) ( LOCATION ?auto_10530 ) ( AIRPORT ?auto_10536 ) ( DIFFERENT ?auto_10530 ?auto_10536 ) ( AIRPORT ?auto_10526 ) ( DIFFERENT ?auto_10536 ?auto_10526 ) ( TRUCK ?auto_10529 ) ( LOCATION ?auto_10540 ) ( CITY ?auto_10538 ) ( IN-CITY ?auto_10540 ?auto_10538 ) ( IN-CITY ?auto_10530 ?auto_10538 ) ( DIFFERENT ?auto_10530 ?auto_10540 ) ( AT ?auto_10524 ?auto_10540 ) ( LOCATION ?auto_10539 ) ( CITY ?auto_10537 ) ( IN-CITY ?auto_10539 ?auto_10537 ) ( IN-CITY ?auto_10532 ?auto_10537 ) ( DIFFERENT ?auto_10532 ?auto_10539 ) ( LOCATION ?auto_10541 ) ( CITY ?auto_10534 ) ( AT ?auto_10529 ?auto_10541 ) ( IN-CITY ?auto_10541 ?auto_10534 ) ( IN-CITY ?auto_10540 ?auto_10534 ) ( DIFFERENT ?auto_10540 ?auto_10541 ) ( LOCATION ?auto_10543 ) ( CITY ?auto_10542 ) ( AT ?auto_10531 ?auto_10543 ) ( IN-CITY ?auto_10543 ?auto_10542 ) ( IN-CITY ?auto_10539 ?auto_10542 ) ( DIFFERENT ?auto_10539 ?auto_10543 ) ( AIRPORT ?auto_10545 ) ( AT ?auto_10535 ?auto_10545 ) ( DIFFERENT ?auto_10526 ?auto_10545 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10535 ?auto_10545 ?auto_10526 )
      ( DELIVER-PKG ?auto_10524 ?auto_10525 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10583
      ?auto_10584
    )
    :vars
    (
      ?auto_10586
      ?auto_10587
      ?auto_10591
    )
    :precondition
    ( and ( OBJ ?auto_10583 ) ( LOCATION ?auto_10584 ) ( TRUCK ?auto_10586 ) ( AT ?auto_10586 ?auto_10584 ) ( LOCATION ?auto_10587 ) ( AT ?auto_10586 ?auto_10587 ) ( TRUCK ?auto_10591 ) ( AT ?auto_10591 ?auto_10587 ) ( IN ?auto_10583 ?auto_10591 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10583 ?auto_10587 )
      ( DELIVER-PKG ?auto_10583 ?auto_10584 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11482
      ?auto_11483
    )
    :vars
    (
      ?auto_11487
      ?auto_11494
      ?auto_11488
      ?auto_11493
      ?auto_11485
      ?auto_11495
      ?auto_11498
      ?auto_11489
      ?auto_11486
      ?auto_11496
      ?auto_11484
      ?auto_11490
      ?auto_11492
      ?auto_11491
      ?auto_11501
    )
    :precondition
    ( and ( OBJ ?auto_11482 ) ( LOCATION ?auto_11483 ) ( TRUCK ?auto_11487 ) ( LOCATION ?auto_11494 ) ( CITY ?auto_11488 ) ( IN-CITY ?auto_11494 ?auto_11488 ) ( IN-CITY ?auto_11483 ?auto_11488 ) ( DIFFERENT ?auto_11483 ?auto_11494 ) ( LOCATION ?auto_11493 ) ( CITY ?auto_11485 ) ( AT ?auto_11487 ?auto_11493 ) ( IN-CITY ?auto_11493 ?auto_11485 ) ( IN-CITY ?auto_11494 ?auto_11485 ) ( DIFFERENT ?auto_11494 ?auto_11493 ) ( LOCATION ?auto_11495 ) ( AT ?auto_11487 ?auto_11495 ) ( AIRPLANE ?auto_11498 ) ( AIRPORT ?auto_11489 ) ( AIRPORT ?auto_11495 ) ( AT ?auto_11498 ?auto_11489 ) ( DIFFERENT ?auto_11495 ?auto_11489 ) ( LOCATION ?auto_11486 ) ( AT ?auto_11498 ?auto_11486 ) ( TRUCK ?auto_11496 ) ( LOCATION ?auto_11484 ) ( CITY ?auto_11490 ) ( IN-CITY ?auto_11484 ?auto_11490 ) ( IN-CITY ?auto_11486 ?auto_11490 ) ( DIFFERENT ?auto_11486 ?auto_11484 ) ( LOCATION ?auto_11492 ) ( CITY ?auto_11491 ) ( AT ?auto_11496 ?auto_11492 ) ( IN-CITY ?auto_11492 ?auto_11491 ) ( IN-CITY ?auto_11484 ?auto_11491 ) ( DIFFERENT ?auto_11484 ?auto_11492 ) ( LOCATION ?auto_11501 ) ( AT ?auto_11496 ?auto_11501 ) ( AT ?auto_11482 ?auto_11501 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11482 ?auto_11496 ?auto_11501 )
      ( DELIVER-PKG ?auto_11482 ?auto_11483 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11503
      ?auto_11504
    )
    :vars
    (
      ?auto_11521
      ?auto_11516
      ?auto_11505
      ?auto_11508
      ?auto_11518
      ?auto_11514
      ?auto_11509
      ?auto_11519
      ?auto_11515
      ?auto_11513
      ?auto_11512
      ?auto_11506
      ?auto_11507
      ?auto_11510
      ?auto_11523
    )
    :precondition
    ( and ( OBJ ?auto_11503 ) ( LOCATION ?auto_11504 ) ( TRUCK ?auto_11521 ) ( LOCATION ?auto_11516 ) ( CITY ?auto_11505 ) ( IN-CITY ?auto_11516 ?auto_11505 ) ( IN-CITY ?auto_11504 ?auto_11505 ) ( DIFFERENT ?auto_11504 ?auto_11516 ) ( LOCATION ?auto_11508 ) ( CITY ?auto_11518 ) ( AT ?auto_11521 ?auto_11508 ) ( IN-CITY ?auto_11508 ?auto_11518 ) ( IN-CITY ?auto_11516 ?auto_11518 ) ( DIFFERENT ?auto_11516 ?auto_11508 ) ( LOCATION ?auto_11514 ) ( AT ?auto_11521 ?auto_11514 ) ( AIRPLANE ?auto_11509 ) ( AIRPORT ?auto_11519 ) ( AIRPORT ?auto_11514 ) ( DIFFERENT ?auto_11514 ?auto_11519 ) ( LOCATION ?auto_11519 ) ( TRUCK ?auto_11515 ) ( LOCATION ?auto_11513 ) ( CITY ?auto_11512 ) ( IN-CITY ?auto_11513 ?auto_11512 ) ( IN-CITY ?auto_11519 ?auto_11512 ) ( DIFFERENT ?auto_11519 ?auto_11513 ) ( LOCATION ?auto_11506 ) ( CITY ?auto_11507 ) ( AT ?auto_11515 ?auto_11506 ) ( IN-CITY ?auto_11506 ?auto_11507 ) ( IN-CITY ?auto_11513 ?auto_11507 ) ( DIFFERENT ?auto_11513 ?auto_11506 ) ( LOCATION ?auto_11510 ) ( AT ?auto_11515 ?auto_11510 ) ( AT ?auto_11503 ?auto_11510 ) ( AIRPORT ?auto_11523 ) ( AT ?auto_11509 ?auto_11523 ) ( DIFFERENT ?auto_11519 ?auto_11523 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11509 ?auto_11523 ?auto_11519 )
      ( DELIVER-PKG ?auto_11503 ?auto_11504 ) )
  )

)

