( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_83
      ?auto_84
    )
    :vars
    (
      ?auto_87
    )
    :precondition
    ( and ( OBJ ?auto_83 ) ( LOCATION ?auto_84 ) ( TRUCK ?auto_87 ) ( AT ?auto_87 ?auto_84 ) ( IN ?auto_83 ?auto_87 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_83 ?auto_87 ?auto_84 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_88
      ?auto_89
    )
    :vars
    (
      ?auto_92
      ?auto_95
      ?auto_94
    )
    :precondition
    ( and ( OBJ ?auto_88 ) ( LOCATION ?auto_89 ) ( TRUCK ?auto_92 ) ( IN ?auto_88 ?auto_92 ) ( LOCATION ?auto_95 ) ( CITY ?auto_94 ) ( AT ?auto_92 ?auto_95 ) ( IN-CITY ?auto_95 ?auto_94 ) ( IN-CITY ?auto_89 ?auto_94 ) ( DIFFERENT ?auto_89 ?auto_95 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_92 ?auto_95 ?auto_89 ?auto_94 )
      ( DELIVER-PKG ?auto_88 ?auto_89 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_97
      ?auto_98
    )
    :vars
    (
      ?auto_99
      ?auto_103
      ?auto_102
      ?auto_105
    )
    :precondition
    ( and ( OBJ ?auto_97 ) ( LOCATION ?auto_98 ) ( TRUCK ?auto_99 ) ( LOCATION ?auto_103 ) ( CITY ?auto_102 ) ( AT ?auto_99 ?auto_103 ) ( IN-CITY ?auto_103 ?auto_102 ) ( IN-CITY ?auto_98 ?auto_102 ) ( DIFFERENT ?auto_98 ?auto_103 ) ( LOCATION ?auto_105 ) ( AT ?auto_99 ?auto_105 ) ( AT ?auto_97 ?auto_105 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_97 ?auto_99 ?auto_105 )
      ( DELIVER-PKG ?auto_97 ?auto_98 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_115
      ?auto_116
    )
    :vars
    (
      ?auto_119
      ?auto_121
      ?auto_122
      ?auto_125
      ?auto_124
    )
    :precondition
    ( and ( OBJ ?auto_115 ) ( LOCATION ?auto_116 ) ( TRUCK ?auto_119 ) ( LOCATION ?auto_121 ) ( CITY ?auto_122 ) ( IN-CITY ?auto_121 ?auto_122 ) ( IN-CITY ?auto_116 ?auto_122 ) ( DIFFERENT ?auto_116 ?auto_121 ) ( AT ?auto_115 ?auto_121 ) ( LOCATION ?auto_125 ) ( CITY ?auto_124 ) ( AT ?auto_119 ?auto_125 ) ( IN-CITY ?auto_125 ?auto_124 ) ( IN-CITY ?auto_121 ?auto_124 ) ( DIFFERENT ?auto_121 ?auto_125 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_119 ?auto_125 ?auto_121 ?auto_124 )
      ( DELIVER-PKG ?auto_115 ?auto_116 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_240
      ?auto_241
    )
    :vars
    (
      ?auto_242
      ?auto_247
      ?auto_245
      ?auto_244
      ?auto_250
    )
    :precondition
    ( and ( OBJ ?auto_240 ) ( LOCATION ?auto_241 ) ( TRUCK ?auto_242 ) ( LOCATION ?auto_247 ) ( CITY ?auto_245 ) ( AT ?auto_242 ?auto_247 ) ( IN-CITY ?auto_247 ?auto_245 ) ( IN-CITY ?auto_241 ?auto_245 ) ( DIFFERENT ?auto_241 ?auto_247 ) ( LOCATION ?auto_244 ) ( AT ?auto_242 ?auto_244 ) ( TRUCK ?auto_250 ) ( AT ?auto_250 ?auto_244 ) ( IN ?auto_240 ?auto_250 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_240 ?auto_244 )
      ( DELIVER-PKG ?auto_240 ?auto_241 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_251
      ?auto_252
    )
    :vars
    (
      ?auto_259
      ?auto_255
      ?auto_253
      ?auto_262
      ?auto_261
    )
    :precondition
    ( and ( OBJ ?auto_251 ) ( LOCATION ?auto_252 ) ( TRUCK ?auto_259 ) ( LOCATION ?auto_255 ) ( CITY ?auto_253 ) ( IN-CITY ?auto_255 ?auto_253 ) ( IN-CITY ?auto_252 ?auto_253 ) ( DIFFERENT ?auto_252 ?auto_255 ) ( IN ?auto_251 ?auto_259 ) ( LOCATION ?auto_262 ) ( CITY ?auto_261 ) ( AT ?auto_259 ?auto_262 ) ( IN-CITY ?auto_262 ?auto_261 ) ( IN-CITY ?auto_255 ?auto_261 ) ( DIFFERENT ?auto_255 ?auto_262 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_259 ?auto_262 ?auto_255 ?auto_261 )
      ( DELIVER-PKG ?auto_251 ?auto_252 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_264
      ?auto_265
    )
    :vars
    (
      ?auto_266
      ?auto_271
      ?auto_272
      ?auto_268
      ?auto_267
      ?auto_274
    )
    :precondition
    ( and ( OBJ ?auto_264 ) ( LOCATION ?auto_265 ) ( TRUCK ?auto_266 ) ( LOCATION ?auto_271 ) ( CITY ?auto_272 ) ( IN-CITY ?auto_271 ?auto_272 ) ( IN-CITY ?auto_265 ?auto_272 ) ( DIFFERENT ?auto_265 ?auto_271 ) ( LOCATION ?auto_268 ) ( CITY ?auto_267 ) ( AT ?auto_266 ?auto_268 ) ( IN-CITY ?auto_268 ?auto_267 ) ( IN-CITY ?auto_271 ?auto_267 ) ( DIFFERENT ?auto_271 ?auto_268 ) ( LOCATION ?auto_274 ) ( AT ?auto_266 ?auto_274 ) ( AT ?auto_264 ?auto_274 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_264 ?auto_266 ?auto_274 )
      ( DELIVER-PKG ?auto_264 ?auto_265 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_286
      ?auto_287
    )
    :vars
    (
      ?auto_291
      ?auto_294
      ?auto_288
      ?auto_293
      ?auto_295
      ?auto_298
      ?auto_297
    )
    :precondition
    ( and ( OBJ ?auto_286 ) ( LOCATION ?auto_287 ) ( TRUCK ?auto_291 ) ( LOCATION ?auto_294 ) ( CITY ?auto_288 ) ( IN-CITY ?auto_294 ?auto_288 ) ( IN-CITY ?auto_287 ?auto_288 ) ( DIFFERENT ?auto_287 ?auto_294 ) ( LOCATION ?auto_293 ) ( CITY ?auto_295 ) ( IN-CITY ?auto_293 ?auto_295 ) ( IN-CITY ?auto_294 ?auto_295 ) ( DIFFERENT ?auto_294 ?auto_293 ) ( AT ?auto_286 ?auto_293 ) ( LOCATION ?auto_298 ) ( CITY ?auto_297 ) ( AT ?auto_291 ?auto_298 ) ( IN-CITY ?auto_298 ?auto_297 ) ( IN-CITY ?auto_293 ?auto_297 ) ( DIFFERENT ?auto_293 ?auto_298 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_291 ?auto_298 ?auto_293 ?auto_297 )
      ( DELIVER-PKG ?auto_286 ?auto_287 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_373
      ?auto_374
    )
    :vars
    (
      ?auto_377
    )
    :precondition
    ( and ( OBJ ?auto_373 ) ( LOCATION ?auto_374 ) ( AIRPLANE ?auto_377 ) ( IN ?auto_373 ?auto_377 ) ( AT ?auto_377 ?auto_374 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_373 ?auto_377 ?auto_374 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_378
      ?auto_379
    )
    :vars
    (
      ?auto_382
      ?auto_384
    )
    :precondition
    ( and ( OBJ ?auto_378 ) ( LOCATION ?auto_379 ) ( AIRPLANE ?auto_382 ) ( IN ?auto_378 ?auto_382 ) ( AIRPORT ?auto_384 ) ( AIRPORT ?auto_379 ) ( AT ?auto_382 ?auto_384 ) ( DIFFERENT ?auto_379 ?auto_384 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_382 ?auto_384 ?auto_379 )
      ( DELIVER-PKG ?auto_378 ?auto_379 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_386
      ?auto_387
    )
    :vars
    (
      ?auto_389
      ?auto_391
      ?auto_393
    )
    :precondition
    ( and ( OBJ ?auto_386 ) ( LOCATION ?auto_387 ) ( AIRPLANE ?auto_389 ) ( AIRPORT ?auto_391 ) ( AIRPORT ?auto_387 ) ( AT ?auto_389 ?auto_391 ) ( DIFFERENT ?auto_387 ?auto_391 ) ( LOCATION ?auto_393 ) ( AT ?auto_386 ?auto_393 ) ( AT ?auto_389 ?auto_393 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_386 ?auto_389 ?auto_393 )
      ( DELIVER-PKG ?auto_386 ?auto_387 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2555
      ?auto_2556
    )
    :vars
    (
      ?auto_2563
      ?auto_2559
      ?auto_2562
      ?auto_2558
      ?auto_2557
      ?auto_2565
    )
    :precondition
    ( and ( OBJ ?auto_2555 ) ( LOCATION ?auto_2556 ) ( AIRPLANE ?auto_2563 ) ( AIRPORT ?auto_2559 ) ( AIRPORT ?auto_2556 ) ( AT ?auto_2563 ?auto_2559 ) ( DIFFERENT ?auto_2556 ?auto_2559 ) ( LOCATION ?auto_2562 ) ( AT ?auto_2563 ?auto_2562 ) ( TRUCK ?auto_2558 ) ( AT ?auto_2558 ?auto_2562 ) ( LOCATION ?auto_2557 ) ( AT ?auto_2558 ?auto_2557 ) ( TRUCK ?auto_2565 ) ( AT ?auto_2565 ?auto_2557 ) ( IN ?auto_2555 ?auto_2565 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2555 ?auto_2557 )
      ( DELIVER-PKG ?auto_2555 ?auto_2556 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_405
      ?auto_406
    )
    :vars
    (
      ?auto_407
      ?auto_412
      ?auto_408
      ?auto_410
      ?auto_415
      ?auto_414
    )
    :precondition
    ( and ( OBJ ?auto_405 ) ( LOCATION ?auto_406 ) ( AIRPLANE ?auto_407 ) ( AIRPORT ?auto_412 ) ( AIRPORT ?auto_406 ) ( AT ?auto_407 ?auto_412 ) ( DIFFERENT ?auto_406 ?auto_412 ) ( LOCATION ?auto_408 ) ( AT ?auto_407 ?auto_408 ) ( TRUCK ?auto_410 ) ( IN ?auto_405 ?auto_410 ) ( LOCATION ?auto_415 ) ( CITY ?auto_414 ) ( AT ?auto_410 ?auto_415 ) ( IN-CITY ?auto_415 ?auto_414 ) ( IN-CITY ?auto_408 ?auto_414 ) ( DIFFERENT ?auto_408 ?auto_415 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_410 ?auto_415 ?auto_408 ?auto_414 )
      ( DELIVER-PKG ?auto_405 ?auto_406 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_417
      ?auto_418
    )
    :vars
    (
      ?auto_419
      ?auto_423
      ?auto_425
      ?auto_420
      ?auto_422
      ?auto_421
      ?auto_428
    )
    :precondition
    ( and ( OBJ ?auto_417 ) ( LOCATION ?auto_418 ) ( AIRPLANE ?auto_419 ) ( AIRPORT ?auto_423 ) ( AIRPORT ?auto_418 ) ( AT ?auto_419 ?auto_423 ) ( DIFFERENT ?auto_418 ?auto_423 ) ( LOCATION ?auto_425 ) ( AT ?auto_419 ?auto_425 ) ( TRUCK ?auto_420 ) ( LOCATION ?auto_422 ) ( CITY ?auto_421 ) ( AT ?auto_420 ?auto_422 ) ( IN-CITY ?auto_422 ?auto_421 ) ( IN-CITY ?auto_425 ?auto_421 ) ( DIFFERENT ?auto_425 ?auto_422 ) ( LOCATION ?auto_428 ) ( AT ?auto_420 ?auto_428 ) ( AT ?auto_417 ?auto_428 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_417 ?auto_420 ?auto_428 )
      ( DELIVER-PKG ?auto_417 ?auto_418 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_430
      ?auto_431
    )
    :vars
    (
      ?auto_438
      ?auto_432
      ?auto_439
      ?auto_440
      ?auto_437
      ?auto_435
      ?auto_436
      ?auto_443
    )
    :precondition
    ( and ( OBJ ?auto_430 ) ( LOCATION ?auto_431 ) ( AIRPLANE ?auto_438 ) ( AIRPORT ?auto_432 ) ( AIRPORT ?auto_431 ) ( AT ?auto_438 ?auto_432 ) ( DIFFERENT ?auto_431 ?auto_432 ) ( LOCATION ?auto_439 ) ( AT ?auto_438 ?auto_439 ) ( TRUCK ?auto_440 ) ( LOCATION ?auto_437 ) ( CITY ?auto_435 ) ( AT ?auto_440 ?auto_437 ) ( IN-CITY ?auto_437 ?auto_435 ) ( IN-CITY ?auto_439 ?auto_435 ) ( DIFFERENT ?auto_439 ?auto_437 ) ( LOCATION ?auto_436 ) ( AT ?auto_440 ?auto_436 ) ( TRUCK ?auto_443 ) ( AT ?auto_443 ?auto_436 ) ( IN ?auto_430 ?auto_443 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_430 ?auto_436 )
      ( DELIVER-PKG ?auto_430 ?auto_431 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_444
      ?auto_445
    )
    :vars
    (
      ?auto_450
      ?auto_452
      ?auto_451
      ?auto_454
      ?auto_455
      ?auto_447
      ?auto_458
      ?auto_457
    )
    :precondition
    ( and ( OBJ ?auto_444 ) ( LOCATION ?auto_445 ) ( AIRPLANE ?auto_450 ) ( AIRPORT ?auto_452 ) ( AIRPORT ?auto_445 ) ( AT ?auto_450 ?auto_452 ) ( DIFFERENT ?auto_445 ?auto_452 ) ( LOCATION ?auto_451 ) ( AT ?auto_450 ?auto_451 ) ( TRUCK ?auto_454 ) ( LOCATION ?auto_455 ) ( CITY ?auto_447 ) ( IN-CITY ?auto_455 ?auto_447 ) ( IN-CITY ?auto_451 ?auto_447 ) ( DIFFERENT ?auto_451 ?auto_455 ) ( IN ?auto_444 ?auto_454 ) ( LOCATION ?auto_458 ) ( CITY ?auto_457 ) ( AT ?auto_454 ?auto_458 ) ( IN-CITY ?auto_458 ?auto_457 ) ( IN-CITY ?auto_455 ?auto_457 ) ( DIFFERENT ?auto_455 ?auto_458 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_454 ?auto_458 ?auto_455 ?auto_457 )
      ( DELIVER-PKG ?auto_444 ?auto_445 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_460
      ?auto_461
    )
    :vars
    (
      ?auto_463
      ?auto_470
      ?auto_467
      ?auto_462
      ?auto_464
      ?auto_471
      ?auto_469
      ?auto_468
      ?auto_473
    )
    :precondition
    ( and ( OBJ ?auto_460 ) ( LOCATION ?auto_461 ) ( AIRPLANE ?auto_463 ) ( AIRPORT ?auto_470 ) ( AIRPORT ?auto_461 ) ( AT ?auto_463 ?auto_470 ) ( DIFFERENT ?auto_461 ?auto_470 ) ( LOCATION ?auto_467 ) ( AT ?auto_463 ?auto_467 ) ( TRUCK ?auto_462 ) ( LOCATION ?auto_464 ) ( CITY ?auto_471 ) ( IN-CITY ?auto_464 ?auto_471 ) ( IN-CITY ?auto_467 ?auto_471 ) ( DIFFERENT ?auto_467 ?auto_464 ) ( LOCATION ?auto_469 ) ( CITY ?auto_468 ) ( AT ?auto_462 ?auto_469 ) ( IN-CITY ?auto_469 ?auto_468 ) ( IN-CITY ?auto_464 ?auto_468 ) ( DIFFERENT ?auto_464 ?auto_469 ) ( LOCATION ?auto_473 ) ( AT ?auto_462 ?auto_473 ) ( AT ?auto_460 ?auto_473 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_460 ?auto_462 ?auto_473 )
      ( DELIVER-PKG ?auto_460 ?auto_461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_488
      ?auto_489
    )
    :vars
    (
      ?auto_499
      ?auto_492
      ?auto_496
      ?auto_498
      ?auto_500
      ?auto_490
      ?auto_494
      ?auto_495
      ?auto_503
      ?auto_502
    )
    :precondition
    ( and ( OBJ ?auto_488 ) ( LOCATION ?auto_489 ) ( AIRPLANE ?auto_499 ) ( AIRPORT ?auto_492 ) ( AIRPORT ?auto_489 ) ( AT ?auto_499 ?auto_492 ) ( DIFFERENT ?auto_489 ?auto_492 ) ( LOCATION ?auto_496 ) ( AT ?auto_499 ?auto_496 ) ( TRUCK ?auto_498 ) ( LOCATION ?auto_500 ) ( CITY ?auto_490 ) ( IN-CITY ?auto_500 ?auto_490 ) ( IN-CITY ?auto_496 ?auto_490 ) ( DIFFERENT ?auto_496 ?auto_500 ) ( LOCATION ?auto_494 ) ( CITY ?auto_495 ) ( IN-CITY ?auto_494 ?auto_495 ) ( IN-CITY ?auto_500 ?auto_495 ) ( DIFFERENT ?auto_500 ?auto_494 ) ( AT ?auto_488 ?auto_494 ) ( LOCATION ?auto_503 ) ( CITY ?auto_502 ) ( AT ?auto_498 ?auto_503 ) ( IN-CITY ?auto_503 ?auto_502 ) ( IN-CITY ?auto_494 ?auto_502 ) ( DIFFERENT ?auto_494 ?auto_503 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_498 ?auto_503 ?auto_494 ?auto_502 )
      ( DELIVER-PKG ?auto_488 ?auto_489 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_505
      ?auto_506
    )
    :vars
    (
      ?auto_515
      ?auto_513
      ?auto_514
      ?auto_516
      ?auto_511
      ?auto_510
      ?auto_512
      ?auto_518
      ?auto_517
      ?auto_520
    )
    :precondition
    ( and ( OBJ ?auto_505 ) ( LOCATION ?auto_506 ) ( AIRPLANE ?auto_515 ) ( AIRPORT ?auto_513 ) ( AIRPORT ?auto_506 ) ( DIFFERENT ?auto_506 ?auto_513 ) ( LOCATION ?auto_513 ) ( TRUCK ?auto_514 ) ( LOCATION ?auto_516 ) ( CITY ?auto_511 ) ( IN-CITY ?auto_516 ?auto_511 ) ( IN-CITY ?auto_513 ?auto_511 ) ( DIFFERENT ?auto_513 ?auto_516 ) ( LOCATION ?auto_510 ) ( CITY ?auto_512 ) ( IN-CITY ?auto_510 ?auto_512 ) ( IN-CITY ?auto_516 ?auto_512 ) ( DIFFERENT ?auto_516 ?auto_510 ) ( AT ?auto_505 ?auto_510 ) ( LOCATION ?auto_518 ) ( CITY ?auto_517 ) ( AT ?auto_514 ?auto_518 ) ( IN-CITY ?auto_518 ?auto_517 ) ( IN-CITY ?auto_510 ?auto_517 ) ( DIFFERENT ?auto_510 ?auto_518 ) ( AIRPORT ?auto_520 ) ( AT ?auto_515 ?auto_520 ) ( DIFFERENT ?auto_513 ?auto_520 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_515 ?auto_520 ?auto_513 )
      ( DELIVER-PKG ?auto_505 ?auto_506 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6268
      ?auto_6269
    )
    :vars
    (
      ?auto_6275
      ?auto_6277
      ?auto_6274
      ?auto_6273
      ?auto_6271
      ?auto_6272
      ?auto_6280
    )
    :precondition
    ( and ( OBJ ?auto_6268 ) ( LOCATION ?auto_6269 ) ( TRUCK ?auto_6275 ) ( LOCATION ?auto_6277 ) ( CITY ?auto_6274 ) ( AT ?auto_6275 ?auto_6277 ) ( IN-CITY ?auto_6277 ?auto_6274 ) ( IN-CITY ?auto_6269 ?auto_6274 ) ( DIFFERENT ?auto_6269 ?auto_6277 ) ( LOCATION ?auto_6273 ) ( AT ?auto_6275 ?auto_6273 ) ( AIRPLANE ?auto_6271 ) ( AT ?auto_6271 ?auto_6273 ) ( LOCATION ?auto_6272 ) ( AT ?auto_6271 ?auto_6272 ) ( AIRPLANE ?auto_6280 ) ( IN ?auto_6268 ?auto_6280 ) ( AT ?auto_6280 ?auto_6272 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6268 ?auto_6272 )
      ( DELIVER-PKG ?auto_6268 ?auto_6269 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_645
      ?auto_646
    )
    :vars
    (
      ?auto_652
      ?auto_653
      ?auto_648
      ?auto_647
      ?auto_650
      ?auto_655
    )
    :precondition
    ( and ( OBJ ?auto_645 ) ( LOCATION ?auto_646 ) ( TRUCK ?auto_652 ) ( LOCATION ?auto_653 ) ( CITY ?auto_648 ) ( AT ?auto_652 ?auto_653 ) ( IN-CITY ?auto_653 ?auto_648 ) ( IN-CITY ?auto_646 ?auto_648 ) ( DIFFERENT ?auto_646 ?auto_653 ) ( LOCATION ?auto_647 ) ( AT ?auto_652 ?auto_647 ) ( AIRPLANE ?auto_650 ) ( IN ?auto_645 ?auto_650 ) ( AIRPORT ?auto_655 ) ( AIRPORT ?auto_647 ) ( AT ?auto_650 ?auto_655 ) ( DIFFERENT ?auto_647 ?auto_655 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_650 ?auto_655 ?auto_647 )
      ( DELIVER-PKG ?auto_645 ?auto_646 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_657
      ?auto_658
    )
    :vars
    (
      ?auto_661
      ?auto_662
      ?auto_663
      ?auto_664
      ?auto_665
      ?auto_659
      ?auto_668
    )
    :precondition
    ( and ( OBJ ?auto_657 ) ( LOCATION ?auto_658 ) ( TRUCK ?auto_661 ) ( LOCATION ?auto_662 ) ( CITY ?auto_663 ) ( AT ?auto_661 ?auto_662 ) ( IN-CITY ?auto_662 ?auto_663 ) ( IN-CITY ?auto_658 ?auto_663 ) ( DIFFERENT ?auto_658 ?auto_662 ) ( LOCATION ?auto_664 ) ( AT ?auto_661 ?auto_664 ) ( AIRPLANE ?auto_665 ) ( AIRPORT ?auto_659 ) ( AIRPORT ?auto_664 ) ( AT ?auto_665 ?auto_659 ) ( DIFFERENT ?auto_664 ?auto_659 ) ( LOCATION ?auto_668 ) ( AT ?auto_657 ?auto_668 ) ( AT ?auto_665 ?auto_668 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_657 ?auto_665 ?auto_668 )
      ( DELIVER-PKG ?auto_657 ?auto_658 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_670
      ?auto_671
    )
    :vars
    (
      ?auto_677
      ?auto_679
      ?auto_678
      ?auto_680
      ?auto_673
      ?auto_675
      ?auto_676
      ?auto_683
    )
    :precondition
    ( and ( OBJ ?auto_670 ) ( LOCATION ?auto_671 ) ( TRUCK ?auto_677 ) ( LOCATION ?auto_679 ) ( CITY ?auto_678 ) ( AT ?auto_677 ?auto_679 ) ( IN-CITY ?auto_679 ?auto_678 ) ( IN-CITY ?auto_671 ?auto_678 ) ( DIFFERENT ?auto_671 ?auto_679 ) ( LOCATION ?auto_680 ) ( AT ?auto_677 ?auto_680 ) ( AIRPLANE ?auto_673 ) ( AIRPORT ?auto_675 ) ( AIRPORT ?auto_680 ) ( AT ?auto_673 ?auto_675 ) ( DIFFERENT ?auto_680 ?auto_675 ) ( LOCATION ?auto_676 ) ( AT ?auto_673 ?auto_676 ) ( TRUCK ?auto_683 ) ( AT ?auto_683 ?auto_676 ) ( IN ?auto_670 ?auto_683 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_670 ?auto_676 )
      ( DELIVER-PKG ?auto_670 ?auto_671 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_684
      ?auto_685
    )
    :vars
    (
      ?auto_688
      ?auto_691
      ?auto_690
      ?auto_693
      ?auto_695
      ?auto_687
      ?auto_686
      ?auto_694
      ?auto_698
      ?auto_697
    )
    :precondition
    ( and ( OBJ ?auto_684 ) ( LOCATION ?auto_685 ) ( TRUCK ?auto_688 ) ( LOCATION ?auto_691 ) ( CITY ?auto_690 ) ( AT ?auto_688 ?auto_691 ) ( IN-CITY ?auto_691 ?auto_690 ) ( IN-CITY ?auto_685 ?auto_690 ) ( DIFFERENT ?auto_685 ?auto_691 ) ( LOCATION ?auto_693 ) ( AT ?auto_688 ?auto_693 ) ( AIRPLANE ?auto_695 ) ( AIRPORT ?auto_687 ) ( AIRPORT ?auto_693 ) ( AT ?auto_695 ?auto_687 ) ( DIFFERENT ?auto_693 ?auto_687 ) ( LOCATION ?auto_686 ) ( AT ?auto_695 ?auto_686 ) ( TRUCK ?auto_694 ) ( IN ?auto_684 ?auto_694 ) ( LOCATION ?auto_698 ) ( CITY ?auto_697 ) ( AT ?auto_694 ?auto_698 ) ( IN-CITY ?auto_698 ?auto_697 ) ( IN-CITY ?auto_686 ?auto_697 ) ( DIFFERENT ?auto_686 ?auto_698 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_694 ?auto_698 ?auto_686 ?auto_697 )
      ( DELIVER-PKG ?auto_684 ?auto_685 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_700
      ?auto_701
    )
    :vars
    (
      ?auto_712
      ?auto_709
      ?auto_713
      ?auto_711
      ?auto_702
      ?auto_710
      ?auto_708
      ?auto_707
      ?auto_706
      ?auto_703
      ?auto_715
    )
    :precondition
    ( and ( OBJ ?auto_700 ) ( LOCATION ?auto_701 ) ( TRUCK ?auto_712 ) ( LOCATION ?auto_709 ) ( CITY ?auto_713 ) ( AT ?auto_712 ?auto_709 ) ( IN-CITY ?auto_709 ?auto_713 ) ( IN-CITY ?auto_701 ?auto_713 ) ( DIFFERENT ?auto_701 ?auto_709 ) ( LOCATION ?auto_711 ) ( AT ?auto_712 ?auto_711 ) ( AIRPLANE ?auto_702 ) ( AIRPORT ?auto_710 ) ( AIRPORT ?auto_711 ) ( AT ?auto_702 ?auto_710 ) ( DIFFERENT ?auto_711 ?auto_710 ) ( LOCATION ?auto_708 ) ( AT ?auto_702 ?auto_708 ) ( TRUCK ?auto_707 ) ( LOCATION ?auto_706 ) ( CITY ?auto_703 ) ( AT ?auto_707 ?auto_706 ) ( IN-CITY ?auto_706 ?auto_703 ) ( IN-CITY ?auto_708 ?auto_703 ) ( DIFFERENT ?auto_708 ?auto_706 ) ( LOCATION ?auto_715 ) ( AT ?auto_707 ?auto_715 ) ( AT ?auto_700 ?auto_715 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_700 ?auto_707 ?auto_715 )
      ( DELIVER-PKG ?auto_700 ?auto_701 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_717
      ?auto_718
    )
    :vars
    (
      ?auto_722
      ?auto_720
      ?auto_728
      ?auto_726
      ?auto_719
      ?auto_723
      ?auto_731
      ?auto_727
      ?auto_730
      ?auto_729
      ?auto_725
      ?auto_734
    )
    :precondition
    ( and ( OBJ ?auto_717 ) ( LOCATION ?auto_718 ) ( TRUCK ?auto_722 ) ( LOCATION ?auto_720 ) ( CITY ?auto_728 ) ( AT ?auto_722 ?auto_720 ) ( IN-CITY ?auto_720 ?auto_728 ) ( IN-CITY ?auto_718 ?auto_728 ) ( DIFFERENT ?auto_718 ?auto_720 ) ( LOCATION ?auto_726 ) ( AT ?auto_722 ?auto_726 ) ( AIRPLANE ?auto_719 ) ( AIRPORT ?auto_723 ) ( AIRPORT ?auto_726 ) ( AT ?auto_719 ?auto_723 ) ( DIFFERENT ?auto_726 ?auto_723 ) ( LOCATION ?auto_731 ) ( AT ?auto_719 ?auto_731 ) ( TRUCK ?auto_727 ) ( LOCATION ?auto_730 ) ( CITY ?auto_729 ) ( AT ?auto_727 ?auto_730 ) ( IN-CITY ?auto_730 ?auto_729 ) ( IN-CITY ?auto_731 ?auto_729 ) ( DIFFERENT ?auto_731 ?auto_730 ) ( LOCATION ?auto_725 ) ( AT ?auto_727 ?auto_725 ) ( TRUCK ?auto_734 ) ( AT ?auto_734 ?auto_725 ) ( IN ?auto_717 ?auto_734 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_717 ?auto_725 )
      ( DELIVER-PKG ?auto_717 ?auto_718 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_735
      ?auto_736
    )
    :vars
    (
      ?auto_741
      ?auto_740
      ?auto_746
      ?auto_744
      ?auto_737
      ?auto_742
      ?auto_749
      ?auto_750
      ?auto_743
      ?auto_747
      ?auto_753
      ?auto_752
    )
    :precondition
    ( and ( OBJ ?auto_735 ) ( LOCATION ?auto_736 ) ( TRUCK ?auto_741 ) ( LOCATION ?auto_740 ) ( CITY ?auto_746 ) ( AT ?auto_741 ?auto_740 ) ( IN-CITY ?auto_740 ?auto_746 ) ( IN-CITY ?auto_736 ?auto_746 ) ( DIFFERENT ?auto_736 ?auto_740 ) ( LOCATION ?auto_744 ) ( AT ?auto_741 ?auto_744 ) ( AIRPLANE ?auto_737 ) ( AIRPORT ?auto_742 ) ( AIRPORT ?auto_744 ) ( AT ?auto_737 ?auto_742 ) ( DIFFERENT ?auto_744 ?auto_742 ) ( LOCATION ?auto_749 ) ( AT ?auto_737 ?auto_749 ) ( TRUCK ?auto_750 ) ( LOCATION ?auto_743 ) ( CITY ?auto_747 ) ( IN-CITY ?auto_743 ?auto_747 ) ( IN-CITY ?auto_749 ?auto_747 ) ( DIFFERENT ?auto_749 ?auto_743 ) ( IN ?auto_735 ?auto_750 ) ( LOCATION ?auto_753 ) ( CITY ?auto_752 ) ( AT ?auto_750 ?auto_753 ) ( IN-CITY ?auto_753 ?auto_752 ) ( IN-CITY ?auto_743 ?auto_752 ) ( DIFFERENT ?auto_743 ?auto_753 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_750 ?auto_753 ?auto_743 ?auto_752 )
      ( DELIVER-PKG ?auto_735 ?auto_736 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_755
      ?auto_756
    )
    :vars
    (
      ?auto_770
      ?auto_760
      ?auto_763
      ?auto_768
      ?auto_757
      ?auto_759
      ?auto_762
      ?auto_766
      ?auto_767
      ?auto_764
      ?auto_765
      ?auto_761
      ?auto_772
    )
    :precondition
    ( and ( OBJ ?auto_755 ) ( LOCATION ?auto_756 ) ( TRUCK ?auto_770 ) ( LOCATION ?auto_760 ) ( CITY ?auto_763 ) ( AT ?auto_770 ?auto_760 ) ( IN-CITY ?auto_760 ?auto_763 ) ( IN-CITY ?auto_756 ?auto_763 ) ( DIFFERENT ?auto_756 ?auto_760 ) ( LOCATION ?auto_768 ) ( AT ?auto_770 ?auto_768 ) ( AIRPLANE ?auto_757 ) ( AIRPORT ?auto_759 ) ( AIRPORT ?auto_768 ) ( AT ?auto_757 ?auto_759 ) ( DIFFERENT ?auto_768 ?auto_759 ) ( LOCATION ?auto_762 ) ( AT ?auto_757 ?auto_762 ) ( TRUCK ?auto_766 ) ( LOCATION ?auto_767 ) ( CITY ?auto_764 ) ( IN-CITY ?auto_767 ?auto_764 ) ( IN-CITY ?auto_762 ?auto_764 ) ( DIFFERENT ?auto_762 ?auto_767 ) ( LOCATION ?auto_765 ) ( CITY ?auto_761 ) ( AT ?auto_766 ?auto_765 ) ( IN-CITY ?auto_765 ?auto_761 ) ( IN-CITY ?auto_767 ?auto_761 ) ( DIFFERENT ?auto_767 ?auto_765 ) ( LOCATION ?auto_772 ) ( AT ?auto_766 ?auto_772 ) ( AT ?auto_755 ?auto_772 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_755 ?auto_766 ?auto_772 )
      ( DELIVER-PKG ?auto_755 ?auto_756 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_791
      ?auto_792
    )
    :vars
    (
      ?auto_796
      ?auto_805
      ?auto_807
      ?auto_803
      ?auto_800
      ?auto_804
      ?auto_801
      ?auto_795
      ?auto_802
      ?auto_794
      ?auto_798
      ?auto_806
      ?auto_810
      ?auto_809
    )
    :precondition
    ( and ( OBJ ?auto_791 ) ( LOCATION ?auto_792 ) ( TRUCK ?auto_796 ) ( LOCATION ?auto_805 ) ( CITY ?auto_807 ) ( AT ?auto_796 ?auto_805 ) ( IN-CITY ?auto_805 ?auto_807 ) ( IN-CITY ?auto_792 ?auto_807 ) ( DIFFERENT ?auto_792 ?auto_805 ) ( LOCATION ?auto_803 ) ( AT ?auto_796 ?auto_803 ) ( AIRPLANE ?auto_800 ) ( AIRPORT ?auto_804 ) ( AIRPORT ?auto_803 ) ( AT ?auto_800 ?auto_804 ) ( DIFFERENT ?auto_803 ?auto_804 ) ( LOCATION ?auto_801 ) ( AT ?auto_800 ?auto_801 ) ( TRUCK ?auto_795 ) ( LOCATION ?auto_802 ) ( CITY ?auto_794 ) ( IN-CITY ?auto_802 ?auto_794 ) ( IN-CITY ?auto_801 ?auto_794 ) ( DIFFERENT ?auto_801 ?auto_802 ) ( LOCATION ?auto_798 ) ( CITY ?auto_806 ) ( IN-CITY ?auto_798 ?auto_806 ) ( IN-CITY ?auto_802 ?auto_806 ) ( DIFFERENT ?auto_802 ?auto_798 ) ( AT ?auto_791 ?auto_798 ) ( LOCATION ?auto_810 ) ( CITY ?auto_809 ) ( AT ?auto_795 ?auto_810 ) ( IN-CITY ?auto_810 ?auto_809 ) ( IN-CITY ?auto_798 ?auto_809 ) ( DIFFERENT ?auto_798 ?auto_810 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_795 ?auto_810 ?auto_798 ?auto_809 )
      ( DELIVER-PKG ?auto_791 ?auto_792 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_812
      ?auto_813
    )
    :vars
    (
      ?auto_815
      ?auto_820
      ?auto_822
      ?auto_818
      ?auto_823
      ?auto_824
      ?auto_814
      ?auto_817
      ?auto_826
      ?auto_816
      ?auto_821
      ?auto_829
      ?auto_825
      ?auto_831
    )
    :precondition
    ( and ( OBJ ?auto_812 ) ( LOCATION ?auto_813 ) ( TRUCK ?auto_815 ) ( LOCATION ?auto_820 ) ( CITY ?auto_822 ) ( AT ?auto_815 ?auto_820 ) ( IN-CITY ?auto_820 ?auto_822 ) ( IN-CITY ?auto_813 ?auto_822 ) ( DIFFERENT ?auto_813 ?auto_820 ) ( LOCATION ?auto_818 ) ( AT ?auto_815 ?auto_818 ) ( AIRPLANE ?auto_823 ) ( AIRPORT ?auto_824 ) ( AIRPORT ?auto_818 ) ( DIFFERENT ?auto_818 ?auto_824 ) ( LOCATION ?auto_824 ) ( TRUCK ?auto_814 ) ( LOCATION ?auto_817 ) ( CITY ?auto_826 ) ( IN-CITY ?auto_817 ?auto_826 ) ( IN-CITY ?auto_824 ?auto_826 ) ( DIFFERENT ?auto_824 ?auto_817 ) ( LOCATION ?auto_816 ) ( CITY ?auto_821 ) ( IN-CITY ?auto_816 ?auto_821 ) ( IN-CITY ?auto_817 ?auto_821 ) ( DIFFERENT ?auto_817 ?auto_816 ) ( AT ?auto_812 ?auto_816 ) ( LOCATION ?auto_829 ) ( CITY ?auto_825 ) ( AT ?auto_814 ?auto_829 ) ( IN-CITY ?auto_829 ?auto_825 ) ( IN-CITY ?auto_816 ?auto_825 ) ( DIFFERENT ?auto_816 ?auto_829 ) ( AIRPORT ?auto_831 ) ( AT ?auto_823 ?auto_831 ) ( DIFFERENT ?auto_824 ?auto_831 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_823 ?auto_831 ?auto_824 )
      ( DELIVER-PKG ?auto_812 ?auto_813 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1364
      ?auto_1365
    )
    :vars
    (
      ?auto_1370
      ?auto_1372
      ?auto_1367
      ?auto_1369
      ?auto_1371
      ?auto_1374
      ?auto_1377
      ?auto_1376
    )
    :precondition
    ( and ( OBJ ?auto_1364 ) ( LOCATION ?auto_1365 ) ( AIRPLANE ?auto_1370 ) ( AIRPORT ?auto_1372 ) ( AIRPORT ?auto_1365 ) ( AT ?auto_1370 ?auto_1372 ) ( DIFFERENT ?auto_1365 ?auto_1372 ) ( LOCATION ?auto_1367 ) ( AT ?auto_1370 ?auto_1367 ) ( TRUCK ?auto_1369 ) ( LOCATION ?auto_1371 ) ( CITY ?auto_1374 ) ( IN-CITY ?auto_1371 ?auto_1374 ) ( IN-CITY ?auto_1367 ?auto_1374 ) ( DIFFERENT ?auto_1367 ?auto_1371 ) ( AT ?auto_1364 ?auto_1371 ) ( LOCATION ?auto_1377 ) ( CITY ?auto_1376 ) ( AT ?auto_1369 ?auto_1377 ) ( IN-CITY ?auto_1377 ?auto_1376 ) ( IN-CITY ?auto_1371 ?auto_1376 ) ( DIFFERENT ?auto_1371 ?auto_1377 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1369 ?auto_1377 ?auto_1371 ?auto_1376 )
      ( DELIVER-PKG ?auto_1364 ?auto_1365 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1403
      ?auto_1404
    )
    :vars
    (
      ?auto_1411
      ?auto_1407
      ?auto_1410
      ?auto_1405
      ?auto_1408
      ?auto_1413
      ?auto_1412
      ?auto_1416
    )
    :precondition
    ( and ( OBJ ?auto_1403 ) ( LOCATION ?auto_1404 ) ( AIRPLANE ?auto_1411 ) ( AIRPORT ?auto_1407 ) ( AIRPORT ?auto_1404 ) ( DIFFERENT ?auto_1404 ?auto_1407 ) ( LOCATION ?auto_1407 ) ( TRUCK ?auto_1410 ) ( LOCATION ?auto_1405 ) ( CITY ?auto_1408 ) ( IN-CITY ?auto_1405 ?auto_1408 ) ( IN-CITY ?auto_1407 ?auto_1408 ) ( DIFFERENT ?auto_1407 ?auto_1405 ) ( AT ?auto_1403 ?auto_1405 ) ( LOCATION ?auto_1413 ) ( CITY ?auto_1412 ) ( AT ?auto_1410 ?auto_1413 ) ( IN-CITY ?auto_1413 ?auto_1412 ) ( IN-CITY ?auto_1405 ?auto_1412 ) ( DIFFERENT ?auto_1405 ?auto_1413 ) ( AIRPORT ?auto_1416 ) ( AT ?auto_1411 ?auto_1416 ) ( DIFFERENT ?auto_1407 ?auto_1416 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1411 ?auto_1416 ?auto_1407 )
      ( DELIVER-PKG ?auto_1403 ?auto_1404 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1526
      ?auto_1527
    )
    :vars
    (
      ?auto_1534
      ?auto_1529
      ?auto_1533
      ?auto_1531
      ?auto_1530
      ?auto_1536
      ?auto_1535
      ?auto_1537
      ?auto_1539
    )
    :precondition
    ( and ( OBJ ?auto_1526 ) ( LOCATION ?auto_1527 ) ( AIRPLANE ?auto_1534 ) ( AIRPORT ?auto_1529 ) ( AIRPORT ?auto_1527 ) ( DIFFERENT ?auto_1527 ?auto_1529 ) ( LOCATION ?auto_1529 ) ( TRUCK ?auto_1533 ) ( LOCATION ?auto_1531 ) ( CITY ?auto_1530 ) ( IN-CITY ?auto_1531 ?auto_1530 ) ( IN-CITY ?auto_1529 ?auto_1530 ) ( DIFFERENT ?auto_1529 ?auto_1531 ) ( AT ?auto_1526 ?auto_1531 ) ( LOCATION ?auto_1536 ) ( CITY ?auto_1535 ) ( AT ?auto_1533 ?auto_1536 ) ( IN-CITY ?auto_1536 ?auto_1535 ) ( IN-CITY ?auto_1531 ?auto_1535 ) ( DIFFERENT ?auto_1531 ?auto_1536 ) ( AIRPORT ?auto_1537 ) ( DIFFERENT ?auto_1529 ?auto_1537 ) ( AIRPORT ?auto_1539 ) ( AT ?auto_1534 ?auto_1539 ) ( DIFFERENT ?auto_1537 ?auto_1539 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1534 ?auto_1539 ?auto_1537 )
      ( DELIVER-PKG ?auto_1526 ?auto_1527 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1817
      ?auto_1818
    )
    :vars
    (
      ?auto_1827
      ?auto_1820
      ?auto_1821
      ?auto_1829
      ?auto_1824
      ?auto_1831
      ?auto_1826
      ?auto_1819
      ?auto_1825
      ?auto_1830
      ?auto_1834
      ?auto_1833
    )
    :precondition
    ( and ( OBJ ?auto_1817 ) ( LOCATION ?auto_1818 ) ( TRUCK ?auto_1827 ) ( LOCATION ?auto_1820 ) ( CITY ?auto_1821 ) ( AT ?auto_1827 ?auto_1820 ) ( IN-CITY ?auto_1820 ?auto_1821 ) ( IN-CITY ?auto_1818 ?auto_1821 ) ( DIFFERENT ?auto_1818 ?auto_1820 ) ( LOCATION ?auto_1829 ) ( AT ?auto_1827 ?auto_1829 ) ( AIRPLANE ?auto_1824 ) ( AIRPORT ?auto_1831 ) ( AIRPORT ?auto_1829 ) ( AT ?auto_1824 ?auto_1831 ) ( DIFFERENT ?auto_1829 ?auto_1831 ) ( LOCATION ?auto_1826 ) ( AT ?auto_1824 ?auto_1826 ) ( TRUCK ?auto_1819 ) ( LOCATION ?auto_1825 ) ( CITY ?auto_1830 ) ( IN-CITY ?auto_1825 ?auto_1830 ) ( IN-CITY ?auto_1826 ?auto_1830 ) ( DIFFERENT ?auto_1826 ?auto_1825 ) ( AT ?auto_1817 ?auto_1825 ) ( LOCATION ?auto_1834 ) ( CITY ?auto_1833 ) ( AT ?auto_1819 ?auto_1834 ) ( IN-CITY ?auto_1834 ?auto_1833 ) ( IN-CITY ?auto_1825 ?auto_1833 ) ( DIFFERENT ?auto_1825 ?auto_1834 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1819 ?auto_1834 ?auto_1825 ?auto_1833 )
      ( DELIVER-PKG ?auto_1817 ?auto_1818 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1868
      ?auto_1869
    )
    :vars
    (
      ?auto_1879
      ?auto_1882
      ?auto_1871
      ?auto_1876
      ?auto_1873
      ?auto_1878
      ?auto_1881
      ?auto_1874
      ?auto_1877
      ?auto_1880
      ?auto_1875
      ?auto_1885
    )
    :precondition
    ( and ( OBJ ?auto_1868 ) ( LOCATION ?auto_1869 ) ( TRUCK ?auto_1879 ) ( LOCATION ?auto_1882 ) ( CITY ?auto_1871 ) ( AT ?auto_1879 ?auto_1882 ) ( IN-CITY ?auto_1882 ?auto_1871 ) ( IN-CITY ?auto_1869 ?auto_1871 ) ( DIFFERENT ?auto_1869 ?auto_1882 ) ( LOCATION ?auto_1876 ) ( AT ?auto_1879 ?auto_1876 ) ( AIRPLANE ?auto_1873 ) ( AIRPORT ?auto_1878 ) ( AIRPORT ?auto_1876 ) ( DIFFERENT ?auto_1876 ?auto_1878 ) ( LOCATION ?auto_1878 ) ( TRUCK ?auto_1881 ) ( LOCATION ?auto_1874 ) ( CITY ?auto_1877 ) ( IN-CITY ?auto_1874 ?auto_1877 ) ( IN-CITY ?auto_1878 ?auto_1877 ) ( DIFFERENT ?auto_1878 ?auto_1874 ) ( AT ?auto_1868 ?auto_1874 ) ( LOCATION ?auto_1880 ) ( CITY ?auto_1875 ) ( AT ?auto_1881 ?auto_1880 ) ( IN-CITY ?auto_1880 ?auto_1875 ) ( IN-CITY ?auto_1874 ?auto_1875 ) ( DIFFERENT ?auto_1874 ?auto_1880 ) ( AIRPORT ?auto_1885 ) ( AT ?auto_1873 ?auto_1885 ) ( DIFFERENT ?auto_1878 ?auto_1885 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1873 ?auto_1885 ?auto_1878 )
      ( DELIVER-PKG ?auto_1868 ?auto_1869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1999
      ?auto_2000
    )
    :vars
    (
      ?auto_2004
      ?auto_2001
      ?auto_2006
      ?auto_2007
      ?auto_2003
      ?auto_2011
      ?auto_2008
      ?auto_2002
      ?auto_2010
      ?auto_2009
      ?auto_2013
      ?auto_2017
      ?auto_2016
    )
    :precondition
    ( and ( OBJ ?auto_1999 ) ( LOCATION ?auto_2000 ) ( TRUCK ?auto_2004 ) ( LOCATION ?auto_2001 ) ( CITY ?auto_2006 ) ( IN-CITY ?auto_2001 ?auto_2006 ) ( IN-CITY ?auto_2000 ?auto_2006 ) ( DIFFERENT ?auto_2000 ?auto_2001 ) ( AIRPLANE ?auto_2007 ) ( AIRPORT ?auto_2003 ) ( AIRPORT ?auto_2001 ) ( DIFFERENT ?auto_2001 ?auto_2003 ) ( LOCATION ?auto_2003 ) ( TRUCK ?auto_2011 ) ( LOCATION ?auto_2008 ) ( CITY ?auto_2002 ) ( IN-CITY ?auto_2008 ?auto_2002 ) ( IN-CITY ?auto_2003 ?auto_2002 ) ( DIFFERENT ?auto_2003 ?auto_2008 ) ( AT ?auto_1999 ?auto_2008 ) ( LOCATION ?auto_2010 ) ( CITY ?auto_2009 ) ( AT ?auto_2011 ?auto_2010 ) ( IN-CITY ?auto_2010 ?auto_2009 ) ( IN-CITY ?auto_2008 ?auto_2009 ) ( DIFFERENT ?auto_2008 ?auto_2010 ) ( AIRPORT ?auto_2013 ) ( AT ?auto_2007 ?auto_2013 ) ( DIFFERENT ?auto_2003 ?auto_2013 ) ( LOCATION ?auto_2017 ) ( CITY ?auto_2016 ) ( AT ?auto_2004 ?auto_2017 ) ( IN-CITY ?auto_2017 ?auto_2016 ) ( IN-CITY ?auto_2001 ?auto_2016 ) ( DIFFERENT ?auto_2001 ?auto_2017 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2004 ?auto_2017 ?auto_2001 ?auto_2016 )
      ( DELIVER-PKG ?auto_1999 ?auto_2000 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2036
      ?auto_2037
    )
    :vars
    (
      ?auto_2043
      ?auto_2040
      ?auto_2044
      ?auto_2045
      ?auto_2042
      ?auto_2049
      ?auto_2046
      ?auto_2041
      ?auto_2048
      ?auto_2047
      ?auto_2051
      ?auto_2052
      ?auto_2050
      ?auto_2054
    )
    :precondition
    ( and ( OBJ ?auto_2036 ) ( LOCATION ?auto_2037 ) ( TRUCK ?auto_2043 ) ( LOCATION ?auto_2040 ) ( CITY ?auto_2044 ) ( IN-CITY ?auto_2040 ?auto_2044 ) ( IN-CITY ?auto_2037 ?auto_2044 ) ( DIFFERENT ?auto_2037 ?auto_2040 ) ( AIRPLANE ?auto_2045 ) ( AIRPORT ?auto_2042 ) ( AIRPORT ?auto_2040 ) ( DIFFERENT ?auto_2040 ?auto_2042 ) ( LOCATION ?auto_2042 ) ( TRUCK ?auto_2049 ) ( LOCATION ?auto_2046 ) ( CITY ?auto_2041 ) ( IN-CITY ?auto_2046 ?auto_2041 ) ( IN-CITY ?auto_2042 ?auto_2041 ) ( DIFFERENT ?auto_2042 ?auto_2046 ) ( AT ?auto_2036 ?auto_2046 ) ( LOCATION ?auto_2048 ) ( CITY ?auto_2047 ) ( AT ?auto_2049 ?auto_2048 ) ( IN-CITY ?auto_2048 ?auto_2047 ) ( IN-CITY ?auto_2046 ?auto_2047 ) ( DIFFERENT ?auto_2046 ?auto_2048 ) ( AIRPORT ?auto_2051 ) ( DIFFERENT ?auto_2042 ?auto_2051 ) ( LOCATION ?auto_2052 ) ( CITY ?auto_2050 ) ( AT ?auto_2043 ?auto_2052 ) ( IN-CITY ?auto_2052 ?auto_2050 ) ( IN-CITY ?auto_2040 ?auto_2050 ) ( DIFFERENT ?auto_2040 ?auto_2052 ) ( AIRPORT ?auto_2054 ) ( AT ?auto_2045 ?auto_2054 ) ( DIFFERENT ?auto_2051 ?auto_2054 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2045 ?auto_2054 ?auto_2051 )
      ( DELIVER-PKG ?auto_2036 ?auto_2037 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2342
      ?auto_2343
    )
    :vars
    (
      ?auto_2345
      ?auto_2348
    )
    :precondition
    ( and ( OBJ ?auto_2342 ) ( LOCATION ?auto_2343 ) ( TRUCK ?auto_2345 ) ( AT ?auto_2345 ?auto_2343 ) ( LOCATION ?auto_2348 ) ( AT ?auto_2345 ?auto_2348 ) ( AT ?auto_2342 ?auto_2348 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2342 ?auto_2345 ?auto_2348 )
      ( DELIVER-PKG ?auto_2342 ?auto_2343 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2356
      ?auto_2357
    )
    :vars
    (
      ?auto_2360
      ?auto_2359
      ?auto_2363
    )
    :precondition
    ( and ( OBJ ?auto_2356 ) ( LOCATION ?auto_2357 ) ( TRUCK ?auto_2360 ) ( AT ?auto_2360 ?auto_2357 ) ( LOCATION ?auto_2359 ) ( AT ?auto_2360 ?auto_2359 ) ( TRUCK ?auto_2363 ) ( AT ?auto_2363 ?auto_2359 ) ( IN ?auto_2356 ?auto_2363 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2356 ?auto_2359 )
      ( DELIVER-PKG ?auto_2356 ?auto_2357 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2535
      ?auto_2536
    )
    :vars
    (
      ?auto_2537
      ?auto_2541
      ?auto_2538
      ?auto_2540
      ?auto_2544
    )
    :precondition
    ( and ( OBJ ?auto_2535 ) ( LOCATION ?auto_2536 ) ( AIRPLANE ?auto_2537 ) ( AIRPORT ?auto_2541 ) ( AIRPORT ?auto_2536 ) ( AT ?auto_2537 ?auto_2541 ) ( DIFFERENT ?auto_2536 ?auto_2541 ) ( LOCATION ?auto_2538 ) ( AT ?auto_2537 ?auto_2538 ) ( TRUCK ?auto_2540 ) ( AT ?auto_2540 ?auto_2538 ) ( LOCATION ?auto_2544 ) ( AT ?auto_2540 ?auto_2544 ) ( AT ?auto_2535 ?auto_2544 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2535 ?auto_2540 ?auto_2544 )
      ( DELIVER-PKG ?auto_2535 ?auto_2536 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2625
      ?auto_2626
    )
    :vars
    (
      ?auto_2635
      ?auto_2629
      ?auto_2628
      ?auto_2634
      ?auto_2630
      ?auto_2633
      ?auto_2637
    )
    :precondition
    ( and ( OBJ ?auto_2625 ) ( LOCATION ?auto_2626 ) ( AIRPLANE ?auto_2635 ) ( AIRPORT ?auto_2629 ) ( AIRPORT ?auto_2626 ) ( DIFFERENT ?auto_2626 ?auto_2629 ) ( LOCATION ?auto_2629 ) ( TRUCK ?auto_2628 ) ( LOCATION ?auto_2634 ) ( CITY ?auto_2630 ) ( AT ?auto_2628 ?auto_2634 ) ( IN-CITY ?auto_2634 ?auto_2630 ) ( IN-CITY ?auto_2629 ?auto_2630 ) ( DIFFERENT ?auto_2629 ?auto_2634 ) ( LOCATION ?auto_2633 ) ( AT ?auto_2628 ?auto_2633 ) ( AT ?auto_2625 ?auto_2633 ) ( AIRPORT ?auto_2637 ) ( AT ?auto_2635 ?auto_2637 ) ( DIFFERENT ?auto_2629 ?auto_2637 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2635 ?auto_2637 ?auto_2629 )
      ( DELIVER-PKG ?auto_2625 ?auto_2626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2639
      ?auto_2640
    )
    :vars
    (
      ?auto_2646
      ?auto_2642
      ?auto_2648
      ?auto_2644
      ?auto_2643
      ?auto_2647
      ?auto_2652
      ?auto_2651
    )
    :precondition
    ( and ( OBJ ?auto_2639 ) ( LOCATION ?auto_2640 ) ( AIRPLANE ?auto_2646 ) ( AIRPORT ?auto_2642 ) ( AIRPORT ?auto_2640 ) ( DIFFERENT ?auto_2640 ?auto_2642 ) ( LOCATION ?auto_2642 ) ( TRUCK ?auto_2648 ) ( LOCATION ?auto_2644 ) ( CITY ?auto_2643 ) ( IN-CITY ?auto_2644 ?auto_2643 ) ( IN-CITY ?auto_2642 ?auto_2643 ) ( DIFFERENT ?auto_2642 ?auto_2644 ) ( AT ?auto_2639 ?auto_2644 ) ( AIRPORT ?auto_2647 ) ( AT ?auto_2646 ?auto_2647 ) ( DIFFERENT ?auto_2642 ?auto_2647 ) ( LOCATION ?auto_2652 ) ( CITY ?auto_2651 ) ( AT ?auto_2648 ?auto_2652 ) ( IN-CITY ?auto_2652 ?auto_2651 ) ( IN-CITY ?auto_2644 ?auto_2651 ) ( DIFFERENT ?auto_2644 ?auto_2652 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2648 ?auto_2652 ?auto_2644 ?auto_2651 )
      ( DELIVER-PKG ?auto_2639 ?auto_2640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2990
      ?auto_2991
    )
    :vars
    (
      ?auto_2992
      ?auto_2994
      ?auto_2998
    )
    :precondition
    ( and ( OBJ ?auto_2990 ) ( LOCATION ?auto_2991 ) ( AIRPLANE ?auto_2992 ) ( AIRPORT ?auto_2994 ) ( AIRPORT ?auto_2991 ) ( DIFFERENT ?auto_2991 ?auto_2994 ) ( LOCATION ?auto_2994 ) ( AT ?auto_2990 ?auto_2994 ) ( AIRPORT ?auto_2998 ) ( AT ?auto_2992 ?auto_2998 ) ( DIFFERENT ?auto_2994 ?auto_2998 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_2992 ?auto_2998 ?auto_2994 )
      ( DELIVER-PKG ?auto_2990 ?auto_2991 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3014
      ?auto_3015
    )
    :vars
    (
      ?auto_3016
      ?auto_3019
      ?auto_3017
      ?auto_3022
    )
    :precondition
    ( and ( OBJ ?auto_3014 ) ( LOCATION ?auto_3015 ) ( AIRPLANE ?auto_3016 ) ( AIRPORT ?auto_3019 ) ( AIRPORT ?auto_3015 ) ( DIFFERENT ?auto_3015 ?auto_3019 ) ( LOCATION ?auto_3019 ) ( AT ?auto_3014 ?auto_3019 ) ( AIRPORT ?auto_3017 ) ( DIFFERENT ?auto_3019 ?auto_3017 ) ( AIRPORT ?auto_3022 ) ( AT ?auto_3016 ?auto_3022 ) ( DIFFERENT ?auto_3017 ?auto_3022 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3016 ?auto_3022 ?auto_3017 )
      ( DELIVER-PKG ?auto_3014 ?auto_3015 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3048
      ?auto_3049
    )
    :vars
    (
      ?auto_3052
      ?auto_3054
      ?auto_3051
      ?auto_3055
      ?auto_3057
    )
    :precondition
    ( and ( OBJ ?auto_3048 ) ( LOCATION ?auto_3049 ) ( AIRPLANE ?auto_3052 ) ( AIRPORT ?auto_3054 ) ( AIRPORT ?auto_3049 ) ( DIFFERENT ?auto_3049 ?auto_3054 ) ( LOCATION ?auto_3054 ) ( AIRPORT ?auto_3051 ) ( DIFFERENT ?auto_3054 ?auto_3051 ) ( AIRPORT ?auto_3055 ) ( AT ?auto_3052 ?auto_3055 ) ( DIFFERENT ?auto_3051 ?auto_3055 ) ( TRUCK ?auto_3057 ) ( AT ?auto_3057 ?auto_3054 ) ( IN ?auto_3048 ?auto_3057 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3048 ?auto_3054 )
      ( DELIVER-PKG ?auto_3048 ?auto_3049 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3068
      ?auto_3069
    )
    :vars
    (
      ?auto_3073
      ?auto_3074
      ?auto_3072
      ?auto_3075
      ?auto_3076
      ?auto_3079
      ?auto_3078
    )
    :precondition
    ( and ( OBJ ?auto_3068 ) ( LOCATION ?auto_3069 ) ( AIRPLANE ?auto_3073 ) ( AIRPORT ?auto_3074 ) ( AIRPORT ?auto_3069 ) ( DIFFERENT ?auto_3069 ?auto_3074 ) ( LOCATION ?auto_3074 ) ( AIRPORT ?auto_3072 ) ( DIFFERENT ?auto_3074 ?auto_3072 ) ( AIRPORT ?auto_3075 ) ( AT ?auto_3073 ?auto_3075 ) ( DIFFERENT ?auto_3072 ?auto_3075 ) ( TRUCK ?auto_3076 ) ( IN ?auto_3068 ?auto_3076 ) ( LOCATION ?auto_3079 ) ( CITY ?auto_3078 ) ( AT ?auto_3076 ?auto_3079 ) ( IN-CITY ?auto_3079 ?auto_3078 ) ( IN-CITY ?auto_3074 ?auto_3078 ) ( DIFFERENT ?auto_3074 ?auto_3079 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3076 ?auto_3079 ?auto_3074 ?auto_3078 )
      ( DELIVER-PKG ?auto_3068 ?auto_3069 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3092
      ?auto_3093
    )
    :vars
    (
      ?auto_3096
      ?auto_3097
      ?auto_3095
      ?auto_3098
      ?auto_3099
      ?auto_3102
      ?auto_3101
      ?auto_3104
    )
    :precondition
    ( and ( OBJ ?auto_3092 ) ( LOCATION ?auto_3093 ) ( AIRPLANE ?auto_3096 ) ( AIRPORT ?auto_3097 ) ( AIRPORT ?auto_3093 ) ( DIFFERENT ?auto_3093 ?auto_3097 ) ( LOCATION ?auto_3097 ) ( AIRPORT ?auto_3095 ) ( DIFFERENT ?auto_3097 ?auto_3095 ) ( AIRPORT ?auto_3098 ) ( AT ?auto_3096 ?auto_3098 ) ( DIFFERENT ?auto_3095 ?auto_3098 ) ( TRUCK ?auto_3099 ) ( LOCATION ?auto_3102 ) ( CITY ?auto_3101 ) ( AT ?auto_3099 ?auto_3102 ) ( IN-CITY ?auto_3102 ?auto_3101 ) ( IN-CITY ?auto_3097 ?auto_3101 ) ( DIFFERENT ?auto_3097 ?auto_3102 ) ( LOCATION ?auto_3104 ) ( AT ?auto_3099 ?auto_3104 ) ( AT ?auto_3092 ?auto_3104 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3092 ?auto_3099 ?auto_3104 )
      ( DELIVER-PKG ?auto_3092 ?auto_3093 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3118
      ?auto_3119
    )
    :vars
    (
      ?auto_3121
      ?auto_3122
      ?auto_3120
      ?auto_3124
      ?auto_3125
      ?auto_3129
      ?auto_3126
      ?auto_3132
      ?auto_3131
    )
    :precondition
    ( and ( OBJ ?auto_3118 ) ( LOCATION ?auto_3119 ) ( AIRPLANE ?auto_3121 ) ( AIRPORT ?auto_3122 ) ( AIRPORT ?auto_3119 ) ( DIFFERENT ?auto_3119 ?auto_3122 ) ( LOCATION ?auto_3122 ) ( AIRPORT ?auto_3120 ) ( DIFFERENT ?auto_3122 ?auto_3120 ) ( AIRPORT ?auto_3124 ) ( AT ?auto_3121 ?auto_3124 ) ( DIFFERENT ?auto_3120 ?auto_3124 ) ( TRUCK ?auto_3125 ) ( LOCATION ?auto_3129 ) ( CITY ?auto_3126 ) ( IN-CITY ?auto_3129 ?auto_3126 ) ( IN-CITY ?auto_3122 ?auto_3126 ) ( DIFFERENT ?auto_3122 ?auto_3129 ) ( AT ?auto_3118 ?auto_3129 ) ( LOCATION ?auto_3132 ) ( CITY ?auto_3131 ) ( AT ?auto_3125 ?auto_3132 ) ( IN-CITY ?auto_3132 ?auto_3131 ) ( IN-CITY ?auto_3129 ?auto_3131 ) ( DIFFERENT ?auto_3129 ?auto_3132 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3125 ?auto_3132 ?auto_3129 ?auto_3131 )
      ( DELIVER-PKG ?auto_3118 ?auto_3119 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3134
      ?auto_3135
    )
    :vars
    (
      ?auto_3136
      ?auto_3140
      ?auto_3142
      ?auto_3137
      ?auto_3138
      ?auto_3143
      ?auto_3139
      ?auto_3146
      ?auto_3145
      ?auto_3148
    )
    :precondition
    ( and ( OBJ ?auto_3134 ) ( LOCATION ?auto_3135 ) ( AIRPLANE ?auto_3136 ) ( AIRPORT ?auto_3140 ) ( AIRPORT ?auto_3135 ) ( DIFFERENT ?auto_3135 ?auto_3140 ) ( LOCATION ?auto_3140 ) ( AIRPORT ?auto_3142 ) ( DIFFERENT ?auto_3140 ?auto_3142 ) ( AIRPORT ?auto_3137 ) ( DIFFERENT ?auto_3142 ?auto_3137 ) ( TRUCK ?auto_3138 ) ( LOCATION ?auto_3143 ) ( CITY ?auto_3139 ) ( IN-CITY ?auto_3143 ?auto_3139 ) ( IN-CITY ?auto_3140 ?auto_3139 ) ( DIFFERENT ?auto_3140 ?auto_3143 ) ( AT ?auto_3134 ?auto_3143 ) ( LOCATION ?auto_3146 ) ( CITY ?auto_3145 ) ( AT ?auto_3138 ?auto_3146 ) ( IN-CITY ?auto_3146 ?auto_3145 ) ( IN-CITY ?auto_3143 ?auto_3145 ) ( DIFFERENT ?auto_3143 ?auto_3146 ) ( AIRPORT ?auto_3148 ) ( AT ?auto_3136 ?auto_3148 ) ( DIFFERENT ?auto_3137 ?auto_3148 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3136 ?auto_3148 ?auto_3137 )
      ( DELIVER-PKG ?auto_3134 ?auto_3135 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3612
      ?auto_3613
    )
    :vars
    (
      ?auto_3615
      ?auto_3617
      ?auto_3619
    )
    :precondition
    ( and ( OBJ ?auto_3612 ) ( LOCATION ?auto_3613 ) ( AIRPLANE ?auto_3615 ) ( IN ?auto_3612 ?auto_3615 ) ( AIRPORT ?auto_3617 ) ( AIRPORT ?auto_3613 ) ( DIFFERENT ?auto_3613 ?auto_3617 ) ( AIRPORT ?auto_3619 ) ( AT ?auto_3615 ?auto_3619 ) ( DIFFERENT ?auto_3617 ?auto_3619 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3615 ?auto_3619 ?auto_3617 )
      ( DELIVER-PKG ?auto_3612 ?auto_3613 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3628
      ?auto_3629
    )
    :vars
    (
      ?auto_3633
      ?auto_3630
      ?auto_3634
      ?auto_3636
    )
    :precondition
    ( and ( OBJ ?auto_3628 ) ( LOCATION ?auto_3629 ) ( AIRPLANE ?auto_3633 ) ( IN ?auto_3628 ?auto_3633 ) ( AIRPORT ?auto_3630 ) ( AIRPORT ?auto_3629 ) ( DIFFERENT ?auto_3629 ?auto_3630 ) ( AIRPORT ?auto_3634 ) ( DIFFERENT ?auto_3630 ?auto_3634 ) ( AIRPORT ?auto_3636 ) ( AT ?auto_3633 ?auto_3636 ) ( DIFFERENT ?auto_3634 ?auto_3636 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3633 ?auto_3636 ?auto_3634 )
      ( DELIVER-PKG ?auto_3628 ?auto_3629 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3638
      ?auto_3639
    )
    :vars
    (
      ?auto_3643
      ?auto_3641
      ?auto_3644
      ?auto_3645
      ?auto_3647
    )
    :precondition
    ( and ( OBJ ?auto_3638 ) ( LOCATION ?auto_3639 ) ( AIRPLANE ?auto_3643 ) ( AIRPORT ?auto_3641 ) ( AIRPORT ?auto_3639 ) ( DIFFERENT ?auto_3639 ?auto_3641 ) ( AIRPORT ?auto_3644 ) ( DIFFERENT ?auto_3641 ?auto_3644 ) ( AIRPORT ?auto_3645 ) ( AT ?auto_3643 ?auto_3645 ) ( DIFFERENT ?auto_3644 ?auto_3645 ) ( LOCATION ?auto_3647 ) ( AT ?auto_3638 ?auto_3647 ) ( AT ?auto_3643 ?auto_3647 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3638 ?auto_3643 ?auto_3647 )
      ( DELIVER-PKG ?auto_3638 ?auto_3639 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3649
      ?auto_3650
    )
    :vars
    (
      ?auto_3652
      ?auto_3656
      ?auto_3653
      ?auto_3654
      ?auto_3655
      ?auto_3660
    )
    :precondition
    ( and ( OBJ ?auto_3649 ) ( LOCATION ?auto_3650 ) ( AIRPLANE ?auto_3652 ) ( AIRPORT ?auto_3656 ) ( AIRPORT ?auto_3650 ) ( DIFFERENT ?auto_3650 ?auto_3656 ) ( AIRPORT ?auto_3653 ) ( DIFFERENT ?auto_3656 ?auto_3653 ) ( AIRPORT ?auto_3654 ) ( AT ?auto_3652 ?auto_3654 ) ( DIFFERENT ?auto_3653 ?auto_3654 ) ( LOCATION ?auto_3655 ) ( AT ?auto_3652 ?auto_3655 ) ( AIRPLANE ?auto_3660 ) ( IN ?auto_3649 ?auto_3660 ) ( AT ?auto_3660 ?auto_3655 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3649 ?auto_3655 )
      ( DELIVER-PKG ?auto_3649 ?auto_3650 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3661
      ?auto_3662
    )
    :vars
    (
      ?auto_3666
      ?auto_3667
      ?auto_3664
      ?auto_3663
      ?auto_3672
    )
    :precondition
    ( and ( OBJ ?auto_3661 ) ( LOCATION ?auto_3662 ) ( AIRPLANE ?auto_3666 ) ( AIRPORT ?auto_3667 ) ( AIRPORT ?auto_3662 ) ( DIFFERENT ?auto_3662 ?auto_3667 ) ( AIRPORT ?auto_3664 ) ( DIFFERENT ?auto_3667 ?auto_3664 ) ( AIRPORT ?auto_3663 ) ( DIFFERENT ?auto_3664 ?auto_3663 ) ( LOCATION ?auto_3663 ) ( IN ?auto_3661 ?auto_3666 ) ( AIRPORT ?auto_3672 ) ( AT ?auto_3666 ?auto_3672 ) ( DIFFERENT ?auto_3663 ?auto_3672 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3666 ?auto_3672 ?auto_3663 )
      ( DELIVER-PKG ?auto_3661 ?auto_3662 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3674
      ?auto_3675
    )
    :vars
    (
      ?auto_3682
      ?auto_3680
      ?auto_3681
      ?auto_3678
      ?auto_3676
      ?auto_3684
    )
    :precondition
    ( and ( OBJ ?auto_3674 ) ( LOCATION ?auto_3675 ) ( AIRPLANE ?auto_3682 ) ( AIRPORT ?auto_3680 ) ( AIRPORT ?auto_3675 ) ( DIFFERENT ?auto_3675 ?auto_3680 ) ( AIRPORT ?auto_3681 ) ( DIFFERENT ?auto_3680 ?auto_3681 ) ( AIRPORT ?auto_3678 ) ( DIFFERENT ?auto_3681 ?auto_3678 ) ( LOCATION ?auto_3678 ) ( AIRPORT ?auto_3676 ) ( AT ?auto_3682 ?auto_3676 ) ( DIFFERENT ?auto_3678 ?auto_3676 ) ( LOCATION ?auto_3684 ) ( AT ?auto_3674 ?auto_3684 ) ( AT ?auto_3682 ?auto_3684 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3674 ?auto_3682 ?auto_3684 )
      ( DELIVER-PKG ?auto_3674 ?auto_3675 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3725
      ?auto_3726
    )
    :vars
    (
      ?auto_3727
      ?auto_3736
      ?auto_3729
      ?auto_3728
      ?auto_3732
      ?auto_3730
      ?auto_3735
      ?auto_3731
      ?auto_3738
    )
    :precondition
    ( and ( OBJ ?auto_3725 ) ( LOCATION ?auto_3726 ) ( AIRPLANE ?auto_3727 ) ( AIRPORT ?auto_3736 ) ( AIRPORT ?auto_3726 ) ( DIFFERENT ?auto_3726 ?auto_3736 ) ( AIRPORT ?auto_3729 ) ( DIFFERENT ?auto_3736 ?auto_3729 ) ( AIRPORT ?auto_3728 ) ( DIFFERENT ?auto_3729 ?auto_3728 ) ( LOCATION ?auto_3728 ) ( AIRPORT ?auto_3732 ) ( AT ?auto_3727 ?auto_3732 ) ( DIFFERENT ?auto_3728 ?auto_3732 ) ( LOCATION ?auto_3730 ) ( AT ?auto_3727 ?auto_3730 ) ( TRUCK ?auto_3735 ) ( AT ?auto_3735 ?auto_3730 ) ( LOCATION ?auto_3731 ) ( AT ?auto_3735 ?auto_3731 ) ( TRUCK ?auto_3738 ) ( AT ?auto_3738 ?auto_3731 ) ( IN ?auto_3725 ?auto_3738 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3725 ?auto_3731 )
      ( DELIVER-PKG ?auto_3725 ?auto_3726 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3699
      ?auto_3700
    )
    :vars
    (
      ?auto_3704
      ?auto_3703
      ?auto_3708
      ?auto_3707
      ?auto_3701
      ?auto_3709
      ?auto_3706
      ?auto_3711
    )
    :precondition
    ( and ( OBJ ?auto_3699 ) ( LOCATION ?auto_3700 ) ( AIRPLANE ?auto_3704 ) ( AIRPORT ?auto_3703 ) ( AIRPORT ?auto_3700 ) ( DIFFERENT ?auto_3700 ?auto_3703 ) ( AIRPORT ?auto_3708 ) ( DIFFERENT ?auto_3703 ?auto_3708 ) ( AIRPORT ?auto_3707 ) ( DIFFERENT ?auto_3708 ?auto_3707 ) ( LOCATION ?auto_3707 ) ( AIRPORT ?auto_3701 ) ( AT ?auto_3704 ?auto_3701 ) ( DIFFERENT ?auto_3707 ?auto_3701 ) ( LOCATION ?auto_3709 ) ( AT ?auto_3704 ?auto_3709 ) ( TRUCK ?auto_3706 ) ( AT ?auto_3706 ?auto_3709 ) ( LOCATION ?auto_3711 ) ( AT ?auto_3706 ?auto_3711 ) ( AT ?auto_3699 ?auto_3711 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3699 ?auto_3706 ?auto_3711 )
      ( DELIVER-PKG ?auto_3699 ?auto_3700 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3753
      ?auto_3754
    )
    :vars
    (
      ?auto_3761
      ?auto_3760
      ?auto_3765
      ?auto_3763
      ?auto_3762
      ?auto_3756
      ?auto_3759
      ?auto_3768
      ?auto_3767
    )
    :precondition
    ( and ( OBJ ?auto_3753 ) ( LOCATION ?auto_3754 ) ( AIRPLANE ?auto_3761 ) ( AIRPORT ?auto_3760 ) ( AIRPORT ?auto_3754 ) ( DIFFERENT ?auto_3754 ?auto_3760 ) ( AIRPORT ?auto_3765 ) ( DIFFERENT ?auto_3760 ?auto_3765 ) ( AIRPORT ?auto_3763 ) ( DIFFERENT ?auto_3765 ?auto_3763 ) ( LOCATION ?auto_3763 ) ( AIRPORT ?auto_3762 ) ( AT ?auto_3761 ?auto_3762 ) ( DIFFERENT ?auto_3763 ?auto_3762 ) ( LOCATION ?auto_3756 ) ( AT ?auto_3761 ?auto_3756 ) ( TRUCK ?auto_3759 ) ( IN ?auto_3753 ?auto_3759 ) ( LOCATION ?auto_3768 ) ( CITY ?auto_3767 ) ( AT ?auto_3759 ?auto_3768 ) ( IN-CITY ?auto_3768 ?auto_3767 ) ( IN-CITY ?auto_3756 ?auto_3767 ) ( DIFFERENT ?auto_3756 ?auto_3768 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3759 ?auto_3768 ?auto_3756 ?auto_3767 )
      ( DELIVER-PKG ?auto_3753 ?auto_3754 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3783
      ?auto_3784
    )
    :vars
    (
      ?auto_3793
      ?auto_3790
      ?auto_3791
      ?auto_3787
      ?auto_3786
      ?auto_3792
      ?auto_3789
      ?auto_3788
      ?auto_3794
      ?auto_3797
    )
    :precondition
    ( and ( OBJ ?auto_3783 ) ( LOCATION ?auto_3784 ) ( AIRPLANE ?auto_3793 ) ( AIRPORT ?auto_3790 ) ( AIRPORT ?auto_3784 ) ( DIFFERENT ?auto_3784 ?auto_3790 ) ( AIRPORT ?auto_3791 ) ( DIFFERENT ?auto_3790 ?auto_3791 ) ( AIRPORT ?auto_3787 ) ( DIFFERENT ?auto_3791 ?auto_3787 ) ( LOCATION ?auto_3787 ) ( AIRPORT ?auto_3786 ) ( AT ?auto_3793 ?auto_3786 ) ( DIFFERENT ?auto_3787 ?auto_3786 ) ( LOCATION ?auto_3792 ) ( AT ?auto_3793 ?auto_3792 ) ( TRUCK ?auto_3789 ) ( LOCATION ?auto_3788 ) ( CITY ?auto_3794 ) ( AT ?auto_3789 ?auto_3788 ) ( IN-CITY ?auto_3788 ?auto_3794 ) ( IN-CITY ?auto_3792 ?auto_3794 ) ( DIFFERENT ?auto_3792 ?auto_3788 ) ( LOCATION ?auto_3797 ) ( AT ?auto_3789 ?auto_3797 ) ( AT ?auto_3783 ?auto_3797 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3783 ?auto_3789 ?auto_3797 )
      ( DELIVER-PKG ?auto_3783 ?auto_3784 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3813
      ?auto_3814
    )
    :vars
    (
      ?auto_3818
      ?auto_3815
      ?auto_3816
      ?auto_3824
      ?auto_3817
      ?auto_3821
      ?auto_3820
      ?auto_3819
      ?auto_3826
      ?auto_3828
    )
    :precondition
    ( and ( OBJ ?auto_3813 ) ( LOCATION ?auto_3814 ) ( AIRPLANE ?auto_3818 ) ( AIRPORT ?auto_3815 ) ( AIRPORT ?auto_3814 ) ( DIFFERENT ?auto_3814 ?auto_3815 ) ( AIRPORT ?auto_3816 ) ( DIFFERENT ?auto_3815 ?auto_3816 ) ( AIRPORT ?auto_3824 ) ( DIFFERENT ?auto_3816 ?auto_3824 ) ( LOCATION ?auto_3824 ) ( AIRPORT ?auto_3817 ) ( DIFFERENT ?auto_3824 ?auto_3817 ) ( LOCATION ?auto_3817 ) ( TRUCK ?auto_3821 ) ( LOCATION ?auto_3820 ) ( CITY ?auto_3819 ) ( AT ?auto_3821 ?auto_3820 ) ( IN-CITY ?auto_3820 ?auto_3819 ) ( IN-CITY ?auto_3817 ?auto_3819 ) ( DIFFERENT ?auto_3817 ?auto_3820 ) ( LOCATION ?auto_3826 ) ( AT ?auto_3821 ?auto_3826 ) ( AT ?auto_3813 ?auto_3826 ) ( AIRPORT ?auto_3828 ) ( AT ?auto_3818 ?auto_3828 ) ( DIFFERENT ?auto_3817 ?auto_3828 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3818 ?auto_3828 ?auto_3817 )
      ( DELIVER-PKG ?auto_3813 ?auto_3814 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3830
      ?auto_3831
    )
    :vars
    (
      ?auto_3836
      ?auto_3833
      ?auto_3834
      ?auto_3837
      ?auto_3841
      ?auto_3832
      ?auto_3838
      ?auto_3839
      ?auto_3843
      ?auto_3846
      ?auto_3845
    )
    :precondition
    ( and ( OBJ ?auto_3830 ) ( LOCATION ?auto_3831 ) ( AIRPLANE ?auto_3836 ) ( AIRPORT ?auto_3833 ) ( AIRPORT ?auto_3831 ) ( DIFFERENT ?auto_3831 ?auto_3833 ) ( AIRPORT ?auto_3834 ) ( DIFFERENT ?auto_3833 ?auto_3834 ) ( AIRPORT ?auto_3837 ) ( DIFFERENT ?auto_3834 ?auto_3837 ) ( LOCATION ?auto_3837 ) ( AIRPORT ?auto_3841 ) ( DIFFERENT ?auto_3837 ?auto_3841 ) ( LOCATION ?auto_3841 ) ( TRUCK ?auto_3832 ) ( LOCATION ?auto_3838 ) ( CITY ?auto_3839 ) ( IN-CITY ?auto_3838 ?auto_3839 ) ( IN-CITY ?auto_3841 ?auto_3839 ) ( DIFFERENT ?auto_3841 ?auto_3838 ) ( AT ?auto_3830 ?auto_3838 ) ( AIRPORT ?auto_3843 ) ( AT ?auto_3836 ?auto_3843 ) ( DIFFERENT ?auto_3841 ?auto_3843 ) ( LOCATION ?auto_3846 ) ( CITY ?auto_3845 ) ( AT ?auto_3832 ?auto_3846 ) ( IN-CITY ?auto_3846 ?auto_3845 ) ( IN-CITY ?auto_3838 ?auto_3845 ) ( DIFFERENT ?auto_3838 ?auto_3846 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3832 ?auto_3846 ?auto_3838 ?auto_3845 )
      ( DELIVER-PKG ?auto_3830 ?auto_3831 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4971
      ?auto_4972
    )
    :vars
    (
      ?auto_4979
      ?auto_4973
      ?auto_4974
      ?auto_4976
      ?auto_4975
      ?auto_4982
      ?auto_4981
    )
    :precondition
    ( and ( OBJ ?auto_4971 ) ( LOCATION ?auto_4972 ) ( TRUCK ?auto_4979 ) ( IN ?auto_4971 ?auto_4979 ) ( LOCATION ?auto_4973 ) ( CITY ?auto_4974 ) ( IN-CITY ?auto_4973 ?auto_4974 ) ( IN-CITY ?auto_4972 ?auto_4974 ) ( DIFFERENT ?auto_4972 ?auto_4973 ) ( LOCATION ?auto_4976 ) ( CITY ?auto_4975 ) ( IN-CITY ?auto_4976 ?auto_4975 ) ( IN-CITY ?auto_4973 ?auto_4975 ) ( DIFFERENT ?auto_4973 ?auto_4976 ) ( LOCATION ?auto_4982 ) ( CITY ?auto_4981 ) ( AT ?auto_4979 ?auto_4982 ) ( IN-CITY ?auto_4982 ?auto_4981 ) ( IN-CITY ?auto_4976 ?auto_4981 ) ( DIFFERENT ?auto_4976 ?auto_4982 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4979 ?auto_4982 ?auto_4976 ?auto_4981 )
      ( DELIVER-PKG ?auto_4971 ?auto_4972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4995
      ?auto_4996
    )
    :vars
    (
      ?auto_4997
      ?auto_5004
      ?auto_4998
      ?auto_4999
      ?auto_5005
      ?auto_5002
      ?auto_5001
      ?auto_5008
      ?auto_5007
    )
    :precondition
    ( and ( OBJ ?auto_4995 ) ( LOCATION ?auto_4996 ) ( TRUCK ?auto_4997 ) ( IN ?auto_4995 ?auto_4997 ) ( LOCATION ?auto_5004 ) ( CITY ?auto_4998 ) ( IN-CITY ?auto_5004 ?auto_4998 ) ( IN-CITY ?auto_4996 ?auto_4998 ) ( DIFFERENT ?auto_4996 ?auto_5004 ) ( LOCATION ?auto_4999 ) ( CITY ?auto_5005 ) ( IN-CITY ?auto_4999 ?auto_5005 ) ( IN-CITY ?auto_5004 ?auto_5005 ) ( DIFFERENT ?auto_5004 ?auto_4999 ) ( LOCATION ?auto_5002 ) ( CITY ?auto_5001 ) ( IN-CITY ?auto_5002 ?auto_5001 ) ( IN-CITY ?auto_4999 ?auto_5001 ) ( DIFFERENT ?auto_4999 ?auto_5002 ) ( LOCATION ?auto_5008 ) ( CITY ?auto_5007 ) ( AT ?auto_4997 ?auto_5008 ) ( IN-CITY ?auto_5008 ?auto_5007 ) ( IN-CITY ?auto_5002 ?auto_5007 ) ( DIFFERENT ?auto_5002 ?auto_5008 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4997 ?auto_5008 ?auto_5002 ?auto_5007 )
      ( DELIVER-PKG ?auto_4995 ?auto_4996 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5023
      ?auto_5024
    )
    :vars
    (
      ?auto_5029
      ?auto_5030
      ?auto_5026
      ?auto_5032
      ?auto_5031
      ?auto_5027
      ?auto_5025
      ?auto_5035
      ?auto_5034
      ?auto_5037
    )
    :precondition
    ( and ( OBJ ?auto_5023 ) ( LOCATION ?auto_5024 ) ( TRUCK ?auto_5029 ) ( LOCATION ?auto_5030 ) ( CITY ?auto_5026 ) ( IN-CITY ?auto_5030 ?auto_5026 ) ( IN-CITY ?auto_5024 ?auto_5026 ) ( DIFFERENT ?auto_5024 ?auto_5030 ) ( LOCATION ?auto_5032 ) ( CITY ?auto_5031 ) ( IN-CITY ?auto_5032 ?auto_5031 ) ( IN-CITY ?auto_5030 ?auto_5031 ) ( DIFFERENT ?auto_5030 ?auto_5032 ) ( LOCATION ?auto_5027 ) ( CITY ?auto_5025 ) ( IN-CITY ?auto_5027 ?auto_5025 ) ( IN-CITY ?auto_5032 ?auto_5025 ) ( DIFFERENT ?auto_5032 ?auto_5027 ) ( LOCATION ?auto_5035 ) ( CITY ?auto_5034 ) ( AT ?auto_5029 ?auto_5035 ) ( IN-CITY ?auto_5035 ?auto_5034 ) ( IN-CITY ?auto_5027 ?auto_5034 ) ( DIFFERENT ?auto_5027 ?auto_5035 ) ( LOCATION ?auto_5037 ) ( AT ?auto_5029 ?auto_5037 ) ( AT ?auto_5023 ?auto_5037 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5023 ?auto_5029 ?auto_5037 )
      ( DELIVER-PKG ?auto_5023 ?auto_5024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5039
      ?auto_5040
    )
    :vars
    (
      ?auto_5041
      ?auto_5048
      ?auto_5045
      ?auto_5043
      ?auto_5042
      ?auto_5050
      ?auto_5047
      ?auto_5046
      ?auto_5044
      ?auto_5052
      ?auto_5054
    )
    :precondition
    ( and ( OBJ ?auto_5039 ) ( LOCATION ?auto_5040 ) ( TRUCK ?auto_5041 ) ( LOCATION ?auto_5048 ) ( CITY ?auto_5045 ) ( IN-CITY ?auto_5048 ?auto_5045 ) ( IN-CITY ?auto_5040 ?auto_5045 ) ( DIFFERENT ?auto_5040 ?auto_5048 ) ( LOCATION ?auto_5043 ) ( CITY ?auto_5042 ) ( IN-CITY ?auto_5043 ?auto_5042 ) ( IN-CITY ?auto_5048 ?auto_5042 ) ( DIFFERENT ?auto_5048 ?auto_5043 ) ( LOCATION ?auto_5050 ) ( CITY ?auto_5047 ) ( IN-CITY ?auto_5050 ?auto_5047 ) ( IN-CITY ?auto_5043 ?auto_5047 ) ( DIFFERENT ?auto_5043 ?auto_5050 ) ( LOCATION ?auto_5046 ) ( CITY ?auto_5044 ) ( AT ?auto_5041 ?auto_5046 ) ( IN-CITY ?auto_5046 ?auto_5044 ) ( IN-CITY ?auto_5050 ?auto_5044 ) ( DIFFERENT ?auto_5050 ?auto_5046 ) ( LOCATION ?auto_5052 ) ( AT ?auto_5041 ?auto_5052 ) ( AIRPLANE ?auto_5054 ) ( IN ?auto_5039 ?auto_5054 ) ( AT ?auto_5054 ?auto_5052 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5039 ?auto_5052 )
      ( DELIVER-PKG ?auto_5039 ?auto_5040 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5056
      ?auto_5057
    )
    :vars
    (
      ?auto_5059
      ?auto_5064
      ?auto_5067
      ?auto_5070
      ?auto_5068
      ?auto_5066
      ?auto_5062
      ?auto_5058
      ?auto_5069
      ?auto_5065
      ?auto_5061
      ?auto_5072
    )
    :precondition
    ( and ( OBJ ?auto_5056 ) ( LOCATION ?auto_5057 ) ( TRUCK ?auto_5059 ) ( LOCATION ?auto_5064 ) ( CITY ?auto_5067 ) ( IN-CITY ?auto_5064 ?auto_5067 ) ( IN-CITY ?auto_5057 ?auto_5067 ) ( DIFFERENT ?auto_5057 ?auto_5064 ) ( LOCATION ?auto_5070 ) ( CITY ?auto_5068 ) ( IN-CITY ?auto_5070 ?auto_5068 ) ( IN-CITY ?auto_5064 ?auto_5068 ) ( DIFFERENT ?auto_5064 ?auto_5070 ) ( LOCATION ?auto_5066 ) ( CITY ?auto_5062 ) ( IN-CITY ?auto_5066 ?auto_5062 ) ( IN-CITY ?auto_5070 ?auto_5062 ) ( DIFFERENT ?auto_5070 ?auto_5066 ) ( LOCATION ?auto_5058 ) ( CITY ?auto_5069 ) ( AT ?auto_5059 ?auto_5058 ) ( IN-CITY ?auto_5058 ?auto_5069 ) ( IN-CITY ?auto_5066 ?auto_5069 ) ( DIFFERENT ?auto_5066 ?auto_5058 ) ( LOCATION ?auto_5065 ) ( AT ?auto_5059 ?auto_5065 ) ( AIRPLANE ?auto_5061 ) ( IN ?auto_5056 ?auto_5061 ) ( AIRPORT ?auto_5072 ) ( AIRPORT ?auto_5065 ) ( AT ?auto_5061 ?auto_5072 ) ( DIFFERENT ?auto_5065 ?auto_5072 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5061 ?auto_5072 ?auto_5065 )
      ( DELIVER-PKG ?auto_5056 ?auto_5057 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5074
      ?auto_5075
    )
    :vars
    (
      ?auto_5088
      ?auto_5078
      ?auto_5079
      ?auto_5082
      ?auto_5080
      ?auto_5081
      ?auto_5083
      ?auto_5085
      ?auto_5076
      ?auto_5087
      ?auto_5089
      ?auto_5086
      ?auto_5091
    )
    :precondition
    ( and ( OBJ ?auto_5074 ) ( LOCATION ?auto_5075 ) ( TRUCK ?auto_5088 ) ( LOCATION ?auto_5078 ) ( CITY ?auto_5079 ) ( IN-CITY ?auto_5078 ?auto_5079 ) ( IN-CITY ?auto_5075 ?auto_5079 ) ( DIFFERENT ?auto_5075 ?auto_5078 ) ( LOCATION ?auto_5082 ) ( CITY ?auto_5080 ) ( IN-CITY ?auto_5082 ?auto_5080 ) ( IN-CITY ?auto_5078 ?auto_5080 ) ( DIFFERENT ?auto_5078 ?auto_5082 ) ( LOCATION ?auto_5081 ) ( CITY ?auto_5083 ) ( IN-CITY ?auto_5081 ?auto_5083 ) ( IN-CITY ?auto_5082 ?auto_5083 ) ( DIFFERENT ?auto_5082 ?auto_5081 ) ( LOCATION ?auto_5085 ) ( CITY ?auto_5076 ) ( AT ?auto_5088 ?auto_5085 ) ( IN-CITY ?auto_5085 ?auto_5076 ) ( IN-CITY ?auto_5081 ?auto_5076 ) ( DIFFERENT ?auto_5081 ?auto_5085 ) ( LOCATION ?auto_5087 ) ( AT ?auto_5088 ?auto_5087 ) ( AIRPLANE ?auto_5089 ) ( AIRPORT ?auto_5086 ) ( AIRPORT ?auto_5087 ) ( AT ?auto_5089 ?auto_5086 ) ( DIFFERENT ?auto_5087 ?auto_5086 ) ( LOCATION ?auto_5091 ) ( AT ?auto_5074 ?auto_5091 ) ( AT ?auto_5089 ?auto_5091 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5074 ?auto_5089 ?auto_5091 )
      ( DELIVER-PKG ?auto_5074 ?auto_5075 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5093
      ?auto_5094
    )
    :vars
    (
      ?auto_5102
      ?auto_5106
      ?auto_5107
      ?auto_5096
      ?auto_5108
      ?auto_5109
      ?auto_5098
      ?auto_5105
      ?auto_5101
      ?auto_5100
      ?auto_5103
      ?auto_5104
      ?auto_5111
    )
    :precondition
    ( and ( OBJ ?auto_5093 ) ( LOCATION ?auto_5094 ) ( TRUCK ?auto_5102 ) ( LOCATION ?auto_5106 ) ( CITY ?auto_5107 ) ( IN-CITY ?auto_5106 ?auto_5107 ) ( IN-CITY ?auto_5094 ?auto_5107 ) ( DIFFERENT ?auto_5094 ?auto_5106 ) ( LOCATION ?auto_5096 ) ( CITY ?auto_5108 ) ( IN-CITY ?auto_5096 ?auto_5108 ) ( IN-CITY ?auto_5106 ?auto_5108 ) ( DIFFERENT ?auto_5106 ?auto_5096 ) ( LOCATION ?auto_5109 ) ( CITY ?auto_5098 ) ( IN-CITY ?auto_5109 ?auto_5098 ) ( IN-CITY ?auto_5096 ?auto_5098 ) ( DIFFERENT ?auto_5096 ?auto_5109 ) ( LOCATION ?auto_5105 ) ( CITY ?auto_5101 ) ( AT ?auto_5102 ?auto_5105 ) ( IN-CITY ?auto_5105 ?auto_5101 ) ( IN-CITY ?auto_5109 ?auto_5101 ) ( DIFFERENT ?auto_5109 ?auto_5105 ) ( LOCATION ?auto_5100 ) ( AT ?auto_5102 ?auto_5100 ) ( AIRPLANE ?auto_5103 ) ( AIRPORT ?auto_5104 ) ( AIRPORT ?auto_5100 ) ( DIFFERENT ?auto_5100 ?auto_5104 ) ( LOCATION ?auto_5104 ) ( AT ?auto_5093 ?auto_5104 ) ( AIRPORT ?auto_5111 ) ( AT ?auto_5103 ?auto_5111 ) ( DIFFERENT ?auto_5104 ?auto_5111 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5103 ?auto_5111 ?auto_5104 )
      ( DELIVER-PKG ?auto_5093 ?auto_5094 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5147
      ?auto_5148
    )
    :vars
    (
      ?auto_5163
      ?auto_5151
      ?auto_5152
      ?auto_5159
      ?auto_5158
      ?auto_5155
      ?auto_5160
      ?auto_5161
      ?auto_5150
      ?auto_5162
      ?auto_5153
      ?auto_5157
      ?auto_5156
      ?auto_5165
    )
    :precondition
    ( and ( OBJ ?auto_5147 ) ( LOCATION ?auto_5148 ) ( TRUCK ?auto_5163 ) ( LOCATION ?auto_5151 ) ( CITY ?auto_5152 ) ( IN-CITY ?auto_5151 ?auto_5152 ) ( IN-CITY ?auto_5148 ?auto_5152 ) ( DIFFERENT ?auto_5148 ?auto_5151 ) ( LOCATION ?auto_5159 ) ( CITY ?auto_5158 ) ( IN-CITY ?auto_5159 ?auto_5158 ) ( IN-CITY ?auto_5151 ?auto_5158 ) ( DIFFERENT ?auto_5151 ?auto_5159 ) ( LOCATION ?auto_5155 ) ( CITY ?auto_5160 ) ( IN-CITY ?auto_5155 ?auto_5160 ) ( IN-CITY ?auto_5159 ?auto_5160 ) ( DIFFERENT ?auto_5159 ?auto_5155 ) ( LOCATION ?auto_5161 ) ( CITY ?auto_5150 ) ( AT ?auto_5163 ?auto_5161 ) ( IN-CITY ?auto_5161 ?auto_5150 ) ( IN-CITY ?auto_5155 ?auto_5150 ) ( DIFFERENT ?auto_5155 ?auto_5161 ) ( LOCATION ?auto_5162 ) ( AT ?auto_5163 ?auto_5162 ) ( AIRPLANE ?auto_5153 ) ( AIRPORT ?auto_5157 ) ( AIRPORT ?auto_5162 ) ( DIFFERENT ?auto_5162 ?auto_5157 ) ( LOCATION ?auto_5157 ) ( AT ?auto_5147 ?auto_5157 ) ( AIRPORT ?auto_5156 ) ( DIFFERENT ?auto_5157 ?auto_5156 ) ( AIRPORT ?auto_5165 ) ( AT ?auto_5153 ?auto_5165 ) ( DIFFERENT ?auto_5156 ?auto_5165 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5153 ?auto_5165 ?auto_5156 )
      ( DELIVER-PKG ?auto_5147 ?auto_5148 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5221
      ?auto_5222
    )
    :vars
    (
      ?auto_5238
      ?auto_5226
      ?auto_5227
      ?auto_5230
      ?auto_5229
      ?auto_5233
      ?auto_5231
      ?auto_5232
      ?auto_5223
      ?auto_5237
      ?auto_5228
      ?auto_5235
      ?auto_5234
      ?auto_5225
      ?auto_5240
    )
    :precondition
    ( and ( OBJ ?auto_5221 ) ( LOCATION ?auto_5222 ) ( TRUCK ?auto_5238 ) ( LOCATION ?auto_5226 ) ( CITY ?auto_5227 ) ( IN-CITY ?auto_5226 ?auto_5227 ) ( IN-CITY ?auto_5222 ?auto_5227 ) ( DIFFERENT ?auto_5222 ?auto_5226 ) ( LOCATION ?auto_5230 ) ( CITY ?auto_5229 ) ( IN-CITY ?auto_5230 ?auto_5229 ) ( IN-CITY ?auto_5226 ?auto_5229 ) ( DIFFERENT ?auto_5226 ?auto_5230 ) ( LOCATION ?auto_5233 ) ( CITY ?auto_5231 ) ( IN-CITY ?auto_5233 ?auto_5231 ) ( IN-CITY ?auto_5230 ?auto_5231 ) ( DIFFERENT ?auto_5230 ?auto_5233 ) ( LOCATION ?auto_5232 ) ( CITY ?auto_5223 ) ( AT ?auto_5238 ?auto_5232 ) ( IN-CITY ?auto_5232 ?auto_5223 ) ( IN-CITY ?auto_5233 ?auto_5223 ) ( DIFFERENT ?auto_5233 ?auto_5232 ) ( LOCATION ?auto_5237 ) ( AT ?auto_5238 ?auto_5237 ) ( AIRPLANE ?auto_5228 ) ( AIRPORT ?auto_5235 ) ( AIRPORT ?auto_5237 ) ( DIFFERENT ?auto_5237 ?auto_5235 ) ( LOCATION ?auto_5235 ) ( AIRPORT ?auto_5234 ) ( DIFFERENT ?auto_5235 ?auto_5234 ) ( AIRPORT ?auto_5225 ) ( AT ?auto_5228 ?auto_5225 ) ( DIFFERENT ?auto_5234 ?auto_5225 ) ( TRUCK ?auto_5240 ) ( AT ?auto_5240 ?auto_5235 ) ( IN ?auto_5221 ?auto_5240 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5221 ?auto_5235 )
      ( DELIVER-PKG ?auto_5221 ?auto_5222 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5261
      ?auto_5262
    )
    :vars
    (
      ?auto_5279
      ?auto_5267
      ?auto_5268
      ?auto_5271
      ?auto_5270
      ?auto_5274
      ?auto_5272
      ?auto_5273
      ?auto_5263
      ?auto_5278
      ?auto_5269
      ?auto_5277
      ?auto_5275
      ?auto_5266
      ?auto_5276
      ?auto_5282
      ?auto_5281
    )
    :precondition
    ( and ( OBJ ?auto_5261 ) ( LOCATION ?auto_5262 ) ( TRUCK ?auto_5279 ) ( LOCATION ?auto_5267 ) ( CITY ?auto_5268 ) ( IN-CITY ?auto_5267 ?auto_5268 ) ( IN-CITY ?auto_5262 ?auto_5268 ) ( DIFFERENT ?auto_5262 ?auto_5267 ) ( LOCATION ?auto_5271 ) ( CITY ?auto_5270 ) ( IN-CITY ?auto_5271 ?auto_5270 ) ( IN-CITY ?auto_5267 ?auto_5270 ) ( DIFFERENT ?auto_5267 ?auto_5271 ) ( LOCATION ?auto_5274 ) ( CITY ?auto_5272 ) ( IN-CITY ?auto_5274 ?auto_5272 ) ( IN-CITY ?auto_5271 ?auto_5272 ) ( DIFFERENT ?auto_5271 ?auto_5274 ) ( LOCATION ?auto_5273 ) ( CITY ?auto_5263 ) ( AT ?auto_5279 ?auto_5273 ) ( IN-CITY ?auto_5273 ?auto_5263 ) ( IN-CITY ?auto_5274 ?auto_5263 ) ( DIFFERENT ?auto_5274 ?auto_5273 ) ( LOCATION ?auto_5278 ) ( AT ?auto_5279 ?auto_5278 ) ( AIRPLANE ?auto_5269 ) ( AIRPORT ?auto_5277 ) ( AIRPORT ?auto_5278 ) ( DIFFERENT ?auto_5278 ?auto_5277 ) ( LOCATION ?auto_5277 ) ( AIRPORT ?auto_5275 ) ( DIFFERENT ?auto_5277 ?auto_5275 ) ( AIRPORT ?auto_5266 ) ( AT ?auto_5269 ?auto_5266 ) ( DIFFERENT ?auto_5275 ?auto_5266 ) ( TRUCK ?auto_5276 ) ( IN ?auto_5261 ?auto_5276 ) ( LOCATION ?auto_5282 ) ( CITY ?auto_5281 ) ( AT ?auto_5276 ?auto_5282 ) ( IN-CITY ?auto_5282 ?auto_5281 ) ( IN-CITY ?auto_5277 ?auto_5281 ) ( DIFFERENT ?auto_5277 ?auto_5282 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5276 ?auto_5282 ?auto_5277 ?auto_5281 )
      ( DELIVER-PKG ?auto_5261 ?auto_5262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5284
      ?auto_5285
    )
    :vars
    (
      ?auto_5299
      ?auto_5287
      ?auto_5288
      ?auto_5291
      ?auto_5290
      ?auto_5294
      ?auto_5292
      ?auto_5298
      ?auto_5302
      ?auto_5289
      ?auto_5297
      ?auto_5295
      ?auto_5301
      ?auto_5296
      ?auto_5304
      ?auto_5300
      ?auto_5307
      ?auto_5306
    )
    :precondition
    ( and ( OBJ ?auto_5284 ) ( LOCATION ?auto_5285 ) ( TRUCK ?auto_5299 ) ( LOCATION ?auto_5287 ) ( CITY ?auto_5288 ) ( IN-CITY ?auto_5287 ?auto_5288 ) ( IN-CITY ?auto_5285 ?auto_5288 ) ( DIFFERENT ?auto_5285 ?auto_5287 ) ( LOCATION ?auto_5291 ) ( CITY ?auto_5290 ) ( IN-CITY ?auto_5291 ?auto_5290 ) ( IN-CITY ?auto_5287 ?auto_5290 ) ( DIFFERENT ?auto_5287 ?auto_5291 ) ( LOCATION ?auto_5294 ) ( CITY ?auto_5292 ) ( IN-CITY ?auto_5294 ?auto_5292 ) ( IN-CITY ?auto_5291 ?auto_5292 ) ( DIFFERENT ?auto_5291 ?auto_5294 ) ( LOCATION ?auto_5298 ) ( CITY ?auto_5302 ) ( IN-CITY ?auto_5298 ?auto_5302 ) ( IN-CITY ?auto_5294 ?auto_5302 ) ( DIFFERENT ?auto_5294 ?auto_5298 ) ( AIRPLANE ?auto_5289 ) ( AIRPORT ?auto_5297 ) ( AIRPORT ?auto_5298 ) ( DIFFERENT ?auto_5298 ?auto_5297 ) ( LOCATION ?auto_5297 ) ( AIRPORT ?auto_5295 ) ( DIFFERENT ?auto_5297 ?auto_5295 ) ( AIRPORT ?auto_5301 ) ( AT ?auto_5289 ?auto_5301 ) ( DIFFERENT ?auto_5295 ?auto_5301 ) ( TRUCK ?auto_5296 ) ( IN ?auto_5284 ?auto_5296 ) ( LOCATION ?auto_5304 ) ( CITY ?auto_5300 ) ( AT ?auto_5296 ?auto_5304 ) ( IN-CITY ?auto_5304 ?auto_5300 ) ( IN-CITY ?auto_5297 ?auto_5300 ) ( DIFFERENT ?auto_5297 ?auto_5304 ) ( LOCATION ?auto_5307 ) ( CITY ?auto_5306 ) ( AT ?auto_5299 ?auto_5307 ) ( IN-CITY ?auto_5307 ?auto_5306 ) ( IN-CITY ?auto_5298 ?auto_5306 ) ( DIFFERENT ?auto_5298 ?auto_5307 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5299 ?auto_5307 ?auto_5298 ?auto_5306 )
      ( DELIVER-PKG ?auto_5284 ?auto_5285 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5309
      ?auto_5310
    )
    :vars
    (
      ?auto_5326
      ?auto_5327
      ?auto_5328
      ?auto_5316
      ?auto_5330
      ?auto_5314
      ?auto_5329
      ?auto_5325
      ?auto_5319
      ?auto_5324
      ?auto_5313
      ?auto_5315
      ?auto_5318
      ?auto_5322
      ?auto_5321
      ?auto_5317
      ?auto_5323
      ?auto_5320
      ?auto_5332
    )
    :precondition
    ( and ( OBJ ?auto_5309 ) ( LOCATION ?auto_5310 ) ( TRUCK ?auto_5326 ) ( LOCATION ?auto_5327 ) ( CITY ?auto_5328 ) ( IN-CITY ?auto_5327 ?auto_5328 ) ( IN-CITY ?auto_5310 ?auto_5328 ) ( DIFFERENT ?auto_5310 ?auto_5327 ) ( LOCATION ?auto_5316 ) ( CITY ?auto_5330 ) ( IN-CITY ?auto_5316 ?auto_5330 ) ( IN-CITY ?auto_5327 ?auto_5330 ) ( DIFFERENT ?auto_5327 ?auto_5316 ) ( LOCATION ?auto_5314 ) ( CITY ?auto_5329 ) ( IN-CITY ?auto_5314 ?auto_5329 ) ( IN-CITY ?auto_5316 ?auto_5329 ) ( DIFFERENT ?auto_5316 ?auto_5314 ) ( LOCATION ?auto_5325 ) ( CITY ?auto_5319 ) ( IN-CITY ?auto_5325 ?auto_5319 ) ( IN-CITY ?auto_5314 ?auto_5319 ) ( DIFFERENT ?auto_5314 ?auto_5325 ) ( AIRPLANE ?auto_5324 ) ( AIRPORT ?auto_5313 ) ( AIRPORT ?auto_5325 ) ( DIFFERENT ?auto_5325 ?auto_5313 ) ( LOCATION ?auto_5313 ) ( AIRPORT ?auto_5315 ) ( DIFFERENT ?auto_5313 ?auto_5315 ) ( AIRPORT ?auto_5318 ) ( AT ?auto_5324 ?auto_5318 ) ( DIFFERENT ?auto_5315 ?auto_5318 ) ( TRUCK ?auto_5322 ) ( LOCATION ?auto_5321 ) ( CITY ?auto_5317 ) ( AT ?auto_5322 ?auto_5321 ) ( IN-CITY ?auto_5321 ?auto_5317 ) ( IN-CITY ?auto_5313 ?auto_5317 ) ( DIFFERENT ?auto_5313 ?auto_5321 ) ( LOCATION ?auto_5323 ) ( CITY ?auto_5320 ) ( AT ?auto_5326 ?auto_5323 ) ( IN-CITY ?auto_5323 ?auto_5320 ) ( IN-CITY ?auto_5325 ?auto_5320 ) ( DIFFERENT ?auto_5325 ?auto_5323 ) ( LOCATION ?auto_5332 ) ( AT ?auto_5322 ?auto_5332 ) ( AT ?auto_5309 ?auto_5332 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_5309 ?auto_5322 ?auto_5332 )
      ( DELIVER-PKG ?auto_5309 ?auto_5310 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5357
      ?auto_5358
    )
    :vars
    (
      ?auto_5369
      ?auto_5366
      ?auto_5363
      ?auto_5373
      ?auto_5374
      ?auto_5376
      ?auto_5364
      ?auto_5371
      ?auto_5379
      ?auto_5367
      ?auto_5372
      ?auto_5375
      ?auto_5378
      ?auto_5368
      ?auto_5370
      ?auto_5377
      ?auto_5365
      ?auto_5362
      ?auto_5382
      ?auto_5381
    )
    :precondition
    ( and ( OBJ ?auto_5357 ) ( LOCATION ?auto_5358 ) ( TRUCK ?auto_5369 ) ( LOCATION ?auto_5366 ) ( CITY ?auto_5363 ) ( IN-CITY ?auto_5366 ?auto_5363 ) ( IN-CITY ?auto_5358 ?auto_5363 ) ( DIFFERENT ?auto_5358 ?auto_5366 ) ( LOCATION ?auto_5373 ) ( CITY ?auto_5374 ) ( IN-CITY ?auto_5373 ?auto_5374 ) ( IN-CITY ?auto_5366 ?auto_5374 ) ( DIFFERENT ?auto_5366 ?auto_5373 ) ( LOCATION ?auto_5376 ) ( CITY ?auto_5364 ) ( IN-CITY ?auto_5376 ?auto_5364 ) ( IN-CITY ?auto_5373 ?auto_5364 ) ( DIFFERENT ?auto_5373 ?auto_5376 ) ( LOCATION ?auto_5371 ) ( CITY ?auto_5379 ) ( IN-CITY ?auto_5371 ?auto_5379 ) ( IN-CITY ?auto_5376 ?auto_5379 ) ( DIFFERENT ?auto_5376 ?auto_5371 ) ( AIRPLANE ?auto_5367 ) ( AIRPORT ?auto_5372 ) ( AIRPORT ?auto_5371 ) ( DIFFERENT ?auto_5371 ?auto_5372 ) ( LOCATION ?auto_5372 ) ( AIRPORT ?auto_5375 ) ( DIFFERENT ?auto_5372 ?auto_5375 ) ( AIRPORT ?auto_5378 ) ( AT ?auto_5367 ?auto_5378 ) ( DIFFERENT ?auto_5375 ?auto_5378 ) ( TRUCK ?auto_5368 ) ( LOCATION ?auto_5370 ) ( CITY ?auto_5377 ) ( IN-CITY ?auto_5370 ?auto_5377 ) ( IN-CITY ?auto_5372 ?auto_5377 ) ( DIFFERENT ?auto_5372 ?auto_5370 ) ( LOCATION ?auto_5365 ) ( CITY ?auto_5362 ) ( AT ?auto_5369 ?auto_5365 ) ( IN-CITY ?auto_5365 ?auto_5362 ) ( IN-CITY ?auto_5371 ?auto_5362 ) ( DIFFERENT ?auto_5371 ?auto_5365 ) ( AT ?auto_5357 ?auto_5370 ) ( LOCATION ?auto_5382 ) ( CITY ?auto_5381 ) ( AT ?auto_5368 ?auto_5382 ) ( IN-CITY ?auto_5382 ?auto_5381 ) ( IN-CITY ?auto_5370 ?auto_5381 ) ( DIFFERENT ?auto_5370 ?auto_5382 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5368 ?auto_5382 ?auto_5370 ?auto_5381 )
      ( DELIVER-PKG ?auto_5357 ?auto_5358 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5384
      ?auto_5385
    )
    :vars
    (
      ?auto_5395
      ?auto_5392
      ?auto_5389
      ?auto_5399
      ?auto_5400
      ?auto_5402
      ?auto_5390
      ?auto_5397
      ?auto_5405
      ?auto_5393
      ?auto_5398
      ?auto_5401
      ?auto_5404
      ?auto_5394
      ?auto_5396
      ?auto_5403
      ?auto_5391
      ?auto_5388
      ?auto_5407
      ?auto_5406
      ?auto_5409
    )
    :precondition
    ( and ( OBJ ?auto_5384 ) ( LOCATION ?auto_5385 ) ( TRUCK ?auto_5395 ) ( LOCATION ?auto_5392 ) ( CITY ?auto_5389 ) ( IN-CITY ?auto_5392 ?auto_5389 ) ( IN-CITY ?auto_5385 ?auto_5389 ) ( DIFFERENT ?auto_5385 ?auto_5392 ) ( LOCATION ?auto_5399 ) ( CITY ?auto_5400 ) ( IN-CITY ?auto_5399 ?auto_5400 ) ( IN-CITY ?auto_5392 ?auto_5400 ) ( DIFFERENT ?auto_5392 ?auto_5399 ) ( LOCATION ?auto_5402 ) ( CITY ?auto_5390 ) ( IN-CITY ?auto_5402 ?auto_5390 ) ( IN-CITY ?auto_5399 ?auto_5390 ) ( DIFFERENT ?auto_5399 ?auto_5402 ) ( LOCATION ?auto_5397 ) ( CITY ?auto_5405 ) ( IN-CITY ?auto_5397 ?auto_5405 ) ( IN-CITY ?auto_5402 ?auto_5405 ) ( DIFFERENT ?auto_5402 ?auto_5397 ) ( AIRPLANE ?auto_5393 ) ( AIRPORT ?auto_5398 ) ( AIRPORT ?auto_5397 ) ( DIFFERENT ?auto_5397 ?auto_5398 ) ( LOCATION ?auto_5398 ) ( AIRPORT ?auto_5401 ) ( DIFFERENT ?auto_5398 ?auto_5401 ) ( AIRPORT ?auto_5404 ) ( DIFFERENT ?auto_5401 ?auto_5404 ) ( TRUCK ?auto_5394 ) ( LOCATION ?auto_5396 ) ( CITY ?auto_5403 ) ( IN-CITY ?auto_5396 ?auto_5403 ) ( IN-CITY ?auto_5398 ?auto_5403 ) ( DIFFERENT ?auto_5398 ?auto_5396 ) ( LOCATION ?auto_5391 ) ( CITY ?auto_5388 ) ( AT ?auto_5395 ?auto_5391 ) ( IN-CITY ?auto_5391 ?auto_5388 ) ( IN-CITY ?auto_5397 ?auto_5388 ) ( DIFFERENT ?auto_5397 ?auto_5391 ) ( AT ?auto_5384 ?auto_5396 ) ( LOCATION ?auto_5407 ) ( CITY ?auto_5406 ) ( AT ?auto_5394 ?auto_5407 ) ( IN-CITY ?auto_5407 ?auto_5406 ) ( IN-CITY ?auto_5396 ?auto_5406 ) ( DIFFERENT ?auto_5396 ?auto_5407 ) ( AIRPORT ?auto_5409 ) ( AT ?auto_5393 ?auto_5409 ) ( DIFFERENT ?auto_5404 ?auto_5409 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_5393 ?auto_5409 ?auto_5404 )
      ( DELIVER-PKG ?auto_5384 ?auto_5385 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5411
      ?auto_5412
    )
    :vars
    (
      ?auto_5414
      ?auto_5417
      ?auto_5433
      ?auto_5427
      ?auto_5429
      ?auto_5419
      ?auto_5434
      ?auto_5425
      ?auto_5423
      ?auto_5435
      ?auto_5426
      ?auto_5430
      ?auto_5422
      ?auto_5413
      ?auto_5415
      ?auto_5420
      ?auto_5432
      ?auto_5431
      ?auto_5418
      ?auto_5424
      ?auto_5421
      ?auto_5438
      ?auto_5437
    )
    :precondition
    ( and ( OBJ ?auto_5411 ) ( LOCATION ?auto_5412 ) ( TRUCK ?auto_5414 ) ( LOCATION ?auto_5417 ) ( CITY ?auto_5433 ) ( IN-CITY ?auto_5417 ?auto_5433 ) ( IN-CITY ?auto_5412 ?auto_5433 ) ( DIFFERENT ?auto_5412 ?auto_5417 ) ( LOCATION ?auto_5427 ) ( CITY ?auto_5429 ) ( IN-CITY ?auto_5427 ?auto_5429 ) ( IN-CITY ?auto_5417 ?auto_5429 ) ( DIFFERENT ?auto_5417 ?auto_5427 ) ( LOCATION ?auto_5419 ) ( CITY ?auto_5434 ) ( IN-CITY ?auto_5419 ?auto_5434 ) ( IN-CITY ?auto_5427 ?auto_5434 ) ( DIFFERENT ?auto_5427 ?auto_5419 ) ( LOCATION ?auto_5425 ) ( CITY ?auto_5423 ) ( IN-CITY ?auto_5425 ?auto_5423 ) ( IN-CITY ?auto_5419 ?auto_5423 ) ( DIFFERENT ?auto_5419 ?auto_5425 ) ( AIRPLANE ?auto_5435 ) ( AIRPORT ?auto_5426 ) ( AIRPORT ?auto_5425 ) ( DIFFERENT ?auto_5425 ?auto_5426 ) ( LOCATION ?auto_5426 ) ( AIRPORT ?auto_5430 ) ( DIFFERENT ?auto_5426 ?auto_5430 ) ( AIRPORT ?auto_5422 ) ( DIFFERENT ?auto_5430 ?auto_5422 ) ( TRUCK ?auto_5413 ) ( LOCATION ?auto_5415 ) ( CITY ?auto_5420 ) ( IN-CITY ?auto_5415 ?auto_5420 ) ( IN-CITY ?auto_5426 ?auto_5420 ) ( DIFFERENT ?auto_5426 ?auto_5415 ) ( LOCATION ?auto_5432 ) ( CITY ?auto_5431 ) ( IN-CITY ?auto_5432 ?auto_5431 ) ( IN-CITY ?auto_5425 ?auto_5431 ) ( DIFFERENT ?auto_5425 ?auto_5432 ) ( AT ?auto_5411 ?auto_5415 ) ( LOCATION ?auto_5418 ) ( CITY ?auto_5424 ) ( AT ?auto_5413 ?auto_5418 ) ( IN-CITY ?auto_5418 ?auto_5424 ) ( IN-CITY ?auto_5415 ?auto_5424 ) ( DIFFERENT ?auto_5415 ?auto_5418 ) ( AIRPORT ?auto_5421 ) ( AT ?auto_5435 ?auto_5421 ) ( DIFFERENT ?auto_5422 ?auto_5421 ) ( LOCATION ?auto_5438 ) ( CITY ?auto_5437 ) ( AT ?auto_5414 ?auto_5438 ) ( IN-CITY ?auto_5438 ?auto_5437 ) ( IN-CITY ?auto_5432 ?auto_5437 ) ( DIFFERENT ?auto_5432 ?auto_5438 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5414 ?auto_5438 ?auto_5432 ?auto_5437 )
      ( DELIVER-PKG ?auto_5411 ?auto_5412 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5963
      ?auto_5964
    )
    :vars
    (
      ?auto_5967
      ?auto_5969
    )
    :precondition
    ( and ( OBJ ?auto_5963 ) ( LOCATION ?auto_5964 ) ( AIRPLANE ?auto_5967 ) ( AT ?auto_5967 ?auto_5964 ) ( LOCATION ?auto_5969 ) ( AT ?auto_5963 ?auto_5969 ) ( AT ?auto_5967 ?auto_5969 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_5963 ?auto_5967 ?auto_5969 )
      ( DELIVER-PKG ?auto_5963 ?auto_5964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5971
      ?auto_5972
    )
    :vars
    (
      ?auto_5975
      ?auto_5974
      ?auto_5979
    )
    :precondition
    ( and ( OBJ ?auto_5971 ) ( LOCATION ?auto_5972 ) ( AIRPLANE ?auto_5975 ) ( AT ?auto_5975 ?auto_5972 ) ( LOCATION ?auto_5974 ) ( AT ?auto_5975 ?auto_5974 ) ( AIRPLANE ?auto_5979 ) ( IN ?auto_5971 ?auto_5979 ) ( AT ?auto_5979 ?auto_5974 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_5971 ?auto_5974 )
      ( DELIVER-PKG ?auto_5971 ?auto_5972 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6256
      ?auto_6257
    )
    :vars
    (
      ?auto_6261
      ?auto_6260
      ?auto_6263
      ?auto_6258
      ?auto_6262
      ?auto_6266
    )
    :precondition
    ( and ( OBJ ?auto_6256 ) ( LOCATION ?auto_6257 ) ( TRUCK ?auto_6261 ) ( LOCATION ?auto_6260 ) ( CITY ?auto_6263 ) ( AT ?auto_6261 ?auto_6260 ) ( IN-CITY ?auto_6260 ?auto_6263 ) ( IN-CITY ?auto_6257 ?auto_6263 ) ( DIFFERENT ?auto_6257 ?auto_6260 ) ( LOCATION ?auto_6258 ) ( AT ?auto_6261 ?auto_6258 ) ( AIRPLANE ?auto_6262 ) ( AT ?auto_6262 ?auto_6258 ) ( LOCATION ?auto_6266 ) ( AT ?auto_6256 ?auto_6266 ) ( AT ?auto_6262 ?auto_6266 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_6256 ?auto_6262 ?auto_6266 )
      ( DELIVER-PKG ?auto_6256 ?auto_6257 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7775
      ?auto_7776
    )
    :vars
    (
      ?auto_7783
      ?auto_7778
      ?auto_7784
      ?auto_7780
      ?auto_7788
      ?auto_7782
      ?auto_7781
      ?auto_7785
      ?auto_7787
      ?auto_7786
      ?auto_7789
      ?auto_7791
      ?auto_7790
      ?auto_7794
      ?auto_7793
    )
    :precondition
    ( and ( OBJ ?auto_7775 ) ( LOCATION ?auto_7776 ) ( TRUCK ?auto_7783 ) ( LOCATION ?auto_7778 ) ( CITY ?auto_7784 ) ( IN-CITY ?auto_7778 ?auto_7784 ) ( IN-CITY ?auto_7776 ?auto_7784 ) ( DIFFERENT ?auto_7776 ?auto_7778 ) ( AIRPLANE ?auto_7780 ) ( AIRPORT ?auto_7788 ) ( AIRPORT ?auto_7778 ) ( DIFFERENT ?auto_7778 ?auto_7788 ) ( LOCATION ?auto_7788 ) ( TRUCK ?auto_7782 ) ( LOCATION ?auto_7781 ) ( CITY ?auto_7785 ) ( IN-CITY ?auto_7781 ?auto_7785 ) ( IN-CITY ?auto_7788 ?auto_7785 ) ( DIFFERENT ?auto_7788 ?auto_7781 ) ( AT ?auto_7775 ?auto_7781 ) ( LOCATION ?auto_7787 ) ( CITY ?auto_7786 ) ( AT ?auto_7782 ?auto_7787 ) ( IN-CITY ?auto_7787 ?auto_7786 ) ( IN-CITY ?auto_7781 ?auto_7786 ) ( DIFFERENT ?auto_7781 ?auto_7787 ) ( AIRPORT ?auto_7789 ) ( AT ?auto_7780 ?auto_7789 ) ( DIFFERENT ?auto_7788 ?auto_7789 ) ( LOCATION ?auto_7791 ) ( CITY ?auto_7790 ) ( IN-CITY ?auto_7791 ?auto_7790 ) ( IN-CITY ?auto_7778 ?auto_7790 ) ( DIFFERENT ?auto_7778 ?auto_7791 ) ( LOCATION ?auto_7794 ) ( CITY ?auto_7793 ) ( AT ?auto_7783 ?auto_7794 ) ( IN-CITY ?auto_7794 ?auto_7793 ) ( IN-CITY ?auto_7791 ?auto_7793 ) ( DIFFERENT ?auto_7791 ?auto_7794 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7783 ?auto_7794 ?auto_7791 ?auto_7793 )
      ( DELIVER-PKG ?auto_7775 ?auto_7776 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8454
      ?auto_8455
    )
    :vars
    (
      ?auto_8463
      ?auto_8456
      ?auto_8464
      ?auto_8466
      ?auto_8457
      ?auto_8460
      ?auto_8459
      ?auto_8458
      ?auto_8468
    )
    :precondition
    ( and ( OBJ ?auto_8454 ) ( LOCATION ?auto_8455 ) ( AIRPLANE ?auto_8463 ) ( AIRPORT ?auto_8456 ) ( AIRPORT ?auto_8455 ) ( DIFFERENT ?auto_8455 ?auto_8456 ) ( LOCATION ?auto_8456 ) ( TRUCK ?auto_8464 ) ( LOCATION ?auto_8466 ) ( CITY ?auto_8457 ) ( IN-CITY ?auto_8466 ?auto_8457 ) ( IN-CITY ?auto_8456 ?auto_8457 ) ( DIFFERENT ?auto_8456 ?auto_8466 ) ( LOCATION ?auto_8460 ) ( CITY ?auto_8459 ) ( AT ?auto_8464 ?auto_8460 ) ( IN-CITY ?auto_8460 ?auto_8459 ) ( IN-CITY ?auto_8466 ?auto_8459 ) ( DIFFERENT ?auto_8466 ?auto_8460 ) ( LOCATION ?auto_8458 ) ( AT ?auto_8464 ?auto_8458 ) ( AT ?auto_8454 ?auto_8458 ) ( AIRPORT ?auto_8468 ) ( AT ?auto_8463 ?auto_8468 ) ( DIFFERENT ?auto_8456 ?auto_8468 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8463 ?auto_8468 ?auto_8456 )
      ( DELIVER-PKG ?auto_8454 ?auto_8455 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8470
      ?auto_8471
    )
    :vars
    (
      ?auto_8476
      ?auto_8481
      ?auto_8477
      ?auto_8478
      ?auto_8472
      ?auto_8480
      ?auto_8473
      ?auto_8479
      ?auto_8485
      ?auto_8484
    )
    :precondition
    ( and ( OBJ ?auto_8470 ) ( LOCATION ?auto_8471 ) ( AIRPLANE ?auto_8476 ) ( AIRPORT ?auto_8481 ) ( AIRPORT ?auto_8471 ) ( DIFFERENT ?auto_8471 ?auto_8481 ) ( LOCATION ?auto_8481 ) ( TRUCK ?auto_8477 ) ( LOCATION ?auto_8478 ) ( CITY ?auto_8472 ) ( IN-CITY ?auto_8478 ?auto_8472 ) ( IN-CITY ?auto_8481 ?auto_8472 ) ( DIFFERENT ?auto_8481 ?auto_8478 ) ( LOCATION ?auto_8480 ) ( CITY ?auto_8473 ) ( IN-CITY ?auto_8480 ?auto_8473 ) ( IN-CITY ?auto_8478 ?auto_8473 ) ( DIFFERENT ?auto_8478 ?auto_8480 ) ( AT ?auto_8470 ?auto_8480 ) ( AIRPORT ?auto_8479 ) ( AT ?auto_8476 ?auto_8479 ) ( DIFFERENT ?auto_8481 ?auto_8479 ) ( LOCATION ?auto_8485 ) ( CITY ?auto_8484 ) ( AT ?auto_8477 ?auto_8485 ) ( IN-CITY ?auto_8485 ?auto_8484 ) ( IN-CITY ?auto_8480 ?auto_8484 ) ( DIFFERENT ?auto_8480 ?auto_8485 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8477 ?auto_8485 ?auto_8480 ?auto_8484 )
      ( DELIVER-PKG ?auto_8470 ?auto_8471 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8939
      ?auto_8940
    )
    :vars
    (
      ?auto_8952
      ?auto_8951
      ?auto_8942
      ?auto_8953
      ?auto_8947
      ?auto_8955
      ?auto_8950
      ?auto_8949
      ?auto_8948
      ?auto_8944
      ?auto_8943
      ?auto_8954
      ?auto_8957
    )
    :precondition
    ( and ( OBJ ?auto_8939 ) ( LOCATION ?auto_8940 ) ( TRUCK ?auto_8952 ) ( LOCATION ?auto_8951 ) ( CITY ?auto_8942 ) ( AT ?auto_8952 ?auto_8951 ) ( IN-CITY ?auto_8951 ?auto_8942 ) ( IN-CITY ?auto_8940 ?auto_8942 ) ( DIFFERENT ?auto_8940 ?auto_8951 ) ( LOCATION ?auto_8953 ) ( AT ?auto_8952 ?auto_8953 ) ( AIRPLANE ?auto_8947 ) ( AIRPORT ?auto_8955 ) ( AIRPORT ?auto_8953 ) ( DIFFERENT ?auto_8953 ?auto_8955 ) ( LOCATION ?auto_8955 ) ( TRUCK ?auto_8950 ) ( LOCATION ?auto_8949 ) ( CITY ?auto_8948 ) ( IN-CITY ?auto_8949 ?auto_8948 ) ( IN-CITY ?auto_8955 ?auto_8948 ) ( DIFFERENT ?auto_8955 ?auto_8949 ) ( LOCATION ?auto_8944 ) ( CITY ?auto_8943 ) ( AT ?auto_8950 ?auto_8944 ) ( IN-CITY ?auto_8944 ?auto_8943 ) ( IN-CITY ?auto_8949 ?auto_8943 ) ( DIFFERENT ?auto_8949 ?auto_8944 ) ( LOCATION ?auto_8954 ) ( AT ?auto_8950 ?auto_8954 ) ( AT ?auto_8939 ?auto_8954 ) ( AIRPORT ?auto_8957 ) ( AT ?auto_8947 ?auto_8957 ) ( DIFFERENT ?auto_8955 ?auto_8957 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8947 ?auto_8957 ?auto_8955 )
      ( DELIVER-PKG ?auto_8939 ?auto_8940 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8959
      ?auto_8960
    )
    :vars
    (
      ?auto_8970
      ?auto_8969
      ?auto_8963
      ?auto_8971
      ?auto_8961
      ?auto_8965
      ?auto_8968
      ?auto_8967
      ?auto_8962
      ?auto_8972
      ?auto_8964
      ?auto_8974
      ?auto_8978
      ?auto_8977
    )
    :precondition
    ( and ( OBJ ?auto_8959 ) ( LOCATION ?auto_8960 ) ( TRUCK ?auto_8970 ) ( LOCATION ?auto_8969 ) ( CITY ?auto_8963 ) ( AT ?auto_8970 ?auto_8969 ) ( IN-CITY ?auto_8969 ?auto_8963 ) ( IN-CITY ?auto_8960 ?auto_8963 ) ( DIFFERENT ?auto_8960 ?auto_8969 ) ( LOCATION ?auto_8971 ) ( AT ?auto_8970 ?auto_8971 ) ( AIRPLANE ?auto_8961 ) ( AIRPORT ?auto_8965 ) ( AIRPORT ?auto_8971 ) ( DIFFERENT ?auto_8971 ?auto_8965 ) ( LOCATION ?auto_8965 ) ( TRUCK ?auto_8968 ) ( LOCATION ?auto_8967 ) ( CITY ?auto_8962 ) ( IN-CITY ?auto_8967 ?auto_8962 ) ( IN-CITY ?auto_8965 ?auto_8962 ) ( DIFFERENT ?auto_8965 ?auto_8967 ) ( LOCATION ?auto_8972 ) ( CITY ?auto_8964 ) ( IN-CITY ?auto_8972 ?auto_8964 ) ( IN-CITY ?auto_8967 ?auto_8964 ) ( DIFFERENT ?auto_8967 ?auto_8972 ) ( AT ?auto_8959 ?auto_8972 ) ( AIRPORT ?auto_8974 ) ( AT ?auto_8961 ?auto_8974 ) ( DIFFERENT ?auto_8965 ?auto_8974 ) ( LOCATION ?auto_8978 ) ( CITY ?auto_8977 ) ( AT ?auto_8968 ?auto_8978 ) ( IN-CITY ?auto_8978 ?auto_8977 ) ( IN-CITY ?auto_8972 ?auto_8977 ) ( DIFFERENT ?auto_8972 ?auto_8978 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8968 ?auto_8978 ?auto_8972 ?auto_8977 )
      ( DELIVER-PKG ?auto_8959 ?auto_8960 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8980
      ?auto_8981
    )
    :vars
    (
      ?auto_8993
      ?auto_8995
      ?auto_8996
      ?auto_8987
      ?auto_8992
      ?auto_8989
      ?auto_8985
      ?auto_8994
      ?auto_8988
      ?auto_8997
      ?auto_8991
      ?auto_8983
      ?auto_8982
      ?auto_9000
      ?auto_8999
    )
    :precondition
    ( and ( OBJ ?auto_8980 ) ( LOCATION ?auto_8981 ) ( TRUCK ?auto_8993 ) ( LOCATION ?auto_8995 ) ( CITY ?auto_8996 ) ( IN-CITY ?auto_8995 ?auto_8996 ) ( IN-CITY ?auto_8981 ?auto_8996 ) ( DIFFERENT ?auto_8981 ?auto_8995 ) ( AIRPLANE ?auto_8987 ) ( AIRPORT ?auto_8992 ) ( AIRPORT ?auto_8995 ) ( DIFFERENT ?auto_8995 ?auto_8992 ) ( LOCATION ?auto_8992 ) ( TRUCK ?auto_8989 ) ( LOCATION ?auto_8985 ) ( CITY ?auto_8994 ) ( IN-CITY ?auto_8985 ?auto_8994 ) ( IN-CITY ?auto_8992 ?auto_8994 ) ( DIFFERENT ?auto_8992 ?auto_8985 ) ( LOCATION ?auto_8988 ) ( CITY ?auto_8997 ) ( IN-CITY ?auto_8988 ?auto_8997 ) ( IN-CITY ?auto_8985 ?auto_8997 ) ( DIFFERENT ?auto_8985 ?auto_8988 ) ( AT ?auto_8980 ?auto_8988 ) ( AIRPORT ?auto_8991 ) ( AT ?auto_8987 ?auto_8991 ) ( DIFFERENT ?auto_8992 ?auto_8991 ) ( LOCATION ?auto_8983 ) ( CITY ?auto_8982 ) ( AT ?auto_8989 ?auto_8983 ) ( IN-CITY ?auto_8983 ?auto_8982 ) ( IN-CITY ?auto_8988 ?auto_8982 ) ( DIFFERENT ?auto_8988 ?auto_8983 ) ( LOCATION ?auto_9000 ) ( CITY ?auto_8999 ) ( AT ?auto_8993 ?auto_9000 ) ( IN-CITY ?auto_9000 ?auto_8999 ) ( IN-CITY ?auto_8995 ?auto_8999 ) ( DIFFERENT ?auto_8995 ?auto_9000 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8993 ?auto_9000 ?auto_8995 ?auto_8999 )
      ( DELIVER-PKG ?auto_8980 ?auto_8981 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9734
      ?auto_9735
    )
    :vars
    (
      ?auto_9736
      ?auto_9737
      ?auto_9738
      ?auto_9740
      ?auto_9739
      ?auto_9742
      ?auto_9746
    )
    :precondition
    ( and ( OBJ ?auto_9734 ) ( LOCATION ?auto_9735 ) ( TRUCK ?auto_9736 ) ( LOCATION ?auto_9737 ) ( CITY ?auto_9738 ) ( IN-CITY ?auto_9737 ?auto_9738 ) ( IN-CITY ?auto_9735 ?auto_9738 ) ( DIFFERENT ?auto_9735 ?auto_9737 ) ( LOCATION ?auto_9740 ) ( CITY ?auto_9739 ) ( AT ?auto_9736 ?auto_9740 ) ( IN-CITY ?auto_9740 ?auto_9739 ) ( IN-CITY ?auto_9737 ?auto_9739 ) ( DIFFERENT ?auto_9737 ?auto_9740 ) ( LOCATION ?auto_9742 ) ( AT ?auto_9736 ?auto_9742 ) ( AIRPLANE ?auto_9746 ) ( IN ?auto_9734 ?auto_9746 ) ( AT ?auto_9746 ?auto_9742 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9734 ?auto_9742 )
      ( DELIVER-PKG ?auto_9734 ?auto_9735 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9747
      ?auto_9748
    )
    :vars
    (
      ?auto_9749
      ?auto_9756
      ?auto_9757
      ?auto_9754
      ?auto_9752
      ?auto_9750
      ?auto_9753
      ?auto_9759
    )
    :precondition
    ( and ( OBJ ?auto_9747 ) ( LOCATION ?auto_9748 ) ( TRUCK ?auto_9749 ) ( LOCATION ?auto_9756 ) ( CITY ?auto_9757 ) ( IN-CITY ?auto_9756 ?auto_9757 ) ( IN-CITY ?auto_9748 ?auto_9757 ) ( DIFFERENT ?auto_9748 ?auto_9756 ) ( LOCATION ?auto_9754 ) ( CITY ?auto_9752 ) ( AT ?auto_9749 ?auto_9754 ) ( IN-CITY ?auto_9754 ?auto_9752 ) ( IN-CITY ?auto_9756 ?auto_9752 ) ( DIFFERENT ?auto_9756 ?auto_9754 ) ( LOCATION ?auto_9750 ) ( AT ?auto_9749 ?auto_9750 ) ( AIRPLANE ?auto_9753 ) ( IN ?auto_9747 ?auto_9753 ) ( AIRPORT ?auto_9759 ) ( AIRPORT ?auto_9750 ) ( AT ?auto_9753 ?auto_9759 ) ( DIFFERENT ?auto_9750 ?auto_9759 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9753 ?auto_9759 ?auto_9750 )
      ( DELIVER-PKG ?auto_9747 ?auto_9748 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9761
      ?auto_9762
    )
    :vars
    (
      ?auto_9772
      ?auto_9766
      ?auto_9763
      ?auto_9770
      ?auto_9767
      ?auto_9771
      ?auto_9769
      ?auto_9768
      ?auto_9774
    )
    :precondition
    ( and ( OBJ ?auto_9761 ) ( LOCATION ?auto_9762 ) ( TRUCK ?auto_9772 ) ( LOCATION ?auto_9766 ) ( CITY ?auto_9763 ) ( IN-CITY ?auto_9766 ?auto_9763 ) ( IN-CITY ?auto_9762 ?auto_9763 ) ( DIFFERENT ?auto_9762 ?auto_9766 ) ( LOCATION ?auto_9770 ) ( CITY ?auto_9767 ) ( AT ?auto_9772 ?auto_9770 ) ( IN-CITY ?auto_9770 ?auto_9767 ) ( IN-CITY ?auto_9766 ?auto_9767 ) ( DIFFERENT ?auto_9766 ?auto_9770 ) ( LOCATION ?auto_9771 ) ( AT ?auto_9772 ?auto_9771 ) ( AIRPLANE ?auto_9769 ) ( AIRPORT ?auto_9768 ) ( AIRPORT ?auto_9771 ) ( AT ?auto_9769 ?auto_9768 ) ( DIFFERENT ?auto_9771 ?auto_9768 ) ( LOCATION ?auto_9774 ) ( AT ?auto_9761 ?auto_9774 ) ( AT ?auto_9769 ?auto_9774 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9761 ?auto_9769 ?auto_9774 )
      ( DELIVER-PKG ?auto_9761 ?auto_9762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9776
      ?auto_9777
    )
    :vars
    (
      ?auto_9780
      ?auto_9788
      ?auto_9784
      ?auto_9781
      ?auto_9787
      ?auto_9779
      ?auto_9783
      ?auto_9782
      ?auto_9786
      ?auto_9791
    )
    :precondition
    ( and ( OBJ ?auto_9776 ) ( LOCATION ?auto_9777 ) ( TRUCK ?auto_9780 ) ( LOCATION ?auto_9788 ) ( CITY ?auto_9784 ) ( IN-CITY ?auto_9788 ?auto_9784 ) ( IN-CITY ?auto_9777 ?auto_9784 ) ( DIFFERENT ?auto_9777 ?auto_9788 ) ( LOCATION ?auto_9781 ) ( CITY ?auto_9787 ) ( AT ?auto_9780 ?auto_9781 ) ( IN-CITY ?auto_9781 ?auto_9787 ) ( IN-CITY ?auto_9788 ?auto_9787 ) ( DIFFERENT ?auto_9788 ?auto_9781 ) ( LOCATION ?auto_9779 ) ( AT ?auto_9780 ?auto_9779 ) ( AIRPLANE ?auto_9783 ) ( AIRPORT ?auto_9782 ) ( AIRPORT ?auto_9779 ) ( AT ?auto_9783 ?auto_9782 ) ( DIFFERENT ?auto_9779 ?auto_9782 ) ( LOCATION ?auto_9786 ) ( AT ?auto_9783 ?auto_9786 ) ( TRUCK ?auto_9791 ) ( AT ?auto_9791 ?auto_9786 ) ( IN ?auto_9776 ?auto_9791 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9776 ?auto_9786 )
      ( DELIVER-PKG ?auto_9776 ?auto_9777 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9806
      ?auto_9807
    )
    :vars
    (
      ?auto_9817
      ?auto_9816
      ?auto_9819
      ?auto_9815
      ?auto_9811
      ?auto_9813
      ?auto_9809
      ?auto_9818
      ?auto_9812
      ?auto_9814
      ?auto_9822
      ?auto_9821
    )
    :precondition
    ( and ( OBJ ?auto_9806 ) ( LOCATION ?auto_9807 ) ( TRUCK ?auto_9817 ) ( LOCATION ?auto_9816 ) ( CITY ?auto_9819 ) ( IN-CITY ?auto_9816 ?auto_9819 ) ( IN-CITY ?auto_9807 ?auto_9819 ) ( DIFFERENT ?auto_9807 ?auto_9816 ) ( LOCATION ?auto_9815 ) ( CITY ?auto_9811 ) ( AT ?auto_9817 ?auto_9815 ) ( IN-CITY ?auto_9815 ?auto_9811 ) ( IN-CITY ?auto_9816 ?auto_9811 ) ( DIFFERENT ?auto_9816 ?auto_9815 ) ( LOCATION ?auto_9813 ) ( AT ?auto_9817 ?auto_9813 ) ( AIRPLANE ?auto_9809 ) ( AIRPORT ?auto_9818 ) ( AIRPORT ?auto_9813 ) ( AT ?auto_9809 ?auto_9818 ) ( DIFFERENT ?auto_9813 ?auto_9818 ) ( LOCATION ?auto_9812 ) ( AT ?auto_9809 ?auto_9812 ) ( TRUCK ?auto_9814 ) ( IN ?auto_9806 ?auto_9814 ) ( LOCATION ?auto_9822 ) ( CITY ?auto_9821 ) ( AT ?auto_9814 ?auto_9822 ) ( IN-CITY ?auto_9822 ?auto_9821 ) ( IN-CITY ?auto_9812 ?auto_9821 ) ( DIFFERENT ?auto_9812 ?auto_9822 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9814 ?auto_9822 ?auto_9812 ?auto_9821 )
      ( DELIVER-PKG ?auto_9806 ?auto_9807 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9840
      ?auto_9841
    )
    :vars
    (
      ?auto_9851
      ?auto_9850
      ?auto_9843
      ?auto_9849
      ?auto_9845
      ?auto_9847
      ?auto_9853
      ?auto_9842
      ?auto_9846
      ?auto_9848
      ?auto_9855
      ?auto_9854
      ?auto_9858
      ?auto_9857
    )
    :precondition
    ( and ( OBJ ?auto_9840 ) ( LOCATION ?auto_9841 ) ( TRUCK ?auto_9851 ) ( LOCATION ?auto_9850 ) ( CITY ?auto_9843 ) ( IN-CITY ?auto_9850 ?auto_9843 ) ( IN-CITY ?auto_9841 ?auto_9843 ) ( DIFFERENT ?auto_9841 ?auto_9850 ) ( LOCATION ?auto_9849 ) ( CITY ?auto_9845 ) ( AT ?auto_9851 ?auto_9849 ) ( IN-CITY ?auto_9849 ?auto_9845 ) ( IN-CITY ?auto_9850 ?auto_9845 ) ( DIFFERENT ?auto_9850 ?auto_9849 ) ( LOCATION ?auto_9847 ) ( AT ?auto_9851 ?auto_9847 ) ( AIRPLANE ?auto_9853 ) ( AIRPORT ?auto_9842 ) ( AIRPORT ?auto_9847 ) ( AT ?auto_9853 ?auto_9842 ) ( DIFFERENT ?auto_9847 ?auto_9842 ) ( LOCATION ?auto_9846 ) ( AT ?auto_9853 ?auto_9846 ) ( TRUCK ?auto_9848 ) ( IN ?auto_9840 ?auto_9848 ) ( LOCATION ?auto_9855 ) ( CITY ?auto_9854 ) ( IN-CITY ?auto_9855 ?auto_9854 ) ( IN-CITY ?auto_9846 ?auto_9854 ) ( DIFFERENT ?auto_9846 ?auto_9855 ) ( LOCATION ?auto_9858 ) ( CITY ?auto_9857 ) ( AT ?auto_9848 ?auto_9858 ) ( IN-CITY ?auto_9858 ?auto_9857 ) ( IN-CITY ?auto_9855 ?auto_9857 ) ( DIFFERENT ?auto_9855 ?auto_9858 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9848 ?auto_9858 ?auto_9855 ?auto_9857 )
      ( DELIVER-PKG ?auto_9840 ?auto_9841 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9878
      ?auto_9879
    )
    :vars
    (
      ?auto_9883
      ?auto_9882
      ?auto_9890
      ?auto_9886
      ?auto_9881
      ?auto_9884
      ?auto_9887
      ?auto_9893
      ?auto_9880
      ?auto_9885
      ?auto_9889
      ?auto_9888
      ?auto_9895
      ?auto_9894
      ?auto_9897
    )
    :precondition
    ( and ( OBJ ?auto_9878 ) ( LOCATION ?auto_9879 ) ( TRUCK ?auto_9883 ) ( LOCATION ?auto_9882 ) ( CITY ?auto_9890 ) ( IN-CITY ?auto_9882 ?auto_9890 ) ( IN-CITY ?auto_9879 ?auto_9890 ) ( DIFFERENT ?auto_9879 ?auto_9882 ) ( LOCATION ?auto_9886 ) ( CITY ?auto_9881 ) ( AT ?auto_9883 ?auto_9886 ) ( IN-CITY ?auto_9886 ?auto_9881 ) ( IN-CITY ?auto_9882 ?auto_9881 ) ( DIFFERENT ?auto_9882 ?auto_9886 ) ( LOCATION ?auto_9884 ) ( AT ?auto_9883 ?auto_9884 ) ( AIRPLANE ?auto_9887 ) ( AIRPORT ?auto_9893 ) ( AIRPORT ?auto_9884 ) ( AT ?auto_9887 ?auto_9893 ) ( DIFFERENT ?auto_9884 ?auto_9893 ) ( LOCATION ?auto_9880 ) ( AT ?auto_9887 ?auto_9880 ) ( TRUCK ?auto_9885 ) ( LOCATION ?auto_9889 ) ( CITY ?auto_9888 ) ( IN-CITY ?auto_9889 ?auto_9888 ) ( IN-CITY ?auto_9880 ?auto_9888 ) ( DIFFERENT ?auto_9880 ?auto_9889 ) ( LOCATION ?auto_9895 ) ( CITY ?auto_9894 ) ( AT ?auto_9885 ?auto_9895 ) ( IN-CITY ?auto_9895 ?auto_9894 ) ( IN-CITY ?auto_9889 ?auto_9894 ) ( DIFFERENT ?auto_9889 ?auto_9895 ) ( LOCATION ?auto_9897 ) ( AT ?auto_9885 ?auto_9897 ) ( AT ?auto_9878 ?auto_9897 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9878 ?auto_9885 ?auto_9897 )
      ( DELIVER-PKG ?auto_9878 ?auto_9879 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9918
      ?auto_9919
    )
    :vars
    (
      ?auto_9922
      ?auto_9920
      ?auto_9926
      ?auto_9932
      ?auto_9921
      ?auto_9927
      ?auto_9933
      ?auto_9934
      ?auto_9928
      ?auto_9925
      ?auto_9924
      ?auto_9931
      ?auto_9930
      ?auto_9923
      ?auto_9938
    )
    :precondition
    ( and ( OBJ ?auto_9918 ) ( LOCATION ?auto_9919 ) ( TRUCK ?auto_9922 ) ( LOCATION ?auto_9920 ) ( CITY ?auto_9926 ) ( IN-CITY ?auto_9920 ?auto_9926 ) ( IN-CITY ?auto_9919 ?auto_9926 ) ( DIFFERENT ?auto_9919 ?auto_9920 ) ( LOCATION ?auto_9932 ) ( CITY ?auto_9921 ) ( AT ?auto_9922 ?auto_9932 ) ( IN-CITY ?auto_9932 ?auto_9921 ) ( IN-CITY ?auto_9920 ?auto_9921 ) ( DIFFERENT ?auto_9920 ?auto_9932 ) ( LOCATION ?auto_9927 ) ( AT ?auto_9922 ?auto_9927 ) ( AIRPLANE ?auto_9933 ) ( AIRPORT ?auto_9934 ) ( AIRPORT ?auto_9927 ) ( DIFFERENT ?auto_9927 ?auto_9934 ) ( LOCATION ?auto_9934 ) ( TRUCK ?auto_9928 ) ( LOCATION ?auto_9925 ) ( CITY ?auto_9924 ) ( IN-CITY ?auto_9925 ?auto_9924 ) ( IN-CITY ?auto_9934 ?auto_9924 ) ( DIFFERENT ?auto_9934 ?auto_9925 ) ( LOCATION ?auto_9931 ) ( CITY ?auto_9930 ) ( AT ?auto_9928 ?auto_9931 ) ( IN-CITY ?auto_9931 ?auto_9930 ) ( IN-CITY ?auto_9925 ?auto_9930 ) ( DIFFERENT ?auto_9925 ?auto_9931 ) ( LOCATION ?auto_9923 ) ( AT ?auto_9928 ?auto_9923 ) ( AT ?auto_9918 ?auto_9923 ) ( AIRPORT ?auto_9938 ) ( AT ?auto_9933 ?auto_9938 ) ( DIFFERENT ?auto_9934 ?auto_9938 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9933 ?auto_9938 ?auto_9934 )
      ( DELIVER-PKG ?auto_9918 ?auto_9919 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9940
      ?auto_9941
    )
    :vars
    (
      ?auto_9942
      ?auto_9947
      ?auto_9944
      ?auto_9950
      ?auto_9958
      ?auto_9945
      ?auto_9951
      ?auto_9952
      ?auto_9946
      ?auto_9943
      ?auto_9956
      ?auto_9954
      ?auto_9948
      ?auto_9953
      ?auto_9961
      ?auto_9960
    )
    :precondition
    ( and ( OBJ ?auto_9940 ) ( LOCATION ?auto_9941 ) ( TRUCK ?auto_9942 ) ( LOCATION ?auto_9947 ) ( CITY ?auto_9944 ) ( IN-CITY ?auto_9947 ?auto_9944 ) ( IN-CITY ?auto_9941 ?auto_9944 ) ( DIFFERENT ?auto_9941 ?auto_9947 ) ( LOCATION ?auto_9950 ) ( CITY ?auto_9958 ) ( AT ?auto_9942 ?auto_9950 ) ( IN-CITY ?auto_9950 ?auto_9958 ) ( IN-CITY ?auto_9947 ?auto_9958 ) ( DIFFERENT ?auto_9947 ?auto_9950 ) ( LOCATION ?auto_9945 ) ( AT ?auto_9942 ?auto_9945 ) ( AIRPLANE ?auto_9951 ) ( AIRPORT ?auto_9952 ) ( AIRPORT ?auto_9945 ) ( DIFFERENT ?auto_9945 ?auto_9952 ) ( LOCATION ?auto_9952 ) ( TRUCK ?auto_9946 ) ( LOCATION ?auto_9943 ) ( CITY ?auto_9956 ) ( IN-CITY ?auto_9943 ?auto_9956 ) ( IN-CITY ?auto_9952 ?auto_9956 ) ( DIFFERENT ?auto_9952 ?auto_9943 ) ( LOCATION ?auto_9954 ) ( CITY ?auto_9948 ) ( IN-CITY ?auto_9954 ?auto_9948 ) ( IN-CITY ?auto_9943 ?auto_9948 ) ( DIFFERENT ?auto_9943 ?auto_9954 ) ( AT ?auto_9940 ?auto_9954 ) ( AIRPORT ?auto_9953 ) ( AT ?auto_9951 ?auto_9953 ) ( DIFFERENT ?auto_9952 ?auto_9953 ) ( LOCATION ?auto_9961 ) ( CITY ?auto_9960 ) ( AT ?auto_9946 ?auto_9961 ) ( IN-CITY ?auto_9961 ?auto_9960 ) ( IN-CITY ?auto_9954 ?auto_9960 ) ( DIFFERENT ?auto_9954 ?auto_9961 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9946 ?auto_9961 ?auto_9954 ?auto_9960 )
      ( DELIVER-PKG ?auto_9940 ?auto_9941 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9963
      ?auto_9964
    )
    :vars
    (
      ?auto_9971
      ?auto_9965
      ?auto_9980
      ?auto_9979
      ?auto_9973
      ?auto_9969
      ?auto_9970
      ?auto_9982
      ?auto_9981
      ?auto_9972
      ?auto_9975
      ?auto_9977
      ?auto_9978
      ?auto_9976
      ?auto_9974
      ?auto_9985
      ?auto_9984
    )
    :precondition
    ( and ( OBJ ?auto_9963 ) ( LOCATION ?auto_9964 ) ( TRUCK ?auto_9971 ) ( LOCATION ?auto_9965 ) ( CITY ?auto_9980 ) ( IN-CITY ?auto_9965 ?auto_9980 ) ( IN-CITY ?auto_9964 ?auto_9980 ) ( DIFFERENT ?auto_9964 ?auto_9965 ) ( LOCATION ?auto_9979 ) ( CITY ?auto_9973 ) ( IN-CITY ?auto_9979 ?auto_9973 ) ( IN-CITY ?auto_9965 ?auto_9973 ) ( DIFFERENT ?auto_9965 ?auto_9979 ) ( AIRPLANE ?auto_9969 ) ( AIRPORT ?auto_9970 ) ( AIRPORT ?auto_9979 ) ( DIFFERENT ?auto_9979 ?auto_9970 ) ( LOCATION ?auto_9970 ) ( TRUCK ?auto_9982 ) ( LOCATION ?auto_9981 ) ( CITY ?auto_9972 ) ( IN-CITY ?auto_9981 ?auto_9972 ) ( IN-CITY ?auto_9970 ?auto_9972 ) ( DIFFERENT ?auto_9970 ?auto_9981 ) ( LOCATION ?auto_9975 ) ( CITY ?auto_9977 ) ( IN-CITY ?auto_9975 ?auto_9977 ) ( IN-CITY ?auto_9981 ?auto_9977 ) ( DIFFERENT ?auto_9981 ?auto_9975 ) ( AT ?auto_9963 ?auto_9975 ) ( AIRPORT ?auto_9978 ) ( AT ?auto_9969 ?auto_9978 ) ( DIFFERENT ?auto_9970 ?auto_9978 ) ( LOCATION ?auto_9976 ) ( CITY ?auto_9974 ) ( AT ?auto_9982 ?auto_9976 ) ( IN-CITY ?auto_9976 ?auto_9974 ) ( IN-CITY ?auto_9975 ?auto_9974 ) ( DIFFERENT ?auto_9975 ?auto_9976 ) ( LOCATION ?auto_9985 ) ( CITY ?auto_9984 ) ( AT ?auto_9971 ?auto_9985 ) ( IN-CITY ?auto_9985 ?auto_9984 ) ( IN-CITY ?auto_9979 ?auto_9984 ) ( DIFFERENT ?auto_9979 ?auto_9985 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9971 ?auto_9985 ?auto_9979 ?auto_9984 )
      ( DELIVER-PKG ?auto_9963 ?auto_9964 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10324
      ?auto_10325
    )
    :vars
    (
      ?auto_10330
      ?auto_10329
      ?auto_10327
      ?auto_10331
      ?auto_10328
      ?auto_10334
      ?auto_10336
    )
    :precondition
    ( and ( OBJ ?auto_10324 ) ( LOCATION ?auto_10325 ) ( TRUCK ?auto_10330 ) ( LOCATION ?auto_10329 ) ( CITY ?auto_10327 ) ( AT ?auto_10330 ?auto_10329 ) ( IN-CITY ?auto_10329 ?auto_10327 ) ( IN-CITY ?auto_10325 ?auto_10327 ) ( DIFFERENT ?auto_10325 ?auto_10329 ) ( LOCATION ?auto_10331 ) ( AT ?auto_10330 ?auto_10331 ) ( AIRPLANE ?auto_10328 ) ( AIRPORT ?auto_10334 ) ( AIRPORT ?auto_10331 ) ( DIFFERENT ?auto_10331 ?auto_10334 ) ( LOCATION ?auto_10334 ) ( AT ?auto_10324 ?auto_10334 ) ( AIRPORT ?auto_10336 ) ( AT ?auto_10328 ?auto_10336 ) ( DIFFERENT ?auto_10334 ?auto_10336 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10328 ?auto_10336 ?auto_10334 )
      ( DELIVER-PKG ?auto_10324 ?auto_10325 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10360
      ?auto_10361
    )
    :vars
    (
      ?auto_10365
      ?auto_10364
      ?auto_10370
      ?auto_10366
      ?auto_10363
      ?auto_10367
      ?auto_10369
      ?auto_10372
    )
    :precondition
    ( and ( OBJ ?auto_10360 ) ( LOCATION ?auto_10361 ) ( TRUCK ?auto_10365 ) ( LOCATION ?auto_10364 ) ( CITY ?auto_10370 ) ( AT ?auto_10365 ?auto_10364 ) ( IN-CITY ?auto_10364 ?auto_10370 ) ( IN-CITY ?auto_10361 ?auto_10370 ) ( DIFFERENT ?auto_10361 ?auto_10364 ) ( LOCATION ?auto_10366 ) ( AT ?auto_10365 ?auto_10366 ) ( AIRPLANE ?auto_10363 ) ( AIRPORT ?auto_10367 ) ( AIRPORT ?auto_10366 ) ( DIFFERENT ?auto_10366 ?auto_10367 ) ( LOCATION ?auto_10367 ) ( AT ?auto_10360 ?auto_10367 ) ( AIRPORT ?auto_10369 ) ( DIFFERENT ?auto_10367 ?auto_10369 ) ( AIRPORT ?auto_10372 ) ( AT ?auto_10363 ?auto_10372 ) ( DIFFERENT ?auto_10369 ?auto_10372 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10363 ?auto_10372 ?auto_10369 )
      ( DELIVER-PKG ?auto_10360 ?auto_10361 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10398
      ?auto_10399
    )
    :vars
    (
      ?auto_10405
      ?auto_10404
      ?auto_10403
      ?auto_10400
      ?auto_10407
      ?auto_10401
      ?auto_10402
      ?auto_10409
      ?auto_10411
    )
    :precondition
    ( and ( OBJ ?auto_10398 ) ( LOCATION ?auto_10399 ) ( TRUCK ?auto_10405 ) ( LOCATION ?auto_10404 ) ( CITY ?auto_10403 ) ( AT ?auto_10405 ?auto_10404 ) ( IN-CITY ?auto_10404 ?auto_10403 ) ( IN-CITY ?auto_10399 ?auto_10403 ) ( DIFFERENT ?auto_10399 ?auto_10404 ) ( LOCATION ?auto_10400 ) ( AT ?auto_10405 ?auto_10400 ) ( AIRPLANE ?auto_10407 ) ( AIRPORT ?auto_10401 ) ( AIRPORT ?auto_10400 ) ( DIFFERENT ?auto_10400 ?auto_10401 ) ( LOCATION ?auto_10401 ) ( AIRPORT ?auto_10402 ) ( DIFFERENT ?auto_10401 ?auto_10402 ) ( AIRPORT ?auto_10409 ) ( AT ?auto_10407 ?auto_10409 ) ( DIFFERENT ?auto_10402 ?auto_10409 ) ( TRUCK ?auto_10411 ) ( AT ?auto_10411 ?auto_10401 ) ( IN ?auto_10398 ?auto_10411 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10398 ?auto_10401 )
      ( DELIVER-PKG ?auto_10398 ?auto_10399 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10413
      ?auto_10414
    )
    :vars
    (
      ?auto_10424
      ?auto_10416
      ?auto_10422
      ?auto_10419
      ?auto_10418
      ?auto_10421
      ?auto_10420
      ?auto_10425
      ?auto_10428
      ?auto_10427
    )
    :precondition
    ( and ( OBJ ?auto_10413 ) ( LOCATION ?auto_10414 ) ( TRUCK ?auto_10424 ) ( LOCATION ?auto_10416 ) ( CITY ?auto_10422 ) ( IN-CITY ?auto_10416 ?auto_10422 ) ( IN-CITY ?auto_10414 ?auto_10422 ) ( DIFFERENT ?auto_10414 ?auto_10416 ) ( AIRPLANE ?auto_10419 ) ( AIRPORT ?auto_10418 ) ( AIRPORT ?auto_10416 ) ( DIFFERENT ?auto_10416 ?auto_10418 ) ( LOCATION ?auto_10418 ) ( AIRPORT ?auto_10421 ) ( DIFFERENT ?auto_10418 ?auto_10421 ) ( AIRPORT ?auto_10420 ) ( AT ?auto_10419 ?auto_10420 ) ( DIFFERENT ?auto_10421 ?auto_10420 ) ( TRUCK ?auto_10425 ) ( AT ?auto_10425 ?auto_10418 ) ( IN ?auto_10413 ?auto_10425 ) ( LOCATION ?auto_10428 ) ( CITY ?auto_10427 ) ( AT ?auto_10424 ?auto_10428 ) ( IN-CITY ?auto_10428 ?auto_10427 ) ( IN-CITY ?auto_10416 ?auto_10427 ) ( DIFFERENT ?auto_10416 ?auto_10428 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10424 ?auto_10428 ?auto_10416 ?auto_10427 )
      ( DELIVER-PKG ?auto_10413 ?auto_10414 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10430
      ?auto_10431
    )
    :vars
    (
      ?auto_10433
      ?auto_10443
      ?auto_10440
      ?auto_10434
      ?auto_10439
      ?auto_10441
      ?auto_10432
      ?auto_10438
      ?auto_10437
      ?auto_10436
      ?auto_10446
      ?auto_10445
    )
    :precondition
    ( and ( OBJ ?auto_10430 ) ( LOCATION ?auto_10431 ) ( TRUCK ?auto_10433 ) ( LOCATION ?auto_10443 ) ( CITY ?auto_10440 ) ( IN-CITY ?auto_10443 ?auto_10440 ) ( IN-CITY ?auto_10431 ?auto_10440 ) ( DIFFERENT ?auto_10431 ?auto_10443 ) ( AIRPLANE ?auto_10434 ) ( AIRPORT ?auto_10439 ) ( AIRPORT ?auto_10443 ) ( DIFFERENT ?auto_10443 ?auto_10439 ) ( LOCATION ?auto_10439 ) ( AIRPORT ?auto_10441 ) ( DIFFERENT ?auto_10439 ?auto_10441 ) ( AIRPORT ?auto_10432 ) ( AT ?auto_10434 ?auto_10432 ) ( DIFFERENT ?auto_10441 ?auto_10432 ) ( TRUCK ?auto_10438 ) ( IN ?auto_10430 ?auto_10438 ) ( LOCATION ?auto_10437 ) ( CITY ?auto_10436 ) ( AT ?auto_10433 ?auto_10437 ) ( IN-CITY ?auto_10437 ?auto_10436 ) ( IN-CITY ?auto_10443 ?auto_10436 ) ( DIFFERENT ?auto_10443 ?auto_10437 ) ( LOCATION ?auto_10446 ) ( CITY ?auto_10445 ) ( AT ?auto_10438 ?auto_10446 ) ( IN-CITY ?auto_10446 ?auto_10445 ) ( IN-CITY ?auto_10439 ?auto_10445 ) ( DIFFERENT ?auto_10439 ?auto_10446 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10438 ?auto_10446 ?auto_10439 ?auto_10445 )
      ( DELIVER-PKG ?auto_10430 ?auto_10431 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10448
      ?auto_10449
    )
    :vars
    (
      ?auto_10462
      ?auto_10455
      ?auto_10450
      ?auto_10461
      ?auto_10460
      ?auto_10453
      ?auto_10456
      ?auto_10458
      ?auto_10452
      ?auto_10463
      ?auto_10454
      ?auto_10459
      ?auto_10466
      ?auto_10465
    )
    :precondition
    ( and ( OBJ ?auto_10448 ) ( LOCATION ?auto_10449 ) ( TRUCK ?auto_10462 ) ( LOCATION ?auto_10455 ) ( CITY ?auto_10450 ) ( IN-CITY ?auto_10455 ?auto_10450 ) ( IN-CITY ?auto_10449 ?auto_10450 ) ( DIFFERENT ?auto_10449 ?auto_10455 ) ( AIRPLANE ?auto_10461 ) ( AIRPORT ?auto_10460 ) ( AIRPORT ?auto_10455 ) ( DIFFERENT ?auto_10455 ?auto_10460 ) ( LOCATION ?auto_10460 ) ( AIRPORT ?auto_10453 ) ( DIFFERENT ?auto_10460 ?auto_10453 ) ( AIRPORT ?auto_10456 ) ( AT ?auto_10461 ?auto_10456 ) ( DIFFERENT ?auto_10453 ?auto_10456 ) ( TRUCK ?auto_10458 ) ( IN ?auto_10448 ?auto_10458 ) ( LOCATION ?auto_10452 ) ( CITY ?auto_10463 ) ( IN-CITY ?auto_10452 ?auto_10463 ) ( IN-CITY ?auto_10455 ?auto_10463 ) ( DIFFERENT ?auto_10455 ?auto_10452 ) ( LOCATION ?auto_10454 ) ( CITY ?auto_10459 ) ( AT ?auto_10458 ?auto_10454 ) ( IN-CITY ?auto_10454 ?auto_10459 ) ( IN-CITY ?auto_10460 ?auto_10459 ) ( DIFFERENT ?auto_10460 ?auto_10454 ) ( LOCATION ?auto_10466 ) ( CITY ?auto_10465 ) ( AT ?auto_10462 ?auto_10466 ) ( IN-CITY ?auto_10466 ?auto_10465 ) ( IN-CITY ?auto_10452 ?auto_10465 ) ( DIFFERENT ?auto_10452 ?auto_10466 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10462 ?auto_10466 ?auto_10452 ?auto_10465 )
      ( DELIVER-PKG ?auto_10448 ?auto_10449 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10468
      ?auto_10469
    )
    :vars
    (
      ?auto_10476
      ?auto_10477
      ?auto_10478
      ?auto_10471
      ?auto_10483
      ?auto_10481
      ?auto_10484
      ?auto_10472
      ?auto_10482
      ?auto_10473
      ?auto_10485
      ?auto_10480
      ?auto_10474
      ?auto_10479
      ?auto_10487
    )
    :precondition
    ( and ( OBJ ?auto_10468 ) ( LOCATION ?auto_10469 ) ( TRUCK ?auto_10476 ) ( LOCATION ?auto_10477 ) ( CITY ?auto_10478 ) ( IN-CITY ?auto_10477 ?auto_10478 ) ( IN-CITY ?auto_10469 ?auto_10478 ) ( DIFFERENT ?auto_10469 ?auto_10477 ) ( AIRPLANE ?auto_10471 ) ( AIRPORT ?auto_10483 ) ( AIRPORT ?auto_10477 ) ( DIFFERENT ?auto_10477 ?auto_10483 ) ( LOCATION ?auto_10483 ) ( AIRPORT ?auto_10481 ) ( DIFFERENT ?auto_10483 ?auto_10481 ) ( AIRPORT ?auto_10484 ) ( AT ?auto_10471 ?auto_10484 ) ( DIFFERENT ?auto_10481 ?auto_10484 ) ( TRUCK ?auto_10472 ) ( LOCATION ?auto_10482 ) ( CITY ?auto_10473 ) ( IN-CITY ?auto_10482 ?auto_10473 ) ( IN-CITY ?auto_10477 ?auto_10473 ) ( DIFFERENT ?auto_10477 ?auto_10482 ) ( LOCATION ?auto_10485 ) ( CITY ?auto_10480 ) ( AT ?auto_10472 ?auto_10485 ) ( IN-CITY ?auto_10485 ?auto_10480 ) ( IN-CITY ?auto_10483 ?auto_10480 ) ( DIFFERENT ?auto_10483 ?auto_10485 ) ( LOCATION ?auto_10474 ) ( CITY ?auto_10479 ) ( AT ?auto_10476 ?auto_10474 ) ( IN-CITY ?auto_10474 ?auto_10479 ) ( IN-CITY ?auto_10482 ?auto_10479 ) ( DIFFERENT ?auto_10482 ?auto_10474 ) ( LOCATION ?auto_10487 ) ( AT ?auto_10472 ?auto_10487 ) ( AT ?auto_10468 ?auto_10487 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10468 ?auto_10472 ?auto_10487 )
      ( DELIVER-PKG ?auto_10468 ?auto_10469 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10508
      ?auto_10509
    )
    :vars
    (
      ?auto_10519
      ?auto_10526
      ?auto_10520
      ?auto_10516
      ?auto_10511
      ?auto_10514
      ?auto_10518
      ?auto_10525
      ?auto_10523
      ?auto_10522
      ?auto_10513
      ?auto_10521
      ?auto_10524
      ?auto_10510
      ?auto_10529
      ?auto_10528
    )
    :precondition
    ( and ( OBJ ?auto_10508 ) ( LOCATION ?auto_10509 ) ( TRUCK ?auto_10519 ) ( LOCATION ?auto_10526 ) ( CITY ?auto_10520 ) ( IN-CITY ?auto_10526 ?auto_10520 ) ( IN-CITY ?auto_10509 ?auto_10520 ) ( DIFFERENT ?auto_10509 ?auto_10526 ) ( AIRPLANE ?auto_10516 ) ( AIRPORT ?auto_10511 ) ( AIRPORT ?auto_10526 ) ( DIFFERENT ?auto_10526 ?auto_10511 ) ( LOCATION ?auto_10511 ) ( AIRPORT ?auto_10514 ) ( DIFFERENT ?auto_10511 ?auto_10514 ) ( AIRPORT ?auto_10518 ) ( AT ?auto_10516 ?auto_10518 ) ( DIFFERENT ?auto_10514 ?auto_10518 ) ( TRUCK ?auto_10525 ) ( LOCATION ?auto_10523 ) ( CITY ?auto_10522 ) ( IN-CITY ?auto_10523 ?auto_10522 ) ( IN-CITY ?auto_10526 ?auto_10522 ) ( DIFFERENT ?auto_10526 ?auto_10523 ) ( LOCATION ?auto_10513 ) ( CITY ?auto_10521 ) ( IN-CITY ?auto_10513 ?auto_10521 ) ( IN-CITY ?auto_10511 ?auto_10521 ) ( DIFFERENT ?auto_10511 ?auto_10513 ) ( LOCATION ?auto_10524 ) ( CITY ?auto_10510 ) ( AT ?auto_10519 ?auto_10524 ) ( IN-CITY ?auto_10524 ?auto_10510 ) ( IN-CITY ?auto_10523 ?auto_10510 ) ( DIFFERENT ?auto_10523 ?auto_10524 ) ( AT ?auto_10508 ?auto_10513 ) ( LOCATION ?auto_10529 ) ( CITY ?auto_10528 ) ( AT ?auto_10525 ?auto_10529 ) ( IN-CITY ?auto_10529 ?auto_10528 ) ( IN-CITY ?auto_10513 ?auto_10528 ) ( DIFFERENT ?auto_10513 ?auto_10529 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10525 ?auto_10529 ?auto_10513 ?auto_10528 )
      ( DELIVER-PKG ?auto_10508 ?auto_10509 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10531
      ?auto_10532
    )
    :vars
    (
      ?auto_10545
      ?auto_10536
      ?auto_10546
      ?auto_10543
      ?auto_10549
      ?auto_10534
      ?auto_10544
      ?auto_10540
      ?auto_10538
      ?auto_10537
      ?auto_10533
      ?auto_10547
      ?auto_10539
      ?auto_10542
      ?auto_10550
      ?auto_10541
      ?auto_10552
    )
    :precondition
    ( and ( OBJ ?auto_10531 ) ( LOCATION ?auto_10532 ) ( TRUCK ?auto_10545 ) ( LOCATION ?auto_10536 ) ( CITY ?auto_10546 ) ( IN-CITY ?auto_10536 ?auto_10546 ) ( IN-CITY ?auto_10532 ?auto_10546 ) ( DIFFERENT ?auto_10532 ?auto_10536 ) ( AIRPLANE ?auto_10543 ) ( AIRPORT ?auto_10549 ) ( AIRPORT ?auto_10536 ) ( DIFFERENT ?auto_10536 ?auto_10549 ) ( LOCATION ?auto_10549 ) ( AIRPORT ?auto_10534 ) ( DIFFERENT ?auto_10549 ?auto_10534 ) ( AIRPORT ?auto_10544 ) ( DIFFERENT ?auto_10534 ?auto_10544 ) ( TRUCK ?auto_10540 ) ( LOCATION ?auto_10538 ) ( CITY ?auto_10537 ) ( IN-CITY ?auto_10538 ?auto_10537 ) ( IN-CITY ?auto_10536 ?auto_10537 ) ( DIFFERENT ?auto_10536 ?auto_10538 ) ( LOCATION ?auto_10533 ) ( CITY ?auto_10547 ) ( IN-CITY ?auto_10533 ?auto_10547 ) ( IN-CITY ?auto_10549 ?auto_10547 ) ( DIFFERENT ?auto_10549 ?auto_10533 ) ( LOCATION ?auto_10539 ) ( CITY ?auto_10542 ) ( AT ?auto_10545 ?auto_10539 ) ( IN-CITY ?auto_10539 ?auto_10542 ) ( IN-CITY ?auto_10538 ?auto_10542 ) ( DIFFERENT ?auto_10538 ?auto_10539 ) ( AT ?auto_10531 ?auto_10533 ) ( LOCATION ?auto_10550 ) ( CITY ?auto_10541 ) ( AT ?auto_10540 ?auto_10550 ) ( IN-CITY ?auto_10550 ?auto_10541 ) ( IN-CITY ?auto_10533 ?auto_10541 ) ( DIFFERENT ?auto_10533 ?auto_10550 ) ( AIRPORT ?auto_10552 ) ( AT ?auto_10543 ?auto_10552 ) ( DIFFERENT ?auto_10544 ?auto_10552 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10543 ?auto_10552 ?auto_10544 )
      ( DELIVER-PKG ?auto_10531 ?auto_10532 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10554
      ?auto_10555
    )
    :vars
    (
      ?auto_10565
      ?auto_10568
      ?auto_10570
      ?auto_10564
      ?auto_10557
      ?auto_10569
      ?auto_10567
      ?auto_10566
      ?auto_10573
      ?auto_10572
      ?auto_10563
      ?auto_10571
      ?auto_10574
      ?auto_10559
      ?auto_10558
      ?auto_10562
      ?auto_10556
      ?auto_10577
      ?auto_10576
    )
    :precondition
    ( and ( OBJ ?auto_10554 ) ( LOCATION ?auto_10555 ) ( TRUCK ?auto_10565 ) ( LOCATION ?auto_10568 ) ( CITY ?auto_10570 ) ( IN-CITY ?auto_10568 ?auto_10570 ) ( IN-CITY ?auto_10555 ?auto_10570 ) ( DIFFERENT ?auto_10555 ?auto_10568 ) ( AIRPLANE ?auto_10564 ) ( AIRPORT ?auto_10557 ) ( AIRPORT ?auto_10568 ) ( DIFFERENT ?auto_10568 ?auto_10557 ) ( LOCATION ?auto_10557 ) ( AIRPORT ?auto_10569 ) ( DIFFERENT ?auto_10557 ?auto_10569 ) ( AIRPORT ?auto_10567 ) ( DIFFERENT ?auto_10569 ?auto_10567 ) ( TRUCK ?auto_10566 ) ( LOCATION ?auto_10573 ) ( CITY ?auto_10572 ) ( IN-CITY ?auto_10573 ?auto_10572 ) ( IN-CITY ?auto_10568 ?auto_10572 ) ( DIFFERENT ?auto_10568 ?auto_10573 ) ( LOCATION ?auto_10563 ) ( CITY ?auto_10571 ) ( IN-CITY ?auto_10563 ?auto_10571 ) ( IN-CITY ?auto_10557 ?auto_10571 ) ( DIFFERENT ?auto_10557 ?auto_10563 ) ( LOCATION ?auto_10574 ) ( CITY ?auto_10559 ) ( IN-CITY ?auto_10574 ?auto_10559 ) ( IN-CITY ?auto_10573 ?auto_10559 ) ( DIFFERENT ?auto_10573 ?auto_10574 ) ( AT ?auto_10554 ?auto_10563 ) ( LOCATION ?auto_10558 ) ( CITY ?auto_10562 ) ( AT ?auto_10566 ?auto_10558 ) ( IN-CITY ?auto_10558 ?auto_10562 ) ( IN-CITY ?auto_10563 ?auto_10562 ) ( DIFFERENT ?auto_10563 ?auto_10558 ) ( AIRPORT ?auto_10556 ) ( AT ?auto_10564 ?auto_10556 ) ( DIFFERENT ?auto_10567 ?auto_10556 ) ( LOCATION ?auto_10577 ) ( CITY ?auto_10576 ) ( AT ?auto_10565 ?auto_10577 ) ( IN-CITY ?auto_10577 ?auto_10576 ) ( IN-CITY ?auto_10574 ?auto_10576 ) ( DIFFERENT ?auto_10574 ?auto_10577 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_10565 ?auto_10577 ?auto_10574 ?auto_10576 )
      ( DELIVER-PKG ?auto_10554 ?auto_10555 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11279
      ?auto_11280
    )
    :vars
    (
      ?auto_11283
      ?auto_11282
      ?auto_11284
      ?auto_11288
    )
    :precondition
    ( and ( OBJ ?auto_11279 ) ( LOCATION ?auto_11280 ) ( AIRPLANE ?auto_11283 ) ( AIRPORT ?auto_11282 ) ( AIRPORT ?auto_11280 ) ( DIFFERENT ?auto_11280 ?auto_11282 ) ( LOCATION ?auto_11282 ) ( AIRPORT ?auto_11284 ) ( AT ?auto_11283 ?auto_11284 ) ( DIFFERENT ?auto_11282 ?auto_11284 ) ( TRUCK ?auto_11288 ) ( AT ?auto_11288 ?auto_11282 ) ( IN ?auto_11279 ?auto_11288 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11279 ?auto_11282 )
      ( DELIVER-PKG ?auto_11279 ?auto_11280 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11297
      ?auto_11298
    )
    :vars
    (
      ?auto_11299
      ?auto_11304
      ?auto_11301
      ?auto_11300
      ?auto_11307
      ?auto_11306
    )
    :precondition
    ( and ( OBJ ?auto_11297 ) ( LOCATION ?auto_11298 ) ( AIRPLANE ?auto_11299 ) ( AIRPORT ?auto_11304 ) ( AIRPORT ?auto_11298 ) ( DIFFERENT ?auto_11298 ?auto_11304 ) ( LOCATION ?auto_11304 ) ( AIRPORT ?auto_11301 ) ( AT ?auto_11299 ?auto_11301 ) ( DIFFERENT ?auto_11304 ?auto_11301 ) ( TRUCK ?auto_11300 ) ( IN ?auto_11297 ?auto_11300 ) ( LOCATION ?auto_11307 ) ( CITY ?auto_11306 ) ( AT ?auto_11300 ?auto_11307 ) ( IN-CITY ?auto_11307 ?auto_11306 ) ( IN-CITY ?auto_11304 ?auto_11306 ) ( DIFFERENT ?auto_11304 ?auto_11307 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11300 ?auto_11307 ?auto_11304 ?auto_11306 )
      ( DELIVER-PKG ?auto_11297 ?auto_11298 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11319
      ?auto_11320
    )
    :vars
    (
      ?auto_11325
      ?auto_11323
      ?auto_11321
      ?auto_11322
      ?auto_11328
      ?auto_11324
      ?auto_11331
      ?auto_11330
    )
    :precondition
    ( and ( OBJ ?auto_11319 ) ( LOCATION ?auto_11320 ) ( AIRPLANE ?auto_11325 ) ( AIRPORT ?auto_11323 ) ( AIRPORT ?auto_11320 ) ( DIFFERENT ?auto_11320 ?auto_11323 ) ( LOCATION ?auto_11323 ) ( AIRPORT ?auto_11321 ) ( AT ?auto_11325 ?auto_11321 ) ( DIFFERENT ?auto_11323 ?auto_11321 ) ( TRUCK ?auto_11322 ) ( IN ?auto_11319 ?auto_11322 ) ( LOCATION ?auto_11328 ) ( CITY ?auto_11324 ) ( IN-CITY ?auto_11328 ?auto_11324 ) ( IN-CITY ?auto_11323 ?auto_11324 ) ( DIFFERENT ?auto_11323 ?auto_11328 ) ( LOCATION ?auto_11331 ) ( CITY ?auto_11330 ) ( AT ?auto_11322 ?auto_11331 ) ( IN-CITY ?auto_11331 ?auto_11330 ) ( IN-CITY ?auto_11328 ?auto_11330 ) ( DIFFERENT ?auto_11328 ?auto_11331 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11322 ?auto_11331 ?auto_11328 ?auto_11330 )
      ( DELIVER-PKG ?auto_11319 ?auto_11320 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11345
      ?auto_11346
    )
    :vars
    (
      ?auto_11347
      ?auto_11350
      ?auto_11351
      ?auto_11353
      ?auto_11356
      ?auto_11349
      ?auto_11355
      ?auto_11354
      ?auto_11358
    )
    :precondition
    ( and ( OBJ ?auto_11345 ) ( LOCATION ?auto_11346 ) ( AIRPLANE ?auto_11347 ) ( AIRPORT ?auto_11350 ) ( AIRPORT ?auto_11346 ) ( DIFFERENT ?auto_11346 ?auto_11350 ) ( LOCATION ?auto_11350 ) ( AIRPORT ?auto_11351 ) ( AT ?auto_11347 ?auto_11351 ) ( DIFFERENT ?auto_11350 ?auto_11351 ) ( TRUCK ?auto_11353 ) ( LOCATION ?auto_11356 ) ( CITY ?auto_11349 ) ( IN-CITY ?auto_11356 ?auto_11349 ) ( IN-CITY ?auto_11350 ?auto_11349 ) ( DIFFERENT ?auto_11350 ?auto_11356 ) ( LOCATION ?auto_11355 ) ( CITY ?auto_11354 ) ( AT ?auto_11353 ?auto_11355 ) ( IN-CITY ?auto_11355 ?auto_11354 ) ( IN-CITY ?auto_11356 ?auto_11354 ) ( DIFFERENT ?auto_11356 ?auto_11355 ) ( LOCATION ?auto_11358 ) ( AT ?auto_11353 ?auto_11358 ) ( AT ?auto_11345 ?auto_11358 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11345 ?auto_11353 ?auto_11358 )
      ( DELIVER-PKG ?auto_11345 ?auto_11346 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11403
      ?auto_11404
    )
    :vars
    (
      ?auto_11411
      ?auto_11410
      ?auto_11414
      ?auto_11406
      ?auto_11413
      ?auto_11409
      ?auto_11412
      ?auto_11405
      ?auto_11416
      ?auto_11415
      ?auto_11418
    )
    :precondition
    ( and ( OBJ ?auto_11403 ) ( LOCATION ?auto_11404 ) ( AIRPLANE ?auto_11411 ) ( AIRPORT ?auto_11410 ) ( AIRPORT ?auto_11404 ) ( DIFFERENT ?auto_11404 ?auto_11410 ) ( LOCATION ?auto_11410 ) ( AIRPORT ?auto_11414 ) ( DIFFERENT ?auto_11410 ?auto_11414 ) ( TRUCK ?auto_11406 ) ( LOCATION ?auto_11413 ) ( CITY ?auto_11409 ) ( IN-CITY ?auto_11413 ?auto_11409 ) ( IN-CITY ?auto_11410 ?auto_11409 ) ( DIFFERENT ?auto_11410 ?auto_11413 ) ( LOCATION ?auto_11412 ) ( CITY ?auto_11405 ) ( IN-CITY ?auto_11412 ?auto_11405 ) ( IN-CITY ?auto_11413 ?auto_11405 ) ( DIFFERENT ?auto_11413 ?auto_11412 ) ( AT ?auto_11403 ?auto_11412 ) ( LOCATION ?auto_11416 ) ( CITY ?auto_11415 ) ( AT ?auto_11406 ?auto_11416 ) ( IN-CITY ?auto_11416 ?auto_11415 ) ( IN-CITY ?auto_11412 ?auto_11415 ) ( DIFFERENT ?auto_11412 ?auto_11416 ) ( AIRPORT ?auto_11418 ) ( AT ?auto_11411 ?auto_11418 ) ( DIFFERENT ?auto_11414 ?auto_11418 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11411 ?auto_11418 ?auto_11414 )
      ( DELIVER-PKG ?auto_11403 ?auto_11404 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11698
      ?auto_11699
    )
    :vars
    (
      ?auto_11703
      ?auto_11704
      ?auto_11701
      ?auto_11705
      ?auto_11706
      ?auto_11708
    )
    :precondition
    ( and ( OBJ ?auto_11698 ) ( LOCATION ?auto_11699 ) ( AIRPLANE ?auto_11703 ) ( AIRPORT ?auto_11704 ) ( AIRPORT ?auto_11699 ) ( DIFFERENT ?auto_11699 ?auto_11704 ) ( AIRPORT ?auto_11701 ) ( DIFFERENT ?auto_11704 ?auto_11701 ) ( AIRPORT ?auto_11705 ) ( AT ?auto_11703 ?auto_11705 ) ( DIFFERENT ?auto_11701 ?auto_11705 ) ( LOCATION ?auto_11706 ) ( AT ?auto_11703 ?auto_11706 ) ( TRUCK ?auto_11708 ) ( AT ?auto_11708 ?auto_11706 ) ( IN ?auto_11698 ?auto_11708 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11698 ?auto_11706 )
      ( DELIVER-PKG ?auto_11698 ?auto_11699 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11720
      ?auto_11721
    )
    :vars
    (
      ?auto_11726
      ?auto_11727
      ?auto_11722
      ?auto_11724
      ?auto_11725
      ?auto_11728
      ?auto_11732
      ?auto_11731
    )
    :precondition
    ( and ( OBJ ?auto_11720 ) ( LOCATION ?auto_11721 ) ( AIRPLANE ?auto_11726 ) ( AIRPORT ?auto_11727 ) ( AIRPORT ?auto_11721 ) ( DIFFERENT ?auto_11721 ?auto_11727 ) ( AIRPORT ?auto_11722 ) ( DIFFERENT ?auto_11727 ?auto_11722 ) ( AIRPORT ?auto_11724 ) ( AT ?auto_11726 ?auto_11724 ) ( DIFFERENT ?auto_11722 ?auto_11724 ) ( LOCATION ?auto_11725 ) ( AT ?auto_11726 ?auto_11725 ) ( TRUCK ?auto_11728 ) ( IN ?auto_11720 ?auto_11728 ) ( LOCATION ?auto_11732 ) ( CITY ?auto_11731 ) ( AT ?auto_11728 ?auto_11732 ) ( IN-CITY ?auto_11732 ?auto_11731 ) ( IN-CITY ?auto_11725 ?auto_11731 ) ( DIFFERENT ?auto_11725 ?auto_11732 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11728 ?auto_11732 ?auto_11725 ?auto_11731 )
      ( DELIVER-PKG ?auto_11720 ?auto_11721 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11746
      ?auto_11747
    )
    :vars
    (
      ?auto_11750
      ?auto_11751
      ?auto_11753
      ?auto_11748
      ?auto_11749
      ?auto_11752
      ?auto_11757
      ?auto_11756
      ?auto_11759
    )
    :precondition
    ( and ( OBJ ?auto_11746 ) ( LOCATION ?auto_11747 ) ( AIRPLANE ?auto_11750 ) ( AIRPORT ?auto_11751 ) ( AIRPORT ?auto_11747 ) ( DIFFERENT ?auto_11747 ?auto_11751 ) ( AIRPORT ?auto_11753 ) ( DIFFERENT ?auto_11751 ?auto_11753 ) ( AIRPORT ?auto_11748 ) ( AT ?auto_11750 ?auto_11748 ) ( DIFFERENT ?auto_11753 ?auto_11748 ) ( LOCATION ?auto_11749 ) ( AT ?auto_11750 ?auto_11749 ) ( TRUCK ?auto_11752 ) ( LOCATION ?auto_11757 ) ( CITY ?auto_11756 ) ( AT ?auto_11752 ?auto_11757 ) ( IN-CITY ?auto_11757 ?auto_11756 ) ( IN-CITY ?auto_11749 ?auto_11756 ) ( DIFFERENT ?auto_11749 ?auto_11757 ) ( LOCATION ?auto_11759 ) ( AT ?auto_11752 ?auto_11759 ) ( AT ?auto_11746 ?auto_11759 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11746 ?auto_11752 ?auto_11759 )
      ( DELIVER-PKG ?auto_11746 ?auto_11747 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11787
      ?auto_11788
    )
    :vars
    (
      ?auto_11793
      ?auto_11794
      ?auto_11796
      ?auto_11797
      ?auto_11795
      ?auto_11791
      ?auto_11790
      ?auto_11799
      ?auto_11801
    )
    :precondition
    ( and ( OBJ ?auto_11787 ) ( LOCATION ?auto_11788 ) ( AIRPLANE ?auto_11793 ) ( AIRPORT ?auto_11794 ) ( AIRPORT ?auto_11788 ) ( DIFFERENT ?auto_11788 ?auto_11794 ) ( AIRPORT ?auto_11796 ) ( DIFFERENT ?auto_11794 ?auto_11796 ) ( AIRPORT ?auto_11797 ) ( DIFFERENT ?auto_11796 ?auto_11797 ) ( LOCATION ?auto_11797 ) ( TRUCK ?auto_11795 ) ( LOCATION ?auto_11791 ) ( CITY ?auto_11790 ) ( AT ?auto_11795 ?auto_11791 ) ( IN-CITY ?auto_11791 ?auto_11790 ) ( IN-CITY ?auto_11797 ?auto_11790 ) ( DIFFERENT ?auto_11797 ?auto_11791 ) ( LOCATION ?auto_11799 ) ( AT ?auto_11795 ?auto_11799 ) ( AT ?auto_11787 ?auto_11799 ) ( AIRPORT ?auto_11801 ) ( AT ?auto_11793 ?auto_11801 ) ( DIFFERENT ?auto_11797 ?auto_11801 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11793 ?auto_11801 ?auto_11797 )
      ( DELIVER-PKG ?auto_11787 ?auto_11788 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11803
      ?auto_11804
    )
    :vars
    (
      ?auto_11812
      ?auto_11813
      ?auto_11809
      ?auto_11810
      ?auto_11814
      ?auto_11811
      ?auto_11805
      ?auto_11815
      ?auto_11818
      ?auto_11817
    )
    :precondition
    ( and ( OBJ ?auto_11803 ) ( LOCATION ?auto_11804 ) ( AIRPLANE ?auto_11812 ) ( AIRPORT ?auto_11813 ) ( AIRPORT ?auto_11804 ) ( DIFFERENT ?auto_11804 ?auto_11813 ) ( AIRPORT ?auto_11809 ) ( DIFFERENT ?auto_11813 ?auto_11809 ) ( AIRPORT ?auto_11810 ) ( DIFFERENT ?auto_11809 ?auto_11810 ) ( LOCATION ?auto_11810 ) ( TRUCK ?auto_11814 ) ( LOCATION ?auto_11811 ) ( CITY ?auto_11805 ) ( IN-CITY ?auto_11811 ?auto_11805 ) ( IN-CITY ?auto_11810 ?auto_11805 ) ( DIFFERENT ?auto_11810 ?auto_11811 ) ( AT ?auto_11803 ?auto_11811 ) ( AIRPORT ?auto_11815 ) ( AT ?auto_11812 ?auto_11815 ) ( DIFFERENT ?auto_11810 ?auto_11815 ) ( LOCATION ?auto_11818 ) ( CITY ?auto_11817 ) ( AT ?auto_11814 ?auto_11818 ) ( IN-CITY ?auto_11818 ?auto_11817 ) ( IN-CITY ?auto_11811 ?auto_11817 ) ( DIFFERENT ?auto_11811 ?auto_11818 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11814 ?auto_11818 ?auto_11811 ?auto_11817 )
      ( DELIVER-PKG ?auto_11803 ?auto_11804 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12262
      ?auto_12263
    )
    :vars
    (
      ?auto_12266
      ?auto_12267
      ?auto_12268
      ?auto_12270
    )
    :precondition
    ( and ( OBJ ?auto_12262 ) ( LOCATION ?auto_12263 ) ( AIRPLANE ?auto_12266 ) ( AIRPORT ?auto_12267 ) ( AIRPORT ?auto_12263 ) ( DIFFERENT ?auto_12263 ?auto_12267 ) ( AIRPORT ?auto_12268 ) ( AT ?auto_12266 ?auto_12268 ) ( DIFFERENT ?auto_12267 ?auto_12268 ) ( LOCATION ?auto_12270 ) ( AT ?auto_12262 ?auto_12270 ) ( AT ?auto_12266 ?auto_12270 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12262 ?auto_12266 ?auto_12270 )
      ( DELIVER-PKG ?auto_12262 ?auto_12263 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12272
      ?auto_12273
    )
    :vars
    (
      ?auto_12279
      ?auto_12276
      ?auto_12275
      ?auto_12277
      ?auto_12282
    )
    :precondition
    ( and ( OBJ ?auto_12272 ) ( LOCATION ?auto_12273 ) ( AIRPLANE ?auto_12279 ) ( AIRPORT ?auto_12276 ) ( AIRPORT ?auto_12273 ) ( DIFFERENT ?auto_12273 ?auto_12276 ) ( AIRPORT ?auto_12275 ) ( AT ?auto_12279 ?auto_12275 ) ( DIFFERENT ?auto_12276 ?auto_12275 ) ( LOCATION ?auto_12277 ) ( AT ?auto_12279 ?auto_12277 ) ( AIRPLANE ?auto_12282 ) ( IN ?auto_12272 ?auto_12282 ) ( AT ?auto_12282 ?auto_12277 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12272 ?auto_12277 )
      ( DELIVER-PKG ?auto_12272 ?auto_12273 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12306
      ?auto_12307
    )
    :vars
    (
      ?auto_12314
      ?auto_12309
      ?auto_12310
      ?auto_12308
      ?auto_12316
    )
    :precondition
    ( and ( OBJ ?auto_12306 ) ( LOCATION ?auto_12307 ) ( AIRPLANE ?auto_12314 ) ( AIRPORT ?auto_12309 ) ( AIRPORT ?auto_12307 ) ( DIFFERENT ?auto_12307 ?auto_12309 ) ( AIRPORT ?auto_12310 ) ( DIFFERENT ?auto_12309 ?auto_12310 ) ( LOCATION ?auto_12310 ) ( AIRPORT ?auto_12308 ) ( DIFFERENT ?auto_12310 ?auto_12308 ) ( LOCATION ?auto_12308 ) ( AT ?auto_12306 ?auto_12308 ) ( AIRPORT ?auto_12316 ) ( AT ?auto_12314 ?auto_12316 ) ( DIFFERENT ?auto_12308 ?auto_12316 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12314 ?auto_12316 ?auto_12308 )
      ( DELIVER-PKG ?auto_12306 ?auto_12307 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12318
      ?auto_12319
    )
    :vars
    (
      ?auto_12320
      ?auto_12326
      ?auto_12321
      ?auto_12325
      ?auto_12324
      ?auto_12329
    )
    :precondition
    ( and ( OBJ ?auto_12318 ) ( LOCATION ?auto_12319 ) ( AIRPLANE ?auto_12320 ) ( AIRPORT ?auto_12326 ) ( AIRPORT ?auto_12319 ) ( DIFFERENT ?auto_12319 ?auto_12326 ) ( AIRPORT ?auto_12321 ) ( DIFFERENT ?auto_12326 ?auto_12321 ) ( LOCATION ?auto_12321 ) ( AIRPORT ?auto_12325 ) ( DIFFERENT ?auto_12321 ?auto_12325 ) ( LOCATION ?auto_12325 ) ( AIRPORT ?auto_12324 ) ( AT ?auto_12320 ?auto_12324 ) ( DIFFERENT ?auto_12325 ?auto_12324 ) ( TRUCK ?auto_12329 ) ( AT ?auto_12329 ?auto_12325 ) ( IN ?auto_12318 ?auto_12329 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12318 ?auto_12325 )
      ( DELIVER-PKG ?auto_12318 ?auto_12319 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12340
      ?auto_12341
    )
    :vars
    (
      ?auto_12342
      ?auto_12347
      ?auto_12348
      ?auto_12343
      ?auto_12349
      ?auto_12345
      ?auto_12352
      ?auto_12351
    )
    :precondition
    ( and ( OBJ ?auto_12340 ) ( LOCATION ?auto_12341 ) ( AIRPLANE ?auto_12342 ) ( AIRPORT ?auto_12347 ) ( AIRPORT ?auto_12341 ) ( DIFFERENT ?auto_12341 ?auto_12347 ) ( AIRPORT ?auto_12348 ) ( DIFFERENT ?auto_12347 ?auto_12348 ) ( LOCATION ?auto_12348 ) ( AIRPORT ?auto_12343 ) ( DIFFERENT ?auto_12348 ?auto_12343 ) ( LOCATION ?auto_12343 ) ( AIRPORT ?auto_12349 ) ( AT ?auto_12342 ?auto_12349 ) ( DIFFERENT ?auto_12343 ?auto_12349 ) ( TRUCK ?auto_12345 ) ( IN ?auto_12340 ?auto_12345 ) ( LOCATION ?auto_12352 ) ( CITY ?auto_12351 ) ( AT ?auto_12345 ?auto_12352 ) ( IN-CITY ?auto_12352 ?auto_12351 ) ( IN-CITY ?auto_12343 ?auto_12351 ) ( DIFFERENT ?auto_12343 ?auto_12352 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12345 ?auto_12352 ?auto_12343 ?auto_12351 )
      ( DELIVER-PKG ?auto_12340 ?auto_12341 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12366
      ?auto_12367
    )
    :vars
    (
      ?auto_12374
      ?auto_12369
      ?auto_12373
      ?auto_12372
      ?auto_12368
      ?auto_12371
      ?auto_12377
      ?auto_12376
      ?auto_12380
      ?auto_12379
    )
    :precondition
    ( and ( OBJ ?auto_12366 ) ( LOCATION ?auto_12367 ) ( AIRPLANE ?auto_12374 ) ( AIRPORT ?auto_12369 ) ( AIRPORT ?auto_12367 ) ( DIFFERENT ?auto_12367 ?auto_12369 ) ( AIRPORT ?auto_12373 ) ( DIFFERENT ?auto_12369 ?auto_12373 ) ( LOCATION ?auto_12373 ) ( AIRPORT ?auto_12372 ) ( DIFFERENT ?auto_12373 ?auto_12372 ) ( LOCATION ?auto_12372 ) ( AIRPORT ?auto_12368 ) ( AT ?auto_12374 ?auto_12368 ) ( DIFFERENT ?auto_12372 ?auto_12368 ) ( TRUCK ?auto_12371 ) ( IN ?auto_12366 ?auto_12371 ) ( LOCATION ?auto_12377 ) ( CITY ?auto_12376 ) ( IN-CITY ?auto_12377 ?auto_12376 ) ( IN-CITY ?auto_12372 ?auto_12376 ) ( DIFFERENT ?auto_12372 ?auto_12377 ) ( LOCATION ?auto_12380 ) ( CITY ?auto_12379 ) ( AT ?auto_12371 ?auto_12380 ) ( IN-CITY ?auto_12380 ?auto_12379 ) ( IN-CITY ?auto_12377 ?auto_12379 ) ( DIFFERENT ?auto_12377 ?auto_12380 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12371 ?auto_12380 ?auto_12377 ?auto_12379 )
      ( DELIVER-PKG ?auto_12366 ?auto_12367 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12396
      ?auto_12397
    )
    :vars
    (
      ?auto_12405
      ?auto_12403
      ?auto_12404
      ?auto_12402
      ?auto_12399
      ?auto_12400
      ?auto_12401
      ?auto_12398
      ?auto_12409
      ?auto_12408
      ?auto_12411
    )
    :precondition
    ( and ( OBJ ?auto_12396 ) ( LOCATION ?auto_12397 ) ( AIRPLANE ?auto_12405 ) ( AIRPORT ?auto_12403 ) ( AIRPORT ?auto_12397 ) ( DIFFERENT ?auto_12397 ?auto_12403 ) ( AIRPORT ?auto_12404 ) ( DIFFERENT ?auto_12403 ?auto_12404 ) ( LOCATION ?auto_12404 ) ( AIRPORT ?auto_12402 ) ( DIFFERENT ?auto_12404 ?auto_12402 ) ( LOCATION ?auto_12402 ) ( AIRPORT ?auto_12399 ) ( AT ?auto_12405 ?auto_12399 ) ( DIFFERENT ?auto_12402 ?auto_12399 ) ( TRUCK ?auto_12400 ) ( LOCATION ?auto_12401 ) ( CITY ?auto_12398 ) ( IN-CITY ?auto_12401 ?auto_12398 ) ( IN-CITY ?auto_12402 ?auto_12398 ) ( DIFFERENT ?auto_12402 ?auto_12401 ) ( LOCATION ?auto_12409 ) ( CITY ?auto_12408 ) ( AT ?auto_12400 ?auto_12409 ) ( IN-CITY ?auto_12409 ?auto_12408 ) ( IN-CITY ?auto_12401 ?auto_12408 ) ( DIFFERENT ?auto_12401 ?auto_12409 ) ( LOCATION ?auto_12411 ) ( AT ?auto_12400 ?auto_12411 ) ( AT ?auto_12396 ?auto_12411 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_12396 ?auto_12400 ?auto_12411 )
      ( DELIVER-PKG ?auto_12396 ?auto_12397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12443
      ?auto_12444
    )
    :vars
    (
      ?auto_12454
      ?auto_12447
      ?auto_12448
      ?auto_12449
      ?auto_12445
      ?auto_12446
      ?auto_12455
      ?auto_12456
      ?auto_12457
      ?auto_12452
      ?auto_12460
      ?auto_12459
    )
    :precondition
    ( and ( OBJ ?auto_12443 ) ( LOCATION ?auto_12444 ) ( AIRPLANE ?auto_12454 ) ( AIRPORT ?auto_12447 ) ( AIRPORT ?auto_12444 ) ( DIFFERENT ?auto_12444 ?auto_12447 ) ( AIRPORT ?auto_12448 ) ( DIFFERENT ?auto_12447 ?auto_12448 ) ( LOCATION ?auto_12448 ) ( AIRPORT ?auto_12449 ) ( DIFFERENT ?auto_12448 ?auto_12449 ) ( LOCATION ?auto_12449 ) ( AIRPORT ?auto_12445 ) ( AT ?auto_12454 ?auto_12445 ) ( DIFFERENT ?auto_12449 ?auto_12445 ) ( TRUCK ?auto_12446 ) ( LOCATION ?auto_12455 ) ( CITY ?auto_12456 ) ( IN-CITY ?auto_12455 ?auto_12456 ) ( IN-CITY ?auto_12449 ?auto_12456 ) ( DIFFERENT ?auto_12449 ?auto_12455 ) ( LOCATION ?auto_12457 ) ( CITY ?auto_12452 ) ( IN-CITY ?auto_12457 ?auto_12452 ) ( IN-CITY ?auto_12455 ?auto_12452 ) ( DIFFERENT ?auto_12455 ?auto_12457 ) ( AT ?auto_12443 ?auto_12457 ) ( LOCATION ?auto_12460 ) ( CITY ?auto_12459 ) ( AT ?auto_12446 ?auto_12460 ) ( IN-CITY ?auto_12460 ?auto_12459 ) ( IN-CITY ?auto_12457 ?auto_12459 ) ( DIFFERENT ?auto_12457 ?auto_12460 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12446 ?auto_12460 ?auto_12457 ?auto_12459 )
      ( DELIVER-PKG ?auto_12443 ?auto_12444 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12462
      ?auto_12463
    )
    :vars
    (
      ?auto_12469
      ?auto_12475
      ?auto_12473
      ?auto_12474
      ?auto_12465
      ?auto_12466
      ?auto_12470
      ?auto_12471
      ?auto_12472
      ?auto_12468
      ?auto_12477
      ?auto_12476
      ?auto_12479
    )
    :precondition
    ( and ( OBJ ?auto_12462 ) ( LOCATION ?auto_12463 ) ( AIRPLANE ?auto_12469 ) ( AIRPORT ?auto_12475 ) ( AIRPORT ?auto_12463 ) ( DIFFERENT ?auto_12463 ?auto_12475 ) ( AIRPORT ?auto_12473 ) ( DIFFERENT ?auto_12475 ?auto_12473 ) ( LOCATION ?auto_12473 ) ( AIRPORT ?auto_12474 ) ( DIFFERENT ?auto_12473 ?auto_12474 ) ( LOCATION ?auto_12474 ) ( AIRPORT ?auto_12465 ) ( DIFFERENT ?auto_12474 ?auto_12465 ) ( TRUCK ?auto_12466 ) ( LOCATION ?auto_12470 ) ( CITY ?auto_12471 ) ( IN-CITY ?auto_12470 ?auto_12471 ) ( IN-CITY ?auto_12474 ?auto_12471 ) ( DIFFERENT ?auto_12474 ?auto_12470 ) ( LOCATION ?auto_12472 ) ( CITY ?auto_12468 ) ( IN-CITY ?auto_12472 ?auto_12468 ) ( IN-CITY ?auto_12470 ?auto_12468 ) ( DIFFERENT ?auto_12470 ?auto_12472 ) ( AT ?auto_12462 ?auto_12472 ) ( LOCATION ?auto_12477 ) ( CITY ?auto_12476 ) ( AT ?auto_12466 ?auto_12477 ) ( IN-CITY ?auto_12477 ?auto_12476 ) ( IN-CITY ?auto_12472 ?auto_12476 ) ( DIFFERENT ?auto_12472 ?auto_12477 ) ( AIRPORT ?auto_12479 ) ( AT ?auto_12469 ?auto_12479 ) ( DIFFERENT ?auto_12465 ?auto_12479 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12469 ?auto_12479 ?auto_12465 )
      ( DELIVER-PKG ?auto_12462 ?auto_12463 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12859
      ?auto_12860
    )
    :vars
    (
      ?auto_12870
      ?auto_12868
      ?auto_12866
      ?auto_12862
      ?auto_12865
      ?auto_12861
      ?auto_12864
      ?auto_12867
      ?auto_12872
    )
    :precondition
    ( and ( OBJ ?auto_12859 ) ( LOCATION ?auto_12860 ) ( TRUCK ?auto_12870 ) ( LOCATION ?auto_12868 ) ( CITY ?auto_12866 ) ( IN-CITY ?auto_12868 ?auto_12866 ) ( IN-CITY ?auto_12860 ?auto_12866 ) ( DIFFERENT ?auto_12860 ?auto_12868 ) ( LOCATION ?auto_12862 ) ( CITY ?auto_12865 ) ( AT ?auto_12870 ?auto_12862 ) ( IN-CITY ?auto_12862 ?auto_12865 ) ( IN-CITY ?auto_12868 ?auto_12865 ) ( DIFFERENT ?auto_12868 ?auto_12862 ) ( LOCATION ?auto_12861 ) ( AT ?auto_12870 ?auto_12861 ) ( AIRPLANE ?auto_12864 ) ( IN ?auto_12859 ?auto_12864 ) ( AIRPORT ?auto_12867 ) ( AIRPORT ?auto_12861 ) ( DIFFERENT ?auto_12861 ?auto_12867 ) ( AIRPORT ?auto_12872 ) ( AT ?auto_12864 ?auto_12872 ) ( DIFFERENT ?auto_12867 ?auto_12872 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12864 ?auto_12872 ?auto_12867 )
      ( DELIVER-PKG ?auto_12859 ?auto_12860 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12887
      ?auto_12888
    )
    :vars
    (
      ?auto_12892
      ?auto_12891
      ?auto_12889
      ?auto_12898
      ?auto_12894
      ?auto_12897
      ?auto_12893
      ?auto_12890
      ?auto_12895
      ?auto_12901
    )
    :precondition
    ( and ( OBJ ?auto_12887 ) ( LOCATION ?auto_12888 ) ( TRUCK ?auto_12892 ) ( LOCATION ?auto_12891 ) ( CITY ?auto_12889 ) ( IN-CITY ?auto_12891 ?auto_12889 ) ( IN-CITY ?auto_12888 ?auto_12889 ) ( DIFFERENT ?auto_12888 ?auto_12891 ) ( LOCATION ?auto_12898 ) ( CITY ?auto_12894 ) ( AT ?auto_12892 ?auto_12898 ) ( IN-CITY ?auto_12898 ?auto_12894 ) ( IN-CITY ?auto_12891 ?auto_12894 ) ( DIFFERENT ?auto_12891 ?auto_12898 ) ( LOCATION ?auto_12897 ) ( AT ?auto_12892 ?auto_12897 ) ( AIRPLANE ?auto_12893 ) ( IN ?auto_12887 ?auto_12893 ) ( AIRPORT ?auto_12890 ) ( AIRPORT ?auto_12897 ) ( DIFFERENT ?auto_12897 ?auto_12890 ) ( AIRPORT ?auto_12895 ) ( DIFFERENT ?auto_12890 ?auto_12895 ) ( AIRPORT ?auto_12901 ) ( AT ?auto_12893 ?auto_12901 ) ( DIFFERENT ?auto_12895 ?auto_12901 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_12893 ?auto_12901 ?auto_12895 )
      ( DELIVER-PKG ?auto_12887 ?auto_12888 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12917
      ?auto_12918
    )
    :vars
    (
      ?auto_12921
      ?auto_12925
      ?auto_12919
      ?auto_12929
      ?auto_12923
      ?auto_12928
      ?auto_12922
      ?auto_12924
      ?auto_12927
      ?auto_12930
      ?auto_12932
    )
    :precondition
    ( and ( OBJ ?auto_12917 ) ( LOCATION ?auto_12918 ) ( TRUCK ?auto_12921 ) ( LOCATION ?auto_12925 ) ( CITY ?auto_12919 ) ( IN-CITY ?auto_12925 ?auto_12919 ) ( IN-CITY ?auto_12918 ?auto_12919 ) ( DIFFERENT ?auto_12918 ?auto_12925 ) ( LOCATION ?auto_12929 ) ( CITY ?auto_12923 ) ( AT ?auto_12921 ?auto_12929 ) ( IN-CITY ?auto_12929 ?auto_12923 ) ( IN-CITY ?auto_12925 ?auto_12923 ) ( DIFFERENT ?auto_12925 ?auto_12929 ) ( LOCATION ?auto_12928 ) ( AT ?auto_12921 ?auto_12928 ) ( AIRPLANE ?auto_12922 ) ( AIRPORT ?auto_12924 ) ( AIRPORT ?auto_12928 ) ( DIFFERENT ?auto_12928 ?auto_12924 ) ( AIRPORT ?auto_12927 ) ( DIFFERENT ?auto_12924 ?auto_12927 ) ( AIRPORT ?auto_12930 ) ( AT ?auto_12922 ?auto_12930 ) ( DIFFERENT ?auto_12927 ?auto_12930 ) ( LOCATION ?auto_12932 ) ( AT ?auto_12917 ?auto_12932 ) ( AT ?auto_12922 ?auto_12932 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_12917 ?auto_12922 ?auto_12932 )
      ( DELIVER-PKG ?auto_12917 ?auto_12918 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12949
      ?auto_12950
    )
    :vars
    (
      ?auto_12951
      ?auto_12953
      ?auto_12961
      ?auto_12958
      ?auto_12954
      ?auto_12957
      ?auto_12952
      ?auto_12960
      ?auto_12956
      ?auto_12959
      ?auto_12963
      ?auto_12965
    )
    :precondition
    ( and ( OBJ ?auto_12949 ) ( LOCATION ?auto_12950 ) ( TRUCK ?auto_12951 ) ( LOCATION ?auto_12953 ) ( CITY ?auto_12961 ) ( IN-CITY ?auto_12953 ?auto_12961 ) ( IN-CITY ?auto_12950 ?auto_12961 ) ( DIFFERENT ?auto_12950 ?auto_12953 ) ( LOCATION ?auto_12958 ) ( CITY ?auto_12954 ) ( AT ?auto_12951 ?auto_12958 ) ( IN-CITY ?auto_12958 ?auto_12954 ) ( IN-CITY ?auto_12953 ?auto_12954 ) ( DIFFERENT ?auto_12953 ?auto_12958 ) ( LOCATION ?auto_12957 ) ( AT ?auto_12951 ?auto_12957 ) ( AIRPLANE ?auto_12952 ) ( AIRPORT ?auto_12960 ) ( AIRPORT ?auto_12957 ) ( DIFFERENT ?auto_12957 ?auto_12960 ) ( AIRPORT ?auto_12956 ) ( DIFFERENT ?auto_12960 ?auto_12956 ) ( AIRPORT ?auto_12959 ) ( AT ?auto_12952 ?auto_12959 ) ( DIFFERENT ?auto_12956 ?auto_12959 ) ( LOCATION ?auto_12963 ) ( AT ?auto_12952 ?auto_12963 ) ( TRUCK ?auto_12965 ) ( AT ?auto_12965 ?auto_12963 ) ( IN ?auto_12949 ?auto_12965 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_12949 ?auto_12963 )
      ( DELIVER-PKG ?auto_12949 ?auto_12950 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_12983
      ?auto_12984
    )
    :vars
    (
      ?auto_12986
      ?auto_12988
      ?auto_12995
      ?auto_12991
      ?auto_12989
      ?auto_12990
      ?auto_12987
      ?auto_12994
      ?auto_12993
      ?auto_12992
      ?auto_12996
      ?auto_12985
      ?auto_13001
      ?auto_13000
    )
    :precondition
    ( and ( OBJ ?auto_12983 ) ( LOCATION ?auto_12984 ) ( TRUCK ?auto_12986 ) ( LOCATION ?auto_12988 ) ( CITY ?auto_12995 ) ( IN-CITY ?auto_12988 ?auto_12995 ) ( IN-CITY ?auto_12984 ?auto_12995 ) ( DIFFERENT ?auto_12984 ?auto_12988 ) ( LOCATION ?auto_12991 ) ( CITY ?auto_12989 ) ( AT ?auto_12986 ?auto_12991 ) ( IN-CITY ?auto_12991 ?auto_12989 ) ( IN-CITY ?auto_12988 ?auto_12989 ) ( DIFFERENT ?auto_12988 ?auto_12991 ) ( LOCATION ?auto_12990 ) ( AT ?auto_12986 ?auto_12990 ) ( AIRPLANE ?auto_12987 ) ( AIRPORT ?auto_12994 ) ( AIRPORT ?auto_12990 ) ( DIFFERENT ?auto_12990 ?auto_12994 ) ( AIRPORT ?auto_12993 ) ( DIFFERENT ?auto_12994 ?auto_12993 ) ( AIRPORT ?auto_12992 ) ( AT ?auto_12987 ?auto_12992 ) ( DIFFERENT ?auto_12993 ?auto_12992 ) ( LOCATION ?auto_12996 ) ( AT ?auto_12987 ?auto_12996 ) ( TRUCK ?auto_12985 ) ( IN ?auto_12983 ?auto_12985 ) ( LOCATION ?auto_13001 ) ( CITY ?auto_13000 ) ( AT ?auto_12985 ?auto_13001 ) ( IN-CITY ?auto_13001 ?auto_13000 ) ( IN-CITY ?auto_12996 ?auto_13000 ) ( DIFFERENT ?auto_12996 ?auto_13001 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_12985 ?auto_13001 ?auto_12996 ?auto_13000 )
      ( DELIVER-PKG ?auto_12983 ?auto_12984 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13021
      ?auto_13022
    )
    :vars
    (
      ?auto_13024
      ?auto_13025
      ?auto_13032
      ?auto_13028
      ?auto_13026
      ?auto_13027
      ?auto_13035
      ?auto_13031
      ?auto_13030
      ?auto_13029
      ?auto_13033
      ?auto_13023
      ?auto_13038
      ?auto_13034
      ?auto_13040
    )
    :precondition
    ( and ( OBJ ?auto_13021 ) ( LOCATION ?auto_13022 ) ( TRUCK ?auto_13024 ) ( LOCATION ?auto_13025 ) ( CITY ?auto_13032 ) ( IN-CITY ?auto_13025 ?auto_13032 ) ( IN-CITY ?auto_13022 ?auto_13032 ) ( DIFFERENT ?auto_13022 ?auto_13025 ) ( LOCATION ?auto_13028 ) ( CITY ?auto_13026 ) ( AT ?auto_13024 ?auto_13028 ) ( IN-CITY ?auto_13028 ?auto_13026 ) ( IN-CITY ?auto_13025 ?auto_13026 ) ( DIFFERENT ?auto_13025 ?auto_13028 ) ( LOCATION ?auto_13027 ) ( AT ?auto_13024 ?auto_13027 ) ( AIRPLANE ?auto_13035 ) ( AIRPORT ?auto_13031 ) ( AIRPORT ?auto_13027 ) ( DIFFERENT ?auto_13027 ?auto_13031 ) ( AIRPORT ?auto_13030 ) ( DIFFERENT ?auto_13031 ?auto_13030 ) ( AIRPORT ?auto_13029 ) ( AT ?auto_13035 ?auto_13029 ) ( DIFFERENT ?auto_13030 ?auto_13029 ) ( LOCATION ?auto_13033 ) ( AT ?auto_13035 ?auto_13033 ) ( TRUCK ?auto_13023 ) ( LOCATION ?auto_13038 ) ( CITY ?auto_13034 ) ( AT ?auto_13023 ?auto_13038 ) ( IN-CITY ?auto_13038 ?auto_13034 ) ( IN-CITY ?auto_13033 ?auto_13034 ) ( DIFFERENT ?auto_13033 ?auto_13038 ) ( LOCATION ?auto_13040 ) ( AT ?auto_13023 ?auto_13040 ) ( AT ?auto_13021 ?auto_13040 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13021 ?auto_13023 ?auto_13040 )
      ( DELIVER-PKG ?auto_13021 ?auto_13022 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13042
      ?auto_13043
    )
    :vars
    (
      ?auto_13044
      ?auto_13046
      ?auto_13051
      ?auto_13045
      ?auto_13057
      ?auto_13054
      ?auto_13050
      ?auto_13049
      ?auto_13048
      ?auto_13052
      ?auto_13059
      ?auto_13055
      ?auto_13053
      ?auto_13058
      ?auto_13063
      ?auto_13062
    )
    :precondition
    ( and ( OBJ ?auto_13042 ) ( LOCATION ?auto_13043 ) ( TRUCK ?auto_13044 ) ( LOCATION ?auto_13046 ) ( CITY ?auto_13051 ) ( IN-CITY ?auto_13046 ?auto_13051 ) ( IN-CITY ?auto_13043 ?auto_13051 ) ( DIFFERENT ?auto_13043 ?auto_13046 ) ( LOCATION ?auto_13045 ) ( CITY ?auto_13057 ) ( IN-CITY ?auto_13045 ?auto_13057 ) ( IN-CITY ?auto_13046 ?auto_13057 ) ( DIFFERENT ?auto_13046 ?auto_13045 ) ( AIRPLANE ?auto_13054 ) ( AIRPORT ?auto_13050 ) ( AIRPORT ?auto_13045 ) ( DIFFERENT ?auto_13045 ?auto_13050 ) ( AIRPORT ?auto_13049 ) ( DIFFERENT ?auto_13050 ?auto_13049 ) ( AIRPORT ?auto_13048 ) ( AT ?auto_13054 ?auto_13048 ) ( DIFFERENT ?auto_13049 ?auto_13048 ) ( LOCATION ?auto_13052 ) ( AT ?auto_13054 ?auto_13052 ) ( TRUCK ?auto_13059 ) ( LOCATION ?auto_13055 ) ( CITY ?auto_13053 ) ( AT ?auto_13059 ?auto_13055 ) ( IN-CITY ?auto_13055 ?auto_13053 ) ( IN-CITY ?auto_13052 ?auto_13053 ) ( DIFFERENT ?auto_13052 ?auto_13055 ) ( LOCATION ?auto_13058 ) ( AT ?auto_13059 ?auto_13058 ) ( AT ?auto_13042 ?auto_13058 ) ( LOCATION ?auto_13063 ) ( CITY ?auto_13062 ) ( AT ?auto_13044 ?auto_13063 ) ( IN-CITY ?auto_13063 ?auto_13062 ) ( IN-CITY ?auto_13045 ?auto_13062 ) ( DIFFERENT ?auto_13045 ?auto_13063 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13044 ?auto_13063 ?auto_13045 ?auto_13062 )
      ( DELIVER-PKG ?auto_13042 ?auto_13043 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13085
      ?auto_13086
    )
    :vars
    (
      ?auto_13096
      ?auto_13102
      ?auto_13090
      ?auto_13103
      ?auto_13101
      ?auto_13097
      ?auto_13099
      ?auto_13088
      ?auto_13089
      ?auto_13092
      ?auto_13094
      ?auto_13095
      ?auto_13091
      ?auto_13098
      ?auto_13093
      ?auto_13106
    )
    :precondition
    ( and ( OBJ ?auto_13085 ) ( LOCATION ?auto_13086 ) ( TRUCK ?auto_13096 ) ( LOCATION ?auto_13102 ) ( CITY ?auto_13090 ) ( IN-CITY ?auto_13102 ?auto_13090 ) ( IN-CITY ?auto_13086 ?auto_13090 ) ( DIFFERENT ?auto_13086 ?auto_13102 ) ( LOCATION ?auto_13103 ) ( CITY ?auto_13101 ) ( IN-CITY ?auto_13103 ?auto_13101 ) ( IN-CITY ?auto_13102 ?auto_13101 ) ( DIFFERENT ?auto_13102 ?auto_13103 ) ( AIRPLANE ?auto_13097 ) ( AIRPORT ?auto_13099 ) ( AIRPORT ?auto_13103 ) ( DIFFERENT ?auto_13103 ?auto_13099 ) ( AIRPORT ?auto_13088 ) ( DIFFERENT ?auto_13099 ?auto_13088 ) ( AIRPORT ?auto_13089 ) ( DIFFERENT ?auto_13088 ?auto_13089 ) ( LOCATION ?auto_13089 ) ( TRUCK ?auto_13092 ) ( LOCATION ?auto_13094 ) ( CITY ?auto_13095 ) ( AT ?auto_13092 ?auto_13094 ) ( IN-CITY ?auto_13094 ?auto_13095 ) ( IN-CITY ?auto_13089 ?auto_13095 ) ( DIFFERENT ?auto_13089 ?auto_13094 ) ( LOCATION ?auto_13091 ) ( AT ?auto_13092 ?auto_13091 ) ( AT ?auto_13085 ?auto_13091 ) ( LOCATION ?auto_13098 ) ( CITY ?auto_13093 ) ( AT ?auto_13096 ?auto_13098 ) ( IN-CITY ?auto_13098 ?auto_13093 ) ( IN-CITY ?auto_13103 ?auto_13093 ) ( DIFFERENT ?auto_13103 ?auto_13098 ) ( AIRPORT ?auto_13106 ) ( AT ?auto_13097 ?auto_13106 ) ( DIFFERENT ?auto_13089 ?auto_13106 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13097 ?auto_13106 ?auto_13089 )
      ( DELIVER-PKG ?auto_13085 ?auto_13086 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13108
      ?auto_13109
    )
    :vars
    (
      ?auto_13112
      ?auto_13117
      ?auto_13110
      ?auto_13118
      ?auto_13116
      ?auto_13113
      ?auto_13115
      ?auto_13126
      ?auto_13120
      ?auto_13124
      ?auto_13121
      ?auto_13111
      ?auto_13114
      ?auto_13125
      ?auto_13119
      ?auto_13130
      ?auto_13129
    )
    :precondition
    ( and ( OBJ ?auto_13108 ) ( LOCATION ?auto_13109 ) ( TRUCK ?auto_13112 ) ( LOCATION ?auto_13117 ) ( CITY ?auto_13110 ) ( IN-CITY ?auto_13117 ?auto_13110 ) ( IN-CITY ?auto_13109 ?auto_13110 ) ( DIFFERENT ?auto_13109 ?auto_13117 ) ( LOCATION ?auto_13118 ) ( CITY ?auto_13116 ) ( IN-CITY ?auto_13118 ?auto_13116 ) ( IN-CITY ?auto_13117 ?auto_13116 ) ( DIFFERENT ?auto_13117 ?auto_13118 ) ( AIRPLANE ?auto_13113 ) ( AIRPORT ?auto_13115 ) ( AIRPORT ?auto_13118 ) ( DIFFERENT ?auto_13118 ?auto_13115 ) ( AIRPORT ?auto_13126 ) ( DIFFERENT ?auto_13115 ?auto_13126 ) ( AIRPORT ?auto_13120 ) ( DIFFERENT ?auto_13126 ?auto_13120 ) ( LOCATION ?auto_13120 ) ( TRUCK ?auto_13124 ) ( LOCATION ?auto_13121 ) ( CITY ?auto_13111 ) ( IN-CITY ?auto_13121 ?auto_13111 ) ( IN-CITY ?auto_13120 ?auto_13111 ) ( DIFFERENT ?auto_13120 ?auto_13121 ) ( AT ?auto_13108 ?auto_13121 ) ( LOCATION ?auto_13114 ) ( CITY ?auto_13125 ) ( AT ?auto_13112 ?auto_13114 ) ( IN-CITY ?auto_13114 ?auto_13125 ) ( IN-CITY ?auto_13118 ?auto_13125 ) ( DIFFERENT ?auto_13118 ?auto_13114 ) ( AIRPORT ?auto_13119 ) ( AT ?auto_13113 ?auto_13119 ) ( DIFFERENT ?auto_13120 ?auto_13119 ) ( LOCATION ?auto_13130 ) ( CITY ?auto_13129 ) ( AT ?auto_13124 ?auto_13130 ) ( IN-CITY ?auto_13130 ?auto_13129 ) ( IN-CITY ?auto_13121 ?auto_13129 ) ( DIFFERENT ?auto_13121 ?auto_13130 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13124 ?auto_13130 ?auto_13121 ?auto_13129 )
      ( DELIVER-PKG ?auto_13108 ?auto_13109 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13389
      ?auto_13390
    )
    :vars
    (
      ?auto_13392
      ?auto_13394
      ?auto_13393
      ?auto_13398
      ?auto_13395
      ?auto_13397
      ?auto_13400
    )
    :precondition
    ( and ( OBJ ?auto_13389 ) ( LOCATION ?auto_13390 ) ( TRUCK ?auto_13392 ) ( LOCATION ?auto_13394 ) ( CITY ?auto_13393 ) ( AT ?auto_13392 ?auto_13394 ) ( IN-CITY ?auto_13394 ?auto_13393 ) ( IN-CITY ?auto_13390 ?auto_13393 ) ( DIFFERENT ?auto_13390 ?auto_13394 ) ( LOCATION ?auto_13398 ) ( AT ?auto_13392 ?auto_13398 ) ( AIRPLANE ?auto_13395 ) ( IN ?auto_13389 ?auto_13395 ) ( AIRPORT ?auto_13397 ) ( AIRPORT ?auto_13398 ) ( DIFFERENT ?auto_13398 ?auto_13397 ) ( AIRPORT ?auto_13400 ) ( AT ?auto_13395 ?auto_13400 ) ( DIFFERENT ?auto_13397 ?auto_13400 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13395 ?auto_13400 ?auto_13397 )
      ( DELIVER-PKG ?auto_13389 ?auto_13390 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13402
      ?auto_13403
    )
    :vars
    (
      ?auto_13406
      ?auto_13408
      ?auto_13407
      ?auto_13412
      ?auto_13410
      ?auto_13411
      ?auto_13409
      ?auto_13414
    )
    :precondition
    ( and ( OBJ ?auto_13402 ) ( LOCATION ?auto_13403 ) ( TRUCK ?auto_13406 ) ( LOCATION ?auto_13408 ) ( CITY ?auto_13407 ) ( AT ?auto_13406 ?auto_13408 ) ( IN-CITY ?auto_13408 ?auto_13407 ) ( IN-CITY ?auto_13403 ?auto_13407 ) ( DIFFERENT ?auto_13403 ?auto_13408 ) ( LOCATION ?auto_13412 ) ( AT ?auto_13406 ?auto_13412 ) ( AIRPLANE ?auto_13410 ) ( AIRPORT ?auto_13411 ) ( AIRPORT ?auto_13412 ) ( DIFFERENT ?auto_13412 ?auto_13411 ) ( AIRPORT ?auto_13409 ) ( AT ?auto_13410 ?auto_13409 ) ( DIFFERENT ?auto_13411 ?auto_13409 ) ( LOCATION ?auto_13414 ) ( AT ?auto_13402 ?auto_13414 ) ( AT ?auto_13410 ?auto_13414 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_13402 ?auto_13410 ?auto_13414 )
      ( DELIVER-PKG ?auto_13402 ?auto_13403 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13416
      ?auto_13417
    )
    :vars
    (
      ?auto_13426
      ?auto_13424
      ?auto_13427
      ?auto_13422
      ?auto_13418
      ?auto_13421
      ?auto_13419
      ?auto_13420
      ?auto_13430
    )
    :precondition
    ( and ( OBJ ?auto_13416 ) ( LOCATION ?auto_13417 ) ( TRUCK ?auto_13426 ) ( LOCATION ?auto_13424 ) ( CITY ?auto_13427 ) ( AT ?auto_13426 ?auto_13424 ) ( IN-CITY ?auto_13424 ?auto_13427 ) ( IN-CITY ?auto_13417 ?auto_13427 ) ( DIFFERENT ?auto_13417 ?auto_13424 ) ( LOCATION ?auto_13422 ) ( AT ?auto_13426 ?auto_13422 ) ( AIRPLANE ?auto_13418 ) ( AIRPORT ?auto_13421 ) ( AIRPORT ?auto_13422 ) ( DIFFERENT ?auto_13422 ?auto_13421 ) ( AIRPORT ?auto_13419 ) ( AT ?auto_13418 ?auto_13419 ) ( DIFFERENT ?auto_13421 ?auto_13419 ) ( LOCATION ?auto_13420 ) ( AT ?auto_13418 ?auto_13420 ) ( AIRPLANE ?auto_13430 ) ( IN ?auto_13416 ?auto_13430 ) ( AT ?auto_13430 ?auto_13420 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13416 ?auto_13420 )
      ( DELIVER-PKG ?auto_13416 ?auto_13417 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13431
      ?auto_13432
    )
    :vars
    (
      ?auto_13436
      ?auto_13443
      ?auto_13439
      ?auto_13442
      ?auto_13437
      ?auto_13440
      ?auto_13441
      ?auto_13445
    )
    :precondition
    ( and ( OBJ ?auto_13431 ) ( LOCATION ?auto_13432 ) ( TRUCK ?auto_13436 ) ( LOCATION ?auto_13443 ) ( CITY ?auto_13439 ) ( AT ?auto_13436 ?auto_13443 ) ( IN-CITY ?auto_13443 ?auto_13439 ) ( IN-CITY ?auto_13432 ?auto_13439 ) ( DIFFERENT ?auto_13432 ?auto_13443 ) ( LOCATION ?auto_13442 ) ( AT ?auto_13436 ?auto_13442 ) ( AIRPLANE ?auto_13437 ) ( AIRPORT ?auto_13440 ) ( AIRPORT ?auto_13442 ) ( DIFFERENT ?auto_13442 ?auto_13440 ) ( AIRPORT ?auto_13441 ) ( DIFFERENT ?auto_13440 ?auto_13441 ) ( LOCATION ?auto_13441 ) ( IN ?auto_13431 ?auto_13437 ) ( AIRPORT ?auto_13445 ) ( AT ?auto_13437 ?auto_13445 ) ( DIFFERENT ?auto_13441 ?auto_13445 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13437 ?auto_13445 ?auto_13441 )
      ( DELIVER-PKG ?auto_13431 ?auto_13432 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13447
      ?auto_13448
    )
    :vars
    (
      ?auto_13458
      ?auto_13450
      ?auto_13457
      ?auto_13456
      ?auto_13452
      ?auto_13454
      ?auto_13453
      ?auto_13455
      ?auto_13460
    )
    :precondition
    ( and ( OBJ ?auto_13447 ) ( LOCATION ?auto_13448 ) ( TRUCK ?auto_13458 ) ( LOCATION ?auto_13450 ) ( CITY ?auto_13457 ) ( AT ?auto_13458 ?auto_13450 ) ( IN-CITY ?auto_13450 ?auto_13457 ) ( IN-CITY ?auto_13448 ?auto_13457 ) ( DIFFERENT ?auto_13448 ?auto_13450 ) ( LOCATION ?auto_13456 ) ( AT ?auto_13458 ?auto_13456 ) ( AIRPLANE ?auto_13452 ) ( AIRPORT ?auto_13454 ) ( AIRPORT ?auto_13456 ) ( DIFFERENT ?auto_13456 ?auto_13454 ) ( AIRPORT ?auto_13453 ) ( DIFFERENT ?auto_13454 ?auto_13453 ) ( LOCATION ?auto_13453 ) ( AIRPORT ?auto_13455 ) ( AT ?auto_13452 ?auto_13455 ) ( DIFFERENT ?auto_13453 ?auto_13455 ) ( LOCATION ?auto_13460 ) ( AT ?auto_13447 ?auto_13460 ) ( AT ?auto_13452 ?auto_13460 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_13447 ?auto_13452 ?auto_13460 )
      ( DELIVER-PKG ?auto_13447 ?auto_13448 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13462
      ?auto_13463
    )
    :vars
    (
      ?auto_13467
      ?auto_13466
      ?auto_13465
      ?auto_13469
      ?auto_13472
      ?auto_13470
      ?auto_13473
      ?auto_13468
      ?auto_13476
    )
    :precondition
    ( and ( OBJ ?auto_13462 ) ( LOCATION ?auto_13463 ) ( TRUCK ?auto_13467 ) ( LOCATION ?auto_13466 ) ( CITY ?auto_13465 ) ( AT ?auto_13467 ?auto_13466 ) ( IN-CITY ?auto_13466 ?auto_13465 ) ( IN-CITY ?auto_13463 ?auto_13465 ) ( DIFFERENT ?auto_13463 ?auto_13466 ) ( LOCATION ?auto_13469 ) ( AT ?auto_13467 ?auto_13469 ) ( AIRPLANE ?auto_13472 ) ( AIRPORT ?auto_13470 ) ( AIRPORT ?auto_13469 ) ( DIFFERENT ?auto_13469 ?auto_13470 ) ( AIRPORT ?auto_13473 ) ( DIFFERENT ?auto_13470 ?auto_13473 ) ( LOCATION ?auto_13473 ) ( AIRPORT ?auto_13468 ) ( DIFFERENT ?auto_13473 ?auto_13468 ) ( LOCATION ?auto_13468 ) ( AT ?auto_13462 ?auto_13468 ) ( AIRPORT ?auto_13476 ) ( AT ?auto_13472 ?auto_13476 ) ( DIFFERENT ?auto_13468 ?auto_13476 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13472 ?auto_13476 ?auto_13468 )
      ( DELIVER-PKG ?auto_13462 ?auto_13463 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13478
      ?auto_13479
    )
    :vars
    (
      ?auto_13490
      ?auto_13489
      ?auto_13488
      ?auto_13481
      ?auto_13480
      ?auto_13482
      ?auto_13487
      ?auto_13485
      ?auto_13486
      ?auto_13493
    )
    :precondition
    ( and ( OBJ ?auto_13478 ) ( LOCATION ?auto_13479 ) ( TRUCK ?auto_13490 ) ( LOCATION ?auto_13489 ) ( CITY ?auto_13488 ) ( AT ?auto_13490 ?auto_13489 ) ( IN-CITY ?auto_13489 ?auto_13488 ) ( IN-CITY ?auto_13479 ?auto_13488 ) ( DIFFERENT ?auto_13479 ?auto_13489 ) ( LOCATION ?auto_13481 ) ( AT ?auto_13490 ?auto_13481 ) ( AIRPLANE ?auto_13480 ) ( AIRPORT ?auto_13482 ) ( AIRPORT ?auto_13481 ) ( DIFFERENT ?auto_13481 ?auto_13482 ) ( AIRPORT ?auto_13487 ) ( DIFFERENT ?auto_13482 ?auto_13487 ) ( LOCATION ?auto_13487 ) ( AIRPORT ?auto_13485 ) ( DIFFERENT ?auto_13487 ?auto_13485 ) ( LOCATION ?auto_13485 ) ( AIRPORT ?auto_13486 ) ( AT ?auto_13480 ?auto_13486 ) ( DIFFERENT ?auto_13485 ?auto_13486 ) ( TRUCK ?auto_13493 ) ( AT ?auto_13493 ?auto_13485 ) ( IN ?auto_13478 ?auto_13493 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_13478 ?auto_13485 )
      ( DELIVER-PKG ?auto_13478 ?auto_13479 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13508
      ?auto_13509
    )
    :vars
    (
      ?auto_13516
      ?auto_13520
      ?auto_13517
      ?auto_13514
      ?auto_13515
      ?auto_13521
      ?auto_13513
      ?auto_13519
      ?auto_13518
      ?auto_13511
      ?auto_13524
      ?auto_13523
    )
    :precondition
    ( and ( OBJ ?auto_13508 ) ( LOCATION ?auto_13509 ) ( TRUCK ?auto_13516 ) ( LOCATION ?auto_13520 ) ( CITY ?auto_13517 ) ( AT ?auto_13516 ?auto_13520 ) ( IN-CITY ?auto_13520 ?auto_13517 ) ( IN-CITY ?auto_13509 ?auto_13517 ) ( DIFFERENT ?auto_13509 ?auto_13520 ) ( LOCATION ?auto_13514 ) ( AT ?auto_13516 ?auto_13514 ) ( AIRPLANE ?auto_13515 ) ( AIRPORT ?auto_13521 ) ( AIRPORT ?auto_13514 ) ( DIFFERENT ?auto_13514 ?auto_13521 ) ( AIRPORT ?auto_13513 ) ( DIFFERENT ?auto_13521 ?auto_13513 ) ( LOCATION ?auto_13513 ) ( AIRPORT ?auto_13519 ) ( DIFFERENT ?auto_13513 ?auto_13519 ) ( LOCATION ?auto_13519 ) ( AIRPORT ?auto_13518 ) ( AT ?auto_13515 ?auto_13518 ) ( DIFFERENT ?auto_13519 ?auto_13518 ) ( TRUCK ?auto_13511 ) ( IN ?auto_13508 ?auto_13511 ) ( LOCATION ?auto_13524 ) ( CITY ?auto_13523 ) ( AT ?auto_13511 ?auto_13524 ) ( IN-CITY ?auto_13524 ?auto_13523 ) ( IN-CITY ?auto_13519 ?auto_13523 ) ( DIFFERENT ?auto_13519 ?auto_13524 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13511 ?auto_13524 ?auto_13519 ?auto_13523 )
      ( DELIVER-PKG ?auto_13508 ?auto_13509 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13542
      ?auto_13543
    )
    :vars
    (
      ?auto_13548
      ?auto_13549
      ?auto_13551
      ?auto_13544
      ?auto_13547
      ?auto_13550
      ?auto_13546
      ?auto_13554
      ?auto_13552
      ?auto_13553
      ?auto_13557
      ?auto_13556
      ?auto_13560
      ?auto_13559
    )
    :precondition
    ( and ( OBJ ?auto_13542 ) ( LOCATION ?auto_13543 ) ( TRUCK ?auto_13548 ) ( LOCATION ?auto_13549 ) ( CITY ?auto_13551 ) ( AT ?auto_13548 ?auto_13549 ) ( IN-CITY ?auto_13549 ?auto_13551 ) ( IN-CITY ?auto_13543 ?auto_13551 ) ( DIFFERENT ?auto_13543 ?auto_13549 ) ( LOCATION ?auto_13544 ) ( AT ?auto_13548 ?auto_13544 ) ( AIRPLANE ?auto_13547 ) ( AIRPORT ?auto_13550 ) ( AIRPORT ?auto_13544 ) ( DIFFERENT ?auto_13544 ?auto_13550 ) ( AIRPORT ?auto_13546 ) ( DIFFERENT ?auto_13550 ?auto_13546 ) ( LOCATION ?auto_13546 ) ( AIRPORT ?auto_13554 ) ( DIFFERENT ?auto_13546 ?auto_13554 ) ( LOCATION ?auto_13554 ) ( AIRPORT ?auto_13552 ) ( AT ?auto_13547 ?auto_13552 ) ( DIFFERENT ?auto_13554 ?auto_13552 ) ( TRUCK ?auto_13553 ) ( IN ?auto_13542 ?auto_13553 ) ( LOCATION ?auto_13557 ) ( CITY ?auto_13556 ) ( IN-CITY ?auto_13557 ?auto_13556 ) ( IN-CITY ?auto_13554 ?auto_13556 ) ( DIFFERENT ?auto_13554 ?auto_13557 ) ( LOCATION ?auto_13560 ) ( CITY ?auto_13559 ) ( AT ?auto_13553 ?auto_13560 ) ( IN-CITY ?auto_13560 ?auto_13559 ) ( IN-CITY ?auto_13557 ?auto_13559 ) ( DIFFERENT ?auto_13557 ?auto_13560 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13553 ?auto_13560 ?auto_13557 ?auto_13559 )
      ( DELIVER-PKG ?auto_13542 ?auto_13543 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13580
      ?auto_13581
    )
    :vars
    (
      ?auto_13582
      ?auto_13585
      ?auto_13590
      ?auto_13586
      ?auto_13592
      ?auto_13589
      ?auto_13594
      ?auto_13584
      ?auto_13591
      ?auto_13583
      ?auto_13588
      ?auto_13587
      ?auto_13597
      ?auto_13596
      ?auto_13599
    )
    :precondition
    ( and ( OBJ ?auto_13580 ) ( LOCATION ?auto_13581 ) ( TRUCK ?auto_13582 ) ( LOCATION ?auto_13585 ) ( CITY ?auto_13590 ) ( AT ?auto_13582 ?auto_13585 ) ( IN-CITY ?auto_13585 ?auto_13590 ) ( IN-CITY ?auto_13581 ?auto_13590 ) ( DIFFERENT ?auto_13581 ?auto_13585 ) ( LOCATION ?auto_13586 ) ( AT ?auto_13582 ?auto_13586 ) ( AIRPLANE ?auto_13592 ) ( AIRPORT ?auto_13589 ) ( AIRPORT ?auto_13586 ) ( DIFFERENT ?auto_13586 ?auto_13589 ) ( AIRPORT ?auto_13594 ) ( DIFFERENT ?auto_13589 ?auto_13594 ) ( LOCATION ?auto_13594 ) ( AIRPORT ?auto_13584 ) ( DIFFERENT ?auto_13594 ?auto_13584 ) ( LOCATION ?auto_13584 ) ( AIRPORT ?auto_13591 ) ( AT ?auto_13592 ?auto_13591 ) ( DIFFERENT ?auto_13584 ?auto_13591 ) ( TRUCK ?auto_13583 ) ( LOCATION ?auto_13588 ) ( CITY ?auto_13587 ) ( IN-CITY ?auto_13588 ?auto_13587 ) ( IN-CITY ?auto_13584 ?auto_13587 ) ( DIFFERENT ?auto_13584 ?auto_13588 ) ( LOCATION ?auto_13597 ) ( CITY ?auto_13596 ) ( AT ?auto_13583 ?auto_13597 ) ( IN-CITY ?auto_13597 ?auto_13596 ) ( IN-CITY ?auto_13588 ?auto_13596 ) ( DIFFERENT ?auto_13588 ?auto_13597 ) ( LOCATION ?auto_13599 ) ( AT ?auto_13583 ?auto_13599 ) ( AT ?auto_13580 ?auto_13599 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_13580 ?auto_13583 ?auto_13599 )
      ( DELIVER-PKG ?auto_13580 ?auto_13581 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13639
      ?auto_13640
    )
    :vars
    (
      ?auto_13646
      ?auto_13641
      ?auto_13651
      ?auto_13642
      ?auto_13653
      ?auto_13650
      ?auto_13654
      ?auto_13647
      ?auto_13652
      ?auto_13644
      ?auto_13649
      ?auto_13643
      ?auto_13648
      ?auto_13655
      ?auto_13660
      ?auto_13659
    )
    :precondition
    ( and ( OBJ ?auto_13639 ) ( LOCATION ?auto_13640 ) ( TRUCK ?auto_13646 ) ( LOCATION ?auto_13641 ) ( CITY ?auto_13651 ) ( AT ?auto_13646 ?auto_13641 ) ( IN-CITY ?auto_13641 ?auto_13651 ) ( IN-CITY ?auto_13640 ?auto_13651 ) ( DIFFERENT ?auto_13640 ?auto_13641 ) ( LOCATION ?auto_13642 ) ( AT ?auto_13646 ?auto_13642 ) ( AIRPLANE ?auto_13653 ) ( AIRPORT ?auto_13650 ) ( AIRPORT ?auto_13642 ) ( DIFFERENT ?auto_13642 ?auto_13650 ) ( AIRPORT ?auto_13654 ) ( DIFFERENT ?auto_13650 ?auto_13654 ) ( LOCATION ?auto_13654 ) ( AIRPORT ?auto_13647 ) ( DIFFERENT ?auto_13654 ?auto_13647 ) ( LOCATION ?auto_13647 ) ( AIRPORT ?auto_13652 ) ( AT ?auto_13653 ?auto_13652 ) ( DIFFERENT ?auto_13647 ?auto_13652 ) ( TRUCK ?auto_13644 ) ( LOCATION ?auto_13649 ) ( CITY ?auto_13643 ) ( IN-CITY ?auto_13649 ?auto_13643 ) ( IN-CITY ?auto_13647 ?auto_13643 ) ( DIFFERENT ?auto_13647 ?auto_13649 ) ( LOCATION ?auto_13648 ) ( CITY ?auto_13655 ) ( IN-CITY ?auto_13648 ?auto_13655 ) ( IN-CITY ?auto_13649 ?auto_13655 ) ( DIFFERENT ?auto_13649 ?auto_13648 ) ( AT ?auto_13639 ?auto_13648 ) ( LOCATION ?auto_13660 ) ( CITY ?auto_13659 ) ( AT ?auto_13644 ?auto_13660 ) ( IN-CITY ?auto_13660 ?auto_13659 ) ( IN-CITY ?auto_13648 ?auto_13659 ) ( DIFFERENT ?auto_13648 ?auto_13660 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13644 ?auto_13660 ?auto_13648 ?auto_13659 )
      ( DELIVER-PKG ?auto_13639 ?auto_13640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13662
      ?auto_13663
    )
    :vars
    (
      ?auto_13677
      ?auto_13668
      ?auto_13674
      ?auto_13669
      ?auto_13676
      ?auto_13673
      ?auto_13666
      ?auto_13678
      ?auto_13675
      ?auto_13671
      ?auto_13680
      ?auto_13670
      ?auto_13679
      ?auto_13667
      ?auto_13681
      ?auto_13672
      ?auto_13683
    )
    :precondition
    ( and ( OBJ ?auto_13662 ) ( LOCATION ?auto_13663 ) ( TRUCK ?auto_13677 ) ( LOCATION ?auto_13668 ) ( CITY ?auto_13674 ) ( AT ?auto_13677 ?auto_13668 ) ( IN-CITY ?auto_13668 ?auto_13674 ) ( IN-CITY ?auto_13663 ?auto_13674 ) ( DIFFERENT ?auto_13663 ?auto_13668 ) ( LOCATION ?auto_13669 ) ( AT ?auto_13677 ?auto_13669 ) ( AIRPLANE ?auto_13676 ) ( AIRPORT ?auto_13673 ) ( AIRPORT ?auto_13669 ) ( DIFFERENT ?auto_13669 ?auto_13673 ) ( AIRPORT ?auto_13666 ) ( DIFFERENT ?auto_13673 ?auto_13666 ) ( LOCATION ?auto_13666 ) ( AIRPORT ?auto_13678 ) ( DIFFERENT ?auto_13666 ?auto_13678 ) ( LOCATION ?auto_13678 ) ( AIRPORT ?auto_13675 ) ( DIFFERENT ?auto_13678 ?auto_13675 ) ( TRUCK ?auto_13671 ) ( LOCATION ?auto_13680 ) ( CITY ?auto_13670 ) ( IN-CITY ?auto_13680 ?auto_13670 ) ( IN-CITY ?auto_13678 ?auto_13670 ) ( DIFFERENT ?auto_13678 ?auto_13680 ) ( LOCATION ?auto_13679 ) ( CITY ?auto_13667 ) ( IN-CITY ?auto_13679 ?auto_13667 ) ( IN-CITY ?auto_13680 ?auto_13667 ) ( DIFFERENT ?auto_13680 ?auto_13679 ) ( AT ?auto_13662 ?auto_13679 ) ( LOCATION ?auto_13681 ) ( CITY ?auto_13672 ) ( AT ?auto_13671 ?auto_13681 ) ( IN-CITY ?auto_13681 ?auto_13672 ) ( IN-CITY ?auto_13679 ?auto_13672 ) ( DIFFERENT ?auto_13679 ?auto_13681 ) ( AIRPORT ?auto_13683 ) ( AT ?auto_13676 ?auto_13683 ) ( DIFFERENT ?auto_13675 ?auto_13683 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_13676 ?auto_13683 ?auto_13675 )
      ( DELIVER-PKG ?auto_13662 ?auto_13663 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14396
      ?auto_14397
    )
    :vars
    (
      ?auto_14405
      ?auto_14399
      ?auto_14398
      ?auto_14402
      ?auto_14400
      ?auto_14403
      ?auto_14409
      ?auto_14408
    )
    :precondition
    ( and ( OBJ ?auto_14396 ) ( LOCATION ?auto_14397 ) ( TRUCK ?auto_14405 ) ( LOCATION ?auto_14399 ) ( CITY ?auto_14398 ) ( IN-CITY ?auto_14399 ?auto_14398 ) ( IN-CITY ?auto_14397 ?auto_14398 ) ( DIFFERENT ?auto_14397 ?auto_14399 ) ( AIRPLANE ?auto_14402 ) ( AIRPORT ?auto_14400 ) ( AIRPORT ?auto_14399 ) ( AT ?auto_14402 ?auto_14400 ) ( DIFFERENT ?auto_14399 ?auto_14400 ) ( LOCATION ?auto_14403 ) ( AT ?auto_14396 ?auto_14403 ) ( AT ?auto_14402 ?auto_14403 ) ( LOCATION ?auto_14409 ) ( CITY ?auto_14408 ) ( AT ?auto_14405 ?auto_14409 ) ( IN-CITY ?auto_14409 ?auto_14408 ) ( IN-CITY ?auto_14399 ?auto_14408 ) ( DIFFERENT ?auto_14399 ?auto_14409 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14405 ?auto_14409 ?auto_14399 ?auto_14408 )
      ( DELIVER-PKG ?auto_14396 ?auto_14397 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14423
      ?auto_14424
    )
    :vars
    (
      ?auto_14430
      ?auto_14433
      ?auto_14432
      ?auto_14431
      ?auto_14429
      ?auto_14427
      ?auto_14428
      ?auto_14436
    )
    :precondition
    ( and ( OBJ ?auto_14423 ) ( LOCATION ?auto_14424 ) ( TRUCK ?auto_14430 ) ( LOCATION ?auto_14433 ) ( CITY ?auto_14432 ) ( IN-CITY ?auto_14433 ?auto_14432 ) ( IN-CITY ?auto_14424 ?auto_14432 ) ( DIFFERENT ?auto_14424 ?auto_14433 ) ( AIRPLANE ?auto_14431 ) ( AIRPORT ?auto_14429 ) ( AIRPORT ?auto_14433 ) ( DIFFERENT ?auto_14433 ?auto_14429 ) ( LOCATION ?auto_14429 ) ( AT ?auto_14423 ?auto_14429 ) ( LOCATION ?auto_14427 ) ( CITY ?auto_14428 ) ( AT ?auto_14430 ?auto_14427 ) ( IN-CITY ?auto_14427 ?auto_14428 ) ( IN-CITY ?auto_14433 ?auto_14428 ) ( DIFFERENT ?auto_14433 ?auto_14427 ) ( AIRPORT ?auto_14436 ) ( AT ?auto_14431 ?auto_14436 ) ( DIFFERENT ?auto_14429 ?auto_14436 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14431 ?auto_14436 ?auto_14429 )
      ( DELIVER-PKG ?auto_14423 ?auto_14424 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14722
      ?auto_14723
    )
    :vars
    (
      ?auto_14730
      ?auto_14728
      ?auto_14727
      ?auto_14729
      ?auto_14731
      ?auto_14732
      ?auto_14735
      ?auto_14734
    )
    :precondition
    ( and ( OBJ ?auto_14722 ) ( LOCATION ?auto_14723 ) ( TRUCK ?auto_14730 ) ( LOCATION ?auto_14728 ) ( CITY ?auto_14727 ) ( IN-CITY ?auto_14728 ?auto_14727 ) ( IN-CITY ?auto_14723 ?auto_14727 ) ( DIFFERENT ?auto_14723 ?auto_14728 ) ( AIRPLANE ?auto_14729 ) ( AIRPORT ?auto_14731 ) ( AIRPORT ?auto_14728 ) ( DIFFERENT ?auto_14728 ?auto_14731 ) ( LOCATION ?auto_14731 ) ( AT ?auto_14722 ?auto_14731 ) ( AIRPORT ?auto_14732 ) ( AT ?auto_14729 ?auto_14732 ) ( DIFFERENT ?auto_14731 ?auto_14732 ) ( LOCATION ?auto_14735 ) ( CITY ?auto_14734 ) ( AT ?auto_14730 ?auto_14735 ) ( IN-CITY ?auto_14735 ?auto_14734 ) ( IN-CITY ?auto_14728 ?auto_14734 ) ( DIFFERENT ?auto_14728 ?auto_14735 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14730 ?auto_14735 ?auto_14728 ?auto_14734 )
      ( DELIVER-PKG ?auto_14722 ?auto_14723 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14761
      ?auto_14762
    )
    :vars
    (
      ?auto_14768
      ?auto_14766
      ?auto_14765
      ?auto_14767
      ?auto_14769
      ?auto_14770
      ?auto_14772
      ?auto_14771
      ?auto_14774
    )
    :precondition
    ( and ( OBJ ?auto_14761 ) ( LOCATION ?auto_14762 ) ( TRUCK ?auto_14768 ) ( LOCATION ?auto_14766 ) ( CITY ?auto_14765 ) ( IN-CITY ?auto_14766 ?auto_14765 ) ( IN-CITY ?auto_14762 ?auto_14765 ) ( DIFFERENT ?auto_14762 ?auto_14766 ) ( AIRPLANE ?auto_14767 ) ( AIRPORT ?auto_14769 ) ( AIRPORT ?auto_14766 ) ( DIFFERENT ?auto_14766 ?auto_14769 ) ( LOCATION ?auto_14769 ) ( AT ?auto_14761 ?auto_14769 ) ( AIRPORT ?auto_14770 ) ( DIFFERENT ?auto_14769 ?auto_14770 ) ( LOCATION ?auto_14772 ) ( CITY ?auto_14771 ) ( AT ?auto_14768 ?auto_14772 ) ( IN-CITY ?auto_14772 ?auto_14771 ) ( IN-CITY ?auto_14766 ?auto_14771 ) ( DIFFERENT ?auto_14766 ?auto_14772 ) ( AIRPORT ?auto_14774 ) ( AT ?auto_14767 ?auto_14774 ) ( DIFFERENT ?auto_14770 ?auto_14774 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14767 ?auto_14774 ?auto_14770 )
      ( DELIVER-PKG ?auto_14761 ?auto_14762 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15004
      ?auto_15005
    )
    :vars
    (
      ?auto_15010
      ?auto_15009
      ?auto_15008
      ?auto_15007
      ?auto_15006
      ?auto_15015
      ?auto_15014
    )
    :precondition
    ( and ( OBJ ?auto_15004 ) ( LOCATION ?auto_15005 ) ( TRUCK ?auto_15010 ) ( LOCATION ?auto_15009 ) ( CITY ?auto_15008 ) ( IN-CITY ?auto_15009 ?auto_15008 ) ( IN-CITY ?auto_15005 ?auto_15008 ) ( DIFFERENT ?auto_15005 ?auto_15009 ) ( AT ?auto_15004 ?auto_15009 ) ( LOCATION ?auto_15007 ) ( CITY ?auto_15006 ) ( IN-CITY ?auto_15007 ?auto_15006 ) ( IN-CITY ?auto_15009 ?auto_15006 ) ( DIFFERENT ?auto_15009 ?auto_15007 ) ( LOCATION ?auto_15015 ) ( CITY ?auto_15014 ) ( AT ?auto_15010 ?auto_15015 ) ( IN-CITY ?auto_15015 ?auto_15014 ) ( IN-CITY ?auto_15007 ?auto_15014 ) ( DIFFERENT ?auto_15007 ?auto_15015 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15010 ?auto_15015 ?auto_15007 ?auto_15014 )
      ( DELIVER-PKG ?auto_15004 ?auto_15005 ) )
  )

)

