( define ( domain logistics-strips )
  ( :requirements :strips :htn )
  ( :action !LOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( AT ?obj ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?truck ) )
  )
  ( :action !LOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( AT ?obj ?loc ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( AT ?obj ?loc ) ) ( IN ?obj ?airplane ) )
  )
  ( :action !UNLOAD-TRUCK
    :parameters
    (
      ?obj
      ?truck
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( TRUCK ?truck ) ( LOCATION ?loc ) ( AT ?truck ?loc ) ( IN ?obj ?truck ) )
    :effect
    ( and ( not ( IN ?obj ?truck ) ) ( AT ?obj ?loc ) )
  )
  ( :action !UNLOAD-AIRPLANE
    :parameters
    (
      ?obj
      ?airplane
      ?loc
    )
    :precondition
    ( and ( OBJ ?obj ) ( AIRPLANE ?airplane ) ( LOCATION ?loc ) ( IN ?obj ?airplane ) ( AT ?airplane ?loc ) )
    :effect
    ( and ( not ( IN ?obj ?airplane ) ) ( AT ?obj ?loc ) )
  )
  ( :action !DRIVE-TRUCK
    :parameters
    (
      ?truck
      ?loc-from
      ?loc-to
      ?city
    )
    :precondition
    ( and ( TRUCK ?truck ) ( LOCATION ?loc-from ) ( LOCATION ?loc-to ) ( CITY ?city ) ( AT ?truck ?loc-from ) ( IN-CITY ?loc-from ?city ) ( IN-CITY ?loc-to ?city ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?truck ?loc-from ) ) ( AT ?truck ?loc-to ) )
  )
  ( :action !FLY-AIRPLANE
    :parameters
    (
      ?airplane
      ?loc-from
      ?loc-to
    )
    :precondition
    ( and ( AIRPLANE ?airplane ) ( AIRPORT ?loc-from ) ( AIRPORT ?loc-to ) ( AT ?airplane ?loc-from ) ( DIFFERENT ?loc-from ?loc-to ) )
    :effect
    ( and ( not ( AT ?airplane ?loc-from ) ) ( AT ?airplane ?loc-to ) )
  )
  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_89
      ?auto_90
    )
    :vars
    (
      ?auto_93
    )
    :precondition
    ( and ( OBJ ?auto_89 ) ( LOCATION ?auto_90 ) ( AIRPLANE ?auto_93 ) ( IN ?auto_89 ?auto_93 ) ( AT ?auto_93 ?auto_90 ) )
    :subtasks
    ( ( UNLOAD-AIRPLANE ?auto_89 ?auto_93 ?auto_90 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_104
      ?auto_105
    )
    :vars
    (
      ?auto_108
      ?auto_110
    )
    :precondition
    ( and ( OBJ ?auto_104 ) ( LOCATION ?auto_105 ) ( AIRPLANE ?auto_108 ) ( IN ?auto_104 ?auto_108 ) ( AIRPORT ?auto_110 ) ( AIRPORT ?auto_105 ) ( AT ?auto_108 ?auto_110 ) ( DIFFERENT ?auto_105 ?auto_110 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_108 ?auto_110 ?auto_105 )
      ( DELIVER-PKG ?auto_104 ?auto_105 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_124
      ?auto_125
    )
    :vars
    (
      ?auto_128
      ?auto_129
      ?auto_131
    )
    :precondition
    ( and ( OBJ ?auto_124 ) ( LOCATION ?auto_125 ) ( AIRPLANE ?auto_128 ) ( AIRPORT ?auto_129 ) ( AIRPORT ?auto_125 ) ( AT ?auto_128 ?auto_129 ) ( DIFFERENT ?auto_125 ?auto_129 ) ( LOCATION ?auto_131 ) ( AT ?auto_124 ?auto_131 ) ( AT ?auto_128 ?auto_131 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_124 ?auto_128 ?auto_131 )
      ( DELIVER-PKG ?auto_124 ?auto_125 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_188
      ?auto_189
    )
    :vars
    (
      ?auto_192
    )
    :precondition
    ( and ( OBJ ?auto_188 ) ( LOCATION ?auto_189 ) ( TRUCK ?auto_192 ) ( AT ?auto_192 ?auto_189 ) ( IN ?auto_188 ?auto_192 ) )
    :subtasks
    ( ( UNLOAD-TRUCK ?auto_188 ?auto_192 ?auto_189 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_203
      ?auto_204
    )
    :vars
    (
      ?auto_206
      ?auto_210
      ?auto_209
    )
    :precondition
    ( and ( OBJ ?auto_203 ) ( LOCATION ?auto_204 ) ( TRUCK ?auto_206 ) ( IN ?auto_203 ?auto_206 ) ( LOCATION ?auto_210 ) ( CITY ?auto_209 ) ( AT ?auto_206 ?auto_210 ) ( IN-CITY ?auto_210 ?auto_209 ) ( IN-CITY ?auto_204 ?auto_209 ) ( DIFFERENT ?auto_204 ?auto_210 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_206 ?auto_210 ?auto_204 ?auto_209 )
      ( DELIVER-PKG ?auto_203 ?auto_204 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_226
      ?auto_227
    )
    :vars
    (
      ?auto_230
      ?auto_232
      ?auto_231
      ?auto_234
    )
    :precondition
    ( and ( OBJ ?auto_226 ) ( LOCATION ?auto_227 ) ( TRUCK ?auto_230 ) ( LOCATION ?auto_232 ) ( CITY ?auto_231 ) ( AT ?auto_230 ?auto_232 ) ( IN-CITY ?auto_232 ?auto_231 ) ( IN-CITY ?auto_227 ?auto_231 ) ( DIFFERENT ?auto_227 ?auto_232 ) ( LOCATION ?auto_234 ) ( AT ?auto_230 ?auto_234 ) ( AT ?auto_226 ?auto_234 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_226 ?auto_230 ?auto_234 )
      ( DELIVER-PKG ?auto_226 ?auto_227 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4526
      ?auto_4527
    )
    :vars
    (
      ?auto_4532
      ?auto_4534
      ?auto_4530
      ?auto_4529
      ?auto_4531
      ?auto_4528
      ?auto_4536
    )
    :precondition
    ( and ( OBJ ?auto_4526 ) ( LOCATION ?auto_4527 ) ( TRUCK ?auto_4532 ) ( LOCATION ?auto_4534 ) ( CITY ?auto_4530 ) ( AT ?auto_4532 ?auto_4534 ) ( IN-CITY ?auto_4534 ?auto_4530 ) ( IN-CITY ?auto_4527 ?auto_4530 ) ( DIFFERENT ?auto_4527 ?auto_4534 ) ( LOCATION ?auto_4529 ) ( AT ?auto_4532 ?auto_4529 ) ( AIRPLANE ?auto_4531 ) ( AT ?auto_4531 ?auto_4529 ) ( LOCATION ?auto_4528 ) ( AT ?auto_4531 ?auto_4528 ) ( AIRPLANE ?auto_4536 ) ( IN ?auto_4526 ?auto_4536 ) ( AT ?auto_4536 ?auto_4528 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4526 ?auto_4528 )
      ( DELIVER-PKG ?auto_4526 ?auto_4527 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_476
      ?auto_477
    )
    :vars
    (
      ?auto_482
      ?auto_480
      ?auto_483
      ?auto_479
      ?auto_484
      ?auto_486
    )
    :precondition
    ( and ( OBJ ?auto_476 ) ( LOCATION ?auto_477 ) ( TRUCK ?auto_482 ) ( LOCATION ?auto_480 ) ( CITY ?auto_483 ) ( AT ?auto_482 ?auto_480 ) ( IN-CITY ?auto_480 ?auto_483 ) ( IN-CITY ?auto_477 ?auto_483 ) ( DIFFERENT ?auto_477 ?auto_480 ) ( LOCATION ?auto_479 ) ( AT ?auto_482 ?auto_479 ) ( AIRPLANE ?auto_484 ) ( IN ?auto_476 ?auto_484 ) ( AIRPORT ?auto_486 ) ( AIRPORT ?auto_479 ) ( AT ?auto_484 ?auto_486 ) ( DIFFERENT ?auto_479 ?auto_486 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_484 ?auto_486 ?auto_479 )
      ( DELIVER-PKG ?auto_476 ?auto_477 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_508
      ?auto_509
    )
    :vars
    (
      ?auto_512
      ?auto_516
      ?auto_513
      ?auto_511
      ?auto_514
      ?auto_517
      ?auto_519
    )
    :precondition
    ( and ( OBJ ?auto_508 ) ( LOCATION ?auto_509 ) ( TRUCK ?auto_512 ) ( LOCATION ?auto_516 ) ( CITY ?auto_513 ) ( AT ?auto_512 ?auto_516 ) ( IN-CITY ?auto_516 ?auto_513 ) ( IN-CITY ?auto_509 ?auto_513 ) ( DIFFERENT ?auto_509 ?auto_516 ) ( LOCATION ?auto_511 ) ( AT ?auto_512 ?auto_511 ) ( AIRPLANE ?auto_514 ) ( AIRPORT ?auto_517 ) ( AIRPORT ?auto_511 ) ( AT ?auto_514 ?auto_517 ) ( DIFFERENT ?auto_511 ?auto_517 ) ( LOCATION ?auto_519 ) ( AT ?auto_508 ?auto_519 ) ( AT ?auto_514 ?auto_519 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_508 ?auto_514 ?auto_519 )
      ( DELIVER-PKG ?auto_508 ?auto_509 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8460
      ?auto_8461
    )
    :vars
    (
      ?auto_8467
      ?auto_8462
      ?auto_8468
      ?auto_8465
      ?auto_8464
      ?auto_8470
    )
    :precondition
    ( and ( OBJ ?auto_8460 ) ( LOCATION ?auto_8461 ) ( AIRPLANE ?auto_8467 ) ( AIRPORT ?auto_8462 ) ( AIRPORT ?auto_8461 ) ( AT ?auto_8467 ?auto_8462 ) ( DIFFERENT ?auto_8461 ?auto_8462 ) ( LOCATION ?auto_8468 ) ( AT ?auto_8467 ?auto_8468 ) ( TRUCK ?auto_8465 ) ( AT ?auto_8465 ?auto_8468 ) ( LOCATION ?auto_8464 ) ( AT ?auto_8465 ?auto_8464 ) ( TRUCK ?auto_8470 ) ( AT ?auto_8470 ?auto_8464 ) ( IN ?auto_8460 ?auto_8470 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8460 ?auto_8464 )
      ( DELIVER-PKG ?auto_8460 ?auto_8461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_594
      ?auto_595
    )
    :vars
    (
      ?auto_598
      ?auto_596
      ?auto_597
      ?auto_599
      ?auto_604
      ?auto_603
    )
    :precondition
    ( and ( OBJ ?auto_594 ) ( LOCATION ?auto_595 ) ( AIRPLANE ?auto_598 ) ( AIRPORT ?auto_596 ) ( AIRPORT ?auto_595 ) ( AT ?auto_598 ?auto_596 ) ( DIFFERENT ?auto_595 ?auto_596 ) ( LOCATION ?auto_597 ) ( AT ?auto_598 ?auto_597 ) ( TRUCK ?auto_599 ) ( IN ?auto_594 ?auto_599 ) ( LOCATION ?auto_604 ) ( CITY ?auto_603 ) ( AT ?auto_599 ?auto_604 ) ( IN-CITY ?auto_604 ?auto_603 ) ( IN-CITY ?auto_597 ?auto_603 ) ( DIFFERENT ?auto_597 ?auto_604 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_599 ?auto_604 ?auto_597 ?auto_603 )
      ( DELIVER-PKG ?auto_594 ?auto_595 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_626
      ?auto_627
    )
    :vars
    (
      ?auto_629
      ?auto_633
      ?auto_628
      ?auto_630
      ?auto_635
      ?auto_634
      ?auto_637
    )
    :precondition
    ( and ( OBJ ?auto_626 ) ( LOCATION ?auto_627 ) ( AIRPLANE ?auto_629 ) ( AIRPORT ?auto_633 ) ( AIRPORT ?auto_627 ) ( AT ?auto_629 ?auto_633 ) ( DIFFERENT ?auto_627 ?auto_633 ) ( LOCATION ?auto_628 ) ( AT ?auto_629 ?auto_628 ) ( TRUCK ?auto_630 ) ( LOCATION ?auto_635 ) ( CITY ?auto_634 ) ( AT ?auto_630 ?auto_635 ) ( IN-CITY ?auto_635 ?auto_634 ) ( IN-CITY ?auto_628 ?auto_634 ) ( DIFFERENT ?auto_628 ?auto_635 ) ( LOCATION ?auto_637 ) ( AT ?auto_630 ?auto_637 ) ( AT ?auto_626 ?auto_637 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_626 ?auto_630 ?auto_637 )
      ( DELIVER-PKG ?auto_626 ?auto_627 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_862
      ?auto_863
    )
    :vars
    (
      ?auto_867
      ?auto_868
      ?auto_865
      ?auto_872
      ?auto_871
    )
    :precondition
    ( and ( OBJ ?auto_862 ) ( LOCATION ?auto_863 ) ( TRUCK ?auto_867 ) ( LOCATION ?auto_868 ) ( CITY ?auto_865 ) ( IN-CITY ?auto_868 ?auto_865 ) ( IN-CITY ?auto_863 ?auto_865 ) ( DIFFERENT ?auto_863 ?auto_868 ) ( AT ?auto_862 ?auto_868 ) ( LOCATION ?auto_872 ) ( CITY ?auto_871 ) ( AT ?auto_867 ?auto_872 ) ( IN-CITY ?auto_872 ?auto_871 ) ( IN-CITY ?auto_868 ?auto_871 ) ( DIFFERENT ?auto_868 ?auto_872 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_867 ?auto_872 ?auto_868 ?auto_871 )
      ( DELIVER-PKG ?auto_862 ?auto_863 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1287
      ?auto_1288
    )
    :vars
    (
      ?auto_1290
      ?auto_1292
      ?auto_1294
    )
    :precondition
    ( and ( OBJ ?auto_1287 ) ( LOCATION ?auto_1288 ) ( AIRPLANE ?auto_1290 ) ( IN ?auto_1287 ?auto_1290 ) ( AIRPORT ?auto_1292 ) ( AIRPORT ?auto_1288 ) ( DIFFERENT ?auto_1288 ?auto_1292 ) ( AIRPORT ?auto_1294 ) ( AT ?auto_1290 ?auto_1294 ) ( DIFFERENT ?auto_1292 ?auto_1294 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1290 ?auto_1294 ?auto_1292 )
      ( DELIVER-PKG ?auto_1287 ?auto_1288 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3310
      ?auto_3311
    )
    :vars
    (
      ?auto_3315
      ?auto_3313
      ?auto_3317
      ?auto_3318
      ?auto_3316
      ?auto_3320
    )
    :precondition
    ( and ( OBJ ?auto_3310 ) ( LOCATION ?auto_3311 ) ( AIRPLANE ?auto_3315 ) ( AIRPORT ?auto_3313 ) ( AIRPORT ?auto_3311 ) ( DIFFERENT ?auto_3311 ?auto_3313 ) ( AIRPORT ?auto_3317 ) ( AT ?auto_3315 ?auto_3317 ) ( DIFFERENT ?auto_3313 ?auto_3317 ) ( LOCATION ?auto_3318 ) ( AT ?auto_3315 ?auto_3318 ) ( AIRPLANE ?auto_3316 ) ( AT ?auto_3316 ?auto_3318 ) ( LOCATION ?auto_3320 ) ( AT ?auto_3310 ?auto_3320 ) ( AT ?auto_3316 ?auto_3320 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_3310 ?auto_3316 ?auto_3320 )
      ( DELIVER-PKG ?auto_3310 ?auto_3311 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3322
      ?auto_3323
    )
    :vars
    (
      ?auto_3330
      ?auto_3327
      ?auto_3328
      ?auto_3325
      ?auto_3324
      ?auto_3326
      ?auto_3334
    )
    :precondition
    ( and ( OBJ ?auto_3322 ) ( LOCATION ?auto_3323 ) ( AIRPLANE ?auto_3330 ) ( AIRPORT ?auto_3327 ) ( AIRPORT ?auto_3323 ) ( DIFFERENT ?auto_3323 ?auto_3327 ) ( AIRPORT ?auto_3328 ) ( AT ?auto_3330 ?auto_3328 ) ( DIFFERENT ?auto_3327 ?auto_3328 ) ( LOCATION ?auto_3325 ) ( AT ?auto_3330 ?auto_3325 ) ( AIRPLANE ?auto_3324 ) ( AT ?auto_3324 ?auto_3325 ) ( LOCATION ?auto_3326 ) ( AT ?auto_3324 ?auto_3326 ) ( TRUCK ?auto_3334 ) ( AT ?auto_3334 ?auto_3326 ) ( IN ?auto_3322 ?auto_3334 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3322 ?auto_3326 )
      ( DELIVER-PKG ?auto_3322 ?auto_3323 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3335
      ?auto_3336
    )
    :vars
    (
      ?auto_3339
      ?auto_3345
      ?auto_3338
      ?auto_3344
      ?auto_3343
      ?auto_3342
      ?auto_3341
      ?auto_3348
      ?auto_3347
    )
    :precondition
    ( and ( OBJ ?auto_3335 ) ( LOCATION ?auto_3336 ) ( AIRPLANE ?auto_3339 ) ( AIRPORT ?auto_3345 ) ( AIRPORT ?auto_3336 ) ( DIFFERENT ?auto_3336 ?auto_3345 ) ( AIRPORT ?auto_3338 ) ( AT ?auto_3339 ?auto_3338 ) ( DIFFERENT ?auto_3345 ?auto_3338 ) ( LOCATION ?auto_3344 ) ( AT ?auto_3339 ?auto_3344 ) ( AIRPLANE ?auto_3343 ) ( AT ?auto_3343 ?auto_3344 ) ( LOCATION ?auto_3342 ) ( AT ?auto_3343 ?auto_3342 ) ( TRUCK ?auto_3341 ) ( IN ?auto_3335 ?auto_3341 ) ( LOCATION ?auto_3348 ) ( CITY ?auto_3347 ) ( AT ?auto_3341 ?auto_3348 ) ( IN-CITY ?auto_3348 ?auto_3347 ) ( IN-CITY ?auto_3342 ?auto_3347 ) ( DIFFERENT ?auto_3342 ?auto_3348 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3341 ?auto_3348 ?auto_3342 ?auto_3347 )
      ( DELIVER-PKG ?auto_3335 ?auto_3336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1341
      ?auto_1342
    )
    :vars
    (
      ?auto_1345
      ?auto_1351
      ?auto_1346
      ?auto_1348
      ?auto_1343
      ?auto_1347
      ?auto_1349
      ?auto_1353
    )
    :precondition
    ( and ( OBJ ?auto_1341 ) ( LOCATION ?auto_1342 ) ( AIRPLANE ?auto_1345 ) ( AIRPORT ?auto_1351 ) ( AIRPORT ?auto_1342 ) ( DIFFERENT ?auto_1342 ?auto_1351 ) ( AIRPORT ?auto_1346 ) ( AT ?auto_1345 ?auto_1346 ) ( DIFFERENT ?auto_1351 ?auto_1346 ) ( LOCATION ?auto_1348 ) ( AT ?auto_1345 ?auto_1348 ) ( TRUCK ?auto_1343 ) ( LOCATION ?auto_1347 ) ( CITY ?auto_1349 ) ( AT ?auto_1343 ?auto_1347 ) ( IN-CITY ?auto_1347 ?auto_1349 ) ( IN-CITY ?auto_1348 ?auto_1349 ) ( DIFFERENT ?auto_1348 ?auto_1347 ) ( LOCATION ?auto_1353 ) ( AT ?auto_1343 ?auto_1353 ) ( AT ?auto_1341 ?auto_1353 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1341 ?auto_1343 ?auto_1353 )
      ( DELIVER-PKG ?auto_1341 ?auto_1342 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1379
      ?auto_1380
    )
    :vars
    (
      ?auto_1385
      ?auto_1388
      ?auto_1382
      ?auto_1384
      ?auto_1381
      ?auto_1390
      ?auto_1386
      ?auto_1393
      ?auto_1392
    )
    :precondition
    ( and ( OBJ ?auto_1379 ) ( LOCATION ?auto_1380 ) ( AIRPLANE ?auto_1385 ) ( AIRPORT ?auto_1388 ) ( AIRPORT ?auto_1380 ) ( DIFFERENT ?auto_1380 ?auto_1388 ) ( AIRPORT ?auto_1382 ) ( AT ?auto_1385 ?auto_1382 ) ( DIFFERENT ?auto_1388 ?auto_1382 ) ( LOCATION ?auto_1384 ) ( AT ?auto_1385 ?auto_1384 ) ( TRUCK ?auto_1381 ) ( LOCATION ?auto_1390 ) ( CITY ?auto_1386 ) ( IN-CITY ?auto_1390 ?auto_1386 ) ( IN-CITY ?auto_1384 ?auto_1386 ) ( DIFFERENT ?auto_1384 ?auto_1390 ) ( AT ?auto_1379 ?auto_1390 ) ( LOCATION ?auto_1393 ) ( CITY ?auto_1392 ) ( AT ?auto_1381 ?auto_1393 ) ( IN-CITY ?auto_1393 ?auto_1392 ) ( IN-CITY ?auto_1390 ?auto_1392 ) ( DIFFERENT ?auto_1390 ?auto_1393 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1381 ?auto_1393 ?auto_1390 ?auto_1392 )
      ( DELIVER-PKG ?auto_1379 ?auto_1380 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1473
      ?auto_1474
    )
    :vars
    (
      ?auto_1480
      ?auto_1482
      ?auto_1479
      ?auto_1475
      ?auto_1483
      ?auto_1481
      ?auto_1485
      ?auto_1484
      ?auto_1487
    )
    :precondition
    ( and ( OBJ ?auto_1473 ) ( LOCATION ?auto_1474 ) ( AIRPLANE ?auto_1480 ) ( AIRPORT ?auto_1482 ) ( AIRPORT ?auto_1474 ) ( DIFFERENT ?auto_1474 ?auto_1482 ) ( AIRPORT ?auto_1479 ) ( DIFFERENT ?auto_1482 ?auto_1479 ) ( LOCATION ?auto_1479 ) ( TRUCK ?auto_1475 ) ( LOCATION ?auto_1483 ) ( CITY ?auto_1481 ) ( IN-CITY ?auto_1483 ?auto_1481 ) ( IN-CITY ?auto_1479 ?auto_1481 ) ( DIFFERENT ?auto_1479 ?auto_1483 ) ( AT ?auto_1473 ?auto_1483 ) ( LOCATION ?auto_1485 ) ( CITY ?auto_1484 ) ( AT ?auto_1475 ?auto_1485 ) ( IN-CITY ?auto_1485 ?auto_1484 ) ( IN-CITY ?auto_1483 ?auto_1484 ) ( DIFFERENT ?auto_1483 ?auto_1485 ) ( AIRPORT ?auto_1487 ) ( AT ?auto_1480 ?auto_1487 ) ( DIFFERENT ?auto_1479 ?auto_1487 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_1480 ?auto_1487 ?auto_1479 )
      ( DELIVER-PKG ?auto_1473 ?auto_1474 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1785
      ?auto_1786
    )
    :vars
    (
      ?auto_1790
      ?auto_1791
      ?auto_1788
      ?auto_1794
      ?auto_1793
    )
    :precondition
    ( and ( OBJ ?auto_1785 ) ( LOCATION ?auto_1786 ) ( TRUCK ?auto_1790 ) ( IN ?auto_1785 ?auto_1790 ) ( LOCATION ?auto_1791 ) ( CITY ?auto_1788 ) ( IN-CITY ?auto_1791 ?auto_1788 ) ( IN-CITY ?auto_1786 ?auto_1788 ) ( DIFFERENT ?auto_1786 ?auto_1791 ) ( LOCATION ?auto_1794 ) ( CITY ?auto_1793 ) ( AT ?auto_1790 ?auto_1794 ) ( IN-CITY ?auto_1794 ?auto_1793 ) ( IN-CITY ?auto_1791 ?auto_1793 ) ( DIFFERENT ?auto_1791 ?auto_1794 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1790 ?auto_1794 ?auto_1791 ?auto_1793 )
      ( DELIVER-PKG ?auto_1785 ?auto_1786 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1805
      ?auto_1806
    )
    :vars
    (
      ?auto_1813
      ?auto_1810
      ?auto_1807
      ?auto_1811
      ?auto_1809
      ?auto_1815
    )
    :precondition
    ( and ( OBJ ?auto_1805 ) ( LOCATION ?auto_1806 ) ( TRUCK ?auto_1813 ) ( LOCATION ?auto_1810 ) ( CITY ?auto_1807 ) ( IN-CITY ?auto_1810 ?auto_1807 ) ( IN-CITY ?auto_1806 ?auto_1807 ) ( DIFFERENT ?auto_1806 ?auto_1810 ) ( LOCATION ?auto_1811 ) ( CITY ?auto_1809 ) ( AT ?auto_1813 ?auto_1811 ) ( IN-CITY ?auto_1811 ?auto_1809 ) ( IN-CITY ?auto_1810 ?auto_1809 ) ( DIFFERENT ?auto_1810 ?auto_1811 ) ( LOCATION ?auto_1815 ) ( AT ?auto_1813 ?auto_1815 ) ( AT ?auto_1805 ?auto_1815 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_1805 ?auto_1813 ?auto_1815 )
      ( DELIVER-PKG ?auto_1805 ?auto_1806 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_1837
      ?auto_1838
    )
    :vars
    (
      ?auto_1839
      ?auto_1844
      ?auto_1843
      ?auto_1846
      ?auto_1845
      ?auto_1849
      ?auto_1848
    )
    :precondition
    ( and ( OBJ ?auto_1837 ) ( LOCATION ?auto_1838 ) ( TRUCK ?auto_1839 ) ( LOCATION ?auto_1844 ) ( CITY ?auto_1843 ) ( IN-CITY ?auto_1844 ?auto_1843 ) ( IN-CITY ?auto_1838 ?auto_1843 ) ( DIFFERENT ?auto_1838 ?auto_1844 ) ( LOCATION ?auto_1846 ) ( CITY ?auto_1845 ) ( IN-CITY ?auto_1846 ?auto_1845 ) ( IN-CITY ?auto_1844 ?auto_1845 ) ( DIFFERENT ?auto_1844 ?auto_1846 ) ( AT ?auto_1837 ?auto_1846 ) ( LOCATION ?auto_1849 ) ( CITY ?auto_1848 ) ( AT ?auto_1839 ?auto_1849 ) ( IN-CITY ?auto_1849 ?auto_1848 ) ( IN-CITY ?auto_1846 ?auto_1848 ) ( DIFFERENT ?auto_1846 ?auto_1849 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_1839 ?auto_1849 ?auto_1846 ?auto_1848 )
      ( DELIVER-PKG ?auto_1837 ?auto_1838 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2416
      ?auto_2417
    )
    :vars
    (
      ?auto_2424
      ?auto_2421
      ?auto_2423
      ?auto_2422
      ?auto_2420
      ?auto_2427
      ?auto_2426
    )
    :precondition
    ( and ( OBJ ?auto_2416 ) ( LOCATION ?auto_2417 ) ( TRUCK ?auto_2424 ) ( IN ?auto_2416 ?auto_2424 ) ( LOCATION ?auto_2421 ) ( CITY ?auto_2423 ) ( IN-CITY ?auto_2421 ?auto_2423 ) ( IN-CITY ?auto_2417 ?auto_2423 ) ( DIFFERENT ?auto_2417 ?auto_2421 ) ( LOCATION ?auto_2422 ) ( CITY ?auto_2420 ) ( IN-CITY ?auto_2422 ?auto_2420 ) ( IN-CITY ?auto_2421 ?auto_2420 ) ( DIFFERENT ?auto_2421 ?auto_2422 ) ( LOCATION ?auto_2427 ) ( CITY ?auto_2426 ) ( AT ?auto_2424 ?auto_2427 ) ( IN-CITY ?auto_2427 ?auto_2426 ) ( IN-CITY ?auto_2422 ?auto_2426 ) ( DIFFERENT ?auto_2422 ?auto_2427 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2424 ?auto_2427 ?auto_2422 ?auto_2426 )
      ( DELIVER-PKG ?auto_2416 ?auto_2417 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2451
      ?auto_2452
    )
    :vars
    (
      ?auto_2456
      ?auto_2457
      ?auto_2460
      ?auto_2454
      ?auto_2461
      ?auto_2455
      ?auto_2459
      ?auto_2464
      ?auto_2463
    )
    :precondition
    ( and ( OBJ ?auto_2451 ) ( LOCATION ?auto_2452 ) ( TRUCK ?auto_2456 ) ( IN ?auto_2451 ?auto_2456 ) ( LOCATION ?auto_2457 ) ( CITY ?auto_2460 ) ( IN-CITY ?auto_2457 ?auto_2460 ) ( IN-CITY ?auto_2452 ?auto_2460 ) ( DIFFERENT ?auto_2452 ?auto_2457 ) ( LOCATION ?auto_2454 ) ( CITY ?auto_2461 ) ( IN-CITY ?auto_2454 ?auto_2461 ) ( IN-CITY ?auto_2457 ?auto_2461 ) ( DIFFERENT ?auto_2457 ?auto_2454 ) ( LOCATION ?auto_2455 ) ( CITY ?auto_2459 ) ( IN-CITY ?auto_2455 ?auto_2459 ) ( IN-CITY ?auto_2454 ?auto_2459 ) ( DIFFERENT ?auto_2454 ?auto_2455 ) ( LOCATION ?auto_2464 ) ( CITY ?auto_2463 ) ( AT ?auto_2456 ?auto_2464 ) ( IN-CITY ?auto_2464 ?auto_2463 ) ( IN-CITY ?auto_2455 ?auto_2463 ) ( DIFFERENT ?auto_2455 ?auto_2464 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2456 ?auto_2464 ?auto_2455 ?auto_2463 )
      ( DELIVER-PKG ?auto_2451 ?auto_2452 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2479
      ?auto_2480
    )
    :vars
    (
      ?auto_2489
      ?auto_2484
      ?auto_2486
      ?auto_2482
      ?auto_2487
      ?auto_2483
      ?auto_2485
      ?auto_2491
      ?auto_2490
      ?auto_2494
      ?auto_2493
    )
    :precondition
    ( and ( OBJ ?auto_2479 ) ( LOCATION ?auto_2480 ) ( TRUCK ?auto_2489 ) ( IN ?auto_2479 ?auto_2489 ) ( LOCATION ?auto_2484 ) ( CITY ?auto_2486 ) ( IN-CITY ?auto_2484 ?auto_2486 ) ( IN-CITY ?auto_2480 ?auto_2486 ) ( DIFFERENT ?auto_2480 ?auto_2484 ) ( LOCATION ?auto_2482 ) ( CITY ?auto_2487 ) ( IN-CITY ?auto_2482 ?auto_2487 ) ( IN-CITY ?auto_2484 ?auto_2487 ) ( DIFFERENT ?auto_2484 ?auto_2482 ) ( LOCATION ?auto_2483 ) ( CITY ?auto_2485 ) ( IN-CITY ?auto_2483 ?auto_2485 ) ( IN-CITY ?auto_2482 ?auto_2485 ) ( DIFFERENT ?auto_2482 ?auto_2483 ) ( LOCATION ?auto_2491 ) ( CITY ?auto_2490 ) ( IN-CITY ?auto_2491 ?auto_2490 ) ( IN-CITY ?auto_2483 ?auto_2490 ) ( DIFFERENT ?auto_2483 ?auto_2491 ) ( LOCATION ?auto_2494 ) ( CITY ?auto_2493 ) ( AT ?auto_2489 ?auto_2494 ) ( IN-CITY ?auto_2494 ?auto_2493 ) ( IN-CITY ?auto_2491 ?auto_2493 ) ( DIFFERENT ?auto_2491 ?auto_2494 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2489 ?auto_2494 ?auto_2491 ?auto_2493 )
      ( DELIVER-PKG ?auto_2479 ?auto_2480 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2526
      ?auto_2527
    )
    :vars
    (
      ?auto_2533
      ?auto_2529
      ?auto_2531
      ?auto_2539
      ?auto_2532
      ?auto_2534
      ?auto_2530
      ?auto_2536
      ?auto_2535
      ?auto_2540
      ?auto_2537
      ?auto_2542
    )
    :precondition
    ( and ( OBJ ?auto_2526 ) ( LOCATION ?auto_2527 ) ( TRUCK ?auto_2533 ) ( LOCATION ?auto_2529 ) ( CITY ?auto_2531 ) ( IN-CITY ?auto_2529 ?auto_2531 ) ( IN-CITY ?auto_2527 ?auto_2531 ) ( DIFFERENT ?auto_2527 ?auto_2529 ) ( LOCATION ?auto_2539 ) ( CITY ?auto_2532 ) ( IN-CITY ?auto_2539 ?auto_2532 ) ( IN-CITY ?auto_2529 ?auto_2532 ) ( DIFFERENT ?auto_2529 ?auto_2539 ) ( LOCATION ?auto_2534 ) ( CITY ?auto_2530 ) ( IN-CITY ?auto_2534 ?auto_2530 ) ( IN-CITY ?auto_2539 ?auto_2530 ) ( DIFFERENT ?auto_2539 ?auto_2534 ) ( LOCATION ?auto_2536 ) ( CITY ?auto_2535 ) ( IN-CITY ?auto_2536 ?auto_2535 ) ( IN-CITY ?auto_2534 ?auto_2535 ) ( DIFFERENT ?auto_2534 ?auto_2536 ) ( LOCATION ?auto_2540 ) ( CITY ?auto_2537 ) ( AT ?auto_2533 ?auto_2540 ) ( IN-CITY ?auto_2540 ?auto_2537 ) ( IN-CITY ?auto_2536 ?auto_2537 ) ( DIFFERENT ?auto_2536 ?auto_2540 ) ( LOCATION ?auto_2542 ) ( AT ?auto_2533 ?auto_2542 ) ( AT ?auto_2526 ?auto_2542 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2526 ?auto_2533 ?auto_2542 )
      ( DELIVER-PKG ?auto_2526 ?auto_2527 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2560
      ?auto_2561
    )
    :vars
    (
      ?auto_2566
      ?auto_2569
      ?auto_2564
      ?auto_2573
      ?auto_2565
      ?auto_2567
      ?auto_2570
      ?auto_2571
      ?auto_2568
      ?auto_2575
      ?auto_2572
      ?auto_2578
      ?auto_2577
    )
    :precondition
    ( and ( OBJ ?auto_2560 ) ( LOCATION ?auto_2561 ) ( TRUCK ?auto_2566 ) ( LOCATION ?auto_2569 ) ( CITY ?auto_2564 ) ( IN-CITY ?auto_2569 ?auto_2564 ) ( IN-CITY ?auto_2561 ?auto_2564 ) ( DIFFERENT ?auto_2561 ?auto_2569 ) ( LOCATION ?auto_2573 ) ( CITY ?auto_2565 ) ( IN-CITY ?auto_2573 ?auto_2565 ) ( IN-CITY ?auto_2569 ?auto_2565 ) ( DIFFERENT ?auto_2569 ?auto_2573 ) ( LOCATION ?auto_2567 ) ( CITY ?auto_2570 ) ( IN-CITY ?auto_2567 ?auto_2570 ) ( IN-CITY ?auto_2573 ?auto_2570 ) ( DIFFERENT ?auto_2573 ?auto_2567 ) ( LOCATION ?auto_2571 ) ( CITY ?auto_2568 ) ( IN-CITY ?auto_2571 ?auto_2568 ) ( IN-CITY ?auto_2567 ?auto_2568 ) ( DIFFERENT ?auto_2567 ?auto_2571 ) ( LOCATION ?auto_2575 ) ( CITY ?auto_2572 ) ( IN-CITY ?auto_2575 ?auto_2572 ) ( IN-CITY ?auto_2571 ?auto_2572 ) ( DIFFERENT ?auto_2571 ?auto_2575 ) ( AT ?auto_2560 ?auto_2575 ) ( LOCATION ?auto_2578 ) ( CITY ?auto_2577 ) ( AT ?auto_2566 ?auto_2578 ) ( IN-CITY ?auto_2578 ?auto_2577 ) ( IN-CITY ?auto_2575 ?auto_2577 ) ( DIFFERENT ?auto_2575 ?auto_2578 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2566 ?auto_2578 ?auto_2575 ?auto_2577 )
      ( DELIVER-PKG ?auto_2560 ?auto_2561 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2587
      ?auto_2588
    )
    :vars
    (
      ?auto_2591
      ?auto_2593
    )
    :precondition
    ( and ( OBJ ?auto_2587 ) ( LOCATION ?auto_2588 ) ( AIRPLANE ?auto_2591 ) ( AT ?auto_2591 ?auto_2588 ) ( LOCATION ?auto_2593 ) ( AT ?auto_2587 ?auto_2593 ) ( AT ?auto_2591 ?auto_2593 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_2587 ?auto_2591 ?auto_2593 )
      ( DELIVER-PKG ?auto_2587 ?auto_2588 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2595
      ?auto_2596
    )
    :vars
    (
      ?auto_2599
      ?auto_2598
      ?auto_2603
    )
    :precondition
    ( and ( OBJ ?auto_2595 ) ( LOCATION ?auto_2596 ) ( AIRPLANE ?auto_2599 ) ( AT ?auto_2599 ?auto_2596 ) ( LOCATION ?auto_2598 ) ( AT ?auto_2599 ?auto_2598 ) ( TRUCK ?auto_2603 ) ( AT ?auto_2603 ?auto_2598 ) ( IN ?auto_2595 ?auto_2603 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_2595 ?auto_2598 )
      ( DELIVER-PKG ?auto_2595 ?auto_2596 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2604
      ?auto_2605
    )
    :vars
    (
      ?auto_2609
      ?auto_2607
      ?auto_2608
      ?auto_2613
      ?auto_2612
    )
    :precondition
    ( and ( OBJ ?auto_2604 ) ( LOCATION ?auto_2605 ) ( AIRPLANE ?auto_2609 ) ( AT ?auto_2609 ?auto_2605 ) ( LOCATION ?auto_2607 ) ( AT ?auto_2609 ?auto_2607 ) ( TRUCK ?auto_2608 ) ( IN ?auto_2604 ?auto_2608 ) ( LOCATION ?auto_2613 ) ( CITY ?auto_2612 ) ( AT ?auto_2608 ?auto_2613 ) ( IN-CITY ?auto_2613 ?auto_2612 ) ( IN-CITY ?auto_2607 ?auto_2612 ) ( DIFFERENT ?auto_2607 ?auto_2613 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2608 ?auto_2613 ?auto_2607 ?auto_2612 )
      ( DELIVER-PKG ?auto_2604 ?auto_2605 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2615
      ?auto_2616
    )
    :vars
    (
      ?auto_2622
      ?auto_2623
      ?auto_2617
      ?auto_2620
      ?auto_2618
      ?auto_2626
      ?auto_2625
    )
    :precondition
    ( and ( OBJ ?auto_2615 ) ( LOCATION ?auto_2616 ) ( AIRPLANE ?auto_2622 ) ( AT ?auto_2622 ?auto_2616 ) ( LOCATION ?auto_2623 ) ( AT ?auto_2622 ?auto_2623 ) ( TRUCK ?auto_2617 ) ( IN ?auto_2615 ?auto_2617 ) ( LOCATION ?auto_2620 ) ( CITY ?auto_2618 ) ( IN-CITY ?auto_2620 ?auto_2618 ) ( IN-CITY ?auto_2623 ?auto_2618 ) ( DIFFERENT ?auto_2623 ?auto_2620 ) ( LOCATION ?auto_2626 ) ( CITY ?auto_2625 ) ( AT ?auto_2617 ?auto_2626 ) ( IN-CITY ?auto_2626 ?auto_2625 ) ( IN-CITY ?auto_2620 ?auto_2625 ) ( DIFFERENT ?auto_2620 ?auto_2626 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2617 ?auto_2626 ?auto_2620 ?auto_2625 )
      ( DELIVER-PKG ?auto_2615 ?auto_2616 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2628
      ?auto_2629
    )
    :vars
    (
      ?auto_2630
      ?auto_2633
      ?auto_2632
      ?auto_2631
      ?auto_2638
      ?auto_2636
      ?auto_2635
      ?auto_2641
      ?auto_2640
    )
    :precondition
    ( and ( OBJ ?auto_2628 ) ( LOCATION ?auto_2629 ) ( AIRPLANE ?auto_2630 ) ( AT ?auto_2630 ?auto_2629 ) ( LOCATION ?auto_2633 ) ( AT ?auto_2630 ?auto_2633 ) ( TRUCK ?auto_2632 ) ( IN ?auto_2628 ?auto_2632 ) ( LOCATION ?auto_2631 ) ( CITY ?auto_2638 ) ( IN-CITY ?auto_2631 ?auto_2638 ) ( IN-CITY ?auto_2633 ?auto_2638 ) ( DIFFERENT ?auto_2633 ?auto_2631 ) ( LOCATION ?auto_2636 ) ( CITY ?auto_2635 ) ( IN-CITY ?auto_2636 ?auto_2635 ) ( IN-CITY ?auto_2631 ?auto_2635 ) ( DIFFERENT ?auto_2631 ?auto_2636 ) ( LOCATION ?auto_2641 ) ( CITY ?auto_2640 ) ( AT ?auto_2632 ?auto_2641 ) ( IN-CITY ?auto_2641 ?auto_2640 ) ( IN-CITY ?auto_2636 ?auto_2640 ) ( DIFFERENT ?auto_2636 ?auto_2641 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2632 ?auto_2641 ?auto_2636 ?auto_2640 )
      ( DELIVER-PKG ?auto_2628 ?auto_2629 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2669
      ?auto_2670
    )
    :vars
    (
      ?auto_2674
      ?auto_2681
      ?auto_2680
      ?auto_2679
      ?auto_2675
      ?auto_2673
      ?auto_2671
      ?auto_2676
      ?auto_2677
      ?auto_2684
      ?auto_2683
    )
    :precondition
    ( and ( OBJ ?auto_2669 ) ( LOCATION ?auto_2670 ) ( AIRPLANE ?auto_2674 ) ( AT ?auto_2674 ?auto_2670 ) ( LOCATION ?auto_2681 ) ( AT ?auto_2674 ?auto_2681 ) ( TRUCK ?auto_2680 ) ( IN ?auto_2669 ?auto_2680 ) ( LOCATION ?auto_2679 ) ( CITY ?auto_2675 ) ( IN-CITY ?auto_2679 ?auto_2675 ) ( IN-CITY ?auto_2681 ?auto_2675 ) ( DIFFERENT ?auto_2681 ?auto_2679 ) ( LOCATION ?auto_2673 ) ( CITY ?auto_2671 ) ( IN-CITY ?auto_2673 ?auto_2671 ) ( IN-CITY ?auto_2679 ?auto_2671 ) ( DIFFERENT ?auto_2679 ?auto_2673 ) ( LOCATION ?auto_2676 ) ( CITY ?auto_2677 ) ( IN-CITY ?auto_2676 ?auto_2677 ) ( IN-CITY ?auto_2673 ?auto_2677 ) ( DIFFERENT ?auto_2673 ?auto_2676 ) ( LOCATION ?auto_2684 ) ( CITY ?auto_2683 ) ( AT ?auto_2680 ?auto_2684 ) ( IN-CITY ?auto_2684 ?auto_2683 ) ( IN-CITY ?auto_2676 ?auto_2683 ) ( DIFFERENT ?auto_2676 ?auto_2684 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2680 ?auto_2684 ?auto_2676 ?auto_2683 )
      ( DELIVER-PKG ?auto_2669 ?auto_2670 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2701
      ?auto_2702
    )
    :vars
    (
      ?auto_2708
      ?auto_2713
      ?auto_2712
      ?auto_2711
      ?auto_2707
      ?auto_2704
      ?auto_2703
      ?auto_2709
      ?auto_2710
      ?auto_2715
      ?auto_2714
      ?auto_2718
      ?auto_2717
    )
    :precondition
    ( and ( OBJ ?auto_2701 ) ( LOCATION ?auto_2702 ) ( AIRPLANE ?auto_2708 ) ( AT ?auto_2708 ?auto_2702 ) ( LOCATION ?auto_2713 ) ( AT ?auto_2708 ?auto_2713 ) ( TRUCK ?auto_2712 ) ( IN ?auto_2701 ?auto_2712 ) ( LOCATION ?auto_2711 ) ( CITY ?auto_2707 ) ( IN-CITY ?auto_2711 ?auto_2707 ) ( IN-CITY ?auto_2713 ?auto_2707 ) ( DIFFERENT ?auto_2713 ?auto_2711 ) ( LOCATION ?auto_2704 ) ( CITY ?auto_2703 ) ( IN-CITY ?auto_2704 ?auto_2703 ) ( IN-CITY ?auto_2711 ?auto_2703 ) ( DIFFERENT ?auto_2711 ?auto_2704 ) ( LOCATION ?auto_2709 ) ( CITY ?auto_2710 ) ( IN-CITY ?auto_2709 ?auto_2710 ) ( IN-CITY ?auto_2704 ?auto_2710 ) ( DIFFERENT ?auto_2704 ?auto_2709 ) ( LOCATION ?auto_2715 ) ( CITY ?auto_2714 ) ( IN-CITY ?auto_2715 ?auto_2714 ) ( IN-CITY ?auto_2709 ?auto_2714 ) ( DIFFERENT ?auto_2709 ?auto_2715 ) ( LOCATION ?auto_2718 ) ( CITY ?auto_2717 ) ( AT ?auto_2712 ?auto_2718 ) ( IN-CITY ?auto_2718 ?auto_2717 ) ( IN-CITY ?auto_2715 ?auto_2717 ) ( DIFFERENT ?auto_2715 ?auto_2718 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2712 ?auto_2718 ?auto_2715 ?auto_2717 )
      ( DELIVER-PKG ?auto_2701 ?auto_2702 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2754
      ?auto_2755
    )
    :vars
    (
      ?auto_2758
      ?auto_2763
      ?auto_2762
      ?auto_2761
      ?auto_2756
      ?auto_2757
      ?auto_2768
      ?auto_2759
      ?auto_2760
      ?auto_2765
      ?auto_2764
      ?auto_2770
      ?auto_2769
      ?auto_2772
    )
    :precondition
    ( and ( OBJ ?auto_2754 ) ( LOCATION ?auto_2755 ) ( AIRPLANE ?auto_2758 ) ( AT ?auto_2758 ?auto_2755 ) ( LOCATION ?auto_2763 ) ( AT ?auto_2758 ?auto_2763 ) ( TRUCK ?auto_2762 ) ( LOCATION ?auto_2761 ) ( CITY ?auto_2756 ) ( IN-CITY ?auto_2761 ?auto_2756 ) ( IN-CITY ?auto_2763 ?auto_2756 ) ( DIFFERENT ?auto_2763 ?auto_2761 ) ( LOCATION ?auto_2757 ) ( CITY ?auto_2768 ) ( IN-CITY ?auto_2757 ?auto_2768 ) ( IN-CITY ?auto_2761 ?auto_2768 ) ( DIFFERENT ?auto_2761 ?auto_2757 ) ( LOCATION ?auto_2759 ) ( CITY ?auto_2760 ) ( IN-CITY ?auto_2759 ?auto_2760 ) ( IN-CITY ?auto_2757 ?auto_2760 ) ( DIFFERENT ?auto_2757 ?auto_2759 ) ( LOCATION ?auto_2765 ) ( CITY ?auto_2764 ) ( IN-CITY ?auto_2765 ?auto_2764 ) ( IN-CITY ?auto_2759 ?auto_2764 ) ( DIFFERENT ?auto_2759 ?auto_2765 ) ( LOCATION ?auto_2770 ) ( CITY ?auto_2769 ) ( AT ?auto_2762 ?auto_2770 ) ( IN-CITY ?auto_2770 ?auto_2769 ) ( IN-CITY ?auto_2765 ?auto_2769 ) ( DIFFERENT ?auto_2765 ?auto_2770 ) ( LOCATION ?auto_2772 ) ( AT ?auto_2762 ?auto_2772 ) ( AT ?auto_2754 ?auto_2772 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_2754 ?auto_2762 ?auto_2772 )
      ( DELIVER-PKG ?auto_2754 ?auto_2755 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_2792
      ?auto_2793
    )
    :vars
    (
      ?auto_2797
      ?auto_2804
      ?auto_2803
      ?auto_2802
      ?auto_2806
      ?auto_2796
      ?auto_2807
      ?auto_2798
      ?auto_2801
      ?auto_2795
      ?auto_2805
      ?auto_2799
      ?auto_2808
      ?auto_2812
      ?auto_2811
    )
    :precondition
    ( and ( OBJ ?auto_2792 ) ( LOCATION ?auto_2793 ) ( AIRPLANE ?auto_2797 ) ( AT ?auto_2797 ?auto_2793 ) ( LOCATION ?auto_2804 ) ( AT ?auto_2797 ?auto_2804 ) ( TRUCK ?auto_2803 ) ( LOCATION ?auto_2802 ) ( CITY ?auto_2806 ) ( IN-CITY ?auto_2802 ?auto_2806 ) ( IN-CITY ?auto_2804 ?auto_2806 ) ( DIFFERENT ?auto_2804 ?auto_2802 ) ( LOCATION ?auto_2796 ) ( CITY ?auto_2807 ) ( IN-CITY ?auto_2796 ?auto_2807 ) ( IN-CITY ?auto_2802 ?auto_2807 ) ( DIFFERENT ?auto_2802 ?auto_2796 ) ( LOCATION ?auto_2798 ) ( CITY ?auto_2801 ) ( IN-CITY ?auto_2798 ?auto_2801 ) ( IN-CITY ?auto_2796 ?auto_2801 ) ( DIFFERENT ?auto_2796 ?auto_2798 ) ( LOCATION ?auto_2795 ) ( CITY ?auto_2805 ) ( IN-CITY ?auto_2795 ?auto_2805 ) ( IN-CITY ?auto_2798 ?auto_2805 ) ( DIFFERENT ?auto_2798 ?auto_2795 ) ( LOCATION ?auto_2799 ) ( CITY ?auto_2808 ) ( IN-CITY ?auto_2799 ?auto_2808 ) ( IN-CITY ?auto_2795 ?auto_2808 ) ( DIFFERENT ?auto_2795 ?auto_2799 ) ( AT ?auto_2792 ?auto_2799 ) ( LOCATION ?auto_2812 ) ( CITY ?auto_2811 ) ( AT ?auto_2803 ?auto_2812 ) ( IN-CITY ?auto_2812 ?auto_2811 ) ( IN-CITY ?auto_2799 ?auto_2811 ) ( DIFFERENT ?auto_2799 ?auto_2812 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_2803 ?auto_2812 ?auto_2799 ?auto_2811 )
      ( DELIVER-PKG ?auto_2792 ?auto_2793 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3086
      ?auto_3087
    )
    :vars
    (
      ?auto_3090
      ?auto_3089
      ?auto_3094
    )
    :precondition
    ( and ( OBJ ?auto_3086 ) ( LOCATION ?auto_3087 ) ( AIRPLANE ?auto_3090 ) ( AIRPORT ?auto_3089 ) ( AIRPORT ?auto_3087 ) ( DIFFERENT ?auto_3087 ?auto_3089 ) ( LOCATION ?auto_3089 ) ( AT ?auto_3086 ?auto_3089 ) ( AIRPORT ?auto_3094 ) ( AT ?auto_3090 ?auto_3094 ) ( DIFFERENT ?auto_3089 ?auto_3094 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_3090 ?auto_3094 ?auto_3089 )
      ( DELIVER-PKG ?auto_3086 ?auto_3087 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3152
      ?auto_3153
    )
    :vars
    (
      ?auto_3157
      ?auto_3155
      ?auto_3156
      ?auto_3161
    )
    :precondition
    ( and ( OBJ ?auto_3152 ) ( LOCATION ?auto_3153 ) ( AIRPLANE ?auto_3157 ) ( AIRPORT ?auto_3155 ) ( AIRPORT ?auto_3153 ) ( DIFFERENT ?auto_3153 ?auto_3155 ) ( LOCATION ?auto_3155 ) ( AIRPORT ?auto_3156 ) ( AT ?auto_3157 ?auto_3156 ) ( DIFFERENT ?auto_3155 ?auto_3156 ) ( TRUCK ?auto_3161 ) ( AT ?auto_3161 ?auto_3155 ) ( IN ?auto_3152 ?auto_3161 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3152 ?auto_3155 )
      ( DELIVER-PKG ?auto_3152 ?auto_3153 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3170
      ?auto_3171
    )
    :vars
    (
      ?auto_3176
      ?auto_3174
      ?auto_3175
      ?auto_3177
      ?auto_3180
      ?auto_3179
    )
    :precondition
    ( and ( OBJ ?auto_3170 ) ( LOCATION ?auto_3171 ) ( AIRPLANE ?auto_3176 ) ( AIRPORT ?auto_3174 ) ( AIRPORT ?auto_3171 ) ( DIFFERENT ?auto_3171 ?auto_3174 ) ( LOCATION ?auto_3174 ) ( AIRPORT ?auto_3175 ) ( AT ?auto_3176 ?auto_3175 ) ( DIFFERENT ?auto_3174 ?auto_3175 ) ( TRUCK ?auto_3177 ) ( IN ?auto_3170 ?auto_3177 ) ( LOCATION ?auto_3180 ) ( CITY ?auto_3179 ) ( AT ?auto_3177 ?auto_3180 ) ( IN-CITY ?auto_3180 ?auto_3179 ) ( IN-CITY ?auto_3174 ?auto_3179 ) ( DIFFERENT ?auto_3174 ?auto_3180 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3177 ?auto_3180 ?auto_3174 ?auto_3179 )
      ( DELIVER-PKG ?auto_3170 ?auto_3171 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3192
      ?auto_3193
    )
    :vars
    (
      ?auto_3198
      ?auto_3194
      ?auto_3197
      ?auto_3195
      ?auto_3201
      ?auto_3200
      ?auto_3203
    )
    :precondition
    ( and ( OBJ ?auto_3192 ) ( LOCATION ?auto_3193 ) ( AIRPLANE ?auto_3198 ) ( AIRPORT ?auto_3194 ) ( AIRPORT ?auto_3193 ) ( DIFFERENT ?auto_3193 ?auto_3194 ) ( LOCATION ?auto_3194 ) ( AIRPORT ?auto_3197 ) ( AT ?auto_3198 ?auto_3197 ) ( DIFFERENT ?auto_3194 ?auto_3197 ) ( TRUCK ?auto_3195 ) ( LOCATION ?auto_3201 ) ( CITY ?auto_3200 ) ( AT ?auto_3195 ?auto_3201 ) ( IN-CITY ?auto_3201 ?auto_3200 ) ( IN-CITY ?auto_3194 ?auto_3200 ) ( DIFFERENT ?auto_3194 ?auto_3201 ) ( LOCATION ?auto_3203 ) ( AT ?auto_3195 ?auto_3203 ) ( AT ?auto_3192 ?auto_3203 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3192 ?auto_3195 ?auto_3203 )
      ( DELIVER-PKG ?auto_3192 ?auto_3193 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3227
      ?auto_3228
    )
    :vars
    (
      ?auto_3233
      ?auto_3236
      ?auto_3229
      ?auto_3232
      ?auto_3230
      ?auto_3234
      ?auto_3240
      ?auto_3239
    )
    :precondition
    ( and ( OBJ ?auto_3227 ) ( LOCATION ?auto_3228 ) ( AIRPLANE ?auto_3233 ) ( AIRPORT ?auto_3236 ) ( AIRPORT ?auto_3228 ) ( DIFFERENT ?auto_3228 ?auto_3236 ) ( LOCATION ?auto_3236 ) ( AIRPORT ?auto_3229 ) ( AT ?auto_3233 ?auto_3229 ) ( DIFFERENT ?auto_3236 ?auto_3229 ) ( TRUCK ?auto_3232 ) ( LOCATION ?auto_3230 ) ( CITY ?auto_3234 ) ( IN-CITY ?auto_3230 ?auto_3234 ) ( IN-CITY ?auto_3236 ?auto_3234 ) ( DIFFERENT ?auto_3236 ?auto_3230 ) ( AT ?auto_3227 ?auto_3230 ) ( LOCATION ?auto_3240 ) ( CITY ?auto_3239 ) ( AT ?auto_3232 ?auto_3240 ) ( IN-CITY ?auto_3240 ?auto_3239 ) ( IN-CITY ?auto_3230 ?auto_3239 ) ( DIFFERENT ?auto_3230 ?auto_3240 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3232 ?auto_3240 ?auto_3230 ?auto_3239 )
      ( DELIVER-PKG ?auto_3227 ?auto_3228 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3299
      ?auto_3300
    )
    :vars
    (
      ?auto_3306
      ?auto_3302
      ?auto_3304
      ?auto_3303
      ?auto_3309
    )
    :precondition
    ( and ( OBJ ?auto_3299 ) ( LOCATION ?auto_3300 ) ( AIRPLANE ?auto_3306 ) ( AIRPORT ?auto_3302 ) ( AIRPORT ?auto_3300 ) ( DIFFERENT ?auto_3300 ?auto_3302 ) ( AIRPORT ?auto_3304 ) ( AT ?auto_3306 ?auto_3304 ) ( DIFFERENT ?auto_3302 ?auto_3304 ) ( LOCATION ?auto_3303 ) ( AT ?auto_3306 ?auto_3303 ) ( AIRPLANE ?auto_3309 ) ( IN ?auto_3299 ?auto_3309 ) ( AT ?auto_3309 ?auto_3303 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3299 ?auto_3303 )
      ( DELIVER-PKG ?auto_3299 ?auto_3300 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3350
      ?auto_3351
    )
    :vars
    (
      ?auto_3361
      ?auto_3360
      ?auto_3362
      ?auto_3353
      ?auto_3355
      ?auto_3352
      ?auto_3359
      ?auto_3357
      ?auto_3356
      ?auto_3365
      ?auto_3364
    )
    :precondition
    ( and ( OBJ ?auto_3350 ) ( LOCATION ?auto_3351 ) ( AIRPLANE ?auto_3361 ) ( AIRPORT ?auto_3360 ) ( AIRPORT ?auto_3351 ) ( DIFFERENT ?auto_3351 ?auto_3360 ) ( AIRPORT ?auto_3362 ) ( AT ?auto_3361 ?auto_3362 ) ( DIFFERENT ?auto_3360 ?auto_3362 ) ( LOCATION ?auto_3353 ) ( AT ?auto_3361 ?auto_3353 ) ( AIRPLANE ?auto_3355 ) ( AT ?auto_3355 ?auto_3353 ) ( LOCATION ?auto_3352 ) ( AT ?auto_3355 ?auto_3352 ) ( TRUCK ?auto_3359 ) ( IN ?auto_3350 ?auto_3359 ) ( LOCATION ?auto_3357 ) ( CITY ?auto_3356 ) ( IN-CITY ?auto_3357 ?auto_3356 ) ( IN-CITY ?auto_3352 ?auto_3356 ) ( DIFFERENT ?auto_3352 ?auto_3357 ) ( LOCATION ?auto_3365 ) ( CITY ?auto_3364 ) ( AT ?auto_3359 ?auto_3365 ) ( IN-CITY ?auto_3365 ?auto_3364 ) ( IN-CITY ?auto_3357 ?auto_3364 ) ( DIFFERENT ?auto_3357 ?auto_3365 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3359 ?auto_3365 ?auto_3357 ?auto_3364 )
      ( DELIVER-PKG ?auto_3350 ?auto_3351 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3367
      ?auto_3368
    )
    :vars
    (
      ?auto_3370
      ?auto_3378
      ?auto_3373
      ?auto_3379
      ?auto_3380
      ?auto_3371
      ?auto_3377
      ?auto_3369
      ?auto_3381
      ?auto_3376
      ?auto_3375
      ?auto_3384
      ?auto_3383
    )
    :precondition
    ( and ( OBJ ?auto_3367 ) ( LOCATION ?auto_3368 ) ( AIRPLANE ?auto_3370 ) ( AIRPORT ?auto_3378 ) ( AIRPORT ?auto_3368 ) ( DIFFERENT ?auto_3368 ?auto_3378 ) ( AIRPORT ?auto_3373 ) ( AT ?auto_3370 ?auto_3373 ) ( DIFFERENT ?auto_3378 ?auto_3373 ) ( LOCATION ?auto_3379 ) ( AT ?auto_3370 ?auto_3379 ) ( AIRPLANE ?auto_3380 ) ( AT ?auto_3380 ?auto_3379 ) ( LOCATION ?auto_3371 ) ( AT ?auto_3380 ?auto_3371 ) ( TRUCK ?auto_3377 ) ( IN ?auto_3367 ?auto_3377 ) ( LOCATION ?auto_3369 ) ( CITY ?auto_3381 ) ( IN-CITY ?auto_3369 ?auto_3381 ) ( IN-CITY ?auto_3371 ?auto_3381 ) ( DIFFERENT ?auto_3371 ?auto_3369 ) ( LOCATION ?auto_3376 ) ( CITY ?auto_3375 ) ( IN-CITY ?auto_3376 ?auto_3375 ) ( IN-CITY ?auto_3369 ?auto_3375 ) ( DIFFERENT ?auto_3369 ?auto_3376 ) ( LOCATION ?auto_3384 ) ( CITY ?auto_3383 ) ( AT ?auto_3377 ?auto_3384 ) ( IN-CITY ?auto_3384 ?auto_3383 ) ( IN-CITY ?auto_3376 ?auto_3383 ) ( DIFFERENT ?auto_3376 ?auto_3384 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3377 ?auto_3384 ?auto_3376 ?auto_3383 )
      ( DELIVER-PKG ?auto_3367 ?auto_3368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3420
      ?auto_3421
    )
    :vars
    (
      ?auto_3435
      ?auto_3428
      ?auto_3422
      ?auto_3430
      ?auto_3429
      ?auto_3436
      ?auto_3425
      ?auto_3424
      ?auto_3434
      ?auto_3427
      ?auto_3423
      ?auto_3433
      ?auto_3432
      ?auto_3439
      ?auto_3438
    )
    :precondition
    ( and ( OBJ ?auto_3420 ) ( LOCATION ?auto_3421 ) ( AIRPLANE ?auto_3435 ) ( AIRPORT ?auto_3428 ) ( AIRPORT ?auto_3421 ) ( DIFFERENT ?auto_3421 ?auto_3428 ) ( AIRPORT ?auto_3422 ) ( AT ?auto_3435 ?auto_3422 ) ( DIFFERENT ?auto_3428 ?auto_3422 ) ( LOCATION ?auto_3430 ) ( AT ?auto_3435 ?auto_3430 ) ( AIRPLANE ?auto_3429 ) ( AT ?auto_3429 ?auto_3430 ) ( LOCATION ?auto_3436 ) ( AT ?auto_3429 ?auto_3436 ) ( TRUCK ?auto_3425 ) ( IN ?auto_3420 ?auto_3425 ) ( LOCATION ?auto_3424 ) ( CITY ?auto_3434 ) ( IN-CITY ?auto_3424 ?auto_3434 ) ( IN-CITY ?auto_3436 ?auto_3434 ) ( DIFFERENT ?auto_3436 ?auto_3424 ) ( LOCATION ?auto_3427 ) ( CITY ?auto_3423 ) ( IN-CITY ?auto_3427 ?auto_3423 ) ( IN-CITY ?auto_3424 ?auto_3423 ) ( DIFFERENT ?auto_3424 ?auto_3427 ) ( LOCATION ?auto_3433 ) ( CITY ?auto_3432 ) ( IN-CITY ?auto_3433 ?auto_3432 ) ( IN-CITY ?auto_3427 ?auto_3432 ) ( DIFFERENT ?auto_3427 ?auto_3433 ) ( LOCATION ?auto_3439 ) ( CITY ?auto_3438 ) ( AT ?auto_3425 ?auto_3439 ) ( IN-CITY ?auto_3439 ?auto_3438 ) ( IN-CITY ?auto_3433 ?auto_3438 ) ( DIFFERENT ?auto_3433 ?auto_3439 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3425 ?auto_3439 ?auto_3433 ?auto_3438 )
      ( DELIVER-PKG ?auto_3420 ?auto_3421 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3460
      ?auto_3461
    )
    :vars
    (
      ?auto_3476
      ?auto_3471
      ?auto_3474
      ?auto_3473
      ?auto_3472
      ?auto_3477
      ?auto_3469
      ?auto_3465
      ?auto_3475
      ?auto_3470
      ?auto_3466
      ?auto_3468
      ?auto_3467
      ?auto_3478
      ?auto_3463
      ?auto_3481
      ?auto_3480
    )
    :precondition
    ( and ( OBJ ?auto_3460 ) ( LOCATION ?auto_3461 ) ( AIRPLANE ?auto_3476 ) ( AIRPORT ?auto_3471 ) ( AIRPORT ?auto_3461 ) ( DIFFERENT ?auto_3461 ?auto_3471 ) ( AIRPORT ?auto_3474 ) ( AT ?auto_3476 ?auto_3474 ) ( DIFFERENT ?auto_3471 ?auto_3474 ) ( LOCATION ?auto_3473 ) ( AT ?auto_3476 ?auto_3473 ) ( AIRPLANE ?auto_3472 ) ( AT ?auto_3472 ?auto_3473 ) ( LOCATION ?auto_3477 ) ( AT ?auto_3472 ?auto_3477 ) ( TRUCK ?auto_3469 ) ( IN ?auto_3460 ?auto_3469 ) ( LOCATION ?auto_3465 ) ( CITY ?auto_3475 ) ( IN-CITY ?auto_3465 ?auto_3475 ) ( IN-CITY ?auto_3477 ?auto_3475 ) ( DIFFERENT ?auto_3477 ?auto_3465 ) ( LOCATION ?auto_3470 ) ( CITY ?auto_3466 ) ( IN-CITY ?auto_3470 ?auto_3466 ) ( IN-CITY ?auto_3465 ?auto_3466 ) ( DIFFERENT ?auto_3465 ?auto_3470 ) ( LOCATION ?auto_3468 ) ( CITY ?auto_3467 ) ( IN-CITY ?auto_3468 ?auto_3467 ) ( IN-CITY ?auto_3470 ?auto_3467 ) ( DIFFERENT ?auto_3470 ?auto_3468 ) ( LOCATION ?auto_3478 ) ( CITY ?auto_3463 ) ( IN-CITY ?auto_3478 ?auto_3463 ) ( IN-CITY ?auto_3468 ?auto_3463 ) ( DIFFERENT ?auto_3468 ?auto_3478 ) ( LOCATION ?auto_3481 ) ( CITY ?auto_3480 ) ( AT ?auto_3469 ?auto_3481 ) ( IN-CITY ?auto_3481 ?auto_3480 ) ( IN-CITY ?auto_3478 ?auto_3480 ) ( DIFFERENT ?auto_3478 ?auto_3481 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3469 ?auto_3481 ?auto_3478 ?auto_3480 )
      ( DELIVER-PKG ?auto_3460 ?auto_3461 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3525
      ?auto_3526
    )
    :vars
    (
      ?auto_3540
      ?auto_3535
      ?auto_3538
      ?auto_3537
      ?auto_3536
      ?auto_3541
      ?auto_3531
      ?auto_3533
      ?auto_3539
      ?auto_3532
      ?auto_3528
      ?auto_3530
      ?auto_3534
      ?auto_3542
      ?auto_3527
      ?auto_3545
      ?auto_3544
      ?auto_3547
    )
    :precondition
    ( and ( OBJ ?auto_3525 ) ( LOCATION ?auto_3526 ) ( AIRPLANE ?auto_3540 ) ( AIRPORT ?auto_3535 ) ( AIRPORT ?auto_3526 ) ( DIFFERENT ?auto_3526 ?auto_3535 ) ( AIRPORT ?auto_3538 ) ( AT ?auto_3540 ?auto_3538 ) ( DIFFERENT ?auto_3535 ?auto_3538 ) ( LOCATION ?auto_3537 ) ( AT ?auto_3540 ?auto_3537 ) ( AIRPLANE ?auto_3536 ) ( AT ?auto_3536 ?auto_3537 ) ( LOCATION ?auto_3541 ) ( AT ?auto_3536 ?auto_3541 ) ( TRUCK ?auto_3531 ) ( LOCATION ?auto_3533 ) ( CITY ?auto_3539 ) ( IN-CITY ?auto_3533 ?auto_3539 ) ( IN-CITY ?auto_3541 ?auto_3539 ) ( DIFFERENT ?auto_3541 ?auto_3533 ) ( LOCATION ?auto_3532 ) ( CITY ?auto_3528 ) ( IN-CITY ?auto_3532 ?auto_3528 ) ( IN-CITY ?auto_3533 ?auto_3528 ) ( DIFFERENT ?auto_3533 ?auto_3532 ) ( LOCATION ?auto_3530 ) ( CITY ?auto_3534 ) ( IN-CITY ?auto_3530 ?auto_3534 ) ( IN-CITY ?auto_3532 ?auto_3534 ) ( DIFFERENT ?auto_3532 ?auto_3530 ) ( LOCATION ?auto_3542 ) ( CITY ?auto_3527 ) ( IN-CITY ?auto_3542 ?auto_3527 ) ( IN-CITY ?auto_3530 ?auto_3527 ) ( DIFFERENT ?auto_3530 ?auto_3542 ) ( LOCATION ?auto_3545 ) ( CITY ?auto_3544 ) ( AT ?auto_3531 ?auto_3545 ) ( IN-CITY ?auto_3545 ?auto_3544 ) ( IN-CITY ?auto_3542 ?auto_3544 ) ( DIFFERENT ?auto_3542 ?auto_3545 ) ( LOCATION ?auto_3547 ) ( AT ?auto_3531 ?auto_3547 ) ( AT ?auto_3525 ?auto_3547 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_3525 ?auto_3531 ?auto_3547 )
      ( DELIVER-PKG ?auto_3525 ?auto_3526 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3571
      ?auto_3572
    )
    :vars
    (
      ?auto_3586
      ?auto_3577
      ?auto_3580
      ?auto_3579
      ?auto_3578
      ?auto_3587
      ?auto_3590
      ?auto_3585
      ?auto_3581
      ?auto_3584
      ?auto_3582
      ?auto_3583
      ?auto_3576
      ?auto_3588
      ?auto_3573
      ?auto_3589
      ?auto_3591
      ?auto_3595
      ?auto_3594
    )
    :precondition
    ( and ( OBJ ?auto_3571 ) ( LOCATION ?auto_3572 ) ( AIRPLANE ?auto_3586 ) ( AIRPORT ?auto_3577 ) ( AIRPORT ?auto_3572 ) ( DIFFERENT ?auto_3572 ?auto_3577 ) ( AIRPORT ?auto_3580 ) ( AT ?auto_3586 ?auto_3580 ) ( DIFFERENT ?auto_3577 ?auto_3580 ) ( LOCATION ?auto_3579 ) ( AT ?auto_3586 ?auto_3579 ) ( AIRPLANE ?auto_3578 ) ( AT ?auto_3578 ?auto_3579 ) ( LOCATION ?auto_3587 ) ( AT ?auto_3578 ?auto_3587 ) ( TRUCK ?auto_3590 ) ( LOCATION ?auto_3585 ) ( CITY ?auto_3581 ) ( IN-CITY ?auto_3585 ?auto_3581 ) ( IN-CITY ?auto_3587 ?auto_3581 ) ( DIFFERENT ?auto_3587 ?auto_3585 ) ( LOCATION ?auto_3584 ) ( CITY ?auto_3582 ) ( IN-CITY ?auto_3584 ?auto_3582 ) ( IN-CITY ?auto_3585 ?auto_3582 ) ( DIFFERENT ?auto_3585 ?auto_3584 ) ( LOCATION ?auto_3583 ) ( CITY ?auto_3576 ) ( IN-CITY ?auto_3583 ?auto_3576 ) ( IN-CITY ?auto_3584 ?auto_3576 ) ( DIFFERENT ?auto_3584 ?auto_3583 ) ( LOCATION ?auto_3588 ) ( CITY ?auto_3573 ) ( IN-CITY ?auto_3588 ?auto_3573 ) ( IN-CITY ?auto_3583 ?auto_3573 ) ( DIFFERENT ?auto_3583 ?auto_3588 ) ( LOCATION ?auto_3589 ) ( CITY ?auto_3591 ) ( IN-CITY ?auto_3589 ?auto_3591 ) ( IN-CITY ?auto_3588 ?auto_3591 ) ( DIFFERENT ?auto_3588 ?auto_3589 ) ( AT ?auto_3571 ?auto_3589 ) ( LOCATION ?auto_3595 ) ( CITY ?auto_3594 ) ( AT ?auto_3590 ?auto_3595 ) ( IN-CITY ?auto_3595 ?auto_3594 ) ( IN-CITY ?auto_3589 ?auto_3594 ) ( DIFFERENT ?auto_3589 ?auto_3595 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_3590 ?auto_3595 ?auto_3589 ?auto_3594 )
      ( DELIVER-PKG ?auto_3571 ?auto_3572 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_3618
      ?auto_3619
    )
    :vars
    (
      ?auto_3623
      ?auto_3622
      ?auto_3624
    )
    :precondition
    ( and ( OBJ ?auto_3618 ) ( LOCATION ?auto_3619 ) ( AIRPLANE ?auto_3623 ) ( AT ?auto_3623 ?auto_3619 ) ( LOCATION ?auto_3622 ) ( AT ?auto_3623 ?auto_3622 ) ( AIRPLANE ?auto_3624 ) ( IN ?auto_3618 ?auto_3624 ) ( AT ?auto_3624 ?auto_3622 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_3618 ?auto_3622 )
      ( DELIVER-PKG ?auto_3618 ?auto_3619 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4222
      ?auto_4223
    )
    :vars
    (
      ?auto_4231
      ?auto_4232
      ?auto_4229
      ?auto_4230
      ?auto_4224
      ?auto_4226
      ?auto_4234
    )
    :precondition
    ( and ( OBJ ?auto_4222 ) ( LOCATION ?auto_4223 ) ( TRUCK ?auto_4231 ) ( LOCATION ?auto_4232 ) ( CITY ?auto_4229 ) ( AT ?auto_4231 ?auto_4232 ) ( IN-CITY ?auto_4232 ?auto_4229 ) ( IN-CITY ?auto_4223 ?auto_4229 ) ( DIFFERENT ?auto_4223 ?auto_4232 ) ( LOCATION ?auto_4230 ) ( AT ?auto_4231 ?auto_4230 ) ( AIRPLANE ?auto_4224 ) ( AIRPORT ?auto_4226 ) ( AIRPORT ?auto_4230 ) ( DIFFERENT ?auto_4230 ?auto_4226 ) ( LOCATION ?auto_4226 ) ( AT ?auto_4222 ?auto_4226 ) ( AIRPORT ?auto_4234 ) ( AT ?auto_4224 ?auto_4234 ) ( DIFFERENT ?auto_4226 ?auto_4234 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4224 ?auto_4234 ?auto_4226 )
      ( DELIVER-PKG ?auto_4222 ?auto_4223 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4324
      ?auto_4325
    )
    :vars
    (
      ?auto_4329
      ?auto_4332
      ?auto_4328
      ?auto_4333
      ?auto_4330
      ?auto_4334
      ?auto_4327
      ?auto_4337
    )
    :precondition
    ( and ( OBJ ?auto_4324 ) ( LOCATION ?auto_4325 ) ( TRUCK ?auto_4329 ) ( LOCATION ?auto_4332 ) ( CITY ?auto_4328 ) ( AT ?auto_4329 ?auto_4332 ) ( IN-CITY ?auto_4332 ?auto_4328 ) ( IN-CITY ?auto_4325 ?auto_4328 ) ( DIFFERENT ?auto_4325 ?auto_4332 ) ( LOCATION ?auto_4333 ) ( AT ?auto_4329 ?auto_4333 ) ( AIRPLANE ?auto_4330 ) ( AIRPORT ?auto_4334 ) ( AIRPORT ?auto_4333 ) ( DIFFERENT ?auto_4333 ?auto_4334 ) ( LOCATION ?auto_4334 ) ( AIRPORT ?auto_4327 ) ( AT ?auto_4330 ?auto_4327 ) ( DIFFERENT ?auto_4334 ?auto_4327 ) ( TRUCK ?auto_4337 ) ( AT ?auto_4337 ?auto_4334 ) ( IN ?auto_4324 ?auto_4337 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4324 ?auto_4334 )
      ( DELIVER-PKG ?auto_4324 ?auto_4325 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4350
      ?auto_4351
    )
    :vars
    (
      ?auto_4356
      ?auto_4358
      ?auto_4355
      ?auto_4359
      ?auto_4357
      ?auto_4360
      ?auto_4354
      ?auto_4361
      ?auto_4364
      ?auto_4363
    )
    :precondition
    ( and ( OBJ ?auto_4350 ) ( LOCATION ?auto_4351 ) ( TRUCK ?auto_4356 ) ( LOCATION ?auto_4358 ) ( CITY ?auto_4355 ) ( AT ?auto_4356 ?auto_4358 ) ( IN-CITY ?auto_4358 ?auto_4355 ) ( IN-CITY ?auto_4351 ?auto_4355 ) ( DIFFERENT ?auto_4351 ?auto_4358 ) ( LOCATION ?auto_4359 ) ( AT ?auto_4356 ?auto_4359 ) ( AIRPLANE ?auto_4357 ) ( AIRPORT ?auto_4360 ) ( AIRPORT ?auto_4359 ) ( DIFFERENT ?auto_4359 ?auto_4360 ) ( LOCATION ?auto_4360 ) ( AIRPORT ?auto_4354 ) ( AT ?auto_4357 ?auto_4354 ) ( DIFFERENT ?auto_4360 ?auto_4354 ) ( TRUCK ?auto_4361 ) ( IN ?auto_4350 ?auto_4361 ) ( LOCATION ?auto_4364 ) ( CITY ?auto_4363 ) ( AT ?auto_4361 ?auto_4364 ) ( IN-CITY ?auto_4364 ?auto_4363 ) ( IN-CITY ?auto_4360 ?auto_4363 ) ( DIFFERENT ?auto_4360 ?auto_4364 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4361 ?auto_4364 ?auto_4360 ?auto_4363 )
      ( DELIVER-PKG ?auto_4350 ?auto_4351 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4380
      ?auto_4381
    )
    :vars
    (
      ?auto_4383
      ?auto_4385
      ?auto_4391
      ?auto_4386
      ?auto_4384
      ?auto_4387
      ?auto_4390
      ?auto_4388
      ?auto_4393
      ?auto_4389
      ?auto_4395
    )
    :precondition
    ( and ( OBJ ?auto_4380 ) ( LOCATION ?auto_4381 ) ( TRUCK ?auto_4383 ) ( LOCATION ?auto_4385 ) ( CITY ?auto_4391 ) ( AT ?auto_4383 ?auto_4385 ) ( IN-CITY ?auto_4385 ?auto_4391 ) ( IN-CITY ?auto_4381 ?auto_4391 ) ( DIFFERENT ?auto_4381 ?auto_4385 ) ( LOCATION ?auto_4386 ) ( AT ?auto_4383 ?auto_4386 ) ( AIRPLANE ?auto_4384 ) ( AIRPORT ?auto_4387 ) ( AIRPORT ?auto_4386 ) ( DIFFERENT ?auto_4386 ?auto_4387 ) ( LOCATION ?auto_4387 ) ( AIRPORT ?auto_4390 ) ( AT ?auto_4384 ?auto_4390 ) ( DIFFERENT ?auto_4387 ?auto_4390 ) ( TRUCK ?auto_4388 ) ( LOCATION ?auto_4393 ) ( CITY ?auto_4389 ) ( AT ?auto_4388 ?auto_4393 ) ( IN-CITY ?auto_4393 ?auto_4389 ) ( IN-CITY ?auto_4387 ?auto_4389 ) ( DIFFERENT ?auto_4387 ?auto_4393 ) ( LOCATION ?auto_4395 ) ( AT ?auto_4388 ?auto_4395 ) ( AT ?auto_4380 ?auto_4395 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4380 ?auto_4388 ?auto_4395 )
      ( DELIVER-PKG ?auto_4380 ?auto_4381 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4427
      ?auto_4428
    )
    :vars
    (
      ?auto_4440
      ?auto_4433
      ?auto_4435
      ?auto_4438
      ?auto_4429
      ?auto_4439
      ?auto_4434
      ?auto_4431
      ?auto_4436
      ?auto_4432
      ?auto_4444
      ?auto_4443
    )
    :precondition
    ( and ( OBJ ?auto_4427 ) ( LOCATION ?auto_4428 ) ( TRUCK ?auto_4440 ) ( LOCATION ?auto_4433 ) ( CITY ?auto_4435 ) ( AT ?auto_4440 ?auto_4433 ) ( IN-CITY ?auto_4433 ?auto_4435 ) ( IN-CITY ?auto_4428 ?auto_4435 ) ( DIFFERENT ?auto_4428 ?auto_4433 ) ( LOCATION ?auto_4438 ) ( AT ?auto_4440 ?auto_4438 ) ( AIRPLANE ?auto_4429 ) ( AIRPORT ?auto_4439 ) ( AIRPORT ?auto_4438 ) ( DIFFERENT ?auto_4438 ?auto_4439 ) ( LOCATION ?auto_4439 ) ( AIRPORT ?auto_4434 ) ( AT ?auto_4429 ?auto_4434 ) ( DIFFERENT ?auto_4439 ?auto_4434 ) ( TRUCK ?auto_4431 ) ( LOCATION ?auto_4436 ) ( CITY ?auto_4432 ) ( IN-CITY ?auto_4436 ?auto_4432 ) ( IN-CITY ?auto_4439 ?auto_4432 ) ( DIFFERENT ?auto_4439 ?auto_4436 ) ( AT ?auto_4427 ?auto_4436 ) ( LOCATION ?auto_4444 ) ( CITY ?auto_4443 ) ( AT ?auto_4431 ?auto_4444 ) ( IN-CITY ?auto_4444 ?auto_4443 ) ( IN-CITY ?auto_4436 ?auto_4443 ) ( DIFFERENT ?auto_4436 ?auto_4444 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4431 ?auto_4444 ?auto_4436 ?auto_4443 )
      ( DELIVER-PKG ?auto_4427 ?auto_4428 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4504
      ?auto_4505
    )
    :vars
    (
      ?auto_4508
      ?auto_4509
      ?auto_4511
      ?auto_4506
      ?auto_4510
      ?auto_4514
    )
    :precondition
    ( and ( OBJ ?auto_4504 ) ( LOCATION ?auto_4505 ) ( TRUCK ?auto_4508 ) ( LOCATION ?auto_4509 ) ( CITY ?auto_4511 ) ( AT ?auto_4508 ?auto_4509 ) ( IN-CITY ?auto_4509 ?auto_4511 ) ( IN-CITY ?auto_4505 ?auto_4511 ) ( DIFFERENT ?auto_4505 ?auto_4509 ) ( LOCATION ?auto_4506 ) ( AT ?auto_4508 ?auto_4506 ) ( AIRPLANE ?auto_4510 ) ( AT ?auto_4510 ?auto_4506 ) ( LOCATION ?auto_4514 ) ( AT ?auto_4504 ?auto_4514 ) ( AT ?auto_4510 ?auto_4514 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4504 ?auto_4510 ?auto_4514 )
      ( DELIVER-PKG ?auto_4504 ?auto_4505 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4574
      ?auto_4575
    )
    :vars
    (
      ?auto_4578
      ?auto_4582
      ?auto_4576
      ?auto_4577
      ?auto_4579
      ?auto_4583
      ?auto_4585
    )
    :precondition
    ( and ( OBJ ?auto_4574 ) ( LOCATION ?auto_4575 ) ( TRUCK ?auto_4578 ) ( LOCATION ?auto_4582 ) ( CITY ?auto_4576 ) ( AT ?auto_4578 ?auto_4582 ) ( IN-CITY ?auto_4582 ?auto_4576 ) ( IN-CITY ?auto_4575 ?auto_4576 ) ( DIFFERENT ?auto_4575 ?auto_4582 ) ( LOCATION ?auto_4577 ) ( AT ?auto_4578 ?auto_4577 ) ( AIRPLANE ?auto_4579 ) ( IN ?auto_4574 ?auto_4579 ) ( AIRPORT ?auto_4583 ) ( AIRPORT ?auto_4577 ) ( DIFFERENT ?auto_4577 ?auto_4583 ) ( AIRPORT ?auto_4585 ) ( AT ?auto_4579 ?auto_4585 ) ( DIFFERENT ?auto_4583 ?auto_4585 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_4579 ?auto_4585 ?auto_4583 )
      ( DELIVER-PKG ?auto_4574 ?auto_4575 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4616
      ?auto_4617
    )
    :vars
    (
      ?auto_4626
      ?auto_4628
      ?auto_4622
      ?auto_4624
      ?auto_4620
      ?auto_4627
      ?auto_4618
      ?auto_4619
      ?auto_4621
      ?auto_4630
    )
    :precondition
    ( and ( OBJ ?auto_4616 ) ( LOCATION ?auto_4617 ) ( TRUCK ?auto_4626 ) ( LOCATION ?auto_4628 ) ( CITY ?auto_4622 ) ( AT ?auto_4626 ?auto_4628 ) ( IN-CITY ?auto_4628 ?auto_4622 ) ( IN-CITY ?auto_4617 ?auto_4622 ) ( DIFFERENT ?auto_4617 ?auto_4628 ) ( LOCATION ?auto_4624 ) ( AT ?auto_4626 ?auto_4624 ) ( AIRPLANE ?auto_4620 ) ( AIRPORT ?auto_4627 ) ( AIRPORT ?auto_4624 ) ( DIFFERENT ?auto_4624 ?auto_4627 ) ( AIRPORT ?auto_4618 ) ( AT ?auto_4620 ?auto_4618 ) ( DIFFERENT ?auto_4627 ?auto_4618 ) ( LOCATION ?auto_4619 ) ( AT ?auto_4620 ?auto_4619 ) ( AIRPLANE ?auto_4621 ) ( AT ?auto_4621 ?auto_4619 ) ( LOCATION ?auto_4630 ) ( AT ?auto_4616 ?auto_4630 ) ( AT ?auto_4621 ?auto_4630 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_4616 ?auto_4621 ?auto_4630 )
      ( DELIVER-PKG ?auto_4616 ?auto_4617 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4601
      ?auto_4602
    )
    :vars
    (
      ?auto_4612
      ?auto_4605
      ?auto_4610
      ?auto_4603
      ?auto_4609
      ?auto_4604
      ?auto_4607
      ?auto_4608
      ?auto_4615
    )
    :precondition
    ( and ( OBJ ?auto_4601 ) ( LOCATION ?auto_4602 ) ( TRUCK ?auto_4612 ) ( LOCATION ?auto_4605 ) ( CITY ?auto_4610 ) ( AT ?auto_4612 ?auto_4605 ) ( IN-CITY ?auto_4605 ?auto_4610 ) ( IN-CITY ?auto_4602 ?auto_4610 ) ( DIFFERENT ?auto_4602 ?auto_4605 ) ( LOCATION ?auto_4603 ) ( AT ?auto_4612 ?auto_4603 ) ( AIRPLANE ?auto_4609 ) ( AIRPORT ?auto_4604 ) ( AIRPORT ?auto_4603 ) ( DIFFERENT ?auto_4603 ?auto_4604 ) ( AIRPORT ?auto_4607 ) ( AT ?auto_4609 ?auto_4607 ) ( DIFFERENT ?auto_4604 ?auto_4607 ) ( LOCATION ?auto_4608 ) ( AT ?auto_4609 ?auto_4608 ) ( AIRPLANE ?auto_4615 ) ( IN ?auto_4601 ?auto_4615 ) ( AT ?auto_4615 ?auto_4608 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4601 ?auto_4608 )
      ( DELIVER-PKG ?auto_4601 ?auto_4602 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4632
      ?auto_4633
    )
    :vars
    (
      ?auto_4635
      ?auto_4641
      ?auto_4645
      ?auto_4642
      ?auto_4644
      ?auto_4637
      ?auto_4634
      ?auto_4643
      ?auto_4638
      ?auto_4640
      ?auto_4648
    )
    :precondition
    ( and ( OBJ ?auto_4632 ) ( LOCATION ?auto_4633 ) ( TRUCK ?auto_4635 ) ( LOCATION ?auto_4641 ) ( CITY ?auto_4645 ) ( AT ?auto_4635 ?auto_4641 ) ( IN-CITY ?auto_4641 ?auto_4645 ) ( IN-CITY ?auto_4633 ?auto_4645 ) ( DIFFERENT ?auto_4633 ?auto_4641 ) ( LOCATION ?auto_4642 ) ( AT ?auto_4635 ?auto_4642 ) ( AIRPLANE ?auto_4644 ) ( AIRPORT ?auto_4637 ) ( AIRPORT ?auto_4642 ) ( DIFFERENT ?auto_4642 ?auto_4637 ) ( AIRPORT ?auto_4634 ) ( AT ?auto_4644 ?auto_4634 ) ( DIFFERENT ?auto_4637 ?auto_4634 ) ( LOCATION ?auto_4643 ) ( AT ?auto_4644 ?auto_4643 ) ( AIRPLANE ?auto_4638 ) ( AT ?auto_4638 ?auto_4643 ) ( LOCATION ?auto_4640 ) ( AT ?auto_4638 ?auto_4640 ) ( TRUCK ?auto_4648 ) ( AT ?auto_4648 ?auto_4640 ) ( IN ?auto_4632 ?auto_4648 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_4632 ?auto_4640 )
      ( DELIVER-PKG ?auto_4632 ?auto_4633 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4649
      ?auto_4650
    )
    :vars
    (
      ?auto_4659
      ?auto_4652
      ?auto_4655
      ?auto_4660
      ?auto_4653
      ?auto_4661
      ?auto_4651
      ?auto_4658
      ?auto_4662
      ?auto_4663
      ?auto_4657
      ?auto_4666
      ?auto_4665
    )
    :precondition
    ( and ( OBJ ?auto_4649 ) ( LOCATION ?auto_4650 ) ( TRUCK ?auto_4659 ) ( LOCATION ?auto_4652 ) ( CITY ?auto_4655 ) ( AT ?auto_4659 ?auto_4652 ) ( IN-CITY ?auto_4652 ?auto_4655 ) ( IN-CITY ?auto_4650 ?auto_4655 ) ( DIFFERENT ?auto_4650 ?auto_4652 ) ( LOCATION ?auto_4660 ) ( AT ?auto_4659 ?auto_4660 ) ( AIRPLANE ?auto_4653 ) ( AIRPORT ?auto_4661 ) ( AIRPORT ?auto_4660 ) ( DIFFERENT ?auto_4660 ?auto_4661 ) ( AIRPORT ?auto_4651 ) ( AT ?auto_4653 ?auto_4651 ) ( DIFFERENT ?auto_4661 ?auto_4651 ) ( LOCATION ?auto_4658 ) ( AT ?auto_4653 ?auto_4658 ) ( AIRPLANE ?auto_4662 ) ( AT ?auto_4662 ?auto_4658 ) ( LOCATION ?auto_4663 ) ( AT ?auto_4662 ?auto_4663 ) ( TRUCK ?auto_4657 ) ( IN ?auto_4649 ?auto_4657 ) ( LOCATION ?auto_4666 ) ( CITY ?auto_4665 ) ( AT ?auto_4657 ?auto_4666 ) ( IN-CITY ?auto_4666 ?auto_4665 ) ( IN-CITY ?auto_4663 ?auto_4665 ) ( DIFFERENT ?auto_4663 ?auto_4666 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4657 ?auto_4666 ?auto_4663 ?auto_4665 )
      ( DELIVER-PKG ?auto_4649 ?auto_4650 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4668
      ?auto_4669
    )
    :vars
    (
      ?auto_4682
      ?auto_4681
      ?auto_4684
      ?auto_4675
      ?auto_4683
      ?auto_4678
      ?auto_4677
      ?auto_4672
      ?auto_4676
      ?auto_4680
      ?auto_4670
      ?auto_4674
      ?auto_4673
      ?auto_4687
      ?auto_4686
    )
    :precondition
    ( and ( OBJ ?auto_4668 ) ( LOCATION ?auto_4669 ) ( TRUCK ?auto_4682 ) ( LOCATION ?auto_4681 ) ( CITY ?auto_4684 ) ( AT ?auto_4682 ?auto_4681 ) ( IN-CITY ?auto_4681 ?auto_4684 ) ( IN-CITY ?auto_4669 ?auto_4684 ) ( DIFFERENT ?auto_4669 ?auto_4681 ) ( LOCATION ?auto_4675 ) ( AT ?auto_4682 ?auto_4675 ) ( AIRPLANE ?auto_4683 ) ( AIRPORT ?auto_4678 ) ( AIRPORT ?auto_4675 ) ( DIFFERENT ?auto_4675 ?auto_4678 ) ( AIRPORT ?auto_4677 ) ( AT ?auto_4683 ?auto_4677 ) ( DIFFERENT ?auto_4678 ?auto_4677 ) ( LOCATION ?auto_4672 ) ( AT ?auto_4683 ?auto_4672 ) ( AIRPLANE ?auto_4676 ) ( AT ?auto_4676 ?auto_4672 ) ( LOCATION ?auto_4680 ) ( AT ?auto_4676 ?auto_4680 ) ( TRUCK ?auto_4670 ) ( IN ?auto_4668 ?auto_4670 ) ( LOCATION ?auto_4674 ) ( CITY ?auto_4673 ) ( IN-CITY ?auto_4674 ?auto_4673 ) ( IN-CITY ?auto_4680 ?auto_4673 ) ( DIFFERENT ?auto_4680 ?auto_4674 ) ( LOCATION ?auto_4687 ) ( CITY ?auto_4686 ) ( AT ?auto_4670 ?auto_4687 ) ( IN-CITY ?auto_4687 ?auto_4686 ) ( IN-CITY ?auto_4674 ?auto_4686 ) ( DIFFERENT ?auto_4674 ?auto_4687 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4670 ?auto_4687 ?auto_4674 ?auto_4686 )
      ( DELIVER-PKG ?auto_4668 ?auto_4669 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4689
      ?auto_4690
    )
    :vars
    (
      ?auto_4694
      ?auto_4702
      ?auto_4696
      ?auto_4707
      ?auto_4691
      ?auto_4699
      ?auto_4695
      ?auto_4705
      ?auto_4706
      ?auto_4701
      ?auto_4700
      ?auto_4703
      ?auto_4704
      ?auto_4693
      ?auto_4697
      ?auto_4710
      ?auto_4709
    )
    :precondition
    ( and ( OBJ ?auto_4689 ) ( LOCATION ?auto_4690 ) ( TRUCK ?auto_4694 ) ( LOCATION ?auto_4702 ) ( CITY ?auto_4696 ) ( AT ?auto_4694 ?auto_4702 ) ( IN-CITY ?auto_4702 ?auto_4696 ) ( IN-CITY ?auto_4690 ?auto_4696 ) ( DIFFERENT ?auto_4690 ?auto_4702 ) ( LOCATION ?auto_4707 ) ( AT ?auto_4694 ?auto_4707 ) ( AIRPLANE ?auto_4691 ) ( AIRPORT ?auto_4699 ) ( AIRPORT ?auto_4707 ) ( DIFFERENT ?auto_4707 ?auto_4699 ) ( AIRPORT ?auto_4695 ) ( AT ?auto_4691 ?auto_4695 ) ( DIFFERENT ?auto_4699 ?auto_4695 ) ( LOCATION ?auto_4705 ) ( AT ?auto_4691 ?auto_4705 ) ( AIRPLANE ?auto_4706 ) ( AT ?auto_4706 ?auto_4705 ) ( LOCATION ?auto_4701 ) ( AT ?auto_4706 ?auto_4701 ) ( TRUCK ?auto_4700 ) ( IN ?auto_4689 ?auto_4700 ) ( LOCATION ?auto_4703 ) ( CITY ?auto_4704 ) ( IN-CITY ?auto_4703 ?auto_4704 ) ( IN-CITY ?auto_4701 ?auto_4704 ) ( DIFFERENT ?auto_4701 ?auto_4703 ) ( LOCATION ?auto_4693 ) ( CITY ?auto_4697 ) ( IN-CITY ?auto_4693 ?auto_4697 ) ( IN-CITY ?auto_4703 ?auto_4697 ) ( DIFFERENT ?auto_4703 ?auto_4693 ) ( LOCATION ?auto_4710 ) ( CITY ?auto_4709 ) ( AT ?auto_4700 ?auto_4710 ) ( IN-CITY ?auto_4710 ?auto_4709 ) ( IN-CITY ?auto_4693 ?auto_4709 ) ( DIFFERENT ?auto_4693 ?auto_4710 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4700 ?auto_4710 ?auto_4693 ?auto_4709 )
      ( DELIVER-PKG ?auto_4689 ?auto_4690 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4754
      ?auto_4755
    )
    :vars
    (
      ?auto_4772
      ?auto_4761
      ?auto_4774
      ?auto_4757
      ?auto_4765
      ?auto_4760
      ?auto_4773
      ?auto_4759
      ?auto_4770
      ?auto_4768
      ?auto_4756
      ?auto_4763
      ?auto_4758
      ?auto_4769
      ?auto_4767
      ?auto_4764
      ?auto_4771
      ?auto_4777
      ?auto_4776
    )
    :precondition
    ( and ( OBJ ?auto_4754 ) ( LOCATION ?auto_4755 ) ( TRUCK ?auto_4772 ) ( LOCATION ?auto_4761 ) ( CITY ?auto_4774 ) ( AT ?auto_4772 ?auto_4761 ) ( IN-CITY ?auto_4761 ?auto_4774 ) ( IN-CITY ?auto_4755 ?auto_4774 ) ( DIFFERENT ?auto_4755 ?auto_4761 ) ( LOCATION ?auto_4757 ) ( AT ?auto_4772 ?auto_4757 ) ( AIRPLANE ?auto_4765 ) ( AIRPORT ?auto_4760 ) ( AIRPORT ?auto_4757 ) ( DIFFERENT ?auto_4757 ?auto_4760 ) ( AIRPORT ?auto_4773 ) ( AT ?auto_4765 ?auto_4773 ) ( DIFFERENT ?auto_4760 ?auto_4773 ) ( LOCATION ?auto_4759 ) ( AT ?auto_4765 ?auto_4759 ) ( AIRPLANE ?auto_4770 ) ( AT ?auto_4770 ?auto_4759 ) ( LOCATION ?auto_4768 ) ( AT ?auto_4770 ?auto_4768 ) ( TRUCK ?auto_4756 ) ( IN ?auto_4754 ?auto_4756 ) ( LOCATION ?auto_4763 ) ( CITY ?auto_4758 ) ( IN-CITY ?auto_4763 ?auto_4758 ) ( IN-CITY ?auto_4768 ?auto_4758 ) ( DIFFERENT ?auto_4768 ?auto_4763 ) ( LOCATION ?auto_4769 ) ( CITY ?auto_4767 ) ( IN-CITY ?auto_4769 ?auto_4767 ) ( IN-CITY ?auto_4763 ?auto_4767 ) ( DIFFERENT ?auto_4763 ?auto_4769 ) ( LOCATION ?auto_4764 ) ( CITY ?auto_4771 ) ( IN-CITY ?auto_4764 ?auto_4771 ) ( IN-CITY ?auto_4769 ?auto_4771 ) ( DIFFERENT ?auto_4769 ?auto_4764 ) ( LOCATION ?auto_4777 ) ( CITY ?auto_4776 ) ( AT ?auto_4756 ?auto_4777 ) ( IN-CITY ?auto_4777 ?auto_4776 ) ( IN-CITY ?auto_4764 ?auto_4776 ) ( DIFFERENT ?auto_4764 ?auto_4777 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4756 ?auto_4777 ?auto_4764 ?auto_4776 )
      ( DELIVER-PKG ?auto_4754 ?auto_4755 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4802
      ?auto_4803
    )
    :vars
    (
      ?auto_4821
      ?auto_4812
      ?auto_4823
      ?auto_4805
      ?auto_4817
      ?auto_4807
      ?auto_4822
      ?auto_4811
      ?auto_4815
      ?auto_4813
      ?auto_4808
      ?auto_4819
      ?auto_4810
      ?auto_4814
      ?auto_4818
      ?auto_4820
      ?auto_4816
      ?auto_4824
      ?auto_4804
      ?auto_4827
      ?auto_4826
    )
    :precondition
    ( and ( OBJ ?auto_4802 ) ( LOCATION ?auto_4803 ) ( TRUCK ?auto_4821 ) ( LOCATION ?auto_4812 ) ( CITY ?auto_4823 ) ( AT ?auto_4821 ?auto_4812 ) ( IN-CITY ?auto_4812 ?auto_4823 ) ( IN-CITY ?auto_4803 ?auto_4823 ) ( DIFFERENT ?auto_4803 ?auto_4812 ) ( LOCATION ?auto_4805 ) ( AT ?auto_4821 ?auto_4805 ) ( AIRPLANE ?auto_4817 ) ( AIRPORT ?auto_4807 ) ( AIRPORT ?auto_4805 ) ( DIFFERENT ?auto_4805 ?auto_4807 ) ( AIRPORT ?auto_4822 ) ( AT ?auto_4817 ?auto_4822 ) ( DIFFERENT ?auto_4807 ?auto_4822 ) ( LOCATION ?auto_4811 ) ( AT ?auto_4817 ?auto_4811 ) ( AIRPLANE ?auto_4815 ) ( AT ?auto_4815 ?auto_4811 ) ( LOCATION ?auto_4813 ) ( AT ?auto_4815 ?auto_4813 ) ( TRUCK ?auto_4808 ) ( IN ?auto_4802 ?auto_4808 ) ( LOCATION ?auto_4819 ) ( CITY ?auto_4810 ) ( IN-CITY ?auto_4819 ?auto_4810 ) ( IN-CITY ?auto_4813 ?auto_4810 ) ( DIFFERENT ?auto_4813 ?auto_4819 ) ( LOCATION ?auto_4814 ) ( CITY ?auto_4818 ) ( IN-CITY ?auto_4814 ?auto_4818 ) ( IN-CITY ?auto_4819 ?auto_4818 ) ( DIFFERENT ?auto_4819 ?auto_4814 ) ( LOCATION ?auto_4820 ) ( CITY ?auto_4816 ) ( IN-CITY ?auto_4820 ?auto_4816 ) ( IN-CITY ?auto_4814 ?auto_4816 ) ( DIFFERENT ?auto_4814 ?auto_4820 ) ( LOCATION ?auto_4824 ) ( CITY ?auto_4804 ) ( IN-CITY ?auto_4824 ?auto_4804 ) ( IN-CITY ?auto_4820 ?auto_4804 ) ( DIFFERENT ?auto_4820 ?auto_4824 ) ( LOCATION ?auto_4827 ) ( CITY ?auto_4826 ) ( AT ?auto_4808 ?auto_4827 ) ( IN-CITY ?auto_4827 ?auto_4826 ) ( IN-CITY ?auto_4824 ?auto_4826 ) ( DIFFERENT ?auto_4824 ?auto_4827 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4808 ?auto_4827 ?auto_4824 ?auto_4826 )
      ( DELIVER-PKG ?auto_4802 ?auto_4803 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4879
      ?auto_4880
    )
    :vars
    (
      ?auto_4901
      ?auto_4892
      ?auto_4888
      ?auto_4881
      ?auto_4897
      ?auto_4882
      ?auto_4886
      ?auto_4891
      ?auto_4895
      ?auto_4893
      ?auto_4884
      ?auto_4899
      ?auto_4890
      ?auto_4894
      ?auto_4898
      ?auto_4900
      ?auto_4896
      ?auto_4889
      ?auto_4903
      ?auto_4883
      ?auto_4887
      ?auto_4905
    )
    :precondition
    ( and ( OBJ ?auto_4879 ) ( LOCATION ?auto_4880 ) ( TRUCK ?auto_4901 ) ( LOCATION ?auto_4892 ) ( CITY ?auto_4888 ) ( AT ?auto_4901 ?auto_4892 ) ( IN-CITY ?auto_4892 ?auto_4888 ) ( IN-CITY ?auto_4880 ?auto_4888 ) ( DIFFERENT ?auto_4880 ?auto_4892 ) ( LOCATION ?auto_4881 ) ( AT ?auto_4901 ?auto_4881 ) ( AIRPLANE ?auto_4897 ) ( AIRPORT ?auto_4882 ) ( AIRPORT ?auto_4881 ) ( DIFFERENT ?auto_4881 ?auto_4882 ) ( AIRPORT ?auto_4886 ) ( AT ?auto_4897 ?auto_4886 ) ( DIFFERENT ?auto_4882 ?auto_4886 ) ( LOCATION ?auto_4891 ) ( AT ?auto_4897 ?auto_4891 ) ( AIRPLANE ?auto_4895 ) ( AT ?auto_4895 ?auto_4891 ) ( LOCATION ?auto_4893 ) ( AT ?auto_4895 ?auto_4893 ) ( TRUCK ?auto_4884 ) ( LOCATION ?auto_4899 ) ( CITY ?auto_4890 ) ( IN-CITY ?auto_4899 ?auto_4890 ) ( IN-CITY ?auto_4893 ?auto_4890 ) ( DIFFERENT ?auto_4893 ?auto_4899 ) ( LOCATION ?auto_4894 ) ( CITY ?auto_4898 ) ( IN-CITY ?auto_4894 ?auto_4898 ) ( IN-CITY ?auto_4899 ?auto_4898 ) ( DIFFERENT ?auto_4899 ?auto_4894 ) ( LOCATION ?auto_4900 ) ( CITY ?auto_4896 ) ( IN-CITY ?auto_4900 ?auto_4896 ) ( IN-CITY ?auto_4894 ?auto_4896 ) ( DIFFERENT ?auto_4894 ?auto_4900 ) ( LOCATION ?auto_4889 ) ( CITY ?auto_4903 ) ( IN-CITY ?auto_4889 ?auto_4903 ) ( IN-CITY ?auto_4900 ?auto_4903 ) ( DIFFERENT ?auto_4900 ?auto_4889 ) ( LOCATION ?auto_4883 ) ( CITY ?auto_4887 ) ( AT ?auto_4884 ?auto_4883 ) ( IN-CITY ?auto_4883 ?auto_4887 ) ( IN-CITY ?auto_4889 ?auto_4887 ) ( DIFFERENT ?auto_4889 ?auto_4883 ) ( LOCATION ?auto_4905 ) ( AT ?auto_4884 ?auto_4905 ) ( AT ?auto_4879 ?auto_4905 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_4879 ?auto_4884 ?auto_4905 )
      ( DELIVER-PKG ?auto_4879 ?auto_4880 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_4933
      ?auto_4934
    )
    :vars
    (
      ?auto_4957
      ?auto_4952
      ?auto_4948
      ?auto_4936
      ?auto_4940
      ?auto_4938
      ?auto_4946
      ?auto_4951
      ?auto_4955
      ?auto_4953
      ?auto_4945
      ?auto_4943
      ?auto_4950
      ?auto_4954
      ?auto_4941
      ?auto_4956
      ?auto_4939
      ?auto_4949
      ?auto_4958
      ?auto_4942
      ?auto_4947
      ?auto_4961
      ?auto_4960
    )
    :precondition
    ( and ( OBJ ?auto_4933 ) ( LOCATION ?auto_4934 ) ( TRUCK ?auto_4957 ) ( LOCATION ?auto_4952 ) ( CITY ?auto_4948 ) ( AT ?auto_4957 ?auto_4952 ) ( IN-CITY ?auto_4952 ?auto_4948 ) ( IN-CITY ?auto_4934 ?auto_4948 ) ( DIFFERENT ?auto_4934 ?auto_4952 ) ( LOCATION ?auto_4936 ) ( AT ?auto_4957 ?auto_4936 ) ( AIRPLANE ?auto_4940 ) ( AIRPORT ?auto_4938 ) ( AIRPORT ?auto_4936 ) ( DIFFERENT ?auto_4936 ?auto_4938 ) ( AIRPORT ?auto_4946 ) ( AT ?auto_4940 ?auto_4946 ) ( DIFFERENT ?auto_4938 ?auto_4946 ) ( LOCATION ?auto_4951 ) ( AT ?auto_4940 ?auto_4951 ) ( AIRPLANE ?auto_4955 ) ( AT ?auto_4955 ?auto_4951 ) ( LOCATION ?auto_4953 ) ( AT ?auto_4955 ?auto_4953 ) ( TRUCK ?auto_4945 ) ( LOCATION ?auto_4943 ) ( CITY ?auto_4950 ) ( IN-CITY ?auto_4943 ?auto_4950 ) ( IN-CITY ?auto_4953 ?auto_4950 ) ( DIFFERENT ?auto_4953 ?auto_4943 ) ( LOCATION ?auto_4954 ) ( CITY ?auto_4941 ) ( IN-CITY ?auto_4954 ?auto_4941 ) ( IN-CITY ?auto_4943 ?auto_4941 ) ( DIFFERENT ?auto_4943 ?auto_4954 ) ( LOCATION ?auto_4956 ) ( CITY ?auto_4939 ) ( IN-CITY ?auto_4956 ?auto_4939 ) ( IN-CITY ?auto_4954 ?auto_4939 ) ( DIFFERENT ?auto_4954 ?auto_4956 ) ( LOCATION ?auto_4949 ) ( CITY ?auto_4958 ) ( IN-CITY ?auto_4949 ?auto_4958 ) ( IN-CITY ?auto_4956 ?auto_4958 ) ( DIFFERENT ?auto_4956 ?auto_4949 ) ( LOCATION ?auto_4942 ) ( CITY ?auto_4947 ) ( IN-CITY ?auto_4942 ?auto_4947 ) ( IN-CITY ?auto_4949 ?auto_4947 ) ( DIFFERENT ?auto_4949 ?auto_4942 ) ( AT ?auto_4933 ?auto_4942 ) ( LOCATION ?auto_4961 ) ( CITY ?auto_4960 ) ( AT ?auto_4945 ?auto_4961 ) ( IN-CITY ?auto_4961 ?auto_4960 ) ( IN-CITY ?auto_4942 ?auto_4960 ) ( DIFFERENT ?auto_4942 ?auto_4961 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_4945 ?auto_4961 ?auto_4942 ?auto_4960 )
      ( DELIVER-PKG ?auto_4933 ?auto_4934 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5598
      ?auto_5599
    )
    :vars
    (
      ?auto_5603
      ?auto_5602
      ?auto_5607
      ?auto_5605
      ?auto_5604
      ?auto_5608
      ?auto_5611
      ?auto_5610
    )
    :precondition
    ( and ( OBJ ?auto_5598 ) ( LOCATION ?auto_5599 ) ( TRUCK ?auto_5603 ) ( LOCATION ?auto_5602 ) ( CITY ?auto_5607 ) ( IN-CITY ?auto_5602 ?auto_5607 ) ( IN-CITY ?auto_5599 ?auto_5607 ) ( DIFFERENT ?auto_5599 ?auto_5602 ) ( AIRPLANE ?auto_5605 ) ( AIRPORT ?auto_5604 ) ( AIRPORT ?auto_5602 ) ( AT ?auto_5605 ?auto_5604 ) ( DIFFERENT ?auto_5602 ?auto_5604 ) ( LOCATION ?auto_5608 ) ( AT ?auto_5598 ?auto_5608 ) ( AT ?auto_5605 ?auto_5608 ) ( LOCATION ?auto_5611 ) ( CITY ?auto_5610 ) ( AT ?auto_5603 ?auto_5611 ) ( IN-CITY ?auto_5611 ?auto_5610 ) ( IN-CITY ?auto_5602 ?auto_5610 ) ( DIFFERENT ?auto_5602 ?auto_5611 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5603 ?auto_5611 ?auto_5602 ?auto_5610 )
      ( DELIVER-PKG ?auto_5598 ?auto_5599 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_5891
      ?auto_5892
    )
    :vars
    (
      ?auto_5900
      ?auto_5895
      ?auto_5897
      ?auto_5896
      ?auto_5898
      ?auto_5901
      ?auto_5904
      ?auto_5903
    )
    :precondition
    ( and ( OBJ ?auto_5891 ) ( LOCATION ?auto_5892 ) ( TRUCK ?auto_5900 ) ( LOCATION ?auto_5895 ) ( CITY ?auto_5897 ) ( IN-CITY ?auto_5895 ?auto_5897 ) ( IN-CITY ?auto_5892 ?auto_5897 ) ( DIFFERENT ?auto_5892 ?auto_5895 ) ( AIRPLANE ?auto_5896 ) ( AIRPORT ?auto_5898 ) ( AIRPORT ?auto_5895 ) ( DIFFERENT ?auto_5895 ?auto_5898 ) ( LOCATION ?auto_5898 ) ( AT ?auto_5891 ?auto_5898 ) ( AIRPORT ?auto_5901 ) ( AT ?auto_5896 ?auto_5901 ) ( DIFFERENT ?auto_5898 ?auto_5901 ) ( LOCATION ?auto_5904 ) ( CITY ?auto_5903 ) ( AT ?auto_5900 ?auto_5904 ) ( IN-CITY ?auto_5904 ?auto_5903 ) ( IN-CITY ?auto_5895 ?auto_5903 ) ( DIFFERENT ?auto_5895 ?auto_5904 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_5900 ?auto_5904 ?auto_5895 ?auto_5903 )
      ( DELIVER-PKG ?auto_5891 ?auto_5892 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6145
      ?auto_6146
    )
    :vars
    (
      ?auto_6149
      ?auto_6150
      ?auto_6148
      ?auto_6151
      ?auto_6155
    )
    :precondition
    ( and ( OBJ ?auto_6145 ) ( LOCATION ?auto_6146 ) ( TRUCK ?auto_6149 ) ( LOCATION ?auto_6150 ) ( CITY ?auto_6148 ) ( AT ?auto_6149 ?auto_6150 ) ( IN-CITY ?auto_6150 ?auto_6148 ) ( IN-CITY ?auto_6146 ?auto_6148 ) ( DIFFERENT ?auto_6146 ?auto_6150 ) ( LOCATION ?auto_6151 ) ( AT ?auto_6149 ?auto_6151 ) ( TRUCK ?auto_6155 ) ( AT ?auto_6155 ?auto_6151 ) ( IN ?auto_6145 ?auto_6155 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6145 ?auto_6151 )
      ( DELIVER-PKG ?auto_6145 ?auto_6146 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6335
      ?auto_6336
    )
    :vars
    (
      ?auto_6344
      ?auto_6342
      ?auto_6340
      ?auto_6338
      ?auto_6343
      ?auto_6345
      ?auto_6341
      ?auto_6348
    )
    :precondition
    ( and ( OBJ ?auto_6335 ) ( LOCATION ?auto_6336 ) ( AIRPLANE ?auto_6344 ) ( AIRPORT ?auto_6342 ) ( AIRPORT ?auto_6336 ) ( AT ?auto_6344 ?auto_6342 ) ( DIFFERENT ?auto_6336 ?auto_6342 ) ( LOCATION ?auto_6340 ) ( AT ?auto_6344 ?auto_6340 ) ( TRUCK ?auto_6338 ) ( LOCATION ?auto_6343 ) ( CITY ?auto_6345 ) ( AT ?auto_6338 ?auto_6343 ) ( IN-CITY ?auto_6343 ?auto_6345 ) ( IN-CITY ?auto_6340 ?auto_6345 ) ( DIFFERENT ?auto_6340 ?auto_6343 ) ( LOCATION ?auto_6341 ) ( AT ?auto_6338 ?auto_6341 ) ( TRUCK ?auto_6348 ) ( AT ?auto_6348 ?auto_6341 ) ( IN ?auto_6335 ?auto_6348 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6335 ?auto_6341 )
      ( DELIVER-PKG ?auto_6335 ?auto_6336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6349
      ?auto_6350
    )
    :vars
    (
      ?auto_6359
      ?auto_6351
      ?auto_6352
      ?auto_6358
      ?auto_6355
      ?auto_6353
      ?auto_6363
      ?auto_6362
    )
    :precondition
    ( and ( OBJ ?auto_6349 ) ( LOCATION ?auto_6350 ) ( AIRPLANE ?auto_6359 ) ( AIRPORT ?auto_6351 ) ( AIRPORT ?auto_6350 ) ( AT ?auto_6359 ?auto_6351 ) ( DIFFERENT ?auto_6350 ?auto_6351 ) ( LOCATION ?auto_6352 ) ( AT ?auto_6359 ?auto_6352 ) ( TRUCK ?auto_6358 ) ( LOCATION ?auto_6355 ) ( CITY ?auto_6353 ) ( IN-CITY ?auto_6355 ?auto_6353 ) ( IN-CITY ?auto_6352 ?auto_6353 ) ( DIFFERENT ?auto_6352 ?auto_6355 ) ( IN ?auto_6349 ?auto_6358 ) ( LOCATION ?auto_6363 ) ( CITY ?auto_6362 ) ( AT ?auto_6358 ?auto_6363 ) ( IN-CITY ?auto_6363 ?auto_6362 ) ( IN-CITY ?auto_6355 ?auto_6362 ) ( DIFFERENT ?auto_6355 ?auto_6363 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6358 ?auto_6363 ?auto_6355 ?auto_6362 )
      ( DELIVER-PKG ?auto_6349 ?auto_6350 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6365
      ?auto_6366
    )
    :vars
    (
      ?auto_6367
      ?auto_6371
      ?auto_6374
      ?auto_6369
      ?auto_6376
      ?auto_6375
      ?auto_6373
      ?auto_6368
      ?auto_6378
    )
    :precondition
    ( and ( OBJ ?auto_6365 ) ( LOCATION ?auto_6366 ) ( AIRPLANE ?auto_6367 ) ( AIRPORT ?auto_6371 ) ( AIRPORT ?auto_6366 ) ( AT ?auto_6367 ?auto_6371 ) ( DIFFERENT ?auto_6366 ?auto_6371 ) ( LOCATION ?auto_6374 ) ( AT ?auto_6367 ?auto_6374 ) ( TRUCK ?auto_6369 ) ( LOCATION ?auto_6376 ) ( CITY ?auto_6375 ) ( IN-CITY ?auto_6376 ?auto_6375 ) ( IN-CITY ?auto_6374 ?auto_6375 ) ( DIFFERENT ?auto_6374 ?auto_6376 ) ( LOCATION ?auto_6373 ) ( CITY ?auto_6368 ) ( AT ?auto_6369 ?auto_6373 ) ( IN-CITY ?auto_6373 ?auto_6368 ) ( IN-CITY ?auto_6376 ?auto_6368 ) ( DIFFERENT ?auto_6376 ?auto_6373 ) ( LOCATION ?auto_6378 ) ( AT ?auto_6369 ?auto_6378 ) ( AT ?auto_6365 ?auto_6378 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6365 ?auto_6369 ?auto_6378 )
      ( DELIVER-PKG ?auto_6365 ?auto_6366 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6393
      ?auto_6394
    )
    :vars
    (
      ?auto_6403
      ?auto_6398
      ?auto_6395
      ?auto_6404
      ?auto_6397
      ?auto_6402
      ?auto_6399
      ?auto_6405
      ?auto_6408
      ?auto_6407
    )
    :precondition
    ( and ( OBJ ?auto_6393 ) ( LOCATION ?auto_6394 ) ( AIRPLANE ?auto_6403 ) ( AIRPORT ?auto_6398 ) ( AIRPORT ?auto_6394 ) ( AT ?auto_6403 ?auto_6398 ) ( DIFFERENT ?auto_6394 ?auto_6398 ) ( LOCATION ?auto_6395 ) ( AT ?auto_6403 ?auto_6395 ) ( TRUCK ?auto_6404 ) ( LOCATION ?auto_6397 ) ( CITY ?auto_6402 ) ( IN-CITY ?auto_6397 ?auto_6402 ) ( IN-CITY ?auto_6395 ?auto_6402 ) ( DIFFERENT ?auto_6395 ?auto_6397 ) ( LOCATION ?auto_6399 ) ( CITY ?auto_6405 ) ( IN-CITY ?auto_6399 ?auto_6405 ) ( IN-CITY ?auto_6397 ?auto_6405 ) ( DIFFERENT ?auto_6397 ?auto_6399 ) ( AT ?auto_6393 ?auto_6399 ) ( LOCATION ?auto_6408 ) ( CITY ?auto_6407 ) ( AT ?auto_6404 ?auto_6408 ) ( IN-CITY ?auto_6408 ?auto_6407 ) ( IN-CITY ?auto_6399 ?auto_6407 ) ( DIFFERENT ?auto_6399 ?auto_6408 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6404 ?auto_6408 ?auto_6399 ?auto_6407 )
      ( DELIVER-PKG ?auto_6393 ?auto_6394 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6410
      ?auto_6411
    )
    :vars
    (
      ?auto_6422
      ?auto_6414
      ?auto_6417
      ?auto_6423
      ?auto_6413
      ?auto_6415
      ?auto_6412
      ?auto_6420
      ?auto_6419
      ?auto_6425
    )
    :precondition
    ( and ( OBJ ?auto_6410 ) ( LOCATION ?auto_6411 ) ( AIRPLANE ?auto_6422 ) ( AIRPORT ?auto_6414 ) ( AIRPORT ?auto_6411 ) ( DIFFERENT ?auto_6411 ?auto_6414 ) ( LOCATION ?auto_6414 ) ( TRUCK ?auto_6417 ) ( LOCATION ?auto_6423 ) ( CITY ?auto_6413 ) ( IN-CITY ?auto_6423 ?auto_6413 ) ( IN-CITY ?auto_6414 ?auto_6413 ) ( DIFFERENT ?auto_6414 ?auto_6423 ) ( LOCATION ?auto_6415 ) ( CITY ?auto_6412 ) ( IN-CITY ?auto_6415 ?auto_6412 ) ( IN-CITY ?auto_6423 ?auto_6412 ) ( DIFFERENT ?auto_6423 ?auto_6415 ) ( AT ?auto_6410 ?auto_6415 ) ( LOCATION ?auto_6420 ) ( CITY ?auto_6419 ) ( AT ?auto_6417 ?auto_6420 ) ( IN-CITY ?auto_6420 ?auto_6419 ) ( IN-CITY ?auto_6415 ?auto_6419 ) ( DIFFERENT ?auto_6415 ?auto_6420 ) ( AIRPORT ?auto_6425 ) ( AT ?auto_6422 ?auto_6425 ) ( DIFFERENT ?auto_6414 ?auto_6425 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6422 ?auto_6425 ?auto_6414 )
      ( DELIVER-PKG ?auto_6410 ?auto_6411 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6575
      ?auto_6576
    )
    :vars
    (
      ?auto_6580
      ?auto_6579
      ?auto_6583
      ?auto_6581
      ?auto_6584
      ?auto_6585
      ?auto_6582
      ?auto_6587
    )
    :precondition
    ( and ( OBJ ?auto_6575 ) ( LOCATION ?auto_6576 ) ( TRUCK ?auto_6580 ) ( LOCATION ?auto_6579 ) ( CITY ?auto_6583 ) ( AT ?auto_6580 ?auto_6579 ) ( IN-CITY ?auto_6579 ?auto_6583 ) ( IN-CITY ?auto_6576 ?auto_6583 ) ( DIFFERENT ?auto_6576 ?auto_6579 ) ( LOCATION ?auto_6581 ) ( AT ?auto_6580 ?auto_6581 ) ( AIRPLANE ?auto_6584 ) ( AIRPORT ?auto_6585 ) ( AIRPORT ?auto_6581 ) ( AT ?auto_6584 ?auto_6585 ) ( DIFFERENT ?auto_6581 ?auto_6585 ) ( LOCATION ?auto_6582 ) ( AT ?auto_6584 ?auto_6582 ) ( TRUCK ?auto_6587 ) ( AT ?auto_6587 ?auto_6582 ) ( IN ?auto_6575 ?auto_6587 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6575 ?auto_6582 )
      ( DELIVER-PKG ?auto_6575 ?auto_6576 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6589
      ?auto_6590
    )
    :vars
    (
      ?auto_6594
      ?auto_6600
      ?auto_6599
      ?auto_6592
      ?auto_6591
      ?auto_6598
      ?auto_6595
      ?auto_6596
      ?auto_6603
      ?auto_6602
    )
    :precondition
    ( and ( OBJ ?auto_6589 ) ( LOCATION ?auto_6590 ) ( TRUCK ?auto_6594 ) ( LOCATION ?auto_6600 ) ( CITY ?auto_6599 ) ( AT ?auto_6594 ?auto_6600 ) ( IN-CITY ?auto_6600 ?auto_6599 ) ( IN-CITY ?auto_6590 ?auto_6599 ) ( DIFFERENT ?auto_6590 ?auto_6600 ) ( LOCATION ?auto_6592 ) ( AT ?auto_6594 ?auto_6592 ) ( AIRPLANE ?auto_6591 ) ( AIRPORT ?auto_6598 ) ( AIRPORT ?auto_6592 ) ( AT ?auto_6591 ?auto_6598 ) ( DIFFERENT ?auto_6592 ?auto_6598 ) ( LOCATION ?auto_6595 ) ( AT ?auto_6591 ?auto_6595 ) ( TRUCK ?auto_6596 ) ( IN ?auto_6589 ?auto_6596 ) ( LOCATION ?auto_6603 ) ( CITY ?auto_6602 ) ( AT ?auto_6596 ?auto_6603 ) ( IN-CITY ?auto_6603 ?auto_6602 ) ( IN-CITY ?auto_6595 ?auto_6602 ) ( DIFFERENT ?auto_6595 ?auto_6603 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6596 ?auto_6603 ?auto_6595 ?auto_6602 )
      ( DELIVER-PKG ?auto_6589 ?auto_6590 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6605
      ?auto_6606
    )
    :vars
    (
      ?auto_6612
      ?auto_6608
      ?auto_6613
      ?auto_6617
      ?auto_6618
      ?auto_6616
      ?auto_6614
      ?auto_6610
      ?auto_6607
      ?auto_6609
      ?auto_6620
    )
    :precondition
    ( and ( OBJ ?auto_6605 ) ( LOCATION ?auto_6606 ) ( TRUCK ?auto_6612 ) ( LOCATION ?auto_6608 ) ( CITY ?auto_6613 ) ( AT ?auto_6612 ?auto_6608 ) ( IN-CITY ?auto_6608 ?auto_6613 ) ( IN-CITY ?auto_6606 ?auto_6613 ) ( DIFFERENT ?auto_6606 ?auto_6608 ) ( LOCATION ?auto_6617 ) ( AT ?auto_6612 ?auto_6617 ) ( AIRPLANE ?auto_6618 ) ( AIRPORT ?auto_6616 ) ( AIRPORT ?auto_6617 ) ( AT ?auto_6618 ?auto_6616 ) ( DIFFERENT ?auto_6617 ?auto_6616 ) ( LOCATION ?auto_6614 ) ( AT ?auto_6618 ?auto_6614 ) ( TRUCK ?auto_6610 ) ( LOCATION ?auto_6607 ) ( CITY ?auto_6609 ) ( AT ?auto_6610 ?auto_6607 ) ( IN-CITY ?auto_6607 ?auto_6609 ) ( IN-CITY ?auto_6614 ?auto_6609 ) ( DIFFERENT ?auto_6614 ?auto_6607 ) ( LOCATION ?auto_6620 ) ( AT ?auto_6610 ?auto_6620 ) ( AT ?auto_6605 ?auto_6620 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6605 ?auto_6610 ?auto_6620 )
      ( DELIVER-PKG ?auto_6605 ?auto_6606 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6622
      ?auto_6623
    )
    :vars
    (
      ?auto_6636
      ?auto_6631
      ?auto_6627
      ?auto_6628
      ?auto_6634
      ?auto_6626
      ?auto_6625
      ?auto_6633
      ?auto_6632
      ?auto_6635
      ?auto_6629
      ?auto_6639
    )
    :precondition
    ( and ( OBJ ?auto_6622 ) ( LOCATION ?auto_6623 ) ( TRUCK ?auto_6636 ) ( LOCATION ?auto_6631 ) ( CITY ?auto_6627 ) ( AT ?auto_6636 ?auto_6631 ) ( IN-CITY ?auto_6631 ?auto_6627 ) ( IN-CITY ?auto_6623 ?auto_6627 ) ( DIFFERENT ?auto_6623 ?auto_6631 ) ( LOCATION ?auto_6628 ) ( AT ?auto_6636 ?auto_6628 ) ( AIRPLANE ?auto_6634 ) ( AIRPORT ?auto_6626 ) ( AIRPORT ?auto_6628 ) ( AT ?auto_6634 ?auto_6626 ) ( DIFFERENT ?auto_6628 ?auto_6626 ) ( LOCATION ?auto_6625 ) ( AT ?auto_6634 ?auto_6625 ) ( TRUCK ?auto_6633 ) ( LOCATION ?auto_6632 ) ( CITY ?auto_6635 ) ( AT ?auto_6633 ?auto_6632 ) ( IN-CITY ?auto_6632 ?auto_6635 ) ( IN-CITY ?auto_6625 ?auto_6635 ) ( DIFFERENT ?auto_6625 ?auto_6632 ) ( LOCATION ?auto_6629 ) ( AT ?auto_6633 ?auto_6629 ) ( TRUCK ?auto_6639 ) ( AT ?auto_6639 ?auto_6629 ) ( IN ?auto_6622 ?auto_6639 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_6622 ?auto_6629 )
      ( DELIVER-PKG ?auto_6622 ?auto_6623 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6640
      ?auto_6641
    )
    :vars
    (
      ?auto_6643
      ?auto_6644
      ?auto_6654
      ?auto_6655
      ?auto_6642
      ?auto_6651
      ?auto_6652
      ?auto_6649
      ?auto_6648
      ?auto_6645
      ?auto_6658
      ?auto_6657
    )
    :precondition
    ( and ( OBJ ?auto_6640 ) ( LOCATION ?auto_6641 ) ( TRUCK ?auto_6643 ) ( LOCATION ?auto_6644 ) ( CITY ?auto_6654 ) ( AT ?auto_6643 ?auto_6644 ) ( IN-CITY ?auto_6644 ?auto_6654 ) ( IN-CITY ?auto_6641 ?auto_6654 ) ( DIFFERENT ?auto_6641 ?auto_6644 ) ( LOCATION ?auto_6655 ) ( AT ?auto_6643 ?auto_6655 ) ( AIRPLANE ?auto_6642 ) ( AIRPORT ?auto_6651 ) ( AIRPORT ?auto_6655 ) ( AT ?auto_6642 ?auto_6651 ) ( DIFFERENT ?auto_6655 ?auto_6651 ) ( LOCATION ?auto_6652 ) ( AT ?auto_6642 ?auto_6652 ) ( TRUCK ?auto_6649 ) ( LOCATION ?auto_6648 ) ( CITY ?auto_6645 ) ( IN-CITY ?auto_6648 ?auto_6645 ) ( IN-CITY ?auto_6652 ?auto_6645 ) ( DIFFERENT ?auto_6652 ?auto_6648 ) ( IN ?auto_6640 ?auto_6649 ) ( LOCATION ?auto_6658 ) ( CITY ?auto_6657 ) ( AT ?auto_6649 ?auto_6658 ) ( IN-CITY ?auto_6658 ?auto_6657 ) ( IN-CITY ?auto_6648 ?auto_6657 ) ( DIFFERENT ?auto_6648 ?auto_6658 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6649 ?auto_6658 ?auto_6648 ?auto_6657 )
      ( DELIVER-PKG ?auto_6640 ?auto_6641 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6660
      ?auto_6661
    )
    :vars
    (
      ?auto_6673
      ?auto_6674
      ?auto_6669
      ?auto_6663
      ?auto_6667
      ?auto_6666
      ?auto_6665
      ?auto_6664
      ?auto_6662
      ?auto_6675
      ?auto_6671
      ?auto_6672
      ?auto_6677
    )
    :precondition
    ( and ( OBJ ?auto_6660 ) ( LOCATION ?auto_6661 ) ( TRUCK ?auto_6673 ) ( LOCATION ?auto_6674 ) ( CITY ?auto_6669 ) ( AT ?auto_6673 ?auto_6674 ) ( IN-CITY ?auto_6674 ?auto_6669 ) ( IN-CITY ?auto_6661 ?auto_6669 ) ( DIFFERENT ?auto_6661 ?auto_6674 ) ( LOCATION ?auto_6663 ) ( AT ?auto_6673 ?auto_6663 ) ( AIRPLANE ?auto_6667 ) ( AIRPORT ?auto_6666 ) ( AIRPORT ?auto_6663 ) ( AT ?auto_6667 ?auto_6666 ) ( DIFFERENT ?auto_6663 ?auto_6666 ) ( LOCATION ?auto_6665 ) ( AT ?auto_6667 ?auto_6665 ) ( TRUCK ?auto_6664 ) ( LOCATION ?auto_6662 ) ( CITY ?auto_6675 ) ( IN-CITY ?auto_6662 ?auto_6675 ) ( IN-CITY ?auto_6665 ?auto_6675 ) ( DIFFERENT ?auto_6665 ?auto_6662 ) ( LOCATION ?auto_6671 ) ( CITY ?auto_6672 ) ( AT ?auto_6664 ?auto_6671 ) ( IN-CITY ?auto_6671 ?auto_6672 ) ( IN-CITY ?auto_6662 ?auto_6672 ) ( DIFFERENT ?auto_6662 ?auto_6671 ) ( LOCATION ?auto_6677 ) ( AT ?auto_6664 ?auto_6677 ) ( AT ?auto_6660 ?auto_6677 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_6660 ?auto_6664 ?auto_6677 )
      ( DELIVER-PKG ?auto_6660 ?auto_6661 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6696
      ?auto_6697
    )
    :vars
    (
      ?auto_6709
      ?auto_6702
      ?auto_6705
      ?auto_6699
      ?auto_6712
      ?auto_6711
      ?auto_6708
      ?auto_6710
      ?auto_6707
      ?auto_6698
      ?auto_6700
      ?auto_6704
      ?auto_6715
      ?auto_6714
    )
    :precondition
    ( and ( OBJ ?auto_6696 ) ( LOCATION ?auto_6697 ) ( TRUCK ?auto_6709 ) ( LOCATION ?auto_6702 ) ( CITY ?auto_6705 ) ( AT ?auto_6709 ?auto_6702 ) ( IN-CITY ?auto_6702 ?auto_6705 ) ( IN-CITY ?auto_6697 ?auto_6705 ) ( DIFFERENT ?auto_6697 ?auto_6702 ) ( LOCATION ?auto_6699 ) ( AT ?auto_6709 ?auto_6699 ) ( AIRPLANE ?auto_6712 ) ( AIRPORT ?auto_6711 ) ( AIRPORT ?auto_6699 ) ( AT ?auto_6712 ?auto_6711 ) ( DIFFERENT ?auto_6699 ?auto_6711 ) ( LOCATION ?auto_6708 ) ( AT ?auto_6712 ?auto_6708 ) ( TRUCK ?auto_6710 ) ( LOCATION ?auto_6707 ) ( CITY ?auto_6698 ) ( IN-CITY ?auto_6707 ?auto_6698 ) ( IN-CITY ?auto_6708 ?auto_6698 ) ( DIFFERENT ?auto_6708 ?auto_6707 ) ( LOCATION ?auto_6700 ) ( CITY ?auto_6704 ) ( IN-CITY ?auto_6700 ?auto_6704 ) ( IN-CITY ?auto_6707 ?auto_6704 ) ( DIFFERENT ?auto_6707 ?auto_6700 ) ( AT ?auto_6696 ?auto_6700 ) ( LOCATION ?auto_6715 ) ( CITY ?auto_6714 ) ( AT ?auto_6710 ?auto_6715 ) ( IN-CITY ?auto_6715 ?auto_6714 ) ( IN-CITY ?auto_6700 ?auto_6714 ) ( DIFFERENT ?auto_6700 ?auto_6715 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_6710 ?auto_6715 ?auto_6700 ?auto_6714 )
      ( DELIVER-PKG ?auto_6696 ?auto_6697 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_6717
      ?auto_6718
    )
    :vars
    (
      ?auto_6724
      ?auto_6725
      ?auto_6729
      ?auto_6733
      ?auto_6728
      ?auto_6722
      ?auto_6726
      ?auto_6730
      ?auto_6732
      ?auto_6720
      ?auto_6719
      ?auto_6734
      ?auto_6723
      ?auto_6736
    )
    :precondition
    ( and ( OBJ ?auto_6717 ) ( LOCATION ?auto_6718 ) ( TRUCK ?auto_6724 ) ( LOCATION ?auto_6725 ) ( CITY ?auto_6729 ) ( AT ?auto_6724 ?auto_6725 ) ( IN-CITY ?auto_6725 ?auto_6729 ) ( IN-CITY ?auto_6718 ?auto_6729 ) ( DIFFERENT ?auto_6718 ?auto_6725 ) ( LOCATION ?auto_6733 ) ( AT ?auto_6724 ?auto_6733 ) ( AIRPLANE ?auto_6728 ) ( AIRPORT ?auto_6722 ) ( AIRPORT ?auto_6733 ) ( DIFFERENT ?auto_6733 ?auto_6722 ) ( LOCATION ?auto_6722 ) ( TRUCK ?auto_6726 ) ( LOCATION ?auto_6730 ) ( CITY ?auto_6732 ) ( IN-CITY ?auto_6730 ?auto_6732 ) ( IN-CITY ?auto_6722 ?auto_6732 ) ( DIFFERENT ?auto_6722 ?auto_6730 ) ( LOCATION ?auto_6720 ) ( CITY ?auto_6719 ) ( IN-CITY ?auto_6720 ?auto_6719 ) ( IN-CITY ?auto_6730 ?auto_6719 ) ( DIFFERENT ?auto_6730 ?auto_6720 ) ( AT ?auto_6717 ?auto_6720 ) ( LOCATION ?auto_6734 ) ( CITY ?auto_6723 ) ( AT ?auto_6726 ?auto_6734 ) ( IN-CITY ?auto_6734 ?auto_6723 ) ( IN-CITY ?auto_6720 ?auto_6723 ) ( DIFFERENT ?auto_6720 ?auto_6734 ) ( AIRPORT ?auto_6736 ) ( AT ?auto_6728 ?auto_6736 ) ( DIFFERENT ?auto_6722 ?auto_6736 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_6728 ?auto_6736 ?auto_6722 )
      ( DELIVER-PKG ?auto_6717 ?auto_6718 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7269
      ?auto_7270
    )
    :vars
    (
      ?auto_7279
      ?auto_7278
      ?auto_7273
      ?auto_7277
      ?auto_7275
      ?auto_7271
      ?auto_7282
      ?auto_7281
    )
    :precondition
    ( and ( OBJ ?auto_7269 ) ( LOCATION ?auto_7270 ) ( AIRPLANE ?auto_7279 ) ( AIRPORT ?auto_7278 ) ( AIRPORT ?auto_7270 ) ( AT ?auto_7279 ?auto_7278 ) ( DIFFERENT ?auto_7270 ?auto_7278 ) ( LOCATION ?auto_7273 ) ( AT ?auto_7279 ?auto_7273 ) ( TRUCK ?auto_7277 ) ( LOCATION ?auto_7275 ) ( CITY ?auto_7271 ) ( IN-CITY ?auto_7275 ?auto_7271 ) ( IN-CITY ?auto_7273 ?auto_7271 ) ( DIFFERENT ?auto_7273 ?auto_7275 ) ( AT ?auto_7269 ?auto_7275 ) ( LOCATION ?auto_7282 ) ( CITY ?auto_7281 ) ( AT ?auto_7277 ?auto_7282 ) ( IN-CITY ?auto_7282 ?auto_7281 ) ( IN-CITY ?auto_7275 ?auto_7281 ) ( DIFFERENT ?auto_7275 ?auto_7282 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7277 ?auto_7282 ?auto_7275 ?auto_7281 )
      ( DELIVER-PKG ?auto_7269 ?auto_7270 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7308
      ?auto_7309
    )
    :vars
    (
      ?auto_7315
      ?auto_7311
      ?auto_7312
      ?auto_7310
      ?auto_7314
      ?auto_7317
      ?auto_7316
      ?auto_7321
    )
    :precondition
    ( and ( OBJ ?auto_7308 ) ( LOCATION ?auto_7309 ) ( AIRPLANE ?auto_7315 ) ( AIRPORT ?auto_7311 ) ( AIRPORT ?auto_7309 ) ( DIFFERENT ?auto_7309 ?auto_7311 ) ( LOCATION ?auto_7311 ) ( TRUCK ?auto_7312 ) ( LOCATION ?auto_7310 ) ( CITY ?auto_7314 ) ( IN-CITY ?auto_7310 ?auto_7314 ) ( IN-CITY ?auto_7311 ?auto_7314 ) ( DIFFERENT ?auto_7311 ?auto_7310 ) ( AT ?auto_7308 ?auto_7310 ) ( LOCATION ?auto_7317 ) ( CITY ?auto_7316 ) ( AT ?auto_7312 ?auto_7317 ) ( IN-CITY ?auto_7317 ?auto_7316 ) ( IN-CITY ?auto_7310 ?auto_7316 ) ( DIFFERENT ?auto_7310 ?auto_7317 ) ( AIRPORT ?auto_7321 ) ( AT ?auto_7315 ?auto_7321 ) ( DIFFERENT ?auto_7311 ?auto_7321 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7315 ?auto_7321 ?auto_7311 )
      ( DELIVER-PKG ?auto_7308 ?auto_7309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7431
      ?auto_7432
    )
    :vars
    (
      ?auto_7438
      ?auto_7441
      ?auto_7433
      ?auto_7436
      ?auto_7434
      ?auto_7440
      ?auto_7439
      ?auto_7442
      ?auto_7444
    )
    :precondition
    ( and ( OBJ ?auto_7431 ) ( LOCATION ?auto_7432 ) ( AIRPLANE ?auto_7438 ) ( AIRPORT ?auto_7441 ) ( AIRPORT ?auto_7432 ) ( DIFFERENT ?auto_7432 ?auto_7441 ) ( LOCATION ?auto_7441 ) ( TRUCK ?auto_7433 ) ( LOCATION ?auto_7436 ) ( CITY ?auto_7434 ) ( IN-CITY ?auto_7436 ?auto_7434 ) ( IN-CITY ?auto_7441 ?auto_7434 ) ( DIFFERENT ?auto_7441 ?auto_7436 ) ( AT ?auto_7431 ?auto_7436 ) ( LOCATION ?auto_7440 ) ( CITY ?auto_7439 ) ( AT ?auto_7433 ?auto_7440 ) ( IN-CITY ?auto_7440 ?auto_7439 ) ( IN-CITY ?auto_7436 ?auto_7439 ) ( DIFFERENT ?auto_7436 ?auto_7440 ) ( AIRPORT ?auto_7442 ) ( DIFFERENT ?auto_7441 ?auto_7442 ) ( AIRPORT ?auto_7444 ) ( AT ?auto_7438 ?auto_7444 ) ( DIFFERENT ?auto_7442 ?auto_7444 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7438 ?auto_7444 ?auto_7442 )
      ( DELIVER-PKG ?auto_7431 ?auto_7432 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7722
      ?auto_7723
    )
    :vars
    (
      ?auto_7725
      ?auto_7733
      ?auto_7727
      ?auto_7736
      ?auto_7726
      ?auto_7734
      ?auto_7735
      ?auto_7724
      ?auto_7730
      ?auto_7732
      ?auto_7739
      ?auto_7738
    )
    :precondition
    ( and ( OBJ ?auto_7722 ) ( LOCATION ?auto_7723 ) ( TRUCK ?auto_7725 ) ( LOCATION ?auto_7733 ) ( CITY ?auto_7727 ) ( AT ?auto_7725 ?auto_7733 ) ( IN-CITY ?auto_7733 ?auto_7727 ) ( IN-CITY ?auto_7723 ?auto_7727 ) ( DIFFERENT ?auto_7723 ?auto_7733 ) ( LOCATION ?auto_7736 ) ( AT ?auto_7725 ?auto_7736 ) ( AIRPLANE ?auto_7726 ) ( AIRPORT ?auto_7734 ) ( AIRPORT ?auto_7736 ) ( AT ?auto_7726 ?auto_7734 ) ( DIFFERENT ?auto_7736 ?auto_7734 ) ( LOCATION ?auto_7735 ) ( AT ?auto_7726 ?auto_7735 ) ( TRUCK ?auto_7724 ) ( LOCATION ?auto_7730 ) ( CITY ?auto_7732 ) ( IN-CITY ?auto_7730 ?auto_7732 ) ( IN-CITY ?auto_7735 ?auto_7732 ) ( DIFFERENT ?auto_7735 ?auto_7730 ) ( AT ?auto_7722 ?auto_7730 ) ( LOCATION ?auto_7739 ) ( CITY ?auto_7738 ) ( AT ?auto_7724 ?auto_7739 ) ( IN-CITY ?auto_7739 ?auto_7738 ) ( IN-CITY ?auto_7730 ?auto_7738 ) ( DIFFERENT ?auto_7730 ?auto_7739 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7724 ?auto_7739 ?auto_7730 ?auto_7738 )
      ( DELIVER-PKG ?auto_7722 ?auto_7723 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7773
      ?auto_7774
    )
    :vars
    (
      ?auto_7787
      ?auto_7778
      ?auto_7776
      ?auto_7782
      ?auto_7775
      ?auto_7781
      ?auto_7788
      ?auto_7779
      ?auto_7777
      ?auto_7786
      ?auto_7785
      ?auto_7790
    )
    :precondition
    ( and ( OBJ ?auto_7773 ) ( LOCATION ?auto_7774 ) ( TRUCK ?auto_7787 ) ( LOCATION ?auto_7778 ) ( CITY ?auto_7776 ) ( AT ?auto_7787 ?auto_7778 ) ( IN-CITY ?auto_7778 ?auto_7776 ) ( IN-CITY ?auto_7774 ?auto_7776 ) ( DIFFERENT ?auto_7774 ?auto_7778 ) ( LOCATION ?auto_7782 ) ( AT ?auto_7787 ?auto_7782 ) ( AIRPLANE ?auto_7775 ) ( AIRPORT ?auto_7781 ) ( AIRPORT ?auto_7782 ) ( DIFFERENT ?auto_7782 ?auto_7781 ) ( LOCATION ?auto_7781 ) ( TRUCK ?auto_7788 ) ( LOCATION ?auto_7779 ) ( CITY ?auto_7777 ) ( IN-CITY ?auto_7779 ?auto_7777 ) ( IN-CITY ?auto_7781 ?auto_7777 ) ( DIFFERENT ?auto_7781 ?auto_7779 ) ( AT ?auto_7773 ?auto_7779 ) ( LOCATION ?auto_7786 ) ( CITY ?auto_7785 ) ( AT ?auto_7788 ?auto_7786 ) ( IN-CITY ?auto_7786 ?auto_7785 ) ( IN-CITY ?auto_7779 ?auto_7785 ) ( DIFFERENT ?auto_7779 ?auto_7786 ) ( AIRPORT ?auto_7790 ) ( AT ?auto_7775 ?auto_7790 ) ( DIFFERENT ?auto_7781 ?auto_7790 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7775 ?auto_7790 ?auto_7781 )
      ( DELIVER-PKG ?auto_7773 ?auto_7774 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7904
      ?auto_7905
    )
    :vars
    (
      ?auto_7914
      ?auto_7908
      ?auto_7906
      ?auto_7909
      ?auto_7907
      ?auto_7915
      ?auto_7911
      ?auto_7918
      ?auto_7913
      ?auto_7912
      ?auto_7919
      ?auto_7922
      ?auto_7921
    )
    :precondition
    ( and ( OBJ ?auto_7904 ) ( LOCATION ?auto_7905 ) ( TRUCK ?auto_7914 ) ( LOCATION ?auto_7908 ) ( CITY ?auto_7906 ) ( IN-CITY ?auto_7908 ?auto_7906 ) ( IN-CITY ?auto_7905 ?auto_7906 ) ( DIFFERENT ?auto_7905 ?auto_7908 ) ( AIRPLANE ?auto_7909 ) ( AIRPORT ?auto_7907 ) ( AIRPORT ?auto_7908 ) ( DIFFERENT ?auto_7908 ?auto_7907 ) ( LOCATION ?auto_7907 ) ( TRUCK ?auto_7915 ) ( LOCATION ?auto_7911 ) ( CITY ?auto_7918 ) ( IN-CITY ?auto_7911 ?auto_7918 ) ( IN-CITY ?auto_7907 ?auto_7918 ) ( DIFFERENT ?auto_7907 ?auto_7911 ) ( AT ?auto_7904 ?auto_7911 ) ( LOCATION ?auto_7913 ) ( CITY ?auto_7912 ) ( AT ?auto_7915 ?auto_7913 ) ( IN-CITY ?auto_7913 ?auto_7912 ) ( IN-CITY ?auto_7911 ?auto_7912 ) ( DIFFERENT ?auto_7911 ?auto_7913 ) ( AIRPORT ?auto_7919 ) ( AT ?auto_7909 ?auto_7919 ) ( DIFFERENT ?auto_7907 ?auto_7919 ) ( LOCATION ?auto_7922 ) ( CITY ?auto_7921 ) ( AT ?auto_7914 ?auto_7922 ) ( IN-CITY ?auto_7922 ?auto_7921 ) ( IN-CITY ?auto_7908 ?auto_7921 ) ( DIFFERENT ?auto_7908 ?auto_7922 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_7914 ?auto_7922 ?auto_7908 ?auto_7921 )
      ( DELIVER-PKG ?auto_7904 ?auto_7905 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_7941
      ?auto_7942
    )
    :vars
    (
      ?auto_7952
      ?auto_7946
      ?auto_7944
      ?auto_7948
      ?auto_7945
      ?auto_7953
      ?auto_7949
      ?auto_7954
      ?auto_7951
      ?auto_7950
      ?auto_7955
      ?auto_7957
      ?auto_7956
      ?auto_7959
    )
    :precondition
    ( and ( OBJ ?auto_7941 ) ( LOCATION ?auto_7942 ) ( TRUCK ?auto_7952 ) ( LOCATION ?auto_7946 ) ( CITY ?auto_7944 ) ( IN-CITY ?auto_7946 ?auto_7944 ) ( IN-CITY ?auto_7942 ?auto_7944 ) ( DIFFERENT ?auto_7942 ?auto_7946 ) ( AIRPLANE ?auto_7948 ) ( AIRPORT ?auto_7945 ) ( AIRPORT ?auto_7946 ) ( DIFFERENT ?auto_7946 ?auto_7945 ) ( LOCATION ?auto_7945 ) ( TRUCK ?auto_7953 ) ( LOCATION ?auto_7949 ) ( CITY ?auto_7954 ) ( IN-CITY ?auto_7949 ?auto_7954 ) ( IN-CITY ?auto_7945 ?auto_7954 ) ( DIFFERENT ?auto_7945 ?auto_7949 ) ( AT ?auto_7941 ?auto_7949 ) ( LOCATION ?auto_7951 ) ( CITY ?auto_7950 ) ( AT ?auto_7953 ?auto_7951 ) ( IN-CITY ?auto_7951 ?auto_7950 ) ( IN-CITY ?auto_7949 ?auto_7950 ) ( DIFFERENT ?auto_7949 ?auto_7951 ) ( AIRPORT ?auto_7955 ) ( DIFFERENT ?auto_7945 ?auto_7955 ) ( LOCATION ?auto_7957 ) ( CITY ?auto_7956 ) ( AT ?auto_7952 ?auto_7957 ) ( IN-CITY ?auto_7957 ?auto_7956 ) ( IN-CITY ?auto_7946 ?auto_7956 ) ( DIFFERENT ?auto_7946 ?auto_7957 ) ( AIRPORT ?auto_7959 ) ( AT ?auto_7948 ?auto_7959 ) ( DIFFERENT ?auto_7955 ?auto_7959 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_7948 ?auto_7959 ?auto_7955 )
      ( DELIVER-PKG ?auto_7941 ?auto_7942 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8247
      ?auto_8248
    )
    :vars
    (
      ?auto_8251
      ?auto_8253
    )
    :precondition
    ( and ( OBJ ?auto_8247 ) ( LOCATION ?auto_8248 ) ( TRUCK ?auto_8251 ) ( AT ?auto_8251 ?auto_8248 ) ( LOCATION ?auto_8253 ) ( AT ?auto_8251 ?auto_8253 ) ( AT ?auto_8247 ?auto_8253 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8247 ?auto_8251 ?auto_8253 )
      ( DELIVER-PKG ?auto_8247 ?auto_8248 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8261
      ?auto_8262
    )
    :vars
    (
      ?auto_8264
      ?auto_8265
      ?auto_8268
    )
    :precondition
    ( and ( OBJ ?auto_8261 ) ( LOCATION ?auto_8262 ) ( TRUCK ?auto_8264 ) ( AT ?auto_8264 ?auto_8262 ) ( LOCATION ?auto_8265 ) ( AT ?auto_8264 ?auto_8265 ) ( TRUCK ?auto_8268 ) ( AT ?auto_8268 ?auto_8265 ) ( IN ?auto_8261 ?auto_8268 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8261 ?auto_8265 )
      ( DELIVER-PKG ?auto_8261 ?auto_8262 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8440
      ?auto_8441
    )
    :vars
    (
      ?auto_8445
      ?auto_8447
      ?auto_8443
      ?auto_8446
      ?auto_8449
    )
    :precondition
    ( and ( OBJ ?auto_8440 ) ( LOCATION ?auto_8441 ) ( AIRPLANE ?auto_8445 ) ( AIRPORT ?auto_8447 ) ( AIRPORT ?auto_8441 ) ( AT ?auto_8445 ?auto_8447 ) ( DIFFERENT ?auto_8441 ?auto_8447 ) ( LOCATION ?auto_8443 ) ( AT ?auto_8445 ?auto_8443 ) ( TRUCK ?auto_8446 ) ( AT ?auto_8446 ?auto_8443 ) ( LOCATION ?auto_8449 ) ( AT ?auto_8446 ?auto_8449 ) ( AT ?auto_8440 ?auto_8449 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8440 ?auto_8446 ?auto_8449 )
      ( DELIVER-PKG ?auto_8440 ?auto_8441 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8530
      ?auto_8531
    )
    :vars
    (
      ?auto_8532
      ?auto_8535
      ?auto_8536
      ?auto_8540
      ?auto_8533
      ?auto_8539
      ?auto_8542
    )
    :precondition
    ( and ( OBJ ?auto_8530 ) ( LOCATION ?auto_8531 ) ( AIRPLANE ?auto_8532 ) ( AIRPORT ?auto_8535 ) ( AIRPORT ?auto_8531 ) ( DIFFERENT ?auto_8531 ?auto_8535 ) ( LOCATION ?auto_8535 ) ( TRUCK ?auto_8536 ) ( LOCATION ?auto_8540 ) ( CITY ?auto_8533 ) ( AT ?auto_8536 ?auto_8540 ) ( IN-CITY ?auto_8540 ?auto_8533 ) ( IN-CITY ?auto_8535 ?auto_8533 ) ( DIFFERENT ?auto_8535 ?auto_8540 ) ( LOCATION ?auto_8539 ) ( AT ?auto_8536 ?auto_8539 ) ( AT ?auto_8530 ?auto_8539 ) ( AIRPORT ?auto_8542 ) ( AT ?auto_8532 ?auto_8542 ) ( DIFFERENT ?auto_8535 ?auto_8542 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8532 ?auto_8542 ?auto_8535 )
      ( DELIVER-PKG ?auto_8530 ?auto_8531 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8919
      ?auto_8920
    )
    :vars
    (
      ?auto_8921
      ?auto_8922
      ?auto_8923
      ?auto_8927
    )
    :precondition
    ( and ( OBJ ?auto_8919 ) ( LOCATION ?auto_8920 ) ( AIRPLANE ?auto_8921 ) ( AIRPORT ?auto_8922 ) ( AIRPORT ?auto_8920 ) ( DIFFERENT ?auto_8920 ?auto_8922 ) ( LOCATION ?auto_8922 ) ( AT ?auto_8919 ?auto_8922 ) ( AIRPORT ?auto_8923 ) ( DIFFERENT ?auto_8922 ?auto_8923 ) ( AIRPORT ?auto_8927 ) ( AT ?auto_8921 ?auto_8927 ) ( DIFFERENT ?auto_8923 ?auto_8927 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_8921 ?auto_8927 ?auto_8923 )
      ( DELIVER-PKG ?auto_8919 ?auto_8920 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8953
      ?auto_8954
    )
    :vars
    (
      ?auto_8956
      ?auto_8957
      ?auto_8958
      ?auto_8960
      ?auto_8962
    )
    :precondition
    ( and ( OBJ ?auto_8953 ) ( LOCATION ?auto_8954 ) ( AIRPLANE ?auto_8956 ) ( AIRPORT ?auto_8957 ) ( AIRPORT ?auto_8954 ) ( DIFFERENT ?auto_8954 ?auto_8957 ) ( LOCATION ?auto_8957 ) ( AIRPORT ?auto_8958 ) ( DIFFERENT ?auto_8957 ?auto_8958 ) ( AIRPORT ?auto_8960 ) ( AT ?auto_8956 ?auto_8960 ) ( DIFFERENT ?auto_8958 ?auto_8960 ) ( TRUCK ?auto_8962 ) ( AT ?auto_8962 ?auto_8957 ) ( IN ?auto_8953 ?auto_8962 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_8953 ?auto_8957 )
      ( DELIVER-PKG ?auto_8953 ?auto_8954 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8973
      ?auto_8974
    )
    :vars
    (
      ?auto_8976
      ?auto_8977
      ?auto_8979
      ?auto_8980
      ?auto_8981
      ?auto_8984
      ?auto_8983
    )
    :precondition
    ( and ( OBJ ?auto_8973 ) ( LOCATION ?auto_8974 ) ( AIRPLANE ?auto_8976 ) ( AIRPORT ?auto_8977 ) ( AIRPORT ?auto_8974 ) ( DIFFERENT ?auto_8974 ?auto_8977 ) ( LOCATION ?auto_8977 ) ( AIRPORT ?auto_8979 ) ( DIFFERENT ?auto_8977 ?auto_8979 ) ( AIRPORT ?auto_8980 ) ( AT ?auto_8976 ?auto_8980 ) ( DIFFERENT ?auto_8979 ?auto_8980 ) ( TRUCK ?auto_8981 ) ( IN ?auto_8973 ?auto_8981 ) ( LOCATION ?auto_8984 ) ( CITY ?auto_8983 ) ( AT ?auto_8981 ?auto_8984 ) ( IN-CITY ?auto_8984 ?auto_8983 ) ( IN-CITY ?auto_8977 ?auto_8983 ) ( DIFFERENT ?auto_8977 ?auto_8984 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_8981 ?auto_8984 ?auto_8977 ?auto_8983 )
      ( DELIVER-PKG ?auto_8973 ?auto_8974 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_8997
      ?auto_8998
    )
    :vars
    (
      ?auto_9002
      ?auto_8999
      ?auto_9000
      ?auto_9001
      ?auto_9003
      ?auto_9007
      ?auto_9006
      ?auto_9009
    )
    :precondition
    ( and ( OBJ ?auto_8997 ) ( LOCATION ?auto_8998 ) ( AIRPLANE ?auto_9002 ) ( AIRPORT ?auto_8999 ) ( AIRPORT ?auto_8998 ) ( DIFFERENT ?auto_8998 ?auto_8999 ) ( LOCATION ?auto_8999 ) ( AIRPORT ?auto_9000 ) ( DIFFERENT ?auto_8999 ?auto_9000 ) ( AIRPORT ?auto_9001 ) ( AT ?auto_9002 ?auto_9001 ) ( DIFFERENT ?auto_9000 ?auto_9001 ) ( TRUCK ?auto_9003 ) ( LOCATION ?auto_9007 ) ( CITY ?auto_9006 ) ( AT ?auto_9003 ?auto_9007 ) ( IN-CITY ?auto_9007 ?auto_9006 ) ( IN-CITY ?auto_8999 ?auto_9006 ) ( DIFFERENT ?auto_8999 ?auto_9007 ) ( LOCATION ?auto_9009 ) ( AT ?auto_9003 ?auto_9009 ) ( AT ?auto_8997 ?auto_9009 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_8997 ?auto_9003 ?auto_9009 )
      ( DELIVER-PKG ?auto_8997 ?auto_8998 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9023
      ?auto_9024
    )
    :vars
    (
      ?auto_9026
      ?auto_9033
      ?auto_9029
      ?auto_9025
      ?auto_9027
      ?auto_9031
      ?auto_9030
      ?auto_9037
      ?auto_9036
    )
    :precondition
    ( and ( OBJ ?auto_9023 ) ( LOCATION ?auto_9024 ) ( AIRPLANE ?auto_9026 ) ( AIRPORT ?auto_9033 ) ( AIRPORT ?auto_9024 ) ( DIFFERENT ?auto_9024 ?auto_9033 ) ( LOCATION ?auto_9033 ) ( AIRPORT ?auto_9029 ) ( DIFFERENT ?auto_9033 ?auto_9029 ) ( AIRPORT ?auto_9025 ) ( AT ?auto_9026 ?auto_9025 ) ( DIFFERENT ?auto_9029 ?auto_9025 ) ( TRUCK ?auto_9027 ) ( LOCATION ?auto_9031 ) ( CITY ?auto_9030 ) ( IN-CITY ?auto_9031 ?auto_9030 ) ( IN-CITY ?auto_9033 ?auto_9030 ) ( DIFFERENT ?auto_9033 ?auto_9031 ) ( AT ?auto_9023 ?auto_9031 ) ( LOCATION ?auto_9037 ) ( CITY ?auto_9036 ) ( AT ?auto_9027 ?auto_9037 ) ( IN-CITY ?auto_9037 ?auto_9036 ) ( IN-CITY ?auto_9031 ?auto_9036 ) ( DIFFERENT ?auto_9031 ?auto_9037 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9027 ?auto_9037 ?auto_9031 ?auto_9036 )
      ( DELIVER-PKG ?auto_9023 ?auto_9024 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9039
      ?auto_9040
    )
    :vars
    (
      ?auto_9048
      ?auto_9042
      ?auto_9044
      ?auto_9050
      ?auto_9043
      ?auto_9041
      ?auto_9045
      ?auto_9051
      ?auto_9047
      ?auto_9053
    )
    :precondition
    ( and ( OBJ ?auto_9039 ) ( LOCATION ?auto_9040 ) ( AIRPLANE ?auto_9048 ) ( AIRPORT ?auto_9042 ) ( AIRPORT ?auto_9040 ) ( DIFFERENT ?auto_9040 ?auto_9042 ) ( LOCATION ?auto_9042 ) ( AIRPORT ?auto_9044 ) ( DIFFERENT ?auto_9042 ?auto_9044 ) ( AIRPORT ?auto_9050 ) ( DIFFERENT ?auto_9044 ?auto_9050 ) ( TRUCK ?auto_9043 ) ( LOCATION ?auto_9041 ) ( CITY ?auto_9045 ) ( IN-CITY ?auto_9041 ?auto_9045 ) ( IN-CITY ?auto_9042 ?auto_9045 ) ( DIFFERENT ?auto_9042 ?auto_9041 ) ( AT ?auto_9039 ?auto_9041 ) ( LOCATION ?auto_9051 ) ( CITY ?auto_9047 ) ( AT ?auto_9043 ?auto_9051 ) ( IN-CITY ?auto_9051 ?auto_9047 ) ( IN-CITY ?auto_9041 ?auto_9047 ) ( DIFFERENT ?auto_9041 ?auto_9051 ) ( AIRPORT ?auto_9053 ) ( AT ?auto_9048 ?auto_9053 ) ( DIFFERENT ?auto_9050 ?auto_9053 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9048 ?auto_9053 ?auto_9050 )
      ( DELIVER-PKG ?auto_9039 ?auto_9040 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9533
      ?auto_9534
    )
    :vars
    (
      ?auto_9537
      ?auto_9535
      ?auto_9539
      ?auto_9541
    )
    :precondition
    ( and ( OBJ ?auto_9533 ) ( LOCATION ?auto_9534 ) ( AIRPLANE ?auto_9537 ) ( IN ?auto_9533 ?auto_9537 ) ( AIRPORT ?auto_9535 ) ( AIRPORT ?auto_9534 ) ( DIFFERENT ?auto_9534 ?auto_9535 ) ( AIRPORT ?auto_9539 ) ( DIFFERENT ?auto_9535 ?auto_9539 ) ( AIRPORT ?auto_9541 ) ( AT ?auto_9537 ?auto_9541 ) ( DIFFERENT ?auto_9539 ?auto_9541 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9537 ?auto_9541 ?auto_9539 )
      ( DELIVER-PKG ?auto_9533 ?auto_9534 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9543
      ?auto_9544
    )
    :vars
    (
      ?auto_9548
      ?auto_9545
      ?auto_9549
      ?auto_9550
      ?auto_9552
    )
    :precondition
    ( and ( OBJ ?auto_9543 ) ( LOCATION ?auto_9544 ) ( AIRPLANE ?auto_9548 ) ( AIRPORT ?auto_9545 ) ( AIRPORT ?auto_9544 ) ( DIFFERENT ?auto_9544 ?auto_9545 ) ( AIRPORT ?auto_9549 ) ( DIFFERENT ?auto_9545 ?auto_9549 ) ( AIRPORT ?auto_9550 ) ( AT ?auto_9548 ?auto_9550 ) ( DIFFERENT ?auto_9549 ?auto_9550 ) ( LOCATION ?auto_9552 ) ( AT ?auto_9543 ?auto_9552 ) ( AT ?auto_9548 ?auto_9552 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9543 ?auto_9548 ?auto_9552 )
      ( DELIVER-PKG ?auto_9543 ?auto_9544 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9554
      ?auto_9555
    )
    :vars
    (
      ?auto_9557
      ?auto_9556
      ?auto_9561
      ?auto_9559
      ?auto_9560
      ?auto_9565
    )
    :precondition
    ( and ( OBJ ?auto_9554 ) ( LOCATION ?auto_9555 ) ( AIRPLANE ?auto_9557 ) ( AIRPORT ?auto_9556 ) ( AIRPORT ?auto_9555 ) ( DIFFERENT ?auto_9555 ?auto_9556 ) ( AIRPORT ?auto_9561 ) ( DIFFERENT ?auto_9556 ?auto_9561 ) ( AIRPORT ?auto_9559 ) ( AT ?auto_9557 ?auto_9559 ) ( DIFFERENT ?auto_9561 ?auto_9559 ) ( LOCATION ?auto_9560 ) ( AT ?auto_9557 ?auto_9560 ) ( AIRPLANE ?auto_9565 ) ( IN ?auto_9554 ?auto_9565 ) ( AT ?auto_9565 ?auto_9560 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9554 ?auto_9560 )
      ( DELIVER-PKG ?auto_9554 ?auto_9555 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9566
      ?auto_9567
    )
    :vars
    (
      ?auto_9571
      ?auto_9573
      ?auto_9569
      ?auto_9574
      ?auto_9577
    )
    :precondition
    ( and ( OBJ ?auto_9566 ) ( LOCATION ?auto_9567 ) ( AIRPLANE ?auto_9571 ) ( AIRPORT ?auto_9573 ) ( AIRPORT ?auto_9567 ) ( DIFFERENT ?auto_9567 ?auto_9573 ) ( AIRPORT ?auto_9569 ) ( DIFFERENT ?auto_9573 ?auto_9569 ) ( AIRPORT ?auto_9574 ) ( DIFFERENT ?auto_9569 ?auto_9574 ) ( LOCATION ?auto_9574 ) ( IN ?auto_9566 ?auto_9571 ) ( AIRPORT ?auto_9577 ) ( AT ?auto_9571 ?auto_9577 ) ( DIFFERENT ?auto_9574 ?auto_9577 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9571 ?auto_9577 ?auto_9574 )
      ( DELIVER-PKG ?auto_9566 ?auto_9567 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9579
      ?auto_9580
    )
    :vars
    (
      ?auto_9581
      ?auto_9583
      ?auto_9587
      ?auto_9584
      ?auto_9585
      ?auto_9589
    )
    :precondition
    ( and ( OBJ ?auto_9579 ) ( LOCATION ?auto_9580 ) ( AIRPLANE ?auto_9581 ) ( AIRPORT ?auto_9583 ) ( AIRPORT ?auto_9580 ) ( DIFFERENT ?auto_9580 ?auto_9583 ) ( AIRPORT ?auto_9587 ) ( DIFFERENT ?auto_9583 ?auto_9587 ) ( AIRPORT ?auto_9584 ) ( DIFFERENT ?auto_9587 ?auto_9584 ) ( LOCATION ?auto_9584 ) ( AIRPORT ?auto_9585 ) ( AT ?auto_9581 ?auto_9585 ) ( DIFFERENT ?auto_9584 ?auto_9585 ) ( LOCATION ?auto_9589 ) ( AT ?auto_9579 ?auto_9589 ) ( AT ?auto_9581 ?auto_9589 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_9579 ?auto_9581 ?auto_9589 )
      ( DELIVER-PKG ?auto_9579 ?auto_9580 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9630
      ?auto_9631
    )
    :vars
    (
      ?auto_9640
      ?auto_9634
      ?auto_9639
      ?auto_9641
      ?auto_9636
      ?auto_9635
      ?auto_9638
      ?auto_9633
      ?auto_9643
    )
    :precondition
    ( and ( OBJ ?auto_9630 ) ( LOCATION ?auto_9631 ) ( AIRPLANE ?auto_9640 ) ( AIRPORT ?auto_9634 ) ( AIRPORT ?auto_9631 ) ( DIFFERENT ?auto_9631 ?auto_9634 ) ( AIRPORT ?auto_9639 ) ( DIFFERENT ?auto_9634 ?auto_9639 ) ( AIRPORT ?auto_9641 ) ( DIFFERENT ?auto_9639 ?auto_9641 ) ( LOCATION ?auto_9641 ) ( AIRPORT ?auto_9636 ) ( AT ?auto_9640 ?auto_9636 ) ( DIFFERENT ?auto_9641 ?auto_9636 ) ( LOCATION ?auto_9635 ) ( AT ?auto_9640 ?auto_9635 ) ( TRUCK ?auto_9638 ) ( AT ?auto_9638 ?auto_9635 ) ( LOCATION ?auto_9633 ) ( AT ?auto_9638 ?auto_9633 ) ( TRUCK ?auto_9643 ) ( AT ?auto_9643 ?auto_9633 ) ( IN ?auto_9630 ?auto_9643 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_9630 ?auto_9633 )
      ( DELIVER-PKG ?auto_9630 ?auto_9631 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9604
      ?auto_9605
    )
    :vars
    (
      ?auto_9607
      ?auto_9612
      ?auto_9613
      ?auto_9608
      ?auto_9611
      ?auto_9614
      ?auto_9610
      ?auto_9616
    )
    :precondition
    ( and ( OBJ ?auto_9604 ) ( LOCATION ?auto_9605 ) ( AIRPLANE ?auto_9607 ) ( AIRPORT ?auto_9612 ) ( AIRPORT ?auto_9605 ) ( DIFFERENT ?auto_9605 ?auto_9612 ) ( AIRPORT ?auto_9613 ) ( DIFFERENT ?auto_9612 ?auto_9613 ) ( AIRPORT ?auto_9608 ) ( DIFFERENT ?auto_9613 ?auto_9608 ) ( LOCATION ?auto_9608 ) ( AIRPORT ?auto_9611 ) ( AT ?auto_9607 ?auto_9611 ) ( DIFFERENT ?auto_9608 ?auto_9611 ) ( LOCATION ?auto_9614 ) ( AT ?auto_9607 ?auto_9614 ) ( TRUCK ?auto_9610 ) ( AT ?auto_9610 ?auto_9614 ) ( LOCATION ?auto_9616 ) ( AT ?auto_9610 ?auto_9616 ) ( AT ?auto_9604 ?auto_9616 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9604 ?auto_9610 ?auto_9616 )
      ( DELIVER-PKG ?auto_9604 ?auto_9605 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9658
      ?auto_9659
    )
    :vars
    (
      ?auto_9664
      ?auto_9660
      ?auto_9669
      ?auto_9665
      ?auto_9668
      ?auto_9670
      ?auto_9666
      ?auto_9673
      ?auto_9672
    )
    :precondition
    ( and ( OBJ ?auto_9658 ) ( LOCATION ?auto_9659 ) ( AIRPLANE ?auto_9664 ) ( AIRPORT ?auto_9660 ) ( AIRPORT ?auto_9659 ) ( DIFFERENT ?auto_9659 ?auto_9660 ) ( AIRPORT ?auto_9669 ) ( DIFFERENT ?auto_9660 ?auto_9669 ) ( AIRPORT ?auto_9665 ) ( DIFFERENT ?auto_9669 ?auto_9665 ) ( LOCATION ?auto_9665 ) ( AIRPORT ?auto_9668 ) ( AT ?auto_9664 ?auto_9668 ) ( DIFFERENT ?auto_9665 ?auto_9668 ) ( LOCATION ?auto_9670 ) ( AT ?auto_9664 ?auto_9670 ) ( TRUCK ?auto_9666 ) ( IN ?auto_9658 ?auto_9666 ) ( LOCATION ?auto_9673 ) ( CITY ?auto_9672 ) ( AT ?auto_9666 ?auto_9673 ) ( IN-CITY ?auto_9673 ?auto_9672 ) ( IN-CITY ?auto_9670 ?auto_9672 ) ( DIFFERENT ?auto_9670 ?auto_9673 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9666 ?auto_9673 ?auto_9670 ?auto_9672 )
      ( DELIVER-PKG ?auto_9658 ?auto_9659 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9688
      ?auto_9689
    )
    :vars
    (
      ?auto_9698
      ?auto_9692
      ?auto_9695
      ?auto_9699
      ?auto_9694
      ?auto_9697
      ?auto_9696
      ?auto_9690
      ?auto_9700
      ?auto_9702
    )
    :precondition
    ( and ( OBJ ?auto_9688 ) ( LOCATION ?auto_9689 ) ( AIRPLANE ?auto_9698 ) ( AIRPORT ?auto_9692 ) ( AIRPORT ?auto_9689 ) ( DIFFERENT ?auto_9689 ?auto_9692 ) ( AIRPORT ?auto_9695 ) ( DIFFERENT ?auto_9692 ?auto_9695 ) ( AIRPORT ?auto_9699 ) ( DIFFERENT ?auto_9695 ?auto_9699 ) ( LOCATION ?auto_9699 ) ( AIRPORT ?auto_9694 ) ( AT ?auto_9698 ?auto_9694 ) ( DIFFERENT ?auto_9699 ?auto_9694 ) ( LOCATION ?auto_9697 ) ( AT ?auto_9698 ?auto_9697 ) ( TRUCK ?auto_9696 ) ( LOCATION ?auto_9690 ) ( CITY ?auto_9700 ) ( AT ?auto_9696 ?auto_9690 ) ( IN-CITY ?auto_9690 ?auto_9700 ) ( IN-CITY ?auto_9697 ?auto_9700 ) ( DIFFERENT ?auto_9697 ?auto_9690 ) ( LOCATION ?auto_9702 ) ( AT ?auto_9696 ?auto_9702 ) ( AT ?auto_9688 ?auto_9702 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_9688 ?auto_9696 ?auto_9702 )
      ( DELIVER-PKG ?auto_9688 ?auto_9689 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9718
      ?auto_9719
    )
    :vars
    (
      ?auto_9725
      ?auto_9729
      ?auto_9727
      ?auto_9720
      ?auto_9724
      ?auto_9728
      ?auto_9722
      ?auto_9721
      ?auto_9731
      ?auto_9733
    )
    :precondition
    ( and ( OBJ ?auto_9718 ) ( LOCATION ?auto_9719 ) ( AIRPLANE ?auto_9725 ) ( AIRPORT ?auto_9729 ) ( AIRPORT ?auto_9719 ) ( DIFFERENT ?auto_9719 ?auto_9729 ) ( AIRPORT ?auto_9727 ) ( DIFFERENT ?auto_9729 ?auto_9727 ) ( AIRPORT ?auto_9720 ) ( DIFFERENT ?auto_9727 ?auto_9720 ) ( LOCATION ?auto_9720 ) ( AIRPORT ?auto_9724 ) ( DIFFERENT ?auto_9720 ?auto_9724 ) ( LOCATION ?auto_9724 ) ( TRUCK ?auto_9728 ) ( LOCATION ?auto_9722 ) ( CITY ?auto_9721 ) ( AT ?auto_9728 ?auto_9722 ) ( IN-CITY ?auto_9722 ?auto_9721 ) ( IN-CITY ?auto_9724 ?auto_9721 ) ( DIFFERENT ?auto_9724 ?auto_9722 ) ( LOCATION ?auto_9731 ) ( AT ?auto_9728 ?auto_9731 ) ( AT ?auto_9718 ?auto_9731 ) ( AIRPORT ?auto_9733 ) ( AT ?auto_9725 ?auto_9733 ) ( DIFFERENT ?auto_9724 ?auto_9733 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_9725 ?auto_9733 ?auto_9724 )
      ( DELIVER-PKG ?auto_9718 ?auto_9719 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_9735
      ?auto_9736
    )
    :vars
    (
      ?auto_9740
      ?auto_9744
      ?auto_9742
      ?auto_9741
      ?auto_9739
      ?auto_9743
      ?auto_9745
      ?auto_9738
      ?auto_9748
      ?auto_9751
      ?auto_9750
    )
    :precondition
    ( and ( OBJ ?auto_9735 ) ( LOCATION ?auto_9736 ) ( AIRPLANE ?auto_9740 ) ( AIRPORT ?auto_9744 ) ( AIRPORT ?auto_9736 ) ( DIFFERENT ?auto_9736 ?auto_9744 ) ( AIRPORT ?auto_9742 ) ( DIFFERENT ?auto_9744 ?auto_9742 ) ( AIRPORT ?auto_9741 ) ( DIFFERENT ?auto_9742 ?auto_9741 ) ( LOCATION ?auto_9741 ) ( AIRPORT ?auto_9739 ) ( DIFFERENT ?auto_9741 ?auto_9739 ) ( LOCATION ?auto_9739 ) ( TRUCK ?auto_9743 ) ( LOCATION ?auto_9745 ) ( CITY ?auto_9738 ) ( IN-CITY ?auto_9745 ?auto_9738 ) ( IN-CITY ?auto_9739 ?auto_9738 ) ( DIFFERENT ?auto_9739 ?auto_9745 ) ( AT ?auto_9735 ?auto_9745 ) ( AIRPORT ?auto_9748 ) ( AT ?auto_9740 ?auto_9748 ) ( DIFFERENT ?auto_9739 ?auto_9748 ) ( LOCATION ?auto_9751 ) ( CITY ?auto_9750 ) ( AT ?auto_9743 ?auto_9751 ) ( IN-CITY ?auto_9751 ?auto_9750 ) ( IN-CITY ?auto_9745 ?auto_9750 ) ( DIFFERENT ?auto_9745 ?auto_9751 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_9743 ?auto_9751 ?auto_9745 ?auto_9750 )
      ( DELIVER-PKG ?auto_9735 ?auto_9736 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10928
      ?auto_10929
    )
    :vars
    (
      ?auto_10933
      ?auto_10935
      ?auto_10938
      ?auto_10930
      ?auto_10936
      ?auto_10932
      ?auto_10931
      ?auto_10940
      ?auto_10939
      ?auto_10942
    )
    :precondition
    ( and ( OBJ ?auto_10928 ) ( LOCATION ?auto_10929 ) ( TRUCK ?auto_10933 ) ( LOCATION ?auto_10935 ) ( CITY ?auto_10938 ) ( IN-CITY ?auto_10935 ?auto_10938 ) ( IN-CITY ?auto_10929 ?auto_10938 ) ( DIFFERENT ?auto_10929 ?auto_10935 ) ( LOCATION ?auto_10930 ) ( CITY ?auto_10936 ) ( IN-CITY ?auto_10930 ?auto_10936 ) ( IN-CITY ?auto_10935 ?auto_10936 ) ( DIFFERENT ?auto_10935 ?auto_10930 ) ( LOCATION ?auto_10932 ) ( CITY ?auto_10931 ) ( IN-CITY ?auto_10932 ?auto_10931 ) ( IN-CITY ?auto_10930 ?auto_10931 ) ( DIFFERENT ?auto_10930 ?auto_10932 ) ( LOCATION ?auto_10940 ) ( CITY ?auto_10939 ) ( AT ?auto_10933 ?auto_10940 ) ( IN-CITY ?auto_10940 ?auto_10939 ) ( IN-CITY ?auto_10932 ?auto_10939 ) ( DIFFERENT ?auto_10932 ?auto_10940 ) ( LOCATION ?auto_10942 ) ( AT ?auto_10933 ?auto_10942 ) ( AT ?auto_10928 ?auto_10942 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_10928 ?auto_10933 ?auto_10942 )
      ( DELIVER-PKG ?auto_10928 ?auto_10929 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10944
      ?auto_10945
    )
    :vars
    (
      ?auto_10952
      ?auto_10953
      ?auto_10946
      ?auto_10956
      ?auto_10954
      ?auto_10951
      ?auto_10950
      ?auto_10948
      ?auto_10947
      ?auto_10949
      ?auto_10958
    )
    :precondition
    ( and ( OBJ ?auto_10944 ) ( LOCATION ?auto_10945 ) ( TRUCK ?auto_10952 ) ( LOCATION ?auto_10953 ) ( CITY ?auto_10946 ) ( IN-CITY ?auto_10953 ?auto_10946 ) ( IN-CITY ?auto_10945 ?auto_10946 ) ( DIFFERENT ?auto_10945 ?auto_10953 ) ( LOCATION ?auto_10956 ) ( CITY ?auto_10954 ) ( IN-CITY ?auto_10956 ?auto_10954 ) ( IN-CITY ?auto_10953 ?auto_10954 ) ( DIFFERENT ?auto_10953 ?auto_10956 ) ( LOCATION ?auto_10951 ) ( CITY ?auto_10950 ) ( IN-CITY ?auto_10951 ?auto_10950 ) ( IN-CITY ?auto_10956 ?auto_10950 ) ( DIFFERENT ?auto_10956 ?auto_10951 ) ( LOCATION ?auto_10948 ) ( CITY ?auto_10947 ) ( AT ?auto_10952 ?auto_10948 ) ( IN-CITY ?auto_10948 ?auto_10947 ) ( IN-CITY ?auto_10951 ?auto_10947 ) ( DIFFERENT ?auto_10951 ?auto_10948 ) ( LOCATION ?auto_10949 ) ( AT ?auto_10952 ?auto_10949 ) ( AIRPLANE ?auto_10958 ) ( IN ?auto_10944 ?auto_10958 ) ( AT ?auto_10958 ?auto_10949 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_10944 ?auto_10949 )
      ( DELIVER-PKG ?auto_10944 ?auto_10945 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10961
      ?auto_10962
    )
    :vars
    (
      ?auto_10963
      ?auto_10969
      ?auto_10964
      ?auto_10967
      ?auto_10971
      ?auto_10966
      ?auto_10965
      ?auto_10975
      ?auto_10972
      ?auto_10968
      ?auto_10973
      ?auto_10977
    )
    :precondition
    ( and ( OBJ ?auto_10961 ) ( LOCATION ?auto_10962 ) ( TRUCK ?auto_10963 ) ( LOCATION ?auto_10969 ) ( CITY ?auto_10964 ) ( IN-CITY ?auto_10969 ?auto_10964 ) ( IN-CITY ?auto_10962 ?auto_10964 ) ( DIFFERENT ?auto_10962 ?auto_10969 ) ( LOCATION ?auto_10967 ) ( CITY ?auto_10971 ) ( IN-CITY ?auto_10967 ?auto_10971 ) ( IN-CITY ?auto_10969 ?auto_10971 ) ( DIFFERENT ?auto_10969 ?auto_10967 ) ( LOCATION ?auto_10966 ) ( CITY ?auto_10965 ) ( IN-CITY ?auto_10966 ?auto_10965 ) ( IN-CITY ?auto_10967 ?auto_10965 ) ( DIFFERENT ?auto_10967 ?auto_10966 ) ( LOCATION ?auto_10975 ) ( CITY ?auto_10972 ) ( AT ?auto_10963 ?auto_10975 ) ( IN-CITY ?auto_10975 ?auto_10972 ) ( IN-CITY ?auto_10966 ?auto_10972 ) ( DIFFERENT ?auto_10966 ?auto_10975 ) ( LOCATION ?auto_10968 ) ( AT ?auto_10963 ?auto_10968 ) ( AIRPLANE ?auto_10973 ) ( IN ?auto_10961 ?auto_10973 ) ( AIRPORT ?auto_10977 ) ( AIRPORT ?auto_10968 ) ( AT ?auto_10973 ?auto_10977 ) ( DIFFERENT ?auto_10968 ?auto_10977 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_10973 ?auto_10977 ?auto_10968 )
      ( DELIVER-PKG ?auto_10961 ?auto_10962 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10979
      ?auto_10980
    )
    :vars
    (
      ?auto_10988
      ?auto_10987
      ?auto_10991
      ?auto_10984
      ?auto_10985
      ?auto_10993
      ?auto_10992
      ?auto_10981
      ?auto_10983
      ?auto_10994
      ?auto_10982
      ?auto_10989
      ?auto_10996
    )
    :precondition
    ( and ( OBJ ?auto_10979 ) ( LOCATION ?auto_10980 ) ( TRUCK ?auto_10988 ) ( LOCATION ?auto_10987 ) ( CITY ?auto_10991 ) ( IN-CITY ?auto_10987 ?auto_10991 ) ( IN-CITY ?auto_10980 ?auto_10991 ) ( DIFFERENT ?auto_10980 ?auto_10987 ) ( LOCATION ?auto_10984 ) ( CITY ?auto_10985 ) ( IN-CITY ?auto_10984 ?auto_10985 ) ( IN-CITY ?auto_10987 ?auto_10985 ) ( DIFFERENT ?auto_10987 ?auto_10984 ) ( LOCATION ?auto_10993 ) ( CITY ?auto_10992 ) ( IN-CITY ?auto_10993 ?auto_10992 ) ( IN-CITY ?auto_10984 ?auto_10992 ) ( DIFFERENT ?auto_10984 ?auto_10993 ) ( LOCATION ?auto_10981 ) ( CITY ?auto_10983 ) ( AT ?auto_10988 ?auto_10981 ) ( IN-CITY ?auto_10981 ?auto_10983 ) ( IN-CITY ?auto_10993 ?auto_10983 ) ( DIFFERENT ?auto_10993 ?auto_10981 ) ( LOCATION ?auto_10994 ) ( AT ?auto_10988 ?auto_10994 ) ( AIRPLANE ?auto_10982 ) ( AIRPORT ?auto_10989 ) ( AIRPORT ?auto_10994 ) ( AT ?auto_10982 ?auto_10989 ) ( DIFFERENT ?auto_10994 ?auto_10989 ) ( LOCATION ?auto_10996 ) ( AT ?auto_10979 ?auto_10996 ) ( AT ?auto_10982 ?auto_10996 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_10979 ?auto_10982 ?auto_10996 )
      ( DELIVER-PKG ?auto_10979 ?auto_10980 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_10998
      ?auto_10999
    )
    :vars
    (
      ?auto_11001
      ?auto_11000
      ?auto_11011
      ?auto_11012
      ?auto_11014
      ?auto_11002
      ?auto_11006
      ?auto_11007
      ?auto_11010
      ?auto_11003
      ?auto_11013
      ?auto_11009
      ?auto_11016
    )
    :precondition
    ( and ( OBJ ?auto_10998 ) ( LOCATION ?auto_10999 ) ( TRUCK ?auto_11001 ) ( LOCATION ?auto_11000 ) ( CITY ?auto_11011 ) ( IN-CITY ?auto_11000 ?auto_11011 ) ( IN-CITY ?auto_10999 ?auto_11011 ) ( DIFFERENT ?auto_10999 ?auto_11000 ) ( LOCATION ?auto_11012 ) ( CITY ?auto_11014 ) ( IN-CITY ?auto_11012 ?auto_11014 ) ( IN-CITY ?auto_11000 ?auto_11014 ) ( DIFFERENT ?auto_11000 ?auto_11012 ) ( LOCATION ?auto_11002 ) ( CITY ?auto_11006 ) ( IN-CITY ?auto_11002 ?auto_11006 ) ( IN-CITY ?auto_11012 ?auto_11006 ) ( DIFFERENT ?auto_11012 ?auto_11002 ) ( LOCATION ?auto_11007 ) ( CITY ?auto_11010 ) ( AT ?auto_11001 ?auto_11007 ) ( IN-CITY ?auto_11007 ?auto_11010 ) ( IN-CITY ?auto_11002 ?auto_11010 ) ( DIFFERENT ?auto_11002 ?auto_11007 ) ( LOCATION ?auto_11003 ) ( AT ?auto_11001 ?auto_11003 ) ( AIRPLANE ?auto_11013 ) ( AIRPORT ?auto_11009 ) ( AIRPORT ?auto_11003 ) ( DIFFERENT ?auto_11003 ?auto_11009 ) ( LOCATION ?auto_11009 ) ( AT ?auto_10998 ?auto_11009 ) ( AIRPORT ?auto_11016 ) ( AT ?auto_11013 ?auto_11016 ) ( DIFFERENT ?auto_11009 ?auto_11016 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11013 ?auto_11016 ?auto_11009 )
      ( DELIVER-PKG ?auto_10998 ?auto_10999 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11052
      ?auto_11053
    )
    :vars
    (
      ?auto_11063
      ?auto_11064
      ?auto_11066
      ?auto_11054
      ?auto_11061
      ?auto_11065
      ?auto_11059
      ?auto_11068
      ?auto_11060
      ?auto_11067
      ?auto_11055
      ?auto_11057
      ?auto_11062
      ?auto_11070
    )
    :precondition
    ( and ( OBJ ?auto_11052 ) ( LOCATION ?auto_11053 ) ( TRUCK ?auto_11063 ) ( LOCATION ?auto_11064 ) ( CITY ?auto_11066 ) ( IN-CITY ?auto_11064 ?auto_11066 ) ( IN-CITY ?auto_11053 ?auto_11066 ) ( DIFFERENT ?auto_11053 ?auto_11064 ) ( LOCATION ?auto_11054 ) ( CITY ?auto_11061 ) ( IN-CITY ?auto_11054 ?auto_11061 ) ( IN-CITY ?auto_11064 ?auto_11061 ) ( DIFFERENT ?auto_11064 ?auto_11054 ) ( LOCATION ?auto_11065 ) ( CITY ?auto_11059 ) ( IN-CITY ?auto_11065 ?auto_11059 ) ( IN-CITY ?auto_11054 ?auto_11059 ) ( DIFFERENT ?auto_11054 ?auto_11065 ) ( LOCATION ?auto_11068 ) ( CITY ?auto_11060 ) ( AT ?auto_11063 ?auto_11068 ) ( IN-CITY ?auto_11068 ?auto_11060 ) ( IN-CITY ?auto_11065 ?auto_11060 ) ( DIFFERENT ?auto_11065 ?auto_11068 ) ( LOCATION ?auto_11067 ) ( AT ?auto_11063 ?auto_11067 ) ( AIRPLANE ?auto_11055 ) ( AIRPORT ?auto_11057 ) ( AIRPORT ?auto_11067 ) ( DIFFERENT ?auto_11067 ?auto_11057 ) ( LOCATION ?auto_11057 ) ( AT ?auto_11052 ?auto_11057 ) ( AIRPORT ?auto_11062 ) ( DIFFERENT ?auto_11057 ?auto_11062 ) ( AIRPORT ?auto_11070 ) ( AT ?auto_11055 ?auto_11070 ) ( DIFFERENT ?auto_11062 ?auto_11070 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11055 ?auto_11070 ?auto_11062 )
      ( DELIVER-PKG ?auto_11052 ?auto_11053 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11126
      ?auto_11127
    )
    :vars
    (
      ?auto_11130
      ?auto_11131
      ?auto_11133
      ?auto_11141
      ?auto_11137
      ?auto_11132
      ?auto_11135
      ?auto_11143
      ?auto_11136
      ?auto_11142
      ?auto_11138
      ?auto_11128
      ?auto_11129
      ?auto_11134
      ?auto_11145
    )
    :precondition
    ( and ( OBJ ?auto_11126 ) ( LOCATION ?auto_11127 ) ( TRUCK ?auto_11130 ) ( LOCATION ?auto_11131 ) ( CITY ?auto_11133 ) ( IN-CITY ?auto_11131 ?auto_11133 ) ( IN-CITY ?auto_11127 ?auto_11133 ) ( DIFFERENT ?auto_11127 ?auto_11131 ) ( LOCATION ?auto_11141 ) ( CITY ?auto_11137 ) ( IN-CITY ?auto_11141 ?auto_11137 ) ( IN-CITY ?auto_11131 ?auto_11137 ) ( DIFFERENT ?auto_11131 ?auto_11141 ) ( LOCATION ?auto_11132 ) ( CITY ?auto_11135 ) ( IN-CITY ?auto_11132 ?auto_11135 ) ( IN-CITY ?auto_11141 ?auto_11135 ) ( DIFFERENT ?auto_11141 ?auto_11132 ) ( LOCATION ?auto_11143 ) ( CITY ?auto_11136 ) ( AT ?auto_11130 ?auto_11143 ) ( IN-CITY ?auto_11143 ?auto_11136 ) ( IN-CITY ?auto_11132 ?auto_11136 ) ( DIFFERENT ?auto_11132 ?auto_11143 ) ( LOCATION ?auto_11142 ) ( AT ?auto_11130 ?auto_11142 ) ( AIRPLANE ?auto_11138 ) ( AIRPORT ?auto_11128 ) ( AIRPORT ?auto_11142 ) ( DIFFERENT ?auto_11142 ?auto_11128 ) ( LOCATION ?auto_11128 ) ( AIRPORT ?auto_11129 ) ( DIFFERENT ?auto_11128 ?auto_11129 ) ( AIRPORT ?auto_11134 ) ( AT ?auto_11138 ?auto_11134 ) ( DIFFERENT ?auto_11129 ?auto_11134 ) ( TRUCK ?auto_11145 ) ( AT ?auto_11145 ?auto_11128 ) ( IN ?auto_11126 ?auto_11145 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_11126 ?auto_11128 )
      ( DELIVER-PKG ?auto_11126 ?auto_11127 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11166
      ?auto_11167
    )
    :vars
    (
      ?auto_11172
      ?auto_11173
      ?auto_11175
      ?auto_11182
      ?auto_11179
      ?auto_11174
      ?auto_11177
      ?auto_11184
      ?auto_11178
      ?auto_11183
      ?auto_11180
      ?auto_11169
      ?auto_11171
      ?auto_11176
      ?auto_11181
      ?auto_11187
      ?auto_11186
    )
    :precondition
    ( and ( OBJ ?auto_11166 ) ( LOCATION ?auto_11167 ) ( TRUCK ?auto_11172 ) ( LOCATION ?auto_11173 ) ( CITY ?auto_11175 ) ( IN-CITY ?auto_11173 ?auto_11175 ) ( IN-CITY ?auto_11167 ?auto_11175 ) ( DIFFERENT ?auto_11167 ?auto_11173 ) ( LOCATION ?auto_11182 ) ( CITY ?auto_11179 ) ( IN-CITY ?auto_11182 ?auto_11179 ) ( IN-CITY ?auto_11173 ?auto_11179 ) ( DIFFERENT ?auto_11173 ?auto_11182 ) ( LOCATION ?auto_11174 ) ( CITY ?auto_11177 ) ( IN-CITY ?auto_11174 ?auto_11177 ) ( IN-CITY ?auto_11182 ?auto_11177 ) ( DIFFERENT ?auto_11182 ?auto_11174 ) ( LOCATION ?auto_11184 ) ( CITY ?auto_11178 ) ( AT ?auto_11172 ?auto_11184 ) ( IN-CITY ?auto_11184 ?auto_11178 ) ( IN-CITY ?auto_11174 ?auto_11178 ) ( DIFFERENT ?auto_11174 ?auto_11184 ) ( LOCATION ?auto_11183 ) ( AT ?auto_11172 ?auto_11183 ) ( AIRPLANE ?auto_11180 ) ( AIRPORT ?auto_11169 ) ( AIRPORT ?auto_11183 ) ( DIFFERENT ?auto_11183 ?auto_11169 ) ( LOCATION ?auto_11169 ) ( AIRPORT ?auto_11171 ) ( DIFFERENT ?auto_11169 ?auto_11171 ) ( AIRPORT ?auto_11176 ) ( AT ?auto_11180 ?auto_11176 ) ( DIFFERENT ?auto_11171 ?auto_11176 ) ( TRUCK ?auto_11181 ) ( IN ?auto_11166 ?auto_11181 ) ( LOCATION ?auto_11187 ) ( CITY ?auto_11186 ) ( AT ?auto_11181 ?auto_11187 ) ( IN-CITY ?auto_11187 ?auto_11186 ) ( IN-CITY ?auto_11169 ?auto_11186 ) ( DIFFERENT ?auto_11169 ?auto_11187 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11181 ?auto_11187 ?auto_11169 ?auto_11186 )
      ( DELIVER-PKG ?auto_11166 ?auto_11167 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11189
      ?auto_11190
    )
    :vars
    (
      ?auto_11206
      ?auto_11207
      ?auto_11198
      ?auto_11205
      ?auto_11202
      ?auto_11197
      ?auto_11200
      ?auto_11192
      ?auto_11201
      ?auto_11203
      ?auto_11191
      ?auto_11194
      ?auto_11199
      ?auto_11204
      ?auto_11209
      ?auto_11208
      ?auto_11212
      ?auto_11211
    )
    :precondition
    ( and ( OBJ ?auto_11189 ) ( LOCATION ?auto_11190 ) ( TRUCK ?auto_11206 ) ( LOCATION ?auto_11207 ) ( CITY ?auto_11198 ) ( IN-CITY ?auto_11207 ?auto_11198 ) ( IN-CITY ?auto_11190 ?auto_11198 ) ( DIFFERENT ?auto_11190 ?auto_11207 ) ( LOCATION ?auto_11205 ) ( CITY ?auto_11202 ) ( IN-CITY ?auto_11205 ?auto_11202 ) ( IN-CITY ?auto_11207 ?auto_11202 ) ( DIFFERENT ?auto_11207 ?auto_11205 ) ( LOCATION ?auto_11197 ) ( CITY ?auto_11200 ) ( IN-CITY ?auto_11197 ?auto_11200 ) ( IN-CITY ?auto_11205 ?auto_11200 ) ( DIFFERENT ?auto_11205 ?auto_11197 ) ( LOCATION ?auto_11192 ) ( CITY ?auto_11201 ) ( IN-CITY ?auto_11192 ?auto_11201 ) ( IN-CITY ?auto_11197 ?auto_11201 ) ( DIFFERENT ?auto_11197 ?auto_11192 ) ( AIRPLANE ?auto_11203 ) ( AIRPORT ?auto_11191 ) ( AIRPORT ?auto_11192 ) ( DIFFERENT ?auto_11192 ?auto_11191 ) ( LOCATION ?auto_11191 ) ( AIRPORT ?auto_11194 ) ( DIFFERENT ?auto_11191 ?auto_11194 ) ( AIRPORT ?auto_11199 ) ( AT ?auto_11203 ?auto_11199 ) ( DIFFERENT ?auto_11194 ?auto_11199 ) ( TRUCK ?auto_11204 ) ( IN ?auto_11189 ?auto_11204 ) ( LOCATION ?auto_11209 ) ( CITY ?auto_11208 ) ( AT ?auto_11204 ?auto_11209 ) ( IN-CITY ?auto_11209 ?auto_11208 ) ( IN-CITY ?auto_11191 ?auto_11208 ) ( DIFFERENT ?auto_11191 ?auto_11209 ) ( LOCATION ?auto_11212 ) ( CITY ?auto_11211 ) ( AT ?auto_11206 ?auto_11212 ) ( IN-CITY ?auto_11212 ?auto_11211 ) ( IN-CITY ?auto_11192 ?auto_11211 ) ( DIFFERENT ?auto_11192 ?auto_11212 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11206 ?auto_11212 ?auto_11192 ?auto_11211 )
      ( DELIVER-PKG ?auto_11189 ?auto_11190 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11214
      ?auto_11215
    )
    :vars
    (
      ?auto_11222
      ?auto_11223
      ?auto_11217
      ?auto_11233
      ?auto_11231
      ?auto_11216
      ?auto_11226
      ?auto_11234
      ?auto_11229
      ?auto_11224
      ?auto_11227
      ?auto_11235
      ?auto_11221
      ?auto_11232
      ?auto_11220
      ?auto_11219
      ?auto_11228
      ?auto_11218
      ?auto_11237
    )
    :precondition
    ( and ( OBJ ?auto_11214 ) ( LOCATION ?auto_11215 ) ( TRUCK ?auto_11222 ) ( LOCATION ?auto_11223 ) ( CITY ?auto_11217 ) ( IN-CITY ?auto_11223 ?auto_11217 ) ( IN-CITY ?auto_11215 ?auto_11217 ) ( DIFFERENT ?auto_11215 ?auto_11223 ) ( LOCATION ?auto_11233 ) ( CITY ?auto_11231 ) ( IN-CITY ?auto_11233 ?auto_11231 ) ( IN-CITY ?auto_11223 ?auto_11231 ) ( DIFFERENT ?auto_11223 ?auto_11233 ) ( LOCATION ?auto_11216 ) ( CITY ?auto_11226 ) ( IN-CITY ?auto_11216 ?auto_11226 ) ( IN-CITY ?auto_11233 ?auto_11226 ) ( DIFFERENT ?auto_11233 ?auto_11216 ) ( LOCATION ?auto_11234 ) ( CITY ?auto_11229 ) ( IN-CITY ?auto_11234 ?auto_11229 ) ( IN-CITY ?auto_11216 ?auto_11229 ) ( DIFFERENT ?auto_11216 ?auto_11234 ) ( AIRPLANE ?auto_11224 ) ( AIRPORT ?auto_11227 ) ( AIRPORT ?auto_11234 ) ( DIFFERENT ?auto_11234 ?auto_11227 ) ( LOCATION ?auto_11227 ) ( AIRPORT ?auto_11235 ) ( DIFFERENT ?auto_11227 ?auto_11235 ) ( AIRPORT ?auto_11221 ) ( AT ?auto_11224 ?auto_11221 ) ( DIFFERENT ?auto_11235 ?auto_11221 ) ( TRUCK ?auto_11232 ) ( LOCATION ?auto_11220 ) ( CITY ?auto_11219 ) ( AT ?auto_11232 ?auto_11220 ) ( IN-CITY ?auto_11220 ?auto_11219 ) ( IN-CITY ?auto_11227 ?auto_11219 ) ( DIFFERENT ?auto_11227 ?auto_11220 ) ( LOCATION ?auto_11228 ) ( CITY ?auto_11218 ) ( AT ?auto_11222 ?auto_11228 ) ( IN-CITY ?auto_11228 ?auto_11218 ) ( IN-CITY ?auto_11234 ?auto_11218 ) ( DIFFERENT ?auto_11234 ?auto_11228 ) ( LOCATION ?auto_11237 ) ( AT ?auto_11232 ?auto_11237 ) ( AT ?auto_11214 ?auto_11237 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_11214 ?auto_11232 ?auto_11237 )
      ( DELIVER-PKG ?auto_11214 ?auto_11215 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11262
      ?auto_11263
    )
    :vars
    (
      ?auto_11284
      ?auto_11283
      ?auto_11272
      ?auto_11279
      ?auto_11273
      ?auto_11268
      ?auto_11264
      ?auto_11280
      ?auto_11276
      ?auto_11282
      ?auto_11267
      ?auto_11270
      ?auto_11278
      ?auto_11275
      ?auto_11274
      ?auto_11281
      ?auto_11269
      ?auto_11271
      ?auto_11287
      ?auto_11286
    )
    :precondition
    ( and ( OBJ ?auto_11262 ) ( LOCATION ?auto_11263 ) ( TRUCK ?auto_11284 ) ( LOCATION ?auto_11283 ) ( CITY ?auto_11272 ) ( IN-CITY ?auto_11283 ?auto_11272 ) ( IN-CITY ?auto_11263 ?auto_11272 ) ( DIFFERENT ?auto_11263 ?auto_11283 ) ( LOCATION ?auto_11279 ) ( CITY ?auto_11273 ) ( IN-CITY ?auto_11279 ?auto_11273 ) ( IN-CITY ?auto_11283 ?auto_11273 ) ( DIFFERENT ?auto_11283 ?auto_11279 ) ( LOCATION ?auto_11268 ) ( CITY ?auto_11264 ) ( IN-CITY ?auto_11268 ?auto_11264 ) ( IN-CITY ?auto_11279 ?auto_11264 ) ( DIFFERENT ?auto_11279 ?auto_11268 ) ( LOCATION ?auto_11280 ) ( CITY ?auto_11276 ) ( IN-CITY ?auto_11280 ?auto_11276 ) ( IN-CITY ?auto_11268 ?auto_11276 ) ( DIFFERENT ?auto_11268 ?auto_11280 ) ( AIRPLANE ?auto_11282 ) ( AIRPORT ?auto_11267 ) ( AIRPORT ?auto_11280 ) ( DIFFERENT ?auto_11280 ?auto_11267 ) ( LOCATION ?auto_11267 ) ( AIRPORT ?auto_11270 ) ( DIFFERENT ?auto_11267 ?auto_11270 ) ( AIRPORT ?auto_11278 ) ( AT ?auto_11282 ?auto_11278 ) ( DIFFERENT ?auto_11270 ?auto_11278 ) ( TRUCK ?auto_11275 ) ( LOCATION ?auto_11274 ) ( CITY ?auto_11281 ) ( IN-CITY ?auto_11274 ?auto_11281 ) ( IN-CITY ?auto_11267 ?auto_11281 ) ( DIFFERENT ?auto_11267 ?auto_11274 ) ( LOCATION ?auto_11269 ) ( CITY ?auto_11271 ) ( AT ?auto_11284 ?auto_11269 ) ( IN-CITY ?auto_11269 ?auto_11271 ) ( IN-CITY ?auto_11280 ?auto_11271 ) ( DIFFERENT ?auto_11280 ?auto_11269 ) ( AT ?auto_11262 ?auto_11274 ) ( LOCATION ?auto_11287 ) ( CITY ?auto_11286 ) ( AT ?auto_11275 ?auto_11287 ) ( IN-CITY ?auto_11287 ?auto_11286 ) ( IN-CITY ?auto_11274 ?auto_11286 ) ( DIFFERENT ?auto_11274 ?auto_11287 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11275 ?auto_11287 ?auto_11274 ?auto_11286 )
      ( DELIVER-PKG ?auto_11262 ?auto_11263 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11289
      ?auto_11290
    )
    :vars
    (
      ?auto_11295
      ?auto_11294
      ?auto_11298
      ?auto_11305
      ?auto_11299
      ?auto_11296
      ?auto_11312
      ?auto_11307
      ?auto_11303
      ?auto_11310
      ?auto_11297
      ?auto_11291
      ?auto_11304
      ?auto_11301
      ?auto_11300
      ?auto_11309
      ?auto_11311
      ?auto_11292
      ?auto_11306
      ?auto_11308
      ?auto_11314
    )
    :precondition
    ( and ( OBJ ?auto_11289 ) ( LOCATION ?auto_11290 ) ( TRUCK ?auto_11295 ) ( LOCATION ?auto_11294 ) ( CITY ?auto_11298 ) ( IN-CITY ?auto_11294 ?auto_11298 ) ( IN-CITY ?auto_11290 ?auto_11298 ) ( DIFFERENT ?auto_11290 ?auto_11294 ) ( LOCATION ?auto_11305 ) ( CITY ?auto_11299 ) ( IN-CITY ?auto_11305 ?auto_11299 ) ( IN-CITY ?auto_11294 ?auto_11299 ) ( DIFFERENT ?auto_11294 ?auto_11305 ) ( LOCATION ?auto_11296 ) ( CITY ?auto_11312 ) ( IN-CITY ?auto_11296 ?auto_11312 ) ( IN-CITY ?auto_11305 ?auto_11312 ) ( DIFFERENT ?auto_11305 ?auto_11296 ) ( LOCATION ?auto_11307 ) ( CITY ?auto_11303 ) ( IN-CITY ?auto_11307 ?auto_11303 ) ( IN-CITY ?auto_11296 ?auto_11303 ) ( DIFFERENT ?auto_11296 ?auto_11307 ) ( AIRPLANE ?auto_11310 ) ( AIRPORT ?auto_11297 ) ( AIRPORT ?auto_11307 ) ( DIFFERENT ?auto_11307 ?auto_11297 ) ( LOCATION ?auto_11297 ) ( AIRPORT ?auto_11291 ) ( DIFFERENT ?auto_11297 ?auto_11291 ) ( AIRPORT ?auto_11304 ) ( DIFFERENT ?auto_11291 ?auto_11304 ) ( TRUCK ?auto_11301 ) ( LOCATION ?auto_11300 ) ( CITY ?auto_11309 ) ( IN-CITY ?auto_11300 ?auto_11309 ) ( IN-CITY ?auto_11297 ?auto_11309 ) ( DIFFERENT ?auto_11297 ?auto_11300 ) ( LOCATION ?auto_11311 ) ( CITY ?auto_11292 ) ( AT ?auto_11295 ?auto_11311 ) ( IN-CITY ?auto_11311 ?auto_11292 ) ( IN-CITY ?auto_11307 ?auto_11292 ) ( DIFFERENT ?auto_11307 ?auto_11311 ) ( AT ?auto_11289 ?auto_11300 ) ( LOCATION ?auto_11306 ) ( CITY ?auto_11308 ) ( AT ?auto_11301 ?auto_11306 ) ( IN-CITY ?auto_11306 ?auto_11308 ) ( IN-CITY ?auto_11300 ?auto_11308 ) ( DIFFERENT ?auto_11300 ?auto_11306 ) ( AIRPORT ?auto_11314 ) ( AT ?auto_11310 ?auto_11314 ) ( DIFFERENT ?auto_11304 ?auto_11314 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_11310 ?auto_11314 ?auto_11304 )
      ( DELIVER-PKG ?auto_11289 ?auto_11290 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_11316
      ?auto_11317
    )
    :vars
    (
      ?auto_11334
      ?auto_11333
      ?auto_11338
      ?auto_11319
      ?auto_11336
      ?auto_11337
      ?auto_11320
      ?auto_11328
      ?auto_11322
      ?auto_11325
      ?auto_11339
      ?auto_11323
      ?auto_11329
      ?auto_11318
      ?auto_11340
      ?auto_11332
      ?auto_11326
      ?auto_11335
      ?auto_11330
      ?auto_11331
      ?auto_11327
      ?auto_11343
      ?auto_11342
    )
    :precondition
    ( and ( OBJ ?auto_11316 ) ( LOCATION ?auto_11317 ) ( TRUCK ?auto_11334 ) ( LOCATION ?auto_11333 ) ( CITY ?auto_11338 ) ( IN-CITY ?auto_11333 ?auto_11338 ) ( IN-CITY ?auto_11317 ?auto_11338 ) ( DIFFERENT ?auto_11317 ?auto_11333 ) ( LOCATION ?auto_11319 ) ( CITY ?auto_11336 ) ( IN-CITY ?auto_11319 ?auto_11336 ) ( IN-CITY ?auto_11333 ?auto_11336 ) ( DIFFERENT ?auto_11333 ?auto_11319 ) ( LOCATION ?auto_11337 ) ( CITY ?auto_11320 ) ( IN-CITY ?auto_11337 ?auto_11320 ) ( IN-CITY ?auto_11319 ?auto_11320 ) ( DIFFERENT ?auto_11319 ?auto_11337 ) ( LOCATION ?auto_11328 ) ( CITY ?auto_11322 ) ( IN-CITY ?auto_11328 ?auto_11322 ) ( IN-CITY ?auto_11337 ?auto_11322 ) ( DIFFERENT ?auto_11337 ?auto_11328 ) ( AIRPLANE ?auto_11325 ) ( AIRPORT ?auto_11339 ) ( AIRPORT ?auto_11328 ) ( DIFFERENT ?auto_11328 ?auto_11339 ) ( LOCATION ?auto_11339 ) ( AIRPORT ?auto_11323 ) ( DIFFERENT ?auto_11339 ?auto_11323 ) ( AIRPORT ?auto_11329 ) ( DIFFERENT ?auto_11323 ?auto_11329 ) ( TRUCK ?auto_11318 ) ( LOCATION ?auto_11340 ) ( CITY ?auto_11332 ) ( IN-CITY ?auto_11340 ?auto_11332 ) ( IN-CITY ?auto_11339 ?auto_11332 ) ( DIFFERENT ?auto_11339 ?auto_11340 ) ( LOCATION ?auto_11326 ) ( CITY ?auto_11335 ) ( IN-CITY ?auto_11326 ?auto_11335 ) ( IN-CITY ?auto_11328 ?auto_11335 ) ( DIFFERENT ?auto_11328 ?auto_11326 ) ( AT ?auto_11316 ?auto_11340 ) ( LOCATION ?auto_11330 ) ( CITY ?auto_11331 ) ( AT ?auto_11318 ?auto_11330 ) ( IN-CITY ?auto_11330 ?auto_11331 ) ( IN-CITY ?auto_11340 ?auto_11331 ) ( DIFFERENT ?auto_11340 ?auto_11330 ) ( AIRPORT ?auto_11327 ) ( AT ?auto_11325 ?auto_11327 ) ( DIFFERENT ?auto_11329 ?auto_11327 ) ( LOCATION ?auto_11343 ) ( CITY ?auto_11342 ) ( AT ?auto_11334 ?auto_11343 ) ( IN-CITY ?auto_11343 ?auto_11342 ) ( IN-CITY ?auto_11326 ?auto_11342 ) ( DIFFERENT ?auto_11326 ?auto_11343 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_11334 ?auto_11343 ?auto_11326 ?auto_11342 )
      ( DELIVER-PKG ?auto_11316 ?auto_11317 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_13680
      ?auto_13681
    )
    :vars
    (
      ?auto_13690
      ?auto_13686
      ?auto_13688
      ?auto_13684
      ?auto_13693
      ?auto_13685
      ?auto_13689
      ?auto_13687
      ?auto_13692
      ?auto_13691
      ?auto_13694
      ?auto_13696
      ?auto_13695
      ?auto_13699
      ?auto_13698
    )
    :precondition
    ( and ( OBJ ?auto_13680 ) ( LOCATION ?auto_13681 ) ( TRUCK ?auto_13690 ) ( LOCATION ?auto_13686 ) ( CITY ?auto_13688 ) ( IN-CITY ?auto_13686 ?auto_13688 ) ( IN-CITY ?auto_13681 ?auto_13688 ) ( DIFFERENT ?auto_13681 ?auto_13686 ) ( AIRPLANE ?auto_13684 ) ( AIRPORT ?auto_13693 ) ( AIRPORT ?auto_13686 ) ( DIFFERENT ?auto_13686 ?auto_13693 ) ( LOCATION ?auto_13693 ) ( TRUCK ?auto_13685 ) ( LOCATION ?auto_13689 ) ( CITY ?auto_13687 ) ( IN-CITY ?auto_13689 ?auto_13687 ) ( IN-CITY ?auto_13693 ?auto_13687 ) ( DIFFERENT ?auto_13693 ?auto_13689 ) ( AT ?auto_13680 ?auto_13689 ) ( LOCATION ?auto_13692 ) ( CITY ?auto_13691 ) ( AT ?auto_13685 ?auto_13692 ) ( IN-CITY ?auto_13692 ?auto_13691 ) ( IN-CITY ?auto_13689 ?auto_13691 ) ( DIFFERENT ?auto_13689 ?auto_13692 ) ( AIRPORT ?auto_13694 ) ( AT ?auto_13684 ?auto_13694 ) ( DIFFERENT ?auto_13693 ?auto_13694 ) ( LOCATION ?auto_13696 ) ( CITY ?auto_13695 ) ( IN-CITY ?auto_13696 ?auto_13695 ) ( IN-CITY ?auto_13686 ?auto_13695 ) ( DIFFERENT ?auto_13686 ?auto_13696 ) ( LOCATION ?auto_13699 ) ( CITY ?auto_13698 ) ( AT ?auto_13690 ?auto_13699 ) ( IN-CITY ?auto_13699 ?auto_13698 ) ( IN-CITY ?auto_13696 ?auto_13698 ) ( DIFFERENT ?auto_13696 ?auto_13699 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_13690 ?auto_13699 ?auto_13696 ?auto_13698 )
      ( DELIVER-PKG ?auto_13680 ?auto_13681 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14359
      ?auto_14360
    )
    :vars
    (
      ?auto_14365
      ?auto_14370
      ?auto_14369
      ?auto_14364
      ?auto_14363
      ?auto_14368
      ?auto_14367
      ?auto_14371
      ?auto_14373
    )
    :precondition
    ( and ( OBJ ?auto_14359 ) ( LOCATION ?auto_14360 ) ( AIRPLANE ?auto_14365 ) ( AIRPORT ?auto_14370 ) ( AIRPORT ?auto_14360 ) ( DIFFERENT ?auto_14360 ?auto_14370 ) ( LOCATION ?auto_14370 ) ( TRUCK ?auto_14369 ) ( LOCATION ?auto_14364 ) ( CITY ?auto_14363 ) ( IN-CITY ?auto_14364 ?auto_14363 ) ( IN-CITY ?auto_14370 ?auto_14363 ) ( DIFFERENT ?auto_14370 ?auto_14364 ) ( LOCATION ?auto_14368 ) ( CITY ?auto_14367 ) ( AT ?auto_14369 ?auto_14368 ) ( IN-CITY ?auto_14368 ?auto_14367 ) ( IN-CITY ?auto_14364 ?auto_14367 ) ( DIFFERENT ?auto_14364 ?auto_14368 ) ( LOCATION ?auto_14371 ) ( AT ?auto_14369 ?auto_14371 ) ( AT ?auto_14359 ?auto_14371 ) ( AIRPORT ?auto_14373 ) ( AT ?auto_14365 ?auto_14373 ) ( DIFFERENT ?auto_14370 ?auto_14373 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14365 ?auto_14373 ?auto_14370 )
      ( DELIVER-PKG ?auto_14359 ?auto_14360 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14375
      ?auto_14376
    )
    :vars
    (
      ?auto_14382
      ?auto_14385
      ?auto_14384
      ?auto_14381
      ?auto_14377
      ?auto_14386
      ?auto_14378
      ?auto_14387
      ?auto_14390
      ?auto_14389
    )
    :precondition
    ( and ( OBJ ?auto_14375 ) ( LOCATION ?auto_14376 ) ( AIRPLANE ?auto_14382 ) ( AIRPORT ?auto_14385 ) ( AIRPORT ?auto_14376 ) ( DIFFERENT ?auto_14376 ?auto_14385 ) ( LOCATION ?auto_14385 ) ( TRUCK ?auto_14384 ) ( LOCATION ?auto_14381 ) ( CITY ?auto_14377 ) ( IN-CITY ?auto_14381 ?auto_14377 ) ( IN-CITY ?auto_14385 ?auto_14377 ) ( DIFFERENT ?auto_14385 ?auto_14381 ) ( LOCATION ?auto_14386 ) ( CITY ?auto_14378 ) ( IN-CITY ?auto_14386 ?auto_14378 ) ( IN-CITY ?auto_14381 ?auto_14378 ) ( DIFFERENT ?auto_14381 ?auto_14386 ) ( AT ?auto_14375 ?auto_14386 ) ( AIRPORT ?auto_14387 ) ( AT ?auto_14382 ?auto_14387 ) ( DIFFERENT ?auto_14385 ?auto_14387 ) ( LOCATION ?auto_14390 ) ( CITY ?auto_14389 ) ( AT ?auto_14384 ?auto_14390 ) ( IN-CITY ?auto_14390 ?auto_14389 ) ( IN-CITY ?auto_14386 ?auto_14389 ) ( DIFFERENT ?auto_14386 ?auto_14390 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14384 ?auto_14390 ?auto_14386 ?auto_14389 )
      ( DELIVER-PKG ?auto_14375 ?auto_14376 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14844
      ?auto_14845
    )
    :vars
    (
      ?auto_14850
      ?auto_14853
      ?auto_14856
      ?auto_14854
      ?auto_14855
      ?auto_14849
      ?auto_14848
      ?auto_14858
      ?auto_14857
      ?auto_14852
      ?auto_14851
      ?auto_14860
      ?auto_14862
    )
    :precondition
    ( and ( OBJ ?auto_14844 ) ( LOCATION ?auto_14845 ) ( TRUCK ?auto_14850 ) ( LOCATION ?auto_14853 ) ( CITY ?auto_14856 ) ( AT ?auto_14850 ?auto_14853 ) ( IN-CITY ?auto_14853 ?auto_14856 ) ( IN-CITY ?auto_14845 ?auto_14856 ) ( DIFFERENT ?auto_14845 ?auto_14853 ) ( LOCATION ?auto_14854 ) ( AT ?auto_14850 ?auto_14854 ) ( AIRPLANE ?auto_14855 ) ( AIRPORT ?auto_14849 ) ( AIRPORT ?auto_14854 ) ( DIFFERENT ?auto_14854 ?auto_14849 ) ( LOCATION ?auto_14849 ) ( TRUCK ?auto_14848 ) ( LOCATION ?auto_14858 ) ( CITY ?auto_14857 ) ( IN-CITY ?auto_14858 ?auto_14857 ) ( IN-CITY ?auto_14849 ?auto_14857 ) ( DIFFERENT ?auto_14849 ?auto_14858 ) ( LOCATION ?auto_14852 ) ( CITY ?auto_14851 ) ( AT ?auto_14848 ?auto_14852 ) ( IN-CITY ?auto_14852 ?auto_14851 ) ( IN-CITY ?auto_14858 ?auto_14851 ) ( DIFFERENT ?auto_14858 ?auto_14852 ) ( LOCATION ?auto_14860 ) ( AT ?auto_14848 ?auto_14860 ) ( AT ?auto_14844 ?auto_14860 ) ( AIRPORT ?auto_14862 ) ( AT ?auto_14855 ?auto_14862 ) ( DIFFERENT ?auto_14849 ?auto_14862 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_14855 ?auto_14862 ?auto_14849 )
      ( DELIVER-PKG ?auto_14844 ?auto_14845 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14864
      ?auto_14865
    )
    :vars
    (
      ?auto_14866
      ?auto_14869
      ?auto_14875
      ?auto_14873
      ?auto_14874
      ?auto_14879
      ?auto_14871
      ?auto_14877
      ?auto_14876
      ?auto_14872
      ?auto_14867
      ?auto_14878
      ?auto_14883
      ?auto_14882
    )
    :precondition
    ( and ( OBJ ?auto_14864 ) ( LOCATION ?auto_14865 ) ( TRUCK ?auto_14866 ) ( LOCATION ?auto_14869 ) ( CITY ?auto_14875 ) ( AT ?auto_14866 ?auto_14869 ) ( IN-CITY ?auto_14869 ?auto_14875 ) ( IN-CITY ?auto_14865 ?auto_14875 ) ( DIFFERENT ?auto_14865 ?auto_14869 ) ( LOCATION ?auto_14873 ) ( AT ?auto_14866 ?auto_14873 ) ( AIRPLANE ?auto_14874 ) ( AIRPORT ?auto_14879 ) ( AIRPORT ?auto_14873 ) ( DIFFERENT ?auto_14873 ?auto_14879 ) ( LOCATION ?auto_14879 ) ( TRUCK ?auto_14871 ) ( LOCATION ?auto_14877 ) ( CITY ?auto_14876 ) ( IN-CITY ?auto_14877 ?auto_14876 ) ( IN-CITY ?auto_14879 ?auto_14876 ) ( DIFFERENT ?auto_14879 ?auto_14877 ) ( LOCATION ?auto_14872 ) ( CITY ?auto_14867 ) ( IN-CITY ?auto_14872 ?auto_14867 ) ( IN-CITY ?auto_14877 ?auto_14867 ) ( DIFFERENT ?auto_14877 ?auto_14872 ) ( AT ?auto_14864 ?auto_14872 ) ( AIRPORT ?auto_14878 ) ( AT ?auto_14874 ?auto_14878 ) ( DIFFERENT ?auto_14879 ?auto_14878 ) ( LOCATION ?auto_14883 ) ( CITY ?auto_14882 ) ( AT ?auto_14871 ?auto_14883 ) ( IN-CITY ?auto_14883 ?auto_14882 ) ( IN-CITY ?auto_14872 ?auto_14882 ) ( DIFFERENT ?auto_14872 ?auto_14883 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14871 ?auto_14883 ?auto_14872 ?auto_14882 )
      ( DELIVER-PKG ?auto_14864 ?auto_14865 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_14885
      ?auto_14886
    )
    :vars
    (
      ?auto_14896
      ?auto_14890
      ?auto_14894
      ?auto_14891
      ?auto_14899
      ?auto_14895
      ?auto_14893
      ?auto_14901
      ?auto_14887
      ?auto_14900
      ?auto_14898
      ?auto_14889
      ?auto_14888
      ?auto_14905
      ?auto_14904
    )
    :precondition
    ( and ( OBJ ?auto_14885 ) ( LOCATION ?auto_14886 ) ( TRUCK ?auto_14896 ) ( LOCATION ?auto_14890 ) ( CITY ?auto_14894 ) ( IN-CITY ?auto_14890 ?auto_14894 ) ( IN-CITY ?auto_14886 ?auto_14894 ) ( DIFFERENT ?auto_14886 ?auto_14890 ) ( AIRPLANE ?auto_14891 ) ( AIRPORT ?auto_14899 ) ( AIRPORT ?auto_14890 ) ( DIFFERENT ?auto_14890 ?auto_14899 ) ( LOCATION ?auto_14899 ) ( TRUCK ?auto_14895 ) ( LOCATION ?auto_14893 ) ( CITY ?auto_14901 ) ( IN-CITY ?auto_14893 ?auto_14901 ) ( IN-CITY ?auto_14899 ?auto_14901 ) ( DIFFERENT ?auto_14899 ?auto_14893 ) ( LOCATION ?auto_14887 ) ( CITY ?auto_14900 ) ( IN-CITY ?auto_14887 ?auto_14900 ) ( IN-CITY ?auto_14893 ?auto_14900 ) ( DIFFERENT ?auto_14893 ?auto_14887 ) ( AT ?auto_14885 ?auto_14887 ) ( AIRPORT ?auto_14898 ) ( AT ?auto_14891 ?auto_14898 ) ( DIFFERENT ?auto_14899 ?auto_14898 ) ( LOCATION ?auto_14889 ) ( CITY ?auto_14888 ) ( AT ?auto_14895 ?auto_14889 ) ( IN-CITY ?auto_14889 ?auto_14888 ) ( IN-CITY ?auto_14887 ?auto_14888 ) ( DIFFERENT ?auto_14887 ?auto_14889 ) ( LOCATION ?auto_14905 ) ( CITY ?auto_14904 ) ( AT ?auto_14896 ?auto_14905 ) ( IN-CITY ?auto_14905 ?auto_14904 ) ( IN-CITY ?auto_14890 ?auto_14904 ) ( DIFFERENT ?auto_14890 ?auto_14905 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_14896 ?auto_14905 ?auto_14890 ?auto_14904 )
      ( DELIVER-PKG ?auto_14885 ?auto_14886 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15639
      ?auto_15640
    )
    :vars
    (
      ?auto_15643
      ?auto_15644
      ?auto_15645
      ?auto_15647
      ?auto_15646
      ?auto_15648
      ?auto_15651
    )
    :precondition
    ( and ( OBJ ?auto_15639 ) ( LOCATION ?auto_15640 ) ( TRUCK ?auto_15643 ) ( LOCATION ?auto_15644 ) ( CITY ?auto_15645 ) ( IN-CITY ?auto_15644 ?auto_15645 ) ( IN-CITY ?auto_15640 ?auto_15645 ) ( DIFFERENT ?auto_15640 ?auto_15644 ) ( LOCATION ?auto_15647 ) ( CITY ?auto_15646 ) ( AT ?auto_15643 ?auto_15647 ) ( IN-CITY ?auto_15647 ?auto_15646 ) ( IN-CITY ?auto_15644 ?auto_15646 ) ( DIFFERENT ?auto_15644 ?auto_15647 ) ( LOCATION ?auto_15648 ) ( AT ?auto_15643 ?auto_15648 ) ( AIRPLANE ?auto_15651 ) ( IN ?auto_15639 ?auto_15651 ) ( AT ?auto_15651 ?auto_15648 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15639 ?auto_15648 )
      ( DELIVER-PKG ?auto_15639 ?auto_15640 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15652
      ?auto_15653
    )
    :vars
    (
      ?auto_15657
      ?auto_15654
      ?auto_15661
      ?auto_15655
      ?auto_15658
      ?auto_15656
      ?auto_15659
      ?auto_15664
    )
    :precondition
    ( and ( OBJ ?auto_15652 ) ( LOCATION ?auto_15653 ) ( TRUCK ?auto_15657 ) ( LOCATION ?auto_15654 ) ( CITY ?auto_15661 ) ( IN-CITY ?auto_15654 ?auto_15661 ) ( IN-CITY ?auto_15653 ?auto_15661 ) ( DIFFERENT ?auto_15653 ?auto_15654 ) ( LOCATION ?auto_15655 ) ( CITY ?auto_15658 ) ( AT ?auto_15657 ?auto_15655 ) ( IN-CITY ?auto_15655 ?auto_15658 ) ( IN-CITY ?auto_15654 ?auto_15658 ) ( DIFFERENT ?auto_15654 ?auto_15655 ) ( LOCATION ?auto_15656 ) ( AT ?auto_15657 ?auto_15656 ) ( AIRPLANE ?auto_15659 ) ( IN ?auto_15652 ?auto_15659 ) ( AIRPORT ?auto_15664 ) ( AIRPORT ?auto_15656 ) ( AT ?auto_15659 ?auto_15664 ) ( DIFFERENT ?auto_15656 ?auto_15664 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15659 ?auto_15664 ?auto_15656 )
      ( DELIVER-PKG ?auto_15652 ?auto_15653 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15666
      ?auto_15667
    )
    :vars
    (
      ?auto_15668
      ?auto_15674
      ?auto_15671
      ?auto_15675
      ?auto_15677
      ?auto_15676
      ?auto_15672
      ?auto_15670
      ?auto_15679
    )
    :precondition
    ( and ( OBJ ?auto_15666 ) ( LOCATION ?auto_15667 ) ( TRUCK ?auto_15668 ) ( LOCATION ?auto_15674 ) ( CITY ?auto_15671 ) ( IN-CITY ?auto_15674 ?auto_15671 ) ( IN-CITY ?auto_15667 ?auto_15671 ) ( DIFFERENT ?auto_15667 ?auto_15674 ) ( LOCATION ?auto_15675 ) ( CITY ?auto_15677 ) ( AT ?auto_15668 ?auto_15675 ) ( IN-CITY ?auto_15675 ?auto_15677 ) ( IN-CITY ?auto_15674 ?auto_15677 ) ( DIFFERENT ?auto_15674 ?auto_15675 ) ( LOCATION ?auto_15676 ) ( AT ?auto_15668 ?auto_15676 ) ( AIRPLANE ?auto_15672 ) ( AIRPORT ?auto_15670 ) ( AIRPORT ?auto_15676 ) ( AT ?auto_15672 ?auto_15670 ) ( DIFFERENT ?auto_15676 ?auto_15670 ) ( LOCATION ?auto_15679 ) ( AT ?auto_15666 ?auto_15679 ) ( AT ?auto_15672 ?auto_15679 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_15666 ?auto_15672 ?auto_15679 )
      ( DELIVER-PKG ?auto_15666 ?auto_15667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15681
      ?auto_15682
    )
    :vars
    (
      ?auto_15686
      ?auto_15693
      ?auto_15691
      ?auto_15683
      ?auto_15689
      ?auto_15688
      ?auto_15692
      ?auto_15690
      ?auto_15685
      ?auto_15696
    )
    :precondition
    ( and ( OBJ ?auto_15681 ) ( LOCATION ?auto_15682 ) ( TRUCK ?auto_15686 ) ( LOCATION ?auto_15693 ) ( CITY ?auto_15691 ) ( IN-CITY ?auto_15693 ?auto_15691 ) ( IN-CITY ?auto_15682 ?auto_15691 ) ( DIFFERENT ?auto_15682 ?auto_15693 ) ( LOCATION ?auto_15683 ) ( CITY ?auto_15689 ) ( AT ?auto_15686 ?auto_15683 ) ( IN-CITY ?auto_15683 ?auto_15689 ) ( IN-CITY ?auto_15693 ?auto_15689 ) ( DIFFERENT ?auto_15693 ?auto_15683 ) ( LOCATION ?auto_15688 ) ( AT ?auto_15686 ?auto_15688 ) ( AIRPLANE ?auto_15692 ) ( AIRPORT ?auto_15690 ) ( AIRPORT ?auto_15688 ) ( AT ?auto_15692 ?auto_15690 ) ( DIFFERENT ?auto_15688 ?auto_15690 ) ( LOCATION ?auto_15685 ) ( AT ?auto_15692 ?auto_15685 ) ( TRUCK ?auto_15696 ) ( AT ?auto_15696 ?auto_15685 ) ( IN ?auto_15681 ?auto_15696 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_15681 ?auto_15685 )
      ( DELIVER-PKG ?auto_15681 ?auto_15682 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15711
      ?auto_15712
    )
    :vars
    (
      ?auto_15722
      ?auto_15717
      ?auto_15720
      ?auto_15714
      ?auto_15721
      ?auto_15724
      ?auto_15716
      ?auto_15715
      ?auto_15723
      ?auto_15713
      ?auto_15727
      ?auto_15726
    )
    :precondition
    ( and ( OBJ ?auto_15711 ) ( LOCATION ?auto_15712 ) ( TRUCK ?auto_15722 ) ( LOCATION ?auto_15717 ) ( CITY ?auto_15720 ) ( IN-CITY ?auto_15717 ?auto_15720 ) ( IN-CITY ?auto_15712 ?auto_15720 ) ( DIFFERENT ?auto_15712 ?auto_15717 ) ( LOCATION ?auto_15714 ) ( CITY ?auto_15721 ) ( AT ?auto_15722 ?auto_15714 ) ( IN-CITY ?auto_15714 ?auto_15721 ) ( IN-CITY ?auto_15717 ?auto_15721 ) ( DIFFERENT ?auto_15717 ?auto_15714 ) ( LOCATION ?auto_15724 ) ( AT ?auto_15722 ?auto_15724 ) ( AIRPLANE ?auto_15716 ) ( AIRPORT ?auto_15715 ) ( AIRPORT ?auto_15724 ) ( AT ?auto_15716 ?auto_15715 ) ( DIFFERENT ?auto_15724 ?auto_15715 ) ( LOCATION ?auto_15723 ) ( AT ?auto_15716 ?auto_15723 ) ( TRUCK ?auto_15713 ) ( IN ?auto_15711 ?auto_15713 ) ( LOCATION ?auto_15727 ) ( CITY ?auto_15726 ) ( AT ?auto_15713 ?auto_15727 ) ( IN-CITY ?auto_15727 ?auto_15726 ) ( IN-CITY ?auto_15723 ?auto_15726 ) ( DIFFERENT ?auto_15723 ?auto_15727 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15713 ?auto_15727 ?auto_15723 ?auto_15726 )
      ( DELIVER-PKG ?auto_15711 ?auto_15712 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15745
      ?auto_15746
    )
    :vars
    (
      ?auto_15756
      ?auto_15753
      ?auto_15754
      ?auto_15750
      ?auto_15755
      ?auto_15758
      ?auto_15752
      ?auto_15751
      ?auto_15757
      ?auto_15749
      ?auto_15760
      ?auto_15759
      ?auto_15763
      ?auto_15762
    )
    :precondition
    ( and ( OBJ ?auto_15745 ) ( LOCATION ?auto_15746 ) ( TRUCK ?auto_15756 ) ( LOCATION ?auto_15753 ) ( CITY ?auto_15754 ) ( IN-CITY ?auto_15753 ?auto_15754 ) ( IN-CITY ?auto_15746 ?auto_15754 ) ( DIFFERENT ?auto_15746 ?auto_15753 ) ( LOCATION ?auto_15750 ) ( CITY ?auto_15755 ) ( AT ?auto_15756 ?auto_15750 ) ( IN-CITY ?auto_15750 ?auto_15755 ) ( IN-CITY ?auto_15753 ?auto_15755 ) ( DIFFERENT ?auto_15753 ?auto_15750 ) ( LOCATION ?auto_15758 ) ( AT ?auto_15756 ?auto_15758 ) ( AIRPLANE ?auto_15752 ) ( AIRPORT ?auto_15751 ) ( AIRPORT ?auto_15758 ) ( AT ?auto_15752 ?auto_15751 ) ( DIFFERENT ?auto_15758 ?auto_15751 ) ( LOCATION ?auto_15757 ) ( AT ?auto_15752 ?auto_15757 ) ( TRUCK ?auto_15749 ) ( IN ?auto_15745 ?auto_15749 ) ( LOCATION ?auto_15760 ) ( CITY ?auto_15759 ) ( IN-CITY ?auto_15760 ?auto_15759 ) ( IN-CITY ?auto_15757 ?auto_15759 ) ( DIFFERENT ?auto_15757 ?auto_15760 ) ( LOCATION ?auto_15763 ) ( CITY ?auto_15762 ) ( AT ?auto_15749 ?auto_15763 ) ( IN-CITY ?auto_15763 ?auto_15762 ) ( IN-CITY ?auto_15760 ?auto_15762 ) ( DIFFERENT ?auto_15760 ?auto_15763 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15749 ?auto_15763 ?auto_15760 ?auto_15762 )
      ( DELIVER-PKG ?auto_15745 ?auto_15746 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15783
      ?auto_15784
    )
    :vars
    (
      ?auto_15794
      ?auto_15791
      ?auto_15792
      ?auto_15785
      ?auto_15793
      ?auto_15796
      ?auto_15790
      ?auto_15786
      ?auto_15795
      ?auto_15787
      ?auto_15789
      ?auto_15788
      ?auto_15800
      ?auto_15799
      ?auto_15802
    )
    :precondition
    ( and ( OBJ ?auto_15783 ) ( LOCATION ?auto_15784 ) ( TRUCK ?auto_15794 ) ( LOCATION ?auto_15791 ) ( CITY ?auto_15792 ) ( IN-CITY ?auto_15791 ?auto_15792 ) ( IN-CITY ?auto_15784 ?auto_15792 ) ( DIFFERENT ?auto_15784 ?auto_15791 ) ( LOCATION ?auto_15785 ) ( CITY ?auto_15793 ) ( AT ?auto_15794 ?auto_15785 ) ( IN-CITY ?auto_15785 ?auto_15793 ) ( IN-CITY ?auto_15791 ?auto_15793 ) ( DIFFERENT ?auto_15791 ?auto_15785 ) ( LOCATION ?auto_15796 ) ( AT ?auto_15794 ?auto_15796 ) ( AIRPLANE ?auto_15790 ) ( AIRPORT ?auto_15786 ) ( AIRPORT ?auto_15796 ) ( AT ?auto_15790 ?auto_15786 ) ( DIFFERENT ?auto_15796 ?auto_15786 ) ( LOCATION ?auto_15795 ) ( AT ?auto_15790 ?auto_15795 ) ( TRUCK ?auto_15787 ) ( LOCATION ?auto_15789 ) ( CITY ?auto_15788 ) ( IN-CITY ?auto_15789 ?auto_15788 ) ( IN-CITY ?auto_15795 ?auto_15788 ) ( DIFFERENT ?auto_15795 ?auto_15789 ) ( LOCATION ?auto_15800 ) ( CITY ?auto_15799 ) ( AT ?auto_15787 ?auto_15800 ) ( IN-CITY ?auto_15800 ?auto_15799 ) ( IN-CITY ?auto_15789 ?auto_15799 ) ( DIFFERENT ?auto_15789 ?auto_15800 ) ( LOCATION ?auto_15802 ) ( AT ?auto_15787 ?auto_15802 ) ( AT ?auto_15783 ?auto_15802 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_15783 ?auto_15787 ?auto_15802 )
      ( DELIVER-PKG ?auto_15783 ?auto_15784 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15823
      ?auto_15824
    )
    :vars
    (
      ?auto_15830
      ?auto_15837
      ?auto_15828
      ?auto_15840
      ?auto_15829
      ?auto_15832
      ?auto_15836
      ?auto_15831
      ?auto_15826
      ?auto_15835
      ?auto_15825
      ?auto_15834
      ?auto_15833
      ?auto_15839
      ?auto_15843
    )
    :precondition
    ( and ( OBJ ?auto_15823 ) ( LOCATION ?auto_15824 ) ( TRUCK ?auto_15830 ) ( LOCATION ?auto_15837 ) ( CITY ?auto_15828 ) ( IN-CITY ?auto_15837 ?auto_15828 ) ( IN-CITY ?auto_15824 ?auto_15828 ) ( DIFFERENT ?auto_15824 ?auto_15837 ) ( LOCATION ?auto_15840 ) ( CITY ?auto_15829 ) ( AT ?auto_15830 ?auto_15840 ) ( IN-CITY ?auto_15840 ?auto_15829 ) ( IN-CITY ?auto_15837 ?auto_15829 ) ( DIFFERENT ?auto_15837 ?auto_15840 ) ( LOCATION ?auto_15832 ) ( AT ?auto_15830 ?auto_15832 ) ( AIRPLANE ?auto_15836 ) ( AIRPORT ?auto_15831 ) ( AIRPORT ?auto_15832 ) ( DIFFERENT ?auto_15832 ?auto_15831 ) ( LOCATION ?auto_15831 ) ( TRUCK ?auto_15826 ) ( LOCATION ?auto_15835 ) ( CITY ?auto_15825 ) ( IN-CITY ?auto_15835 ?auto_15825 ) ( IN-CITY ?auto_15831 ?auto_15825 ) ( DIFFERENT ?auto_15831 ?auto_15835 ) ( LOCATION ?auto_15834 ) ( CITY ?auto_15833 ) ( AT ?auto_15826 ?auto_15834 ) ( IN-CITY ?auto_15834 ?auto_15833 ) ( IN-CITY ?auto_15835 ?auto_15833 ) ( DIFFERENT ?auto_15835 ?auto_15834 ) ( LOCATION ?auto_15839 ) ( AT ?auto_15826 ?auto_15839 ) ( AT ?auto_15823 ?auto_15839 ) ( AIRPORT ?auto_15843 ) ( AT ?auto_15836 ?auto_15843 ) ( DIFFERENT ?auto_15831 ?auto_15843 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_15836 ?auto_15843 ?auto_15831 )
      ( DELIVER-PKG ?auto_15823 ?auto_15824 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15845
      ?auto_15846
    )
    :vars
    (
      ?auto_15852
      ?auto_15859
      ?auto_15850
      ?auto_15861
      ?auto_15851
      ?auto_15854
      ?auto_15858
      ?auto_15853
      ?auto_15848
      ?auto_15857
      ?auto_15849
      ?auto_15860
      ?auto_15855
      ?auto_15847
      ?auto_15866
      ?auto_15865
    )
    :precondition
    ( and ( OBJ ?auto_15845 ) ( LOCATION ?auto_15846 ) ( TRUCK ?auto_15852 ) ( LOCATION ?auto_15859 ) ( CITY ?auto_15850 ) ( IN-CITY ?auto_15859 ?auto_15850 ) ( IN-CITY ?auto_15846 ?auto_15850 ) ( DIFFERENT ?auto_15846 ?auto_15859 ) ( LOCATION ?auto_15861 ) ( CITY ?auto_15851 ) ( AT ?auto_15852 ?auto_15861 ) ( IN-CITY ?auto_15861 ?auto_15851 ) ( IN-CITY ?auto_15859 ?auto_15851 ) ( DIFFERENT ?auto_15859 ?auto_15861 ) ( LOCATION ?auto_15854 ) ( AT ?auto_15852 ?auto_15854 ) ( AIRPLANE ?auto_15858 ) ( AIRPORT ?auto_15853 ) ( AIRPORT ?auto_15854 ) ( DIFFERENT ?auto_15854 ?auto_15853 ) ( LOCATION ?auto_15853 ) ( TRUCK ?auto_15848 ) ( LOCATION ?auto_15857 ) ( CITY ?auto_15849 ) ( IN-CITY ?auto_15857 ?auto_15849 ) ( IN-CITY ?auto_15853 ?auto_15849 ) ( DIFFERENT ?auto_15853 ?auto_15857 ) ( LOCATION ?auto_15860 ) ( CITY ?auto_15855 ) ( IN-CITY ?auto_15860 ?auto_15855 ) ( IN-CITY ?auto_15857 ?auto_15855 ) ( DIFFERENT ?auto_15857 ?auto_15860 ) ( AT ?auto_15845 ?auto_15860 ) ( AIRPORT ?auto_15847 ) ( AT ?auto_15858 ?auto_15847 ) ( DIFFERENT ?auto_15853 ?auto_15847 ) ( LOCATION ?auto_15866 ) ( CITY ?auto_15865 ) ( AT ?auto_15848 ?auto_15866 ) ( IN-CITY ?auto_15866 ?auto_15865 ) ( IN-CITY ?auto_15860 ?auto_15865 ) ( DIFFERENT ?auto_15860 ?auto_15866 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15848 ?auto_15866 ?auto_15860 ?auto_15865 )
      ( DELIVER-PKG ?auto_15845 ?auto_15846 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_15868
      ?auto_15869
    )
    :vars
    (
      ?auto_15872
      ?auto_15882
      ?auto_15885
      ?auto_15871
      ?auto_15886
      ?auto_15879
      ?auto_15887
      ?auto_15884
      ?auto_15881
      ?auto_15883
      ?auto_15874
      ?auto_15873
      ?auto_15877
      ?auto_15880
      ?auto_15878
      ?auto_15890
      ?auto_15889
    )
    :precondition
    ( and ( OBJ ?auto_15868 ) ( LOCATION ?auto_15869 ) ( TRUCK ?auto_15872 ) ( LOCATION ?auto_15882 ) ( CITY ?auto_15885 ) ( IN-CITY ?auto_15882 ?auto_15885 ) ( IN-CITY ?auto_15869 ?auto_15885 ) ( DIFFERENT ?auto_15869 ?auto_15882 ) ( LOCATION ?auto_15871 ) ( CITY ?auto_15886 ) ( IN-CITY ?auto_15871 ?auto_15886 ) ( IN-CITY ?auto_15882 ?auto_15886 ) ( DIFFERENT ?auto_15882 ?auto_15871 ) ( AIRPLANE ?auto_15879 ) ( AIRPORT ?auto_15887 ) ( AIRPORT ?auto_15871 ) ( DIFFERENT ?auto_15871 ?auto_15887 ) ( LOCATION ?auto_15887 ) ( TRUCK ?auto_15884 ) ( LOCATION ?auto_15881 ) ( CITY ?auto_15883 ) ( IN-CITY ?auto_15881 ?auto_15883 ) ( IN-CITY ?auto_15887 ?auto_15883 ) ( DIFFERENT ?auto_15887 ?auto_15881 ) ( LOCATION ?auto_15874 ) ( CITY ?auto_15873 ) ( IN-CITY ?auto_15874 ?auto_15873 ) ( IN-CITY ?auto_15881 ?auto_15873 ) ( DIFFERENT ?auto_15881 ?auto_15874 ) ( AT ?auto_15868 ?auto_15874 ) ( AIRPORT ?auto_15877 ) ( AT ?auto_15879 ?auto_15877 ) ( DIFFERENT ?auto_15887 ?auto_15877 ) ( LOCATION ?auto_15880 ) ( CITY ?auto_15878 ) ( AT ?auto_15884 ?auto_15880 ) ( IN-CITY ?auto_15880 ?auto_15878 ) ( IN-CITY ?auto_15874 ?auto_15878 ) ( DIFFERENT ?auto_15874 ?auto_15880 ) ( LOCATION ?auto_15890 ) ( CITY ?auto_15889 ) ( AT ?auto_15872 ?auto_15890 ) ( IN-CITY ?auto_15890 ?auto_15889 ) ( IN-CITY ?auto_15871 ?auto_15889 ) ( DIFFERENT ?auto_15871 ?auto_15890 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_15872 ?auto_15890 ?auto_15871 ?auto_15889 )
      ( DELIVER-PKG ?auto_15868 ?auto_15869 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16265
      ?auto_16266
    )
    :vars
    (
      ?auto_16270
      ?auto_16269
      ?auto_16271
      ?auto_16273
      ?auto_16268
      ?auto_16267
      ?auto_16272
      ?auto_16277
    )
    :precondition
    ( and ( OBJ ?auto_16265 ) ( LOCATION ?auto_16266 ) ( TRUCK ?auto_16270 ) ( LOCATION ?auto_16269 ) ( CITY ?auto_16271 ) ( AT ?auto_16270 ?auto_16269 ) ( IN-CITY ?auto_16269 ?auto_16271 ) ( IN-CITY ?auto_16266 ?auto_16271 ) ( DIFFERENT ?auto_16266 ?auto_16269 ) ( LOCATION ?auto_16273 ) ( AT ?auto_16270 ?auto_16273 ) ( AIRPLANE ?auto_16268 ) ( AIRPORT ?auto_16267 ) ( AIRPORT ?auto_16273 ) ( DIFFERENT ?auto_16273 ?auto_16267 ) ( LOCATION ?auto_16267 ) ( AT ?auto_16265 ?auto_16267 ) ( AIRPORT ?auto_16272 ) ( DIFFERENT ?auto_16267 ?auto_16272 ) ( AIRPORT ?auto_16277 ) ( AT ?auto_16268 ?auto_16277 ) ( DIFFERENT ?auto_16272 ?auto_16277 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16268 ?auto_16277 ?auto_16272 )
      ( DELIVER-PKG ?auto_16265 ?auto_16266 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16303
      ?auto_16304
    )
    :vars
    (
      ?auto_16310
      ?auto_16309
      ?auto_16311
      ?auto_16313
      ?auto_16307
      ?auto_16306
      ?auto_16312
      ?auto_16314
      ?auto_16316
    )
    :precondition
    ( and ( OBJ ?auto_16303 ) ( LOCATION ?auto_16304 ) ( TRUCK ?auto_16310 ) ( LOCATION ?auto_16309 ) ( CITY ?auto_16311 ) ( AT ?auto_16310 ?auto_16309 ) ( IN-CITY ?auto_16309 ?auto_16311 ) ( IN-CITY ?auto_16304 ?auto_16311 ) ( DIFFERENT ?auto_16304 ?auto_16309 ) ( LOCATION ?auto_16313 ) ( AT ?auto_16310 ?auto_16313 ) ( AIRPLANE ?auto_16307 ) ( AIRPORT ?auto_16306 ) ( AIRPORT ?auto_16313 ) ( DIFFERENT ?auto_16313 ?auto_16306 ) ( LOCATION ?auto_16306 ) ( AIRPORT ?auto_16312 ) ( DIFFERENT ?auto_16306 ?auto_16312 ) ( AIRPORT ?auto_16314 ) ( AT ?auto_16307 ?auto_16314 ) ( DIFFERENT ?auto_16312 ?auto_16314 ) ( TRUCK ?auto_16316 ) ( AT ?auto_16316 ?auto_16306 ) ( IN ?auto_16303 ?auto_16316 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_16303 ?auto_16306 )
      ( DELIVER-PKG ?auto_16303 ?auto_16304 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16318
      ?auto_16319
    )
    :vars
    (
      ?auto_16324
      ?auto_16327
      ?auto_16325
      ?auto_16322
      ?auto_16330
      ?auto_16326
      ?auto_16328
      ?auto_16329
      ?auto_16333
      ?auto_16332
    )
    :precondition
    ( and ( OBJ ?auto_16318 ) ( LOCATION ?auto_16319 ) ( TRUCK ?auto_16324 ) ( LOCATION ?auto_16327 ) ( CITY ?auto_16325 ) ( IN-CITY ?auto_16327 ?auto_16325 ) ( IN-CITY ?auto_16319 ?auto_16325 ) ( DIFFERENT ?auto_16319 ?auto_16327 ) ( AIRPLANE ?auto_16322 ) ( AIRPORT ?auto_16330 ) ( AIRPORT ?auto_16327 ) ( DIFFERENT ?auto_16327 ?auto_16330 ) ( LOCATION ?auto_16330 ) ( AIRPORT ?auto_16326 ) ( DIFFERENT ?auto_16330 ?auto_16326 ) ( AIRPORT ?auto_16328 ) ( AT ?auto_16322 ?auto_16328 ) ( DIFFERENT ?auto_16326 ?auto_16328 ) ( TRUCK ?auto_16329 ) ( AT ?auto_16329 ?auto_16330 ) ( IN ?auto_16318 ?auto_16329 ) ( LOCATION ?auto_16333 ) ( CITY ?auto_16332 ) ( AT ?auto_16324 ?auto_16333 ) ( IN-CITY ?auto_16333 ?auto_16332 ) ( IN-CITY ?auto_16327 ?auto_16332 ) ( DIFFERENT ?auto_16327 ?auto_16333 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16324 ?auto_16333 ?auto_16327 ?auto_16332 )
      ( DELIVER-PKG ?auto_16318 ?auto_16319 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16335
      ?auto_16336
    )
    :vars
    (
      ?auto_16347
      ?auto_16341
      ?auto_16337
      ?auto_16348
      ?auto_16339
      ?auto_16338
      ?auto_16345
      ?auto_16340
      ?auto_16343
      ?auto_16342
      ?auto_16351
      ?auto_16350
    )
    :precondition
    ( and ( OBJ ?auto_16335 ) ( LOCATION ?auto_16336 ) ( TRUCK ?auto_16347 ) ( LOCATION ?auto_16341 ) ( CITY ?auto_16337 ) ( IN-CITY ?auto_16341 ?auto_16337 ) ( IN-CITY ?auto_16336 ?auto_16337 ) ( DIFFERENT ?auto_16336 ?auto_16341 ) ( AIRPLANE ?auto_16348 ) ( AIRPORT ?auto_16339 ) ( AIRPORT ?auto_16341 ) ( DIFFERENT ?auto_16341 ?auto_16339 ) ( LOCATION ?auto_16339 ) ( AIRPORT ?auto_16338 ) ( DIFFERENT ?auto_16339 ?auto_16338 ) ( AIRPORT ?auto_16345 ) ( AT ?auto_16348 ?auto_16345 ) ( DIFFERENT ?auto_16338 ?auto_16345 ) ( TRUCK ?auto_16340 ) ( IN ?auto_16335 ?auto_16340 ) ( LOCATION ?auto_16343 ) ( CITY ?auto_16342 ) ( AT ?auto_16347 ?auto_16343 ) ( IN-CITY ?auto_16343 ?auto_16342 ) ( IN-CITY ?auto_16341 ?auto_16342 ) ( DIFFERENT ?auto_16341 ?auto_16343 ) ( LOCATION ?auto_16351 ) ( CITY ?auto_16350 ) ( AT ?auto_16340 ?auto_16351 ) ( IN-CITY ?auto_16351 ?auto_16350 ) ( IN-CITY ?auto_16339 ?auto_16350 ) ( DIFFERENT ?auto_16339 ?auto_16351 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16340 ?auto_16351 ?auto_16339 ?auto_16350 )
      ( DELIVER-PKG ?auto_16335 ?auto_16336 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16353
      ?auto_16354
    )
    :vars
    (
      ?auto_16359
      ?auto_16368
      ?auto_16356
      ?auto_16367
      ?auto_16357
      ?auto_16366
      ?auto_16361
      ?auto_16365
      ?auto_16364
      ?auto_16360
      ?auto_16363
      ?auto_16362
      ?auto_16371
      ?auto_16370
    )
    :precondition
    ( and ( OBJ ?auto_16353 ) ( LOCATION ?auto_16354 ) ( TRUCK ?auto_16359 ) ( LOCATION ?auto_16368 ) ( CITY ?auto_16356 ) ( IN-CITY ?auto_16368 ?auto_16356 ) ( IN-CITY ?auto_16354 ?auto_16356 ) ( DIFFERENT ?auto_16354 ?auto_16368 ) ( AIRPLANE ?auto_16367 ) ( AIRPORT ?auto_16357 ) ( AIRPORT ?auto_16368 ) ( DIFFERENT ?auto_16368 ?auto_16357 ) ( LOCATION ?auto_16357 ) ( AIRPORT ?auto_16366 ) ( DIFFERENT ?auto_16357 ?auto_16366 ) ( AIRPORT ?auto_16361 ) ( AT ?auto_16367 ?auto_16361 ) ( DIFFERENT ?auto_16366 ?auto_16361 ) ( TRUCK ?auto_16365 ) ( IN ?auto_16353 ?auto_16365 ) ( LOCATION ?auto_16364 ) ( CITY ?auto_16360 ) ( IN-CITY ?auto_16364 ?auto_16360 ) ( IN-CITY ?auto_16368 ?auto_16360 ) ( DIFFERENT ?auto_16368 ?auto_16364 ) ( LOCATION ?auto_16363 ) ( CITY ?auto_16362 ) ( AT ?auto_16365 ?auto_16363 ) ( IN-CITY ?auto_16363 ?auto_16362 ) ( IN-CITY ?auto_16357 ?auto_16362 ) ( DIFFERENT ?auto_16357 ?auto_16363 ) ( LOCATION ?auto_16371 ) ( CITY ?auto_16370 ) ( AT ?auto_16359 ?auto_16371 ) ( IN-CITY ?auto_16371 ?auto_16370 ) ( IN-CITY ?auto_16364 ?auto_16370 ) ( DIFFERENT ?auto_16364 ?auto_16371 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16359 ?auto_16371 ?auto_16364 ?auto_16370 )
      ( DELIVER-PKG ?auto_16353 ?auto_16354 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16373
      ?auto_16374
    )
    :vars
    (
      ?auto_16387
      ?auto_16380
      ?auto_16378
      ?auto_16379
      ?auto_16385
      ?auto_16383
      ?auto_16384
      ?auto_16382
      ?auto_16386
      ?auto_16388
      ?auto_16377
      ?auto_16381
      ?auto_16390
      ?auto_16389
      ?auto_16392
    )
    :precondition
    ( and ( OBJ ?auto_16373 ) ( LOCATION ?auto_16374 ) ( TRUCK ?auto_16387 ) ( LOCATION ?auto_16380 ) ( CITY ?auto_16378 ) ( IN-CITY ?auto_16380 ?auto_16378 ) ( IN-CITY ?auto_16374 ?auto_16378 ) ( DIFFERENT ?auto_16374 ?auto_16380 ) ( AIRPLANE ?auto_16379 ) ( AIRPORT ?auto_16385 ) ( AIRPORT ?auto_16380 ) ( DIFFERENT ?auto_16380 ?auto_16385 ) ( LOCATION ?auto_16385 ) ( AIRPORT ?auto_16383 ) ( DIFFERENT ?auto_16385 ?auto_16383 ) ( AIRPORT ?auto_16384 ) ( AT ?auto_16379 ?auto_16384 ) ( DIFFERENT ?auto_16383 ?auto_16384 ) ( TRUCK ?auto_16382 ) ( LOCATION ?auto_16386 ) ( CITY ?auto_16388 ) ( IN-CITY ?auto_16386 ?auto_16388 ) ( IN-CITY ?auto_16380 ?auto_16388 ) ( DIFFERENT ?auto_16380 ?auto_16386 ) ( LOCATION ?auto_16377 ) ( CITY ?auto_16381 ) ( AT ?auto_16382 ?auto_16377 ) ( IN-CITY ?auto_16377 ?auto_16381 ) ( IN-CITY ?auto_16385 ?auto_16381 ) ( DIFFERENT ?auto_16385 ?auto_16377 ) ( LOCATION ?auto_16390 ) ( CITY ?auto_16389 ) ( AT ?auto_16387 ?auto_16390 ) ( IN-CITY ?auto_16390 ?auto_16389 ) ( IN-CITY ?auto_16386 ?auto_16389 ) ( DIFFERENT ?auto_16386 ?auto_16390 ) ( LOCATION ?auto_16392 ) ( AT ?auto_16382 ?auto_16392 ) ( AT ?auto_16373 ?auto_16392 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_16373 ?auto_16382 ?auto_16392 )
      ( DELIVER-PKG ?auto_16373 ?auto_16374 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16413
      ?auto_16414
    )
    :vars
    (
      ?auto_16418
      ?auto_16430
      ?auto_16428
      ?auto_16429
      ?auto_16425
      ?auto_16416
      ?auto_16424
      ?auto_16431
      ?auto_16427
      ?auto_16420
      ?auto_16423
      ?auto_16419
      ?auto_16422
      ?auto_16421
      ?auto_16434
      ?auto_16433
    )
    :precondition
    ( and ( OBJ ?auto_16413 ) ( LOCATION ?auto_16414 ) ( TRUCK ?auto_16418 ) ( LOCATION ?auto_16430 ) ( CITY ?auto_16428 ) ( IN-CITY ?auto_16430 ?auto_16428 ) ( IN-CITY ?auto_16414 ?auto_16428 ) ( DIFFERENT ?auto_16414 ?auto_16430 ) ( AIRPLANE ?auto_16429 ) ( AIRPORT ?auto_16425 ) ( AIRPORT ?auto_16430 ) ( DIFFERENT ?auto_16430 ?auto_16425 ) ( LOCATION ?auto_16425 ) ( AIRPORT ?auto_16416 ) ( DIFFERENT ?auto_16425 ?auto_16416 ) ( AIRPORT ?auto_16424 ) ( AT ?auto_16429 ?auto_16424 ) ( DIFFERENT ?auto_16416 ?auto_16424 ) ( TRUCK ?auto_16431 ) ( LOCATION ?auto_16427 ) ( CITY ?auto_16420 ) ( IN-CITY ?auto_16427 ?auto_16420 ) ( IN-CITY ?auto_16430 ?auto_16420 ) ( DIFFERENT ?auto_16430 ?auto_16427 ) ( LOCATION ?auto_16423 ) ( CITY ?auto_16419 ) ( IN-CITY ?auto_16423 ?auto_16419 ) ( IN-CITY ?auto_16425 ?auto_16419 ) ( DIFFERENT ?auto_16425 ?auto_16423 ) ( LOCATION ?auto_16422 ) ( CITY ?auto_16421 ) ( AT ?auto_16418 ?auto_16422 ) ( IN-CITY ?auto_16422 ?auto_16421 ) ( IN-CITY ?auto_16427 ?auto_16421 ) ( DIFFERENT ?auto_16427 ?auto_16422 ) ( AT ?auto_16413 ?auto_16423 ) ( LOCATION ?auto_16434 ) ( CITY ?auto_16433 ) ( AT ?auto_16431 ?auto_16434 ) ( IN-CITY ?auto_16434 ?auto_16433 ) ( IN-CITY ?auto_16423 ?auto_16433 ) ( DIFFERENT ?auto_16423 ?auto_16434 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16431 ?auto_16434 ?auto_16423 ?auto_16433 )
      ( DELIVER-PKG ?auto_16413 ?auto_16414 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16436
      ?auto_16437
    )
    :vars
    (
      ?auto_16446
      ?auto_16452
      ?auto_16450
      ?auto_16451
      ?auto_16445
      ?auto_16438
      ?auto_16444
      ?auto_16453
      ?auto_16449
      ?auto_16440
      ?auto_16443
      ?auto_16447
      ?auto_16442
      ?auto_16441
      ?auto_16455
      ?auto_16439
      ?auto_16457
    )
    :precondition
    ( and ( OBJ ?auto_16436 ) ( LOCATION ?auto_16437 ) ( TRUCK ?auto_16446 ) ( LOCATION ?auto_16452 ) ( CITY ?auto_16450 ) ( IN-CITY ?auto_16452 ?auto_16450 ) ( IN-CITY ?auto_16437 ?auto_16450 ) ( DIFFERENT ?auto_16437 ?auto_16452 ) ( AIRPLANE ?auto_16451 ) ( AIRPORT ?auto_16445 ) ( AIRPORT ?auto_16452 ) ( DIFFERENT ?auto_16452 ?auto_16445 ) ( LOCATION ?auto_16445 ) ( AIRPORT ?auto_16438 ) ( DIFFERENT ?auto_16445 ?auto_16438 ) ( AIRPORT ?auto_16444 ) ( DIFFERENT ?auto_16438 ?auto_16444 ) ( TRUCK ?auto_16453 ) ( LOCATION ?auto_16449 ) ( CITY ?auto_16440 ) ( IN-CITY ?auto_16449 ?auto_16440 ) ( IN-CITY ?auto_16452 ?auto_16440 ) ( DIFFERENT ?auto_16452 ?auto_16449 ) ( LOCATION ?auto_16443 ) ( CITY ?auto_16447 ) ( IN-CITY ?auto_16443 ?auto_16447 ) ( IN-CITY ?auto_16445 ?auto_16447 ) ( DIFFERENT ?auto_16445 ?auto_16443 ) ( LOCATION ?auto_16442 ) ( CITY ?auto_16441 ) ( AT ?auto_16446 ?auto_16442 ) ( IN-CITY ?auto_16442 ?auto_16441 ) ( IN-CITY ?auto_16449 ?auto_16441 ) ( DIFFERENT ?auto_16449 ?auto_16442 ) ( AT ?auto_16436 ?auto_16443 ) ( LOCATION ?auto_16455 ) ( CITY ?auto_16439 ) ( AT ?auto_16453 ?auto_16455 ) ( IN-CITY ?auto_16455 ?auto_16439 ) ( IN-CITY ?auto_16443 ?auto_16439 ) ( DIFFERENT ?auto_16443 ?auto_16455 ) ( AIRPORT ?auto_16457 ) ( AT ?auto_16451 ?auto_16457 ) ( DIFFERENT ?auto_16444 ?auto_16457 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_16451 ?auto_16457 ?auto_16444 )
      ( DELIVER-PKG ?auto_16436 ?auto_16437 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_16459
      ?auto_16460
    )
    :vars
    (
      ?auto_16466
      ?auto_16475
      ?auto_16469
      ?auto_16470
      ?auto_16472
      ?auto_16468
      ?auto_16471
      ?auto_16461
      ?auto_16473
      ?auto_16474
      ?auto_16479
      ?auto_16464
      ?auto_16478
      ?auto_16476
      ?auto_16463
      ?auto_16477
      ?auto_16462
      ?auto_16482
      ?auto_16481
    )
    :precondition
    ( and ( OBJ ?auto_16459 ) ( LOCATION ?auto_16460 ) ( TRUCK ?auto_16466 ) ( LOCATION ?auto_16475 ) ( CITY ?auto_16469 ) ( IN-CITY ?auto_16475 ?auto_16469 ) ( IN-CITY ?auto_16460 ?auto_16469 ) ( DIFFERENT ?auto_16460 ?auto_16475 ) ( AIRPLANE ?auto_16470 ) ( AIRPORT ?auto_16472 ) ( AIRPORT ?auto_16475 ) ( DIFFERENT ?auto_16475 ?auto_16472 ) ( LOCATION ?auto_16472 ) ( AIRPORT ?auto_16468 ) ( DIFFERENT ?auto_16472 ?auto_16468 ) ( AIRPORT ?auto_16471 ) ( DIFFERENT ?auto_16468 ?auto_16471 ) ( TRUCK ?auto_16461 ) ( LOCATION ?auto_16473 ) ( CITY ?auto_16474 ) ( IN-CITY ?auto_16473 ?auto_16474 ) ( IN-CITY ?auto_16475 ?auto_16474 ) ( DIFFERENT ?auto_16475 ?auto_16473 ) ( LOCATION ?auto_16479 ) ( CITY ?auto_16464 ) ( IN-CITY ?auto_16479 ?auto_16464 ) ( IN-CITY ?auto_16472 ?auto_16464 ) ( DIFFERENT ?auto_16472 ?auto_16479 ) ( LOCATION ?auto_16478 ) ( CITY ?auto_16476 ) ( IN-CITY ?auto_16478 ?auto_16476 ) ( IN-CITY ?auto_16473 ?auto_16476 ) ( DIFFERENT ?auto_16473 ?auto_16478 ) ( AT ?auto_16459 ?auto_16479 ) ( LOCATION ?auto_16463 ) ( CITY ?auto_16477 ) ( AT ?auto_16461 ?auto_16463 ) ( IN-CITY ?auto_16463 ?auto_16477 ) ( IN-CITY ?auto_16479 ?auto_16477 ) ( DIFFERENT ?auto_16479 ?auto_16463 ) ( AIRPORT ?auto_16462 ) ( AT ?auto_16470 ?auto_16462 ) ( DIFFERENT ?auto_16471 ?auto_16462 ) ( LOCATION ?auto_16482 ) ( CITY ?auto_16481 ) ( AT ?auto_16466 ?auto_16482 ) ( IN-CITY ?auto_16482 ?auto_16481 ) ( IN-CITY ?auto_16478 ?auto_16481 ) ( DIFFERENT ?auto_16478 ?auto_16482 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_16466 ?auto_16482 ?auto_16478 ?auto_16481 )
      ( DELIVER-PKG ?auto_16459 ?auto_16460 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17224
      ?auto_17225
    )
    :vars
    (
      ?auto_17231
      ?auto_17227
      ?auto_17232
      ?auto_17233
      ?auto_17226
      ?auto_17230
      ?auto_17236
      ?auto_17235
    )
    :precondition
    ( and ( OBJ ?auto_17224 ) ( LOCATION ?auto_17225 ) ( AIRPLANE ?auto_17231 ) ( AIRPORT ?auto_17227 ) ( AIRPORT ?auto_17225 ) ( DIFFERENT ?auto_17225 ?auto_17227 ) ( LOCATION ?auto_17227 ) ( AIRPORT ?auto_17232 ) ( AT ?auto_17231 ?auto_17232 ) ( DIFFERENT ?auto_17227 ?auto_17232 ) ( TRUCK ?auto_17233 ) ( IN ?auto_17224 ?auto_17233 ) ( LOCATION ?auto_17226 ) ( CITY ?auto_17230 ) ( IN-CITY ?auto_17226 ?auto_17230 ) ( IN-CITY ?auto_17227 ?auto_17230 ) ( DIFFERENT ?auto_17227 ?auto_17226 ) ( LOCATION ?auto_17236 ) ( CITY ?auto_17235 ) ( AT ?auto_17233 ?auto_17236 ) ( IN-CITY ?auto_17236 ?auto_17235 ) ( IN-CITY ?auto_17226 ?auto_17235 ) ( DIFFERENT ?auto_17226 ?auto_17236 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17233 ?auto_17236 ?auto_17226 ?auto_17235 )
      ( DELIVER-PKG ?auto_17224 ?auto_17225 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17250
      ?auto_17251
    )
    :vars
    (
      ?auto_17257
      ?auto_17255
      ?auto_17256
      ?auto_17261
      ?auto_17252
      ?auto_17254
      ?auto_17260
      ?auto_17259
      ?auto_17263
    )
    :precondition
    ( and ( OBJ ?auto_17250 ) ( LOCATION ?auto_17251 ) ( AIRPLANE ?auto_17257 ) ( AIRPORT ?auto_17255 ) ( AIRPORT ?auto_17251 ) ( DIFFERENT ?auto_17251 ?auto_17255 ) ( LOCATION ?auto_17255 ) ( AIRPORT ?auto_17256 ) ( AT ?auto_17257 ?auto_17256 ) ( DIFFERENT ?auto_17255 ?auto_17256 ) ( TRUCK ?auto_17261 ) ( LOCATION ?auto_17252 ) ( CITY ?auto_17254 ) ( IN-CITY ?auto_17252 ?auto_17254 ) ( IN-CITY ?auto_17255 ?auto_17254 ) ( DIFFERENT ?auto_17255 ?auto_17252 ) ( LOCATION ?auto_17260 ) ( CITY ?auto_17259 ) ( AT ?auto_17261 ?auto_17260 ) ( IN-CITY ?auto_17260 ?auto_17259 ) ( IN-CITY ?auto_17252 ?auto_17259 ) ( DIFFERENT ?auto_17252 ?auto_17260 ) ( LOCATION ?auto_17263 ) ( AT ?auto_17261 ?auto_17263 ) ( AT ?auto_17250 ?auto_17263 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17250 ?auto_17261 ?auto_17263 )
      ( DELIVER-PKG ?auto_17250 ?auto_17251 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17308
      ?auto_17309
    )
    :vars
    (
      ?auto_17317
      ?auto_17311
      ?auto_17310
      ?auto_17313
      ?auto_17315
      ?auto_17316
      ?auto_17312
      ?auto_17318
      ?auto_17321
      ?auto_17320
      ?auto_17323
    )
    :precondition
    ( and ( OBJ ?auto_17308 ) ( LOCATION ?auto_17309 ) ( AIRPLANE ?auto_17317 ) ( AIRPORT ?auto_17311 ) ( AIRPORT ?auto_17309 ) ( DIFFERENT ?auto_17309 ?auto_17311 ) ( LOCATION ?auto_17311 ) ( AIRPORT ?auto_17310 ) ( DIFFERENT ?auto_17311 ?auto_17310 ) ( TRUCK ?auto_17313 ) ( LOCATION ?auto_17315 ) ( CITY ?auto_17316 ) ( IN-CITY ?auto_17315 ?auto_17316 ) ( IN-CITY ?auto_17311 ?auto_17316 ) ( DIFFERENT ?auto_17311 ?auto_17315 ) ( LOCATION ?auto_17312 ) ( CITY ?auto_17318 ) ( IN-CITY ?auto_17312 ?auto_17318 ) ( IN-CITY ?auto_17315 ?auto_17318 ) ( DIFFERENT ?auto_17315 ?auto_17312 ) ( AT ?auto_17308 ?auto_17312 ) ( LOCATION ?auto_17321 ) ( CITY ?auto_17320 ) ( AT ?auto_17313 ?auto_17321 ) ( IN-CITY ?auto_17321 ?auto_17320 ) ( IN-CITY ?auto_17312 ?auto_17320 ) ( DIFFERENT ?auto_17312 ?auto_17321 ) ( AIRPORT ?auto_17323 ) ( AT ?auto_17317 ?auto_17323 ) ( DIFFERENT ?auto_17310 ?auto_17323 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17317 ?auto_17323 ?auto_17310 )
      ( DELIVER-PKG ?auto_17308 ?auto_17309 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17603
      ?auto_17604
    )
    :vars
    (
      ?auto_17609
      ?auto_17608
      ?auto_17606
      ?auto_17607
      ?auto_17610
      ?auto_17613
    )
    :precondition
    ( and ( OBJ ?auto_17603 ) ( LOCATION ?auto_17604 ) ( AIRPLANE ?auto_17609 ) ( AIRPORT ?auto_17608 ) ( AIRPORT ?auto_17604 ) ( DIFFERENT ?auto_17604 ?auto_17608 ) ( AIRPORT ?auto_17606 ) ( DIFFERENT ?auto_17608 ?auto_17606 ) ( AIRPORT ?auto_17607 ) ( AT ?auto_17609 ?auto_17607 ) ( DIFFERENT ?auto_17606 ?auto_17607 ) ( LOCATION ?auto_17610 ) ( AT ?auto_17609 ?auto_17610 ) ( TRUCK ?auto_17613 ) ( AT ?auto_17613 ?auto_17610 ) ( IN ?auto_17603 ?auto_17613 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_17603 ?auto_17610 )
      ( DELIVER-PKG ?auto_17603 ?auto_17604 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17625
      ?auto_17626
    )
    :vars
    (
      ?auto_17631
      ?auto_17630
      ?auto_17628
      ?auto_17629
      ?auto_17627
      ?auto_17633
      ?auto_17637
      ?auto_17636
    )
    :precondition
    ( and ( OBJ ?auto_17625 ) ( LOCATION ?auto_17626 ) ( AIRPLANE ?auto_17631 ) ( AIRPORT ?auto_17630 ) ( AIRPORT ?auto_17626 ) ( DIFFERENT ?auto_17626 ?auto_17630 ) ( AIRPORT ?auto_17628 ) ( DIFFERENT ?auto_17630 ?auto_17628 ) ( AIRPORT ?auto_17629 ) ( AT ?auto_17631 ?auto_17629 ) ( DIFFERENT ?auto_17628 ?auto_17629 ) ( LOCATION ?auto_17627 ) ( AT ?auto_17631 ?auto_17627 ) ( TRUCK ?auto_17633 ) ( IN ?auto_17625 ?auto_17633 ) ( LOCATION ?auto_17637 ) ( CITY ?auto_17636 ) ( AT ?auto_17633 ?auto_17637 ) ( IN-CITY ?auto_17637 ?auto_17636 ) ( IN-CITY ?auto_17627 ?auto_17636 ) ( DIFFERENT ?auto_17627 ?auto_17637 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17633 ?auto_17637 ?auto_17627 ?auto_17636 )
      ( DELIVER-PKG ?auto_17625 ?auto_17626 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17651
      ?auto_17652
    )
    :vars
    (
      ?auto_17656
      ?auto_17655
      ?auto_17659
      ?auto_17653
      ?auto_17660
      ?auto_17657
      ?auto_17662
      ?auto_17661
      ?auto_17664
    )
    :precondition
    ( and ( OBJ ?auto_17651 ) ( LOCATION ?auto_17652 ) ( AIRPLANE ?auto_17656 ) ( AIRPORT ?auto_17655 ) ( AIRPORT ?auto_17652 ) ( DIFFERENT ?auto_17652 ?auto_17655 ) ( AIRPORT ?auto_17659 ) ( DIFFERENT ?auto_17655 ?auto_17659 ) ( AIRPORT ?auto_17653 ) ( AT ?auto_17656 ?auto_17653 ) ( DIFFERENT ?auto_17659 ?auto_17653 ) ( LOCATION ?auto_17660 ) ( AT ?auto_17656 ?auto_17660 ) ( TRUCK ?auto_17657 ) ( LOCATION ?auto_17662 ) ( CITY ?auto_17661 ) ( AT ?auto_17657 ?auto_17662 ) ( IN-CITY ?auto_17662 ?auto_17661 ) ( IN-CITY ?auto_17660 ?auto_17661 ) ( DIFFERENT ?auto_17660 ?auto_17662 ) ( LOCATION ?auto_17664 ) ( AT ?auto_17657 ?auto_17664 ) ( AT ?auto_17651 ?auto_17664 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_17651 ?auto_17657 ?auto_17664 )
      ( DELIVER-PKG ?auto_17651 ?auto_17652 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17692
      ?auto_17693
    )
    :vars
    (
      ?auto_17701
      ?auto_17703
      ?auto_17696
      ?auto_17697
      ?auto_17702
      ?auto_17699
      ?auto_17698
      ?auto_17704
      ?auto_17706
    )
    :precondition
    ( and ( OBJ ?auto_17692 ) ( LOCATION ?auto_17693 ) ( AIRPLANE ?auto_17701 ) ( AIRPORT ?auto_17703 ) ( AIRPORT ?auto_17693 ) ( DIFFERENT ?auto_17693 ?auto_17703 ) ( AIRPORT ?auto_17696 ) ( DIFFERENT ?auto_17703 ?auto_17696 ) ( AIRPORT ?auto_17697 ) ( DIFFERENT ?auto_17696 ?auto_17697 ) ( LOCATION ?auto_17697 ) ( TRUCK ?auto_17702 ) ( LOCATION ?auto_17699 ) ( CITY ?auto_17698 ) ( AT ?auto_17702 ?auto_17699 ) ( IN-CITY ?auto_17699 ?auto_17698 ) ( IN-CITY ?auto_17697 ?auto_17698 ) ( DIFFERENT ?auto_17697 ?auto_17699 ) ( LOCATION ?auto_17704 ) ( AT ?auto_17702 ?auto_17704 ) ( AT ?auto_17692 ?auto_17704 ) ( AIRPORT ?auto_17706 ) ( AT ?auto_17701 ?auto_17706 ) ( DIFFERENT ?auto_17697 ?auto_17706 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_17701 ?auto_17706 ?auto_17697 )
      ( DELIVER-PKG ?auto_17692 ?auto_17693 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_17708
      ?auto_17709
    )
    :vars
    (
      ?auto_17711
      ?auto_17713
      ?auto_17715
      ?auto_17716
      ?auto_17712
      ?auto_17714
      ?auto_17717
      ?auto_17720
      ?auto_17723
      ?auto_17722
    )
    :precondition
    ( and ( OBJ ?auto_17708 ) ( LOCATION ?auto_17709 ) ( AIRPLANE ?auto_17711 ) ( AIRPORT ?auto_17713 ) ( AIRPORT ?auto_17709 ) ( DIFFERENT ?auto_17709 ?auto_17713 ) ( AIRPORT ?auto_17715 ) ( DIFFERENT ?auto_17713 ?auto_17715 ) ( AIRPORT ?auto_17716 ) ( DIFFERENT ?auto_17715 ?auto_17716 ) ( LOCATION ?auto_17716 ) ( TRUCK ?auto_17712 ) ( LOCATION ?auto_17714 ) ( CITY ?auto_17717 ) ( IN-CITY ?auto_17714 ?auto_17717 ) ( IN-CITY ?auto_17716 ?auto_17717 ) ( DIFFERENT ?auto_17716 ?auto_17714 ) ( AT ?auto_17708 ?auto_17714 ) ( AIRPORT ?auto_17720 ) ( AT ?auto_17711 ?auto_17720 ) ( DIFFERENT ?auto_17716 ?auto_17720 ) ( LOCATION ?auto_17723 ) ( CITY ?auto_17722 ) ( AT ?auto_17712 ?auto_17723 ) ( IN-CITY ?auto_17723 ?auto_17722 ) ( IN-CITY ?auto_17714 ?auto_17722 ) ( DIFFERENT ?auto_17714 ?auto_17723 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_17712 ?auto_17723 ?auto_17714 ?auto_17722 )
      ( DELIVER-PKG ?auto_17708 ?auto_17709 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18211
      ?auto_18212
    )
    :vars
    (
      ?auto_18213
      ?auto_18215
      ?auto_18218
      ?auto_18217
      ?auto_18221
    )
    :precondition
    ( and ( OBJ ?auto_18211 ) ( LOCATION ?auto_18212 ) ( AIRPLANE ?auto_18213 ) ( AIRPORT ?auto_18215 ) ( AIRPORT ?auto_18212 ) ( DIFFERENT ?auto_18212 ?auto_18215 ) ( AIRPORT ?auto_18218 ) ( DIFFERENT ?auto_18215 ?auto_18218 ) ( LOCATION ?auto_18218 ) ( AIRPORT ?auto_18217 ) ( DIFFERENT ?auto_18218 ?auto_18217 ) ( LOCATION ?auto_18217 ) ( AT ?auto_18211 ?auto_18217 ) ( AIRPORT ?auto_18221 ) ( AT ?auto_18213 ?auto_18221 ) ( DIFFERENT ?auto_18217 ?auto_18221 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18213 ?auto_18221 ?auto_18217 )
      ( DELIVER-PKG ?auto_18211 ?auto_18212 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18223
      ?auto_18224
    )
    :vars
    (
      ?auto_18227
      ?auto_18231
      ?auto_18229
      ?auto_18225
      ?auto_18226
      ?auto_18233
    )
    :precondition
    ( and ( OBJ ?auto_18223 ) ( LOCATION ?auto_18224 ) ( AIRPLANE ?auto_18227 ) ( AIRPORT ?auto_18231 ) ( AIRPORT ?auto_18224 ) ( DIFFERENT ?auto_18224 ?auto_18231 ) ( AIRPORT ?auto_18229 ) ( DIFFERENT ?auto_18231 ?auto_18229 ) ( LOCATION ?auto_18229 ) ( AIRPORT ?auto_18225 ) ( DIFFERENT ?auto_18229 ?auto_18225 ) ( LOCATION ?auto_18225 ) ( AIRPORT ?auto_18226 ) ( AT ?auto_18227 ?auto_18226 ) ( DIFFERENT ?auto_18225 ?auto_18226 ) ( TRUCK ?auto_18233 ) ( AT ?auto_18233 ?auto_18225 ) ( IN ?auto_18223 ?auto_18233 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18223 ?auto_18225 )
      ( DELIVER-PKG ?auto_18223 ?auto_18224 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18245
      ?auto_18246
    )
    :vars
    (
      ?auto_18247
      ?auto_18252
      ?auto_18250
      ?auto_18248
      ?auto_18253
      ?auto_18254
      ?auto_18257
      ?auto_18256
    )
    :precondition
    ( and ( OBJ ?auto_18245 ) ( LOCATION ?auto_18246 ) ( AIRPLANE ?auto_18247 ) ( AIRPORT ?auto_18252 ) ( AIRPORT ?auto_18246 ) ( DIFFERENT ?auto_18246 ?auto_18252 ) ( AIRPORT ?auto_18250 ) ( DIFFERENT ?auto_18252 ?auto_18250 ) ( LOCATION ?auto_18250 ) ( AIRPORT ?auto_18248 ) ( DIFFERENT ?auto_18250 ?auto_18248 ) ( LOCATION ?auto_18248 ) ( AIRPORT ?auto_18253 ) ( AT ?auto_18247 ?auto_18253 ) ( DIFFERENT ?auto_18248 ?auto_18253 ) ( TRUCK ?auto_18254 ) ( IN ?auto_18245 ?auto_18254 ) ( LOCATION ?auto_18257 ) ( CITY ?auto_18256 ) ( AT ?auto_18254 ?auto_18257 ) ( IN-CITY ?auto_18257 ?auto_18256 ) ( IN-CITY ?auto_18248 ?auto_18256 ) ( DIFFERENT ?auto_18248 ?auto_18257 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18254 ?auto_18257 ?auto_18248 ?auto_18256 )
      ( DELIVER-PKG ?auto_18245 ?auto_18246 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18271
      ?auto_18272
    )
    :vars
    (
      ?auto_18278
      ?auto_18276
      ?auto_18279
      ?auto_18275
      ?auto_18277
      ?auto_18273
      ?auto_18282
      ?auto_18281
      ?auto_18285
      ?auto_18284
    )
    :precondition
    ( and ( OBJ ?auto_18271 ) ( LOCATION ?auto_18272 ) ( AIRPLANE ?auto_18278 ) ( AIRPORT ?auto_18276 ) ( AIRPORT ?auto_18272 ) ( DIFFERENT ?auto_18272 ?auto_18276 ) ( AIRPORT ?auto_18279 ) ( DIFFERENT ?auto_18276 ?auto_18279 ) ( LOCATION ?auto_18279 ) ( AIRPORT ?auto_18275 ) ( DIFFERENT ?auto_18279 ?auto_18275 ) ( LOCATION ?auto_18275 ) ( AIRPORT ?auto_18277 ) ( AT ?auto_18278 ?auto_18277 ) ( DIFFERENT ?auto_18275 ?auto_18277 ) ( TRUCK ?auto_18273 ) ( IN ?auto_18271 ?auto_18273 ) ( LOCATION ?auto_18282 ) ( CITY ?auto_18281 ) ( IN-CITY ?auto_18282 ?auto_18281 ) ( IN-CITY ?auto_18275 ?auto_18281 ) ( DIFFERENT ?auto_18275 ?auto_18282 ) ( LOCATION ?auto_18285 ) ( CITY ?auto_18284 ) ( AT ?auto_18273 ?auto_18285 ) ( IN-CITY ?auto_18285 ?auto_18284 ) ( IN-CITY ?auto_18282 ?auto_18284 ) ( DIFFERENT ?auto_18282 ?auto_18285 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18273 ?auto_18285 ?auto_18282 ?auto_18284 )
      ( DELIVER-PKG ?auto_18271 ?auto_18272 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18301
      ?auto_18302
    )
    :vars
    (
      ?auto_18304
      ?auto_18308
      ?auto_18305
      ?auto_18310
      ?auto_18309
      ?auto_18306
      ?auto_18303
      ?auto_18307
      ?auto_18314
      ?auto_18313
      ?auto_18316
    )
    :precondition
    ( and ( OBJ ?auto_18301 ) ( LOCATION ?auto_18302 ) ( AIRPLANE ?auto_18304 ) ( AIRPORT ?auto_18308 ) ( AIRPORT ?auto_18302 ) ( DIFFERENT ?auto_18302 ?auto_18308 ) ( AIRPORT ?auto_18305 ) ( DIFFERENT ?auto_18308 ?auto_18305 ) ( LOCATION ?auto_18305 ) ( AIRPORT ?auto_18310 ) ( DIFFERENT ?auto_18305 ?auto_18310 ) ( LOCATION ?auto_18310 ) ( AIRPORT ?auto_18309 ) ( AT ?auto_18304 ?auto_18309 ) ( DIFFERENT ?auto_18310 ?auto_18309 ) ( TRUCK ?auto_18306 ) ( LOCATION ?auto_18303 ) ( CITY ?auto_18307 ) ( IN-CITY ?auto_18303 ?auto_18307 ) ( IN-CITY ?auto_18310 ?auto_18307 ) ( DIFFERENT ?auto_18310 ?auto_18303 ) ( LOCATION ?auto_18314 ) ( CITY ?auto_18313 ) ( AT ?auto_18306 ?auto_18314 ) ( IN-CITY ?auto_18314 ?auto_18313 ) ( IN-CITY ?auto_18303 ?auto_18313 ) ( DIFFERENT ?auto_18303 ?auto_18314 ) ( LOCATION ?auto_18316 ) ( AT ?auto_18306 ?auto_18316 ) ( AT ?auto_18301 ?auto_18316 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18301 ?auto_18306 ?auto_18316 )
      ( DELIVER-PKG ?auto_18301 ?auto_18302 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18348
      ?auto_18349
    )
    :vars
    (
      ?auto_18353
      ?auto_18356
      ?auto_18359
      ?auto_18358
      ?auto_18357
      ?auto_18351
      ?auto_18360
      ?auto_18352
      ?auto_18362
      ?auto_18354
      ?auto_18365
      ?auto_18364
    )
    :precondition
    ( and ( OBJ ?auto_18348 ) ( LOCATION ?auto_18349 ) ( AIRPLANE ?auto_18353 ) ( AIRPORT ?auto_18356 ) ( AIRPORT ?auto_18349 ) ( DIFFERENT ?auto_18349 ?auto_18356 ) ( AIRPORT ?auto_18359 ) ( DIFFERENT ?auto_18356 ?auto_18359 ) ( LOCATION ?auto_18359 ) ( AIRPORT ?auto_18358 ) ( DIFFERENT ?auto_18359 ?auto_18358 ) ( LOCATION ?auto_18358 ) ( AIRPORT ?auto_18357 ) ( AT ?auto_18353 ?auto_18357 ) ( DIFFERENT ?auto_18358 ?auto_18357 ) ( TRUCK ?auto_18351 ) ( LOCATION ?auto_18360 ) ( CITY ?auto_18352 ) ( IN-CITY ?auto_18360 ?auto_18352 ) ( IN-CITY ?auto_18358 ?auto_18352 ) ( DIFFERENT ?auto_18358 ?auto_18360 ) ( LOCATION ?auto_18362 ) ( CITY ?auto_18354 ) ( IN-CITY ?auto_18362 ?auto_18354 ) ( IN-CITY ?auto_18360 ?auto_18354 ) ( DIFFERENT ?auto_18360 ?auto_18362 ) ( AT ?auto_18348 ?auto_18362 ) ( LOCATION ?auto_18365 ) ( CITY ?auto_18364 ) ( AT ?auto_18351 ?auto_18365 ) ( IN-CITY ?auto_18365 ?auto_18364 ) ( IN-CITY ?auto_18362 ?auto_18364 ) ( DIFFERENT ?auto_18362 ?auto_18365 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18351 ?auto_18365 ?auto_18362 ?auto_18364 )
      ( DELIVER-PKG ?auto_18348 ?auto_18349 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18367
      ?auto_18368
    )
    :vars
    (
      ?auto_18373
      ?auto_18375
      ?auto_18378
      ?auto_18377
      ?auto_18376
      ?auto_18371
      ?auto_18379
      ?auto_18372
      ?auto_18380
      ?auto_18374
      ?auto_18382
      ?auto_18381
      ?auto_18384
    )
    :precondition
    ( and ( OBJ ?auto_18367 ) ( LOCATION ?auto_18368 ) ( AIRPLANE ?auto_18373 ) ( AIRPORT ?auto_18375 ) ( AIRPORT ?auto_18368 ) ( DIFFERENT ?auto_18368 ?auto_18375 ) ( AIRPORT ?auto_18378 ) ( DIFFERENT ?auto_18375 ?auto_18378 ) ( LOCATION ?auto_18378 ) ( AIRPORT ?auto_18377 ) ( DIFFERENT ?auto_18378 ?auto_18377 ) ( LOCATION ?auto_18377 ) ( AIRPORT ?auto_18376 ) ( DIFFERENT ?auto_18377 ?auto_18376 ) ( TRUCK ?auto_18371 ) ( LOCATION ?auto_18379 ) ( CITY ?auto_18372 ) ( IN-CITY ?auto_18379 ?auto_18372 ) ( IN-CITY ?auto_18377 ?auto_18372 ) ( DIFFERENT ?auto_18377 ?auto_18379 ) ( LOCATION ?auto_18380 ) ( CITY ?auto_18374 ) ( IN-CITY ?auto_18380 ?auto_18374 ) ( IN-CITY ?auto_18379 ?auto_18374 ) ( DIFFERENT ?auto_18379 ?auto_18380 ) ( AT ?auto_18367 ?auto_18380 ) ( LOCATION ?auto_18382 ) ( CITY ?auto_18381 ) ( AT ?auto_18371 ?auto_18382 ) ( IN-CITY ?auto_18382 ?auto_18381 ) ( IN-CITY ?auto_18380 ?auto_18381 ) ( DIFFERENT ?auto_18380 ?auto_18382 ) ( AIRPORT ?auto_18384 ) ( AT ?auto_18373 ?auto_18384 ) ( DIFFERENT ?auto_18376 ?auto_18384 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18373 ?auto_18384 ?auto_18376 )
      ( DELIVER-PKG ?auto_18367 ?auto_18368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18764
      ?auto_18765
    )
    :vars
    (
      ?auto_18770
      ?auto_18771
      ?auto_18772
      ?auto_18774
      ?auto_18775
      ?auto_18767
      ?auto_18766
      ?auto_18769
      ?auto_18777
    )
    :precondition
    ( and ( OBJ ?auto_18764 ) ( LOCATION ?auto_18765 ) ( TRUCK ?auto_18770 ) ( LOCATION ?auto_18771 ) ( CITY ?auto_18772 ) ( IN-CITY ?auto_18771 ?auto_18772 ) ( IN-CITY ?auto_18765 ?auto_18772 ) ( DIFFERENT ?auto_18765 ?auto_18771 ) ( LOCATION ?auto_18774 ) ( CITY ?auto_18775 ) ( AT ?auto_18770 ?auto_18774 ) ( IN-CITY ?auto_18774 ?auto_18775 ) ( IN-CITY ?auto_18771 ?auto_18775 ) ( DIFFERENT ?auto_18771 ?auto_18774 ) ( LOCATION ?auto_18767 ) ( AT ?auto_18770 ?auto_18767 ) ( AIRPLANE ?auto_18766 ) ( IN ?auto_18764 ?auto_18766 ) ( AIRPORT ?auto_18769 ) ( AIRPORT ?auto_18767 ) ( DIFFERENT ?auto_18767 ?auto_18769 ) ( AIRPORT ?auto_18777 ) ( AT ?auto_18766 ?auto_18777 ) ( DIFFERENT ?auto_18769 ?auto_18777 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18766 ?auto_18777 ?auto_18769 )
      ( DELIVER-PKG ?auto_18764 ?auto_18765 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18792
      ?auto_18793
    )
    :vars
    (
      ?auto_18797
      ?auto_18800
      ?auto_18801
      ?auto_18802
      ?auto_18803
      ?auto_18795
      ?auto_18799
      ?auto_18796
      ?auto_18804
      ?auto_18806
    )
    :precondition
    ( and ( OBJ ?auto_18792 ) ( LOCATION ?auto_18793 ) ( TRUCK ?auto_18797 ) ( LOCATION ?auto_18800 ) ( CITY ?auto_18801 ) ( IN-CITY ?auto_18800 ?auto_18801 ) ( IN-CITY ?auto_18793 ?auto_18801 ) ( DIFFERENT ?auto_18793 ?auto_18800 ) ( LOCATION ?auto_18802 ) ( CITY ?auto_18803 ) ( AT ?auto_18797 ?auto_18802 ) ( IN-CITY ?auto_18802 ?auto_18803 ) ( IN-CITY ?auto_18800 ?auto_18803 ) ( DIFFERENT ?auto_18800 ?auto_18802 ) ( LOCATION ?auto_18795 ) ( AT ?auto_18797 ?auto_18795 ) ( AIRPLANE ?auto_18799 ) ( IN ?auto_18792 ?auto_18799 ) ( AIRPORT ?auto_18796 ) ( AIRPORT ?auto_18795 ) ( DIFFERENT ?auto_18795 ?auto_18796 ) ( AIRPORT ?auto_18804 ) ( DIFFERENT ?auto_18796 ?auto_18804 ) ( AIRPORT ?auto_18806 ) ( AT ?auto_18799 ?auto_18806 ) ( DIFFERENT ?auto_18804 ?auto_18806 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18799 ?auto_18806 ?auto_18804 )
      ( DELIVER-PKG ?auto_18792 ?auto_18793 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18822
      ?auto_18823
    )
    :vars
    (
      ?auto_18830
      ?auto_18825
      ?auto_18826
      ?auto_18827
      ?auto_18828
      ?auto_18833
      ?auto_18831
      ?auto_18824
      ?auto_18832
      ?auto_18835
      ?auto_18837
    )
    :precondition
    ( and ( OBJ ?auto_18822 ) ( LOCATION ?auto_18823 ) ( TRUCK ?auto_18830 ) ( LOCATION ?auto_18825 ) ( CITY ?auto_18826 ) ( IN-CITY ?auto_18825 ?auto_18826 ) ( IN-CITY ?auto_18823 ?auto_18826 ) ( DIFFERENT ?auto_18823 ?auto_18825 ) ( LOCATION ?auto_18827 ) ( CITY ?auto_18828 ) ( AT ?auto_18830 ?auto_18827 ) ( IN-CITY ?auto_18827 ?auto_18828 ) ( IN-CITY ?auto_18825 ?auto_18828 ) ( DIFFERENT ?auto_18825 ?auto_18827 ) ( LOCATION ?auto_18833 ) ( AT ?auto_18830 ?auto_18833 ) ( AIRPLANE ?auto_18831 ) ( AIRPORT ?auto_18824 ) ( AIRPORT ?auto_18833 ) ( DIFFERENT ?auto_18833 ?auto_18824 ) ( AIRPORT ?auto_18832 ) ( DIFFERENT ?auto_18824 ?auto_18832 ) ( AIRPORT ?auto_18835 ) ( AT ?auto_18831 ?auto_18835 ) ( DIFFERENT ?auto_18832 ?auto_18835 ) ( LOCATION ?auto_18837 ) ( AT ?auto_18822 ?auto_18837 ) ( AT ?auto_18831 ?auto_18837 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_18822 ?auto_18831 ?auto_18837 )
      ( DELIVER-PKG ?auto_18822 ?auto_18823 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18854
      ?auto_18855
    )
    :vars
    (
      ?auto_18856
      ?auto_18859
      ?auto_18857
      ?auto_18860
      ?auto_18861
      ?auto_18864
      ?auto_18862
      ?auto_18867
      ?auto_18863
      ?auto_18865
      ?auto_18868
      ?auto_18870
    )
    :precondition
    ( and ( OBJ ?auto_18854 ) ( LOCATION ?auto_18855 ) ( TRUCK ?auto_18856 ) ( LOCATION ?auto_18859 ) ( CITY ?auto_18857 ) ( IN-CITY ?auto_18859 ?auto_18857 ) ( IN-CITY ?auto_18855 ?auto_18857 ) ( DIFFERENT ?auto_18855 ?auto_18859 ) ( LOCATION ?auto_18860 ) ( CITY ?auto_18861 ) ( AT ?auto_18856 ?auto_18860 ) ( IN-CITY ?auto_18860 ?auto_18861 ) ( IN-CITY ?auto_18859 ?auto_18861 ) ( DIFFERENT ?auto_18859 ?auto_18860 ) ( LOCATION ?auto_18864 ) ( AT ?auto_18856 ?auto_18864 ) ( AIRPLANE ?auto_18862 ) ( AIRPORT ?auto_18867 ) ( AIRPORT ?auto_18864 ) ( DIFFERENT ?auto_18864 ?auto_18867 ) ( AIRPORT ?auto_18863 ) ( DIFFERENT ?auto_18867 ?auto_18863 ) ( AIRPORT ?auto_18865 ) ( AT ?auto_18862 ?auto_18865 ) ( DIFFERENT ?auto_18863 ?auto_18865 ) ( LOCATION ?auto_18868 ) ( AT ?auto_18862 ?auto_18868 ) ( TRUCK ?auto_18870 ) ( AT ?auto_18870 ?auto_18868 ) ( IN ?auto_18854 ?auto_18870 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_18854 ?auto_18868 )
      ( DELIVER-PKG ?auto_18854 ?auto_18855 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18888
      ?auto_18889
    )
    :vars
    (
      ?auto_18893
      ?auto_18890
      ?auto_18892
      ?auto_18891
      ?auto_18894
      ?auto_18898
      ?auto_18895
      ?auto_18901
      ?auto_18896
      ?auto_18899
      ?auto_18902
      ?auto_18900
      ?auto_18906
      ?auto_18905
    )
    :precondition
    ( and ( OBJ ?auto_18888 ) ( LOCATION ?auto_18889 ) ( TRUCK ?auto_18893 ) ( LOCATION ?auto_18890 ) ( CITY ?auto_18892 ) ( IN-CITY ?auto_18890 ?auto_18892 ) ( IN-CITY ?auto_18889 ?auto_18892 ) ( DIFFERENT ?auto_18889 ?auto_18890 ) ( LOCATION ?auto_18891 ) ( CITY ?auto_18894 ) ( AT ?auto_18893 ?auto_18891 ) ( IN-CITY ?auto_18891 ?auto_18894 ) ( IN-CITY ?auto_18890 ?auto_18894 ) ( DIFFERENT ?auto_18890 ?auto_18891 ) ( LOCATION ?auto_18898 ) ( AT ?auto_18893 ?auto_18898 ) ( AIRPLANE ?auto_18895 ) ( AIRPORT ?auto_18901 ) ( AIRPORT ?auto_18898 ) ( DIFFERENT ?auto_18898 ?auto_18901 ) ( AIRPORT ?auto_18896 ) ( DIFFERENT ?auto_18901 ?auto_18896 ) ( AIRPORT ?auto_18899 ) ( AT ?auto_18895 ?auto_18899 ) ( DIFFERENT ?auto_18896 ?auto_18899 ) ( LOCATION ?auto_18902 ) ( AT ?auto_18895 ?auto_18902 ) ( TRUCK ?auto_18900 ) ( IN ?auto_18888 ?auto_18900 ) ( LOCATION ?auto_18906 ) ( CITY ?auto_18905 ) ( AT ?auto_18900 ?auto_18906 ) ( IN-CITY ?auto_18906 ?auto_18905 ) ( IN-CITY ?auto_18902 ?auto_18905 ) ( DIFFERENT ?auto_18902 ?auto_18906 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18900 ?auto_18906 ?auto_18902 ?auto_18905 )
      ( DELIVER-PKG ?auto_18888 ?auto_18889 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18926
      ?auto_18927
    )
    :vars
    (
      ?auto_18928
      ?auto_18933
      ?auto_18940
      ?auto_18939
      ?auto_18934
      ?auto_18930
      ?auto_18935
      ?auto_18937
      ?auto_18936
      ?auto_18931
      ?auto_18938
      ?auto_18932
      ?auto_18943
      ?auto_18942
      ?auto_18945
    )
    :precondition
    ( and ( OBJ ?auto_18926 ) ( LOCATION ?auto_18927 ) ( TRUCK ?auto_18928 ) ( LOCATION ?auto_18933 ) ( CITY ?auto_18940 ) ( IN-CITY ?auto_18933 ?auto_18940 ) ( IN-CITY ?auto_18927 ?auto_18940 ) ( DIFFERENT ?auto_18927 ?auto_18933 ) ( LOCATION ?auto_18939 ) ( CITY ?auto_18934 ) ( AT ?auto_18928 ?auto_18939 ) ( IN-CITY ?auto_18939 ?auto_18934 ) ( IN-CITY ?auto_18933 ?auto_18934 ) ( DIFFERENT ?auto_18933 ?auto_18939 ) ( LOCATION ?auto_18930 ) ( AT ?auto_18928 ?auto_18930 ) ( AIRPLANE ?auto_18935 ) ( AIRPORT ?auto_18937 ) ( AIRPORT ?auto_18930 ) ( DIFFERENT ?auto_18930 ?auto_18937 ) ( AIRPORT ?auto_18936 ) ( DIFFERENT ?auto_18937 ?auto_18936 ) ( AIRPORT ?auto_18931 ) ( AT ?auto_18935 ?auto_18931 ) ( DIFFERENT ?auto_18936 ?auto_18931 ) ( LOCATION ?auto_18938 ) ( AT ?auto_18935 ?auto_18938 ) ( TRUCK ?auto_18932 ) ( LOCATION ?auto_18943 ) ( CITY ?auto_18942 ) ( AT ?auto_18932 ?auto_18943 ) ( IN-CITY ?auto_18943 ?auto_18942 ) ( IN-CITY ?auto_18938 ?auto_18942 ) ( DIFFERENT ?auto_18938 ?auto_18943 ) ( LOCATION ?auto_18945 ) ( AT ?auto_18932 ?auto_18945 ) ( AT ?auto_18926 ?auto_18945 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_18926 ?auto_18932 ?auto_18945 )
      ( DELIVER-PKG ?auto_18926 ?auto_18927 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18947
      ?auto_18948
    )
    :vars
    (
      ?auto_18965
      ?auto_18951
      ?auto_18960
      ?auto_18952
      ?auto_18954
      ?auto_18955
      ?auto_18957
      ?auto_18956
      ?auto_18964
      ?auto_18958
      ?auto_18950
      ?auto_18962
      ?auto_18961
      ?auto_18949
      ?auto_18968
      ?auto_18967
    )
    :precondition
    ( and ( OBJ ?auto_18947 ) ( LOCATION ?auto_18948 ) ( TRUCK ?auto_18965 ) ( LOCATION ?auto_18951 ) ( CITY ?auto_18960 ) ( IN-CITY ?auto_18951 ?auto_18960 ) ( IN-CITY ?auto_18948 ?auto_18960 ) ( DIFFERENT ?auto_18948 ?auto_18951 ) ( LOCATION ?auto_18952 ) ( CITY ?auto_18954 ) ( IN-CITY ?auto_18952 ?auto_18954 ) ( IN-CITY ?auto_18951 ?auto_18954 ) ( DIFFERENT ?auto_18951 ?auto_18952 ) ( AIRPLANE ?auto_18955 ) ( AIRPORT ?auto_18957 ) ( AIRPORT ?auto_18952 ) ( DIFFERENT ?auto_18952 ?auto_18957 ) ( AIRPORT ?auto_18956 ) ( DIFFERENT ?auto_18957 ?auto_18956 ) ( AIRPORT ?auto_18964 ) ( AT ?auto_18955 ?auto_18964 ) ( DIFFERENT ?auto_18956 ?auto_18964 ) ( LOCATION ?auto_18958 ) ( AT ?auto_18955 ?auto_18958 ) ( TRUCK ?auto_18950 ) ( LOCATION ?auto_18962 ) ( CITY ?auto_18961 ) ( AT ?auto_18950 ?auto_18962 ) ( IN-CITY ?auto_18962 ?auto_18961 ) ( IN-CITY ?auto_18958 ?auto_18961 ) ( DIFFERENT ?auto_18958 ?auto_18962 ) ( LOCATION ?auto_18949 ) ( AT ?auto_18950 ?auto_18949 ) ( AT ?auto_18947 ?auto_18949 ) ( LOCATION ?auto_18968 ) ( CITY ?auto_18967 ) ( AT ?auto_18965 ?auto_18968 ) ( IN-CITY ?auto_18968 ?auto_18967 ) ( IN-CITY ?auto_18952 ?auto_18967 ) ( DIFFERENT ?auto_18952 ?auto_18968 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_18965 ?auto_18968 ?auto_18952 ?auto_18967 )
      ( DELIVER-PKG ?auto_18947 ?auto_18948 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_18990
      ?auto_18991
    )
    :vars
    (
      ?auto_19002
      ?auto_19005
      ?auto_19006
      ?auto_19009
      ?auto_18998
      ?auto_18999
      ?auto_18993
      ?auto_18996
      ?auto_18995
      ?auto_19008
      ?auto_19000
      ?auto_19007
      ?auto_18997
      ?auto_19004
      ?auto_18994
      ?auto_19011
    )
    :precondition
    ( and ( OBJ ?auto_18990 ) ( LOCATION ?auto_18991 ) ( TRUCK ?auto_19002 ) ( LOCATION ?auto_19005 ) ( CITY ?auto_19006 ) ( IN-CITY ?auto_19005 ?auto_19006 ) ( IN-CITY ?auto_18991 ?auto_19006 ) ( DIFFERENT ?auto_18991 ?auto_19005 ) ( LOCATION ?auto_19009 ) ( CITY ?auto_18998 ) ( IN-CITY ?auto_19009 ?auto_18998 ) ( IN-CITY ?auto_19005 ?auto_18998 ) ( DIFFERENT ?auto_19005 ?auto_19009 ) ( AIRPLANE ?auto_18999 ) ( AIRPORT ?auto_18993 ) ( AIRPORT ?auto_19009 ) ( DIFFERENT ?auto_19009 ?auto_18993 ) ( AIRPORT ?auto_18996 ) ( DIFFERENT ?auto_18993 ?auto_18996 ) ( AIRPORT ?auto_18995 ) ( DIFFERENT ?auto_18996 ?auto_18995 ) ( LOCATION ?auto_18995 ) ( TRUCK ?auto_19008 ) ( LOCATION ?auto_19000 ) ( CITY ?auto_19007 ) ( AT ?auto_19008 ?auto_19000 ) ( IN-CITY ?auto_19000 ?auto_19007 ) ( IN-CITY ?auto_18995 ?auto_19007 ) ( DIFFERENT ?auto_18995 ?auto_19000 ) ( LOCATION ?auto_18997 ) ( AT ?auto_19008 ?auto_18997 ) ( AT ?auto_18990 ?auto_18997 ) ( LOCATION ?auto_19004 ) ( CITY ?auto_18994 ) ( AT ?auto_19002 ?auto_19004 ) ( IN-CITY ?auto_19004 ?auto_18994 ) ( IN-CITY ?auto_19009 ?auto_18994 ) ( DIFFERENT ?auto_19009 ?auto_19004 ) ( AIRPORT ?auto_19011 ) ( AT ?auto_18999 ?auto_19011 ) ( DIFFERENT ?auto_18995 ?auto_19011 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_18999 ?auto_19011 ?auto_18995 )
      ( DELIVER-PKG ?auto_18990 ?auto_18991 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19013
      ?auto_19014
    )
    :vars
    (
      ?auto_19026
      ?auto_19028
      ?auto_19029
      ?auto_19032
      ?auto_19023
      ?auto_19024
      ?auto_19017
      ?auto_19021
      ?auto_19020
      ?auto_19031
      ?auto_19022
      ?auto_19030
      ?auto_19027
      ?auto_19018
      ?auto_19019
      ?auto_19035
      ?auto_19034
    )
    :precondition
    ( and ( OBJ ?auto_19013 ) ( LOCATION ?auto_19014 ) ( TRUCK ?auto_19026 ) ( LOCATION ?auto_19028 ) ( CITY ?auto_19029 ) ( IN-CITY ?auto_19028 ?auto_19029 ) ( IN-CITY ?auto_19014 ?auto_19029 ) ( DIFFERENT ?auto_19014 ?auto_19028 ) ( LOCATION ?auto_19032 ) ( CITY ?auto_19023 ) ( IN-CITY ?auto_19032 ?auto_19023 ) ( IN-CITY ?auto_19028 ?auto_19023 ) ( DIFFERENT ?auto_19028 ?auto_19032 ) ( AIRPLANE ?auto_19024 ) ( AIRPORT ?auto_19017 ) ( AIRPORT ?auto_19032 ) ( DIFFERENT ?auto_19032 ?auto_19017 ) ( AIRPORT ?auto_19021 ) ( DIFFERENT ?auto_19017 ?auto_19021 ) ( AIRPORT ?auto_19020 ) ( DIFFERENT ?auto_19021 ?auto_19020 ) ( LOCATION ?auto_19020 ) ( TRUCK ?auto_19031 ) ( LOCATION ?auto_19022 ) ( CITY ?auto_19030 ) ( IN-CITY ?auto_19022 ?auto_19030 ) ( IN-CITY ?auto_19020 ?auto_19030 ) ( DIFFERENT ?auto_19020 ?auto_19022 ) ( AT ?auto_19013 ?auto_19022 ) ( LOCATION ?auto_19027 ) ( CITY ?auto_19018 ) ( AT ?auto_19026 ?auto_19027 ) ( IN-CITY ?auto_19027 ?auto_19018 ) ( IN-CITY ?auto_19032 ?auto_19018 ) ( DIFFERENT ?auto_19032 ?auto_19027 ) ( AIRPORT ?auto_19019 ) ( AT ?auto_19024 ?auto_19019 ) ( DIFFERENT ?auto_19020 ?auto_19019 ) ( LOCATION ?auto_19035 ) ( CITY ?auto_19034 ) ( AT ?auto_19031 ?auto_19035 ) ( IN-CITY ?auto_19035 ?auto_19034 ) ( IN-CITY ?auto_19022 ?auto_19034 ) ( DIFFERENT ?auto_19022 ?auto_19035 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19031 ?auto_19035 ?auto_19022 ?auto_19034 )
      ( DELIVER-PKG ?auto_19013 ?auto_19014 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19336
      ?auto_19337
    )
    :vars
    (
      ?auto_19340
      ?auto_19345
      ?auto_19339
      ?auto_19346
      ?auto_19343
      ?auto_19344
      ?auto_19338
      ?auto_19350
    )
    :precondition
    ( and ( OBJ ?auto_19336 ) ( LOCATION ?auto_19337 ) ( TRUCK ?auto_19340 ) ( LOCATION ?auto_19345 ) ( CITY ?auto_19339 ) ( AT ?auto_19340 ?auto_19345 ) ( IN-CITY ?auto_19345 ?auto_19339 ) ( IN-CITY ?auto_19337 ?auto_19339 ) ( DIFFERENT ?auto_19337 ?auto_19345 ) ( LOCATION ?auto_19346 ) ( AT ?auto_19340 ?auto_19346 ) ( AIRPLANE ?auto_19343 ) ( AIRPORT ?auto_19344 ) ( AIRPORT ?auto_19346 ) ( DIFFERENT ?auto_19346 ?auto_19344 ) ( AIRPORT ?auto_19338 ) ( DIFFERENT ?auto_19344 ?auto_19338 ) ( LOCATION ?auto_19338 ) ( IN ?auto_19336 ?auto_19343 ) ( AIRPORT ?auto_19350 ) ( AT ?auto_19343 ?auto_19350 ) ( DIFFERENT ?auto_19338 ?auto_19350 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19343 ?auto_19350 ?auto_19338 )
      ( DELIVER-PKG ?auto_19336 ?auto_19337 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19352
      ?auto_19353
    )
    :vars
    (
      ?auto_19363
      ?auto_19358
      ?auto_19362
      ?auto_19359
      ?auto_19354
      ?auto_19361
      ?auto_19356
      ?auto_19355
      ?auto_19365
    )
    :precondition
    ( and ( OBJ ?auto_19352 ) ( LOCATION ?auto_19353 ) ( TRUCK ?auto_19363 ) ( LOCATION ?auto_19358 ) ( CITY ?auto_19362 ) ( AT ?auto_19363 ?auto_19358 ) ( IN-CITY ?auto_19358 ?auto_19362 ) ( IN-CITY ?auto_19353 ?auto_19362 ) ( DIFFERENT ?auto_19353 ?auto_19358 ) ( LOCATION ?auto_19359 ) ( AT ?auto_19363 ?auto_19359 ) ( AIRPLANE ?auto_19354 ) ( AIRPORT ?auto_19361 ) ( AIRPORT ?auto_19359 ) ( DIFFERENT ?auto_19359 ?auto_19361 ) ( AIRPORT ?auto_19356 ) ( DIFFERENT ?auto_19361 ?auto_19356 ) ( LOCATION ?auto_19356 ) ( AIRPORT ?auto_19355 ) ( AT ?auto_19354 ?auto_19355 ) ( DIFFERENT ?auto_19356 ?auto_19355 ) ( LOCATION ?auto_19365 ) ( AT ?auto_19352 ?auto_19365 ) ( AT ?auto_19354 ?auto_19365 ) )
    :subtasks
    ( ( LOAD-AIRPLANE ?auto_19352 ?auto_19354 ?auto_19365 )
      ( DELIVER-PKG ?auto_19352 ?auto_19353 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19367
      ?auto_19368
    )
    :vars
    (
      ?auto_19371
      ?auto_19379
      ?auto_19373
      ?auto_19378
      ?auto_19374
      ?auto_19372
      ?auto_19377
      ?auto_19375
      ?auto_19381
    )
    :precondition
    ( and ( OBJ ?auto_19367 ) ( LOCATION ?auto_19368 ) ( TRUCK ?auto_19371 ) ( LOCATION ?auto_19379 ) ( CITY ?auto_19373 ) ( AT ?auto_19371 ?auto_19379 ) ( IN-CITY ?auto_19379 ?auto_19373 ) ( IN-CITY ?auto_19368 ?auto_19373 ) ( DIFFERENT ?auto_19368 ?auto_19379 ) ( LOCATION ?auto_19378 ) ( AT ?auto_19371 ?auto_19378 ) ( AIRPLANE ?auto_19374 ) ( AIRPORT ?auto_19372 ) ( AIRPORT ?auto_19378 ) ( DIFFERENT ?auto_19378 ?auto_19372 ) ( AIRPORT ?auto_19377 ) ( DIFFERENT ?auto_19372 ?auto_19377 ) ( LOCATION ?auto_19377 ) ( AIRPORT ?auto_19375 ) ( DIFFERENT ?auto_19377 ?auto_19375 ) ( LOCATION ?auto_19375 ) ( AT ?auto_19367 ?auto_19375 ) ( AIRPORT ?auto_19381 ) ( AT ?auto_19374 ?auto_19381 ) ( DIFFERENT ?auto_19375 ?auto_19381 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19374 ?auto_19381 ?auto_19375 )
      ( DELIVER-PKG ?auto_19367 ?auto_19368 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19383
      ?auto_19384
    )
    :vars
    (
      ?auto_19392
      ?auto_19394
      ?auto_19395
      ?auto_19387
      ?auto_19388
      ?auto_19393
      ?auto_19390
      ?auto_19386
      ?auto_19385
      ?auto_19397
    )
    :precondition
    ( and ( OBJ ?auto_19383 ) ( LOCATION ?auto_19384 ) ( TRUCK ?auto_19392 ) ( LOCATION ?auto_19394 ) ( CITY ?auto_19395 ) ( AT ?auto_19392 ?auto_19394 ) ( IN-CITY ?auto_19394 ?auto_19395 ) ( IN-CITY ?auto_19384 ?auto_19395 ) ( DIFFERENT ?auto_19384 ?auto_19394 ) ( LOCATION ?auto_19387 ) ( AT ?auto_19392 ?auto_19387 ) ( AIRPLANE ?auto_19388 ) ( AIRPORT ?auto_19393 ) ( AIRPORT ?auto_19387 ) ( DIFFERENT ?auto_19387 ?auto_19393 ) ( AIRPORT ?auto_19390 ) ( DIFFERENT ?auto_19393 ?auto_19390 ) ( LOCATION ?auto_19390 ) ( AIRPORT ?auto_19386 ) ( DIFFERENT ?auto_19390 ?auto_19386 ) ( LOCATION ?auto_19386 ) ( AIRPORT ?auto_19385 ) ( AT ?auto_19388 ?auto_19385 ) ( DIFFERENT ?auto_19386 ?auto_19385 ) ( TRUCK ?auto_19397 ) ( AT ?auto_19397 ?auto_19386 ) ( IN ?auto_19383 ?auto_19397 ) )
    :subtasks
    ( ( DELIVER-PKG ?auto_19383 ?auto_19386 )
      ( DELIVER-PKG ?auto_19383 ?auto_19384 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19413
      ?auto_19414
    )
    :vars
    (
      ?auto_19422
      ?auto_19424
      ?auto_19426
      ?auto_19419
      ?auto_19420
      ?auto_19423
      ?auto_19421
      ?auto_19415
      ?auto_19418
      ?auto_19425
      ?auto_19429
      ?auto_19428
    )
    :precondition
    ( and ( OBJ ?auto_19413 ) ( LOCATION ?auto_19414 ) ( TRUCK ?auto_19422 ) ( LOCATION ?auto_19424 ) ( CITY ?auto_19426 ) ( AT ?auto_19422 ?auto_19424 ) ( IN-CITY ?auto_19424 ?auto_19426 ) ( IN-CITY ?auto_19414 ?auto_19426 ) ( DIFFERENT ?auto_19414 ?auto_19424 ) ( LOCATION ?auto_19419 ) ( AT ?auto_19422 ?auto_19419 ) ( AIRPLANE ?auto_19420 ) ( AIRPORT ?auto_19423 ) ( AIRPORT ?auto_19419 ) ( DIFFERENT ?auto_19419 ?auto_19423 ) ( AIRPORT ?auto_19421 ) ( DIFFERENT ?auto_19423 ?auto_19421 ) ( LOCATION ?auto_19421 ) ( AIRPORT ?auto_19415 ) ( DIFFERENT ?auto_19421 ?auto_19415 ) ( LOCATION ?auto_19415 ) ( AIRPORT ?auto_19418 ) ( AT ?auto_19420 ?auto_19418 ) ( DIFFERENT ?auto_19415 ?auto_19418 ) ( TRUCK ?auto_19425 ) ( IN ?auto_19413 ?auto_19425 ) ( LOCATION ?auto_19429 ) ( CITY ?auto_19428 ) ( AT ?auto_19425 ?auto_19429 ) ( IN-CITY ?auto_19429 ?auto_19428 ) ( IN-CITY ?auto_19415 ?auto_19428 ) ( DIFFERENT ?auto_19415 ?auto_19429 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19425 ?auto_19429 ?auto_19415 ?auto_19428 )
      ( DELIVER-PKG ?auto_19413 ?auto_19414 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19447
      ?auto_19448
    )
    :vars
    (
      ?auto_19459
      ?auto_19455
      ?auto_19457
      ?auto_19452
      ?auto_19453
      ?auto_19454
      ?auto_19458
      ?auto_19450
      ?auto_19460
      ?auto_19456
      ?auto_19462
      ?auto_19461
      ?auto_19465
      ?auto_19464
    )
    :precondition
    ( and ( OBJ ?auto_19447 ) ( LOCATION ?auto_19448 ) ( TRUCK ?auto_19459 ) ( LOCATION ?auto_19455 ) ( CITY ?auto_19457 ) ( AT ?auto_19459 ?auto_19455 ) ( IN-CITY ?auto_19455 ?auto_19457 ) ( IN-CITY ?auto_19448 ?auto_19457 ) ( DIFFERENT ?auto_19448 ?auto_19455 ) ( LOCATION ?auto_19452 ) ( AT ?auto_19459 ?auto_19452 ) ( AIRPLANE ?auto_19453 ) ( AIRPORT ?auto_19454 ) ( AIRPORT ?auto_19452 ) ( DIFFERENT ?auto_19452 ?auto_19454 ) ( AIRPORT ?auto_19458 ) ( DIFFERENT ?auto_19454 ?auto_19458 ) ( LOCATION ?auto_19458 ) ( AIRPORT ?auto_19450 ) ( DIFFERENT ?auto_19458 ?auto_19450 ) ( LOCATION ?auto_19450 ) ( AIRPORT ?auto_19460 ) ( AT ?auto_19453 ?auto_19460 ) ( DIFFERENT ?auto_19450 ?auto_19460 ) ( TRUCK ?auto_19456 ) ( IN ?auto_19447 ?auto_19456 ) ( LOCATION ?auto_19462 ) ( CITY ?auto_19461 ) ( IN-CITY ?auto_19462 ?auto_19461 ) ( IN-CITY ?auto_19450 ?auto_19461 ) ( DIFFERENT ?auto_19450 ?auto_19462 ) ( LOCATION ?auto_19465 ) ( CITY ?auto_19464 ) ( AT ?auto_19456 ?auto_19465 ) ( IN-CITY ?auto_19465 ?auto_19464 ) ( IN-CITY ?auto_19462 ?auto_19464 ) ( DIFFERENT ?auto_19462 ?auto_19465 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19456 ?auto_19465 ?auto_19462 ?auto_19464 )
      ( DELIVER-PKG ?auto_19447 ?auto_19448 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19485
      ?auto_19486
    )
    :vars
    (
      ?auto_19492
      ?auto_19498
      ?auto_19490
      ?auto_19489
      ?auto_19487
      ?auto_19488
      ?auto_19491
      ?auto_19494
      ?auto_19495
      ?auto_19499
      ?auto_19497
      ?auto_19496
      ?auto_19502
      ?auto_19501
      ?auto_19504
    )
    :precondition
    ( and ( OBJ ?auto_19485 ) ( LOCATION ?auto_19486 ) ( TRUCK ?auto_19492 ) ( LOCATION ?auto_19498 ) ( CITY ?auto_19490 ) ( AT ?auto_19492 ?auto_19498 ) ( IN-CITY ?auto_19498 ?auto_19490 ) ( IN-CITY ?auto_19486 ?auto_19490 ) ( DIFFERENT ?auto_19486 ?auto_19498 ) ( LOCATION ?auto_19489 ) ( AT ?auto_19492 ?auto_19489 ) ( AIRPLANE ?auto_19487 ) ( AIRPORT ?auto_19488 ) ( AIRPORT ?auto_19489 ) ( DIFFERENT ?auto_19489 ?auto_19488 ) ( AIRPORT ?auto_19491 ) ( DIFFERENT ?auto_19488 ?auto_19491 ) ( LOCATION ?auto_19491 ) ( AIRPORT ?auto_19494 ) ( DIFFERENT ?auto_19491 ?auto_19494 ) ( LOCATION ?auto_19494 ) ( AIRPORT ?auto_19495 ) ( AT ?auto_19487 ?auto_19495 ) ( DIFFERENT ?auto_19494 ?auto_19495 ) ( TRUCK ?auto_19499 ) ( LOCATION ?auto_19497 ) ( CITY ?auto_19496 ) ( IN-CITY ?auto_19497 ?auto_19496 ) ( IN-CITY ?auto_19494 ?auto_19496 ) ( DIFFERENT ?auto_19494 ?auto_19497 ) ( LOCATION ?auto_19502 ) ( CITY ?auto_19501 ) ( AT ?auto_19499 ?auto_19502 ) ( IN-CITY ?auto_19502 ?auto_19501 ) ( IN-CITY ?auto_19497 ?auto_19501 ) ( DIFFERENT ?auto_19497 ?auto_19502 ) ( LOCATION ?auto_19504 ) ( AT ?auto_19499 ?auto_19504 ) ( AT ?auto_19485 ?auto_19504 ) )
    :subtasks
    ( ( LOAD-TRUCK ?auto_19485 ?auto_19499 ?auto_19504 )
      ( DELIVER-PKG ?auto_19485 ?auto_19486 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19544
      ?auto_19545
    )
    :vars
    (
      ?auto_19553
      ?auto_19558
      ?auto_19562
      ?auto_19550
      ?auto_19551
      ?auto_19549
      ?auto_19552
      ?auto_19554
      ?auto_19555
      ?auto_19559
      ?auto_19557
      ?auto_19556
      ?auto_19548
      ?auto_19560
      ?auto_19565
      ?auto_19564
    )
    :precondition
    ( and ( OBJ ?auto_19544 ) ( LOCATION ?auto_19545 ) ( TRUCK ?auto_19553 ) ( LOCATION ?auto_19558 ) ( CITY ?auto_19562 ) ( AT ?auto_19553 ?auto_19558 ) ( IN-CITY ?auto_19558 ?auto_19562 ) ( IN-CITY ?auto_19545 ?auto_19562 ) ( DIFFERENT ?auto_19545 ?auto_19558 ) ( LOCATION ?auto_19550 ) ( AT ?auto_19553 ?auto_19550 ) ( AIRPLANE ?auto_19551 ) ( AIRPORT ?auto_19549 ) ( AIRPORT ?auto_19550 ) ( DIFFERENT ?auto_19550 ?auto_19549 ) ( AIRPORT ?auto_19552 ) ( DIFFERENT ?auto_19549 ?auto_19552 ) ( LOCATION ?auto_19552 ) ( AIRPORT ?auto_19554 ) ( DIFFERENT ?auto_19552 ?auto_19554 ) ( LOCATION ?auto_19554 ) ( AIRPORT ?auto_19555 ) ( AT ?auto_19551 ?auto_19555 ) ( DIFFERENT ?auto_19554 ?auto_19555 ) ( TRUCK ?auto_19559 ) ( LOCATION ?auto_19557 ) ( CITY ?auto_19556 ) ( IN-CITY ?auto_19557 ?auto_19556 ) ( IN-CITY ?auto_19554 ?auto_19556 ) ( DIFFERENT ?auto_19554 ?auto_19557 ) ( LOCATION ?auto_19548 ) ( CITY ?auto_19560 ) ( IN-CITY ?auto_19548 ?auto_19560 ) ( IN-CITY ?auto_19557 ?auto_19560 ) ( DIFFERENT ?auto_19557 ?auto_19548 ) ( AT ?auto_19544 ?auto_19548 ) ( LOCATION ?auto_19565 ) ( CITY ?auto_19564 ) ( AT ?auto_19559 ?auto_19565 ) ( IN-CITY ?auto_19565 ?auto_19564 ) ( IN-CITY ?auto_19548 ?auto_19564 ) ( DIFFERENT ?auto_19548 ?auto_19565 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_19559 ?auto_19565 ?auto_19548 ?auto_19564 )
      ( DELIVER-PKG ?auto_19544 ?auto_19545 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_19567
      ?auto_19568
    )
    :vars
    (
      ?auto_19583
      ?auto_19579
      ?auto_19574
      ?auto_19580
      ?auto_19581
      ?auto_19571
      ?auto_19582
      ?auto_19575
      ?auto_19576
      ?auto_19572
      ?auto_19578
      ?auto_19577
      ?auto_19570
      ?auto_19573
      ?auto_19586
      ?auto_19584
      ?auto_19588
    )
    :precondition
    ( and ( OBJ ?auto_19567 ) ( LOCATION ?auto_19568 ) ( TRUCK ?auto_19583 ) ( LOCATION ?auto_19579 ) ( CITY ?auto_19574 ) ( AT ?auto_19583 ?auto_19579 ) ( IN-CITY ?auto_19579 ?auto_19574 ) ( IN-CITY ?auto_19568 ?auto_19574 ) ( DIFFERENT ?auto_19568 ?auto_19579 ) ( LOCATION ?auto_19580 ) ( AT ?auto_19583 ?auto_19580 ) ( AIRPLANE ?auto_19581 ) ( AIRPORT ?auto_19571 ) ( AIRPORT ?auto_19580 ) ( DIFFERENT ?auto_19580 ?auto_19571 ) ( AIRPORT ?auto_19582 ) ( DIFFERENT ?auto_19571 ?auto_19582 ) ( LOCATION ?auto_19582 ) ( AIRPORT ?auto_19575 ) ( DIFFERENT ?auto_19582 ?auto_19575 ) ( LOCATION ?auto_19575 ) ( AIRPORT ?auto_19576 ) ( DIFFERENT ?auto_19575 ?auto_19576 ) ( TRUCK ?auto_19572 ) ( LOCATION ?auto_19578 ) ( CITY ?auto_19577 ) ( IN-CITY ?auto_19578 ?auto_19577 ) ( IN-CITY ?auto_19575 ?auto_19577 ) ( DIFFERENT ?auto_19575 ?auto_19578 ) ( LOCATION ?auto_19570 ) ( CITY ?auto_19573 ) ( IN-CITY ?auto_19570 ?auto_19573 ) ( IN-CITY ?auto_19578 ?auto_19573 ) ( DIFFERENT ?auto_19578 ?auto_19570 ) ( AT ?auto_19567 ?auto_19570 ) ( LOCATION ?auto_19586 ) ( CITY ?auto_19584 ) ( AT ?auto_19572 ?auto_19586 ) ( IN-CITY ?auto_19586 ?auto_19584 ) ( IN-CITY ?auto_19570 ?auto_19584 ) ( DIFFERENT ?auto_19570 ?auto_19586 ) ( AIRPORT ?auto_19588 ) ( AT ?auto_19581 ?auto_19588 ) ( DIFFERENT ?auto_19576 ?auto_19588 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_19581 ?auto_19588 ?auto_19576 )
      ( DELIVER-PKG ?auto_19567 ?auto_19568 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20328
      ?auto_20329
    )
    :vars
    (
      ?auto_20337
      ?auto_20332
      ?auto_20330
      ?auto_20335
      ?auto_20338
      ?auto_20334
      ?auto_20333
      ?auto_20341
    )
    :precondition
    ( and ( OBJ ?auto_20328 ) ( LOCATION ?auto_20329 ) ( TRUCK ?auto_20337 ) ( LOCATION ?auto_20332 ) ( CITY ?auto_20330 ) ( IN-CITY ?auto_20332 ?auto_20330 ) ( IN-CITY ?auto_20329 ?auto_20330 ) ( DIFFERENT ?auto_20329 ?auto_20332 ) ( AIRPLANE ?auto_20335 ) ( AIRPORT ?auto_20338 ) ( AIRPORT ?auto_20332 ) ( DIFFERENT ?auto_20332 ?auto_20338 ) ( LOCATION ?auto_20338 ) ( AT ?auto_20328 ?auto_20338 ) ( LOCATION ?auto_20334 ) ( CITY ?auto_20333 ) ( AT ?auto_20337 ?auto_20334 ) ( IN-CITY ?auto_20334 ?auto_20333 ) ( IN-CITY ?auto_20332 ?auto_20333 ) ( DIFFERENT ?auto_20332 ?auto_20334 ) ( AIRPORT ?auto_20341 ) ( AT ?auto_20335 ?auto_20341 ) ( DIFFERENT ?auto_20338 ?auto_20341 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20335 ?auto_20341 ?auto_20338 )
      ( DELIVER-PKG ?auto_20328 ?auto_20329 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20666
      ?auto_20667
    )
    :vars
    (
      ?auto_20671
      ?auto_20669
      ?auto_20672
      ?auto_20670
      ?auto_20673
      ?auto_20674
      ?auto_20676
      ?auto_20675
      ?auto_20679
    )
    :precondition
    ( and ( OBJ ?auto_20666 ) ( LOCATION ?auto_20667 ) ( TRUCK ?auto_20671 ) ( LOCATION ?auto_20669 ) ( CITY ?auto_20672 ) ( IN-CITY ?auto_20669 ?auto_20672 ) ( IN-CITY ?auto_20667 ?auto_20672 ) ( DIFFERENT ?auto_20667 ?auto_20669 ) ( AIRPLANE ?auto_20670 ) ( AIRPORT ?auto_20673 ) ( AIRPORT ?auto_20669 ) ( DIFFERENT ?auto_20669 ?auto_20673 ) ( LOCATION ?auto_20673 ) ( AT ?auto_20666 ?auto_20673 ) ( AIRPORT ?auto_20674 ) ( DIFFERENT ?auto_20673 ?auto_20674 ) ( LOCATION ?auto_20676 ) ( CITY ?auto_20675 ) ( AT ?auto_20671 ?auto_20676 ) ( IN-CITY ?auto_20676 ?auto_20675 ) ( IN-CITY ?auto_20669 ?auto_20675 ) ( DIFFERENT ?auto_20669 ?auto_20676 ) ( AIRPORT ?auto_20679 ) ( AT ?auto_20670 ?auto_20679 ) ( DIFFERENT ?auto_20674 ?auto_20679 ) )
    :subtasks
    ( ( FLY-AIRPLANE ?auto_20670 ?auto_20679 ?auto_20674 )
      ( DELIVER-PKG ?auto_20666 ?auto_20667 ) )
  )

  ( :method DELIVER-PKG
    :parameters
    (
      ?auto_20909
      ?auto_20910
    )
    :vars
    (
      ?auto_20915
      ?auto_20914
      ?auto_20913
      ?auto_20912
      ?auto_20911
      ?auto_20920
      ?auto_20919
    )
    :precondition
    ( and ( OBJ ?auto_20909 ) ( LOCATION ?auto_20910 ) ( TRUCK ?auto_20915 ) ( LOCATION ?auto_20914 ) ( CITY ?auto_20913 ) ( IN-CITY ?auto_20914 ?auto_20913 ) ( IN-CITY ?auto_20910 ?auto_20913 ) ( DIFFERENT ?auto_20910 ?auto_20914 ) ( AT ?auto_20909 ?auto_20914 ) ( LOCATION ?auto_20912 ) ( CITY ?auto_20911 ) ( IN-CITY ?auto_20912 ?auto_20911 ) ( IN-CITY ?auto_20914 ?auto_20911 ) ( DIFFERENT ?auto_20914 ?auto_20912 ) ( LOCATION ?auto_20920 ) ( CITY ?auto_20919 ) ( AT ?auto_20915 ?auto_20920 ) ( IN-CITY ?auto_20920 ?auto_20919 ) ( IN-CITY ?auto_20912 ?auto_20919 ) ( DIFFERENT ?auto_20912 ?auto_20920 ) )
    :subtasks
    ( ( DRIVE-TRUCK ?auto_20915 ?auto_20920 ?auto_20912 ?auto_20919 )
      ( DELIVER-PKG ?auto_20909 ?auto_20910 ) )
  )

)

